var count = (function div(Decimal) {
    var start = +new Date(),
        log,
        error,
        undefined,
        passed = 0,
        total = 0,
        n = 'null',
        N = 'NaN',
        I = 'Infinity';

    if (typeof window === 'undefined') {
        log = console.log;
        error = console.error;
    } else {
        log = function (str) { document.body.innerHTML += str.replace('\n', '<br>') };
        error = function (str) { document.body.innerHTML += '<div style="color: red">' +
          str.replace('\n', '<br>') + '</div>' };
    }

    if (!Decimal && typeof require === 'function') Decimal = require('../decimal');

    function assert(expected, actual) {
        total++;

        if (expected !== actual) {
           error('\n Test number: ' + total + ' failed');
           error(' Expected: ' + expected);
           error(' Actual:   ' + actual);
           //process.exit();
        } else {
            passed++;
            //log('\n Expected and actual: ' + actual);
        }
    }

    function T(dividend, divisor, expected, sd, rm) {

        if (sd != null) {
           Decimal.precision = sd;
           Decimal.rounding = rm;
        }
        assert(String(expected), String(new Decimal(dividend).div(divisor)));
        //assert(String(expected), String(new Decimal(dividend).div(new Decimal(divisor))));
    }

    function isMinusZero(n) {
        return n.toString() === '0' && n.s == -1;
    }

    log('\n Testing div...');

     Decimal.config({
        precision: 40,
        rounding: 4,
        toExpNeg: -7,
        toExpPos: 21,
        minE: -9e15,
        maxE: 9e15,
        errors: false
    });

    T(1, 0, I);
    T(1, -0, -I);
    T(-1, 0, -I);
    T(-1, -0, I);
    T(1, N, N);
    T(-1, N, N);
    assert(false, isMinusZero(new Decimal(1).div(I)));
    assert(true, isMinusZero(new Decimal(1).div(-I)));
    assert(true, isMinusZero(new Decimal(-1).div(I)));
    assert(false, isMinusZero(new Decimal(-1).div(-I)));
    assert(false, isMinusZero(new Decimal(0).div(1)));
    assert(true, isMinusZero(new Decimal(0).div(-1)));
    assert(true, isMinusZero(new Decimal(-0).div(1)));
    assert(false, isMinusZero(new Decimal(-0).div(-1)));
    T(0, 0, N);
    T(0, -0, N);
    T(-0, 0, N);
    T(-0, -0, N);
    T(0, N, N);
    T(-0, N, N);
    assert(false, isMinusZero(new Decimal(0).div(I)));
    assert(true, isMinusZero(new Decimal(0).div(-I)));
    assert(true, isMinusZero(new Decimal(-0).div(I)));
    assert(false, isMinusZero(new Decimal(-0).div(-I)));
    T(N, 1, N);
    T(N, -1, N);
    T(N, 0, N);
    T(N, -0, N);
    T(N, N, N);
    T(N, I, N);
    T(N, -I, N);
    T(I, 1, I);
    T(I, -1, -I);
    T(-I, 1, -I);
    T(-I, -1, I);
    T(I, 0, I);
    T(I, -0, -I);
    T(-I, 0, -I);
    T(-I, -0, I);
    T(I, N, N);
    T(-I, N, N);
    T(I, I, N);
    T(I, -I, N);
    T(-I, I, N);
    T(-I, -I, N);

    T(1, '1', '1');
    T(1, '-45', '-0.02222222222222222222222222222222222222222');
    T(1, '22', '0.04545454545454545454545454545454545454545');
    T(1, 0144, '0.01');
    T(1, '0144', '0.006944444444444444444444444444444444444444');
    T(1, '6.1915', '0.1615117499798110312525236210934345473633');
    T(1, '-1.02', '-0.9803921568627450980392156862745098039216');
    T(1, '-0.0001', '-10000');
    T(1, '8e5', '0.00000125');
    T(1, '1e-14', '100000000000000');
    T(1, '-94.12E+0', '-0.01062473438164045898852528686782830429239');
    T(1, '', N);
    T(1, '    ', N);
    T(1, '\t\t', N);
    T(1, 'ertgrt546', N);
    T(1, 'qweqwdewee', N);
    T(1, true, N);
    T(1, false, N);
    T(1, 'e 4.3', N);
    T(1, '4 .3', N);
    T(1, '4.0 01e', N);
    T(1, ' 4.001', '0.2499375156210947263184203949012746813297');
    T(1, '4.001 ', '0.2499375156210947263184203949012746813297');
    T(1, ' 4.001 ', '0.2499375156210947263184203949012746813297');
    T(1, '    4.001', '0.2499375156210947263184203949012746813297');
    T(1, ' 4.0 01', N);
    T(1, '4. 001', N);
    T(1, '4. 001 ', N);
    T(1, '  4.001e ', N);
    T(1, ' 4 .001 e ', N);
    T(1, undefined, N);
    T(1, null, N);
    T(1, I, '0');
    T(1, -I, '0');
    T(1, Number.POSITIVE_INFINITY, '0');
    T(1, Number.NEGATIVE_INFINITY, '0');
    T(1, new Date(2012, 11, 4), N);
    T(1, new Object(), N);
    T(1, function () {}, N);
    T('0', 0, N);
    T(0, '+0', N);
    T('0', '0', N);
    T(3, -0, -I);
    T(9.654, 0, I);
    T(0, '0.001', '0');
    T(0, '111.1111111110000', '0');
    T(N, 0, N);
    T(0, N, N);
    T(N, '0', N);
    T(-1, 1, '-1');
    T(-0.01, 0.01, '-1');
    T(54, -54, '-1');
    T(9.99, '-9.99', '-1');
    T('0.0000023432495704937', '-0.0000023432495704937', '-1');
    T(NaN, NaN, N);
    T(NaN, N, N);
    T(N, NaN, N);
    T(N, 4, N);
    T(N, '4534534.45435435', N);
    T(N, 99999.999, N);
    T(Infinity, '354.345341', I);
    T(3, -I, '0');              // 78
    T(-Infinity, -I, N);
    T(-I, -Infinity, N);
    T(I, '-999e999', -I);
    T(1.21123e43, -I, '0');
    T('-999.0', I, '0');
    T('657.342e-45', -I, '0');
    T(I, 123, I);
    T(-0, I, '0');
    T(100, 100, '1');
    T(-999.99, '0.01', '-99999');
    T('10 ', 4, '2.5');
    T('03.333', -4, '-0.83325');
    T(-1, -0.1, '10');
    T('99999', '1', '99999');
    T('3e', 8, N);
    T('-3..0', 13, N);
    T('0 0', -0.4, N);
    T(' +3e0', 4, '0.75');
    T(9.9806, '+ 1', N);
    T(' +2 0', '1e1', N);
    T('e3', 4, N);
    T(' ', 0, N);
    T(323, null, N);
    T(undefined, undefined, N);
    T('undefined', undefined, N);
    T(null, null, N);

    Decimal.errors = true;

    T('999.5', 1, '1000', 3, 0);
    T('-999.5', 1, '-1000', 3, 0);

    T('999.5', 1, '999', 3, 1);
    T('-999.5', 1, '-999', 3, 1);

    T('999.5', 1, '1000', 3, 2);
    T('-999.5', 1, '-999', 3, 2);

    T('999.5', 1, '999', 3, 3);
    T('-999.5', 1, '-1000', 3, 3);

    T('999.5', 1, '1000', 3, 4);
    T('-999.5', 1, '-1000', 3, 4);

    T('999.5', 1, '999', 3, 5);
    T('-999.5', 1, '-999', 3, 5);

    T('999.5', 1, '1000', 3, 6);
    T('-999.5', 1, '-1000', 3, 6);
    T('999.4', 1, '999', 3, 6);
    T('-999.4', 1, '-999', 3, 6);
    T('999.500001', 1, '1000', 3, 6);
    T('-999.500001', 1, '-1000', 3, 6);

    T('999.5', 1, '1000', 3, 7);
    T('-999.5', 1, '-999', 3, 7);

    T('999.5', 1, '999', 3, 8);
    T('-999.5', 1, '-1000', 3, 8);

    T('-2.8', '3', '-1', 1, 3);
    T('-3', '-0.0047', '638.297872341', 12, 0);
    T('15', '-3', '-5', 1, 0);
    T('3', '0.38', '7.894736842106', 13, 2);
    T('-2.9', '-2.2', '1.3181818181818182', 17, 4);
    T('-1.20', '0.00035', '-3428.571428571', 13, 4);
    T('-6', '-1.0', '6', 1, 1);
    T('1.1', '-1.5', '-0.7333333', 7, 5);
    T('-1.05', '-2', '0.525', 4, 2);
    T('-2', '-1', '2', 13, 0);
    T('-5', '1', '-5', 16, 6);
    T('0.000033', '-1', '-0.000033', 11, 1);
    T('6', '-3', '-2', 20, 6);
    T('-1.20', '1', '-1.2', 13, 2);
    T('-1', '0.0019', '-526.315', 6, 1);
    T('-7', '3', '-2.333333333333', 13, 1);
    T('2', '4', '0.5', 8, 0);
    T('33', '-2', '-16.5', 14, 3);
    T('-2', '-1', '2', 4, 1);
    T('-10.2', '12', '-0.85', 16, 6);
    T('-1.0', '10', '-0.1', 10, 0);
    T('1.3', '-3.0', '-0.434', 3, 3);
    T('1.4', '6', '0.233333333333333333', 18, 5);
    T('55', '2', '27.5', 4, 4);
    T('1', '7', '0.14285714285714286', 17, 5);
    T('-1.4', '2', '-0.7', 12, 5);
    T('-5', '3', '-2', 1, 4);
    T('-1', '2', '-0.5', 15, 0);
    T('-8', '-3', '2.67', 3, 2);
    T('-16', '7', '-2.285714285714', 13, 4);
    T('1', '1', '1', 13, 6);

    Decimal.toExpNeg = Decimal.toExpPos = 0;

    T('-9.0201582007891419174890e+493625', '-5.50622769083719199346231074389e-8', '1.638173847369118854685833779858335057671769579218908745636679e+493633', 61, 4);
    T('5.8729543161021068260124718708021832883057695897e+49274', '-8.708403405379587884587853336e+41461', '-6.7440081065538470526693072631940999905631492068918496007e+7812', 56, 3);
    T('-1.11303135570566757735452613975119540626335099312445395511e+909913', '-4.9428912981238120390359176251627374079558e-50436', '2.25178198057510227e+960348', 18, 1);
    T('9.34964786072062858037053820543908584e+34427', '-5.5139174707961944758881146494671658725524731327174937382473e+727', '-1.69564523049899134866471123135148425607621655195972485244321739609622142643026524021192529472e+33700', 93, 4);
    T('-8.95495805776908286477460208890137140530903524050e+3546735', '-514449923650777303707976731752571405.60601209', '1.740686050494577121230344265740919289154954933388084539546267265149437887923633011167e+3546700', 85, 0);
    T('-112977.156416947803174690696837418982360160807579018', '-6.7793027141628576643753135768314185053384986437525e+32928', '1.666501131169782697443349597254128378095825062301415158287415940806830463694e-32924', 76, 5);
    T('-7.519050808224891132821326159698e-555', '0.0417050002083', '-1.80291e-553', 6, 1);
    T('0.0312143762310912553081058912', '-4.08382620086677699331679658629041009e-90', '-7.643414458839e+87', 13, 1);
    T('4.0891643182290652875211844988576636684270563255557e-173776', '-4.3512242516716750610555570756791193e-72054', '-9.3978e-101723', 5, 0);
    T('1.6121785095818917662044501035572e+171567', '5.6108971779838795537551844770788131976757e-524750', '2.8732989724e+696316', 11, 3);
    T('7.5653760375e+30', '8.15774224e+1590', '9.27386011340805e-1561', 15, 4);
    T('-8.660566651142957641766979855e-18592', '6.487325740700605731241602360168e-47415', '-1.33499796e+28823', 9, 1);
    T('-4.500945343043809676875681e-43152', '5.940827660904742303158570004409569371251583570495996069e+867097', '-7.57629340548545e-910250', 15, 0);
    T('8.96986622064415401423819967094260833389514278486115338442e-7572812', '8.4104122599652535974085220853977252989342871715575506e+4831', '1.066519207785090396984112228095053363096953582614945755253738194960648243775759819978376352442801954e-7577643', 100, 2);
    T('-6.856960316080e-75', '-2e-97', '3.428e+22', 4, 3);
    T('-7.24821889609458e-116548', '-1.25771065437743895862578613162692675e-296408', '5.7630257570509453279427403558712890904042059962e+179860', 47, 6);
    T('1.66634161834784366386855049316805612010518245355860875e-1433178', '-1.2323759671622999856410026493670230698834833365211381e-119', '-1.35213738562656649534995020628832773189172872015634e-1433059', 52, 2);
    T('-9.89858514790913976013855098325866480343405831726e+1326732', '-3.128944043635047374403186608489765604611130599212469197e+459', '3.1635545442383396285744071213319905e+1326273', 36, 0);
    T('-8.070e-906304', '-1.5055451435372855159976696184756e-124', '5.36018467107502097209360022333300020062468708142031209526934182877919e-906180', 69, 6);
    T('-9.046986850521113233994088030748718263e+649192', '7.42739066e+75', '-1.2180572242205330874563272306385885272661826030839207264749e+649117', 59, 3);
    T('-7.0140966397407758056324106e-567327', '53259.7776732322775987808330561104626988', '-1.31695942907887432785089328517373629792e-567331', 39, 1);
    T('7.40231507068915012684011850565156286998231535809e-895430', '-8.86406984919e-643', '-8.35092141265738645015908443920311470645480941163030158470835428757522e-894788', 69, 2);
    T('-4.921794410e+414322', '-1.0785013517e-841504', '4.5635495980064982611184983274230976561881299309270026573671840860243587583442e+1255826', 77, 5);
    T('601866548.752324072028390640262687694145312', '9.1268385395129583279994237e-1284', '6.594469115966654151749202035640916912881336984e+1291', 46, 2);
    T('2.867568612241923911789069819170160836469e-1906692', '-7.12441896102389693918811169596243150730e+81791', '-4.0249859362984554655443106786916039152860369641143618688585255330551064941359213504322433e-1988484', 89, 1);
    T('-5.23144143309771e-1367', '-7.6883670574418716341842245776e+81971', '6.804e-83339', 4, 5);
    T('-1e+46', '9.71058916684636392105974344694162750232811143394e-47', '-1.029803632733401478090931970815421478665673365628839811617483095659275091488624129e+92', 82, 2);
    T('7.2e-59409', '5.7831139640342802478088151675935006389840e+703', '1.245003996943076834455034433890469750759315904851845063541633723247163682755452146320767e-60112', 88, 1);
    T('9.5511191557227891017e-976054', '9189124852', '1.0393937735696344962122e-976063', 23, 6);
    T('4.23712926488581167975667516493342425898064e+57103', '-0.0001397286766', '-3.0323977640004440432499416980332469984e+57107', 38, 2);
    T('1.2743888136325381752424465340840098569178e-7', '-18573238529588601.01391', '-6.86142490229874847637478954198611190873400267067557244764e-24', 57, 3);
    T('-1.104892840718228416873e-7', '3.5597797377667191893695e+934', '-3.10382361300645918144338685515593065286843980322155334919919021986707800416857125298e-942', 84, 6);
    T('-1.55519573186342035670507252118450593339698096309942436625e-817998', '5.0563859624221211468025641352239672653831983e+64587', '-3.075706133632344533175127773502161481034704186956042445418520782007015e-882586', 70, 5);
    T('-6.202151355028114221575433171095985096e+308', '6.033804697384754103136626236314', '-1.027900581156749571100486532662322045801648336202116385320823112202169619166115945348630645e+308', 91, 3);
    T('8.024875460866071e-302608', '5.359320147511614393506518038e-445413', '1.497368181035443540224019658376422e+142805', 34, 2);
    T('3.55055235944317737144206844338561241970e+384', '-0.0022624534102156295443300961', '-1.56933722630990306246023742223862701e+387', 37, 1);
    T('8.124983863334591032859756583631905836816939039683944086589e+609557', '-1.60542904153166299378981482239854e+559466', '-5.06094237312596070034955736800076847046972453544295277599851337171871887357766954662496371928334e+50091', 96, 6);
    T('1.2361212094491178193e+83711', '-6.1097447943101726e+77', '-2.023196141678915138239321117934234676090045505345373146119122780711362684355605637208296539355003037e+83633', 100, 3);
    T('-9.7913464098919312889521180664170915225195748592237470281501e-2442', '-7.117703009727629530310739342559e-531056', '1.3756328968081815297848119554475753176429302386798137109462696314553328545836837194134940777e+528614', 92, 6);
    T('-1.8008395847460187443885218251028268177940e-181136', '-1.9315535289572721940531408208e+1701436', '9.32327040254577916615185349472487605397250031648341346028e-1882573', 57, 3);
    T('-1.69914659289020442692747108811266537843629740471379191228e-750409', '1.99579900340005978891346263731685e+87', '-8.5136157999654481886972931e-750497', 26, 0);
    T('-3.468594080438267571477376858183887124615200e+92', '5.6257641868735912825310409703621015617e+971497', '-6.165551852549068675875315487455698620448242921611056694146328281821305148315378561e-971406', 82, 5);
    T('-1.8252099405739206816451704100248812959e+1186', '-3.42243088142742109427052805672e-9', '5.333080502746823979506640819479922185269986904173244526721149958304591733214947e+1194', 79, 4);
    T('-2.26794496381269349400848879905354658898089516910667e+492', '6.9657557700813802540e-7189957', '-3.25584909760078670021134909504190734019544459726e+7190448', 49, 0);
    T('-0.46804364341836888128551806365696954134445', '7.987261632972183047981868785502422780e+821', '-5.859876199450382023516232392475110813719370468990469393875819714917792471118581757029002014878e-823', 96, 2);
    T('-9.96705038725844823301661858980473138e+947', '-7.2408733e+507', '1.3765e+440', 6, 4);
    T('6.4e-65903', '2725.9585677573990738059898886877', '2.347797973050329194430525714895592743169714777546007978234095454030731491e-65906', 73, 4);
    T('3.248366411826949431866026704463662e+52511', '-9.2033435415451915214110831e+8071781', '-3.5295503174073259785984985357981547e-8019271', 35, 3);
    T('-9.98470001351862389956296e+451', '3.7474300286329393632461064424e+815', '-2.6644126607378010385763797854701476440577291827637607081033950365026e-364', 68, 0);
    T('-1.53740039467703159465920401080173826327989263865383e-74', '-1027.743193807096525634910', '1.49589936857864103759617619966197637279298146868e-77', 48, 4);
    T('-7.1898403140998064976226699627450254188793061616078584e+4075', '3.312101273050083107245022e+70', '-2.170779128223561156107980514002547628515920675156954075597305599528830244568459314942e+4005', 85, 4);
    T('4.06e+13901', '-5.85611e-50381', '-6.9329298800739740202967498902855308387308298512152264899395673920059561722713541924588165182e+64281', 92, 3);
    T('3.78987311925956596100530099233127e+533', '-7.7787839e-446', '-4.8720637672677421479793274528827957285199811245559861869925451972e+978', 65, 5);
    T('5.71355915176845523331889400e+85', '7.9368447699694051170227763009331626968309196669062001362222e+28146', '7.19877900773216182411356396344316798e-28062', 36, 3);
    T('-7.6300279510508555176447528888582183176281948759413355783e+924643', '-6.525229144297962820139259674034141343420e-98555', '1.1693118789120709003842725006130814665259894299168791890471624080948019031651507617258471260255226e+1023198', 98, 5);
    T('7.28439100831730318544400863622338e-975118', '-90382941.9311', '-8.05947544158308297233205000580769151550908738308801809853417304107e-975126', 66, 6);
    T('5.9080280425535882593423530335827988725154144673935e+150783', '-9.7116925492708374913103514832318668414602235998045246e+240', '-6.0834175017e+150542', 11, 5);
    T('-8.32876439894620965060923423888278658060936060382855e+5391166', '8.04186747558480860e+491', '-1.035675410497925143157313386715336111549526162006770420515223349892e+5390675', 68, 5);
    T('6.615091161705197007910219512584837928991296e+289223', '3.671292452338065773949802592091439062162827897496531e-514040', '1.8018426065437446911933669148638e+803263', 32, 2);
    T('4.22074155824438744041754715460773774e-26794', '-0.392620260033033013334236126522330408072615', '-1.075018787336465097611404243630364449447595646694657386098906315606038505272594760203526802864099342e-26793', 100, 0);
    T('-4.67699736667236482648690536440818e-535947', '-0.000003272760314495064262408864180258266590034864302365641', '1.4290681006971182312140595347675928317716659547290799132515275441516238979e-535941', 74, 6);
    T('-0.000084398040461600827616061519', '-1.189305971339233178095314502175250728139881670533927588e-451', '7.09641105783428769600139659965663184560402725e+446', 45, 5);
    T('5.36563080174153764198593156640406584047160058605498e-827949', '-5.117680469211393e+56', '-1.048449748674588988737499894175e-828005', 31, 4);
    T('85.589843957916002336981173213', '0.0000578255253220352633511490632580338770863578897775', '1.4801394968962e+6', 15, 1);
    T('-351607.1187872102002591263170005488', '-9.43211176998759831430041388795767495627847463971963992990e+9816897', '3.7277666694536265675007568840266918599145597645718155579541605e-9816893', 62, 1);
    T('5.54766258186312012212070335772068830425136308583014956e+69623', '6747132.4960288947760609757117734740909355201', '8.222252319971874031e+69616', 19, 3);
    T('-7.40794403e-1867427', '1.07829970890779e-80', '-6.870023212288082e-1867347', 16, 1);
    T('2.8138856089460929272361416217404739394197772e-5864', '4.120358854405098750175445168459012485500020673033832e+13388', '6.829224609739396965225736675346830773941251044978533929261416840376667913341292696644e-19253', 85, 2);
    T('1.25611e-7382', '5.22783672860544552165472229850258202818243975e+561', '2.402733798335500653391738916406216392904413019e-7944', 47, 1);
    T('-4.298240874909906897e-28', '-4.25064103499e+369', '1.01119827327880178894776703201179105690352e-397', 42, 5);
    T('-3.3734578706259646249822280062e-9836', '2.04159630139282492575938762375186e+823662', '-1.6523628439e-833498', 11, 0);
    T('-1.4929903958127657150797046e-31761', '-9.34820994328909660952679308089769623534838087e-504367', '1.597086934151e+472605', 13, 1);
    T('-6.17416836518150351171259742611706e-97', '-9.88775533288148875e+37187', '6.244256817975114615221762745361996320156750169699731652e-37285', 55, 3);
    T('-9e-296674', '-9.429077635688888467419778561698443234851940034555559e-7593', '9.54494209056e-289082', 12, 0);
    T('2.6439727192e+992732', '-2.01160292191790849717605363585281e+3688', '-1.3143611447328658640835497026217432813435045010572027729281904104297711381081829e+989044', 80, 0);
    T('-4.53845718907359787719378104959276674317e-49650', '5.08475248507297756177418035662893e+69', '-8.9256206715e-49720', 11, 2);
    T('-5.693328123037558e-50195', '2.7199658e+64302', '-2.09316165778171107886724163958238005e-114497', 36, 3);
    T('4.978838741243446e+7675146', '-2.79566412024916162230460222172486e-50', '-1.7809144901e+7675196', 11, 2);
    T('-1.88784650527777086088949271343154160454393e-1404757', '-0.0000502787620604091848652480080339383261497', '3.75475932165861872458913296058527751903692013400759286e-1404753', 54, 5);
    T('-5658507039746715423.167542720210950494520611683594823141492', '5.7725075471049662533145488840960912984928824220440e+302000', '-9.8025112891962792177142779236158942424695123056e-301983', 47, 5);
    T('-5.67859887941334558531160e+4269739', '9.0616208329978377544345050634619764178276772330038011031e-903', '-6.266648079927116266831922933734264307785369125e+4270641', 46, 2);
    T('-5.153438159204456445e+441963', '-3.910302066e-1945068', '1.3179130594573499747116467395693005779160182148444794852838358702900268473e+2387031', 74, 5);
    T('6.50766000334324292674204104205256939890391290244703e-570636', '-6.13825054376718197194260486288608e-36', '-1.06e-570600', 3, 5);
    T('0.0003561032581306', '4.77053286770261875972371870e+87', '7.46464321714423724166117282096633e-92', 33, 3);
    T('423561.59245453820356744150114646992866121611599555557', '-7.96e+8386897', '-5.32112553334846989406333544153856694298010195974316042713567839195979899497e-8386893', 75, 4);
    T('-5.1558130542057773853e+483', '6.2', '-8.315827506783511911774193548387096774193548387e+482', 46, 6);
    T('9.80010135321953141397e-9479241', '1.48559844e+2465', '6.59673643250428521853455904275182195264017643960369263715705032646641712951717962224031414573e-9481706', 93, 6);
    T('2.921469205835105144020568210975511896e+994', '-2.850750914899798e+8528563', '-1.02480689932104883493349188185159896705506939026865209759783571883322480129714412160052799e-8527569', 90, 5);
    T('6.02475139808495394997772158116702e-21', '2.37617147374471492952579010471604836012667268737402989000675e-7788231', '2.53548679657797536354423e+7788210', 24, 2);
    T('87513.32883116404188225508498894548197167557912759240052210', '3.7772896063968138047935970431e-5045', '2.3168286774453519584522693858683014239766232911352581157877601882e+5049', 65, 3);
    T('5.7718214554244629387781323483e-928', '-8.80697537569701968499916566682238518251640403050597553611e+765307', '-6.5536931911401621494952381236078093131919781294446e-766236', 50, 3);
    T('-7.31783566924948556509724994049448360187e+43', '4.193922413377111528576823606882686875e+132239', '-1.7448667256953e-132196', 15, 2);
    T('1.5763909385752914105437373419998105285263445570305756313e-939065', '5.2696546007e-743', '2.99145e-938323', 6, 5);
    T('-7.3695076326257297560e+939', '-7.566e+873913', '9.74029557576755188474755e-872975', 24, 4);
    T('-7.615009147460135e-2238951', '5.098853922503091887250195828406763584e+2029', '-1.493474663757739247e-2240980', 19, 0);
    T('4.7118761952579331686862200927113271192e+972298', '-8.1045590739e+3987', '-5.81385878280794397787160794e+968310', 27, 0);
    T('3.05259816713008214309752e-34', '9.072438477569600795244081994373265659e+3600595', '3.3646942601784797867441e-3600630', 23, 5);
    T('3.5933388527257947e-69', '7.1641505002922391424671237937068824e+93521', '5.0157221747075465058e-93591', 20, 2);
    T('9.39168343132314935e+371121', '5.3947954122933792607331297865723793172399569985e-387897', '1.74087851597149903151101989151427616342421252127054094524491742593e+759018', 66, 1);
    T('6.8421850057907933405544695887211983810452221801e+684439', '9.162088e-434522', '7.46793198863708069662119550556728813458812246738952954829e+1118960', 57, 2);
    T('2.54275263810343519553437544378832436e-303', '-0.08770599033318', '-2.89917784229e-302', 12, 2);
    T('31981.165449494238805174660659817376468695645961', '2.23651670491568483146967340797091924533e-989818', '1.429954239966e+989822', 13, 3);
    T('-4.3304985248849022107e+84598', '721382.36921875', '-6.00305567430874344247379626761969984667e+84592', 39, 3);
    T('-5.69941467419121688624215027573910521249071692951357140749241e+2238', '1.47308952694108000853902e-188201', '-3.869021244096577970516432071542636232690279162375e+190439', 49, 3);
    T('-807045896.37201888946402216019903869620386', '-9.08231770105120e+35', '8.88590250788749971057617554208065127368874350003175872528293248627303374010246161422038e-28', 87, 4);
    T('-3729', '1.0546094247819167974007e+3449', '-4e-3446', 1, 5);
    T('-5.47050611316e-521048', '1.682277204e+919126', '-3.25184583144360315542859843686e-1440174', 30, 4);
    T('-4.3283158011e-852855', '8.1631725039603251121269990518659693605483302e-6995', '-5.30224713369726996773806997000061981936102436057537e-845861', 51, 2);
    T('3.830790634e+338750', '-1972.99790017035104904780622921', '-1.9416090780782102488343413702801e+338747', 32, 6);
    T('-675363513.402269898572629297102147534327342971037825167', '2.3e+4480635', '-2.936363101748999559011431726531076236205839e-4480627', 44, 6);
    T('-6.9843101214254330530310114e+875601', '1.78702225591614033015555756095728421e-37748', '-3.9083509443170505610410562761111795229709958845170193696171800343480046642337394354637126600389418e+913349', 98, 2);
    T('6.16537500715193614011018728455679e-885', '7.872343857695937901e-745', '7.831689162211476312583530674208619972304918867871e-141', 49, 2);
    T('3.727006137610643885052534419530511e+78', '-1.425386648485847138744055919504080772e-886', '-2.61473344202413429907946769817909664196987836016435350482399200706130745727594349802635891586e+964', 93, 4);
    T('7.43959327574e+5181', '-7.9074313981397299324949e-52', '-9.4083563943282623716203312085417443848809831081928646668382343690834056267e+5232', 74, 6);
    T('-3.4490340985404845139552633843307403193543e-6651', '7.2842692393679412330016944012164504254989382282e-426825', '-4.7349074906514005968e+420173', 20, 6);
    T('-3.12646845651434317784659897194601292447905599816047557896e+83609', '-4.44821508711659247554239e+84531', '7.028591e-923', 8, 1);
    T('-4.9158931676508508586366306659252842802577412066912290e+6841', '-9.97885279829e-4348', '4.92631093675742970055851625020542497534673412306023848256715519495285e+11188', 69, 6);
    T('4.5204228951407159990066208e-3745', '-0.004', '-1.1301057237851789997516552e-3742', 69, 0);
    T('-3.09307e+5347', '-0.8984736838504547635274923785', '3.442582744042642266786782278260624614507789e+5347', 43, 3);
    T('1.278957083641480297045115728536640377e-882', '-9.1829578959430558e-90519', '-1.3927506780865362298960771170837187909688134215939e+89636', 50, 4);
    T('-1.280e-30680', '-7.809867371408833685193380117868583027e+33846', '1.638952288339691587843478189801175e-64527', 34, 0);
    T('-4.796625599778919175150221338154194105391e-3693', '1.0644936863715949e-3575', '-4.5060160160541399e-118', 17, 6);
    T('-2.338716751466980568104931647443388782971007e-594', '-8.76079791822909184588455192060496995121228203764073135e-7', '2.6695248233048262067724344845187321954535e-588', 41, 5);
    T('-2.88857445130347e+34', '-4.5727677050043269726429416e+57466', '6.3169061663514715799083365164448167754425592465222489e-57433', 53, 0);
    T('9.0464589776483057165017421e-30', '6.06745997e+141768', '1.490979589874130758624805908690650990813211743364826847e-141798', 56, 4);
    T('4.0891e+8682457', '-0.285100211208484985423775082', '-1.43426761511929129076674694508290636841735067147441019762532785721934538893495633683716943287921582e+8682458', 99, 2);
    T('-8.36533512511e+2210', '-2.2074165483312369355092715221e+9854', '3.7896495482169086724607338870566377482914270703864737066601275861373795191e-7644', 75, 5);
    T('5.52706150135816541190537725676638784816e-39', '5.506157558676409241502564869727746514208939474698e+18904', '1.00379646649391942543124561396333984453880182681374708614940506997100647153719275030013e-18943', 87, 5);
    T('-1.288279714202288615454e-596927', '-3.77546319534770573354581697206296e-42949', '3.412242809808778910720913252239877519936414468601131742686648528257078142609085752972025220629296596e-553979', 100, 5);
    T('-6.153052379002130168510557374994653393268', '1.7358896156255864099559044599825626297210e+3157200', '-3.5446103966608902581464527977e-3157200', 29, 5);
    T('3.42374045880379367998282136916009048354975475e-459', '-3.71961470952892229383923198866553177381531730879349520967e+9323392', '-9.204556724740449869859132948088048642326875592013709820825989488772e-9323852', 67, 5);
    T('-8.029527535353e-8923', '-382173906.1', '2.10101406903798029867638836161765885669398400614667187504249129058997259467788e-8931', 78, 3);
    T('7.54405949614753081e+2945477', '-1.2969572371386e-39', '-5.81673726790834124060476166960328240382299131951266748135316067254764231735799071285353603929078e+2945516', 96, 1);
    T('-52465', '6.04671115345965326980458938153601846588748169e-44', '-8.67661753116517096859514986859114860862090070653645935252959574e+47', 63, 4);
    T('1.4633750786e+28385', '6.4e-67', '2.2865235603125e+28451', 20, 4);
    T('7.4803238e+6937754', '-398287514481567281059186496112.143318', '-1.87812159006209291405314267025131725835563091083703200385262e+6937725', 60, 6);
    T('-3.99879850022268386238702401202296926182374685e-101020', '4.941987958200394155523261928737367666185011455660081e+1521', '-8.09147762812200559345178485001850079766691e-102542', 42, 1);
    T('-6803066.78655613559643867402367500170440266090475412341', '-4.35752016541514522894124887798932462e-9', '1.561224395597949169169135e+15', 25, 4);
    T('4002943.595339596145529525507585154374501889180', '7.48365108818012585828282380463973422306674153125104052e-5682614', '5.3489179923e+5682619', 11, 4);
    T('3.76872899581827988357416381361938138263757177508e-8', '-1.3878956626098432e-4521', '-2.715426740891632926325292842225052328752037516453023854502281226161793716837461e+4513', 79, 3);
    T('-1.8143315369896313220192384990961747995084538536e-652154', '-1.64972e+37', '1.099781500490768931709161857221937540618076918264917683000751642703004146158135926096549717527822904e-652191', 100, 0);
    T('1.077950051217448803307899727500419929851e+67383', '9.63133018252238196604554120627877300948e-5273897', '1.119212020343321654951674321950063587369212979650466228152527216933560442214435806e+5341279', 83, 1);
    T('-4.9692553578428e+924108', '2.1462368e+32185', '-2.3153341503802376326787426e+891923', 26, 6);
    T('5.930990738383053010721102273e-97036', '-3.65966511964763315813782962456128293763264222893735645e+500', '-1.6206375568467619650484357428145577548720152013649725255302838490585441e-97536', 73, 0);
    T('4e-75671', '-1.70839225333645877614084793215132655045157016180043878649e-12843', '-2.3413826609129567713111285198617587201274761608761376874e-62828', 56, 1);
    T('6.91439488419339340315975001e+5596001', '-5.16903704616137e+77', '-1.33765628345e+5595924', 12, 1);
    T('-3.7272665275459591457414082845e+890800', '6.572249044180767e+314787', '-5.6712192470036931497313123e+576012', 26, 5);
    T('-5.7045884550662551247342877917788744897456312e-51697', '-3.44612644750133357600866e+9136468', '1.65536248944157397260819252517234149348139815239687213295268100601194e-9188165', 69, 1);
    T('-5.798080270240466658842194604602234815273651577331e-604', '0.000005507441779976069848143514575', '-1.05277195871976328938e-598', 21, 1);
    T('-1.12716558087499949577479980549898647746137202857e-42550', '-3e+6', '3.75721860291666498591599935166328825820457342856666666666666666667e-42557', 66, 6);
    T('9.029304e-44495', '-3.64145555513779926589009748930107e-983355', '-2.479586490424243225977952663944442587563972524447300319836489006379990970201351934707743567069631277e+938860', 100, 3);
    T('-4.520055620360621304275037267801651847705e+3563240', '-1.756992768930296764206837935869004010161438300752191e+31082', '2.572609119565443404701767686555306e+3532158', 34, 5);
    T('-6.511633724726488e-908197', '8.741385376254644142100e+9923', '-7.449201065e-918121', 10, 3);
    T('-4.727173765422559931e+2550', '-5.0e-7235', '9.454347530845119862e+9784', 87, 6);
    T('1.70316439e-9459', '-7.8361e+58', '-2.173484756447722719209811002922372098365258227945023672490141779711846454231058817524e-9518', 85, 4);
    T('-5.406631153924624319629205640970181e+2086152', '3.480623868294410918927077008146482778988703493268074099466e-189433', '-1.55335116878745163354434679883585669329899340343081904982491891350342123010900374959249020654229e+2275585', 96, 1);
    T('-9.7492472756056798812336104410110379537907097266e+46638', '7.75465e-1490378', '-1.2572130625631949709185599e+1537016', 26, 0);
    T('-3.1908288340733e-2109630', '-8.088574102565401236091654734238720e-89', '3.9448594939141e-2109542', 14, 5);
    T('4.73970296075144109211823587827902601864e+995', '9.0e+70025', '5.2663366230571e-69031', 14, 1);
    T('-1.8152795e-62017', '-0.0000180100506137', '1.007925818164631713535804587054268307128e-62012', 40, 4);
    T('-2.99866476344257805037744687194745964863e+3924687', '9.10646106540838364998613834e-20', '-3.29289802251858799226153509010269776429660641640999375e+3924706', 54, 3);
    T('7.18895376979e+443864', '-2.96156741318470092385755745122158310400744307157681974007161e+125453', '-2.4274152051326795744379402883333820009191903153566464579425606259197487511e+318411', 74, 3);
    T('-7110585455931675754137078581369901739.4931396', '-7.18603961126806198e+4805', '9.894998971035e-4770', 13, 4);
    T('5.41147077742840731903379861397587833933128736130e+650796', '5.508976354152810651962713290752845896831e-59274', '9.82300599883515369313243246351436879284328663208903699032e+710069', 57, 6);
    T('-2.36680800333145618131527e+5696847', '-1.291231267094664e-67', '1.83298535564190179e+5696914', 18, 3);
    T('9.45737237992012431716214361370012434470559418118050763503e-5773252', '-4.821896580749656394283744178082087e-41286', '-1.961338701803885270803274517454726731856417298e-5731966', 46, 2);
    T('4.3048259706272995008493754e-75086', '8.83757752624666508015471400935746193366955380200151811e-5510566', '4.87104747635019249417585435907066331197959e+5435479', 42, 0);
    T('6.02391563857731888562808414061253329299057097272948390377', '-0.00000859431905432706316128773457656901972898376', '-7.0091831598274223499618905455260634629806935712003129886689780108271e+5', 68, 1);
    T('5.155706593542208005e+69', '-3.752836823906004493059531004405347243836788044737e-44000', '-1.37381581866276755530952503327693855569871767143331967690218722410662644294938506519268901862e+44069', 93, 2);
    T('-9220750598.310382412855687591895656971256794', '6.208189361093807955850040654218e-48438', '-1.4852560162059550267737769309184427579439118150391115871709338604990312946561e+48447', 78, 6);
    T('-4.566238640798811448714676926894105655e+575', '2.880e+191881', '-1.58549952805514286413704059961600890798611111111111111111111111111111111e-191306', 72, 6);
    T('8.91604e+170', '-6.264368339072541e-53173', '-1.423294339891905e+53343', 16, 4);
    T('8.3087090877835785554965e+35979', '1.3611234824345e+2711755', '6.10430221432e-2675776', 12, 2);
    T('-0.902795617323001343413834248792', '-1.9622832254556375292432978323544368070474621301919288930e-7605547', '4.60074063525347791647263727570223375233476678038450676053498613441846299e+7605546', 72, 5);
    T('5.130267430039513e+89942', '3.306068983128470569399947418640252356869061293022225007324e+38394', '1.55177265090967277132534306390671014600343477066067674e+51548', 54, 6);
    T('-5.42709593652831824838271990398766047426230233281511774e+441', '6.060905321454542443148625e-79491', '-8.95426615115954695687550461846409521895630824450275734448571400865841848473595221582490459e+79931', 90, 3);
    T('-2.67313108587637342e+66', '-4.2978091362412049644038575659830e-8788943', '6.2197529046491139763897883718412103051148839554074761661717609361495199609413826e+8789008', 80, 2);
    T('-5.062479752314056826234932702569182e+978760', '-9.0280152787587150771', '5.60752235790423930474788883129459576987903407906072606460557140943628831849657297853921988860216893e+978759', 99, 2);
    T('-9.682208878743727894539541638693047e-8149861', '2.68789960374616143221198636526210862719600140e-805', '-3.602146771125493149886358094423260127318575198065409723915337473739698227e-8149056', 74, 1);
    T('-7.74270044930678819329480422147363893912745e+46050', '-1e+850', '7.742700449306788193294804221473638939e+45200', 37, 4);
    T('3.837820335697429248772856e-24', '-9.455691040938667713520206049214946596676072547630808599e+18858', '-4.0587412586573348e-18883', 17, 1);
    T('-8.9043692e+441', '4.922502215686303689613411049123590850286314e+575', '-1.808911161405853749472468658351477252530084855738408407062362524906222612956452727322923633285164153e-134', 100, 4);
    T('9.983855174767877564750840e-16', '4.442077176133267221847948159903169825858e+4843459', '2.24756454669673458228e-4843475', 21, 5);
    T('9.1600446121e+70', '-8.8825588136102715227205181620111211101906144801558076662e-70392', '-1.03123939896e+70462', 12, 0);
    T('-5.455091346996779943893118119386347518740324439893518e-378', '8.45021012932221140260940220693e+149', '-6.4555688716753023998259305299997301767155121789813739345022368676343759e-528', 71, 6);
    T('4.92731241140976103504385528e-85', '-7.519758995215778653646e-775817', '-6.5524871402722027658916864184976681654878155377984377065047487e+775731', 62, 6);
    T('-8.923714924347837557972462364680155791045288887882610e+6873', '9.56049787920712725220195633365229138986759e+45', '-9.333943730855050949857016361651494295053372418814941087257474684725684596833663177979308872e+6827', 91, 0);
    T('9.120994782870624984584405564109022983116068171157228e+22644', '-3.928918196021315074729587563484036421484733019e+3670', '-2.32150284831767517357787307199788401065025409196970414726140444186928253286397518539667412e+18974', 90, 4);
    T('5.260714966994821283e+7974', '2.2913553636054275189474093725394183782817319448922e-9815', '2.2958965905302146301937347743405869476376213710869775730184386683339649366593429618e+17789', 83, 3);
    T('-4.4740423949e-72435', '-1.99011935060167359745521083763866204854294900538e+336309', '2.2481276781452132166604677212513978692998883937953944582350859781573893143723276447e-408744', 83, 0);
    T('5.92364961196923e+621', '-3.07947537997234899379967457947260721873267015441e+64', '-1.92359050846589954327755584024104053274424702849524072478922488187e+557', 67, 3);
    T('7.4307644562561968240753606201216532907e+101310', '-3.054126964798505532855206526040009849562e-582', '-2.43302408246359126563744935804440189495732397304842343038283559694e+101892', 66, 6);
    T('-3.6515736e-67', '4.031148294860998414946968992580399564234775910e+722', '-9.0583956056767024362785126665230736574031747156e-790', 47, 1);
    T('5.12232095778e+2370495', '-6.760344688038305e-44250', '-7.57701151960992474378716794694436925607132532879604376221126604539e+2414744', 66, 3);
    T('-2.6171943577487375211769996917725770478183344962847645e+962716', '5.73323562459228e-723128', '-4.5649516767154668110122243660466465821745959913049747153161639490316092433928472494475807769621e+1685843', 95, 2);
    T('8.821270839203e-679', '5.07429888713154541185707012184700541507e-9249', '1.7e+8570', 2, 1);
    T('2.29412204114808702060785497978943701643961929542569413e-6510', '-9.622814515785763564752210878e+32', '-2.3840447484307e-6543', 14, 0);
    T('122852209.33596955', '70.15723957573339050956281378262617021489887806918', '1.7510981058e+6', 11, 1);
    T('-75049944334321968158467581412161257581486904.997273845949678', '-4.082759261570570772444092418194591442e+74', '1.83821625342297260377506424790352766382547125503984388883015500358689104592368594475582683259678766e-31', 99, 6);
    T('-4.5117823143987985011645809838922723', '-6.00323433799578982350060902993223313807644382e+4086', '7.515585866509885184268837828897735923269261979645976910830709421410102482169159766563263e-4087', 88, 3);
    T('-7.4593069795167803409689743730979615453017626076532e-14', '5.5663346748483061802960115581505188409329657206216e-7', '-1.340075186858947079885e-7', 23, 1);
    T('-5.98823559467477311715849890335487330180e+11528', '-0.003290162508620091707157720499945878173131108817', '1.820042499112381186000767125637133671860118544803644749917362074e+11531', 64, 5);
    T('-8.26599479873320138912892557999e+28004', '8.900215927286791832913039917332244601e-6874', '-9.2874092789039432437557331596139479758721345609181199154644688864812475e+34877', 71, 0);
    T('-1.02023863943303515301017615619e+4322', '1.10816762232827920665124979716e+93', '-9.20653716e+4228', 10, 0);
    T('-2.86670168042560191292495661545255583', '-6.110204394707469252122e+5003425', '4.69166249644394664609668567108779207194760268516395373342e-5003426', 57, 5);
    T('-3.2754199252801842e+61139', '734417820.90652525258577181729193558978088046760353', '-4.45988622830146565668192617213406602125787940156794498910758882e+61130', 63, 2);
    T('-4.8114404362823181773e-460582', '7.076937099607761048243002399544008585999255767779024301e+4204', '-6.79876105801334884e-464787', 18, 3);
    T('-6.55206394837274730440426799270292389479407549e+19106', '-2.8756448116862e+42', '2.278467744606746127818328395006356350085655193447054475691515164242056420749349939129807249261e+19064', 94, 1);
    T('-3.74215532185692341306475613849903028366059824562097819775e-36588', '-7.799292840730172469140913e-91', '4.799e-36498', 4, 2);
    T('7.403316510551448450015823234611e+84', '9.427386319491878362336646183983738886083245526967593306113e-959113', '7.8529894285168912383267263952350231825317953199580227385482034e+959196', 62, 2);
    T('-6.495564848717913850474651218168419900484433726760148327e+9447', '-8.28504059637611534949554557191770292978508196249942660685e+23213', '7.8401123e-13767', 8, 4);
    T('-2.47788321661263918678937483451126081321445035903756456684e-83587', '0.0000211725639826162452333210075163338973686809659349232', '-1.17032741931827797153160037796004944997696446802029767333159344823471506e-83582', 72, 4);
    T('9.695e-11', '8.40163469685e-2967682', '1.15394210172395588925455912183e+2967671', 30, 6);
    T('-132.33407303466944376', '1.466164851817703355310499908522445029294180477755498710e-9277', '-1e+9279', 1, 0);
    T('8.64e+4', '960.48225415038070623990188582991488335939999902826672627897', '8.99548113738211054297392811171307844646e+1', 39, 1);
    T('5.76902324039256465315903434891205015e-14', '-2.06583234799685176901e-8', '-2.7925902341429288008595625270227784057263759253579132018454586176243668723938326054166325985390393e-6', 98, 2);
    T('-8.9822947743878120795004898246535294114e+40578', '-7325362666.571509696', '1.226191136635122599643895425505792565835728664039384330091318557180407984887976e+40569', 79, 2);
    T('7.411696574592452492944841579170107451491527089716e+302976', '4.60e-64', '1.611238385780967933248878604167414663367723280373043478260869565217391e+303040', 70, 5);
    T('-6.2805e+17', '-8.14519184598728277263411977061042382499210282e+702', '7.7106839455157577783689155766117434339899018121092010961599488908636077855522951995e-686', 83, 6);
    T('-2.8398440377370809032542023717780905984097412510e-27869', '-1.93622897192071928506033735794847981683038501244695388206506e+5016185', '1.466688123626197339169243462412413297918925848556589849020950423396516735218e-5044054', 76, 2);
    T('1.0458363877686671976882334204321e-758448', '19933633.4230586928695660055656', '5.2465918559477054268771147104906644541657992619773953716966e-758456', 59, 0);
    T('-8.961720064943983913809726185290897467761236027926e-34', '-8.54549052659300653125164e-1656624', '1.0487075068488693931384182600836645475478951778840793459989591994005165139e+1656590', 74, 6);
    T('4.30e+906951', '40771588.456183336193414605924790075225845780200889', '1.05465599031569513067326760432739256111800229582599411083097e+906944', 60, 1);
    T('-4.31084416090164708660205e-7129', '4.860738807588668796955241690436591422767347415963e-5582619', '-8.868701511324746031924325113140342087764175889291559606764508669018310708707116574358e+5575489', 85, 4);
    T('-8.29149114e+780586', '0.00008544744301211095214406291719339499873664232', '-9.7036152841048734444845633309028372074266373e+780590', 44, 0);
    T('9.77129327906576217122091545215586069348608483973944671214e-7', '1.8079e+28684', '5.404775307852072665092602163922706285461632191901900941501189225068e-28691', 67, 4);
    T('-8.20793963126552000537116838363086168572853745991121568541006e-98', '9.64641262763382542567710e-51', '-8.508800056668165397129310597666269931308661076836174672419479896e-48', 64, 2);
    T('-3.6176843981400574677912736582474339026e-48453', '3.02183549648586787061e-5539', '-1.1971811180148985936879986164134867347294384304e-42914', 47, 0);
    T('-5.968397680044276695651584e+9096', '-4.614517534700289e+64', '1.293e+9032', 4, 6);
    T('-21', '-3.70850481417723207e-614', '5.662659495470833e+614', 16, 0);
    T('-9.58661405316543228368760763975257686567373339e-7358831', '-2.313910171251627663e+3318', '4.1430363945286144463766335205684117955699333404499322374415e-7362149', 59, 1);
    T('9.65292758714380486538411461404177406107749655e+1440', '6.913227056152443861643199181616e-7', '1.3962983580227062849823277930997746828646307420760691273736897836246753675296903744375626149e+1447', 92, 3);
    T('8.28174704078297432040643187958300524608847208333945719e+62', '-1.6483284829858043084e-818', '-5.02433048161693276182981867844595002e+880', 36, 2);
    T('8.007467117669440167e+153', '4.898987298575040484146486444e-3508', '1.6345147741041413902344373075023182759224927102422822243087e+3661', 59, 3);
    T('-1.7319482835320547453650748664417271887834e+76106', '9.07e+8', '-1.90953504248297105332422807766452832280418963616317530319735392e+76097', 63, 0);
    T('-0.0000071078844445129430615963499634064247374302210295295', '7.5313362575336085260948518769569382108628333091694834619e-8632', '-9.437746770903920413267641328108432493433838e+8625', 43, 5);
    T('-6.1022385943659518760557754527900393e-3645', '3.03803883650519539927744887222990463938825e-9462604', '-2.00861112143834714e+9458959', 18, 6);
    T('-6.9559158998e+448800', '-2.83723925006274622872827466006593836684867e+631', '2.45164939814158014559493e+448169', 24, 1);
    T('-1.86525869429085843675029030328801229562176172716503e+4891', '-2225.25499400768849598889728', '8.38222450601728103256212833080730582971587606623242284309192267e+4887', 63, 4);
    T('-1.906282980853706848014890041641367947435380267110901137e-3574933', '1.393506253039343502489912911533790314655218002047561960911e+5053282', '-1.36797590731721379975696052094740594e-8628215', 36, 1);
    T('-7.942417661436444666155e+243', '7.9066254470361738759260423817051935299974117e-718604', '-1.0045268635323667224715069595144811241329305690943480061913796102858899724016410305300273325e+718847', 92, 4);
    T('-9.4258441909533543e+3824', '7.5311536707110947031690119091143449064693815063e+7969', '-1.25158038238029501255670509975896601916114366217107847634e-4145', 57, 4);
    T('2.67526716565508e-5542754', '598.5082971777964923719713', '4.4698915257650120185982682961161925623265030562587694578125e-5542757', 59, 3);
    T('7.357388541446e+903', '-8.70e-80439', '-8.4567684384436781609195402298850574712643678160919e+81341', 50, 2);
    T('6', '5.069e-636', '1.1836654172420595778260011836654172421e+636', 38, 0);
    T('-4.5006987760521270831425994465786984664029797647500e-2740', '-5.8530498514e-6525', '7.68949332453677635e+3784', 18, 3);
    T('5.610359611286545027530565260019970209914123141279299572e+919', '-7.29792650493826357380686644e+915', '-7.68760771637012473609298163803943493633238634644086242284276111447734152268959520000822891579e+3', 94, 0);
    T('9.00460498005390008542e-158', '-9.8366977177e-2228489', '-9.154093414755599067868670651404132249601089111649809338330929363778511792745276829e+2228330', 82, 3);
    T('-4.31679605994773674e-200', '-6.2903952146452115088e-1380', '6.8625196234052697e+1179', 17, 0);
    T('-3.24019021513028894806e-7925', '-9.896685402e-420154', '3.274015575432443101579758592390992120980021832162105136299047126162250822651743416e+412228', 82, 3);
    T('-8.93283097346249e+596', '-206.523149385868409472', '4.325341251102250290661334596938869666714176248e+594', 47, 1);
    T('1.706099938516851624077006505602294759546662998e-6526', '8.173763490727923844908558949e-8', '2.08728811452912854602428498444772623223702284906999212887528020533162563531780103382e-6519', 84, 1);
    T('-9.1420418890725205738446381441692606915744140036041779681e+2049857', '-7028.51299481467620386544270009618145', '1.300707830492326305594803888902470033688553715e+2049854', 46, 4);
    T('-97844933.5221767675567896378267842185851320254998283854279', '-3.984129207696201e+16493', '2.4558674787245421182755980924171950909759385497886788661291e-16486', 60, 2);
    T('-9.8085e-422015', '2.753411590324229807865787348169528242e+91', '-3.5623079507866071e-422106', 17, 0);
    T('-7.2082319041935610025852720095088945984474220489692e+760057', '-6.5127446850e+764', '1.10678865099616000110178923888045744855533547588610868445244449191854e+759293', 70, 5);
    T('9.4949511094413271181353095e-7', '-1.24729106197516e+6702', '-7.612458229601600865603423417703e-6709', 31, 3);
    T('5.830e+9', '5.3982762998061964186554130446166827650082856620307e+99', '1.0799743614845e-90', 14, 0);
    T('2.86615622875847212162366436370915972265965884e-5476172', '-8.40255e-3962269', '-3.41105524960693137395631607513095396357017672016233167312304002951484965873455082e-1513904', 81, 4);
    T('-3.269001223052524569046431792699991008948195216420357774e-1055', '6.157009595957380488387716880092084e+1410', '-5.30939764199638736845678477540631651720812563006691070214554660430398502501459003e-2466', 81, 2);
    T('2.0576609123471778786976374890818605197262967111915944874206e-7929618', '3.06513502427732802e+61576', '6.713116701383541863881278061804986519025581619685243593454921929406481357691445292070279e-7991195', 88, 2);
    T('-6.85006782303648011e+174', '-2.7778230253422225241763545329403653828444e+56', '2.465984247571914613320915578953410428134545546025707559e+118', 58, 3);
    T('-9.52136e-5293', '5.59831195288791076586059401808341296063420272874517134177e-29', '-1.70075552776017953077524755677982633471486048609444011953018554104509035575938786360609389e-5264', 92, 0);
    T('-3e+60', '-53399419.8569659', '5.6180385630325402341196339417374033872626693292561486830335778243264266518716597e+52', 80, 4);
    T('9.39182367043563579687809217392347e+6340', '-4.250798904654189760777762103e-30', '-2.20942e+6370', 6, 2);
    T('5.231864e-4086', '-3.28882441273043192689015188108526433185e+69', '-1.5908006458929277793631053189e-4155', 29, 6);
    T('7.940389593197326135731489e-811', '-0.00003654997953972994164737553239538850432513732114022407000', '-2.1724e-806', 5, 1);
    T('-4.3228e-1116', '8.864865600e+73676', '-4.87632886391419177296946272936162732123090506865665284310683740089641e-74793', 70, 1);
    T('-7.4069871103057949618107450715592133674212655227878996e-29192', '6.8e+70', '-1.089262810339087494383933098758707848150186e-29262', 43, 4);
    T('4.0625650056253826300522320976800667101600873578330069374116e-192152', '-2.187469292246038738933083932611541230120e+823', '-1.8571986450397402047180017019e-192975', 29, 4);
    T('0.398403625460754165392379235799719286513099098812226095', '1.928598171255202747846347676206686401776333632651588679809e+245', '2.06576793133355719719522812910771e-246', 33, 3);
    T('8.45165895812645331905668372378472054458248243354e+7729', '-1.0808170932433517e-9', '-7.819694017573718633260261936900325520474069230490279124e+7738', 55, 0);
    T('0.04038302045383689737537715305', '-1.32939446599768226497472436070147847456299779152729975e+7854', '-3.03770035807470430831018e-7856', 24, 2);
    T('-9.13633591654216316034e+614', '-8.00626', '1.14114904044362325984167389018093341959916365444040038669740927724055926237718984894320194447844562e+614', 99, 4);
    T('8e+28', '8.703838751073686338701653179112604871e-47614', '9.1913467480232646270448834541777807310648243266524730865928427e+47641', 62, 0);
    T('-6.434512167015392179622e-5531245', '7.408522842627232539e+6763987', '-8.6852835628614546067092282202348002625881186498390751169432899715675788304629e-12295233', 77, 1);
    T('6.0902487774260370428642976805816787645545214e-6148964', '7.5854119021155769446167801709686445998651364641091e+4694042', '8.0288965925e-10843007', 11, 1);
    T('0.831725477620089540637251608898947983', '-7.46450893627041736511113807836155914e-8335', '-1.114240045421735e+8334', 16, 5);
    T('-4.09008155574639725039819291788738e+13271', '8.9971609112347516886481809085842319543', '-4.5e+13270', 2, 6);
    T('-3.2120904155341355747476839359766307e-9', '-7.8836687595691879463347598866117461e+1176', '4.07435993760557732e-1186', 18, 1);
    T('-5.1752466278763480562829198898656891176023042534294070243e-8246', '1.9377683998247856651135e+326222', '-2.67072506e-334468', 9, 6);
    T('-466866.110860556329593288994009716567594004453227', '-8.853628717569284701e+75', '5.2731611608480896934533923886716855438675844611536944119677243703e-71', 65, 2);
    T('2.3265655965468872571645946973229428895228525e-5966882', '-6.82123278223710542769086195351367924671468484078e-795', '-3.41076997490160723531099556292e-5966088', 30, 5);
    T('-6.515253415e-1689939', '-4.9409375880627692779120032067933438865277266139028064942566e-698062', '1.31862694e-991877', 10, 3);
    T('-305865320.7641477', '7.22301542136e-77', '-4.23459321240874815010765995510689114118693492253208681442304908334041092e+84', 72, 2);
    T('7.50585975540953514e-58849', '6.529777913039545664460982387159988245322879e+895268', '1.149481629e-954117', 10, 5);
    T('6.473006748046229360908291331313309523793e-5755841', '8.02336037096096949319672589791582590501057e-964042', '8.0677e-4791800', 6, 3);
    T('9.54840299023736708149984236017234055477610043557437948e-272', '1e+705', '9.54840299023736708149984236017234055477610043557437948e-977', 88, 1);
    T('2.3026675461e-906200', '8.43757563441351707e-93124', '2.7290629985091148594510005022879253829661e-813077', 41, 3);
    T('-95675736706055295.677406551742811040917583753585191172113196', '-1.820098938888938311178e-733', '5.25662284955012491159526249792727745494970648252567199389049386376e+749', 66, 2);
    T('-0.00000367878882129254076004368914186463', '2.21534e+7414', '-1.6605978410955161555534090215789133947836449484e-7420', 47, 2);
    T('-8.523221035207e-290', '-9.22950311628931292976250786203698455520043289656e+86478', '9.2347561161382748540585461990341573507302574000703952620656129161e-86769', 65, 4);
    T('6.1e-558', '5.083820386089577292843972361554693918170842e-8020', '1.199885034626893592002313284596062998690006879533206435358120004976236854862833e+7462', 79, 0);
    T('5.75437017863019687e+5601793', '-50265686011064078917406015064.05038', '-1.14479093697509492717111975944408926832484246759405446142254875451648396850802376531153446864527813e+5601765', 99, 3);
    T('-7.02479085615239757380511080902628306127526377163034580709690e-1929109', '5.937151585632715191e+2105098', '-1.18319210059444253820374823475694931242101809142953904771552228077106021985746268e-4034207', 81, 3);
    T('983326.3529671', '4.94670376809815834641010722044433880038e+1258390', '1.9878415993063518243178667667199833409018125874458e-1258385', 50, 4);
    T('-4.75992158e-5024', '-5.74257395010042921477085748004249382743005431374588507872780e-74735', '8.28882940186909728377127651680904728016558720061e+69710', 48, 2);
    T('3.602616015331472560955592560521969863314446783038758114320e-51892', '-0.000009441970853418132', '-3.81553392957919659196739917915e-51887', 30, 1);
    T('9.1497455227169232552314436076169103347782270651e-219', '8.373249799378905593133718575799e+456533', '1.0927352870083e-456752', 14, 3);
    T('8.4683622821934687328543351512700150155587470586503736e-78', '5.91343666713537280212039965446622473725e+65', '1.43205427890306135113135547671752046828696421139270728527469421798846833607098329784358305203559283e-143', 99, 6);
    T('3.189138486227352332426732440e-598458', '-621882029.123105326595384964817058122413466827221502', '-5.1282049277485119126158079163601873401925833903091364654e-598467', 56, 4);
    T('8.36327002464142378308e-5456846', '-4.1226702772597622341370819150656144937577e+170', '-2.0286051180887267413705307718807271002754666407162366416533614250649191231300041619677e-5457016', 86, 1);
    T('-8.374182824415045331433178480296e-9', '6.147680930636187947068915894326103429660857246967961753e-897', '-1.36216939670427065891719674e+888', 28, 0);
    T('-6.1555075166107317522046137450664e+1059243', '-0.00000787', '7.8214835026819971438432194981783989834815756035578144853875476493e+1059248', 65, 4);
    T('8.878418479987526159e-22', '-4.64013766942433523967e+99058', '-1.913e-99080', 4, 4);
    T('-1.643833156167073156227836724712230496026e-31390', '1.95796758465874581171150957275752554e-5636', '-8.39560965690643367874396342e-25755', 27, 0);
    T('-9.109741755526673003743735919690524222898437842e+183', '8.236165559556987020556098725141774367711141832664077433e-9827', '-1.10606588583640304424494579923987e+10010', 33, 6);
    T('-5.4149584e+8284753', '1.54056e-560104', '-3.514928597393155735576673417458586488030326634470583e+8844857', 52, 3);
    T('2.690472873319424346621055802539580796027419185779186808860e-24432', '3.268504216190878954310096433055532399962763307309182634339e-72997', '8.231511099150138356502834964202409620452717229808497e+48564', 52, 1);
    T('5.511122960487624576329342700193361e-4398', '8.2470250190446060067026043384322816060e-86002', '6.6825587987922367549111897380349609664e+81603', 39, 4);
    T('-7.917e-98', '4.79652886e+27883', '-1.650568615571719920809566441345252324823914433822462188e-27981', 55, 3);
    T('7.428249642380234695622316151679325106710e-62390', '2.4e-977', '3.09510401765843112317596e-61413', 24, 1);
    T('604.4744600260950239251801774458251452270154165496606', '3.85136383475361979e-428203', '1.56950754579842125925300989434603040384295630928408984826598160297536279981120155879629e+428205', 87, 3);
    T('6.67e-284', '-4.72088315743215515882516e-40', '-1.412871231413410813e-244', 19, 3);
    T('-155151.809518011593063914917713333906645884471601871177', '6.338188022666799058422649809028e+39', '-2.4478890333191995048e-35', 20, 5);
    T('-2.22820726393277647144506439090068833253219972870532e-46', '5.56841444938689968910723598834822695961194434430534984855e+68617', '-4.00151117375630911580611713636285050732371989524994875555666134152593754919e-68664', 75, 1);
    T('2.338716212847876184951897169726620037171397775970546724e-9', '6.7256468684977240454503848810066203901786164055e+491', '3.47731044845990282013489394411795073677106e-501', 42, 3);
    T('-8.230327025182274219825664526246374e-668', '-5.0930940348440986089411798148973918058986185512e-19276', '1.615977825831406902502437049283858159926001981843491735777952747247195e+18608', 70, 4);
    T('2.3392164138920437971579e+704', '7.31e+13', '3.200022454024683717042271e+690', 25, 0);
    T('-2.79932318853820678394061e-21', '-9.65201e+795', '2.90024895181232384129379269188490273010492115113846753163330746652769733972509352974147353e-817', 90, 3);
    T('5.262694813393922563321996504321750944298404865e+575', '-5.27194871272972704640595467498038359604198471206982404550e-6428575', '-9.98244690940664904824180323510480234891254747217390046867982787938145121410706590862433793592286912e+6429149', 99, 1);
    T('-4.3032495194572e-1791', '4.170871137116609104632427816969e-8', '-1.03173878501365214057079824e-1783', 27, 2);
    T('-9e+8', '3.2664588981099192225e+355657', '-2.755277e-355649', 7, 1);
    T('7.9856701729158152160178915270177478260463473296e-98', '-2.15e+219', '-3.7142651967e-317', 11, 5);
    T('-9.24426980659693e+5552', '-2.360371109184588582050804305650031929948074e-2907835', '3.91644761e+2913387', 9, 3);
    T('738078.09969552153351935869902827601706320582953', '8.906309895128553028387337269294725851683085877664e-982516', '8.28713696678379691594990928450730337629e+982520', 39, 4);
    T('9.3107363647475354115363146495992673271e+5571', '4.1390180629e-470', '2.249503680161273502408593378453233066971837302343559192685348743e+6041', 64, 0);
    T('-4.6488388360919e-9351', '1e-3552626', '-4.6488388360919e+3543275', 37, 4);
    T('3.502125971589041207828696400973199183170931575e-82', '9.904207204795497308966962641344218578493956925920528420e+3548198', '3.53599828756950296897419759303716701189355473124227765928807732432119654387837196648e-3548281', 84, 6);
    T('9.626778775512443898886198120e-9711', '7.65144880552399643302293049643e-419330', '1.25816417520330914099639287218543216722553820660528264158268029998306536564450700364e+409619', 84, 4);
    T('3.6373670222495719639910226014743e-9583639', '-6.07946609592801701149048389895673e-7772448', '-5.9830369391908516894138809710480605955155889487697065431530475e-1811192', 62, 4);
    T('-5.413414359362491050376993e+974936', '-9.24500668218936221853305801534354e-1217', '5.855500753494869122525762250264453613312731841180143e+976152', 52, 5);
    T('-3.69528652339681914004592099858729090908267654e-539', '-9.2994862604892540e-1857549', '3.973645876651262374221097377505640866928128627967019046518019594709834308762109480776941e+1857009', 88, 3);
    T('-5.603651212122744684360301186677920904987516640e+797071', '4.9958064506424300553261469051348812542e+10837', '-1.12167099896397097658540051011786267488651144897649339081833e+786234', 60, 1);
    T('3.72422571684e-5479', '6e+261', '6.2070428614e-5741', 35, 6);
    T('-3.16039807859960646663838964073463294295045516614321232e-304', '6.299543644013528164775335365232981750549918232246358e+885967', '-5.01686829585337e-886272', 15, 0);
    T('9.67423623391707022179457264639757180688635006848e-9402', '495973672.925098457189712686141111899121970990995137558614709', '1.9505543866595648012867e-9410', 23, 0);
    T('-0.0008581694', '7.820967675296252e+74422', '-1.0972675449237082155925496257359580492418377059710845942002508336411181101106074e-74426', 80, 5);
    T('1.226198817917201442232008153782416893056584e-1854', '7.189408017858061042470833e-25', '1.705562982197416890856662477715422791996245047064069983970266716961215470414672e-1830', 79, 5);
    T('-6.35189227314088953150171322959882305313405e+48', '-6.694886542643052998499564284e+473123', '9.487677248423161703764467275166572204266404817544554045922423528094758875270330077509010918430467e-473076', 97, 0);
    T('7.4616536852330028276844750455006760e-8213273', '-8.2616947301811015785381280075461055528562843038319069159e-89', '-9.032e-8213185', 4, 5);
    T('-7.2684620847414561029923060748011961389878918997817e+87108', '1.948949090678718996919e-536318', '-3.72942634546202e+623426', 15, 3);
    T('-5.017576430311015662375160024056601527714e+8326', '3.4813441259481e-48', '-1.441275624811879878e+8374', 19, 6);
    T('455317007.49227692213377339503163384422094806', '-5.65275506053420792162316654536951391432754e-116', '-8.05478041444179693663347923332141134756382641597760190726596537031004841221031083469960305598910834e+123', 99, 2);
    T('-9.633607066849e+57758', '9.02343831685532970072242113378955028698e-515', '-1.06762042677832747096251659449918592253561599947896316645079438705808961282465257e+58273', 81, 4);
    T('-5.53047387401759485491421040802881710250733e-60', '4.832438868686975373399225473898e+6688', '-1.144447767327946138566275743e-6748', 28, 6);
    T('-8.5517e+999376', '9.6709761353725e-467008', '-8.8426440933106609382861204631117022322680864436317976499429295071253175787715682e+1466383', 80, 1);
    T('-4.7985931982836001286789522e+3083', '5.8754920117e+84', '-8.16713423952930761956558239736905197909929787063589141361439526438153186264845177340265534379e+2998', 93, 0);
    T('-0.07439743626604329095911613823765871837095179096615', '-9.567422335725e+374', '7.77612126395229348289773448812196298503460679537357436759941658658788819681845695978744714880971133e-377', 99, 2);
    T('-9.3513764e+35', '6.3337512065852698115383106285012045646880436155304e+9430729', '-1.4764357005809247057710477075102868262504333e-9430694', 44, 6);
    T('-6.4526743163882376690571082e-523', '2.67548292599e-9608', '-2.411779291770503887706294874287328174391375e+9085', 43, 3);
    T('-1.7351679399705858734112711e-7', '-7.700225783512425379281739340851003461459979259249134278e-990', '2.25339878174208077097179e+982', 24, 1);
    T('-0.0004775444877931838264447996', '-9.45257809685942648262068211096105377974029e-9558', '5.052002563743384263167828462454906927095954922595940600820474e+9553', 61, 5);
    T('5.61325106751824e+33478', '7.0e+730198', '8.0189300964546285714285714285714285714285714285714285e-696721', 53, 3);
    T('4.54882500559155710013485527076437069018865104e+9974066', '4.8906436370421086920470075e+952447', '9.301076388265971471355717622194478e+9021618', 34, 0);
    T('2.93236783716e+32', '-5.663565141e-50', '-5.1776006175541929729523349363379380260226091394399307395553446853e+81', 65, 5);
    T('-7.30289545768349143493882e-46', '-5.144108787179330100997948996487019772996e+79', '1.4196619394761845879192934848753033761430984e-125', 44, 0);
    T('-2.472060745e-6363', '-3.7231031996015984083496038307e-2183', '6.6397857176361109727293604341430323063265900296318742853356936680116395513e-4181', 74, 3);
    T('2.47103852713966506e+686152', '-8.526641704891077560618072669077e-574980', '-2.898020830079233415870600138873590163204027879e+1261131', 46, 3);
    T('-9.25e-89', '-1.5070207e+9915', '6.137938251279494e-10004', 16, 1);
    T('1.119365099713806799416359', '-0.00010141064', '-1.103794532520262961969630602863762618991458884393195822450188658704845960936643334466679236e+4', 91, 6);
    T('0.0070606848678199435435749361053874132790999688086830', '2.814984075612565257476863631e+880049', '2.5e-880052', 2, 4);
    T('-5.00908986898781781403504e+571', '9.594306468292974628815546812025040297907943190487345e-30529', '-5.22089833751061988567640162835383536040375896870047458122903418260221e+31099', 69, 1);
    T('6.536235082892238482944e+136255', '-1.50376540589127238953100e+66', '-4.34657896589811005907720591974213630955054958458773945203e+136189', 57, 3);
    T('-2.59747179123742e+16947', '2.16814390894744105231364264491757e+374', '-1.1980163219416569074208688960981e+16573', 32, 2);
    T('-7016364441823846934204633960.3246656336726794986082', '6.267890414729140882953463043550540194e+71', '-1.1194140257040614563483e-44', 23, 0);
    T('3.81096696335100355559824657758339e-27', '-2.66e+499444', '-1.432694347124437426916634051723078e-499471', 34, 2);
    T('-5.3001546173537375421251306682432058841675552963350451100e+458406', '2.543e-80', '-2.084213376859511420418848080315849738170489695766828592213920566260322453794730633110499e+458486', 88, 2);
    T('4.9725550366e+208', '4.320790745427404224419192661705787428967725606692482e-3161', '1.150843752815926872292918e+3369', 25, 2);
    T('3.704010e+554', '2.885131087270377727451557613008319e+39', '1.2838272813123245436918555271613317085199348008316522416757736e+515', 62, 3);
    T('1.6173538174534536423307034636137041553e+890', '78043.749364184251171298739776580568', '2e+885', 1, 3);
    T('7785.38926714803', '5.7128906668117937069399910232699277065548249552272e+415034', '1.362775820719992957199284214478469761555796732349660451706183955300180161313835764446e-415031', 85, 4);
    T('-5.07868461604023e+126062', '8.106710194968426653e-9549', '-6.26479113462376589e+135610', 19, 3);
    T('9.3112e+31902', '5.802920972045397225171810479e+9962', '1.60457122281264059215138442381891442719754901809875966906068353237e+21940', 66, 5);
    T('-3.62116210365102980919563849163417520549036635149e-859891', '4e+279430', '-9.05290525912757452e-1139322', 18, 1);
    T('-29741.72386912651648227429513933355112481075034929319615168', '-1.81254559267e+865246', '1.6408814e-865242', 8, 4);
    T('5.8020204908101208375565271248827e-8422', '-8.21e-574867', '-7.06701643216823488131123888536260657734470158343483556638246041412911084043848964677222898e+566444', 90, 2);
    T('4.2249210117868151825850569355007155971e+4443684', '-2.296799414051960498455283054114e+6935', '-1.83948192686679028592157851487994594041898951624008242379071453644286557491435400935466725337e+4436749', 93, 1);
    T('-5.5683967199378466381245121771765180601322725857e-5782', '7.63989281e+2878', '-7.28857964165317476244082562877805357603213884e-8661', 45, 5);
    T('4.890056674046618952861254179424762170739416e-981373', '-4.788878637890516129744512240101667588921071707e-41173', '-1.0211277093880732348828801954836327803781607041506663717693804718e-940200', 65, 3);
    T('-7.5489699907035199753435159498025523e+7333222', '-510.03729222053270862928676321455378034348461', '1.48008196770040397791935767373126144302782359243310019996660175167506e+7333220', 69, 2);
    T('-7.3270584615286236633654430861733084802309157028492e+351', '-8.84687011420092814735489917e-10', '8.282091142908592656216924750530931007470543029276830203292965428595765458179031126780952065735072164e+360', 100, 5);
    T('6.083061611465e+8023446', '6.08718592e+880', '9.993224606e+8022565', 10, 0);
    T('0.0015756454197115404268201989899732397545221953', '-2.2625460695220128276222100052234505e+921527', '-6.964036847410636172915824361955334e-921531', 34, 6);
    T('3.778140914519654343155865295708356480390693e-4233', '-6.36608e+3186', '-5.934799616906564704112837563631554238072240688147e-7420', 49, 1);
    T('-1.037059766939040576436457737042171551398340625385e-2015', '9.58872e+581668', '-1.08154140170850809746916975054248278331032778659195387914132438949098524099149834388e-583684', 84, 2);
    T('-0.0000530084462581851788143636634433353360733168428056102', '-9.612800144197474955e+9901451', '5.5143605883e-9901457', 11, 5);
    T('-7.5993961461969e+9399', '446.47891237020844546821761352121943801', '-1.70207280470520469485545830180759296578670882013617711034068981979e+9397', 66, 0);
    T('6.915626408396995959757568961988119758281756464113147402772e+286302', '-3162.5608939936388120318745', '-2.186717233344410689191305768633537907690605443288196266993964591605791604315e+286299', 76, 4);
    T('-5.5437383828828567108517373e-776', '-2.1140533665e+309', '2.622326602880891233571296555062627365324838406817011636683297512205919991849931381569028144021e-1085', 94, 5);
    T('-5.613748719378402450137898026316048568184578645980579e-9740', '8.6217788896525220020177465853e-64264', '-6.51112582591949275423601496056334250886183469397e+54523', 49, 6);
    T('-7.23012652470383234547804544659544027917108007437e+92575', '7.9142419737684090279744728848831732235974822361464930703e-1068', '-9.13558942052560035722583534016743762565074490431624107788163e+93642', 60, 3);
    T('6.51068003e+842', '-6.64386076662392515945318968640865e+889537', '-9.79954316e-888696', 9, 0);
    T('-9.4220842814894740355643871550053e+81204', '-351.6319547964917916245896910470732083574798711796107577637', '2.679530160148e+81202', 13, 2);
    T('-3.0704509983896666335891441257686892358819812695e-87', '-2.92831001734855596829254121942366818e+3082', '1.048540277565902156270373e-3169', 25, 2);
    T('6.926278921765102227557189450', '-7.812398429709661207988000287030472469e-5915', '-8.865752283e+5914', 10, 1);
    T('9.53634e+9', '1.965138983505348446115414087092375e+2823774', '4.852756003541998481759701658454e-2823765', 32, 0);
    T('4.082089070477382148438037008743948177675540493962936e-250', '-3.70981132278431827653065681305312802364964588974562536682743e-150415', '-1.1e+150165', 3, 6);
    T('3.21546866478602997320941159e-7809804', '2.62951330458537889745968954585764480040058726479e-950855', '1.22283795224722941388512706360049152523621791432774199557610762019505424325062326677e-6858949', 84, 0);
    T('0.000001127403718694283526088035899517087999169464688', '5040.5820754022433780182', '2.2366538265410857475691712665224191379092605641551473288691761417416e-10', 68, 2);
    T('6.413972006320308603410995781591590851e-444', '-3.2406899986995856418987390184575532612629808e+462275', '-1.979199494210827954302790460021418282864705538491682126209e-462719', 58, 5);
    T('-5.2367600337694e+824', '4.7e+5112625', '-1.114204262504127659574468085106382978723404255319148936170212765957446808510638297872340425532e-5111801', 95, 3);
    T('7.15018163450037e+1043420', '-7.696127791261132765e+2500843', '-9.2906222823110103051626310097830063941749614706048755651973922142971166784633139143550974e-1457424', 89, 3);
    T('-7.7870434680448997482202649e-701', '4.890909233287873419915520169498642163367953112705806720e+3297', '-1.59214638763805558495114202287446668688246661401731068853250999357151987686894e-3998', 78, 3);
    T('7.90371913475853302971e-383818', '-4.441915588351562702723111858272999177138721291129e+95233', '-1.779349241909317480964260091333971618643975276275877872610237534154609112143514e-479051', 79, 2);
    T('5.52588573333732102332213278851769771097086764096e-8724', '2.02383031022516609043346e+50', '2.7304096126134830768336584365822907780869250235184735679058135774495742756972e-8774', 77, 1);
    T('-7.951110327860274247709e-925', '7.2814109864640187205483337377e+33027', '-1.091973841696507960691114551726008615002680220148021354595019556540182019932304e-33952', 79, 2);
    T('-8.873697338599954480139605635456864714416268787583e-738803', '-5.91062688993286e+924', '1.50131238256873842251701844999129311191366440778955739978014259056389850612452719811e-739727', 84, 5);
    T('-9.1436152843889238774692104695050201272912884890200195506754e-1683102', '-5.1803330099891957216255347730391e-164215', '1.765063224074082085292551095234045505e-1518887', 37, 2);
    T('-7.29640957067304272880720e+5081', '-1.33628370095834306203522543771616626623455384353366e-93', '5.4602249248720717426278865744444652435574141226720132536e+5174', 56, 2);
    T('2.33133930445796588877032528e+7156', '-9.9677887295e-61', '-2.3388731119e+7216', 11, 4);
    T('-0.00025785307906304864870180865683793673660493', '-3.0100e-2761', '8.566547477177695970159756041127466332389700996677740863787376e+2756', 61, 0);
    T('-9.6770193467199039717825616309703958882916034534672395359137e+17688', '4.18979882378258924597780062e+496', '-2.30966205150236810986706968918539917699847241253752508255359e+17192', 60, 1);
    T('1.86580566344553757970697514420e+6799650', '7.183157009290574082361044470e+8288', '2.5974730345339e+6791361', 14, 4);
    T('32247647.57900330176', '4.95060627882350112486901533975e-743', '6.513878455037808507585850262360816147927774047594341235776473855525437e+749', 70, 4);
    T('8.71e-52', '7.03973305194871690612804091405988801409802e+4222', '1.237262824559650740798598369147166862397725876647363701770872319086241898425822176503588167155e-4274', 94, 4);
    T('7.7259064897661884349401371280937076e-9161', '-3.8203883860072154274824008666988387842750011e-7660594', '-2.1e+7651433', 2, 3);
    T('-5.9e-23258', '8.5803408660842006874930413872203e-54484', '-6.87618369955572119402196294175433788610487746425290374504322286841107516242783695487400261964372e+31225', 96, 3);
    T('6.90798422701265445098778106e-24', '4.0360722484987e+722897', '1.7115610924909040265927784803960678188103834405789e-722921', 51, 5);
    T('-1.6717449184931518514025394010707104237e+51', '-2.6045e-900585', '6.418678896115000389335916302824766456901516605874448070646957189479746592436168170474179305049e+900635', 94, 6);
    T('-8.08874022564473140199035422086674705e-18474', '7e+60396', '-1.155534317949247343141479174409535292857142857142857142857142857142857142857142857142857142857143e-78870', 97, 6);
    T('-3.99756e-8744832', '-1.129777112335753948998878000850812586076825723004920940396e+82563', '4e-8827395', 1, 2);
    T('-2.1986880829005591347235935044e-66', '-5.53128913507041640704954869060137865e+22329', '3.9750011782245561542585386936073468939246936098645050823063861338176931635325497215244e-22396', 88, 4);
    T('-0.000226930118', '-5822.7730802712548122145', '3.8972859644640046e-8', 17, 2);
    T('3.5358228603437829467542565252394409759941451716564387844e+5819', '-1.1211285523789752278505749782883138380764249835122752e+654', '-3.153806807293378336299434516590902750456037343818220344010026e+5165', 61, 0);
    T('1.540945741255801235146421640530441629341e-59', '-0.28959050868264919998', '-5.321119632910562022779265944683536368088159036094e-59', 49, 1);
    T('5.67465911290e+60', '1.82139318766325427065720e-489', '3.1155596448564028586441404475e+549', 29, 3);
    T('-0.000073324629052045985374799060767559177945662087945380531962505', '-8.6235020738126851431568817200653038002538e-45105', '8.502882984711473461151286399869019847200978176981996060734467871714834324909852815521082684024201e+45099', 98, 0);
    T('2.33655464176415788042730153765978361685159812387632344e+966733', '0.000271032054732387189879751975458037143324874109460138147524913', '8.6209531343856555071879118346685369655541121912109514462e+966736', 56, 1);
    T('-7.3857752173247842104384133616842993670558572216964745352905e+593726', '3.5159864077115843821601402777019512966207959178114659e+86157', '-2.1006267831768699436790676448e+507569', 29, 5);
    T('2.297954795295988905597e+35', '4146.8211032798097836971', '5.541485243910057160840790548754435007075456066243014035815812282364190103557437813616906558929018991e+31', 100, 6);
    T('3.01e+69', '-7.42216850812595777997133787752109191066448160807243548474e+555672', '-4.055418570333702329360565078021946914153372178576123824979e-555604', 59, 4);
    T('-4.412068782529924812219217692595557950834519815e-8', '-5.543105213195272592447854502e+80', '7.95956167677832671851525278405651096717750940224758071101327343e-89', 63, 4);
    T('6.0399317841e+79092', '-36677.6188495002669617', '-1.64676224181393229943713741633116474956001090019712342463957e+79088', 60, 3);
    T('-5.0141298538386961519854674556082694550280506139337568380169e-8654417', '7e-7975299', '-7.163042648340994502836382079440384935754358019905366911452714285714285714285714285714285714286e-679119', 94, 3);
    T('-7.29985014324738862670793202560933158762654831493606e+644533', '-5.742610820531e-7269184', '1.271172707220371224664309552725807599674523039e+7913717', 46, 5);
    T('-2.356096137810041e-8', '8.51666515563839e-30', '-2.7664538815996615880251302469e+21', 29, 2);
    T('4.0e-187474', '5.57545409734318035788872379534690e-187', '7.174303527861673281695766646416424586540746909e-187288', 46, 4);
    T('-8.3408180480517571e+10261', '-4.95082841688375001488467e+93', '1.68473179551267957952978522430716289057086493073281654507483485966953015258527807096102260243e+10168', 93, 5);
    T('9.485789339622840784590481050e-758233', '-7e+726', '-1e-758959', 1, 1);
    T('8.129451975131457857e-74', '8.869163209722283113995855593533903424761637e+93582', '9.165974042e-93657', 10, 5);
    T('115297180.9500040358261890643216883791745981094374599890744', '1.6156778e+59619', '7.1361493578734594128971175021213003715591134220857641959554064554207528e-59612', 71, 1);
    T('6.57e-9104596', '4.59782738301854050988146364667782520337e+9668429', '1.42893576742e-18773025', 12, 5);
    T('3.53298148390840216063756828528528731362938e+37569', '-9.693e+1242', '-3.64487927773486243746783068738810204645556587227896420096977200041266894e+36326', 72, 5);
    T('9.680686421339337e+81140', '-4e+5337866', '-2.420171605335e-5256726', 13, 3);
    T('-3.1049010007243138532000993279548588709755e+1456', '-5.8689398253118613130602e+73', '5.2903950170580031454614795341541860027427127591621462e+1382', 53, 1);
    T('-385306.7431768853361651458', '5.299549444959349552757082715023594875873292038137301e-6847426', '-7.270556623325190052068228882650212113848551007603369953259657763300398903e+6847430', 73, 2);
    T('-5.435380099616010286e-158026', '7.3872183184755192092675802546', '-7.3578170635922066041185497089932822622241189992455124805127369709866132541296736072e-158027', 83, 4);
    T('-9.8161192725730583900346322467838080325819591676675e+67273', '8921123217228.625485161520374979079834199241555733', '-1.100323247818839811644712336352805812090694235673509811515801464524277016494901066683240684988785e+67261', 97, 4);
    T('-1.864801574014925385704410998424068774884363551529322918439e+120', '9.92571328569748e-9', '-1.878758251764155965301353804071955e+128', 34, 1);
    T('2.217008116600306723453013180713380171420e+100835', '1.14660112752e-28', '1.9335478252978045906788601940388402134544588573422e+100863', 50, 2);
    T('6.20e+34', '-6.426989860828637290655138377524103575311848105114906759462e-1672', '-9.646817770458764510831701666413893777968947562533879503975426e+1705', 61, 2);
    T('9.727031936826544042916483357e-85', '-1.89632939742514066776200722457594141263447e+9547', '-5.129399960805347109409011815190515409432537267368130140053722143e-9632', 64, 5);
    T('-8.83141803151495457159535149e-251704', '-4.844900529997879600e+9506665', '1.8228275228426247370397069826926702651387770675304659480581723315579117882554000331882e-9758369', 86, 3);
    T('-2.7746632190032869089126814262857001229975904e+74', '-3e-3595', '9.248877396677623029708938087619000409991968e+3668', 86, 1);
    T('-4.8913969468539595739229875634648105516559842059174585002e-7160', '-4.0157e+5', '1.218068318563e-7165', 13, 5);
    T('-7.8358544722217023164122950825167760865007006130021e+5126', '8.5634284165424837389049497735142038323e+38885', '-9.150370729e-33760', 11, 3);
    T('-3.339303256823800935989097276894281516540e+4548', '-2.6988482496225472744646183693876133e+407', '1.2373067871788737121967452402266068399668e+4141', 43, 1);
    T('-548800521893.8564475915153910333667398576296634307', '-2.5e-9087', '2.1952020875754257903660615641334669594305186537228e+9098', 62, 6);
    T('-3.23665793569776385550085525852436847903310590312e-156', '-9.79026643429840e+8372', '3.3059957636686243240936332506488908316402035527114606879e-8529', 56, 5);
    T('-9.143e+3159', '9.63305968857275e-8821327', '-9.4912730696000098685765139367599e+8824485', 32, 1);
    T('-1.3447e+993', '-5.7289053674945975212302570073', '2.3472197806403512398449179483606256965048752905323068e+992', 53, 2);
    T('4.2e+4697', '6.67283818842789008830786329896620947816689867e-18309', '6.294173305871085754601221156061039486728147858539713818065820568e+23005', 65, 3);
    T('9.69383851251244836506017776859981387098944e-1119', '-3.82486379521501469397596288e+9198', '-2.534427114669977233684743545593026338923169057834944305720357823361e-10317', 67, 1);
    T('3.5355491459875958e+83773', '-526916578.223339198631317192353972585023365789985', '-6.70988405395932650363426244693308215766147991508e+83764', 48, 1);
    T('2.718081113664408632444613291904096612330859388072304159155e+594', '-3.007577482890046655563515677964208993e+306799', '-9.03744335475123100808781769700866206e-306206', 36, 6);
    T('8.8280996164510722828588026346315877842e+49752', '-2.578833566225900100617160782290e-462', '-3.42329172850457241836122644670733151462648422285155e+50214', 51, 6);
    T('6.18681765136134904e-7', '3.732459269136594316351364685108041682930269e-3789940', '1.6575713772738652251097576250282215785789005e+3789933', 44, 3);
    T('-8.323397905126013e+48228', '7.36322886312e+679', '-1.13040054300297319643962874557566832355716223527807796889969229301300843252608254e+47549', 81, 4);
    T('6.9873812870178255895e+27249', '-7.07149107988029991181662887992194025064562374268e+95', '-9.881057909976324172662205032137680894515657641325e+27153', 49, 0);
    T('2.1152163290656455693673204267197398831e-61', '-6.456271859817401712122612921625581674711229e+1338571', '-3.276219426617312200927697655913806547948256572e-1338633', 46, 6);
    T('-1.09183e+7', '9.954814761688306975626749165618904112910970292700419135987e-84', '-1.0967858530145355305021090386646e+90', 32, 1);
    T('-5487828.385013699423427876683829029974006362', '9.70775568463159251831771571625e-3286', '-5.65303512293939798174704195640977462372739276120496777814221708332632e+3291', 70, 1);
    T('-8.098437997145103e-7652166', '-8.36676608646337215744959966866e-20', '9.679292947184936412297378769435397836153709746294399932731e-7652147', 58, 5);
    T('-4.181701311108074144453210348e+84615', '-2.59250909222674097767953708202021830271e-97', '1.61299388443662296483276372047788464624876472791715240051235668441708534365931838065838e+84712', 87, 2);
    T('-2.1946536e-9244', '-8.491803457524430e-4644213', '2.58443758263782946131100536322795270476575807105843776888003208538e+4634968', 66, 6);
    T('-6.23973769513358772836843552665264653907865499141648514068563e+87532', '3.5819515125833579189611124225908919919509690960e-881', '-1.7419939028246069095236056731585987829852075e+88413', 44, 4);
    T('-7.62222718575298084791963989755171157896421922098e-8', '2.700391860215424e-906440', '-2.82263744683e+906432', 12, 3);
    T('1.58106346989151921e+21462', '7e+349080', '3e-327619', 1, 0);
    T('-2.429317513732e+172', '-5e-2651', '4.858635027464e+2822', 77, 5);
    T('0.1236426444791588877989785775274150', '-1.352448944441565231465913465014929481e+8735', '-9.1421302805786670098968277535229542497707635857461e-8737', 50, 6);
    T('-4.43954145466498120433459608109189970592e+612', '7.4921997112e+361', '-5.92555140785737949234632794113057666075525741786369055e+250', 54, 3);
    T('7.657832561234625660962641308353880838095e-9', '933670.6227621730949083132641808337450043175977092665', '8.201856601827824492429351726267199805326131202106177177883172191743197722895012036050487e-15', 88, 5);
    T('-5222835755032571284423392644738827053269141.769044897870', '518814015064458662316010618618424300078235878355386.8098048', '-1.006687484027137161766303e-8', 25, 0);
    T('7.39473264091755859436653746796717e-5209', '-6.721318739047255408321612e-868447', '-1.1001907405399672166463321e+863238', 26, 4);
    T('1.270035347e-88', '-3.00179606772863413672234360098596983e-398', '-4.23091815148188e+309', 15, 3);
    T('5.42341558926388220256812026598127331278996e+3907', '-5.5796791105079578934372876987929350954316723338048e-137', '-9.7199417e+4043', 8, 2);
    T('2.53e-483213', '-7.966921641312718232192e-2431923', '-3.1756305809267746027072698119990131640262859733199129780927577641050825e+1948709', 72, 5);
    T('0.000042126661266767803321258525491351033371350260142', '9.72490468370304629953429108483e-42', '4.33183281861502274715200268119738320464373364656108e+36', 51, 2);
    T('-4.4016804546058e-4158', '6.230344780997698886503234850021581e-128', '-7.0649066935e-4031', 11, 0);
    T('8.579819712873667561921525458950450385e-173879', '2.3706e-53', '3.6192608254761105044806e-173826', 23, 0);
    T('3.333e-406', '-9.9074541823186649148847716345401e-3311558', '-3.36413e+3311151', 6, 4);
    T('-9.6258606127655262116652631e-69532', '-4.13989779428048150120217031932511436148151629840975e-2524647', '2.3251445062397997427574041686374e+2455115', 32, 6);
    T('-7.628490657079218476257318680041600655852404463308105946e+2329368', '5.693190065891644457394636018303104369077399869e-792', '-1.3399325455129478535630116e+2330160', 26, 2);
    T('7.671288250098857278422e-5154', '7.65464653550507385129773313472822218277275048177557113679144e-28', '1.002174067021e-5126', 13, 3);
    T('-6.550', '65.24407556804507818824129951207996', '-1e-1', 1, 2);
    T('5.16845703096e+864260', '6.38050241889733345267661156e-44', '8.10039193097461926869608786757567756023918792372036351176269746428823309632946149469979405e+864303', 90, 0);
    T('3.4e+13', '-7.7241638463e-56834', '-4.40177094589811847399159435927409788560015621324767443779903703361451052392857887634475048e+56846', 90, 1);
    T('7.3261049958962e+1748927', '-6.075938e-837670', '-1.2e+2586597', 3, 2);
    T('-4.6e-810', '-7647911169041102028645.23085440342151535045257679732464', '6e-832', 2, 3);
    T('-0.658690924922719154496897934506963532092562393', '3.178280915e-896', '-2.0724754750720930358570835596102855247222928153284399e+895', 53, 1);
    T('3.9815061582932841373774251441439598018e-8672718', '-8.76586022531041505298742893882824972430228637623734717706e+253352', '-4.542059827508020484292661296321338357331458332746425418203076039e-8926071', 64, 0);
    T('1.766e+595', '-1.238144981467114374483386903529211573850150543339463709e-376317', '-1.42632730934903495852e+376912', 22, 6);
    T('4.68799944924864471835382215330057183815440997980', '3.3262e+6', '1.4094159849824558710702369530697407e-6', 35, 3);
    T('3.6160987687856049722327795342435359628748991066127660711e+154100', '8.15262479979128916e+8083', '4.4355025008365142935437780656007729100441496442755736312484852932e+146016', 65, 6);
    T('-5.4360264840619213662653828446211298602863088747498635663e+29205', '-6.6302974279241108090102742e-540', '8.19876716415102750498425729926174616102731e+29744', 42, 0);
    T('9.19375245353160279550786460056093972e+53', '-4.88322873029981e+22', '-1.8827200119637124818277812e+31', 26, 5);
    T('-0.00068057022162', '7.9525181690146489435304154080285534016552420821019967139466e-72504', '-8.5579209900041707781076145540989e+72499', 32, 5);
    T('-5.5421150462317965e+33', '4.78372888e-180', '-1.15853e+213', 6, 4);
    T('5.583964880100101519614006016321350750070309274344588e-723933', '7569375.505649745568210769434496142249054374987677', '7.377048312548712794845656020809478472657797031487486220292017445592517433987514021192812958059720214e-723940', 100, 3);
    T('-14436.794120156598569472498872714165315278079740318413185', '6.6320636108595148656301315412050918227799049538458e-885011', '-2.1768178001968215908645437787428641555429323464706365786309184838585674671237694e+885014', 82, 6);
    T('-6.86576762320457954957632017250413494e+805983', '-1.360284335931e-22', '5.0473033040592503577549160627761754571373349303512645242e+806005', 56, 3);
    T('-7.9411065506146760086723365948809513e-9', '3.42103970887144239704323559099e+8998', '-2.32125529850524486434684044554593567945578602178703876399467113e-9007', 63, 0);
    T('-3.723639718833818449506469228915776046300483314070e-1778309', '6254.1094835086163039802618367', '-5.953908751761762120004110355669262627859980279687078574792e-1778313', 58, 5);
    T('9.54488753339e-4675471', '2.28437621186903100394786e+8691', '4.178334323303324720268639443218208362729656466390705136120907341e-4684162', 64, 2);
    T('3.730e-28', '0.000016603702599326119872662740990573447853384148302520', '2.246486877060413191379069423161442689e-23', 37, 2);
    T('6.218344456458442779750475e-749114', '2e-564', '3.1091722282292213898752375e-748550', 56, 0);
    T('2.3965159581727651349084845200811431899626484394e-74696', '-8.7820838878771364433e+87', '-2.728869353526e-74784', 13, 1);
    T('2.4245195050801974604261387e-164', '-3.90714729460362923730e-63588', '-6.2053445193347e+63423', 14, 5);
    T('-2.559217707902385701741133457867299301673784025e-780581', '-2.29673750237058112350514e-2402', '1.114283938e-778179', 10, 4);
    T('0.000096551501836111089013103', '-7e+6', '-1.379307169087301271615757142857143e-11', 34, 3);
    T('0.000865430942545005171975190659906707039606', '1.6789219995971750975218048456704752992760e-67647', '5.15468224701712532995139975237591506850389520048483e+67643', 51, 1);
    T('-3.9e-6581', '-6.225081719160733767991800835415465289124308278e+2724', '6.26497799698892699470412280632425399280623762440415468282701539582804690488e-9306', 75, 5);
    T('885.79618773833589239786405248344813254970337625132353', '-8.36295e+93', '-1.059191060257846683763341945705101827165896455498745693804219802820774965e-91', 73, 1);
    T('9.65741929292706227426625727019365e-7429', '-2.4677357009003e-3116544', '-3.91e+3109115', 3, 6);
    T('2.9517e+521', '-7.89119997561653605330960087176194e-3494', '-3.74049575365042621551648678541640064830712526e+4014', 45, 0);
    T('8.867967317389959920447289565924941031782833389334349e-7', '-2.15597467819795821286944654e-778', '-4.1132056916374029289811136978844562622420666552450392725601270294149736498308822078693437195e+771', 92, 4);
    T('4.2e+29', '-7.2670916568e+6284', '-5.779478501650594456005788464104569046421e-6256', 40, 0);
    T('1.81964562441201581939637324335e+8789123', '8.64395135574162716211962342249e+4709', '2.1051085892603282107384e+8784413', 24, 6);
    T('5.9960913695715898415691301696531290039795025e+14500', '5.89122546044981786106445388225669718e+14319', '1.01780035577076098909745108803e+181', 30, 6);
    T('7.529782e-546162', '9.85281532358565594289257252593829270736e-713', '7.642264421596554309468762746976449164492474436119157625330483881336e-545450', 67, 4);
    T('-1.971426891389372279137085743136216e-80', '1.85913479947398602884855788896892386692178840892e-955', '-1.060400188274221747224002264052111973309156283e+875', 46, 5);
    T('-4.7085518328747609603158779940804238202760068052179512325e-23490', '6.268859274786868560202e+172733', '-7.511018554543712229373369387555499855697154599160758496651837829116552972684558088349015751459e-196224', 94, 0);
    T('-8.564812358541786440990732054002872056425634845601e+13487', '-1.128288391682675565490143555563496097e-22389', '7.5909779996660546e+35876', 17, 5);
    T('-3.0219497137492408e+150601', '2.1739338547946078322037258010e-499', '-1.39008356076903410474939025923850508002e+151100', 39, 4);
    T('-5.077762068268951791099e+477', '1.254827e+657', '-4.04658336828021058e-180', 18, 0);
    T('-4.414134432648238065705595685568e+731', '-0.000243884827122881795080201216906389363908828868891', '1.8099258099496975844e+735', 20, 5);
    T('7.57309768842641e-44706', '-7.661786932306425303078887126145321132645923916e+20684', '-9.88424470079420858030371166638081350563339295871236978392607333711323823153613714037685144159702e-65391', 96, 3);
    T('3.476538981895993084917129e+283', '-4.1578570024018268638582769751912130176633735596389394e+45198', '-8.36137216813309417736884617066e-44916', 30, 0);
    T('-401.8327781843881003083062634374850727', '9.510854329658366e+43', '-4.224991407252707943141843e-42', 25, 2);
    T('-4.374988579918127897401853077450179e-35', '-4.460e+991228', '9.80939143479400873856917730369995291479820627802690582959641255605381166e-991264', 72, 5);
    T('3.050545157e+18842', '5.7857208273730260532973e-666278', '5.272541224e+685119', 10, 6);
    T('-0.077', '8.9691283285351815216604e-10354', '-8.5850037126824644368703490403211252399744760748e+10351', 47, 4);
    T('4.75352044791872245587622456495450866485337e+547558', '6.819501344970945426843487713942e+9985', '6.97e+537572', 3, 6);
    T('2.3794046802606184156e+6383909', '-4e+80', '-5.948e+6383828', 4, 2);
    T('5e-8242899', '-4.6340333152980603418e-636', '-1.078973684434636123202797262876291457371835514544489323948999413008602919202503930976e-8242263', 85, 2);
    T('1.081835133966826259588560869304219194277241e-2014217', '-49858578302402487496090.519165915520287193379', '-2.1698074249234998895175679433883336953413728036380998366881518478532879988065637670159030374377e-2014240', 95, 1);
    T('2.33745385599444758369211913838826364580840764e-94684', '2.173362335414754919677478542441835426383774721030332800e+611330', '1.0755012258682481304453563089276001858000756370506149746287776676100234367527278276983679818e-706014', 92, 5);
    T('0.00213122587016272668', '-7.58628230959649788913899270117964644350805206960481e-767', '-2.80931526561668800323756802149661289612286702824601498737049316481e+763', 66, 1);
    T('5.177219e+3007', '7.57376706609665322147622649022190501e+994221', '6.8357251481e-991215', 11, 1);
    T('-3.438778511509205e-70994', '8.58474724e-923', '-4.0056840526258813882096312016753098953208085366995615819668559047755959324e-70072', 74, 4);
    T('-930181956746305447242.741079684', '-93.89693731745104693920496861473020555987338050', '9.90641424e+18', 9, 5);
    T('-0.00065334084295423337281605069932694588215', '-5.74629048655423902711933339780593769504704527e-143475', '1.1369784463263516087085853341189212311146322428223393365e+143471', 56, 0);
    T('-3.1282343516e-600174', '-0.000015895747997176137898735540296430739374', '1.9679693e-600169', 8, 4);
    T('6.39686e+277', '-7.906309782490789221065222639304572322378123362273262e-5175', '-8.0908289404070694641756770133509507743717844675986060772277329908781e+5451', 68, 6);
    T('4.737506677e+978', '-4.0511567005287017e-982388', '-1.16942074257007270673779175e+983366', 27, 4);
    T('8.03286219355e-5232384', '4.1792100463970e+820005', '1.9221006133624052971313912028817e-6052389', 32, 2);
    T('-313.15844233122798717550199042645348186125070753543765', '-0.000061647130269359434025223', '5.079854341360600191055751776461384370855844602783223715e+6', 55, 3);
    T('9.5829954577883112636092276856688120516999010058291560e-827', '-0.37275', '-2.570890800211485248453179794948038109107954662864964721663313212608987256874580818242790073776e-826', 94, 5);
    T('4.82566933780114581921801210238052742577e-445148', '7.43134277828364e-7599', '6.49367076957213578489282821099579649398500028152598487499724e-437550', 60, 0);
    T('8.26309973038850379189095093801704159994943776522251606e+61', '-2.9327639943e-41', '-2.81751267624954685972460383394207084287015306024705312238154955447312925980298339071e+102', 84, 4);
    T('2.16291e+610', '8.3322564625086376096233691073857300e+7181', '2.59582744450091129871829401711146328244665238776950885484738131274826e-6572', 69, 0);
    T('-7.9706804878661e+2983', '0.000857857628062799904256871927899554790296844936822', '-9.291379160276e+2986', 13, 3);
    T('-4.52081189107e-61610', '4.599e-99', '-9.829988891215481626440530550119591215482e-61512', 40, 5);
    T('3.590093370267e-279730', '-7.94338314583262669315278661903164e-4311', '-4.5196024217344810428662626158420120904314161404134544766543981381097224910556952453892e-275420', 86, 4);
    T('-3.4588464981592976457361749762633608958e+8492172', '-3.521141e-96056', '9.8230843302193739067426580652787289568921e+8588227', 41, 4);
    T('-3.883052074965960868576743506148856564e+74', '-1.850053967655721709377e+1640', '2.0988858394689606685040972119186668540423783e-1566', 44, 0);
    T('6.0053221370669650064718306816e+919', '-6.2550557938528524724323975796103534127e+553', '-9.6007492e+365', 8, 3);
    T('-9.981988992266175326096983489e+785844', '4.9262608738395023e-726', '-2.0262810370588970908199108167273414274913326131390490495456873672336640585632246896659299548241e+786570', 96, 1);
    T('1.3567442371744515525949659296916525228583601957509939673e+6350', '9.20e-633611', '1.474721996928751687603223836621361437889521951903254312282608695652173913043478261e+639960', 82, 6);
    T('-925.132495132060664105582168942832170018704128335178427', '2.816905877176005772911736153920553399863448721846484035787e-17', '-3.2e+19', 2, 2);
    T('4.25802451194307177337299273323929680282896657712757298589e-91', '-5.58385255192431028361423347018637947437431001891313252e+166754', '-7.625603420483710776519206081097236371938875933318402963771462011031121583425021086602836253169576672e-166846', 100, 5);
    T('-4.624166e-70', '-9.3289351920', '4.9567993611590736410381100222783067652e-71', 39, 2);
    T('3.095934977386501436397164003e+8543046', '-0.8113213089353323344967667936292695786579663', '-3.8159172491712132469758486541178761750384395407780130776116031191500742554815487e+8543046', 81, 2);
    T('3.57895373869154219312736490614832144495301e+5024', '4.73762127542716365462398965067586e+5381', '7.5543263815845e-358', 14, 2);
    T('-9.953070670236959435989542552e+581594', '0.00000233495966134446698866063053490907985902957073882564195531482', '-4.2626306719602998249171628986000174657055786192572518354967928005561185698616724356182389674e+581600', 92, 6);
    T('-2.280332344157424082436289042722055625046720019119092679414e+2600', '6.70489912007486008818693915571900115e-976566', '-3.40099426303070792419457e+979165', 24, 0);
    T('-6.398e+53469', '7.98315991521555996711172647379199e+8622698', '-8.014370334490840848235213e-8569230', 25, 1);
    T('8.5952018097e+828135', '9.74749e-4369017', '8.8178616338154745479e+5197151', 20, 0);
    T('-6.45481980644574225e-726', '9.84161678749869714232432560603044784e+427640', '-6.558698581563315879188760226492731345323598196072329499159200289768400292595353610439103749518635909e-428367', 100, 5);
    T('-4.9674477463727121938073542124e-16695', '-582987902987.1962384145646624091245', '8.52067036197457569830597616633680114892907226669e-16707', 49, 6);
    T('-9.14717211469063496048017806673626480487794e+89', '-1.03e-5696782', '8.880749625913237825708910744404140587260135922330097087378640776699029126213592233009708737864e+5696871', 94, 3);
    T('-4.8635400322120376778537175147648e+743', '-2.36707469602975260e-75339', '2.054662677257104235075798298889121242810358e+76082', 43, 3);
    T('-5.63548988694627886787587349987896646686700785196658157584e+40477', '5.77209e-747', '-9.7633437575406462267148875015e+41223', 29, 5);
    T('6.83695e-558731', '-3.94342139703431498783160018151252988e+637969', '-1.733760943008e-1196700', 14, 5);
    T('-7.98262e-86673', '5.741118846201109301e+436', '-1.3904293246e-87109', 11, 6);
    T('-4.26874941731106819593450850675989330588172453740311826632e-20063', '-3.2403577474686503538650654271626333181e+3762', '1.317369793704350008e-23825', 20, 6);
    T('9.2882326610961883e+27', '-4.30662480016486641955935993893450580735e-32370', '-2.1567313365075628892952376606705082040079243923653220981290489607445066878641885316581063574733e+32397', 96, 0);
    T('9.666240186989400476881729679425669361845280068784e-81', '-4.92037839801832192380005136e+6049161', '-1.9645319e-6049242', 8, 3);
    T('9.232486226130084335699618763355315307990627088319426399605e+8844068', '3.9e+63', '2.367304160546175470692209939321876e+8844005', 34, 0);
    T('8.1743684175973623740577760207067029620194414583e+42788', '-3.020710372345526921392741874806840122036278485855143377e+690828', '-2.706107971301503253744450452957962096033375556282593804502133202e-648040', 64, 4);
    T('-5.8537208685979961804257724819363504650619833457e-406', '2.70006233530852421326150389e-2810', '-2.167994713325430435716938510175728970929943257751040650986980622372211e+2404', 70, 5);
    T('3334.78107253269059738584567915642232492818', '-8972180632559.4892', '-3.71680108671795584813762107152084186283616736293492881508957866299771835729380542351661992694e-10', 93, 4);
    T('-6.242100006184550179391666553480790558550805652e+556', '-9.82836522790083710919500145623437928471e-19562', '6.351107087946253510204772800761927631308542246178465075452e+20117', 58, 4);
    T('4.66473793450477093405098e-46', '-3.852341070586643781632611090691822273760467745e+70646', '-1.21088394019e-70692', 12, 4);
    T('-8.162327659811364194903775226733127923186e-5345495', '-3.9499236279e+297', '2.06645202002321078723046548621931342106646203289747408840020929357574427749355e-5345792', 78, 5);
    T('3.605662873886263663818e-8434', '3.30377906613266298e-124080', '1.091375301347550388541276612640161450663677797598174358554637487080243306482718e+115646', 79, 2);
    T('2.03535220477482354809298305754935022943376057531e-85928', '-77546278827463270.20383055638116849129227', '-2.624693583690049169943640617270614776575433786581076462305222301986434947657494818191072613273e-85945', 94, 6);
    T('7.40e-591592', '-7.75e+8851393', '-9.548387096774193548387096774193548e-9442986', 34, 2);
    T('6.8056650204973653378574186579424614131830798174e-638822', '-46.622459', '-1.4597396118676119888608661027386954028278688212048189049831112511675971445435771631e-638823', 83, 2);
    T('9.316220168516861881103685684687558948260e+575928', '5.70085284063452695599704573572461275330557667344e+6237', '1.634180083041738465127651313886726776260150759121302582819452585393977e+569691', 70, 6);
    T('4.6967739383923396529003234520007972819053916837e-552919', '-4.447393368690689980558657011961109601730e+50', '-1.05607342302061019777230189726663e-552969', 33, 4);
    T('5.450138739805869994519508442987338921445437908601849112045e+518492', '4.06527155698e-80', '1.3406579765743022303223209960814397180422027838872e+518572', 50, 0);
    T('-1.2681888006403972113682033787e+43558', '1.9862908180410938e-5896128', '-6.38470856896525218528734572580007711248107717486e+5939685', 48, 0);
    T('1.37781586723665857435505727168797934320870e+99', '-8.818473958990057520654237407084886e+5158617', '-1.56241984003596693849913085767307745854104466211882791063779148459391961491e-5158519', 75, 0);
    T('-2.237687692624590743731212540513663805303704545e+74', '4.8223370446511479025767805692595965616237395703771e+72474', '-4.6402556932568512262677842519047e-72401', 32, 3);
    T('1.424005635978500062890684347838676663498465572e-81342', '-1.19460163218743874946880467e+9870178', '-1.1920339e-9951520', 8, 3);
    T('-3.3537956017922014741624740e-765', '7.7873218541505224509926023073605323645e+44220', '-4.306738137456948875377946472291268131032224e-44986', 43, 2);
    T('-9e+59210', '-8.835655602951134414622109234388728872915343354967232709e+125', '1.01860013613409446193397447087244985344864095534013e+59085', 51, 5);
    T('8128823887199812657410247368065460.20360163414228', '0.08378484866', '9.702021328685196e+34', 17, 1);
    T('-6.00859143064029334973412510864364391574678988749749915712449e-43', '9.59071377531e+3708057', '-6.26500964517218954408196509104673e-3708101', 33, 5);
    T('-7.9621423782632874685119197214509e+4326', '-6.07930777589e+2675', '1.309712005343839296531734280805951873e+1651', 37, 6);
    T('-8.3512004035417319093448522511292813852817411e+32516', '-1.790e+45712', '4.665e-13196', 4, 4);
    T('-6.83e-158', '2.8175895559853748461816585e-27970', '-2.424057821158197187219767074023250518311886226126555993e+27812', 55, 1);
    T('-4.2410547403160631485383629457023185296339353385e-580201', '2.1918565642234396487048e+1925729', '-1.934914e-2505930', 7, 1);
    T('-7.02824208339755034174567248094791164180597828587379234335959e+974220', '-4.659990013559070650618250297109844154e-9', '1.5082096877777910744915140833790404573363236163698256319748698307926e+974229', 68, 2);
    T('-6.464231475077962521236042754690e-560291', '-5.383e-816', '1.200860389202668125810150985452349990711499164e-559475', 47, 6);
    T('-4.7429026700504370681e+73', '-4.4919439983271391345e-49571', '1.055868610965933312279661988616829847461366643593609978489232372194518375246873e+49644', 79, 1);
    T('-9.126340058738e-2028530', '-2.2702873716958548283767243705751672333942550136640e-61307', '4.019905221038526202647646276192742677227481870128713776738013527397e-1967223', 67, 4);
    T('-5.60966468517303883042747184299310307195911155058e-70028', '-3.801205231009667327576458080e-460', '1.475759487914577212164668726373048195407577084818334116296294690839368062e-69568', 73, 0);
    T('0.0688564910139141584898941610196660443328', '5.429194425261882771686899930228932516786965978e-8425928', '1.26826349584253090908028349363034170653783057416832776839847699116577108526703435844801317155878e+8425926', 96, 6);
    T('-5.007847896e+61561', '9.1904561e-85', '-5.44896558071802334162719084203013602339061279015303712728686e+61645', 61, 5);
    T('-120646117.83189454698870016934788021124925395', '5.274802609769103166e-363', '-2.28721578336323102371472756402809367659579855197299786e+370', 54, 6);
    T('3.561126432513e+516', '1.491357423223653286290089185524875706766793345e+584049', '2.3878423623060286390699561437183025363357073935830038523234525524927636838016362437763979188998006e-583533', 98, 4);
    T('0.0000428655126657096175785391128804551661098359211821992803', '0.00000793983755664915807204546612311444442002550375501', '5.3987896301243861003330218819639490714046381445221466096e+0', 56, 3);
    T('2.661588631416e-15850', '8.094740032625594480114127e+56588', '3.2880470783355005090592053672745e-72439', 33, 1);
    T('1.598566217012987004339943101673162639730215928921906639e-635', '-5.5152130078801634771423297e-35708', '-2.89846686742e+35072', 12, 2);
    T('2.703209117229891481438995327412080901452327075200757612e-34985', '-1.883761695300124878143165356512865376593709417888891529e+5144', '-1.43e-40129', 3, 2);
    T('-5.534342773127e+71', '-2.3090e+8498', '2.3968569827314854915547856214811606756171502815071e-8427', 50, 4);
    T('3.27e+439', '1.11341826878604717185126474711666056503463301846874978e+54', '2.93690169424403294345291e+385', 24, 3);
    T('5e-240', '3.38821907290638529740171e+74688', '1.4757015093805734438e-74928', 20, 5);
    T('2.03316186915365377e-630389', '-8146428678.19829265722968550184876355949713211', '-2.495770784312959362699322831209217182948509522379341695956869850581819979308406e-630399', 79, 6);
    T('-8.80968952319354396523912357e+2456695', '-6.492980183108946861591227042230148725400050615256e+614', '1.357e+2456081', 4, 2);
    T('6.73e+4224706', '-9.233799954672042747306446103052e+9209532', '-7.288440331215e-4984827', 13, 5);
    T('-0.000003414722628277670669974879878851201242852897449127509002623', '-7.014149958310288e-8', '4.868334222355689335058624170936971298180118484017358304397577854928e+1', 68, 6);
    T('0.072', '5.1983683086560884587699109613617418155e-9', '1.385049995016875722967743429414378372439e+7', 40, 1);
    T('-1.338978994e+8067997', '-3.97070916485840e+5074731', '3.372140689250781509100506146409902491645127e+2993265', 43, 3);
    T('9.56220432914296527994334833884e-291911', '-1.3300786550684799774706702e+8422272', '-7.1892e-8714183', 5, 2);
    T('37129207042.34059433', '-3.4143681924e+36210', '-1.087440046008688747354791577515399771213e-36200', 40, 1);
    T('-3.8252411190396990353e-5554705', '-5.558332697645348325983931729040156241965445418932890464e+1891319', '6.8819938048331811059310395225218740856654538852094678988262914449015997267270979957638614105e-7446025', 92, 6);
    T('-9.493901598022e-7007008', '7.831756437e+943619', '-1.212231467409971498325848664284757301882369557657887107757613223640141657791e-7950627', 76, 6);
    T('8e+3736', '415529.64400479270780702', '1.925253737109482425719934804193610266756072568e+3731', 47, 4);
    T('4.8261982665872253349e+8954', '-5.633701332273250863710377840063314953449559081e-6349328', '-8.5666562388386490227642480002993e+6358281', 32, 0);
    T('9.758536600372596325785494255136077167427367e+14592', '-3.585215106457210755904915e-7', '-2.7218831536207752639190418827482157555625712612874502608548806056775718717619968e+14599', 81, 1);
    T('5248.18337176732283137202642608365', '9.0757472991007097541861102207041693219054e+276847', '5.782645989148850083866552505497745692741757445028131910249582e-276845', 61, 3);
    T('-8.0883700308754e+523', '4.082408241691223176384316789368180e-4525', '-1.981274177401871791343969565861270460864529e+5048', 43, 0);
    T('-9.4263305836241369821327693986430750344739839184327753e-395', '7.80053e-4202', '-1.208421810264704703671772225559426735680009424799696e+3807', 52, 4);
    T('827369713437207.8', '5270746.693443841509271', '1.56973909307072872298433504431718708411091593563381731e+8', 55, 3);
    T('-7.34972710593718317572113e-213', '-9.27768949044257177207565537e+569431', '7.92193693646302513719601435836648594e-569645', 36, 2);
    T('1.12753491736721481618528e-6356224', '-9.95603226182194995745e-3889', '-1.1325143267071699637599563469e-6352336', 30, 0);
    T('2.53415295977175651933249676513e-969125', '-5.9177478931779603437e-13', '-4.28229286802358325518944712427e-969113', 30, 2);
    T('2045768316.447', '8.667e+14375', '2.3604111185496711664935964e-14367', 28, 1);
    T('1.0745413851003e+670334', '-0.0005812493288670238534450263', '-1.8486754852600092072717422551e+670337', 29, 4);
    T('1.0342009147082649505352372932771459593766933290995e+11321', '6.06616927193404744763816689964266409963740849048647890693882e-43039', '1.7048665613291329544205259224167695273692375637911853156678814141196410111663047887e+54359', 84, 0);
    T('9.60056356103035832418236626389542455410e-187', '-6.26348208e+436', '-1.53278375165884697864137040269067466607967049536126396964e-623', 57, 6);
    T('-6197516404.5727345', '4077346541.2387566306616005827481760152', '-1.5199876541987131942033977753149629852393423205812488857917610969656973883190681815e+0', 83, 1);
    T('6.163639583583888177274965738338099883087298530097564809998', '4332065.091903051587081610175387143489927575548196714000264', '1.42279477635370347587358751666663337470283118e-6', 45, 4);
    T('6.6115091139797029905176079494224764948219022e+691017', '7.6055417816055105231823229703355815267288674655065e+4880439', '8.693015308876562683032125349295039508925e-4189423', 40, 5);
    T('4.081743186005789617453227486530252062883326e+3732', '-9.636212118238603608715858526409473e+53323', '-4.2358378332915823824929359201722e-49592', 32, 4);
    T('9.996147e-107080', '3.414026574568310e+6122', '2.9279640277152713115961628015455467038358355650992235920418058938069417888e-113202', 74, 0);
    T('6.077174e+13', '-9e-8468', '-6.75241555555555555555555555555555555555555555555555555555555555555555555555555e+8480', 78, 1);
    T('-2.691e-91', '1.5631861078143808079652313930129878e+9055', '-1.72148408084467219701462721427665493327930551598941271394e-9146', 57, 1);
    T('-7.1186912e-554', '-3.3021539378796648848498e+10266', '2.155772060878227621617125677860322420008775232683732837e-10820', 55, 0);
    T('9.298831373664187864963e-875910', '6.092526889598348072692618e-39198', '1.526268417385223311898121582721796944492167527e-836712', 46, 3);
    T('-3.959199513713537470721417013508925579431591685403665e-23', '2.177878829998357051791642667058828071220900322e-344', '-1.817915422648432746650098260870105271574e+321', 40, 2);
    T('-6.260661890e+975', '9.6354947098881745806e+7470091', '-6.497499172e-7469117', 10, 5);
    T('244.4549960429', '-5.72687888477033537235946280197051727843316295863216378e-6816', '-4.268555367793557970295249887962477722e+6817', 37, 5);
    T('-6.1423370070253e+74', '-9.5379e+13283', '6.43992598687897755271076442403464074901183698717747093e-13210', 54, 3);
    T('9.19510650518108750615390751758334209738009e+2057', '6.69005112058700081722e-9', '1.374444879335135370200330960253771661552962647029987667998755566016991577308754896885437262139721e+2066', 97, 6);
    T('7.3215842477188520866324170442227693187792985524973e+9421', '3.24858883704858393023258050e+326349', '2.253773750688214563968520941574608349783978250431353830408605841e-316928', 64, 2);
    T('-8.71579276054510e-840725', '-4.5318428404942247115517113500e+4076272', '1.9232336749777029760673710759179490621192e-4916997', 41, 0);
    T('-1.434965893134070200e+737', '6.56713666493874217451706755585572060113737727797e-1753374', '-2.18507085560622403906384487e+1754110', 27, 4);
    T('3.0712e-14392', '-7.759710318697827649447486735203e-695', '-3.95787970666846253106476319638807542737616396452358012718290267156312677821860868274851929e-13698', 90, 5);
    T('4.515454616130906017e+7619844', '9.884728661928585523753677730e-160', '4.5681118527030023482697598985949953012524191993079407720918526810486454082388753e+7620003', 80, 6);
    T('-2.8110373e-8559', '-4.437402446799e-59', '6.33487120832998204565922852639953595216609541e-8501', 46, 1);
    T('9.898174463814491001960787200757e-351779', '5.17618853629777668395280867942999428217292400609474171e+9746', '1.912251533035169003660476364567518725666095003821083516178081878907004775e-361525', 73, 6);
    T('-2.36612760320894668924700844852e-11', '-3.2745317602179171193943683425524684e-5640419', '7.22586e+5640407', 6, 2);
    T('-6.9596693490802999514161313229487402867972607764597969656', '0.285226683055', '-2.440048481627601891131e+1', 22, 1);
    T('8213460144.175071054072894126373913199631949943627338', '-6.406146817044620719196002718063148338027967572686073281975e+3322', '-1.282121746308060279295936331964983994097358126750768e-3313', 53, 4);
    T('-5.003483249812549e-4611', '-7.5567e+11', '6.6212543171126933715e-4623', 20, 0);
    T('2.449575143613357647196960436154e+202032', '-5.57899958218e-96022', '-4.390706805997256525137717457355e+298053', 31, 6);
    T('-4.46938143438468080209676025575587201656881822e-9659', '-5.984e+4', '7.468886086872795458049398823121444e-9664', 34, 4);
    T('5.6387496904523695598823606916050957932186171021418578327e+9365', '-9.544373379e+557', '-5.90793074258706613397501775543759958054195178625341353873704106269332068635953979059e+8807', 85, 5);
    T('1.974211512831110190393842525e+2159', '-7.5333111e-954', '-2.6206424859197839186461349312920317335626826827847319354699157452823e+3112', 68, 4);
    T('-2.75661977053791701e+2119', '-7.053741385645802389176689645132526282432285239880e+94', '3.908025003790999946844454749816e+2024', 31, 3);
    T('5.1342e+9743616', '5.275918495265529345902796796716985476235726904590e-53416', '9.73138611714206009726988993150647502487193836013279e+9797031', 51, 2);
    T('8.699730749512133925496377234206818932534723e-26', '3.4453652768954455250050574257269430987581619e+18096', '2.52505323828865520349873985458855189292005057179257850602e-18122', 57, 0);
    T('5.664812257591541352640567193767046909e+5285462', '-4.50890863902081e-98996', '-1.25635995562e+5384458', 12, 0);
    T('2.48787856672556002496774233785963666018036490e-3933029', '7e+9', '3.55411223817937146423963191122805237168623557142857142857142857142857142857143e-3933039', 78, 2);
    T('5.9539641341102645550947770478494e+92', '-4.75178622046245861e-353826', '-1.25299494924054185512831751632966705933995697937245501289820563149146969666625336886948648e+353918', 91, 5);
    T('-6.6467837002751853908074751004e+306', '-4.038815721317747800760251e+9875034', '1.645725915443979128881e-9874728', 22, 6);
    T('-3.90481922628843248465563624942610858391358568576661024620e-9430363', '6.86298535478499436869820023137287780e+42', '-5.689680254914027591083142859442789256657e-9430406', 40, 4);
    T('-8.2518803333e-533225', '-9.24020999585292426696466624169357039545383424430979282339e-18', '8.93040346161343297196403649076651682277186476894263236646878545305731717653e-533208', 75, 1);
    T('-6.41067821e+1929563', '-634707603.4845767020225598693480791090464897823639', '1.01002070477887043351480601517769897426205015629537362848124473191484020741186184361711283e+1929555', 90, 0);
    T('-5.29769762830211349249371432620016208443703741565651e-50', '-6334138.745141023440', '8.363722111969881402006309448199286039523090527712710816906890818173036e-57', 70, 4);
    T('-2.3246540870049496042975e+2618120', '1.84626e-2187859', '-1.259115231335212594270308623920791221171449308331437609004148928103300726874871361563376772502248e+4805979', 97, 0);
    T('589439697404682003466316343821213808907714760264392950296.63', '5.0538982896632129382945e-19414', '1.166307004259006792096343990731e+19470', 31, 0);
    T('8.26480049309339941034744554426537640559003873e+24071', '1.434717967251003e+3742407', '5.7605750271108703532514803677705634244967e-3718336', 41, 5);
    T('-5.30821970682964756e-76', '-526439554137776.72963094920296618803361', '1.00832463387437845435615560827809802074792353644794953149743469241120147e-90', 72, 0);
    T('4.311965340061586939626215684855913788626e-8', '-9.32810863172e+10503', '-4.6225505e-10512', 8, 1);
    T('2.13266501674148824', '7.37536229399840276277838997115967667e-146', '2.89160712617e+145', 12, 3);
    T('-4.66156710e-446412', '-6.820532155030260614e-8', '6.8346090804102631685015214277836006333821193730158535e-446405', 53, 6);
    T('-8.82064291547559016172450119651e+79', '-5.4674580800399448262374442512877928110e-1791', '1.61329e+1870', 6, 1);
    T('6.3596711367398199051223744060326168881439e+3056', '-8.883549974554361168e+2140706', '-7.158929881586e-2137651', 13, 0);
    T('8.63344450591553536794379391357748211859613547151595216686882e+631007', '-9.306113242e-9', '-9.2771754237326476839618431043131315880414852483652510521092367339150846752612512428e+631015', 83, 3);
    T('6.32284303943007431017430713697567343622998485776636892e-18204', '-4.31887792782567090607946548286754406305e-12', '-1.4640013320805515334524558592826803332326816100722554340228220377e-18192', 65, 1);
    T('1.5815379736946253094296859750535722520523348159337501e-17665', '-4.11605663823501643028e+647', '-3.842362029237760670080940768743697502e-18313', 37, 0);
    T('-7939.872355277727171649400758601209134330843696485138807139', '-2.91112674291440540550e+1323', '3e-1320', 1, 6);
    T('-0.00000148115859547900950011238279210334603860165011296461564704918', '-4.4295118395258202244277902683985985624021130912914319919e-7', '3.34384159956905704091232369069871203206530571769674042045243027875e+0', 66, 4);
    T('266981379708464635528679062258.658592890445', '4.964727712220529955255959094237e+36', '5.37756338683585589150289962166402092299189400317172648438999576e-8', 63, 1);
    T('-3.187e+919', '10981.102917099818918109034451475537138036009209', '-2.9022586e+915', 8, 6);
    T('80.135553297053310740901117923616751991741861777471022922438', '-82833381935785564468926997.89', '-9.674306592863288431519859031141859534552449136845119431629912988063819273790784971905634170315096e-25', 97, 4);
    T('-9.447e-2214870', '-4.02859195e-248', '2.34498805469737385539878269378957578466094090268933789633373e-2214622', 60, 3);
    T('3.537998468838195685676415551113685395e+48', '9.69335109087128902877435769874994e+97', '3.649922958191522497244e-50', 22, 3);
    T('-4855720230870.4513269267507827161759675488297126143951243', '-8.978021104558769533582361710462833003030e+3869986', '5.4084526805187196503132422238527776973593807115231502537719311625302164553227775876408569e-3869975', 89, 2);
    T('7.9073150787460439055865282028109202712084498e-544790', '6.713853057839122093518452955731930140287889480527347558e-575', '1.177761117293657583125510758944553850835483047228170334416596532458195983379713435e-544215', 82, 1);
    T('-7.0246617720278760567399028884942086203916538845346940146531e-58891', '2183595774.1495622228711848208567', '-3.2170156469385e-58900', 14, 6);
    T('-4.1554766870736563308759442357139307684550517467617353e+4024363', '4.9462375307766183668878880051431621794434865e+640537', '-8.4012881735204432464215822e+3383825', 26, 4);
    T('-4.29667656930e-8', '-5e-767928', '8.5933531386e+767919', 65, 5);
    T('-6.5683068343471e-734', '-2.4572504884364226184e+103947', '2.673031042320227954491762381864192357452574244095247807952231531984e-104681', 67, 5);
    T('6.21382e-75932', '9.82665802304965078603145627378041998277e-4604600', '6.323431613702960816871350284176133492595459728316355381847081047538451474732340194023040634744e+4528667', 94, 6);
    T('-0.000009258864551042', '4.990762091803464240668236178624803445974525855403435282722e-9604371', '-1.85520054467196855669308613647928e+9604365', 35, 3);
    T('3.283065692310497267366594014029117947915679163022009e-4099', '5.0673e+72044', '6.478925053402200910478152100781714025054129739747023069484735460698991573421743334714e-76144', 85, 3);
    T('-246205519.6160710857', '2.0786429621526408051589737776', '-1.1844531461098103557356950933e+8', 29, 5);
    T('1.96996176661e-32', '-0.007520124374695263931707081680897322788587342963575305', '-2.61958668295273807174439251980211589593757178491479789069225901928231849254098778e-30', 81, 4);
    T('85309.282645332177647', '9.0530400989665391896526077147820833230375706618634454476763e-468', '9.42327458099636194382951e+471', 24, 4);
    T('7.46549264710535489902e-22021', '8.219797516276011666e-6526472', '9.082331568780059900776833452013563141000516755655840228779e+6504450', 58, 1);
    T('-2e+9408647', '6.792365459e-279427', '-2.9444824e+9688073', 8, 3);
    T('-1.4869439219432551169022982211734456823791811e-53821', '-4.753962373314970926600160e-174260', '3.127799097211614676184374590345322354170231441e+120438', 46, 0);
    T('-9842810715.9', '6.60e-1698463', '-1.4913349569545454e+1698472', 17, 1);
    T('7.4395147817040973452e+40720', '3.84413418436305e-7547520', '1.9352900874184e+7588240', 14, 5);
    T('0.000332961362352164511623710207423', '3.56408060371164469639468861134271077818745896596463780230e-383', '9.34213895177952784485746495343061820660593602008243425404005852292077e+378', 69, 6);
    T('9.11885341940473839408575938384012774321e-67661', '-7.9088914133010387e-82', '-1.152987560819055655134282968842532883671228044459732713502144508654141256434344544533783737e-67579', 91, 5);
    T('-8.5299488303848936302456362584099035594107537410287271e-8718651', '-9.00665e+994', '9.470723110573735662255817932760686e-8719646', 34, 6);
    T('0.833089432216403153611265477411666667722437374885897542', '8.452416810975134215117323697872422419111482142244267e-3703', '9.8562275245899960143964693715285659594591676668928363960727587189814679235958067247966474e+3701', 89, 4);
    T('5.267800714111572978525196102401627', '-7.1623611695175815037718380616992824807e-3141', '-7.35483814545809056755308e+3140', 24, 0);
    T('77089446871073734.20656227941369002814763630781', '8.8360092452637473565059972961820798580628476486164e+369045', '8.724464261102375048586255640858e-369030', 31, 0);
    T('96.057686032', '-9.7664635750735133301862997579178533878422944783e-153548', '-9.8354624776529678911279137666105749233297209023387053186670156e+153548', 62, 6);
    T('4.6073647059765138615100569747306494e+460449', '-4.016357979536216937024597732603461e-74', '-1.14714991279451204739420697127464043074572817763e+460523', 48, 3);
    T('4.350908566861098931216756910746119162724e+35343', '4.2609754978301988244448e+850', '1.0211062159537637329667714295253130817127687109713938473797596231e+34493', 65, 4);
    T('-9.696817050283784414e+276', '-5.58646555503374552833341e+848', '1.7357696e-572', 8, 4);
    T('-7.331827097971634879917964286056959941446213902723568401e-304729', '0.00000831207514828107390', '-8.82069395088163e-304724', 15, 0);
    T('3.93298669402072794114299899887e-1512', '7.72901242e+6084', '5.088601855320511881313549e-7597', 25, 3);
    T('-2.96069842842096310574354374361594164148796243762076951755e-52360', '9.4498830587855422289076008000990209e+3302491', '-3.13305298065927512091787709367118789213584665501097002376246990602481396197340165632300247435479079e-3354852', 99, 5);
    T('282915.480593920130121418412422920892712008902242859399312', '-3.354915161e-23', '-8.432865423326874110525932683128164882736624952849572e+27', 52, 2);
    T('6.140988363085712725567739450374627167244289442639108773e+6386792', '9.1120851642928672190039064249101487287727949738e-1704960', '6.739388682570853684179467563520673598429275815020203947894675160880482100515988907105380019e+8091751', 92, 0);
    T('7.513800104665443626e-9', '4.351697135827428703651877809027189690e+429', '1.72663672818691570922446114251232631073214343999185786701640482832705308105395741077e-438', 84, 6);
    T('4.99868913267e-21296', '-1314559598.28304496971968258586544140117578601', '-3.8025580119751292422e-21305', 20, 4);
    T('3.122011910671616030999170882e-19115', '3.11255681556277824063788823568894500609528e+3240', '1.003037726110431890768655418563117605342573532007920614522264041479690874526694135e-22355', 82, 6);
    T('-9.19840826446854973629e-95', '-4.0521142148298574429375388605104558951973577402808e-43504', '2.27002689874939221510659964466029590690036233697910568845721348412425768805251323e+43409', 81, 2);
    T('1.1673464029850883003119121721172557888837420940492827e+957504', '4.71e-592', '2.478442469182777707668603337828568553893295316e+958095', 46, 5);
    T('0.0003131148567813440028672576', '-6.13903486298707232884630445312e-2634', '-5.1003922240146979403385557685681305352589500148346590588099546742473128356912091213547398e+2629', 89, 2);
    T('7.45962530480932527632954615098339718750060776e+71', '6.04e+779', '1.2350373021207492179353553230104962230961271125827814569536423841059602649006622516556291390728e-708', 95, 4);
    T('-8.007e-2746151', '8.2348473447307518277589610315123817900739797596584615055354e-84', '-9.723313213721508799981483924981536944935804447e-2746068', 47, 5);
    T('5.52206533635738356000288e+42829688', '2.97651439558070354509685445493557826e+333821', '1.85521203746103682221328466556500511430721560358069905849521383076460210798e+42495867', 75, 6);
    T('-5.088e+875712901', '1.4199149740929254e+2656459117', '-3.584e-1780746216', 4, 3);
    T('9.2e-326014121238', '-9.07e-76', '-1.0143329658214e-326014121162', 14, 4);
    T('-7.22327739417772967251812419997120919619633699046547e-6186894660293', '-6.3769027162794938112644712016423387e+15531292765228', '1.1327250415374127268627640555328593529976903962e-21718187425521', 47, 1);
    T('-9.12342611074207276438290905850859777332891323899289165355751e+23642610836', '6.638794680948338252998590908e-512696438889772', '-1.37425941743973470637312280491167133324e+512720081500608', 40, 0);
    T('-2.718876507122563373164805019732402755726e+610154533', '4.308847138979439886664436527015146639e-5717273', '-6.309985987960889637562597121517139258568481214838008e+615871805', 52, 6);
    T('-2.95e-84395067694', '-9.051e-25', '3.25930836371671638492984200640813169815490001104850292785327588111810849629875151916915257983e-84395067670', 93, 6);
    T('6.12234136045360125959997290809070858536820218876929808e+880', '76.92743310785533857019259359198418220218', '7.9585930702638079165374686911356231401285147e+878', 44, 6);
    T('6.4140648917e-84014232852473', '-5.510e-848230403796', '-1.16407711283121597096188747731397459165154264972776769509981851179e-83166002448677', 66, 2);
    T('2.623435946859656088898662e-439110203108669', '-2.59934167915826734419163896376463735432272483690964181443e+22771179081', '-1.009269e-439132974287750', 7, 5);
    T('3.77771400014986649e-3640965368', '-7.768388036705130880554826e+60288744811328', '-4.862931643347902095997739979134e-60292385776697', 32, 4);
    T('-3.7190486e-9449640603576', '3.010673196779523061481248096425808318766627214198e+460955994', '-1.23528804254749956038144330221809830464007779452844731e-9450101559570', 55, 5);
    T('2.62926579885660625e+4862548', '-8.59856524321313877484710204275252176986556420841500574858e+4819840', '-3.0578e+42707', 5, 3);
    T('-2.524950163943407096544e-866668', '394.90557961', '-6.39380726511130060491271669525652058689584236538105772650417477852e-866671', 66, 2);
    T('550.4642428428653', '9.1101038960828308023431523605217648626593940842806e+17458828824', '6.0423486836364e-17458828823', 14, 4);
    T('-6.8e-38', '8.9551e-1822287', '-7.59343837589753324920995e+1822248', 24, 5);
    T('-5.447540e-28798686244', '-5.345151786051220e-306831268640896', '1.01915534264452015382856476e+306802469954652', 27, 4);
    T('-5.024994880550e+2137246', '7.895448984359022572465424e-386506976500376', '-6.36441941491177264370878071531473745226066140771862199179510949585079669357392134354992036344e+386506978637621', 93, 3);
    T('-6.08564742269871323619829704490073949296602829e+19025916382', '-3.6e-43810970160450', '1.69045761741630923227730473469464985915723008055555555555556e+43829996076832', 60, 6);
    T('-7.3315478778634806938360668122298015018709306244776522955182e-371912096', '8.91746537243695600952885083953e+2702', '-8.22156e-371914799', 7, 4);
    T('9.73260146343212982991740729169222462263658685696162754956027e-22368507555', '-5.41457945052064335762744916138190772711113115303334672e+2471502', '-1.797480589650648399009368412431136314816546487012269e-22370979057', 52, 3);
    T('-0.00009077766680012965169574', '-9.864458426424591130875595041492160946022032e+901238013227', '9.202498796787199549471832328e-901238013233', 28, 3);
    T('9.781679164322202110e+9597', '-8.641207387556310909276425467620158738317e+729052237', '-1.1319806047483846773794769631121259324922385e-729042640', 44, 0);
    T('-9.8262134872771847603721e-884906848471488', '-8.40191682826069e+27069057754468', '1.16952044255256e-911975906225956', 15, 0);
    T('9.68468476476931178176001218812114617858e-9042', '-4.351426837802378087e-3922', '-2.22563428635293669783342668520694795499991487062628653382642814248e-5120', 66, 1);
    T('-6.673881203135270007501032890781676e+197', '-8.6130247e+5574477675', '7.74859173e-5574477479', 9, 1);
    T('117689.2203859123922039850242', '4.672903266480619296129041823997391978768000422443130e-159602702578', '2.5185460445995839266693837903e+159602702582', 30, 0);
    T('396858.23797993900145', '-1.1351391313670681683112832752941408479772854e-231501514616', '-3.496119788435058122899220192e+231501514621', 28, 4);
    T('-2.3747155e-943', '-6.252178142e-495179', '3.798221109612138751500084816e+494235', 28, 6);
    T('0.00840506301611388376116385269076480', '-1.9099e+8284284716', '-4.4007869606334e-8284284719', 14, 2);
    T('-4.16692746895958397175358959429449784278165607548e+340931500', '-5.717754287e-87', '7.2876994354822018810434929665498895244528301212045420656951011088455e+340931586', 68, 3);
    T('-9.28389313299006329424285545887e-3925', '-1.97555681198482273934125909e+5297566071', '4.69938048689302234899586964124151630183496133717869393459635207158684409706031e-5297569996', 78, 4);
    T('2.59540333821819953654940688e-246897272142', '-4.9195761293882986672634895403121365796657943e+725', '-5.2756645490531572282469478803463890191217367723692684945787639199827846880769858499841263419547e-246897272868', 95, 1);
    T('6.9395240e+2278489037670', '8.95379929543273201870087684015352822705e+2686557018', '7.7503680516267555657047785558173852295405088184624218108643043e+2275802480651', 62, 1);
    T('-9.43461909417195191736082247633595980338e-44506', '3147834.7690127', '-2.997177357289012066606108455208457679374102048833411593840812447280717383143e-44512', 76, 3);
    T('8.0096127e-8067961309810', '-2.4861943641101754193763318966517820013802487677849556e+28737902', '-3.2216357721761189414886402877242567323592454396651199043193694782512026268261382719200753e-8067990047712', 89, 1);
    T('-3e+47914044916', '7.39032227496857769766000637292224305e+3151003', '-4.059362891603743292519367648173262662931001810631877144424048461001341365751815846570031160429e+47910893912', 94, 6);
    T('-8.794913236e-82269964025977', '1.99104078230641940199220131540233592723e-4032340415018', '-4.41724414394565158181607764560046776038373016888813781624061504013452734e-78237623610959', 73, 5);
    T('1.41968105004406037270658e-9756', '-6.45346706e+86374', '-2.19987339649341972887761202890528e-96131', 33, 5);
    T('2.42668305687527863637722979736247525202724198845375321e+21217079928', '-1e-32283604', '-2.42668305687527863637722979736247525202724198845375321e+21249363532', 75, 2);
    T('4.5960279e+6886974', '3.384439396e-9878', '1.3579879448962660639115193658500954289210738167403131127008072e+6896852', 62, 1);
    T('8.20302760909992674523110835076e-3190635561', '-0.00593408148019', '-1.38235843853584542319248668631e-3190635558', 30, 3);
    T('-1.446056788247471381740e+2539', '5.8746691249772632743e-204100', '-2.461511886855530870086019294051905971145867015553516078749595608714911097966096169396492e+206638', 88, 6);
    T('8.32020591493941974120926689522320401504559e+824', '-4.13656016816944653681263343833701120610642568125182e+36485506', '-2.0113827859e-36484682', 11, 5);
    T('-5.887058727145392610657250e-2197', '3.78194900860346014025947378458706e-8294267936', '-1.556620333524611679761108765636991252383460065276994885579337256044375049207119109e+8294265739', 82, 4);
    T('-7.6723323078147436832774113998379e+59830074', '5.39266e+7420616030062', '-1.422736146505573072153151023768956322111907667088227331224293762262037658595201625913743e-7420556199988', 88, 3);
    T('-2e+520902', '2.096256902873932e+850706884', '-9.540815332596088537412307660142977619618078320312637700439893846e-850185983', 64, 3);
    T('-5.91755623713028987336574603543834970e-772733', '-3.396837696660708e-743484', '1.742078004771201e-29249', 16, 4);
    T('-4.4261203993578076655836e+787568578554', '-1.09996983956065779587019620309266550937270720011352e+59408794921163', '4.0238561460245650861475347988199477648605072309975919369249233277670985289138655590183690383863e-58621226342609', 95, 1);
    T('-5.461625333592658715783389213939486766866733272971751e-8493558571126', '-7.04460022714407607499e-639442', '7.752924449208716784930185168011748e-8493557931685', 34, 4);
    T('1.615766164740165668562139888290618789895261e+863655', '-46413982727354151235644606048354659364.730096733328316079589', '-3.4812055975276420840108237250312e+863617', 32, 4);
    T('3.09253256167906696109040961441832872372394818118267e+73897720', '-2.0e-95602765', '-1.546266280839533480545204807209164361861974090591335e+169500485', 54, 5);
    T('-9.26915652715987334687941849664813e-6847', '8.76573855902163943304395e-34831559', '-1.05743018283611932638742e+34824712', 24, 4);
    T('0.428254', '6.08587970298546333861572751514e-437013115144', '7.036846288465372292244370006092052112772901167702223e+437013115142', 52, 1);
    T('7.690393e+80', '-7.604559818520535e-58509606603', '-1.0112870676972548059475609571154e+58509606683', 32, 1);
    T('-8.7801511725350736391998727179413695428856e-46359854365', '2.656781732693285651736344541155412284165970972485e-52097919051350', '-3.30480711474716594625752093810676249541657e+52051559196985', 42, 1);
    T('-1.27344496055459765937e+271188', '-8.32335945788509645225021195304781189636479e+3554126038', '1.52996511444451123611236024918713725931624703340785401601483423e-3553854851', 65, 4);
    T('-3.65362545705027531865430033750885949341477432262361470e+31405568', '2.255132753727929182126744495e+730457', '-1.620137639795491831777414566302950142374935254948e+30675111', 49, 0);
    T('3.13885105182978617280583072515316525825875033e+332826699874507', '-9.338570883214e-738313', '-3.361168524695618746504239051218405301858301969629363403151813526982628773e+332826700612819', 73, 5);
    T('7.916679560335212649839057098992815521111e+719168799789', '-9.3934455354681629e-26112', '-8.4278761509214954487660555758252e+719168825900', 32, 3);
    T('-7.4050648550717e+50457757', '-6.2446992145755164825827251414468888532118248382938e+41758863714', '1.185816097881514920689222170540626820579389457787832291775344955065933067404e-41708405957', 76, 4);
    T('-8.929984835073619447381098534882495124442070497803e+58', '-6.587552599082064547988352408462234967908817169753363929e+31478', '1.355584596974293397998024892163270225765679420243e-31420', 49, 0);
    T('-4.60e+3009732668', '-5.937435922938207873836812582485666474437571935215e+593', '7.7474520309831614048631736455137088e+3009732074', 35, 3);
    T('-2.115852508924661360352573897314e-83492', '-3.615253334615070879769043191528101492811972e+633', '5.852570520206556541343590796945702040066516674420075510945e-84126', 58, 3);
    T('-2671969484816629153.223031082473984381206', '-6.958622418800189e-6567179660', '3.839796620661208652769876288190432072799554268055501997751724529e+6567179677', 64, 3);
    T('-9.80911731960529794611006207152828152873100802686147229842508e+6602461063', '5.3006989098e+8373928', '-1.8505e+6594087135', 5, 5);
    T('-4e+4572149243', '6e-202556705641', '-6.66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666667e+207128854883', 96, 0);
    T('-0.00277841246858389626011775371318910', '1.8029407e-8536873', '-1.5410448433406025279243813804797351349e+8536870', 38, 2);
    T('4.7366313774491542565994e+38590', '2.406574840920790361677323136428733366735190265835e-255', '1.96820447754570996174179187399056431789444073676092111382443598571041094824984995983407986690911147e+38845', 99, 3);
    T('-6.8793e-250', '5.6614239616418945369613535047947337585454417557391441e-22075572042', '-1.21511832475533308422685002589067048097909869932735928124654100237696191523886602e+22075571792', 81, 0);
    T('-7.9691e+5609', '4.7681728586005155851684044977835802380288408393935015223658e-824', '-1.67131105274966347e+6433', 18, 2);
    T('1.854882916182125573448424405e-11120', '-4.24018386917e+87615249073645', '-4.37453415562663302232088097125994000966419180497030644053e-87615249084766', 57, 2);
    T('9.175360389e+573748794', '8.0692895829147e-24117780968489', '1.137071646112095196e+24118354717283', 19, 5);
    T('-3.87669332627831175907599853860778775681959462245e-6085254', '-6.24146e+8122007013820', '6.21119630067053503359149708338720068192313116234022167890205176352968696426797576208e-8122013099075', 84, 4);
    T('5.7181796229895088876739230e-12', '7.116596335291989532970210024279e-53665130928', '8.034992226034266878119934309242000448163254999955460388504295373365958552220137032e+53665130915', 82, 2);
    T('4.3432358265512258997873100538419e+167670', '4.586757477596e+89177154', '9.4690766794750873410754672179363673685923824239549912604465407641551355789207642894006939e-89009485', 89, 4);
    T('-8.6192133923452781610715480914489497126076195215e-57', '-2.9689549171018050964973e+7320886639', '2.9031135982216487125802891814644590846155617235532327597e-7320886696', 56, 0);
    T('3e-42855', '9.582939667948102709435725854044411142296098104597627502348e-590', '3.13056338028929639687018322536484021332312037614749074932460526218891559908142359533452721589e-42266', 94, 2);
    T('8.6788805508135856794350241e+916757', '-8.61278692031400124970503e-91960905748', '-1.00767389593067685190308356359976436444582005851058247693572192851e+91961822505', 66, 2);
    T('-1.535934228251622541e-26079', '-4.3157979047478221978917408123884821000986e-49804560143', '3.55886504e+49804534063', 10, 2);
    T('2.1414832572420306406281641665362153806743848145606031093366e+3979712964906', '88025321619.6647179432029114004', '2.4328036726691455340117669978310248773448133701206493318376344642039192949249446231572826391743e+3979712964895', 95, 6);
    T('1.0163534771988257390384167798155678794959252153462087931e-7715', '9.857359701875963927124446349477232948130e-437', '1.031060555703777856579890730713937713166817989375566680949e-7279', 58, 6);
    T('-9.7119632239e+8914261', '-7.649129054596519809384883678662352318e+253', '1.26968222847068850083141642946053701890587434551e+8914008', 48, 1);
    T('3.82363000571632324625934315425582292e+9180', '-1.80015752902682364919840204196030449769953e-99958', '-2.12405300317e+109138', 12, 5);
    T('-9.98558786096530479519949931833477023441119520278653470635367e-9264430688990', '6.171492751155687501557785e-17356584223488', '-1.61801824349471711425087129591403125504623734104116821827862506496897452602816398117264777747324619e+8092153534498', 99, 6);
    T('-3.12121494951535774296813228065142594e-478824224292', '8.50191771196677938994457457569983125317092894e+3040', '-3.6711893189957913554e-478824227333', 20, 2);
    T('-3.905945148e-172570', '8.89926102560e-12918480850270', '-4.389066841352320025379703702395017431e+12918480677699', 37, 4);
    T('-5.836899e-182382713103', '6.38e+19389700249', '-9.14874451410658307210031347962382445141065830721003134796238244514106583073e-201772413353', 75, 3);
    T('-8.594943581149000619660143727800023854493343961823123e+67054', '7.72e+2366970549', '-1.113334660770595935189137788575132623639034191946000388601036269430051813471502590673575e-2366903495', 88, 5);
    T('4.422365172768345093341e-2474975', '8.142617173685931298235094554798454571552396073414454172878e+9459870092', '5.431134828565771941340664370852421405016220824937189375783467328373642722704174130143294674583e-9462345068', 94, 4);
    T('-7.510777732366610825653301072159051623394773695674094995e-3800345125', '-7.54354768818769002580340046770133074466784814214428947940e+5562', '9.9565589598215265433145400278831188933392065e-3800350688', 45, 0);
    T('6.1671423e+660', '6.873408012860653767381e+81013597436', '8.972466480181041945852762170983402582389595248407929170371790700151282177e-81013596777', 73, 5);
    T('2.02905811715297381814621675599006739725025165e-51', '8.306267856406390279349177689134436968649054e-88657834', '2.443e+88657782', 4, 2);
    T('-7.30e-114863902', '-6.58150691865777045498e+8689204889449', '1.10916847618975970006982958021532537105975629156199373295733575150771e-8689319753351', 69, 4);
    T('-16267894490157915816.761057622507335134', '-2.6263660e-57826799', '6.19406986313328599927087756333555000864312133e+57826817', 45, 1);
    T('4.4960822e+39834', '7.33025617737765e-5481077978', '6.1335949129249167141534547767142719606447193876923e+5481117811', 50, 2);
    T('11645961997440560519.2779', '7.61704147340133475340398370e-85', '1.52893509088905360245309042010759347198609170499739373773404875920893e+103', 69, 6);
    T('-3.200086468434878624724682260146719593251199021453006e+804185673862240', '-3.263005e+866674275403947', '9.80717611047142e-62488601541708', 15, 2);
    T('-1.195589034688348019231392777232e+387700847749', '1.2e+193718376381', '-9.9632419557e+193982471367', 11, 1);
    T('-7.7e+1775502', '261635432706832846.96155773903613920484498458287709539496460', '-2.9430264549175137e+1775485', 17, 1);
    T('0.00000546080760524465654739580663090511882514661697598240953776895', '-6.157849021385171979316104052444661102794551310655966818e+72472889810', '-8.86804399e-72472889817', 9, 2);
    T('2.8745074607815233067829206777233019531e-3845392237116', '-6.551146743e-662', '-4.3877928148273861780948366061e-3845392236455', 29, 5);
    T('-5.009861751554417108711752976e-74', '6.4649177022317048296284966530107e-89', '-7.749304758860272920489918385655728441338390550598260504191304956289874399458870815138e+14', 85, 5);
    T('6.6207966524387094348639971078e+8382394', '6.7558172830535640711220000733714793906928341502e-2246070', '9.80014167796760391792195206447498138446966736663067272302432667301486207936e+10628463', 75, 4);
    T('4.4513588705101755662795e+635486688804809', '-6.556877492876530213198836587854853e-4323337939', '-6.78883946717959097065518224297035382056172928446181486912391244568509234794436034526869106696e+635491012142747', 93, 4);
    T('-6.16322132e+994316265', '-4.3969e-2987200797', '1.4017196934203643476085423e+3981517062', 26, 1);
    T('-8.332e+2033', '-5.24183781e-7534', '1.5895188485429311671129328589432262498789522829589418372332279392e+9567', 65, 2);
    T('8.828905193291310200218444586131999636944e+519840601247660', '1.893788e+9078492127564', '4.66203460645611346160100527943571278144332945398323360376135026729496649044138e+510762109120096', 79, 2);
    T('-1.119187438480421005841660620363228700917687103007928256863e-11', '-5.78617619151545307571187949113295816584e-5376', '1.93424362037495346555344038997846807825863286633185747058758462412e+5364', 66, 5);
    T('1.97984251147821638400897093806654566296609e+1503311909', '-3.24840095368631921900743035596225729086511e-79853938', '-6.09482185144500247504285058761900936691116079847063993351938991702986660985173440713072708684411065e+1583165846', 99, 3);
    T('8.0930057095e+69', '9.61508608099206454666509906762308e+49626875', '8.41698726493874564924567281643780337184401e-49626807', 42, 1);
    T('8.465582333274840736401739193302413173310192e-5499968001485', '3.4155938270618978506856649422529069916e+9887623509', '2.4785096712031931877743809469842222419e-5509855624994', 38, 5);
    T('5.666e+4542030560', '-3252126.569728628', '-1.74224461395203213304745112180838426157177051501757956124116983574016885224257464916895038549938e+4542030554', 98, 5);
    T('-2.6898177132775360702450023024592507541719639277e-65843', '0.000003989013111991', '-6.743065609867077391782418067198007571834830645988238475314868e-65838', 61, 0);
    T('0.000384679736579430997550156866110416256950103917', '-6.8480763059498024720333242076873497e+6829354703', '-5.61734010243446553410907190826373604657380092490508846002941363837437162096179961962549212e-6829354708', 90, 5);
    T('7.1583203680156019136008199261543441649831542616432343e+464659476043903', '2.629327732747177048060593250290305219781018589517893347e+562563606', '2.72249072599878520186570115461923189567178456046646843472945289181840089e+464658913480297', 72, 6);
    T('-7.5919958691942243928888469053973968296929545967e-855402214336848', '5.3454013063119e+5900018', '-1.4202854816961122191090042556025256455030556779430690949978146971459922780884966185669e-855402220236866', 86, 6);
    T('547180.8230076691632128567359326126699989845781409', '-3.08758650484649896871018077039600098114785643951125133063038e-2228692', '-1.772195927624293569279774482e+2228697', 28, 6);
    T('8.34652177322158444509422004152373980818147508971e-47339256170', '7.071293816011370394052e+91082270207721', '1.1803387032685226961757503413715196774045780073e-91129609463891', 47, 0);
    T('-8.40226595824246294408837745192192779e-8692', '-7.20270391460303630447832e-798751229346', '1.166e+798751220654', 4, 3);
    T('-6.20500954162634234481312e+4565', '6.4907547223313235230397425427412091718804936526226283e+75297718086', '-9.5597658624783954889891455e-75297713522', 26, 6);
    T('9.836967853908106883882333288640046603721e-483498541', '-6.6774864427481053000558618617717e+96915119483', '-1.473154298140323e-97398618024', 17, 5);
    T('-8.1783130814190872471186918491306608494390281651596e+76223763', '-8.4455580183714693318191840281e-316069656', '9.6835674607041369965440642519579139344361623908450336390763398364451e+392293418', 68, 4);
    T('-2.8429168678731536682572358134837885207912102398916369013e-383866610650', '-8.56073976661469470970292078211e-624288', '3.320877570604359241113599190998855036813584711884007970987082691630340217e-383865986363', 73, 6);
    T('2.5171457364878549245160e+401486', '6.12421611125774e-944', '4.110151716985873482612648606546114738854747836185165166634929603e+402429', 64, 0);
    T('5.76288537840012067175e-26', '6.6621877964552470561350727e-43605114', '8.650139495416777977756931521297803658397414064872413e+43605087', 52, 1);
    T('-5.39954025e-95352569440252', '5.246609630601895579282456682265382072831876956167953e-27484', '-1.02914846542158e-95352569412768', 15, 5);
    T('9.977539402869255116825331e-889514', '9.52891019777489980519671825591171e+62', '1.04708085140724e-889576', 15, 0);
    T('-7.71119923481597384840019843862e-709978516907', '2.453e-52903', '-3.143578978726446738035140007590705258866693844272319609e-709978464004', 55, 5);
    T('-7e-9', '-1.0178879114693e-70', '6.87698509936683086598436502562366859023911e+61', 42, 3);
    T('-8.390769739666833174897413e+626', '-6.23058808', '1.34670590190369849885781776798186279713102137864328209609388910203802142541896302026116e+626', 87, 5);
    T('4.5067567822832214550219578e-955450263570128', '-1014060076.150293152820965354293320597135174895833234751', '-4.444270007544679338702623827622231325985967654095149504310434299769049370381126e-955450263570137', 79, 4);
    T('-2.33261457023512641916e+754854958', '0.715096338769504409976649661423737387214292457470849199863', '-3.261958485550285365002529169617151838605756030055685069923983969e+754854958', 64, 2);
    T('-4.4103192e+791238235774337', '5.783791770645796675390137364560436163196561115632482402595e-888867452781', '-7.6253077131571079416671960310704184356175582504489920021164938990680136e+792127103227117', 71, 4);
    T('-8.2659055069407782552585511555256577899668581148550959e-75672591', '-8.419839718848434336e-8654754254', '9.81717679071364867527300904795133807431320932766947388440176759875683010598164861926017133e+8579081662', 90, 4);
    T('-6.10041789500030277809527005405458543234204091504236e+34776310283888', '1.13259543413426314755905216749165712528103255148e-62083987330', '-5.386228578312572268147167358576044281379702782167249541337686344485238620465287901e+34838394271218', 82, 4);
    T('-4.1389249908525508479887135555804482262384062960333e-7352642572', '-1.113702285005822778e+41588123064118', '3.7164e-41595475706690', 5, 0);
    T('7.26738018228542197398856361717390783773340213275410773714e+8131952', '-7.6886348111829406e-7650531', '-9.4521073776519941343529046659521565597742023171247284949223753546150579e+15782482', 71, 4);
    T('1.38997037e+7031501562874', '8.6551674289190148667953771312240187418340552571e+90424156670', '1.6059e+6941077406203', 5, 1);
    T('-5.3339145023461858762608450110817822797513e-1040578225', '-8.296759806307106760447797746420668e-758117694738', '6.428912764584798465874174935804342015149552356811992971772563396802501878882e+757077116512', 76, 6);

    T('9.0460658573383053337810453008532586E+176708235021', '5.676863081748753199803463533571004688278391E-698', '1.59349727606107277708e+176708235719', 21, 6);
    T('9.50864061971E+13', '-9.743E+34', '-9.759458708518936672482808169968e-22', 31, 4);
    T('0.00006297970110984010599463280000202605014809853', '4.1524399369362782393E+4008234999', '1.5166914408473614602249438321971955963913713926416137229793565224824410621e-4008235004', 74, 2);
    T('1.8155691793755915280266316840614591892302130436E+16739302601', '-4.9927544571255684511208122081830253512757034438818194183955E+4500516', '-3.636407908633368062213068856478998064035118804640187333e+16734802084', 55, 1);
    T('-2.45345743425982E+8605976493875', '8.79909056717237621953137370116705396011E+66', '-2.788307968340697045302752981014458834907214148873473292460261614786710217e+8605976493808', 73, 4);
    T('-5.046115803442635080686448980578588E+549', '-5.53363494034616147851428525040359043634854E+38086787224053', '9.118989340353866562482632545538060435953067e-38086787223505', 43, 0);
    T('9.44120314200E+9997012', '-1.697679112210571157579611917523541432491524E+129974383', '-5.56124126997503105769604746881560678338906408425412e-119977371', 51, 2);
    T('6.9112692101E+98663778431', '9.49226410277417874875684045164E+985118192', '7.28094913423251104455e+97678660238', 22, 5);
    T('-8.8E+92684119', '6.853501809973860937582029279468E+2312074913', '-1.28402e-2219390794', 6, 0);
    T('3.13092207950531526298506533743303905571E+67', '-8.308708693393732779750483E+4812923486', '-3.768241486182704038956591932120424032301427817083060763757397789e-4812923420', 64, 1);
    T('1.686578084810318193270545797348824544520232481079086517E+393020', '-7.17651909507434016513890675678972531542E+748923038127964', '-2.35013390540257e-748923037734945', 16, 1);
    T('7.79888085499544656509400529277407809083141426232E+85306632702924', '-8.37014534470950064840074663898598223533177E-20', '-9.31749752699917932441362656030552057536177984719949534913553465452e+85306632702943', 66, 0);
    T('-9.5276700130430E-81028310', '-9E+67297119139286', '1.058630001e-67297200167596', 10, 1);
    T('2.6350214E+6287747', '-3.3591609569661045205863466779702446606317190133757689514E+8908', '-7.8442844322049810551803949099599958409157e+6278838', 41, 0);
    T('-2.36627783198928835170197775876732319108831323835002941E+6515', '0.00572160069169976113004078191595227922014033713793988', '-4.13569201958118384111069816212953850884305055321394114387e+6517', 57, 6);
    T('-279765737.384430651461909', '3.713314E+66', '-7.5341255111857131247696531992715940531826826387426433638523432168677359e-59', 71, 5);
    T('-3.2E+502918064231', '1.198798678279E+9021407914', '-2.6693389457134973868781111794494e+493896656317', 32, 1);
    T('-6.326584559E+408031628373774', '1.86762257723905131575447883558631628E+4428735416490', '-3.3875070028082081778406e+403602892957284', 23, 1);
    T('6.094773134599518979998383327892730E+7272710044090717', '4.4252319501056908661980009319548025874624751031224852487E+385615928', '1.3772776666438814151686737970799977806569559852322425559659229577e+7272709658474789', 65, 0);
    T('4.5924935410962523813E+553703482934035', '4.7E+7845869', '9.7712628533962816623404255319148936170212765957446808510638297873e+553703475088165', 65, 0);
    T('6.84774E+70940542348', '-1.71414935467215199202918396868380464281096084598E+12096955585', '-3.99483276141342885667389633087376338081356e+58843586763', 42, 4);
    T('-3.6758494016680818555492232493424473125208E+656293402536', '3.94939240075458E+301352', '-9.307379537e+656293101183', 10, 1);
    T('-2.2894209631E+5193504', '-4.35820607398297304801287091237101798109784734433778078E+517', '5.25312691560657137016654265839559559e+5192986', 36, 1);
    T('-1.341707745612900680322533456689017853030699E+20540675083', '8.91715917443435355E-415', '-1.504636e+20540675497', 7, 0);
    T('9.129560324946245477475637181767E-792103', '2.44329858116484132596281783830792459187356709237139012E-1724', '3.73657169669117245087039499879743e-790379', 33, 3);
    T('-3.691159275706825969920346122781588495E+32463268718763', '6.0072278571557753678555698813109176492070584814093714E-405502628569', '-6.1445301617949087981382050296042488545438331328523330321e+32868771347331', 56, 4);
    T('-2.522E-67', '6.50385191815604285140089777169348496060894480329E+6169771', '-3.8777020629261676731210375748693095e-6169839', 35, 3);
    T('-6.818592283674688341504845219940539253200440558506E+387', '-3.166018568904700836E-706004420525053', '2.2e+706004420525440', 2, 4);
    T('-7.0463764973224828330115377852061307024613E+67281602114355', '-9.42445789973961769382288E+2981920510521', '7.4766915745012375220922842139910329614791284712316489206607e+64299681603833', 59, 0);
    T('1.01196308167051692245579745E+47209', '-4E+95858', '-2.529907704176292306139493625e-48650', 70, 6);
    T('2.66E+912773', '3.113589281109864484120046E-1484286308', '8.543194878458154064393175759954562038202604e+1485199080', 43, 5);
    T('7.8147251461646328109781936080946657E+50', '7.687031249910201810661373498834162351281955679882130488810E+58875509855303', '1.016611601033353766060419090189824068498634512860567377154166089441174063604e-58875509855253', 76, 6);
    T('3.51104323516210217059380435368E+55', '1.06216226386613E-74232022', '3.3055620168451190220300091899698268044111767788302110452137097883406e+74232077', 68, 0);
    T('9.512826574414914721484E+66896235', '9.979600662335031E+119179009485', '9.532271777485232271206619664932779e-119112113251', 34, 2);
    T('6.96663994084849295997805550161461877122990057581652643871E+489462', '-6.547881145617763926522908072241788674256078367273805026612E-964100943184162', '-1.06395332870557487402282120765077801e+964100943673624', 36, 6);
    T('829.48004371537340105218534996381160392016303203484872778', '7.2178846097218404811549958150787479522026457E+907', '1.149201031280187674881509e-905', 25, 1);
    T('-9.456033615098190468192323739317592852661658E+14905870', '8.9700385677361920122E+8332683767825', '-1.054179e-8332668861955', 7, 1);
    T('5.91544085584140992595E+778130090', '-8.7937683197762330849102557096113582619E+35522210', '-6.7268554739362688778634184741025073653901955e+742607879', 44, 4);
    T('6.5617331506E+5123292786854', '-1.05340900775691546998469335650E+8135445', '-6.2290459852553156786461817763255234162243396e+5123284651409', 44, 0);
    T('-6.4384113502748600096859278801996148264392080877189', '7.2776378178697767E+796', '-8.84684221914114840129505910410812850025014599143873263252943642313386563e-797', 72, 4);
    T('-6.575129778799396383845301693221105267682091401235198044E+86911880945175', '-2.487083859819457758679231098106498184284E-82', '2.6437105258190601613167894135867e+86911880945257', 32, 4);
    T('9.57168272172718227474513E+84', '5.603182176002113286581843705038890040986613595730218291E+568', '1.708258346966081624561150815501452470522243e-484', 44, 6);
    T('-5.52922994489659373657E-9650517167', '5.41651641E+271419066', '-1.020809229837927092437258950351818467028331222207079e-9921936233', 53, 6);
    T('8.09299606285329233501096453E-31091441786383', '-3.80444023221086914E+8195694133893', '-2.127250152159762178873985e-39287135920276', 25, 3);
    T('2.045054528088983786933171601568935435838327E+5333', '-9.68049793760114307508789372085938740922E-4238266994', '-2.1126e+4238272326', 5, 4);
    T('-4.44653341119240131490353672645446477713E+4128565', '5.1020743992093561140565435572618978187E+19762', '-8.7e+4108802', 2, 2);
    T('-2.7081564635449884604E+3386201', '-5.41718514920568930685318297622031293908416635881329772944079E+96851262', '4.99919494895255677372e-93465062', 21, 0);
    T('6.7081621054102215765715361349384116460416494521352341E-61401', '-2.639935150425923714128125562296925819369E+824030165491', '-2.5410329129970997206298803513815942795392411996448374195347531446e-824030226892', 65, 0);
    T('-4.297E+625767063749', '8.7560148565151284540814796577347017101692816E+111174271013698', '-4.90748367883673854733929636713451576419357174318805246e-110548503949950', 54, 2);
    T('6.9258154842696815566296255472971379066E+4589927', '4.97703014082109636081330532964922057055315778602928E+15302835', '1.3915558653070724823373439020473574171393800967e-10712908', 47, 6);
    T('2.36507788748085E+4711931290122', '0.000042769038271983836886758809528064766032944', '5.52988e+4711931290126', 6, 3);
    T('7.10594279689013169767129759710425387E+87863298', '4.61162891650769587301569493903486270009714316E-808996733632', '1.54087480270883007870838656381538e+809084596930', 33, 6);
    T('-2.9424256890555033E-71', '-1.3768159394117726559301311545582769455255281197640605E-45509912296', '2.13712349256547521957155114393745536149970035461913115e+45509912225', 54, 5);
    T('-6.38721193663389581813972393955253E+9530027045', '7.3E-7747284', '-8.7496053926491723536160601911678493150684931507e+9537774328', 47, 6);
    T('6.051445425867592370595919703171447360280798E-5826385', '9.09007391364914723121E+263444', '6.6572015622239110108140942097735693052432690999684601275547983995662e-6089830', 68, 4);
    T('-8.3262470918969616799126146250697943729896397079126E+7153', '4.2163106896080316493560824510415945E+398797441377', '-1.97477076639980943152891157551662708734468417835e-398797434224', 49, 6);
    T('1.068141600128646833482194407313329583870572538076E-51473568829763', '8.9642134E-9803617668', '1.191561994863539095892333851973369558417e-51463765212096', 40, 0);
    T('-1.04078355E-67618033', '-4.444560136296545284189410337874339431E+710576', '2.3417020314348559e-68328610', 17, 5);
    T('-4.6733230670805064553386966413940484414704664800161365042E-584', '5.1195861668904701180282061365E+54975', '-9.128321928252621707810199621e-55560', 28, 1);
    T('-9.90121225786410843626961705929390091994727653005971E-297362', '6.944401110983138747854672250129654970370463428E+56146383645', '-1.4257834620475091578747140214722037020282242119661e-56146681007', 50, 4);
    T('3.8998130951222226447125568153539825704089384500515041625E+72', '-7.923729281185846378048299168545594064E+670425863179124', '-4.9216889632788993285925332492095616673975508432793385e-670425863179053', 53, 0);
    T('-2.938427793602999E+6061528', '3.6901901484288497860996688120446957294535E+973918606526', '-7.96280862343658861914196967556202665253308685e-973912544999', 45, 6);
    T('-8.12712762323115568702638367860672512036373040026274633E-55245779', '-9.00755395496556021293458014631701953027E+48207534414', '9.022568905902522814493226963105078694759502015145000043528163e-48262780194', 61, 0);
    T('3.2074597557035213873176564536542865556969683595', '2.2884988717572089253800537164246247070613175176141E+58444370', '1.40155618833261400900667240018955755285793513760677850864942761526625501e-58444370', 72, 5);
    T('2.40117945388056644988E+557126570681', '-8.5563511661450606832629782678455692839699182301268428E-4122725705931835', '-2.806312418991544099728422163580104424703728621326780276937635e+4123282832502515', 61, 1);
    T('5.538707541009964906713292974901830E-3761798', '124063.01092519704357513983434894677724504859480276', '4.464431017516970707219e-3761803', 22, 5);
    T('-1.214773461739827418006397200036302161598557724870778355E-37761067', '9.8655606840E+640579618', '-1.23132734230701e-678340686', 15, 6);
    T('-9.184807144578546E+473', '-8.303029479935557903E+48817479749392', '1.1061995102840260921418619011070085713331397510265953688e-48817479748919', 56, 0);
    T('-1.2954183471647012906178637820331732218872289495506E-12643325', '-1.167420950227594871490041094006887885E+95618647', '1.109641168348188930057832752890553314972162166446352174039e-108261972', 58, 5);
    T('5.0E-79374137', '6.27880593003405569646702108601E+35', '7.963e-79374173', 4, 6);
    T('-4.33368521178548E+13403182127', '-6.8500589219650E-605972829036', '6.32649333553808915203719953057672428347765755903401819155420552989871015e+619376011162', 72, 0);
    T('5.050775669E+812363975640', '-7.168097760560599901564045284E-280419', '-7.046186921151854980504675314152598616239203644168013375e+812364256058', 55, 1);
    T('-7.236526750149911E+83368361943940', '-9.155904203990473755164598895241072E+78542956', '7.903672416096240134770040346204770860495438069736922563233124040031994210974e+83368283400983', 76, 4);
    T('-9.8026881068900992615632893687426707393069167728958020862E+7576773672966851', '4.5769479279098734474995549E-82685055', '-2.14175215914388440907281222533430972e+7576773755651906', 36, 3);
    T('8.383887540495860936601297806088719009821482623681E+1061777533218', '5.9009031966E+6370579', '1.4207803892337217563568830916769015159447e+1061771162639', 41, 6);
    T('-4.76946876225611798994903673802226005E+160524121179805', '1.70931637333833951429000340169711086072796449E+5381606191808', '-2.790278521079875311293845956288019481532663888779936932132e+155142514987997', 58, 2);
    T('-6.58473962167651016478204594871039644282935952721E-61522185', '1.45860E-23710482411', '-4.51442453152098598984097487228191172551032464500891265597147950089127e+23648960226', 69, 5);
    T('-2.1129324333028561704638898657E+7612820', '-5.74703409E+4571530', '3.6765615101873463403518628957706426273e+3041289', 38, 0);
    T('9.501815150979833914481861723E-205341', '8E-5695', '1.187726893872479239310232715375e-199646', 49, 6);
    T('0.007106415433068683', '-7.2766051266745850649166856864081037156851015366776E+295804357', '-9.766113880520985609124147732875180717169561e-295804361', 43, 6);
    T('-4.857890665410511152983704110484742059E-18804176453', '5.63479780006392203195678792837547161495561106740866900223575E+6582587', '-8.6212333392964029298115383e-18810759041', 26, 1);
    T('-5.6252623072377E+5723313', '3.699790535087756406236E+350353587', '-1.52042723875563208596172079983208756350427402863476e-344630274', 51, 5);
    T('-47.181565692785973227673654792380995579923341', '7.90273802809387363492702889301646097314394E+7164170587008', '-5.97028087291488808296326575469702528258260766e-7164170587008', 45, 6);
    T('2.2E+31307', '9.67303484133709057920181684801260555519686555905103842435744E-191992285147811', '2.274363771128417607141201580825752094653091279900378618489846e+191992285179117', 61, 6);
    T('49.595483006810927195288022', '9.7569E+780860415', '5.083118921666812942152530209390277649663315192325431233281062632598e-780860415', 67, 5);
    T('1.880374362648139901E+6320871451', '4.91E-4767227674061692', '3.82968302e+4767233994933142', 10, 4);
    T('-7.6376894E-19966110392527', '7.864859366473151558889454094904896149201110940075369E+5568133', '-9.711158259940989049172366671247753557994537270394684851054e-19966115960661', 58, 1);
    T('-5.9737710067422126279984851E+668581688099193', '-9.6746405223642521E+966', '6.174669738821846207797791082922534e+668581688098226', 34, 3);
    T('-3.98899944049404238599903766809469506197279936260269082227E+378962', '-8.009E+2004340094070394', '4.98064607378454536895871852677574611308877433212971759554251467099513e-2004340093691433', 69, 1);
    T('7.8337000122584206306017509580449563280500891853371E+67728119', '-1.95045040207925167147346378263247283757244569076747928711869E+71', '-4.016354378407884187194605464385356878465507363393342469212685e+67728048', 61, 3);
    T('-7.311173505746416712992715061113619283657132009843E+338650342627', '1.30921831939294704891041876881064752E-50', '-5.584380693004992087713129666258384e+338650342677', 34, 0);
    T('5.7459131355048275778490638330977259764363502455206624E-9692745388', '3.90439681332395740333005504171946616268E+343101', '1.4716519376044463125979616515871270881653895295671892e-9693088489', 53, 2);
    T('-5.46086781511692098228764899797464E+41', '5.0431057143607174488580713E+8286348', '-1.08283e-8286307', 6, 1);
    T('3.1268869927943171691495681431135310708E+332029127', '-9.9383202021960535082356876E+2814511', '-3.1462932660424588983020309590954426826491662884921402091744188136219482680504e+329214615', 77, 2);
    T('-9.048466888835792989247077832386580998798883046E-666085', '4.804165584099884738126E+6085155', '-1.883462742996009066450371504539104143562047133697143485722575359245642e-6751240', 70, 1);
    T('-3.700603289334853414438630119126285970573E+262321594833483', '4.0E-859304235207', '-9.25150822334e+263180899068689', 12, 5);
    T('-4.7664865570621785924477946267963509941075E+43404491106', '-6.34110222926957152125563651281407919201433384769661535261E+6620456940448992', '7.5168107763044656961512596671971941366782783850256111171429738321e-6620413535957887', 65, 4);
    T('2.0871397527456890851338821911957311202767027888935983614727E+975745588463930', '-8.481705E+3320464701232', '-2.460754945787066497990536326358593136965625176652098088147017610256428394998412e+972425123762697', 79, 3);
    T('-7.06840132591396155551040863340632822615266945769436823E+412074763057318', '-1.98116079903338924684348155526991501522235173355431634393E-937524663770765', '3.5678079888127420665e+1349599426828083', 20, 1);
    T('2.7687E-1698269', '-2.1447049821374015075E+976095573964', '-1.3e-976097272233', 2, 4);
    T('5.7637967537723760171226444644792922828E-354906753574', '-5.3451544310066918052476126396874476055006385196037391E+688268154669', '-1.078321838624003e-1043174908243', 16, 1);
    T('3.12328837654141019510410082607809221430020281259863126743392E+408038727195101', '6.423017838658423885672904E+777', '4.862649388490211047426692e+408038727194323', 25, 1);
    T('-1.489583058756055335490732611905557172883150716646573794E+25549019', '4.16697956290756540342659075218125849759700842561447749069E+91870959825', '-3.5747308962482142519594909454392718092460344062325781e-91845410807', 53, 2);
    T('-7.68297130327111071198260067674970614229231134E+9505167499', '-9.0584337916324441965609E+97893', '8.481566990496866269908111713871422215418393829632e+9505069605', 49, 6);
    T('8.4661719484760910406753488097449124425543580106767531E-2864242092452474', '-3.14572421E-70788768', '-2.691326824380478999675355777531722160269847053972e-2864242021663706', 49, 6);
    T('5.3116304998937E+1272', '-1.732328417606732139096844750728E+37017532017', '-3.066179857068840161192694280443363132746410752523480905085226376776078261e-37017530745', 73, 6);
    T('1.758867742291142016800465491144726E+3554946743833195', '6.271E-29725472', '2.804764379351207170786900799146429596555573273800031892840057407112103332801e+3554946773558666', 76, 1);
    T('6.41580657313760191739673297624737646938765564917885E-90020234', '-2.1016427547269164250E+2817604', '-3.1e-92837838', 2, 4);
    T('-15.22036347752894488278048716824147925995724416735124', '3.50570631841140155524098800670020036932836437366E+48063703558879', '-4.3415968410114852e-48063703558879', 18, 6);
    T('-8.41345504759245748159244753318822031125E+532690', '5.93153270552682566465874173E+9318727', '-1.4184285015832502171923788863646572613149193589005117624931e-8786037', 59, 6);
    T('2.093380748E+4142451370', '3.70363824537830391418427973038166758043075652604580525E+5862637436452', '5.652227915651016843748887098334293517577291082038798123427125673644701272083e-5858494985083', 76, 0);
    T('142189426917213.451445235814842346057982', '-9.1575786022364563553295E+87167', '-1.5526967672708598527847849840288524143126123823186140286468e-87154', 59, 6);
    T('7.74902503673598893E+7755031', '8.9482562660122120E+97553226575289', '8.659815729874e-97553218820259', 13, 6);
    T('-7.568200156431616910430599216535665996526748430483903E-767343717640', '7.689409554489112E-8976699119', '-9.84236839356965646865717075455164575607247200423926e-758367018522', 51, 1);
    T('-8.524428991437870011090345349136780936E+62722', '5.29414058192226797E+81932', '-1.61016294515222437768045775121227591313912811536450584206215875456145017536566e-19210', 78, 5);
    T('-3.44062784914742408728682103478817614891E+81', '-4.261133690255498099489003385508E-7840806580348', '8.07444238845537e+7840806580428', 15, 6);
    T('7.101114604881678E+9805561', '-5.994460250913352088842130032372007999149054741061743885249E+62327', '-1.184612843800192e+9743234', 16, 5);
    T('9.716005898005973324E-325797886181', '1.8970287000092854709869882991268294220E-7340949730', '5.1216968398835589343424859926378551025903507497435298668e-318456936451', 57, 5);
    T('3E+5122', '-9E-1613979218758', '-3.33e+1613979223879', 3, 1);
    T('4.418074767044599431988652991024537324492068E+3990', '-5.299837943774677437781E+86562972957', '-8.3362450209146127822214013918071128963296299975e-86562968968', 47, 6);
    T('7.00171163E+6796835445358686', '6.4247901682040437421395137965E+5357070', '1.089796156246644585219732636833821540624473097003895070985763754606340781e+6796835440001616', 73, 6);
    T('2.9645429847813032181222124522040123E+419734983', '-6.1998E-6330598916813413', '-4.781675190782449785674074086589909835801154875963740765e+6330599336548395', 55, 1);
    T('-6.3031953191793857287245336E+8828518', '8.196475153002636E+4853076', '-7.6901292342359140079716032698226599325824549923e+3975441', 47, 4);
    T('3.6597030219965184532619735723E+470', '-1.5E+3594', '-2.43980201466434563550798238153333333333333333333333333333333333e-3124', 63, 4);
    T('-7.69E+2191605490908379', '5.277547513594185231E+3819676127384', '-1.4571162041064893150245983389885e+2187785814780995', 32, 2);
    T('-9.672833472340654119981159490322653084581740290650E+52884523434795', '5.88163E+42027', '-1.644583809648116953970440080440737190979e+52884523392768', 40, 2);
    T('-1.5036562141013E+6043584558250991', '5.766638217217E+436073412667517', '-2.6075091889967215722053526249211271580611652937860601583927013581245413865516603e+5607511145583473', 80, 2);
    T('9.667248133969798506527E-7258521526', '-8.02249327318531225717724293E+772645168902084', '-1.205e-772652427423610', 5, 4);
    T('4.963895749278659428028669081E+855', '4.623720200912969017333199551957171284657738977301E+597528939', '1.0735718282214658255014459819250346641203066887716e-597528084', 50, 0);
    T('-7.541988893058863339677503E+192', '2.110659009417944125824962921314806E+859787060', '-3.573286286134260793092794198006605879211757664225919554779718517157269809627505e-859786868', 79, 3);
    T('-9.548986390835737029561816368760460E+74639943', '6.63E-987', '-1.44027e+74640930', 6, 0);
    T('-2.3257226767556630196940E+65920', '4.751933668142207E-442323352076174', '-4.8942658698030949304052682915589591122e+442323352142093', 38, 5);
    T('-1.68035353E+8245505', '9.9081737753527624396320308462671890554820662728E+27688', '-1.695926583544578657831624400797438273e+8217816', 37, 0);
    T('-8.6773839176938328839525586515230021775686E+21380622354810', '-8.443383725126257608275513888296E+8077477637933760', '1e-8056097015578950', 1, 3);
    T('-4.392E+7244', '4.518975048559966899408126678847E+470', '-9.7190180357370434423422525725e+6773', 29, 1);
    T('-6E+997', '-9.65274400378341120169293661726815872600574956088311215674890E+276438', '6.21584908669316071547865417952e-275442', 30, 0);
    T('8.2969068708870522151852197802279969614844730570410686848334E+67', '-3.099209127251583359185149663991979892583201213E+1811130287494858', '-2.6771045548142312432e-1811130287494791', 21, 3);
    T('0.00005222825793572563403189989220146019250', '2.639954123178974166514E+8365', '1.9783774830463161583174639205853429431746877215488864008314277586051543e-8370', 71, 1);
    T('-1.3976672591303181032121025528219129420E+951356467352', '8.1781176E+9841492874', '-1.70903296759919190109482230094357282e+941514974477', 36, 0);
    T('2451767023153657747158717177579999804.7938719251053190', '-8.3799225949428095799447786715947E+5343845', '-2.925763329405e-5343810', 13, 6);
    T('3.26910E+3708733', '4.76556312014308794046162901077420509587935549766E+38941209693379', '6.85983989212557940853361890161159905719294337778e-38941205984647', 48, 6);
    T('6.2185E+6658', '5.765638951612E+48199164', '1.0785448e-48192506', 8, 3);
    T('-4.7380354157368258348940808650768233706758146E+660572', '-8.70913288528352211951522070376761023859386391571943116913155E+238690', '5.440306719562220924476987167379737699610210315811784355223740850528325541e+421881', 73, 3);
    T('7.602725379388535865897396091207728160494805938274332714E+738405021031', '-5.04716439063E+663606043', '-1.50633599204791191493313170740607780853933646470638352661918e+737741414988', 60, 2);
    T('-7.11925864703653106850723730719593630252037762857815095803E-929276532898', '-4.051653503085990564387577683687E+66', '1.75712425596464806137637152909e-929276532964', 30, 0);
    T('-9.78891712087375745496325325054183112396414375005432830961E+98', '8.21674621806594535913290381E+4032146301050', '-1.19133740547458079980227645070749539705e-4032146300952', 40, 3);
    T('7.51831171E+5325923083345', '-7.89901654979687422180850270631605300610134535411129532E-9090', '-9.51803514096110588537274836718622586629474619947126461605508334e+5325923092434', 63, 1);
    T('9.59172E-9', '-7.9004518458474599436752367045379948861185873852E-8', '-1.21407233246304564109563332e-1', 28, 2);
    T('1.47680836710849733872991032206E+51624028131', '-3.602647265867169317328288112602660414078018355250708680301E+4446', '-4.09923108792896102838667729079381812053684926482e+51624023684', 48, 5);
    T('7.84671955599738713637788847420E+7082634191221', '3E+430', '2.6155731853324623787926294914e+7082634190791', 71, 1);
    T('3.285E+113679537218531', '-3.45392076841579E+15507691302', '-9.510930389716875593730938849632179210346e+113664029527228', 40, 6);
    T('7.58E-886290186917204', '9.472087037303753782196133755571E-8960', '8.00246024994050341644958791246388358064165838467955019407943015056658600406321e-886290186908245', 78, 6);
    T('-1.0616255280526795677874022359059732E+226117', '-1.8832E+357592932044193', '5.637348810814993e-357592931818077', 16, 6);
    T('-8E+5', '-6.607484019792402196391202203333990199510012035164623E-1476839874912', '1.2107482933044382431080176691368e+1476839874917', 32, 1);
    T('-9.766816619091152614516281609701417081058411368973574680E+982231', '-3.6902078102879602909349226578953695128391855145E+10006447509983', '2.6466847183679372552739886e-10006446527752', 26, 4);
    T('9.2132621650149E+187089026', '4.485109102172563296421964825360446E+92959708600361', '2.054189085512333287256112411192583840107179126089237506e-92959521511335', 55, 6);
    T('9.9478493169510450697E+169921087', '6.94E+1962430', '1.433407682557787474020172910662824207492795389048991355e+167958657', 55, 0);
    T('12093.1995317253088391790616824641542302914973624538159401', '2.2651924389488108700573529616772260E-469067684537103', '5.338707353860539980215603300938671374552416920336259014782663498918274913e+469067684537106', 73, 5);
    T('-6.29440029E+999873014001468', '-1.4814051246153052759273254567926361807106634630E-101655', '4.24893918983475e+999873014103123', 15, 5);
    T('-3.4450922826967832069800876610921995854E+1904', '1.561724214311912793712301153E-4570253610877475', '-2.20595432351330491e+4570253610879379', 18, 1);
    T('8.134858885567130154940911506619125942015E+27785', '-6.00E+59676003', '-1.35580981426118835915681858443652099033583333333334e-59648218', 51, 0);
    T('6.813080125458230001867264829402586013492165343853669E-7648842769', '-4.3186858708896797426653798267204387347498E+3843750051821', '-1.57758177583188921622390579370839371149408667457347416321048121522e-3851398894590', 66, 5);
    T('-1.273666000509E+282214', '3.67940202762443197219060201114732271192721856516726783205462E-3975144419019533', '-3.4616114002941106621e+3975144419301746', 20, 5);
    T('9.45157673428186838661735469094768854707005834288581E+1732', '2.3994335410911312843557234257808477183E+476', '3.9390866937634820522108173556057924965943665212422927000844e+1256', 59, 4);
    T('-3.444643662677932404923E+7134434', '4.7656473284799305455912037607790998020478195E+131677634', '-7.228070868971853566e-124543201', 19, 4);
    T('-6.5463290628875069594537E+8234', '8.0407157332925882420168E+95551172472', '-8.14147556016988339574771929155604816056063012421087040665904377e-95551164239', 63, 5);
    T('4.04663351774930820501074038860189972904177139513943846490E+34598', '6.527775281678277884E-3468961870', '6.1991005252695017310483788576589e+3468996467', 32, 3);
    T('-4.2223806193019521508958569131926918955583373567154717759404E-630671', '-4.2570296447282987947162849170977328E+8256638190', '9.91860750730440805361816587798664464971807684542164315281714138316216241779078e-8257268862', 78, 0);
    T('-8.81309125381303689052806377466808188543059993236421E+5191161386', '3.77458E+1128302707', '-2.3348534813974102788993911308458376522502106015408893174869787e+4062858679', 62, 3);
    T('-7.046E-43499672', '3.224757447574197010489972E+471004225', '-2.18497053330330566464106597413289109e-514503897', 37, 1);
    T('6.3E+5', '6.1855313E+45088', '1.0185058800041962442256172885262095432287279833181023592912e-45083', 59, 1);
    T('-4.1529959289496716210252790540675E+9024161194', '-9.7828991821825125895164664124893410422843656051955884403', '4.245158670870775954023716368262430041766511e+9024161193', 43, 2);
    T('4.98671078240763E+737', '-4.4247405422815357520739260214460602709E+342', '-1.127006371278964228513146230704218e+395', 34, 0);
    T('-2.9141651982225486428110398105240072376494679938580458281413E+79145328', '511108406.510168249738', '-5.70165773269192504088548868290294444229912732604058464179e+79145319', 57, 3);
    T('8.975019E+221822509', '-4.6581449255329081E+942822', '-1.926736746811978e+220879687', 16, 6);
    T('9.7259220779526E+1569509766541', '-4.54236782368586846533987474911467953E+43991495671', '-2.1411568713650708e+1525518270870', 17, 1);
    T('-8.190316080543167288146291954886770406282987408553E+191385581', '4.9958683247435956197986928586E+3434372', '-1.63941792460343142150271706177354679397321902768550868095e+187951209', 57, 3);
    T('4.720052766413847153408355428700732094255289371699734571872E+4058957437824', '-5.441780726464E+26365', '-8.6737283320874957261177517e+4058957411458', 26, 2);
    T('-9.51346119625622530051287078579649E+168', '-4.270478226E+33313004', '2.22772736279e-33312836', 12, 0);
    T('8.6882163217828957820153676365467340926506792115678E+8990693868', '-9.20043382614602983696738638065628E+9652826292', '-9.44326809578533008185638390761458587964095940600137073e-662132425', 54, 3);
    T('8.0E+3015125460430', '-2.810317351080720221393230960708578E-3785793059', '-2.84665359836445655966424110038867172e+3018911253489', 37, 3);
    T('-3.810547846311945661983297E+83381', '-6.6003969006019047636213514924402868041197194534203E+96074653972637', '5.7732101625047023947354124822505024751190745048250024681654e-96074653889257', 59, 0);
    T('1.6680212329902487306546851323166370167736066253E+8897', '6.86E-79061091', '2e+79069987', 1, 3);
    T('-8.688238619907444287544830273886629424319243710077346870E+2044815829213496', '7.15848559448693166273034670944296075803620993428E-11', '-1.2136978562335368125568343356579517819859828779494770358776884e+2044815829213507', 62, 3);
    T('-3.4038700898128978685201914637083E-86861640', '-7E-8', '4.8626715568755683836002735195833e-86861633', 32, 2);
    T('7.1570694373745356777377718E+78983', '5.6837827931860763850646854650247593136597761763002E+694118', '1.25920882232774419323899476238866131347692049576145265959936839890817092278382e-615135', 78, 0);
    T('-9.36726011E+5228331054944', '-9.218985857187563530354747562035435813341545604764045684354E+59', '1.01608357525538828663045486113634264693307213727984794941835418017031042234e+5228331054885', 76, 0);
    T('-6.4324141725521590131345953671650174620E+869456718156463', '-7.752228933637962759029797E+9338130308', '8.29750285706998383810396733462616434600745711047279725739e+869447380026154', 57, 4);
    T('5.91813013483143471970696191308787E-15264408', '-7.8699779107992E+483', '-7.51988151e-15264892', 9, 3);
    T('1.19761538632933988471E+9652636205580', '7.84005154110626019433E+57502643725', '1.5275606034604613526641405157816e+9595133561854', 32, 5);
    T('-1731.1', '9.773768761364157002671144828983930402834137E-63863343493', '-1.7711693843658980613534097624808852677047934697897240490953986704e+63863343495', 65, 5);
    T('-9.27701615796802310595E+32237566', '-3.62778E+96113530508770', '2.557216e-96113498271204', 7, 0);
    T('1.04037741785177684961239285959596922403890461822592831E+76748704', '6.747382638650540305824743594198187E+3255488962911229', '1.541897760314138250236681167763786499281054475560457e-3255488886162526', 52, 4);
    T('4962.680353518', '-8.2383369357066577249479989171886007147310394E+99274344931', '-6.02388612197774529814097517341485807827199199e-99274344929', 45, 0);
    T('1.7367778634653693050157841862879E-89', '2.968861E+61', '5.84998039135334832117699072569547715436997555628235879e-151', 55, 5);
    T('954018306881.9830', '2.863056450964779994357638843855969905269127877739E+777683596886776', '3.3321672947122721440608638332335433708403893543212e-777683596886765', 50, 4);
    T('2.8196830751116848E-99247', '8.5412290068385450153670835124425271305966140668465E-619193691861', '3.30126153139566008709649443192727e+619193592613', 33, 2);
    T('3.3E+71772107742', '-1.117899131743157850297E+536379400554593', '-2.951965795746041639138816638109137960188964872389876915946088290036501393819e-536307628446851', 76, 6);
    T('3.651539926588133034014638709383933716919579339391057420E-376992694335024', '-7.455169624E-10080287923532', '-4.8979971091e-366912406411493', 11, 5);
    T('-7.1792733404263969791648236E+5638444616940126', '-1.8440172343381915515676679657455187073398111634E-753', '3.89327887328721297423741912690625477132e+5638444616940879', 39, 2);
    T('3.0115644720172983786840270227953386581747195956701755712332E+1348197134', '-7.109180316597E+97316775048', '-4.2361627331164172197612e-95968577915', 26, 5);
    T('5.46426039018E-1723844145765', '-5.155102702903760314482352752091625451209532E+973927', '-1.0599711984597508987392777624391718236451557005192046154643954217687161331561925e-1723845119692', 80, 6);
    T('-6.629788939738180573289925602018633958134923E+765268781', '-9.31571013682463283020177547374E+88991937', '7.116783199952613109170906099176240478449702e+676276843', 43, 0);
    T('-9.9603729297830371654691922673386374775113345662910966E+3982', '-2.3898570161368532877765900423992485E+3949613082389', '4.1677694e-3949613078407', 8, 5);
    T('5.81669755762371199370491937530801E+93345986', '-9.586013542016095409020E+5164', '-6.0679004177584e+93340821', 14, 0);
    T('-1.927842256329131438727444140782830803040070771805625514E+2504', '9.468854432203561677321E+9968', '-2.0359825680417500329703606706328817243358e-7465', 41, 3);
    T('-7.7299220787E+33976563', '6.96765279528E-2331652597', '-1.109401157867162e+2365629160', 17, 6);
    T('-3.981400634637790552237867885629407165531E+696128788', '3.3E+53516957588040', '-1.2064850407993304703751114804937597471306060606060606060606060606060606060606e-53516261459252', 78, 2);
    T('-3.291028747482444905019E-50708354', '94.993319444', '-3.464484415056741097936e-50708356', 22, 1);
    T('-8.33E+5', '1.1765011344543249291268306348440E+5339', '-7.0803161646448832579724144231468699645301948355499053408730009833134154514229e-5334', 77, 4);
    T('-7.5480E+278144375524300', '4.3703442026882388135678008E+4426', '-1.72709508677992821549294625576821186826003e+278144375519874', 42, 2);
    T('1.69933301525269007173272520047743101300920715352892839848E-169825605376', '9.31803891472252782609243577844457706935370854408834E+33387078936', '1.82370242365884424870749374838905230703851206619691024e-203212684313', 54, 3);
    T('5.312582178424E+76163669', '2.04948990711E+869571', '2.5921484950932542775092290461686986023890885907823113056267155144282744171684e+75294098', 77, 4);
    T('-3.4071247145890221212429507485734392071501720891E-5284614634344', '-8.126279789678004922038664372101832E+19209531961', '4.19272385737536335279878905676411496335988216005611705056e-5303824166306', 57, 0);
    T('2.383674096501263186893860923358109036287996928746855E+7223061575544', '-144.2545959357465750320248093002664874887765', '-1.65240773164897411581531540610981482586632888867424e+7223061575542', 51, 5);
    T('6.4107891073456068E+78882', '-2.41031203547008399330376E+93948463', '-2.6597340979112309722702416641372398089986688394430310579636253e-93869581', 62, 3);
    T('-9.651120063041668E+98136784622', '-16420.9094148193170237722469174001549967531502200095', '5.877335913157073739638522877171e+98136784618', 31, 2);
    T('4.0595650050809E+755271172', '-4.3780002113869980605250499959248005422E+64', '-9.2726468914326198137960624915064790825455881269426580016639741633941517464e+755271107', 74, 3);
    T('-5.98870895294096899E+5098', '3.8E+8974967529', '-1.575976040247623418421053e-8974962431', 25, 0);
    T('7.82098697888E+31384252', '5.155907015668824446E-9477491803', '1.516898376001e+9508876055', 13, 6);
    T('7.97388E-93113', '-6.1608128918092345632951171549382531489397135622052102E+38404', '-1.2942902405949104164045039094319146276381706619874196047133178612539296764e-131517', 74, 6);
    T('9.10E+530769173', '7.123664512513859165248695903485294773144605263066745E+38850992903', '1.27743242035252931950763209500211944097284566287724215998885351044099e-38320223730', 69, 2);
    T('-8.1557708723978769E+4667106156', '-7.0460327E+7364202343', '1.1574983000572615707559801e-2697096187', 26, 3);
    T('3.0063006731797598294382393869436092E-633431', '-9.2008490280274760889672E+9550518', '-3.26741658734103320465174213e-10183950', 27, 0);
    T('6.2473122204179968530775E+970', '7170737.1580040436660935527203698792337', '8.712231508087963747343e+963', 22, 4);
    T('9.217E-267096698877', '8.897853472169122323488970572199002474E-7813', '1.03586781113322559656483796368517589341497606544706589478393111285631274499289e-267096691064', 78, 0);
    T('-8E+4001954432028246', '9.141E-279322057019148', '-8.7517777e+4281276489047393', 9, 6);
    T('6.8237111687198957780137003203399174794E+2062', '-9.58878037871671078821657892446910554676245829292192496994E-1500263471783', '-7.1e+1500263473844', 2, 2);
    T('-8.047368715794100123768901296111470930481018115815E+673', '-5.712786960127749066425175089869925857368986E+50', '1.408658992e+623', 10, 2);
    T('-36489.5209641396958693635802359787726620103806268285366800', '-3.7148E+963578846119', '9.82274172610630339974253801980692706525529789674505671368579735113599656e-963578846116', 72, 2);
    T('-1.333663700153023530E-428512051', '-3.73745979252428072483832E+790', '3.5683693583022251885508601524732060872e-428512842', 38, 3);
    T('-5.9252643260524097E+9878987013302', '-6.49612085062782197550136596422941831136E-499716689', '9.1212347527059299364088107776441547519255521802898620535681131895486062274783e+9879486729990', 77, 1);
    T('5.7666197691747324976487113125712306059188139638377074705E+4367', '-5.1999732849954090681630247540E+364261108812683', '-1.1089710375655946678755590323458275329012915774363114802745612326050505e-364261108808316', 71, 0);
    T('-2.491E+4956456', '4.6932951E-8787062', '-5.3075716461979985021610935992497041151322447207719795842370960223660345e+13743517', 71, 6);
    T('6.1901644551209930004E-65', '-7.5994E+9711', '-8.145596303814765639918941e-9777', 25, 6);
    T('3.6143737468123864E+320489', '-5.62208E-66051140', '-6.4289e+66371628', 5, 5);
    T('-3.562782583735E-9892', '3.223776287563135880729048292E+80091219', '-1.10515813317434635045753521454872645737e-80101111', 39, 6);
    T('4.143739855666980810E+83902709009', '725328.44414655924254165388099430073219129717928727990', '5.7129151477612537875867032540443e+83902709003', 32, 2);
    T('4.8E+410432544687', '-90949.73779611933838076519754181380316840', '-5.2776402838676e+410432544682', 14, 2);
    T('-1.457467264483592973436134288708E+29768', '-5.9764515558474768159636592956503263E-936512996429', '2.43868330708307768926e+936513026196', 21, 2);
    T('-2485527591.24904713784733112734562501', '-1.7858455467014264708509E+210123173766899', '1.3917931457398312896856584817530707815897855636198718587270280787187e-210123173766890', 68, 2);
    T('0.0055832489500158334557220099583499625079570565674817252567147', '-1.509601566465623183066E+5801971983344170', '-3.6984917570585839941e-5801971983344173', 20, 6);
    T('2.1460703221323722356272068E+4538149', '-2.790736449893925E-71601', '-7.68997847221991772914020446936812940150196709770437877066e+4609749', 57, 5);
    T('2.29040655982696783346743080E+664700387300', '-5.21224734865543573578294344E+1493164891', '-4.394278334503459040613432159808454916845655346852860554709569792111111761e+663207222408', 73, 3);
    T('-0.26928291157011467067469669793', '1.1051024671394068412E+3282086', '-2.436723467527514609431276741066522278467491476597545e-3282087', 52, 5);
    T('-7.31006079489043076150742E+229418466085095', '-6.529268376240821633153362646992579351205126092385648289754E-2221103922', '1.1195834469740612247971188902842794711503818625417419415060051557e+229420687189017', 65, 6);
    T('6.087378744097E+781133056', '-2.1294655062021244221168215783356528436186930E+3556215', '-2.85864162925736478806680695110681761529851e+777576841', 42, 3);
    T('-6968.49', '-7.46785417215377706190872402312857255391E+414', '9.33131504627418664442009492786935003063992117660107647562e-412', 58, 5);
    T('5.966435841927E+47587361023299', '-7.066897478339345057330705446011746308094997464140979376E+1734535', '-8.442793828854379715980377263e+47587359288763', 28, 3);
    T('-2.4628589166E+875', '9.06633023821939240746659056E+342618', '-2.71648930922209618177736939754635952495455523e-341744', 45, 2);
    T('-4E-4868898685', '-8.733656392660022191656E-52019442', '4.579983251186407496669485982435373253371522682287055175002696862782247569663245e-4816879244', 80, 1);
    T('2.50632017082759393494184185311061E+57', '-5.23454439909258685870251243457624036513992151555304646435475E+638', '-4.7880388047946768169415898141660249044129957e-582', 44, 4);
    T('-4.7143451253320389691264847037E+8525494005844960', '-1.017004454886693614874157614860086344728518837511956E+7689', '4.635520624004811320328738450515000652631727e+8525494005837271', 43, 1);
    T('-1.1984325E-6717967089864270', '-6.8525689941786783205E+380312', '1.74888060378243496324600866519443670462000914859740880627665812653656251e-6717967090244583', 73, 1);
    T('-6.279773519188409442001417439915115604980663138E+49908', '9.98E+819207572', '-6.2923582356597288998010194788728614e-819157665', 35, 0);
    T('8.73654715990482218264936058607E+936829956', '-4.72573439E+62', '-1.84871735034283680566e+936829894', 21, 6);
    T('5.72388758374648062190731712836967072223097E-97527', '-2.71048928898201902485101842100272320E+96809059', '-2.1117543636913637789481797681997674125126e-96906586', 41, 3);
    T('8.385842970641853694E+955538896801', '-1.4650065154275592788321982125344866194357970061448E+9910873241', '-5.724e+945628023560', 5, 2);
    T('-2.8565415783747833848927E+12379', '-7.52495043133989332583054490E-6485', '3.796e+18863', 4, 6);
    T('-1.412383307924687306204431946140709E-4952852937011', '-676288.0', '2.0884346726907579407063735363346813783476861928645784044667e-4952852937017', 59, 6);
    T('7.42247999043461928806896689387228510642789E-93531', '-9.464038618958484988330460E+4303622369578', '-7.84e-4303622463110', 3, 4);
    T('5.29778306342959074853903969626956452380497897859804001314E-7271', '-9.8994651265021915930370572068828914745459050022E+8835', '-5.351585157107849425648750549324032973044e-16107', 40, 5);
    T('6.4081696438448888570458606606833866852214E-696', '1.830936135630369420E+872', '3.5e-1568', 4, 6);
    T('-4.118340306202390627669996622816860882464526087516413328355E+73902628465', '6.4063255342788256E+3575029', '-6.4e+73899053435', 2, 6);
    T('-3.632197897108664E+894', '-7.2600565953381006182303823205470378684156937E+69253485269', '5.003e-69253484376', 4, 2);
    T('583072457.6837415289491700', '-7.6198503193735003315791372834248408833779012793836011380E-41895294022647', '-7.6520198330048221712371361104222464e+41895294022654', 35, 4);
    T('-9.6643241921000383964559574878366638262E+1783864332442', '-6.151742E-7893279022493', '1.570989841917954035857803771327969187622e+9677143354935', 41, 5);
    T('1.540017946027368008613651082733428730626E+99569282', '2.1080961E-180405', '7.305254945575621569688645042004625551112209732753644390310289e+99749686', 61, 1);
    T('-7.15671169081144107127203746E+77064580756', '5.4196493681700872859931432660196855853835901490298743097253E+5833577909', '-1.320511938068027204450046449665096925277938e+71231002847', 43, 0);
    T('2.83774E+4033636296', '-8.155883621200709271423444489473023893295199E-40166', '-3.47937774960823667040763270197481380063143464066343534679e+4033676461', 57, 6);
    T('6.39999016794248740766823009E-95874', '-8.5319942952568631934233959042E+41068', '-7.5011655498883688293816904056397368532336501811946338e-136943', 53, 3);
    T('-2.7840323105052862906332979004E+8948437717462914', '5.425974719297198360531E+485424074', '-5.130934909e+8948437232038839', 10, 6);
    T('3.4314549407316083712557460933875E-7', '5.6867E+92', '6.03417613155539833516054318565688360560606327043803963634445e-100', 60, 4);
    T('-3.92920770137E-4241740153', '-1.900699559034569497252790782337245E+1416710760072', '2.06724292e-1420952500225', 9, 5);
    T('-2.167164011845761830527053085621E+7267783551691797', '-6.2E+988732157453029', '3.495425825557680371817827558e+6279051394238767', 28, 0);
    T('1.16236686225745323587413938E+8478446856592643', '-4.9061576408934553187039863476241E-86984', '-2.369199987723541233101587972079e+8478446856679626', 31, 0);
    T('-1.842858505889393087142555555769135047525355200E+353226', '5.8774618636938693153086689099904555327182454016E+95931', '-3.1354665476828678564598979107504581179280860813328243995e+257294', 57, 5);
    T('2.530666827541352756722003738864936728418186449545550E+2236608', '-9.44289847945054E-18254386403', '-2.67996826721005507742377785803439414569004692961036187968672405323e+18256623010', 66, 0);
    T('6.018378497725902408491540480803752695939297270009922327E+7674745', '-2.271426368980726716E+229', '-2.6496031656208e+7674516', 15, 6);
    T('4.5106482E+4734531881214', '-2.4097318E+22617515626', '-1.871846568153353e+4711914365588', 16, 3);
    T('-2.43481695936349580905747382E+465576103419', '2.63805809501688732078321419550482036540214E+421', '-9.229581e+465576102997', 7, 3);
    T('-7.064275873677919E-15705444', '-6.34803694350404103641781072772596456961819049377023759E+44922151526', '1.11282841239712801300566796403444115530651074736248796631447065384932e-44937856970', 69, 0);
    T('2.08663512287794772463177432E+86078984839', '6.97151581205358661046671771370897728E-918829355', '2.9930866961102e+86997814193', 14, 2);
    T('-9.9E+91199748176662', '7.06473168679552999126686908539291789360736797E+8110037949352', '-1.401327104680250168053118846100311728483467e+83089710227310', 43, 5);
    T('-9.9054911460053896134779719907241937206E+7286359323', '3.85578258257746120152865407E+8707598915483', '-2.5689962890448821291146806859878386666542e-8700312556160', 41, 4);
    T('-9.413072775978E+8448', '-4.616979631258219876400041768176766578831628E-756', '2.038794521043348898147024138722792984929438115672e+9204', 50, 6);
    T('-3.838201463458861255832171230966590149092183E+574058741296', '-7.889441895051480774270297E+44197342435085', '4.864984766370240106285207946389586779646619187726251510716e-43623283693790', 58, 1);
    T('94542262.42032578864558244', '-9.29796202088972782871194272793828546286728238182723552E+2078608964', '-1.0168062873123994557171928556471313797573533861638799995832e-2078608957', 59, 2);
    T('-1.44688534495145552568901178254636E+3976458442814302', '8.9820528029763603214558491525775463011160870696170198305214E+184981523833773', '-1.61086265766774913183e+3791476918980528', 21, 1);
    T('-9.23910368179E-157', '-5.3661907851957483880432316540199977926714330477834E-8676711447246702', '1.721724786095724911589717924014273583721057070523699632733655e+8676711447246545', 61, 3);
    T('-4.73232119462509688644068476341E+40808523338709', '8.65700368E-7015393992840328', '-5.46646549955618926852608749660367477168497634276158699750027e+7056202516179036', 60, 4);
    T('-3.11440912453702428E+3186847081', '459983.3922690615892983', '-6.77069906627256931173764348083708e+3186847075', 33, 3);
    T('9.7402304E-966', '-3.235211065176709225912978678245382735841684416000316914215E+7930', '-3.01069395590361045009327372407459157187048058862787e-8896', 51, 0);
    T('4.2109008386387926689581690920003774871E+78', '9.9261219748046304428E+130238', '4.2422416824287243e-130161', 17, 6);
    T('-1.51441946099885559956080225301081605180989652372811687E+3761', '-6.6465087569709296825934029293568708955136893404E+3365696289340186', '2.2785187177e-3365696289336426', 11, 0);
    T('9.2199250840E+105253982311395', '683.618', '1.34869548256482e+105253982311393', 15, 1);
    T('9.202682805242386E+65010355608', '-9.616801E+9084285', '-9.56938050942552102305122046302091516711222370099995e+65001271322', 51, 0);
    T('-1.3085852734167604023306916957698232677E+9463485977989', '-338.6008809848115776167', '3.864683605106918931208776628830724051112975353672130487276478824466935e+9463485977986', 70, 5);
    T('-1.09212540187557910999588679666E+9253876001', '2.257E+904139850954827', '-4.8388365169498409836e-904130597078827', 20, 0);
    T('-8.74272659238096683E+7160852', '5.3745458863045434631824689249303E-6056040737', '-1.6266912177006e+6063201589', 14, 1);
    T('-7.961764282569882207922372676317350892038E+81133447', '-3.52168015135890877606711370807171E-71076264831942', '2.260785744411706616523e+71076345965389', 22, 6);
    T('-1.68362158790814826375350440940350734221501914E+1660496634329744', '2.2736E-85709617502243', '-7.40509143168608490391231707161993025252911303659394792399718508093e+1746206251831986', 66, 3);
    T('-7.78089483433277558214964891278560382146766820075978938110E+2859754514387249', '4.88789981261661961248103042207678896933854525886401E+2277353', '-1.59186872330091002e+2859754512109896', 19, 6);
    T('-3.86E+497801', '8.06211804137317523931043660212792516029E+3745184670', '-4.78782372100142049e-3744686870', 18, 6);
    T('8.6324485361531E-6010472', '6.1684343406038753832852975109503618477410287447566021E+167616464695', '1.39945536573677841152557955687391298e-167622475167', 36, 4);
    T('-9.207922224464824317107880999094712597E+5858433647168', '61636.5929774387370381345372611851875339281648916194137', '-1.49390512675404738181839201536878402729002217176793296155768180218138018e+5858433647164', 72, 2);
    T('-0.3537934861665108168746736464092911671255749229332683', '-5.582083653E+43790171576', '6.3380183486926116991080077317732588112035397140127434059433648548369398648279e-43790171578', 77, 5);
    T('5.7217865514033039590E+124462333755451', '2.082877733261275444393716450477862559719069244828725E+57', '2.747058293452679146098830047149735374002653426812354529117839e+124462333755394', 61, 3);
    T('6.96697304008069104709935165778893111623609130E+7359699', '-6.84792351228833137446341570998287605E+7715004590751', '-1.01738476307142302964508224390512412346117831378060191436718627005601716e-7714997231052', 73, 3);
    T('-4.6141690881757305861600945773229828390398716382501E+8672088543536', '7.3951694523624483E+729558177', '-6.23943659154652088370254628047938106738161076144281294397e+8671358985358', 57, 1);
    T('8.6638281697304057757E+2834793175330518', '15869178721812396659.55475936100543413612588482', '5.459531536954624519893842197443911460622382116779e+2834793175330499', 49, 4);
    T('-9.8730659025087187E+259920933721827', '-8.5E+3590200239684098', '1.161537165001025729411764705882352941177e-3330279305962271', 40, 2);
    T('6.303935458568675773660885605099902814525150E+24358960', '-2.1105896164304676843409968590185169348589380346492E+5544', '-2.98681250466407559129079317177325924453683394326e+24353416', 48, 1);
    T('9.8713987887540829932846016E+7632720', '-1.99840034639360723129E+6833805542823', '-4.9396502590526477677451110958696000221376e-6833797910103', 41, 3);
    T('-9.9881623607695623553518276778020610E+4192590', '-6.03257254410734934923E+51754277494', '1.6557053044519216424697262401723e-51750084904', 32, 3);
    T('2.3232239473782204463278947816832839402E+859826', '9.34140867696304923693576855431458712E+817812510', '2.487016709918225284007015143183486376063799890186442997e-816952685', 55, 5);
    T('8.4104683139585981941976637461185019795412E+7602329', '-4.3697124670442382900043017377371807657986152738264269254E+85181528513857', '-1.92471893228425821727975e-85181520911528', 24, 5);
    T('5.445559378213832627975661336809185538726598017733934540008E+772466062439', '69879127.70009', '7.79282678167549461822e+772466062431', 21, 4);
    T('1.76015274679443114788091399538960503661225993601010331064118E+656765249082723', '-1.96330940965676576751E-785826347', '-8.96523359047185871193288650097696759303756939007637e+656766034909069', 51, 3);
    T('8479125689.878665883690597321965415737542938102965', '-3.847648325333056563305785873359835823365003406E+78', '-2.20372e-69', 6, 0);
    T('8.0765142414305029154450543056817063471014289149303E+78297654139', '3.5421350690621221415064470129949678272379835448423173781199E-820826739', '2.280125992928040036256406969139535573373774e+79118480878', 43, 6);
    T('3.511300527303487655824171748621342968204254498E+20659374424913', '4.7326551644931611352785984046E+863355', '7.4193035521520545745567598e+20659373561557', 26, 3);
    T('-2.8095918E-33711015144064', '6.019E-8', '-4.66787140721050008307027e-33711015144057', 24, 1);
    T('-5.7711592559825613438201349556198163781973839751453E+3349221589305', '-38562.8615838867016', '1.49655887010055584374211596040576643563698965e+3349221589301', 45, 0);
    T('5.14278212729929709934358850962002978847202348525250150437442E-747', '4.3681608896974297548654492579544321422990051326118836303E-72565468', '1.17733349507085650948912162240729e+72564721', 33, 3);
    T('9.22532996938265581532917529751857167640688102802850050657806E+84704988609293', '-47482875022237824004552540356.04932582939025626681974', '-1.9428751871200141457168462067449240855726264391e+84704988609265', 47, 4);
    T('-5.3770826E-66491937910', '-7.4440434434322410139956E+37598', '7.2233358669395097430576991206595238719442643812851948877841e-66491975509', 59, 2);
    T('-2.144966744160010404837573653546896040363507977013868E+5081339974150', '4.077557214877122745049698550216768234667042673762E+9279428', '-5.26042096070171026059036924e+5081330694721', 27, 2);
    T('6.13045591385392677582855373464256811419013490E+3122525', '-4.908548063837387752704757159392805603E+51698154', '-1.248934682e-48575629', 10, 5);
    T('-2.55949143151198550456241E+912794816156', '-2181.877137549521886662851422305', '1.173068541515845521435418532904827461e+912794816153', 37, 1);
    T('-1.39975183146491364671566863304737918786939E+490132768976363', '6.912840777359610724101193920E+97', '-2.0248576186641968063236118311363176376716127569897129754316867131787e+490132768976265', 68, 4);
    T('8.55820591272163966390681652962488252902243645581973959720237E+52269854', '9.37217160929E+701526', '9.13150790392961735907204473619214672627e+51568327', 39, 6);
    T('1.974869649538733933052211055405730243E+326407306863557', '-8.314815276748E+712', '-2.3751214955566919622623862806167574434e+326407306862844', 38, 2);
    T('9.061894970263762877801E+665335882654798', '-1.4517794182E+755454', '-6.241922744365134902971859750808e+665335881899344', 32, 4);
    T('-1.28057806559806941515770705468356919E+63701291342', '3.121696878738039658825241240009E+63491', '-4.1021858154137918614183050619343106688377378646767e+63701227850', 50, 4);
    T('7.052507251749399787414948506931909128777E+567886937', '-7.89953883E+891916450451965', '-8.9277455349243467006477750384472875978976610714375082e-891915882565029', 53, 4);
    T('-3294772414872070.7489058201181461532762146679452', '-8.21810777900768935765300258464632025954135905685639546821E-64', '4.0092e+78', 5, 6);
    T('-6016099.532362259686371846658613', '-5.6794818379234219139348512087777157E-8344110', '1.0592e+8344116', 5, 3);
    T('4.06701880327276559134430505546072041971097681891E-61398690713', '8.400550474067398376138073120731643223313743952920677E+46982870', '4.841371783703582485e-61445673584', 19, 4);
    T('-9.765666173379268469749634236691154300000050976056678466883E+3844239734810724', '1.56838964694383039813616247801451167107676632180790033185270E+168607', '-6.226556131895336113922353288430676568137884312519851433867351e+3844239734642117', 61, 3);
    T('7.1663182452478724894E-26641527636653', '4.2562155416492586393253742389347236819295E+922904129266075', '1.68373010603475360313400720866037756565372681761100101237344291222091569e-949545656902728', 72, 1);
    T('-6.789953604654075239370159E-3087432147', '-2.14497319E+161409113273', '3.165519e-164496545420', 7, 6);
    T('5.7659065869551553797959644501417997289894306E+3932779', '-7.0690E+8875632688', '-8.156608554187516451826233484427499970277876078653274862e-8871699910', 55, 2);
    T('-3.085693502393004500263989027191963912457858238592E+226575872004600', '-4.6632683999349638558446164511935E-38341', '6.6170188755080857872359e+226575872042940', 24, 1);
    T('-6.6270492846759583568945672149834449244934773199831888117E+62701815648', '4.20075010127027805213094726431866205E-27062', '-1.577587127278050663806196954411785767023870672061420872703509305538817e+62701842710', 70, 0);
    T('-1.4145489377791128146976892053732934708411670E-9447750720', '7.945485508755417E+8061432418240', '-1.78031781219709019778132893018871220776195563229628217227850734005314441e-8070880168961', 72, 4);
    T('8.6195020181912271862732132640634638E-3078913808748', '2.5103262192000150578663022742030735698749354678839E-321665485817440', '3.433e+318586572008692', 4, 3);
    T('-4.04964704650724883659932222115833731304732139462529268479E+8575', '-4.9299854329871978026798918429347802653815989621277418111521E+5151927068', '8.21431848339857958603990512201408457e-5151918494', 36, 0);
    T('-7.556163822777809646080334007777903695708959293896710085816E+9630529151212', '-1.8092057559910678761417484477747902309985823181946E+3492', '4.17650883419758185883334576627112371e+9630529147720', 36, 0);
    T('-9.017988211154E-8975193506184224', '-1.2325437612982862665597E+89645085927', '7.31656635189569446764390306188375744369569245852842998166352e-8975283151270151', 60, 5);
    T('-6.01636940118779936715348824309855508E+728', '-3.2090E+699026', '1.87484244349884679562277601841650205048301651604861327516360236834e-698298', 66, 5);
    T('7.7882121663203456675194383784689946171091E+476593', '-5960540521803667.752', '-1.3066285075709244510881832061e+476578', 29, 5);
    T('-5.955757E+41581678378', '4.837679485919811854794224686030977718E+1339489515651652', '-1.231118559494150231889554713166365903988391653469073348466813739936036488698e-1339447933973274', 76, 5);
    T('1.8', '4.59965096201052136333515720762047E+6181874', '3.91334041401527247528787398132012762134857e-6181875', 42, 3);
    T('-7.60639698258408196891066E+6426003', '3.39E-28803407939846', '-2.2437749211162483684102241887905604719764011799e+28803414365849', 47, 6);
    T('8.79243509194626933249572980010813345775311678809570940075380E+8732513590959463', '-6.2066913196903538774881E-26479417623', '-1.4166058273355401592708725083197281486590012957871856098179246530803446e+8732540070377086', 71, 0);
    T('1.07445422869265922081921466103434E+23891988214', '-6.52213044909379132918E+19799674', '-1.64739763652220084477104252419613097328e+23872188539', 39, 2);
    T('9.6462646E+523068', '7.5033525437123077219497231013174E+37921496845', '1e-37920973777', 1, 1);
    T('5.5177060299207936346525990028039985659352326053700624430335E+937629714501', '-7.5890065E+7096016356839380', '-7.2706566135116548320950825e-7095078727124880', 26, 2);
    T('7.96385647558668588050573752E+567303589472', '1.0744807005004048274229799139021623176827868474E+3021785', '7.41181900417362161166028720218976839935080004e+567300567687', 45, 3);
    T('-8.48216855E+62922952315', '1.18413243887992758025952E+650869', '-7.1631924533908506927e+62922301446', 20, 0);
    T('159.2201553383663254', '9.70607933893585946746640898053490E+1820888051', '1.640416792e-1820888050', 10, 4);
    T('-194647163.297859746908349184744093977256338762374', '-9821087.043330251492632857621619910966340395086', '1.9819309455163576476391576307177397038106167523083e+1', 50, 3);
    T('6.77980708910278747832E+34177807809883', '9.531015355699499673006823133573106037936561961E+96932800', '7.1134153456677589283921245e+34177710877082', 26, 1);
    T('-1.4499824130E+180981013424', '5772999.062427192822445408', '-2.511662304671103009272897269668233353005888599100989e+180981013417', 53, 1);
    T('4.8E+6115457196788033', '-2.83556173187107836112026E+9595794', '-1.6927862814796362125829026272947314e+6115457187192239', 35, 5);
    T('7.587377005001835484869580206576897E+9856325471', '-1.31207477E-49079', '-5.78273218758854381817705419834945610607236964094661e+9856374550', 51, 4);
    T('7.1049871662487794473948361208363055688907329815033347E+60657298332178', '6.4E+3', '1.110154244726371788655443143880672745139177028359896046875e+60657298332175', 67, 5);
    T('-8.8585056E+1049218', '-1.309450334071099E+75716580', '6.765056580999742783789689947732936951853979913e-74667362', 46, 4);
    T('-8.8379037905028052E+7256314440292149', '-1.52673459397024087415517068177446846299E+45297', '5.7887623856874980251619874176e+7256314440246852', 29, 3);
    T('-2.080298837447464225863457998217818317626071104080E-25005477683', '-7.279107807723167313328008E+1154341524', '2.8579035953283415622107063291351e-26159819208', 32, 0);
    T('2234098389.25368285386724899982267944589330202310101129599128', '-7.93996179218449596466975510688744275562212139E+72615289489', '-2.8137394709540820118658639330629003894851001148082049975888916e-72615289481', 63, 3);
    T('-3.6E+644874409967042', '-9.5682978159191E+975187476949880', '3.76242469586446034571207318720524519267794750842e-330313066982839', 48, 2);
    T('6.217611490656591173565957814494250077413058668877369E+7086931011', '5.05535435993543566892489116247332630104E+25562900', '1.22990616442879767628345957450843925e+7061368111', 36, 2);
    T('7.61801322798345639125363047229265760270364705E+297248041429477', '-1.2536265319304860373774E+91', '-6.076780471654757129714278301649e+297248041429386', 31, 5);
    T('1.7666476052834672461329008672689304374447420425026898106E+967199339', '-4.73448175071276893565683350992869983E+7884795', '-3.731448758921715497366605159e+959314543', 28, 6);
    T('-6.044276361942352766654190128447E+28119542047', '6.9975040071350402491E-71', '-8.63776048685256327552842426900651428988640447673430397347658774079593060796e+28119542117', 75, 5);
    T('3.0614571416191719952576394360667271080204709189866034E+8271898', '-5.5705524794059717149141914925885403844397133E+4933812076', '-5.495787272334677482682611056672654365319516771e-4925540179', 46, 4);
    T('-4.64715539468380275012132823304021E-770', '2.4994944041268687115025830950220758532E+9541794031722', '-1.86e-9541794032492', 3, 6);
    T('1.0123325464583489388571466192096438882536089616346334E+19107', '8.29923489745750719231804286952650708354E+1854127', '1.219790208334119717486468741442401897108695600898895e-1835021', 52, 0);
    T('-6.979448835210429015788E+4370426684744309', '-2.238998475545517145690179207034833842564717695E+695277', '3.117219109990654435088446142153706765212747e+4370426684049032', 43, 1);
    T('-6.175473390133881550007062465869036443113711E+602171', '3.8E-13263069152287', '-1.625124576351021460528174333123430643e+13263069754458', 38, 0);
    T('1755230.894334072035996150420777002271932891120544641', '2.143958114461212051070E+38405103363', '8.18687120095707e-38405103358', 16, 1);
    T('-5.33688200954953237064864831256390199661688719719724E+92', '-6.061290769056535757290279094763429277835770972410E+5208074', '8.8048605699545403620825346e-5207983', 26, 5);
    T('8.9241933606390000E+80884021380', '21649898338868256.6393201', '4.1220486216405532165626525e+80884021364', 26, 0);
    T('3.918579642429574051030856457E+89', '9.26612349362043304071399243059527715448225798E+3444149951673116', '4.2289309495253855259972217147162859811300329064083033286207818812314e-3444149951673028', 68, 5);
    T('4.8270534694307423472335878262702001268940441893488915424326E+280044', '1.669961402313277245626913886477892258442086208242909567E+1605479518639972', '2.890517986070919281116556006893e-1605479518359928', 31, 6);
    T('3.6863438265245711793969230195E+91858', '-5.1702418779269092888384616197958422839E+95944', '-7.129925279245676927913724744682734826e-4087', 37, 2);
    T('-7.3200776881306032488548091813792978875450958936E-70158957', '7.9073810381723394130021E+5678', '-9.2572719751247985414654926308188612218945e-70164636', 41, 1);
    T('5.85949236562212236355961738602419710896352187428747729E+10066', '8.564623965197183684303128281883882352034154311829E+245127422141', '6.841505697661087019592285937639923785506887918050041196552185908054894598517e-245127412076', 76, 5);
    T('3.62747734007285568902428356454117867844880712E+870', '1.9412E+14853219016', '1.86867779727635261128388809218070197735875083453534e-14853218146', 51, 2);
    T('-3.83320566674547952015061887004542279643970585135E-1314', '5.602852865651777427421069E+383284', '-6.8415247e-384599', 8, 1);
    T('3.991559150E-486230376531103', '9.6137430829966550621715060503637322659479382613496E+102438', '4.1519303309235196408072326560526836714686750598160288885950788552e-486230376633542', 67, 5);
    T('4.82346479295030166352317671774761E+35167', '3129.2098530576019452473007036574836', '1.5414321887799297335852560742925015028e+35164', 38, 1);
    T('7.99408490498588125165E+9705255805', '2.62904502789266169677944387227441399488E+5054394734', '3.0406801025365559827e+4650861071', 20, 0);
    T('-2.388052655753864329594E+255372', '-1.81383680151498663430642264802854194451153E+670656604', '1.316575258457249522102949414515027842471796e-670401232', 43, 1);
    T('-5.09418258237415697734457191577147051450601188895415620E+2180', '9.6234050370641359107502819582490054750386444E+63853179182050', '-5.29353442233193869486e-63853179179871', 21, 1);
    T('-3.945279300168127772E+6029914', '3.2183149948750336893450957694E+383779', '-1.22588351558214142809068445978643822133947e+5646135', 42, 1);
    T('4.19593607779637118145980552E+95', '-1.559741459102908952560102266099182E+5008949', '-2.6901484558919651193504544255746328761572822e-5008854', 44, 4);
    T('2.968669E-562999', '-4.888851592640E+54827663384', '-6.0723e-54828226384', 5, 2);
    T('4.1E+31042763884', '4.01841783142E+70', '1.020302062155435705833328262361575741725833036817208500122438469727e+31042763814', 67, 0);
    T('6.2432149482833592724346768415828298162194558810334660569E+96162090884233', '-114422971.13314048638977765166547657315182931241942303801', '-5e+96162090884225', 1, 4);
    T('-7.904053512166426625E-2514361573', '-9.2661269811477255092526301871309700743663E+521', '8.5300509352e-2514362095', 11, 1);
    T('-1.8476456408502677117187849232E+34043490697', '1.5622E+6441647975', '-1.18272029244031987691639029778517475355268211496607348611e+27601842722', 57, 5);
    T('-7.706896120051204661277491E+51', '0.000004150749920514360722725', '-1.856747881138588681636819529186856087681874717995389361e+57', 55, 5);
    T('-9.65068434941244823459343841988325731854885573284895896948E-1353464', '7.45060449431992129570330683427619757E+657175503111704', '-1.29e-657175504465168', 3, 1);
    T('1454925892.1929408403724226735092659', '-7E+58727463170841', '-2.0784655602e-58727463170833', 11, 1);
    T('-6545694684.736410480340631520768722874518422847470612381', '-7.05721212461996E+46482360', '9.275184830991465492696425325819659732278308406290277428316150697235456828637889e-46482352', 79, 3);
    T('2.4495147387865875313516174282093937241681103417931487169017E-6600083894838', '2.67113699420419483694E-8575549', '9.170307e-6600075319290', 7, 3);
    T('9.66049142479548788878087140706494053937965269E-6720998088', '-1.0943245932914162443E+752667', '-8.827811678561920214495881107517338275890895081535683004405923081014671e-6721750755', 70, 0);
    T('-6.7840552353912153474009161360887805180477967690782173E-49548243', '-5.3900826307499376434339412537118528174547879879806544431E+8637907340', '1.25861803985875635836139e-8687455583', 24, 6);
    T('-8.21573053003733821891561846909730293555944741861491980243771E-94997', '1.005E+93404887898', '-8.17485624879337136210509300407691834384024618767653711685344278606965175e-93404982895', 72, 0);
    T('9.43E+823', '-4.451935273129663E+2253130147599', '-2.11817994230873231164796920045e-2253130146776', 30, 3);
    T('-1.8E+8680643048986', '-9.1132594171543081757679667291909300897369794643E-46881630', '1.97514403750186e+8680689930615', 16, 2);
    T('-5E+5749', '3.35516667517880502E+3002', '-1.490238931195135871484797430099785837260993655813785e+2747', 52, 0);
    T('7.66037362705035542178757184093904487166860511867878200E+565711745893', '-2.4702040869636E+724166694', '-3.101109607695032451586932793450928018544007412029589063584881455146944579145e+564987579199', 76, 2);
    T('9.145E+12266252834', '4.84375352104580376953047094693012E+36378183794982', '1.887998627565492622015922086346503955151801388509311690352650443637973474e-36365917542148', 73, 0);
    T('-2.25394407E+2698211726381332', '-5.6658680715315437022128672815098787747E-4369562984796', '3.97810898796790237171218780225403190252339571319e+2702581289366127', 48, 4);
    T('-9.82038648242646088802991207319029683504471302612002673E+423026737', '-4.47615288951012766863E-8753356254833000', '2.19393455157453496225034552371410363919329498086055041974812378738552102672031e+8753356677859737', 78, 6);
    T('-6.86196905785093984457474563E+2872', '-1.10426547657968226915557456059889822654203434673415492225E+281494', '6.2140574014004227996601385319180949824090850254e-278622', 48, 5);
    T('-8.88860846233436064185355854639510550888596453629662387700747E+974864952481', '5.167E+2687623', '-1.720264846590741366722190545073564062102954235784134677183562995935747e+974862264858', 70, 0);
    T('9.140516403919357919030166682803562052E+684516436696', '-6.781958571048531340707106244216E+435840830417', '-1.34776942503589e+248675606279', 15, 1);
    T('-37017572991471290389978948733794726936.147528928455482', '1.867621019E+4502451623643990', '-1.98207091347108523787603338885932e-4502451623643953', 33, 5);
    T('6.077600992410E+2803937212556', '2.666920990637853407385579411942847663E+1313087201601812', '2.278883031685316891673e-1310283264389256', 22, 1);
    T('4.8906981928E+39578883226', '3.9374674546835638242277962224906912182191484386371E+777300823894', '1.24209234719707491583646950043850571656193185603473241908336744755568262e-737721940668', 72, 6);
    T('8E+44308', '-9.49888761', '-8.422038799130501555644787758468909813746075e+44307', 43, 6);
    T('-0.000060780446024434664748780244815925867382827652241031494', '3.331685194700148E+345', '-1.824315398139076310791969284942e-350', 32, 1);
    T('6.43572724714036484335120178284350824087E+63028231', '-7E+534833561333377', '-9.2e-534833498305147', 2, 6);
    T('-7.67215846E+32065', '-4.1524E+6024082748100889', '1.84764436470474906078412484346402080724400346787400057798e-6024082748068824', 58, 2);
    T('1.2216329797382678785623687887E+386567566', '3.712281061197715417891889097E+5574', '3.290787953819760434928075968011224e+386561991', 34, 3);
    T('8.81215885846315781812822850748109E+42289963168', '-2.5639497554485697097846157433925078811893295184872E-94574463', '-3.4369467809330950005531215182067068922118057013157881094904278301481611452e+42384537631', 74, 0);
    T('7.6484784E+4472', '1.9328159658243085E-444530', '3.95716847089374719310655196904436155473550007300272e+449002', 51, 2);
    T('-7.2217200735745112840454874932194536436581755724448912147361E+252417521', '4.3897617097476159398841535E+593', '-1.64512803907748226678989449012002976e+252416928', 36, 6);
    T('-8.9597247271648509776E+19348', '3.8800625981444761E+1143238', '-2.31e-1123890', 3, 3);
    T('624.97464401284432138001', '9.4553046095715995823206953314006363372960713134335E-7453119604783834', '6.6097780010194789265922e+7453119604783835', 23, 3);
    T('-9.08E+1214007602', '-6.4887477892107067865207928900722980167228648080983822656E-4171', '1.3993454969999e+1214011773', 14, 2);
    T('-9.3192199003859749290131691390131060817618622909645754E-4152', '4012134470.20668170204', '-2.32275861379738432e-4161', 18, 6);
    T('7.975641921938639351762853583429E+35599', '-2507995.6298086577806957022429356172654', '-3.18008605244145663627637394122415578201735979531648261849319726808969068893974e+35593', 79, 5);
    T('9.288972263356457223062E-3555', '-6.879121003481540273872653549943620101265E+69668968386531', '-1.35031383495875203013374e-69668968390086', 24, 2);
    T('8.0399048957504487581E-51', '4.628410888643741263643506230E+23771', '1.737076739551611905795711971842479532111105868563700322512e-23822', 58, 6);
    T('6.6659356877682323213541257526789303947429771724619E+1370', '-1.394452455114205865603595183789112125E-477910217275067', '-4.78032482450058950694427347400119687002472573004731e+477910217276437', 52, 0);
    T('6.4422125723734854179022198986648267E-431113764492', '-5.1778866085100614239073430701567E+7079672', '-1.244177993736953271422928028844090158071533219856351225176736909997876146998e-431120844164', 76, 2);
    T('5.0815479647E+751', '-2.8763207993582440798032618286422971426552648864108027480019E+316083726', '-1.766683314960479886836227231041672513020550313712971123e-316082975', 56, 5);
    T('2.07121866924073834674920E+7255', '1.880030464627416284022927892637239511941656810778605693457E+505189', '1.101694205604913784066731747914535082182379855192231922159549287319691942118e-497934', 76, 4);
    T('-8.4689063736554E-237', '-4.198646655899340238E-619143645384296', '2.0170562249519375606024515382056249289800470679123e+619143645384059', 50, 6);
    T('-1.082111197345514378730055126696176808E+8970475468425310', '7.5E+503642414684', '-1.442814929794019171640073502261569077333333333333333333333333333e+8969971826010625', 64, 6);
    T('57821422.2322280489383359561670354237', '5.9282731690597792007575725642625846562570841002E+257853139960', '9.75350166621935440777960393413927326617882092722235218578547162556919298642e-257853139954', 75, 2);
    T('-5.66556635773471707645591770073105544444493297555716796622E-924034', '1E+96', '-5.66556636e-924130', 9, 6);
    T('-9.70016581399942252927441525400E+88927044835', '-4.53234473549470248157502676476255790126877974985018855E+3546166747', '2.1402091809198303924654397974713389029416226186768736096670815980209e+85380878088', 70, 4);
    T('-1.318376153429120622661675083173095E-1259912', '141030110450574168632777923235189859.7218430341', '-9.34818919e-1259948', 9, 3);
    T('4.75616E+521', '2.8560651009746046477667009984913543667712E+502', '1.66528416959998786738283e+19', 24, 1);
    T('6.17094926577E-13488821', '7.19276390381E-666434955074898', '8.579385265935469136806487223745420543767597839301e+666434941586076', 49, 5);
    T('-4.2727E+9', '1.4696302517188955E+111561663023053', '-2.90732991853059889453308881460632634329134921997219684125396897e-111561663023044', 63, 4);
    T('-9.1506324142870390227E+157366887118', '2.90428955136E+36', '-3.150730068e+157366887082', 10, 4);
    T('-6.38386168414991911826435421332952288352481E+50153', '4.998899111E+144347539925', '-1.2770535156635448885066234763083465005590927998227e-144347489772', 50, 5);
    T('-4.56900170439048942422663200330292156403993E+75542303', '-5.36191640652601670037483345160636758717E-4125769616', '8.521210250181323e+4201311918', 16, 0);
    T('-8.4930838E+8220759', '-8.43626090631719401675576509092370423475498635E+66317244', '1.006735554330741025295524504511531843800078249903457320038491812961288908e-58096485', 74, 2);
    T('3.52938099215800911696363005826114835E+36189243725655', '-6.61184955340449994209090208549814938698633425881971424E+117816', '-5.337963248635473806081002923e+36189243607838', 28, 3);
    T('-6.174E-2826', '-6.05E-391209179837970', '1.02049586776859504132231404958677685950413223140495868e+391209179835144', 54, 2);
    T('-6.425345205533221880963690065310607087103E+27794577384', '5.59261065288242776542303349046990342521784987368120752', '-1.148899074928737134189783078761382893666390516694101603087e+27794577384', 58, 0);
    T('7.0E-46701638', '-3.9952378565E+93722453961081', '-2e-93722500662719', 1, 3);
    T('6.3E+68607373', '-2.75692732E+18826', '-2.2851527330071e+68588547', 14, 2);
    T('6.11181624054756017710387696312507186618949746669582630E+884', '8.732701773615522140724274239392374587383E+52404', '6.99876899382210295222991510637843067108628015342121986093e-51521', 57, 1);
    T('9.7476166982836E+8640606440712515', '5.2298111960909352946762923869290971678E-37', '1.86385632918632607468e+8640606440712552', 22, 3);
    T('4.281523955313E+1947138832970747', '3.15577269853620247031304660596428914940625878022E+31133499', '1.3567276113704179410583337396991006563506425716827068159185729775e+1947138801837248', 65, 6);
    T('7.71227484291740534704293864704E-99262393055280', '-6.62396019460411760972280764227978017355E+11629187', '-1.16429969630551668703307715773485240305689326148605162699589e-99262404684467', 60, 3);
    T('-3.195672899021019064556570811447289069903342439E-1437', '8.334006301049619153683771707227240961616E+554100373506', '-3.8344978196363288433459375649e-554100374944', 29, 1);
    T('5.32390867102959656457739450225293831707594718114119178465807E+6545919', '-5.941275024446747948122400642007432507904248E+83051796622959', '-8.9608857511614005908175801226599188108087391e-83051790077041', 44, 2);
    T('6.3975548672950820759109825150090960E-43', '7.0828335988389070E-29', '9.03247941380951959384280349094530220697436034292863818989790206307e-15', 67, 1);
    T('-1.438728120E+96137960117', '3E-719888460', '-4.7957604e+96857848576', 16, 5);
    T('1.95045094596592119386801104719949421166628751455E+512', '9.128909790548870004573597674E-854906206200', '2.13656503428834030339766127303336889659340713715624105370697288560008e+854906206711', 69, 2);
    T('5.98579832294258475013391020194E+21590460255', '-7.318606676986187657171046221991086618286614574E+6509886', '-8.1788769189705174469372e+21583950368', 23, 4);
    T('1.6310561189850540940393173903325507570422548295554303014383E-956362167254', '-7.9622059283765188310193281553865119312058935698803293607000E+63518095', '-2.04849778272140702034568428834743305517542680119632199067425046781803e-956425685350', 72, 0);
    T('2.6725643751208303343949561305311E+4946', '1.617907284945412018331638561976032881E+937125222', '1.651864974e-937120276', 10, 2);
    T('3.617570078998067348564590E+55491174', '8.99698544241933245191711786128189019E+897665192', '4.020869103490830410709173e-842174019', 25, 4);
    T('-7.2043738253002383121824962865E+49333', '-7679.96312532', '9.3807401256240467016077330345886947769598330814085586399152484518247111369321962e+49329', 80, 2);
    T('5.52E+58074206', '-5.895503932613792E+267208', '-9.36306728499236020949022568513767813330804073e+57806997', 45, 4);
    T('6.8969237698932963080411729320119610253844806771261653855998E+51145008', '4.179E+84303240397817', '1.65037659006779045418549244604258459568903581649345905374486719310839913854989e-84303189252809', 78, 3);
    T('8.82962312199748460388742787581912184711714607171042573E+563677045357', '-7.3950335E+308', '-1.193993661015529490689586176427614810280054319119774877287574153653e+563677045049', 67, 1);
    T('-4.9464449257702543012742765097990478250417208E+141815771825690', '-2.975834E+262804721', '1.66220458e+141815509020969', 9, 1);
    T('6.0679812811348852710320038128741788769089125170784872368E+41243072358', '-4.9278309169479489393599169063423935732852251700438873126E+68744404920', '-1.2313696194943896785017598312160622586e-27501332562', 38, 6);
    T('7.304782416436818882025757339876129230654622198455433183273E+8606965', '3.2343988904208784141791049220580530374090211538402123230E+948276', '2.26e+7658689', 3, 5);
    T('9.779838025698622416553030667177841001805702853290982962E+21329185537510', '-8.98353577401831219475E-46771844913', '-1.0886401826309115141412045372861081997088662123324386185739e+21375957382423', 59, 1);
    T('-5.698963208412755672024E+22011542336', '-7.71083565733968635509144943697098170940859111880408822121E+57284849046852', '7.390850306851117176971786e-57262837504517', 25, 6);
    T('98.617246883423568112536748913228377', '3.0498275271381302557805372644173447904256511853E+3175845043', '3.23353520833235884353382758145887000081284350510126702401682e-3175845042', 60, 2);
    T('3.0556682288796164177584670340890E+138146974', '-2.344989300091269586151193929283032449111127245170E+5594', '-1.303062759715230435785026948982908e+138141380', 34, 0);
    T('-6.1823691893046067199491943819191654641865619022510E-673', '-4.391009930219282E-2148459577', '1.40796064858725252142749867899194222474915943251432247e+2148458904', 54, 2);
    T('6.710593059323025804256788E+960968223161849', '-3.09838386464783798004716113578056632E+6947401222', '-2.1658365626964531017087788310313791737528858611668270482089976986660131984e+960961275760627', 74, 5);
    T('8.66118616299256239E-4333960', '-1.88279967462177073555182E+61207595', '-4.60016340545229742e-65541555', 18, 1);
    T('-1.827998655415094844985236E+83068536', '2.9764789019522141745959571638560223257933E+8578336081471', '-6.141480304853316294537083986901954557021486048e-8578253012936', 46, 1);
    T('4.6187251266590783166592076208207501516521617E+2923705527', '-9.24217E+198', '-4.997446624e+2923705328', 10, 5);
    T('3.649090029908143176064389790417539228E+91097558', '1.377245777989931692267940019389344933332788377250580E+439064787753', '2.6495562e-438973690195', 8, 0);
    T('7.3870706738E+64270985057354', '6.682984340385959896283333858552516710317903E+3879266849', '1.105355077545098253052982228557851190232026420219239440341e+64267105790505', 58, 3);
    T('-1.531953558204858553356250326E+189807', '-9.597472856258687794848841198509388056060124663086203E-4199138179777682', '1.5962051481144263778754900132368422419903875400231228890445213e+4199138179967488', 62, 1);
    T('-7.2135231044593615090608110076992803E-849395523811460', '-2.586117091127976263271368474863009486198447315E+1221783101', '2.7893e-849396745594561', 5, 6);
    T('-4.68347572383526879803799734024466904658191E-158568', '2.34062207425509899784382E+36438115568831', '-2.000953411210471045103043454119676572147766073330401845040900042253236e-36438115727399', 70, 6);
    T('5.555714070117803866130397013096781923139407288806E+670772716683', '-9.69730680183244148213778708955124E+4981012533680165', '-5.7291309676496717026197945369445681616738169469544456127985596925e-4980341760963483', 65, 6);
    T('-3.309834449306849639510611366453848847597E+87456335457', '-4E+9503', '8.2745861232671240987765284161346221189925e+87456325953', 75, 1);
    T('5.45362E-369023630097212', '9.852385114364573752078634525298E+52609', '5.535329706152812e-369023630149822', 16, 3);
    T('-3.6976982E+9412', '-8.8185E+3562711386111', '4.193114702046833361682825877417e-3562711376700', 31, 0);
    T('-3.7696741968354817610265479655049252038E+215856101631', '7.94069016437896575427304E+774041', '-4.74728785382637403808278428089193882961510235659388714e+215855327589', 54, 2);
    T('6.051407658517E-52348666976086', '4.75297906688969283280950092896223681102294495283E-57293590412', '1.273182055581193054277959845083333298e-52291373385674', 37, 1);
    T('5.825880297846131740478599092221482659605323543E+3491', '-7.3525968990547476450727261035E-87157478536070', '-7.9235682002301919891025769685e+87157478539560', 29, 2);
    T('-7.668432809E+713336', '8.02670918360057636696348443469820504635319305321376831908792E-65', '-9.553644754773758039355918599586277222848043248191676462881569783179608510052297e+713400', 79, 1);
    T('-841901970782337580526086139314634928570725101403.2743772717', '-2.6560806279442482314752281099028989572828814545021983E+9773633246', '3.1697154142265341823517190967285899447663412555813831855934449224723507958838648e-9773633199', 80, 4);
    T('5.89214104546039766585341706402883463819753255056064612E+49273116818', '-3.7682477139924378096967598119007279094132336084410818E+538498248', '-1.563628904644834642947251930391e+48734618570', 31, 5);
    T('2.3286746128E+10757197699637', '5.676828567822416473752412909', '4.1020696414886805846994418657129094182889954197880298888857485564921e+10757197699636', 68, 4);
    T('5.67406782837225304209898440830455871487029335811685819214E+467840789', '-865142697.879879575372335531817576049983058986681380901', '-6.55853403406991124510011337951461350453e+467840780', 39, 2);
    T('-2.8E-9', '-8.5052911412173496060511387535222209739220799250413132608E+24662', '3.29206837662612944471419580798519181433492125446206325e-24672', 54, 4);
    T('-8.35021281040420666236713279725891071488956386471572220878E+5608', '1.42474703624899E+321', '-5.86083887030800349883945503858754811603738634435283245811194e+5287', 60, 1);
    T('-5.4493172798038875298018139104055782298671403047552812E+7078534186449', '3.3E-655336', '-1.65130826660723864539448906375926613026277e+7078534841785', 43, 5);
    T('2.0591313925318E-2028198265', '-7.536E-794043182759', '-2.732393036799e+792014984493', 13, 4);
    T('-2.248736194185750394925873845371674539450889024031946565E+723153', '4.00234946323485326254E+7551364000', '-5.618540346969689742472216303618056400163878065808780450210792372152592658469e-7550640848', 76, 6);
    T('8.422731152609280763998287639344245829E+6715658661877', '1.1465281996015822551329264554647993120604523736135921E-212654994616', '7.346292184994816463719364835987525453022372446555476479544399e+6928313656493', 61, 6);
    T('5.602783769322089959492107590705295522236791160664120E+1763', '-8.049671192285471179866076396088706461E+4069', '-6.96026e-2307', 6, 4);
    T('2.50384085371356165355860E+82', '-4.06104229251620478995497E-6314', '-6.165512874189232712723614194755132472678e+6395', 40, 1);
    T('-7.482461857954020667725200072552905039425340903881081E+706207727', '-4296041983.5358', '1.74171059934467407847869807498201504676e+706207718', 39, 3);
    T('8.7820410398E-59851427000401', '3.468325657559538366307078053627558822223491144062862E+93431816775246', '2.53206933456745179599491045784927032704641670980816e-153283243775647', 51, 0);
    T('-8.7010280834198770E-9906', '-3.9584230302970393934538295313469175825428862131', '2.198104653500602063487929190119263517745079364047417e-9906', 52, 0);
    T('-1.4130012966905572051067531E-65', '3.808446807265826661805651505772838313343437192813E+55468072796', '-3.7101773195172548459630406670028793573e-55468072862', 39, 2);
    T('-946766075.581269', '-4.4654213613111951686601112754230044170568187640697643725E+846449406317', '2e-846449406309', 1, 1);
    T('4.1956170577122982379E-27639', '9.115764550274912860127E+7401077793', '4.6026e-7401105433', 5, 5);
    T('8.194566806149044208319126263002394E+614600476933', '4.337014429755E+1652830', '1.88944882219633e+614598824103', 15, 0);
    T('1.641307807E-5539098343164140', '2.1495378E-678669124466', '7.635631283153057368891116964772612977543358390813133e-5538419674039675', 52, 0);
    T('-6.5150363581056368213934488991126967831277169095346E-3599217578', '7.5616140988982121161963960926092889607E+59', '-8.6159334143e-3599217638', 11, 1);
    T('4.657758490101265943246883398468789901837E-47722334390424', '6.47192848016858138298744940288927109149701116682233543249E+262553327703798', '7.1968633528223726995324191799569335747226844642851002216300497177432955170124e-310275662094223', 77, 2);
    T('2.993676927339617057321E+3777846', '-9.6745E+9888614308726', '-3.094399635474305708120316295415783761434699467673e-9888610530881', 49, 6);
    T('-4.886343056810841E+50', '6.48326128911470927003E+5849333030508', '-7.5368596743354025768061933e-5849333030459', 26, 5);
    T('-8.020689133193351980434951338413127528165636365E+432785088970626', '4.35009471901121188964E+89012', '-1.8437964346248708747464199322337147e+432785088881614', 35, 2);
    T('-8.07677637021321714231892878259733429120E+1499858', '-6.3986588142784299757864902812724E+994', '1.26226082756438182088449493128541840647471949114022931e+1498864', 55, 0);
    T('-2.575080136728742168551126693959305764843324E+61521273193', '-2.992953681516792278243365773528276942529640E-51427', '8.60380884820016020464416848148288672433624198947158653874399832855e+61521324619', 66, 5);
    T('3.8459690576495721604190324470912509696458288730E+46093', '3.1616053306E+25445601512', '1.21646083412938061435435525359474195265510376066039139161109813951e-25445555419', 66, 5);
    T('8.311259496181331167699520129E+42316524', '3.46773815990319352344322407079193548E+1069989928', '2.39673790607458e-1027673404', 15, 3);
    T('-8.3158354682842164150634147884204787E+92407131612', '1.3458451624515452371804104452733434326001E+75700', '-6.17889464575284179e+92407055912', 18, 0);
    T('-69577712123335412013216123056999826.1828700908698', '-7.103E-82321595703', '9.7955388037921176986084926167816170889581994748e+82321595736', 47, 5);
    T('7.9250994432322650255780262540704464362390565549727437E+20051606135', '8.5910646593693759996028905291991655155585401751364E+7477869907', '9.22481643132459451150623345456309527575096276158666154986862792323084e+12573736227', 69, 3);
    T('1.785771353121063304384453948E+8273307', '-4.4566854446591615928877958781654927E+81973', '-4.00694950383e+8191333', 12, 5);
    T('5.0194339051857478612E+6430', '-5E-77', '-1.00388678103714957224e+6507', 61, 2);
    T('5.717611744011218627E+77563387', '-7347740.30145545504093946796910965759341879658574107', '-7.78145594350777843783798673198641062895488415001869289886318666e+77563380', 63, 1);
    T('6.17838076305315917E+412068686161', '4.62974965922022133048011614002162018301642824108756534E+85673681770', '1.33449564616281442946202778937109107743517859366076624e+326395004391', 54, 3);
    T('4.5561675235348720977800319909348549665993117893E+1788251', '-825188835.02028463475289144934', '-5.5213635112051331324875397643218e+1788242', 32, 6);
    T('1.88977464593705E+84250517000', '4.7699483094E-4539898219573', '3.961834643392e+4624148736572', 13, 1);
    T('5.7559550384E+8840517595599863', '-1.785320934E-7852047', '-3.224045004336458421878337757731126229e+8840517603451910', 38, 6);
    T('-3.349014921336667266089603771560E-1911165916827158', '6E+94137147', '-5.58169153556111211e-1911166010964306', 18, 6);
    T('5.931420285998010279608477701184792E+379', '5.768039879498252659749272862938503632977047E+530738961', '1.02832511735580608921774137467451853773650534e-530738582', 45, 1);
    T('6.2017234764399104367923E+6841250767586', '7.54990429025837E+300001750098', '8.2143074110780249059452e+6541249017487', 23, 3);
    T('8.128307982312781858301650899916324867E+40951480510', '6.14814385861965E+10884121853342', '1.3220751122986423156928e-10843170372832', 23, 1);
    T('-4.2581769188436358721554101792740748949520653382613067999E+141532484', '1.85E-28007', '-2.30171725342899236332724874555355399727138666933043610805405405405405405405405e+141560491', 78, 2);
    T('-5.9305999E+3193535215090876', '95.9170794191177340927753670532865301351', '-6.1830488750452311595743959217341793136515908e+3193535215090874', 44, 0);
    T('4.9147006637970777708709763803861474395862E-319370', '2.65920666394944137068394159E-926049497350', '1.84818304287e+926049177980', 12, 6);
    T('6.247902E-3009896', '-8.38506424360832968220572845752146436507459460812959E+69501255', '-7.451e-72511152', 4, 1);
    T('9E+352495036138', '4546154.52446173244017678487994078103108421207389988', '1.97969513609211e+352495036132', 15, 0);
    T('-7.96114892490704333291633845929158325E+1335119', '5.86412231545E+71051432334', '-1.3576028085110162080727985575210199e-71050097215', 35, 5);
    T('-6.59324545981982259556496461745174796780370310314031E+74713', '3.6591827566152345278070047866785754935075243941438525255E+7518668127', '-1.80183551857317267350767683943493728894933803965576790943735926309521e-7518593414', 69, 1);
    T('-1.8170935334207628333220705248580719503967961585998E+9379953', '-5.55E+78183328', '3.27404240255993303301273968442895846918341650198162162162162162162162162162162e-68803376', 78, 6);
    T('8.36945312067914056917764591729334482E+88483323821', '-1.924740179406906987E+3448281190483', '-4.34835475989186207736090486298039612473377850799159838715445825322947128e-3359797866662', 72, 5);
    T('6.0504986527995393E+409945', '-5.846667862203E-93222357309087', '-1.034862727864917011125305795032959394676883604181138728135131551995e+93222357719032', 67, 6);
    T('-4E+931233', '-2.0654052510788030063915568660282815342168629E+97501227646221', '1.93666593e-97501226714988', 9, 1);
    T('-5.77719943337205502392937218813165331990506E+45165783310', '6.13217180668434120806117278556633091041758288149986E+101', '-9.42113107e+45165783208', 9, 3);
    T('6.58319033435540073E+2292289806', '9.23107E+407473', '7.1315571589809206625017468180828441339953006531203858274284562894659015693739e+2291882332', 77, 4);
    T('-9E+63043853268579', '-2.505E+71742', '3.592814371257e+63043853196837', 13, 1);
    T('7.299918133124165983E+29', '8.818607405E+183', '8.277858167249e-155', 14, 5);
    T('5.91290806019577097547503186E+601758777', '6.6205293372398059894290696052597245752456456689E+5736441369', '8.931171148107845235399484374438081967229770012598970051009352571706877704113635e-5134682593', 79, 6);
    T('-2.0266666184224836640167330549706085681906E+20676893', '-174.469417150280521177222720083338062577', '1.1616171197941e+20676891', 14, 0);
    T('-5.3067534E+8260205', '3.491424003420286803441531611E+477356690', '-1.51993954180339335558811692041671916098e-469096485', 39, 5);
    T('2.40835698940E+81524', '-5.40286868408745323332521610342490866100757383009505598785614E-30', '-4.457552330474181229606890188248285802727874177136e+81553', 49, 4);
    T('-6.244538492012471019E-74826310349', '-1.28E+81049', '4.87854569688474298359375e-74826391398', 66, 4);
    T('-4.734634603154840026969096084059E-9809', '2.581601024102E+5312', '-1.83399160402865291215431958513945003855e-15121', 40, 0);
    T('-3.44378864426130949145931214199756181E+34396090023', '-8.4720258473438676365027842411067151353935897E-964781097', '4.064893930111e+35360871119', 13, 5);
    T('6.97806810133128270195666120658992557470E+339226853578', '1.298710690707337635958453779601554534E-79233', '5.373073580791658485146269e+339226932811', 25, 5);
    T('-1.951438458058640031123996624323908982846688367074283435E-6644996', '4.6419371756710263105451099793577404986079372E+116172158470', '-4.2e-116178803467', 3, 6);
    T('859269.7345', '4.315160016137685760120596000341067367186151781E-8', '1.99128127644521373499831068397649217949429383e+13', 45, 1);
    T('-1.54660414960741390830146087972312E+5057974', '-6.0E+358046060', '2.57767358267902318050243479953853333333333333333333333333333333333333333333e-352988087', 75, 4);
    T('-8.79914E-37652553', '-162337437.2490273234843168352887568803135740537837', '5.420277755464395671191489583994310362e-37652561', 37, 1);
    T('-4.07074631E-65', '-8.0719187559780312720222469039717125634603184027478E+6316650', '5.04309624e-6316716', 9, 2);
    T('4.8693217754333687E+969', '5.49302717408162860337751969244050665074381369664379170425127E+19899', '8.86455067691789396355786998057900191927591666414798864662663e-18931', 60, 2);
    T('3.025711407783E+652', '1.849517705318E+967801348236232', '1.63594617076821609431184508828956209528360219384859e-967801348235580', 51, 3);
    T('-2.84183467154875336673168957864610345569836289137188944E+879708522', '-5.448614693242823539857958332750126324934E+285', '5.2157012957313622646074060389187546911e+879708236', 38, 1);
    T('7.1123515301687529411319883984761907808E+270999', '-2.048212994014E+4527000212', '-3.47246675563280720332796067479181285e-4526729213', 36, 5);
    T('-1.26422405645802259315925662762462483344080E-573401548', '-6.95920679027525899462613E+71756063', '1.816620908901053748769499594957403235074664440495857641218940947490251e-645157612', 70, 1);
    T('6.3203935924333990161706401523468950E+205544', '3.987278633544934101276730081073746455E+937', '1.58e+204607', 3, 3);
    T('9.777300789941820260926E+8933', '-1.533934524770229210534374176725184832E+8649', '-6.37400138797083245250970078102172737886e+284', 40, 2);
    T('7.27E-23032541', '-1.758399849445820434470775E+73808664', '-4.1344407e-96841205', 8, 2);
    T('-9.1544199255902851663385923830547403E+32543147', '4.447659303278E+6082', '-2.0582556579464895432952788582823365545446569556717e+32537065', 50, 3);
    T('-6.0847224842173986543126318898930082030574E-81842756340', '-5.7271875031731693110860943553339076172663064628577053E+11372755', '1.06242767167063e-81854129095', 16, 2);
    T('5.152667E+1115645823', '8.376656948058035071384913653200796745015986462627E+3934347751', '6.151221e-2818701929', 7, 1);
    T('-31824.100898679191523745409779253404183769787193285', '6.63927352299862007728295467E-227107', '-4.79331071e+227110', 9, 2);
    T('7.17268284706236548022E+1004658993696420', '1.4375438438248973039561148680974504336537873808337E+7934184540761514', '4.989540234110624752e-6929525547065094', 20, 1);
    T('5.6561782663128644559195E+604146087', '-7.6155856660939492085E+387769083858654', '-7.42710871403529341824200173632330911993e-387768479712568', 39, 4);
    T('6.23887046256594563703E+1609791960', '6.04236128156201683987829531845392605720918420133252E+943', '1.03252191847640216124687192368568575627811042e+1609791017', 45, 4);
    T('-4.21E-6321', '-7.69208365538228650996419998445964097305948232484131E-602169754901', '5.473159404674686288589145054628584748878998144582690660007848510424e+602169748579', 67, 3);
    T('3.99355036933856192321E-656572047807', '-6.02814661611098867947676789825223602478572E+7067816841', '-6.624839479957721228470189343829316947657459766e-663639864649', 46, 4);
    T('1.93356925165010677725359257539134553881281598163801E+7894215', '3.3114272E-38601911', '5.8390812628e+46496125', 11, 2);
    T('8.49132694069534E+26922842411', '1.690520041655458749', '5.022908177048361232607245165439e+26922842411', 31, 1);
    T('8.54851591936568352090271728850989511189377E+956951748', '6.08998490913638962754429E+21376997', '1.403700673632364383391336600023043851478468131564571303124604470874995e+935574751', 70, 5);
    T('6.06885E+82105516397304', '-9.1186498491299874221082076565539749855616E+4485949867851219', '-6.655426077775133e-4403844351453916', 16, 4);
    T('3.453031651352555845E+116929357824923', '-6.4398830725326820506570E+3656349237', '-5.36194774417626959207567883686206383966546951472937402457565e+116925701475685', 61, 3);
    T('-9.804742231981157092159784384538611644226055181812545E-5950482269', '-1.32272943038493056634797604331780999E+385497338322', '7.412507809044406204196670854121e-391447820591', 31, 1);
    T('-0.001973230314961480071875490692505172029467180345269', '8.90918087220641557E+5521732130987', '-2.214827988415052770193019425199548152129845586226826713515061007803789257101683e-5521732130991', 79, 6);
    T('-3.89705101992537463858556568025945914911927404794546168E-53', '-5.192532443773783769577385703234E+996349', '7.505106731876497706031501176095962885829057785254713366786380747815e-996403', 67, 3);
    T('6.64978902081229284205118088539153421517354170002790244E-1764', '-1.04825722910378130083890167635444233910093592789340522364E+604044603192', '-6.3436614947054559258841965879513e-604044604956', 32, 4);
    T('3.33435929587700144919556017578997706E+97397', '-9.3042090935213451412035208865253540771147768157997231310046E+85052045', '-3.58371062210840024289638351457464e-84954649', 33, 1);
    T('3.801555240013E+8031079098063', '9.2507739E+568714', '4.10945e+8031078529348', 6, 5);
    T('2.218239199E+10894562001', '4.52886536223823319875734236E-888476134', '4.898002085678504057857809092357794991169913e+11783038134', 43, 6);
    T('1.255213750189023328772005401633098850223907923E+290785', '-5.918835672465522271001054010723001955251959460778148E+890950', '-2.12071059182854017185764550166901744244726340101124270635911294646e-600166', 66, 4);
    T('-3.06E+2502797215', '1E-3427929', '-3e+2506225144', 2, 1);
    T('-9.84874E-439110', '-8.2202080076756439634568643E-4520', '1.198113233972146372466963490712422531597391316366863122537e-434590', 58, 0);
    T('6.09084644535441712432042E+461', '4.0096336166356369134E+948634346460358', '1.5190531174928305193625026865903799468e-948634346459897', 38, 2);
    T('5.199960011686188246873595225E+35173947281', '2.4920339823272687E+19505', '2.086632866390542912473289280266585398642938306106591373272e+35173927776', 58, 2);
    T('5.1081743860635928451E+8811803', '-8.37573934775672930443472953327863512622532516E+182', '-6.0987743e+8811620', 8, 6);
    T('-9.544845577317230318824174078101E-483181', '8.7819095089561173538206137754381525701192E+3347429028517', '-1.0868759e-3347429511698', 8, 0);
    T('-5.92338940247381785018841709875107445E+7223023', '-3.7631099819433470072908756166240854355675E+7355769389835', '1.574067574664629e-7355762166812', 16, 0);
    T('-3.484E+12', '-4.95265621371633322729983192235015E+33353461', '7.0346090050649909361292740625416097120077740462177858438125886e-33353450', 62, 5);
    T('-6.9591351719074098417762942354712434743094316683739E+42958660919', '-4.42900022957435214053953E+61494', '1.571265480059867964831400526282561020787978599009124110352167e+42958599425', 61, 4);
    T('-4.991042643931354725218243665753E-4216', '-3.4319268351980E+434943460879', '1.454297507960540137401284872831e-434943465095', 31, 6);
    T('5.71183246489E-200961', '-2.31080595292924E+756060030983', '-2.47179234485246e-756060231944', 15, 2);
    T('-1.29553424901501774924784815430398176884638291329757E-1909554', '9.479384438463780955119806057768E+35210', '-1.366686051636672162794449707104915007828e-1944765', 40, 5);
    T('-4.63899345898041424244758831834200883673102877659040313611689E+384', '-5.681900283350E+4465673155445386', '8.164510511693287269431516814797831516630832561037e-4465673155445003', 49, 4);
    T('-6.9629181099871158337988351955254489217221891275729E-272959505', '1821.719992864304219694452', '-3.8221670384e-272959508', 11, 4);
    T('1E+66', '-4.32443442031574458556839915228686112E+94047', '-2.3124411259472537532e-93982', 20, 2);
    T('2.81982816785621941356284936E-9126365633235', '7.90157638748098377077048961630901691227296E-279', '3.568690637888243433101631085270294330193236662165693e-9126365632957', 52, 1);
    T('7.037395E+18009206', '-4.05793059548126034785130963389281781552267E-50231', '-1.734232470076384507063261703331213997632706156052745086432842281215e+18059437', 67, 0);
    T('9.41807830316387E+768590844622257', '2.288498630316502495E+55663', '4.1153960848e+768590844566594', 11, 6);
    T('-3.9510910913979983868336411409474264251826804432628993E+20883410220', '-7.34653621810985014889131148437412168816', '5.37816866900923392946963901422181598228258726963436714e+20883410219', 54, 4);
    T('-2.71150126247913985386813067551E-939538469641683', '-3.578890934378767982089493362534795874643E+591', '7.57637299430531096147423182e-939538469642275', 29, 1);
    T('2.592657930220768059E+165737992247', '-5.1888741E+68363077', '-4.9965712797324723276673835659261804020259423908550797175826640311e+165669629169', 66, 2);
    T('-4.80606176569649518024238447192448347400587E+19031116770', '6.52813300847892133E+7529444', '-7.3620769666522542320713054740693353942125e+19023587325', 41, 3);
    T('-2.35392E+5931011', '-1.4412150307102062452375747202829086E-26725841869', '1.6332885446247589267317778107581128793845074921636985230547047191784694923226008e+26731772880', 80, 0);
    T('5.16948847143345215084256996087099072474948533698324058277E-805701', '-1.8400367179556413214818295E+995822630110', '-2.8094485403405279086701784e-995823435811', 27, 4);
    T('3E-92', '-7.585601258971568404132636593500467985800167311E+1129147595347', '-3.954861187110078101059257751379819304146533762e-1129147595440', 46, 5);
    T('-1.9179832102751768819590638844080072205656930764586035434E-649252', '9.863100502521299995747E+69751565', '-1.9446047516041e-70400818', 14, 1);
    T('6.4622363338610620068848948661997066489456271E-479', '7.9716948499261E+38816059728135', '8.10647729939257380646902959e-38816059728615', 27, 2);
    T('-3.025514688646312309E+203397613', '7.2469556424448300712E-518485675312', '-4.174876787e+518689072924', 10, 6);
    T('5.022333328263476227775E+35', '-1.529237E+92536639084417', '-3.284208614010435418300106523710844035293417567061e-92536639084382', 49, 2);
    T('2.88839500487412854844475846842735913547783611332442E+545', '-7.673E+8620844024337080', '-3.76436205509465469626581320008778722204e-8620844024336536', 39, 1);
    T('-4.9440689366156076631797797913379E-589897164341027', '1.948017683415377149997897E+533', '-2.538000028802295243087535101120647114817672259e-589897164341560', 46, 2);
    T('2.57010456863043234986147693600683079125263911E-7959', '4.393687477987853110967434E+639557366762201', '5.849538870269046750385101e-639557366770161', 25, 6);
    T('-1.1E+1718834', '-331227483.47409839351072477269', '3.320980458694390705654335749852e+1718825', 31, 6);
    T('6.7427091991024287071E+65474550', '8.8435E+46208', '7.6244803517865423272459998869225985186860405947871318e+65428341', 53, 2);
    T('8.05560972075784806381585886000658619603648051E-13830367271425', '-9.71297493326496514014732908686309152045769E+256461529', '-8.293658509e-13830623732955', 10, 5);
    T('-4.279108066970741392940768337296657991E+7600131931', '-7.348149918938070637859575443712328796110446026005164E+304823811', '5.8233815507e+7295308119', 11, 2);
    T('83.39088736545685340710381', '3.71805988808946088577810717479199E-74547286058967', '2.242860251729500134376036571104474902637023733347291579143841515204624740023746e+74547286058968', 79, 1);
    T('9.08670024485699960950234577983571630014306573831175052E+1539988356647', '2.9891459824942123057E+2510603784420571', '3.03989845195678515592381741065701905358e-2509063796063924', 39, 2);
    T('-2.06626989843933E+918914', '7.673029722671964571124741137316859918621219335419719857006E-1321205827941', '-2.6928996408472099031647847378159131955e+1321206746854', 38, 1);
    T('5.351370516377748609885671344067474006016897E+2222', '-1.04135E-54291925035', '-5.1389e+54291927257', 5, 0);
    T('8.773817522953780698360E-1867', '-1.9133028422718495326489669189221003596879826E+214253491045', '-4.58569199e-214253492912', 9, 4);
    T('-9.144727445566833480388719781217802404141261064E-9139198763564', '1.81985948616165852068291426159462E+6994795074744', '-5.02496347388575544052452777e-16133993838308', 27, 1);
    T('6.52555961958E+912519', '9.6216202750094705686589173394265459E-843028', '6.7821836999003547626091182088305971431625145931504325163724979084553665667753e+1755546', 77, 1);
    T('-12.63', '8.5591103977836772373238981009E-1609765789201', '-1.4756206443219206e+1609765789201', 17, 5);
    T('-1.1432840681511086640836912E+53', '-9.01881731604262E+4786205375577', '1.267665180574665356803067077724701224134139367440248856256985590963746190832936e-4786205375525', 79, 4);
    T('-9.1631628842811101816071E+2695540339', '606.33252100490476902189374210236881118', '-1.51124384176e+2695540337', 12, 2);
    T('3.1540999240421564654106593516612193E+77', '-8.049951819062475741853631749E+98861897727346', '-3.91816e-98861897727270', 8, 5);
    T('-9.826809E+9309478', '5.65144976929104861617660730878E+646287760144167', '-1.738812057287865307210017453280895385983437133e-646287750834689', 46, 2);
    T('8.478134531026640240041464394685255787665794E-37122', '5.67475574838631846027699247533758802084E+582581417', '1.49e-582618539', 3, 6);
    T('7.329E+68756832', '-5.5240190725837562403635800405901871531917031E-964602', '-1.3267e+69721434', 5, 1);
    T('7.74521057132630825456572218694831667057704033595632837375E+160423382', '-6.392245707721966562728899723668624470E+464965130', '-1.2116572055373171634996792e-304541748', 26, 5);
    T('2.68180114402558989203755182220029937E+60501', '5.805171693454613695370068041293077724070826578202E-5609', '4.61967584360914973780440883387978473652430925158356195458e+66109', 57, 6);
    T('3.072161474371138427032480946824475090189655530590881109E+498342297822797', '-9.8771772515421986538867825745018509022211E+60', '-3.111e+498342297822736', 4, 0);
    T('0.000526090102216262078988722086187941100536885', '-1.5946982478135724189109316473439775E+430980309744605', '-3.298994671484486e-430980309744609', 16, 3);
    T('-2.000011821094850927516402680E+98493830667133', '4.499277008581506026643656E+6907184039209179', '-4.4451848981074355463132638273060060201334294043697e-6808690208542047', 50, 0);
    T('-2.661284308435156073401989843112023E-522206136492', '2.01379830774281737707550728550000217E+47272927376859', '-1.3215247516113362804955897487772176091459088e-47795133513351', 44, 3);
    T('-2.54001012606369244849460750777407464641E+2434062470838786', '6.89122271431117279464704799174697722193450825E+3276010', '-3.685862772637997237901893852761666822927732017e+2434062467562775', 46, 1);
    T('1.5978077532198874877826004435389541358374182175397E+86', '1.656723203609327677902502632050903291698016E+6194266128582', '9.64438567492090816677617742477367693364317200081e-6194266128497', 48, 0);
    T('-1.4090000329582564225621826180470851271414149E+92843', '-5.7862755079780202393465E+39714', '2.435072493550558833190628102740791842166068254909972656843298313473193366e+53128', 73, 6);
    T('-8.216017134618791103928995E+672627', '-3.74616E+96783510478', '2.193183722697052743056621980908450253059132551732974565955538e-96782837851', 61, 4);
    T('-6.582147861294183598E+2764', '2.4104368933632596573128687E+1749882', '-2.730686656604469461583633857183485996e-1747118', 37, 0);
    T('-840008147607757566986651569.653898952627850969483', '-7.561218485739283307570434612442831041251292174826300763E-8558777256364', '1.11094283175660333781293044042942886718028957504e+8558777256390', 48, 0);
    T('-17378851382473592384297802650890147430591.0403339747065627756', '-4.9128530704181454753811438376516070062E+185036', '3.53742542945507506221287488946857492457856692418971504676881534e-184997', 63, 2);
    T('6.5333388556371352584645867349765535491929E+49660', '-7.23768172990E-3939114718010181', '-9.0268391170709901465027485208880289274640158697260651149097442436849147e+3939114718059840', 71, 0);
    T('-3.5346E-6817612', '6.921079178921068744411E+28744263948', '-5.107007026830476096902571686267248239062539251455247e-28751081561', 52, 5);
    T('-9.19757899526848504220231531964373006E+368363319210', '6.12062273494523598444861972146988608244511002649618071E+330', '-1.50271947701589223911069494814311921921885315044798802515257249917302469177306e+368363318880', 78, 4);
    T('-3466.90120435086904414', '-7.8429E+69', '4.4204327537e-67', 11, 2);
    T('-7.54368326391664865459E+426514535496776', '-6.643473324277236208E+40', '1.13550290573904713323568169342866302e+426514535496736', 36, 0);
    T('-3.058933692303738024506644714264649229333706111547040E+1492254', '6.36647075443227760E+96771687449924', '-4.804755743477085634891452908950430210260720947185458503196e-96771685957671', 58, 6);
    T('-2.466919886566150591709814566690027607886E+40777', '-8.8E+7', '2.80331805291608021785206200760230409987045454545455e+40769', 51, 2);
    T('5.4511765814E+683', '-5.586382039403856194476336491465086154713421E+215113410862', '-9.75797312634514255916106903e-215113410180', 27, 0);
    T('8.7616687E-9', '-8.3549793112160547881091716452769040982E+958514088433', '-1.048676289148674406161299797244531475041665294870971165e-958514088442', 55, 5);
    T('2.4757003960036965962038541363609E-471', '3.752382951593E+28094969676', '6.597675205172454309387271266850596065070330966177895774438110596179e-28094970148', 67, 1);
    T('7.3E-90', '-4.7447927918E-428996123', '-1.53852872408167866412833981830616218059311881455889375809686121939704e+428996033', 69, 3);
    T('9.467670399117782656751842E+551', '6.16035958964955603141701067469080938577810451073970E+1230969383116301', '1.5368697656911242e-1230969383115750', 17, 2);
    T('2741.356693244543212', '-8.6544739436211550956933423082498761E+7860', '-3.167560167e-7858', 10, 6);
    T('-299.654281644681298622192836189', '7.09950752964349277E+7052754944233', '-4.220775601596251406524805360157673117537909619821039133196433380936e-7052754944232', 67, 6);
    T('-6868.4548', '-7.85851181612653202946392971742637529997E+65', '8.74014693965996722628225795325362100718837085121753968807589826671e-63', 67, 4);
    T('-4.556E+4039611668', '7.8655563002768044756322580654352834408623E-609', '-5.79234300292233030388377047318211803e+4039612276', 36, 4);
    T('-1.752995738098798370237600578032101236429286404705903690877E+586794672086', '8.7998724359984440152892194593553954752930774676E-67029400454082', '-1.99206948833446513974474466e+67616195126167', 27, 1);
    T('-2E+2655719583039', '-6.25140082590082135474896085614406609187333803948405925E+85766045', '3.1992829378554553986219261701785794328771282615184941698194215689207471774e+2655633816993', 74, 0);
    T('-1.69332472540E+897117961181', '-1.289764798709681235332302730490675685E-89007758795683', '1.31289420140327292549312406433214968573984133039947174581e+89904876756864', 57, 4);
    T('7.414128300994E+63888810', '-7.0735192909281701783880083577861637150E+7898', '-1.048152694020734893198107466103110452995312269854688825107635312571e+63880912', 67, 6);
    T('-5.775219592319620372078301582745768877615926551679203341050E-8152', '-4.799122325148781057480485197090040590751211355347225988661E+4333', '1.203390787114512364135067e-12485', 25, 4);
    T('-7.558586E+22406482000402', '3.6482499490371530905E+52', '-2.071838855776552162843576403683491662136190631087886211646717e+22406482000350', 61, 5);
    T('-6.98222669079019E-511', '-5.5773138211291188686296394183907924331428972515833022064542E+366987395929', '1.2518977620263527891820917786804878843401e-366987396440', 41, 6);
    T('6.89E+29553', '0.5302', '1.29950961901169370049038098830629950961901169370049038098830629950961902e+29554', 72, 0);
    T('-5.110155461848083220537130836563560390129619795303226834E+8824502627163', '-0.08923339', '5.72673016440155778071093212592681e+8824502627164', 33, 4);
    T('-3.951507482E+4272526', '-3.5323E+3992242', '1e+280284', 1, 3);
    T('-5.370605097858240160786081E+43873', '-8.4E+4147', '6.3935774974502859056977154761904e+39725', 32, 3);
    T('8.09213222315414930242561933065875057172127589246789245792E+30290', '8.0092521462285669717486804348E+135278', '1.010348041916074433708139789886256070650697183541720121807829e-104988', 61, 5);
    T('-3.735117883E+612908371', '9.8543859849319328715662037542227975421E+750219045260', '-3.7903101103521464635510982549169363632355640868908e-749606136890', 50, 4);
    T('5.6294888338192232967384841139114748371303440E-421756370', '8.2821748930187052375743786013272105738171537578077884299962E+48853177', '6.7971141717430877406590176251167907828074540973208226802190713195021581e-470609548', 71, 2);
    T('4.2654275109566317248160297678988273488416034E+6293315', '7.54819604519E-80306771629622', '5.6509230621728826422323600336435253626250726482159402097033068e+80306777922936', 62, 1);
    T('-9.536742289528240076192594718956967086224836332968565E-110476498056', '-3.037673622', '3.1394887918371106941101767643940014719016565674245318906745933483962682e-110476498056', 71, 1);
    T('-8.10116622681E+573336806395', '5.7656437795331277666649321079469628118458387E+51047415807820', '-1.40507574463193611501632616385115825593887043396559923381329520911275762619e-50474079001425', 75, 1);
    T('4.39835512215515800771681522350307030530188130158705216157E+4262772696', '8.4627399024809425189227924E+559006886', '5.19731809418570605400930021021820274291879914802e+3703765809', 48, 1);
    T('-9.30510780590162628337241616311918658479736025537676386E-772189259902', '5.13825665432978797965385570838989878E+4095100455', '-1.8109464808575904784278865487616175215022237175751e-776284360357', 50, 6);
    T('6.62321988240726321970585326314914292221089811395E+660654844', '3.32292186923528247E+3959', '1.993191577e+660650885', 10, 5);
    T('4.71936613816775709408855260650761792250E+8292755184531', '7.64203283640716137904040331146E+355158', '6.175537634023734587e+8292754829372', 19, 3);
    T('-1915.0060011973778841174082809588332527112258428963552337488', '91982366.406', '-2.081927304136484e-5', 16, 0);
    T('3.4350337E+3454361398680', '6.741865273485969269557E-33006213954675', '5.09507912225583688560639236710865725e+36460575353354', 37, 6);
    T('-3.37558097318727222731792947183362324281205039550010072E+5641385028924', '-5.786665962124112E+346944730650', '5.833377968041890244296371852047146232841291581321556991448648426179e+5294440298273', 67, 5);
    T('5.104000560525074455', '-3.79018267796746E+784179', '-1.346637086965467374184927428544376229278106051884792443486633217659134435235427e-784179', 80, 5);
    T('1.09087295448143822203671980416104399426104655011901E+95701', '-1.26566906614427793985E-59', '-8.61894300542e+95759', 12, 5);
    T('9.48443946522191414289114E+5581253354', '-3.10618216535625141000892595873945268034543915E-97484875193947', '-3.05340735356843872286246308591143269397485609621775245486869e+97490456447301', 60, 1);
    T('6.9439577303E+2588971', '-9.5008934442744029596141386528344893489576262E+76308173845', '-7.3087418262591830844470668080477714153177576782870700350317631105707525611559953e-76305584875', 80, 5);
    T('-7.17968347395841789868524764398133E+7829634004279576', '-1.321128365398109949806518460972022923E+4905671842', '5.4345086079465759934331163663e+7829629098607734', 29, 6);
    T('-3.986933154681926427984330762552819496268163626629793E+4684', '3.47118003968255792342524723E-8', '-1.148581493642874981051589647360462629057257273996625e+4692', 52, 5);
    T('4.7572533718259204372987619409151279745563523866169E+46576179506', '-5.92589200778E+8394664831', '-8.027911014207153401117665652437783369929382656336e+38181514674', 49, 6);
    T('7.1129439640E+45579654', '8.2216598452331214979882406877806269862337999816302684604811E-6094645763423', '8.6514695303577299071880277795074353332539e+6094691343076', 41, 2);
    T('1.49E-923997', '-3.45826920932251920803399773854034334493476E-4998035266990027', '-4.308513622893729324e+4998035266066029', 19, 3);
    T('5.6230877633392063382773089671758868653836163529E-2006688740534', '3.532023E-3790400014677371', '1.59203e+3788393325936837', 7, 6);
    T('1.764301014572842E-84', '903.923', '1.951826665073067064340657334751e-87', 31, 0);
    T('-4.07622136124277237755582439663142527408138583880761772E+300978511239', '-6.0190221E+5708', '6.77223192326004647425339142155903576775600448253482525e+300978505530', 54, 6);
    T('-1.796529804966084542001292028E+691275404232245', '4.684121013260451446607E+66731629522746', '-3.83536163963360865730676874802353300324e+624543774709498', 39, 1);
    T('-5.0865E+1174955768667268', '4.79601219052302226499267824466666596650E+60997847823194', '-1.06056861366011227788462801220902e+1113957920844074', 33, 6);
    T('9.3886949906315509476E+457', '9.5219614450494396037787158959185292779896179E+3307793400160', '9.86004306446002763180186564552702977698913335243300367455952174244e-3307793399704', 66, 1);
    T('8', '4.5E+64672996', '1.778e-64672996', 4, 2);
    T('4.3271311721659131207839484853662469277595480705E+9174', '-7.6702152228448198684023256756338352308570810754774E+412653', '-5.64147295277721775122817487250509959368939614411527178466094079e-403480', 63, 0);
    T('-4.48E+6270438105114363', '-8.7676157350946289760196339E+4385269273', '5.1097129885239516706695353e+6270433719845089', 26, 0);
    T('1.85992669676112855183277415362319E+44694694', '6.480658744085481050713869342E+6953918', '2.869965493027348618014381242904377628e+37740775', 37, 0);
    T('8.9958197945808059818505512887113886465490E-43492393381', '-4E+13065751', '-2.24895494864520149546263782217784716163725e-43505459132', 75, 3);
    T('-1.6935077887791531944E+54600269756527', '4.7515080166772121206698744E+4909449719949', '-3.5641480196079811696691339407017852927915549573675740479455877145678286e+49690820036577', 71, 6);
    T('39188434.184296791662126817331942240133333056493859', '2.16735091E-5479611398969', '1.808125947832637385984109851964038446055468539418889025220193807933021792e+5479611398976', 73, 3);
    T('-3.875315506278345369951740164E+1905175618', '2.21513120480093628739800651932E+473153210318164', '-1.7494744771231744055857452345553024586e-473151305142546', 38, 0);
    T('-2023.16645209842059010992450081158434426275777552517', '7.3311598256198877600649820249738E+98979692523204', '-2.7596812785722500947974936859227628634571450771310641413074e-98979692523202', 59, 6);
    T('6.71983230270289018524705392006395631818255761477778008849379E+7080883321715649', '2.884594761263582636918811856789214778241E+4466518756483830', '2.329558519949367337737501736188236145163629384548405e+2614364565231819', 52, 3);
    T('-3.1881289829932121909667626326019426627E+5445375', '-3.57986065513453612033968129156687475010E+22585784', '8.90573485987654424298981013410541129003637359545215597334316745e-17140410', 63, 4);
    T('2.2468186110254112377333E-5484', '-1.83833058333970070077749178916237588895548203001045644E+92725888093', '-1.2222059684953992922506799248916793109e-92725893577', 38, 0);
    T('7.07840121677896531076579289695669248820752832809916974604661E-927160310235735', '8.46632651428995026575923952807258414843847153993173E-644183000176285', '8.3606523e-282977310059451', 8, 4);
    T('8.89072123E-6658314703658574', '8.9492644704254992814360763493323945818840E+15236160006', '9.934583182093940508459696852942272606302678466190744589543e-6658329939818581', 58, 3);
    T('9.9749373133455651622162937889427644413831256456959289277226E+267238311', '-1.659E+9431439114', '-6.0126204420407264389489414038232455945648738069294327e-9164200803', 53, 1);
    T('-1.440471789997004848749520391908768202934910E-2447050', '5.0607331810E+6185407868928', '-2.8463697620042633280047657e-6185410315979', 26, 0);
    T('1.373802151194803443415599573959521591635404360E-654724547870323', '-8.71515585629411E-407356235889', '-1.576336870903622081713294772446639626777291040493e-654317191634435', 49, 5);
    T('-8.75060765745829393E+712819958', '4.5659967968E+8454100787021953', '-1.9164725791290537442367397150951939099704626406889905070027139796e-8454100074201995', 65, 1);
    T('6.1953524355996730130780930494037555450336287153722E+482135539293', '-2.57545078689884881976626337510148E+4760148544', '-2.40554098999485029698480640504802e+477375390749', 33, 0);
    T('-9.7435054916410394719772798846095046429965E+60491136788780', '4.77281593E+233186500442', '-2.041458466981e+60257950288338', 13, 6);
    T('7.3449751452439222776841E+57385971', '432.3080927327382758919378897180766633560', '1.69901402928044108236874067624020535297275e+57385969', 42, 5);
    T('-4.4784405869570527647023E+2278', '1.67085683805509618827145607288150373487856431E+26125175', '-2.6803257376437041180138816310207142876816567038481208592086383961624138399502e-26122897', 77, 4);
    T('-3.1822075727372177677233E+306859416073941', '8.97162097790267E+740946089', '-3.546970587115835281164e+306858675127851', 22, 3);
    T('-7.1521007995056866416557646200446030670005677301E+24233918248451', '1.81093472898E+287365541046735', '-3.94939733887265607154481697583e-263131622798284', 30, 6);
    T('-2.00695378714242246143202701167653876288121087158679649109E+88873', '-9.7758844820412240819320120438402949670712E+58095677965354', '2.052963894e-58095677876482', 10, 4);
    T('-634.6628814578371491744200504414307815680128990346340364', '-7.0172572317562962550689500786E-49424691', '9.05e+49424692', 3, 2);
    T('8.9134431968680916044002675274611982700E+6621098962747', '5.9813414530585789179926514631129453986908871545473554470E-81664585', '1.4902080522940506384618443002746532668151510445808000123649688503942247587972e+6621180627332', 77, 2);
    T('-4.7802879806957E+7532447807545', '-5.9464113394663727465091212988456347E+29548992044288', '8.03894602609963418522e-22016544236744', 21, 5);
    T('-7.825138249768096055083162991074E+8049786578410', '-2749.0845008693489593591', '2.8464524270874669729975521340230129531251019151392083080158499382670048e+8049786578407', 71, 3);
    T('-2.101224038660974E+70201', '3.3915839815926744744853386813359918374E+783931025', '-6.1954061879790087654964441782e-783860825', 29, 4);
    T('-6.598E+442', '-4.970829997119224596810177579E+6366673253629', '1.3273437240508685977641805043468885066991071752802481824497815934e-6366673253187', 65, 1);
    T('1E+8887083896614', '5.9619977459236518196825037075517924403022380455E+534915664281', '1.67729013430728292154219308401720212078739561014627664e+8352168232332', 54, 1);
    T('-5.42842264917188712286433443206507584E-858969234330053', '-7.470158362707514125011615645045369423242378454E+759085702', '7.2668106693314971033148489923957063695095269240355663275215205367228e-858969993415756', 68, 5);
    T('-1.158945315337430141648720198455746550041337E+90820', '-1.916975760879081942396250152958431990E+8429908835808', '6.0456962419e-8429908744989', 11, 5);
    T('1.8684736907014304056706E-48589', '-7.956509919476817566239526267990E+7589798469497', '-2.3483584003679497605593e-7589798518087', 23, 2);
    T('-7.1177580997295431522503977894E+45', '-2.366164772246265314713E+1057771589995', '3.00814135313681454607463426704444e-1057771589950', 33, 1);
    T('-4.998116445766527568281727E+985765810783809', '6.4443E+320986699', '-7.75587177159121637459728e+985765489797109', 24, 6);
    T('-6243241142.571276056561310761046929891905994265374', '-9.80137225559186470729031335115271903843E+619800', '6.3697622942638375558576074689739526895610544153430210274334618e-619792', 62, 4);
    T('7.116560115216E+44', '5.830364714112534253201957792348278704765010483851942908E+79828280', '1.22060290636539420499038632693457780905577201913958937466692176e-79828236', 64, 2);
    T('-4.931E+834288980014726', '3.40E-4220530058442041', '-1.45029411e+5054819038456767', 9, 2);
    T('-4.11315603761234117674017569071219819289590418857885068E-411456693329', '-9.56939808846041803E+5747947', '4.2982390319536704616e-411462441277', 20, 4);
    T('-9.38777281930235542410236835824230973652162545693296105332E+9282364023021', '-3.517533E+9939680', '2.668851385133374846547955160119978898995865982474922e+9282354083341', 52, 6);
    T('4.508191270474641022317373449554332622328484262415606065384E+9712221544009', '2.183954722876231303823945466648587130200136239949938141E+74859149131', '2.064232936357503617282642e+9637362394878', 26, 2);
    T('-7.1017143679951055208555567E-8919711385', '1E+78768', '-7.1017143679951055208555567e-8919790153', 74, 2);
    T('5.455149884920434382375738885488374693159981082496949906E+17427640909227', '1.60777723483994207929173037849E-583766597569561', '3.392976195152748942352e+601194238478788', 22, 5);
    T('9.358903996218925550E+1595002', '5.734760637E+663433174892472', '1.63196070221944043625477650428e-663433173297470', 30, 6);
    T('6.26E+4491052088044', '-1.84609854418015629073542E+8410880908129', '-3.3909349e-3919828820085', 9, 2);
    T('3.927176044E-3535056896614', '5.12440275924132625505527142428006225722601523612354196E+854494', '7.6636756096459189079844389818651491711352915635e-3535057751109', 47, 5);
    T('7.344627400522517414190350187E-6990838', '-7.1595131301317702691191822854201143476506644500736534842E+538283405756868', '-1.0258557065300528517451627662e-538283412747706', 29, 4);
    T('6.6700534437851196654484671609975837210114075295E-9', '7.39611911521182378970230061765084E+77533953', '9.018315335223059468458459185198973e-77533963', 34, 2);
    T('4.378466680923527848604023990463821904520455177992E+3713707781', '7.930281289548913624369999860176769001E+1708165478', '5.52119971670334236723869528176281498977822e+2005542302', 42, 4);
    T('-6.083107352280964577693915018237052907171544122962861E-3151246', '-8.5458780185351315038272555583738615368200703055664245E-9219941', '7.1181771364947283923866953590444826406738371323618613891226760483e+6068694', 65, 2);
    T('4.1878382327342313603376533024259958490104503579828864E+484345882301', '-5.15E+90228031733448', '-8.13173e-89743685851148', 6, 0);
    T('-3.3082361016115672243568334E+3589', '-5.7258E+65963760', '5.777770969317068749e-65960172', 19, 4);
    T('6.97408560961E+69', '4.405804964145465665163E+181', '1.582931079874224291141115996325457268538403211669e-112', 49, 0);
    T('-4.22585736620800214882226880565489691681955E+76852', '-10329865067226860896602983679821741367729160887146.46587156', '4.090912455008929829688650385294988873852143843836877594222538e+76803', 61, 2);
    T('-1.46584885684146776584318813346104661245E+7236402344396', '-6.99755009508E-4224432087913445', '2.09480294807e+4231668490257840', 12, 0);
    T('-4.8342328653787213988808699537846642461565048204E-24578079230974', '6.8784199890965328815E-28256554', '-7.02811528380326265200218502024761137295892596515250439957376963876e-24578050974421', 66, 2);
    T('-3.727916955524591200943111084468598140345061597857444486698E+363749948', '4.721068882247567550694E+4043574093684', '-7.896340952665437983400938180234044827052020118580548050918737321462e-4043210343737', 67, 3);
    T('3.6692150939330102244852487543E+88502097935089', '-4.281778410477111993509093360235205525578784480E+54292719', '-8.5693717473907184765627325032360689627753849029015413322245093e+88502043642369', 62, 4);
    T('4.990786774E+66078', '7.56280533458084319992074963729200256E+60504517936', '6.5991210314242560700350848514853158e-60504451859', 35, 2);
    T('-7.572193646458823E+54847', '-364.0954876680015547122507888365739459', '2.0797274074880833620996834577283197920701419908309852572645509718326882820103e+54845', 77, 5);
    T('-6.0784354913600543781036148E-31451', '3.320403276453922026845672588627696022E-4557250843869', '-1.83063169900603673747334821331302508550895608e+4557250812418', 45, 4);
    T('5.5384910872567625739487188517540E+45204025309', '5.4668132281014153841E-238162', '1.01311145e+45204263471', 9, 3);
    T('-3.51028418180307017064901333842099241E+63124453383760', '-241167946791189731222224750528.983305', '1.45553512e+63124453383731', 9, 1);
    T('2.7731933851531E+3453618892', '5.07048901256237396714771384E+705074', '5.4692819139976115251614949647998315811723787069e+3452913817', 47, 1);
    T('-9.78811879170461964690E+6810507704', '-4.54404355417868316272232821197835241E+20737', '2.154054791729165350345285608009895469186192570758906500883161474445602734591e+6810486967', 76, 6);
    T('4.2250678585868377799027766905223E+5094454600884954', '7.9042503634383002349E+9899552771882', '5.345312e+5084555048113071', 7, 2);
    T('2.306943276014409255721873238536E-910478242', '-3.90416723989177751675407821948812E+69515547', '-5.908925346339306e-979993790', 16, 6);
    T('-8.32595543752346035969E+96372518646', '55071674.149018567384927498609569721980703743495', '-1.51183990067093997330724748572797071318005786543069668699e+96372518639', 57, 5);
    T('5.472723032052531011681E+9813540', '7.2843894359240975781562218851791486654E+73044212', '7.512947e-63230673', 7, 5);
    T('-7.90985008600E-87479432133', '1.34650596413914964874162086083417866903999456065E+729', '-5.8743520613047845171555606872707974e-87479432862', 35, 6);
    T('2.968837662276428241158914E+56295720207890', '7.15517132224308713573228881462814404434943764980793E+83636726246', '4.14921953447471352097265982217784918804711556888955226e+56212083481643', 54, 5);
    T('3318815526474.052762123809516312444903022622', '6.504945442642857355E+715604', '5.101988257607384394833107871989706633608571102646373e-715593', 52, 6);
    T('-9.443707687524856976363407125219520861874873118837816E+584474663', '-8.129221013376171389919222964569271723651811134E+543206766', '1.161698e+41267897', 7, 1);
    T('3.1123813486592747517885876278149098922054371591E+524684974965', '-5.2555377731824513030958297904718573802884859989E-113586674', '-6e+524798561638', 1, 5);
    T('-4.1397109503243729288694805005527101E-8789042601853', '-2.76706544937562381508871286190669424548209027E+53689555037832', '1.49606542601241345843149129e-62478597639685', 27, 5);
    T('3.5295150079534943830278337463510397352E+7001321', '9.5128314E+99009531', '3.71026759493865767770028358365632311658545740650885497665815878961126126969e-92008211', 75, 1);
    T('8.9E+983057940', '-6.0550E+571', '-1.4698596201486374896779521057e+983057369', 30, 3);
    T('2.622546961896E-7595074871845270', '-7.637980350713909233149287242198767672475259156E+58044600702809', '-3.4335607601437138118264885934177201385427596097280974132569396e-7653119472548080', 62, 3);
    T('3.36309256988172209723163377596623741119610905894809699730944E-69294783', '8.2757034245566558624413755587795392077276890530999731596E+7027', '4.0638147567037649637408532012310485247e-69301811', 38, 1);
    T('2.010339909404851088929461014989316892006037756E+289664090942', '2.7202', '7.390412136625435956655617289130640732321291655025365781928e+289664090941', 58, 5);
    T('-945730451.625462435223350182023614949114154054988726', '1.44318778215741353869726567797074690420E+625705856009', '-6.55306581248696e-625705856001', 16, 0);
    T('5.62587E+123833779028143', '-6.26397283535002377756316372330468589261E+76550141882763', '-8.981312894990600152086808362597649601265376134677e+47283637145379', 49, 2);
    T('-5.03937438915587438819495676896749696436928108E-1221660468', '8.1486461431762097184618407990965548209206776377385788161E+491383605793', '-6.184308780392822682e-492605266262', 19, 1);
    T('-5.2231394489809786899388123587714846E+820', '5.41583112953935562370777037E+338', '-9.644206630618e+481', 13, 6);
    T('-3.6355242546478158703748034010961165781388E+184064558535', '5.208E+44992744703', '-6.980653330736973637432418204869656e+139071813831', 34, 0);
    T('-4.960755702379114633660749E+958175', '7593.54087190534841061439679793487720114309506837402196777958', '-6.5328623e+958171', 8, 2);
    T('-5.9043471303888E+7441425725756', '8.076790943144606275158208682877259566193964739845E+8567', '-7.310263657870547659414752105459425288e+7441425717188', 37, 5);
    T('-4.95179048965831663226225629090065887296E+413549055', '-7.6458871411051492598005987751395599009461728467952E+81507305564406', '6.4764106483300466148988822077697830566730439595792193519216241814082297e-81506892015352', 71, 2);
    T('-2.710537398229E+3389131873413580', '-1.12502542498169553810247045590236606532E+142190620', '2.40931212578871376351850485438809813752940947e+3389131731222960', 45, 4);
    T('7.48539712026946635291652475808548575273609890E+1867916', '-1.3888054951E-690', '-5.38980954977463233463017189791754716735502561e+1868606', 45, 2);
    T('-6.6248572196634536E-4690630165628323', '1.65736911500358458886944E+603153555838', '-3.99721290790985038664819360687138495687952207700089319620736135633367155e-4691233319184161', 72, 5);
    T('-3.8910170818307115516857093821178724E-436082924', '7.5266757435E+82', '-5.16963559269970502839918094063948485015534932882019936056515997e-436083007', 63, 1);
    T('-2.5356166928207911989440986021E-8540987110', '836345359.92810975708085051602097956730514136575979019312', '-3.03178186226650044845147311162399754725387061406902663729847838e-8540987119', 64, 4);
    T('9.5E+8561548793', '-4.08394538948134907479952959256264165109469398597028439904605E+208501127321806', '-2.3261819378065866875433437902636968e-208492565773013', 35, 6);
    T('8.60869851027294256088235645549045601648872832995334260E+4352519229041', '-1.48900023095028596563396990613382753388022167810499088863538E+8779', '-5.78152933178447956115253354656396999403125537997584642673228123242674e+4352519220262', 69, 3);
    T('6.2E+9862135041', '3.46761982150189302972168E+769428506', '1.787969938790655e+9092706535', 16, 2);
    T('2.9868822520228140872544834743427567838394150998341E+559', '-4.68789613395282761196338369E+3534048', '-6.37147702652763139466062718919844866323972943e-3533490', 45, 5);
    T('-3.1772079441713578128E+3967', '-7.15482364598E+37088355360', '4.440651651779704978214859846674730632058613651627266435776039e-37088351394', 61, 5);
    T('-6.3116431412337956640E-800', '3.14214372077480337695524520449999E+128', '-2.008707e-928', 7, 3);
    T('9.1266707268444367697668288059154988665907264E-4919384749137595', '8.45514794467200556250301264429736412593002669820342E+284160', '1.07942176607277344391303525581168087e-4919384749421755', 36, 0);
    T('-2.741975058088900097132270113581925046306889238290507906E+5038736024151', '9.072E+3591476', '-3.022459279198523035e+5038732432674', 19, 4);
    T('-4.69119E+40431397296006', '3.1E-421677359879701', '-1.513287096774193548387096774193548387096774193548387096774193e+462108757175707', 61, 1);
    T('4.27314086698062967278569201570E-8072816127397', '8.23812806452971336618851989572392242166918926983E+4065892', '5.187028938502631435704448e-8072820193290', 25, 1);
    T('7.73262161566893075584270637883278322710825E+77250706347444', '-7.206E+82', '-1.07308099e+77250706347362', 9, 2);
    T('-5.74199118171134304034974858955964605845646398E+5855010570943', '-2.0855638187778013638E-4798', '2.7532080917458139522463939171394527885e+5855010575741', 38, 3);
    T('-8.6232611100198546286043261834242947436477E+59', '6.6616046783633736373360375275321154222E+6329865', '-1.29447205686459643273229606250689971847662959606055677497641736548065653521e-6329806', 75, 3);
    T('-20449.971872407542083802924280434829613758129060', '-9.44490463006270803246166144867758895135746547026535619844571E+309764', '2.165185639600446399894387952262691449111486253829956044721952e-309761', 61, 1);
    T('-4.5E+2405', '5.1933603731959086804415285064959684136827609726332438988442E+81114084', '-8.664909955460637340308261907544099140183210563722592571799348317544416e-81111680', 70, 3);
    T('4.26747065025204624617091246745967014388971409674348E+1911', '1.856362E+2034', '2e-123', 1, 4);
    T('4.0891892524911148484992357441E+8742044583', '-9.27297524886782037879189953326321273612293399318107E+8139104223035', '-4.409792049202743766e-8130362178453', 19, 5);
    T('8.4249622790E+1499342668509', '-6.7819366991088226799630170846184868E+225330665762515', '-1.242264953624099492427670675949e-223831323094006', 31, 2);
    T('5.2020827E+3815447', '-3.80687129809802154716278180072724692E+94618820686', '-1.366498179909326089912420911720346233120921293179461e-94615005239', 52, 2);
    T('2.51E+137219', '10.63', '2.36124176857949200376293508936970837253e+137218', 40, 3);
    T('3.072E+10', '-4.787978107607301E-9930938588', '-6.4160694367401197089471755516188435529799979286813590014424604379388805618e+9930938597', 74, 3);
    T('-3.2506876239475809881304733462740841443632854600E-85109', '-5.78869637095430042132727577467802325711810916E+630280', '5.62e-715390', 3, 2);
    T('7.841942795505942071253068604598413154425148920412E+75510848', '-1.3998142687136518278664003E+12621146', '-5.60213091891985994604e+62889702', 21, 3);
    T('9.9E-130902098', '-915456826.957014641448', '-1.08142729e-130902106', 9, 1);
    T('8.393167952800E+567540621759', '9.2660129394190324844831859584944547491207890E+1761886', '9.0580144962826279171395808733383712316585621372032026582815149389302631308e+567538859872', 74, 5);
    T('-2.272485881652506136995758957422883718597249051001015069099E+794846556433', '8.539410673363288506699949111267802748331108943982E+1629087416667563', '-2.66117414e-1628292570111131', 9, 6);
    T('-5.720472244424718372157292197919702101313124732100889918509E+47672', '1.08386838014680622173849566208210788108765E+89355', '-5.2778292541848118130076988966412627845045941167e-41683', 47, 4);
    T('-9.263012811936760516063133424698211815567651E-29276038710', '3.057369337539798782957719180071381095842184686E+550874951', '-3.02973301203789574196225169678277333957601257311043584767479538e-29826913661', 63, 1);
    T('-4.951416672165745909947822299E+407830452591', '5.256268649668724530397772420949645744081748973906244540113E+6822477275917848', '-9.4200220768354527192298739744445342790038571892654207589073e-6822069445465258', 60, 2);
    T('-2.26243212893069068560371223249741465460E-5727126630', '1284540597.63106169680142456414585698662820212343894486', '-1.761277248148519261512576356900598015937781698777657932923000545394927524949047e-5727126639', 79, 3);
    T('-6.253273083275311915925960E+479647', '-5.3534006752089E+59786', '1.1680936030500457846355401813053411430156615794919980085451238181e+419861', 65, 1);
    T('-7.9465454276636792787190E+7731101990110', '-2.646231962366924471413201444591289147994428966747362128E+3181935972739', '3.002966308575566004471552695848398586574333172662847268832275e+4549166017371', 62, 6);
    T('2.8076064948902965059725469349176391E+75231', '9.548974446940750183216555068780778542286034284E-11225773050', '2.9402178322822746609e+11225848280', 20, 0);
    T('-9.9425501920692502727351145932292564898487E+1269906104', '-5.1413999555222963021731502469870135694239212520E+293480707', '1.93382158129715516593397885197424276276705096598830440257848530093705857e+976425397', 72, 4);
    T('-7.976059E-6469', '6818195477572845258994680.892328422967446190952350468', '-1.1698196430764893958150716e-6493', 26, 3);
    T('-7.48021008445602606806835E+1961189', '3.9037383914018875521231175932419764E+9283517', '-1.9161658222106879078306852873e-7322328', 29, 2);
    T('5.645E+779', '-4.832354234612E+8741428', '-1.1682e-8740649', 5, 3);
    T('3.05323594914242E-1847637', '5.975690838954320434009136584E+98801151788', '5e-98802999426', 1, 1);
    T('459028437883101763121746906992435.477', '3.1657218591631545664231207940709180591096830391763325759592E+311537354273282', '1.44999610927424946105905408886197061011527704579e-311537354273250', 48, 1);
    T('-29932.0781001260084957447004123838085074589014572607240', '4.4449020E+79', '-6.73402430472618035127539379099557391984320496993200839973524725629496443341158e-76', 78, 1);
    T('-2.21480447006335800974084089600658288688866100216490E-1251489193', '-7.9311987237484569064192E+907540', '2.79252171986505625851404922745308393441023796722659341832016314406283e-1252396734', 69, 2);
    T('4.320227330785030551287307652468102E+50980762115391', '-4.19008208370800183829350143798492259287326E+5614134654672', '-1.0310603096734222036115319388179e+45366627460719', 32, 0);
    T('1.749545325753549976703222346940009667227174706625499659028E+51769616', '1.42927258442746468332104325341530111E+67597305587', '1.22408093796494357593912411417973e-67545535971', 33, 1);
    T('-2.376143488689708485950481734713811968850984E-9199740286', '-3.7107497024271978054412803202391819944297E+182028', '6.4034054550633671658382912801891921023887173e-9199922315', 44, 5);
    T('-5.258514159919680782675353381133774153E-9', '-6.8387958157E-2965', '7.689239891981530070344184235905106133785985202184284e+2955', 53, 1);
    T('1.3214976173470538532066240762069475441465412571047518697015E-1758025312548630', '3.63890391595926470092975266549444674449932617095739E-41955', '3.63158150879257018857897377874e-1758025312506676', 30, 5);
    T('-2.41444108843135279065E-685523834', '-6.689821595593752892513103970223819128224809899903790225869E+6432', '3.60912627329497547569294617674650995080588378045180284702e-685530267', 57, 1);
    T('-8.8196982473181127763758934E+487847682559', '4.4800956193027499762415657640740973E-446204', '-1.9686406266236673537921e+487848128763', 23, 2);
    T('4.359712674977981409848383276973947222520909681600458950E+4604', '-5.34825396E+789398', '-8.15165605e-784795', 11, 3);
    T('3.63838843860645259558336E+281982331108437', '6.04301233093557366907470339421785E+7729146220988048', '6.020819153356188185982553129799471912944422088949551447055443618e-7447163889879612', 64, 0);
    T('-7.87791346467750701954227E-8142', '-9.62144676527690337330314302511359176999341900141092980652220E-5857', '8.1878678507148422566155937867920210251598537858272158e-2286', 53, 5);
    T('2.818338255455800684249765877772503195617176704433809164970E+80089', '-8.47570934080396567759716625252889647919E+11958461', '-3.3251945555608994666744591493503680816684e-11878373', 42, 4);
    T('-8.4891845040398888319226475603255790152365419946759E-293724767098929', '5.118451779391797120957547424523E-3348976062540', '-1.6585453707348632873954950650964370824104786306770874545e-290375791036389', 56, 0);
    T('-1.843201126442516188301687437154742540617487198378069987995E+27055952996231', '-3.211931953059862111300634544266240109677930618995330E+7752', '5.7386057780165048301142467779975057388945494489059489e+27055952988478', 53, 6);
    T('4.211495302254709176748272449616208846483045895E+4162030', '3.8340303341499497669863805068152025855956763012411E-935225', '1.0984512210930245269414e+5097255', 23, 5);
    T('-9.59727784E-7192695', '-3.134022', '3.0622879609651751008767647451102768263911357354862218580469e-7192695', 59, 4);
    T('7.648772439349475243549750350661871926868226295004078803E+616345644014299', '-2.2464149369588248987585725022575430136742757882E-85089197', '-3.404879621083854779702593905837271918812003835411853040548420498139497474410911e+616345729103496', 79, 1);
    T('1.9883791532102244328554903530476157958761510839250599071628E-9', '4.783189902454473464830216414E-535246435581', '4.15701487e+535246435571', 9, 4);
    T('71018401708952011.1', '-5.317913778157525050393526368555281353417E+2212', '-1.33545605798741352349304536100663040383966884741977118468403e-2196', 60, 1);
    T('-9.1958E-2746249', '-5.1076172928592435747011679819250028326687828086930E+701369003529', '1.800408972078e-701371749778', 13, 0);
    T('4.08589367285E+5746838', '-8.40780151590342069246585042295096387937825115297E+5952215461', '-4.859645729173673944681745603551613622224299223e-5946468624', 46, 4);
    T('-8.62982E+2665392', '8.4285E-8', '-1.0238856261493741472385e+2665400', 23, 1);
    T('664906026.599164312121340207247369677980', '7.5290661065686705836966163E+60507983783145', '8.8311885855149103461032038634065e-60507983783138', 33, 5);
    T('8.5822338775550668347929886817662683E+4774257279307', '-1.847269246E+41026406773884', '-4.64590307890345662951235462822525022429783903845709343878e-36252149494577', 57, 4);
    T('6.9248154067107587775761059793548986990326676648242523E+721909877', '7.05973738399831094687119882370366603646E-69334445', '9.8e+791244321', 2, 3);
    T('-5.9225591653430537831E+846466027024524', '-3.65923342202923239487661742009352586439548344827694204E+40895699', '1.6185245602776253922279738296403784233865156362675e+846465986128825', 51, 0);
    T('-9.4251659840709077141784089656342689154665249E-905949', '-9.7077483394568E+146952203261017', '9.7089105058097290281156932488440603444235290692642e-146952204166967', 50, 6);
    T('447942.387773', '-7.7296311057371649193454E+786730272947197', '-5.7951328032e-786730272947193', 11, 5);
    T('-7.606768895149467756325765829E+7190', '-4.40782767343968306226782601691689673E+28548294756', '1.7257409905077948978469937787263249418815501607898e-28548287566', 50, 4);
    T('8.76736536226178637781695784293566795239752196902914251E+49501048417436', '7.368E+7760350849908', '1.1899247234340100947091419439380656830072641108888629899e+41740697567528', 56, 3);
    T('8.8117345254388276452748596233161114774078174254773841717006E+54485480633', '-1.628858638986E+937505690022924', '-5.40976013174742064717584e-937451204542291', 24, 0);
    T('3.3548810007108541198862203443519927972E+27808854782', '3E+54760', '1.1182936669036180399620734481173309324e+27808800022', 73, 6);
    T('-2.81485250142326236330685259375863258395657510665398665E+487189836055', '-6.2781889939E+5353', '4.4835421554818166164649721915066042465042127546997333631829773706105633265778453e+487189830701', 80, 4);
    T('-7.480889336097538499553E+830', '2.24E-3524388412360812', '-3.33968273932925825872901785714285715e+3524388412361642', 36, 0);
    T('-5.054112773610254859652009576E-602139631998426', '-3.1078250618805375587E+856283767', '1.62625394704553390539e-602140488282193', 21, 5);
    T('3.4325332759476E+309', '-7.153728546251214353354122951561441911348E+70', '-4.7982436763642068894357871209231551974153773679847243548213906877985e+238', 68, 2);
    T('-3.9096867556872569809066299961E+608', '-6.9226285696158373780020E-2658', '5.6476910704805013e+3265', 17, 5);
    T('-9.004852553857330765193455691314121894007615545E+3376611714616', '-1.7516157483365182504394112717694280090280279580691573502E+504326928822', '5.14088353133904893021917305697127932987e+2872284785794', 39, 5);
    T('4.30904555149623249586440218843089729377672610086980081574452E+5453', '9.18963103937410539444508750778989E+680', '4.689029987203e+4772', 13, 3);
    T('2.00628398382866485134665577822E+456', '-5.0869189154899550275617E+667', '-3.94400621900895049704729001660530775444e-212', 39, 5);
    T('5.46240424811822673590325321920535949252090073501E+5080950784443', '-8.51839564249385486215608E+150277', '-6.42e+5080950634165', 3, 0);
    T('-8.74808419424126995875323577748E+43', '9.160259440386908838691304110535450139855849335820E+4743323483', '-9.55003976816596635513802571880827660341896915807477452604074552e-4743323441', 63, 1);
    T('3.49723460276526891E+966', '-1.19356566914109497497354902940528246582E+8633249401128', '-2.930073051851368494814139e-8633249400162', 25, 5);
    T('2.8333846388748998277902153899431792659E+10072085570', '8.592615801258427417220175423764E+5498703671', '3.297464595658911972232267062201149181785902390664196348659605791450588395112228e+4573381898', 79, 0);
    T('-4.8187989E+8495548380085', '-9.30E+662021051336898', '5.1815041935483870967741935e-653525502956814', 26, 1);
    T('-7.3083476213169667385085597881802400524725444E+2482296', '8.51799080E+59286', '-8.579896119771539009537976711808892834766321184568548723954949564e+2423009', 64, 3);
    T('9.46282254945707515736692003093039152950586881E-5773', '3.97830672919969434837541223E+239', '2.37860557105929502798076201812551042568717947566063550597923094280341436e-6012', 72, 4);
    T('1.90658E+5587639348425815', '7.818799725811951761424911848143601978578993738313246062E-5979670826354', '2.43845611456943812e+5593619019252168', 18, 5);
    T('-6.9383278859512979893215801267907740273525662484088284032E+2920245', '-4.20451446213842782543006020397275789853731382879199E+6979', '1.650209e+2913266', 7, 3);
    T('5.399421823895381466E-86782', '-239114.293546506', '-2.258092456043508326863114110536867655614959851e-86787', 47, 6);
    T('-3.8267490E-50', '-9.33776203371876434480835599007E-1747018579894257', '4.0981436303276588841956198526849719894840168398780223720904229374964788006632881e+1747018579894206', 80, 4);
    T('-1.8533256616639418418243647809845294E+4472930474043563', '5.551150838834380051184987235607624288588493740E+504569408', '-3.3386332230401067438469674383636e+4472929969474154', 33, 1);
    T('-3.01497309790550793411200220128658208712094740092E+61214804480', '-2.389429930877788105621685869019450E+73845570023678', '1.2617959869607552898764750014402948649334147858747143e-73784355219198', 53, 2);
    T('5.25008902405150916402750568409244390671452947756290915510E+826199423', '8.8570657338513E+1023', '5.9275714800059675744698435156999484901790474976414706954346384771237976161043e+826198399', 77, 3);
    T('-7.43034669437844357961400344619508351805161569861063541293732E-5585318', '-5.54744E-27855', '1.33941902830466730232575808772967053596824e-5557463', 42, 2);
    T('-5.0E+9492281', '0.00000102232638302772645564692089077987615159586997795092741', '-4.89080599210594302405103796139275844896801354839941932856607881447408224e+9492287', 72, 4);
    T('-2.8305124812507E+79209', '7.84096531954827469651194229823316394405212E+9911346', '-3.6099030742987248108119503805841239986425842e-9832138', 44, 1);
    T('1.1099708417450E+717', '-98041269.57192008', '-1.13214654052471169e+709', 19, 4);
    T('2.6016228157550904095590227748570505624712E+37493822526', '-1.95720065195749415891384787929557674014831991573E+756984291500724', '-1.329257075994266325021578979240161664594487482228505296122846798827011095e-756946797678198', 73, 1);
    T('-8.55009923645460537288220456522086015E+3709102479', '-4.60146114E+734092', '1.85812701e+3708368387', 9, 1);
    T('-8.50E+46', '5.905691874117878902939570081290702722668987303310546094E+88796554866', '-1.439289448413e-88796554820', 13, 1);
    T('-27586', '3.52E-713808', '-7.83693182e+713811', 9, 5);
    T('1.982891187789293E-865523090', '-7.97403405342314608505826442413902707875369507E-861920002434030', '-2.4866851263797454620676668444026710161e+861919136910939', 38, 5);
    T('-7.888023366769838013049261112596398121699988443797348E-6316257263870580', '-3.2E+60863', '2.465007302115574379077894097686374414e-6316257263931443', 37, 2);
    T('-4.0540488412827243445104112792455368912664022155630553434E+164699607', '-2.38138962964E+5425', '1.7023878792550146365768026580401233409926483211906859353497087902939659498331769e+164694182', 80, 3);
    T('-3.975647487458591536987732373120724183496E+544096', '9.6695736215056907249680554592E+130', '-4.1116e+543965', 5, 3);
    T('3.092111765116436918429697847676225E-135419117153907', '-9.146869158915832116648911859000015532575120710435335E-700247924', '-3.381e-135418416905984', 4, 3);
    T('7.9628413644845144489199943105010463317E+720916', '2.24015210275319681170640026302708510916184420024540570564002E+6997957', '3.5545985269027067928803561717e-6277041', 29, 2);
    T('-4.63996952030862908E-14', '-9.7899243351758994629314323029E+64054717234335', '4.739535630154858498006090342969219496171608666645e-64054717234350', 49, 3);
    T('6.71412704289885347705262307066968333174904494839928E+64', '9.32426135485166030109689268168165769101011658810074E+335892582132', '7.200706616192515060820261739952711760414338813966988263116950096607925695531278e-335892582069', 79, 2);
    T('9.4062E+545737280', '1.43976204884403237742E+5616795645168', '6.533162898377634543e-5616249907888', 19, 6);
    T('7.8396395823269990959119529177377E+243', '-4.728386769044725E+269889375', '-1.65799456881376052442417226429787196950835509711742424052989375938e-269889132', 66, 2);
    T('-8.3764186577991894091311689564412055492854101919E+8250', '2.76825671E+4701910', '-3.025882183375684623241162109001518702824858389632513525091392264700769e-4693660', 71, 1);
    T('-2.86734082567479717522914E+195403502846196', '3.542850519843526971737969924732571476806330E+540', '-8.09331584726706375170306512127993464456720885495936813e+195403502845655', 54, 5);
    T('0.072421927820760014135764022', '689.68832583815678547153593674661', '1.0500674740687816670869914450346210609310804455831628438902460773602145e-4', 71, 0);
    T('-4.26134365285342221102317801878807820418303062344127713E+545616', '1.4694327061919645505755427464797053374250324751585428047E-85', '-2.89999238134333895577937815460319125509816496901154359387558044345319317728e+545701', 75, 0);
    T('2.0972163106E+721', '6.8888253671227730116412727785550214368738834522340196243130E+2959929543045', '3.0443743291e-2959929542325', 11, 1);
    T('-4.59370777374733E+8173308', '8.544235334E+4160', '-5.37638254820490411365815968757585253093638630810680805154892284477893806103e+8169147', 75, 0);
    T('-1.17959828872239612E+2438799725952', '9.44489038925388822551238211910390230784761E+50', '-1.2489274518892326369639716244231689e+2438799725901', 35, 5);
    T('3.7259353314590938215222376448317002681730366436159280899E+618909604317', '-5.37055083553983295666373710105800437639746533000527869E-238005', '-6.93771541422263267538e+618909842321', 21, 6);
    T('-9.48414213730E+237', '9.626796125884475368571018051707E-723315320', '-9.851815716548823418966061e+723315556', 25, 6);
    T('8.4927535918419547324838317774137E+5519559', '-2.80278703130632015E+326', '-3.030110207083290488985264315051756241419435472e+5519233', 46, 0);
    T('7.0236655E+125', '6.2564547328084648554112527337726074482475375779714224E+7478171', '1.12262707874610343478159676224167446332e-7478046', 39, 1);
    T('-1.0804713962E+53307022468', '5.92409E+60023326851', '-1.82386053587977225194080441046641762701106836661833294227e-6716304384', 57, 1);
    T('-8.3956430675297560160442010E+19887214543', '8.4657770310318875E+4215856729511', '-9.9171559051873789955377514185182879229602991529409916797465669194532890299e-4195969514969', 74, 2);
    T('8.74E+57767467', '5.53210166E-38', '1.579869737968625833242551077776108691393787582710473906946e+57767505', 58, 2);
    T('4.628012731E-210116502099594', '-9.1862779485179459540298483339342900E+714900', '-5.03796288000043948917875808758048096550125e-210116502814495', 42, 1);
    T('9E+681795', '6.67702078927043827428E+879929185114741', '1.347906541561537e-879929184432946', 16, 5);
    T('4.625778185039630901096791E+5798874289', '5.471957376537087505367127871545E+35', '8.453607853150057479133328720563961752124370415633995628126967943343406474e+5798874253', 73, 3);
    T('-3.60838575047668264867915086110712E+81469971943', '5.98131389936973338387151925578705807596448795890349462517E-47', '-6.0327643912099441036759154682532480929038e+81469971989', 41, 0);
    T('4.97772135089967980551239122126155575E+66510', '1.0738105110785115066055672052107809203677961268851620653E-99077795', '4.635567727773652235401461779569728743475757870880895626865785213947176743958e+99144305', 76, 6);
    T('3.641035099304462435756912206746E+36', '-4.0779824E-25980', '-8.9285208766581788968900704592e+26015', 29, 1);
    T('5.614102125714048445E+205241509477570', '5.064671555477E+55023971005', '1.108482961672586105592424033829063123889686641270189824207488901e+205186485506565', 64, 2);
    T('4.6817700718332456041445310649879871919545808E+511922', '-4.53365322661845370068241765419067629294183573464557971E+3949', '-1.0326705281174027522423164482e+507973', 29, 5);
    T('-2.450479214791385E+63183900751767', '-2.3850328510829613256032092064068954456958604941E-79927135', '1.027440445392065242740727e+63183980678902', 25, 6);
    T('-6.79E+214742', '-9.116081078917420435011225815339633966E-707', '7.4483760524060037986e+215448', 20, 6);
    T('-1.82864E+4517', '-5.580998685E-8413613', '3.2765461939900098722205665597643838183416450670602514216503528884096127e+8418129', 71, 5);
    T('6.62367873175459645438322561651173151236E+1343325370161852', '4.615355168482071784E-75', '1.4351395483032858918e+1343325370161927', 20, 2);
    T('1.208E+6312703384742', '7.4290467451657495236266030630392173E+529527048208', '1.626049803477240473290428308199137741882796011530409208924e+5783176336533', 58, 0);
    T('-8.76144968007942427589E+789689301134733', '4.853813E+922492200316', '-1.805065353790808231773659182996955178e+788766808934417', 37, 3);
    T('-1.2403925400933895509248631544276857E+2427347304', '-9.165014419383918802472229385883162808647576701901533507220E-3072780026242630', '1.3533994419801141412930975802306010218787529836296779652381663387245347e+3072782453589933', 71, 4);
    T('3.81864151828435475022087E+5297781715', '1.9952887705822855059074025E+24982794396075', '1.9138290028916264892584242769202836935677713606384e-24977496614360', 50, 1);
    T('8.31451036777502193327429281E-3948005', '7.67250019753657218733555364022157389588E+3253967275', '1.08367678771055378689456e-3257915280', 24, 1);
    T('-2.975649909E+88377', '-5.406677473991844E+9876675374553', '5.503657141218423606609195986772763912506337e-9876675286177', 43, 5);
    T('-6.6208753E+128282604', '-8.74206502763974569E+6247200165078559', '7.5735827622727694759319365931558157959210160135229122707059606453974902948062156e-6247200036795956', 80, 3);
    T('82819.845392959136759250356116587425539042349', '2.1777440963757696819800807580289748466862342E+3733000669128', '3.803010901546651456923095788703847973958260219597245842144980569056302189379e-3733000669124', 76, 4);
    T('-6.27202997105436033242487159458932383080360E-5855385568', '9.51292811947164701255761360678807E-617025872', '-6.593164472899131e-5238359697', 16, 4);
    T('1.0742722804111253084624E+3048624122693', '-4E+290893566', '-2.685680701027813271156e+3048333229126', 24, 4);
    T('-9.7684258E-3607981453584', '-5.5032163E+753', '1.775039407409808696779735879180325875979106981493713e-3607981454337', 53, 5);
    T('8.5943256480836928189043432E-3169927673', '-9.740358882552953140E+61580', '-8.8234178552475631031325100722068789497289879791050859092905842e-3169989254', 62, 4);
    T('-9.894260744067392260160093E-2689580657', '8.713020022643212144301102771010138108814464525E+63', '-1.13557190484520828755608691542e-2689580720', 30, 4);
    T('3.2125943136152554579947056315643058748832235681829770719E+520815025113969', '4.54363769132363212801968085764772085E+36528', '7.07053363816818085559629445318626737718818538662610288730114144342599770151e+520815025077440', 75, 5);
    T('-5.3262513648245E+72740', '-6.59187059943727385329917312400031495811695574848210189084621E+6639536979', '8.0800302197667296853180897e-6639464240', 27, 6);
    T('7.066589404823868368315885572317143439736415E+616180154418', '-5.78230198557617523497334396727461E+788', '-1.22210659741592877259372141430612750394003663522737561328767e+616180153630', 61, 4);
    T('-1.44924651423715117347445289809E+13371', '9.0546279110971361780860275E+55', '-1.6006e+13315', 5, 4);
    T('-573085415793649.58303783314607480422924015991408', '3.943121748939817603421233036863703704173510E+4549287750', '-1.4533799671484512714042740697075e-4549287736', 32, 0);
    T('4.5223231967038709681800508260848282894467982271418251E+2403169134549', '-3.1381846111783914649E-804345474', '-1.441063467265469152235508998495874253526503996500873179856564136123e+2403973480023', 67, 6);
    T('-6.78890085402064039825990373931053088540989389929195105636E-1908296137', '-1.49884138550789181807399760316839E+49214284490', '4.529432480088e-51122580627', 13, 1);
    T('3.77383512032162582679797590901808E+71962759779', '3.64746035700057E+102681', '1.034647330183727635733e+71962657098', 22, 0);
    T('872659.45991500041968592252', '1.0757886169613767E+29271', '8e-29266', 1, 5);
    T('8.1814011149994742585528697215385783095E+22204', '8.54411748962157345E-1373018908056', '9.575478245631938025073113091e+1373018930259', 28, 6);
    T('-3.50599439E+99657028', '-2.0927624504E+889852917', '1.675294962087016620144915803483588726759964805989334373619073e-790195889', 61, 4);
    T('-1.39531814354518E+1442616', '2.472578892901509264317353348860349003798215542601E+75294', '-5.643169354680566668302565407e+1367321', 29, 1);
    T('17.43', '8.01210929952949822904464564692101E+428891603', '2.175457092306960467272683198e-428891603', 28, 6);
    T('6.86701906711258245301227063681114074511045980', '6.287579584123925320418183793206840993726766E-241377775977766', '1.0921562065714024440038326616035338960187885e+241377775977766', 44, 0);
    T('-3.29557084113950618867399932602023120E+8905411', '1.184236565898138241872008924155E+4357986946', '-2.782865295702221831518415898511715335574633226160539667678617068378929269e-4349081535', 73, 1);
    T('-7.50393390476487E+18', '-4.59377508E+97746369302', '1.633500503199401308084940022792757193501950905267220875776965554e-97746369284', 64, 3);
    T('-6.668124790646837227998509388968485459022898983754579596174E-56685978202', '-6.3125047310212025717945298375353036025E-962628', '1.05633580880787781736287899752097267677496485837025e-56685015574', 52, 6);
    T('8.23905981373831021475716570693299224E-2881', '3.18543582650307344343562683796958629410337001997677005047E+53403170', '2.5e-53406051', 2, 3);
    T('7.85915899861623484415311610065827870378E-1491392233', '-3.316151085637295425519328936E+876', '-2.369964092605831187359894558622110637386868004160342628804359405493575157e-1491393109', 73, 1);
    T('-4.28771613240585963758627825423592126714217E+877036503471455', '9.2947648249674685649483852460996408385E+91783635674730', '-4.61304423850322273483642183202304e+785252867796724', 33, 1);
    T('-2.2458531352331823035713401E+93', '-2.7460814343630670110580045583298787153994226109600209458E-97', '8.17839233436313257402711162008025180705185714103096972264217381414166e+189', 69, 5);
    T('5.9130856747435648232632425E+589441995011', '-6.86723107542389007062447061382926846684645495107E+81112567410', '-8.610582066919265272017691277519665e+508329427600', 34, 0);
    T('-6.99E+9454651081857', '-3.2498554207755649638102165888104106805778957190E+74901600', '2.15086491396342318848e+9454576180257', 21, 6);
    T('8.69003260346663008E-27789448084214', '-8.12934001382631201444941207917082482718390007688426593053E+26489', '-1.06897147722775734577494882754071528960584776543067895832933547523706074817e-27789448110703', 75, 5);
    T('9150790914.39402279760799191960459334800995875671392163150', '7.760484262490479E-1277833408', '1.1791520483616533207627831615452072191469160491255386292e+1277833417', 56, 3);
    T('1.29433049324146E+149032483425', '4.1E-873', '3.15690364205234147e+149032484297', 18, 0);
    T('4.3769E-83496673', '-6.2425811706266016030076142542330E+178', '-7.01136257642071940737731423358449588676549166521684083106972447e-83496852', 63, 5);
    T('1.7622142635601094705744435391561806841158705137879572E+398', '-1.8570480402776999519633098920964334000350690629915E-863', '-9.4893305146e+1260', 11, 6);
    T('-4.4083296699967684481743255613961570156741997089E-91', '9.682188498875661E-82630886279187', '-4.55303020645454629509001541757184163490716008482481842432750111427700032e+82630886279095', 72, 4);
    T('-8.35814120535782456160531356961196829561973162200147210E+1331312333', '6.7348365317994864687256866472461976660399635598440E+197538029337', '-1.2410310429798369571554502023905768307728e-196206717004', 41, 1);
    T('9.79758259280198883E-412258', '-9.246659374683627866089207385710011E+9446444349', '-1.05958e-9446856607', 6, 2);
    T('-6.04692889385E+35', '-3.73987457273E+976757', '1.617e-976722', 4, 5);
    T('-7.00148451182225200066489619503293930279676113E+421050', '-8.65474532985550046846339079626668560766138195243E-2256300650002', '8.0897e+2256301071051', 5, 1);
    T('-1.21621762576636849792323419607603947E+208039', '-7.0210820472834644095147862001546531909909325E+68046135709', '1.73223674e-68045927671', 9, 5);
    T('8.45534419926245233878973910934293903063078890679792906E+562257', '-3.1830486789716814207949435467776219E+443766616274', '-2.65636660071251045632207967454371259956699302686e-443766054017', 48, 6);
    T('8.663819198852337728E-482385869209', '6.7875435621952101826246E-7223585', '1.2764292589011845e-482378645624', 17, 0);
    T('-3.357747090619635722698113887E+93650314543065', '-9.31111445375514758424570056E+8843', '3.6061709984302311861120931882799112180916892020928747e+93650314534221', 53, 3);
    T('-7.206934899222012782563184183693127122E+846759', '9.622743166921085E-1220278160836', '-7.4894806753196970359423805380799543665262805406884057003189915372954558267663e+1220279007594', 77, 6);
    T('9E-246', '-6.617815788965466507670091009377786541232E+874949', '-1.35996532496516190836490305437265642688852606017431584e-875195', 54, 4);
    T('7.52759090996E+34', '6.072330863792368330062921806321080710891E+503165137507753', '1.2396542742499334744924318074095495849949801246249703700657668724372498e-503165137507719', 71, 4);
    T('400198617.0004943600717907062234686856474', '3.4532343792331417917643043111156E+8733860069', '1.158909512216098946855e-8733860061', 22, 1);
    T('-6E+4', '-2.2802510010512799607181257041146640729616431872580135156184E+35174041', '2.631289273520230148301931203286951093520967941334e-35174037', 49, 6);
    T('2.02900102721333940503965005E-99078891900', '6.4292624885993466384846144806742053E-1299', '3.1558845681154e-99078890602', 14, 2);
    T('-7.02355883573076739862842941827302707243E+827', '-8.26355931102193257700403181610744172276871E+853', '8.499e-27', 4, 3);
    T('6.30539E+6321805', '1.440733065666398777E+29754808', '4.376515088229404728544824223534921195e-23433003', 38, 5);
    T('-6.368404448426717751E-622021645', '-6.2461506991472573736356654606914234527158413E+88', '1.01957265445038827099148924060953042282288410913650153134465869e-622021733', 63, 5);
    T('2.604543573616E+93913', '8.92143883242655305632E+279931334', '2.9194209841458802097997540282606862919599035153104298403883316831790420938766897e-279837422', 80, 3);
    T('-3.3967770E-9774419', '-4.06403424693426977545534537429740726521393157911E-6578671042', '8.35814068880542e+6568896622', 15, 0);
    T('2.261604082295223730040072782021968300356162939478632836E-279524312', '-8.4740080311732175836603170789686869697275050937257142402356E+614', '-2.6689e-279524927', 5, 3);
    T('1.49570751460356315583765590013513918897753138E+8597147', '1.488471457215853158897380670650192101601129E+4733422070', '1.00486140150866235123779197122247618955839783508147324e-4724824923', 54, 1);
    T('-3.9E+217661594', '728055346346658069119.2302475', '-5.356735610238956169373889760777000267084189986271940519172863152e+217661573', 64, 3);
    T('-8.242788608700030995443612793334361771933342E+401305419', '-9.745791E+679624541', '8.4577933270886180459273267745371943354144799534486220769560931e-278319123', 62, 5);
    T('-5.0156858871434025E-57454980868531', '4.16852343071389576767445291531471414421307E+944394', '-1.203228426206644307858786304458977449777506427694193894257e-57454981812925', 58, 0);
    T('8.2012272025072367552107975448914209496612520121E+15613267586', '625026319.094442094169234574112447465593', '1.312141097416415071691654452312296436264980048401240205496228488225533e+15613267578', 71, 3);
    T('-7.65294949601571893866301141295660089897913E+8520505173923', '-7.2164007092363149155403449290071752351533785E+92701808', '1.060493978143517251e+8520412472115', 20, 4);
    T('-1.1965488149925016814113522373256827920251676944236E-12524727925016', '2.875988374764735083515850096822977801500471546E+3267342', '-4.16047862185946126072897621239891608709779564802e-12524731192359', 48, 6);
    T('-9.58654930855837686971635113759579733470E+80111571516', '-5.165379343902299775732068292442789919272E+86400', '1.85e+80111485116', 3, 3);
    T('2.8182853E+18', '-7.6926020E+47967568261', '-3.6636307194886723633953764928953818226914638245940710308423e-47967568244', 59, 2);
    T('-4.7432724938500E+26', '-6.2538148429464772706787336638866E+92334356111', '7.58460653692013197370638615679447226272082709210270257279904e-92334356086', 60, 2);
    T('9.438908925120580114365630E+922648905', '2.82764913230002E+1987183', '3.338e+920661722', 4, 3);
    T('913927974605495948435.834234302057782945336338651986535', '5.79843036540879983085452343546E+219433048727464', '1.5761644393586890524207572332891919407808554203e-219433048727444', 47, 4);
    T('7.38879261905059533172E+293029142053490', '-7.02423E+2150061', '-1.051900723503e+293029139903429', 13, 6);
    T('4.5616420860499952860031212670584630396E+64812', '-5.2E+23', '-8.772388627019221703852156282804736614615384615384615e+64788', 52, 1);
    T('2.6174708178590334563446947909322351561901460E-8564', '1.0856603053532420290494100399695E+7046258377945', '2.41094825421233873250399e-7046258386509', 24, 4);
    T('7.9497705590590402272034705327477920081335574163643969E+10625286151', '2.319915629314331350045E-60692268577', '3.4267498604717168864311661e+71317554728', 26, 1);
    T('1.74362737388370737191498452757860714119320E+43925', '8.4075784416259659380181786624335670450902253354949431818E-941813583750628', '2.0738758323692811429825085297e+941813583794552', 29, 2);
    T('3.9815779581466797215115746285314491892735830309667E-464', '9.49521E+84619', '4.19324897305765719927371235447288600175624e-85084', 42, 0);
    T('7.728871013898355103018083625553985076474811E+1525416458791', '7.39574288216801654580476828E+315', '1.04504322784578526261140095593699130699544714475e+1525416458476', 48, 4);
    T('-2.409E-9769739', '-1.2073154E+6326', '1.99533609858699723369717639649093e-9776065', 33, 4);
    T('7.8848681263458744037378346231712634859E+901232006', '-5.387188699805115904083561E+546554', '-1.4636331797011515918715073873657136277917485780573101145393474e+900685452', 63, 0);
    T('-1.136573420621104179506033357E+909', '-6.90845340915029679570964604647E+76351471', '1.6451922786592212027251440539896501607642168220767e-76350563', 51, 4);
    T('3.7868721404677141159256502034118E+31904', '-5.99504182858280265546408342086672961214087112266331380505726E+2357786421871', '-6.32e-2357786389968', 3, 6);
    T('-8.4274331962782163534E+26', '5.012763862234508767039778015986627780950197512856890484604E+94353205052328', '-1.681194931157513480123458293504220850722e-94353205052302', 40, 4);
    T('1.06E+1268800519', '-9.96230516543365134993787657473691990429697137016095E+3095202456', '-1.064010770998961894659834917774622399547235143377656e-1826401938', 52, 6);
    T('9.2758944681125137393535E+346034759', '4.121687865793457091952465742623433440815770086E+22384918280', '2.2505087163670584352e-22038883521', 20, 0);
    T('-2.035E+2581', '2.23300076206885108220712642735836923E+21370083312', '-9.1132973824630247093225345686140271342189273946605878079873985e-21370080732', 62, 2);
    T('-3.74738634236084986076265197766846057724461E+485', '1.4943119742157872183E+167444513', '-2.51e-167444028', 3, 4);
    T('5.977153937089511896687857370E+54430506833', '-3.2161456491781220337068970228852737904043E+5568878489916', '-1.85848359778636226143103996654945448274958337053218386548024e-5514447983083', 60, 1);
    T('3.539588282E-889', '-1.06061650895674210236904885603775815791448141E+10630', '-3.3372932177735546528051601071076405183431744845078108465966e-11519', 60, 3);
    T('-6.87E+5918704', '-2.0012323258945922374546674370013495599031113618786E+18478266729003', '3.43288478359401271440113797879005455658449277841064990259414e-18478260810299', 60, 6);
    T('-6.54586678575912794689669304E+41343844239091', '-9.94E-857572949504', '6.585379060119847029071119e+42201417188594', 25, 3);
    T('-9.95519949500801247957775735E+89', '81297330.4161495237665544958982116616451975493967755651026', '-1.225e+82', 4, 6);
    T('-6.4964846248464563416826328117265617691044E+966094', '7.8639722948826809738166759E+141236531673650', '-8.2610726249301650690025545296227649e-141236530707557', 35, 2);
    T('1.559537802014587420002831422167E+69', '7.05189235180633740292344E+96986961430', '2.21151674502676275061047580387899504e-96986961362', 36, 4);
    T('8.622790684531E+6076585073', '6.951458174294631687317622555151815190E+16600791707', '1.24042905363606814027410467078840715227236474475566911395080498953773502641e-10524206634', 75, 0);
    T('-9.91670009480097462E+887071', '1.6E+778076', '-6.1979375592506091375e+108995', 37, 5);
    T('-1.9142080280866436963877272801463083E-248098978144828', '5.379170058022034460187133373645231448228625E+2518272947214', '-3.558556445398035804867926881315904953166e-250617251092043', 40, 6);
    T('1.9185849675280267562239021038411', '-7.7594512941923897635869907684354979595469264893584680E+437', '-2.4725781434622880742278361e-438', 26, 6);
    T('7.6173607983579731931351581825989400099649861944796735E+67570056064', '-7.572590421808398204E-51666', '-1.005912161368273691360560057407944808e+67570107730', 37, 2);
    T('-3.59624645375723558E-44011123399', '2.469787100842847186105734464232999153040784767282018E-424541', '-1.4560957308e-44010698858', 11, 2);
    T('8.2330638406600953239336370605963113258870405341269201E-15235', '205.83675499774434486196039353249815156699747916629775', '3.9998025817839564544150959370350064168776316666702988989143145783224195192269e-15237', 77, 1);
    T('-39662.553708989714944309767', '-6.8094039187944818400E+3526823', '5.824673375523810089176237260851633171795351633988206151e-3526820', 57, 5);
    T('1.60220184772012297941933634151E+81842787043', '88174899128849257.34234', '1.817072504249580770511449162015039954899182509e+81842787026', 46, 0);
    T('9.27454E+38711549', '-2.86578E+53240397722616', '-3.23630565e-53240359011067', 9, 4);
    T('-6.94222664691780569921E+844170838765495', '7.3960543772E+29548389', '-9.39e+844170809217105', 3, 0);
    T('7.3073200350886201284086286013E+8302672524', '-9.211618982080300149935408310103181276155292E+297447625896', '-7.9327206751645041742864026425943942537702265477040447411458887528869238864995e-289144953373', 77, 5);
    T('-9.3422651723062355523547956884E-223', '1.8936486678723949103869151862923613232533078181023E-1355', '-4.93347331572477934270731302552e+1132', 31, 4);
    T('8.7430993676312997904600236438207814017326638793396E+73876105483', '55.86669344018586126495467476602134477', '2e+73876105482', 1, 0);
    T('-1.8649288026105728705494691E+59191', '-3.250523782976289765940272629583420E+941718013', '5.73731782052362293203204383658259e-941658823', 33, 1);
    T('1.673828E+9', '7.88722804273304842445034855032E+95217215405847', '2.122200589270641022714270764831941026666485849658557177355480012696e-95217215405839', 67, 5);
    T('-9.3657463681670706871765093762767761635573667608503250E-435389473', '9.4876375E+81509757429', '-9.87152636066362220012780776697758126147e-81945146903', 39, 5);
    T('-2.02293458424524102938792741897055396604835671E-817797647', '1.8871637085946178324431670991047220E+5341880851', '-1.0719444079134674462777700199424085753519763703668305104441840052427494e-6159678498', 71, 5);
    T('-5.409336116032878095E-777', '-3.84864765525291E-5326672742718687', '1.4055160670917299199923331474558533011972851387442e+5326672742717910', 50, 4);
    T('9.269E+4666', '4.792400783937390506743959409493074226183E-9958104483074', '1.9341036816175208378420788290057998130597788e+9958104487740', 44, 6);
    T('3.509752676922228105994277E+8389222327146', '-9.44914231330624854984553694E+2475170506112238', '-3.714361114002703597038817179146124306133416559264214737163001331532e-2466781283785093', 67, 4);
    T('-1.76996004432410688436150726207910579049316617822423E+92', '69905.17162928356470677261518217212174857276590125', '-2.531944351285539683752571060856865640382586649e+87', 46, 5);
    T('-3.874450E+8614714911122', '-0.00005145180138145835391938047652353', '7.530251411948100549467392044506747418516446243073674502e+8614714911126', 55, 6);
    T('-3.2242930956717788471381749792629747311986007994813E+7944033334736213', '4.824460611660569660078545268417397897886322509369111111685E-6526716', '-6.683219856492897419688e+7944033341262928', 23, 5);
    T('2.6965805255243918828036511E+7227751380862757', '-2.19309123854718E+40930944', '-1.22957972661034836e+7227751339931813', 18, 2);
    T('-1.121083682045613154017167903527315763548201374268604E+9603434151305', '-1.48919401343591222E+89944563433816', '7.52812374969877776698109817581020884e-80341129282512', 36, 1);
    T('-5547198326885824623246532096265176073886.52984748319', '-9.5248887617954720247391901E+450', '5.823898279143955041563723109e-412', 28, 6);
    T('4.8484223926580765E-308', '-8.35087513697018082976824554776196116234921082243932E-764081216', '-5.805885387022029e+764080907', 16, 2);
    T('-1.662610E+2044690838524719', '7.737906501703113E+7383', '-2.1486560992099e+2044690838517335', 14, 0);
    T('-2.338859E+86681051658831', '3.4977552955883641610969428871738671970033538066521E-99', '-6.68674278886789883011433091497e+86681051658929', 30, 1);
    T('-9.3308571E+55483951', '9.95125898424252982464647095652294385093303431453218E+984', '-9.37655940296105800679e+55482966', 21, 0);
    T('-3.12913760461192095426318233817802693E+414694461', '-8.32024022656817135258784E+773812798597573', '3.7608741086825428174108438121394831e-773812383903113', 35, 1);
    T('-8.2761403583203379194818210123911608135039848402E+2450076438647', '-2.0376729847698101329313709981254918504680941E+749519', '4.0615645494535861077881434651762079628895108e+2450075689128', 44, 2);
    T('8.6447878139031998755E-1558026', '6.643550268665E-884608359', '1.30123013513982819699679500475740681515925943286910830327475787804519e+883050333', 69, 3);
    T('6.686907157237623239321299256705572113773796945700648E-40151333', '2.9709E-90083587808', '2.2508018301651429665492945762918886915661237152716846746777070921269648928e+90043436475', 74, 2);
    T('-6.385421214814E+27313028600352', '3.664770418559426485537993311364309877545E+8339398', '-1.742379599681451779301365704519337326082716618408083364381449179e+27313020260954', 64, 1);
    T('4.115661726525145820206113134370869949320E-618176514', '-1.288478266588299651490160487086538', '-3.19420345165992659654680634498000559534179621320854859238964437864246e-618176514', 69, 6);
    T('3.98994600795101623774909785028469912442424358298E+3991702175247285', '8.14160292839069571557556E+7711128936181352', '4.90068852908267063129464e-3719426760934068', 24, 1);
    T('2.69755487977288718026452385512376367326680974E-35219', '6.8410774298800283727505669525286171500399275332900E-5796', '3.94317255932622014352977682256628819611404711957e-29424', 48, 1);
    T('-4.1802336728821420696080788183818447E+2550254999921491', '-1.60439860430E+784638042', '2.6054832394384812726853597016569311285083371098766543597896347284923900254479921e+2550254215283449', 80, 6);
    T('9.1168573762998435609299611484548943573342139726819261011460E+6417', '2.1813820735871E+59787763', '4.17939502056507e-59781346', 15, 4);
    T('-9.105486530E+320087', '-2.23454306405889338948918E+2197195699447', '4e-2197195379360', 2, 1);
    T('-7.0E-18220548155364', '5.9584E+826647838', '-1.17481203007518796992481203007518796992481203007518796992481203007518797e-18221374803202', 73, 4);
    T('7.70051443344E+83133', '-0.00000226124299254446', '-3.40543429380626124429e+83139', 21, 1);
    T('-4.3661677E+5434560', '-8.16249038434861198521818064355743899423022859760375321787E+938976726', '5e-933542167', 1, 4);
    T('-6.56355866647824577850853229451457604374509482373446E+70731518455898', '-3.86691332014204844424E+2985', '1.6973637946032723309597e+70731518452913', 23, 3);
    T('7.35717989183693262142011425868316710583449846733E+86', '-84378224.5475778935231844270835437301179', '-8.7192873887604489137067e+78', 23, 6);
    T('8.495322212773743531757993260651206E+5906', '-693620504457893616.95198661033363285017573577439', '-1.224779567239e+5889', 13, 0);
    T('-9.9188390264587948103743556692473570782043434E+34178', '7.429911775256538296997077545427380022202043996584667960E+129', '-1.33498745698313751533711074968235595122163068526997084202490471937732637e+34049', 72, 2);
    T('4.87654524802564E-56537', '-3.1604924044003554252118123456562208864134171E+96850805', '-1.54297008948226649613e-96907342', 21, 5);
    T('-4.24935280910327595399834272301966682573165643679950584E-56', '-8.9169929351044240537579528041891087818751435488626665E+879482718231138', '4.7655e-879482718231195', 5, 5);
    T('-8.26197804064E+91108', '8E+8688119981', '-1.03274725508e-8688028873', 60, 6);
    T('1.21247408682825476E-289', '9.1E+433374467374', '1.332389106e-433374467664', 10, 5);
    T('-6.2655868951048455571343326665713863834125266084E+8976', '-4.6578713022695303026803160834760055E+57530472196', '1e-57530463220', 1, 6);
    T('3.3497109332E+50371528', '-3.75159064663237997772045E+1395056', '-8.928775148234448756723068034078438480695e+48976471', 40, 0);
    T('-1.796282551851870490482131595238748351083356755389480858E+845402012', '-5E+780101206316', '3.5925651037037409809642631904775e-779255804305', 33, 6);
    T('-3167415.2598472102816935057183209694997621857099583011750405', '3.863696540858507461297588592788', '-8.1978882822495564208414103593728425297143484470657e+5', 52, 2);
    T('1.00759332181285E+104745789122665', '-2.904854757793E+806122310453785', '-3.46865301650531305992979350308896485458617057813647057037274749971067529e-701376521331121', 72, 3);
    T('-4.31803185137E+5001', '3.948820160812064E-36103617044', '-1.0934992416777999410857340914e+36103622045', 29, 4);
    T('750.14482799', '1.9009691875440610222306294356527791557327895E+61841', '3.946117764060881190623207717e-61839', 28, 2);
    T('6.95557083005268902772879674005E+3236623233782', '5.58326685951E+90057458377', '1.245788712070109702161567554753986468386262e+3146565775405', 43, 2);
    T('-3.37319712993537611233633868723102259E+7726738820791', '6.289266140159687722909396160426372556442909877159645E+497730287533621', '-5.36341928416107525557303911134922237991659208359696203236798115122918282e-490003548712831', 72, 4);
    T('-212186517741984944350.5892', '-9.2784187881E-104697', '2.286882308159273e+104716', 16, 5);
    T('5.69358275741090349505992607711577703242E+404158391294', '-7.5022350789948876932742210552554044570448E+25514368', '-7.5891820203715897419275159305955034e+404132876925', 35, 0);
    T('4.049627164088E+1056', '7.3E+43', '5.54743447135342465753424657534246575342465753424657534e+1012', 54, 6);
    T('-6.491239879165022586172808435895303945248455105E+319048955', '-2.02398940198904454767257428173422608923944341932164E-5674684363', '3.207151120843743616293926635843651069e+5993733318', 37, 0);
    T('-8.49855654999733885931601402269802729E+62', '-4.163366788020722272909255896374651760934359360254913928168E+815323490626', '2.04127019854466858017800963255153121658020337966227027998398956228723894115e-815323490564', 75, 4);
    T('5.8225034044392798342660057994E+953782337647', '5.15885845876754309850215586579440E-341391', '1.12864182085551582194377158938400778e+953782679038', 36, 0);
    T('-6.93345686180542799390708660537977312583498441106000E+5332269827571325', '8.469E+303', '-8.18686605479445978735044e+5332269827571021', 24, 5);
    T('6.98905429017600722992E-800438823', '2.355697582179724292105342057849217106914318863289430805524E-512794555966829', '2.9668724640405850603591925493698427717513e+512793755528006', 41, 3);
    T('-8.3598134376133548065081831048507206248532861218018E-49691', '-4.706910117069279108092915001061429011505882E+97058897', '1.7760724614853124654362488493425237482225808855496e-97108588', 50, 1);
    T('69.3768444', '-2.1468970111300411932275788910312667224587567291035243E+556097046', '-3.2314938276188101166203979598024332632773561125919507e-556097045', 53, 3);
    T('2.6837323958325697100407978054315559437991447099944659518E+334879369', '-1.123652817201019201810281E+2506', '-2.3884000064340651647596519318976055213719684976726763469128e+334876863', 59, 6);
    T('1.6505240233420E-355030740', '9.12640127490801252825618134408409751770116569862487E+358548330046', '1.80851572665331448395071511143348629997695783029220863999461792011975828988e-358903360787', 75, 4);
    T('-5.031837918997397798589614022471733552704087628119E-648', '8.4705839696004206739493148612069514369E+83912', '-5.9403672014301070565666297237089111523239427044e-84561', 47, 2);
    T('-6.473E+3242277528', '-2E+4612550769320', '3.2365e-4609308491792', 56, 4);
    T('8.2660526924340566547526744E-88421217132530', '-8.6762504259400205394043457780671236396195738584451E+559', '-9.527217734195908273821552045081658853987e-88421217133090', 40, 0);
    T('1.829787252154286309502691384565055818481016E+2836328955', '-9619.2322309107576462768755436476089219013658', '-1.90221756604896978372104725472126460198957975804855485e+2836328951', 54, 3);
    T('-1.40E+498405', '2.6309928601372171159022609424548183579420240188701470E+38644136226', '-5.321185097883482028030413776405e-38643637822', 31, 4);
    T('5.989788245725050738082709736E+163144', '-2.70589960717652E-9638', '-2.213603279973537276581518397751047965035971496488653842152623079110126e+172782', 70, 0);
    T('5.6036963640473140E+8703911173024588', '8.10687594150832853529544743710292892841659854924E+52264995426', '6.9122759549774431275274866280936774518e+8703858908029161', 38, 3);
    T('-8.592911671761684471019640264116360026456809128668919940E+60', '-4.32693565477396855326450E+519212983964695', '1.985911591e-519212983964635', 10, 5);
    T('9.52958860825E-4991097389932', '8.876298368425224973367819853762166E+947191301', '1.0735994006407738099430705841979434675453497655657129264327037985e-4992044581233', 65, 4);
    T('4.36295742616390653825838572414487443820842731874238730934E+9876492232', '-1.8831845101571846492239E+34975319', '-2.3167976385913144082273967531510829341828648383e+9841516913', 47, 0);
    T('1.8447259989623198850115155379E+475920473681809', '-8.282144569716388114091935663937831311392573487286150843032E+6380094904', '-2.227353052623048169026668190068752312651972639963588e+475914093586904', 52, 0);
    T('-4.7803945E-2035090673557', '2.9646768188177328856439601121104562173965077E-389162372126', '-1.61245045991432791392249689833582988e-1645928301431', 36, 2);
    T('9.3212962079528391089123306773289077899779525345251000E-5878181', '-7.0475705694252623794500101200E+46076168311736', '-1.32262546e-46076174189917', 9, 3);
    T('397004993319834459.4233875712056243743438656811662424493', '-5.0951030134384720466688813835994119E+103693', '-7.7918933586371668740883717200426282970720449166814511844416913668118216121e-103677', 74, 0);
    T('3.30803221470950201E+31117748419', '7.4691693656645045368578917505841172342072925689180560049E+50506163704900', '4.42891579071215577713844161771383387782214028187e-50475045956482', 48, 2);
    T('-5.81695804900576276941299526405849583079100660417899985287E+3159625', '-3.5900032421E-6567827', '1.6203211e+9727452', 8, 6);
    T('-2.260151502217673907190905879E-963353', '-8.7918257990297483369245741452287265366409534672608344791189E+632429970250774', '2.57074190717825706722788510580641988010731779357530183641832281e-632429971214128', 63, 6);
    T('-6.69533217143171021477000290E+371287025831912', '-1.40168217308789524942132570247645217139597539E-55921278728', '4.776640739235445912743899752042668e+371342947110640', 34, 4);
    T('-9.96038077729958849625995E+5752345', '1.663532228524224519773747148137E+9581489', '-5.987488914558498108865545080005513678914232500393126327776569852012359752362e-3829144', 76, 3);
    T('-8.74146534979E+59', '-7.2416399917015440702299974266782556822705617568E+8322072', '1.2071112841576162021185881565590860714740759358494474973927456889e-8322013', 65, 1);
    T('9.01E+5506286037409', '5.2512993326795386238662829614819351506794E+67614', '1.7157658379764345232310047768387585201127989439e+5506285969795', 47, 0);
    T('3.7708816235E+29360249555', '-4.565216491701398509262599883196662354920E+2779715178588', '-8.2600280410680810023227e-2750354929034', 23, 1);
    T('-9.6397297E+37', '-4.5122810664494203849881839404519719711310415517195E+2676526352659', '2.13633183705580119625639197363243134895e-2676526352622', 39, 4);
    T('-1.8012024347312069919075062176E+4195', '833.4662731318433143482', '-2.16109816653166557946628892573930002561587633749409522145252767758e+4192', 66, 3);
    T('6.4589522422083085986095322099353895135222E+696628449278812', '-8.79812060704843148795874654725602573751810276795353898E+5625187081753997', '-7.4e-4928558632475186', 2, 3);
    T('8.185105600387664048410210755445136033105555062054105388556E+18580795', '4.78281299457076471705939082462E+361034736959630', '1.7113580668278332534800996766695627973631410488189794216749344e-361034718378835', 62, 0);
    T('2.8396585010866702041090199350908580695131524751911839E-8710163455', '-9.88385518305663695446832071581570039318758644566E+89219651', '-2.873027223177596260524332687600261672e-8799383107', 37, 4);
    T('7.01100E+866988', '5.153268126053420E+785844432', '1.3604958695151974924912917581713882655983665072e-784977444', 47, 0);
    T('8.1341561E+541285682', '-6.774710363638798462473105458392E+64139796160130', '-1.20066477581e-64139254874448', 12, 2);
    T('7.34741802795776479131162688992E+4408', '-6.07374556631343254496551885720E-7', '-1.209701319842643706156393176369352741153e+4415', 40, 2);
    T('2.8468892202436795163639793613709590131339184E+71', '-1.323652817494007218112215E+281', '-2.1507824277014910568429890477871066336336024128688789469839983106851078857983806e-210', 80, 2);
    T('7.140E+149926022789', '-6.72556755081704E+8687536208', '-1.061620442594857832270571329957373248086941e+141238486581', 43, 6);
    T('4.20489668267678743531E+9936154011600', '3.6012566428940E-766949935', '1.167619278391027761811045395897925959609310785718024969e+9936920961535', 55, 2);
    T('-1.677809089127138662924625959504846E-813011204', '-5.2663036080764816495E+1345380', '3.185933083223735248771986e-814356585', 26, 4);
    T('6.582688611581596154868303591459872738720E+76831846818', '692709284.79103683939289753194163025668425866', '9.502815619928256832121217963396554676801814871673412158336730759752649390233563e+76831846809', 80, 1);
    T('-5.511663164408251854866048961603920550617395851547285821E+631128270418', '8.88884020837490476108E-22834344862026', '-6.2006550182050323409887119118057116249492026156290083729055033027587239466e+23465473132443', 74, 3);
    T('3.363549021551891319865274365223793417012585510095643649911E+932553915518543', '-4.281547797977835136689793458294524782763403510696E+94375583942236', '-7.8559184207647700204e+838178331576306', 20, 3);
    T('4.89621038344639327060534707704871899194040235732847916060E+547567212820', '-5.503536219E-3109907094198', '-8.8964807146050568593620571520194e+3657474307017', 32, 2);
    T('-1E+672874107792', '2.22993486E-98225596', '-4.48443592652746816111032050505726431847430736160606952e+672972333387', 54, 5);
    T('-1.764698492251861758823094038736010007174154E-42', '-6.043111537822961E-17200944', '2.92018189835959365199038040457806705274610412344686356307179e+17200901', 60, 5);
    T('4.035318383596865216297743978757746576E+8942', '34891.523492883569418038069876839784094848522191370', '1.1565325843166187918118190016958375234343168868817637134097316e+8938', 62, 3);
    T('-7.400258139483558921185734447116107702332203E+90501563127', '-4.00E+51198795559', '1.85006453487088973029643361177902692558305075e+39302767568', 72, 1);
    T('-4.18815865170689631391715323913322347716548612302E+393034581721755', '-0.06156849', '6.802438474139769083044189063485597059738653e+393034581721756', 43, 0);
    T('-3.836512444E+1034287870426042', '-9.297226741034160614120392560005928924915291692E+8461256', '4.1265127235e+1034287861964785', 11, 4);
    T('-4.525531396938673959E+48733514', '4.4630122581414337362201953702E-2868158840', '-1e+2916892354', 1, 1);
    T('-1.3320823706535708606111935E+121440624', '9E+853', '-1.48009152294841206734577055555555555555555555555556e+121439770', 51, 0);
    T('82118.0331591064882372', '3.190016376045902602692501915431671850286601071962E+2591671311535101', '2.574219799488730096419071447741863849775640297845080454274522634192367e-2591671311535097', 70, 3);
    T('-9.39765720778053E+889517722', '-5.77208607E-10', '1.6281214614286806710766875310991334541898125230138849956546127e+889517732', 62, 0);
    T('2.9373574152547317729773517409061800442508369590E+8638', '-7.541324345166226082420329016438344790122891853592687316E+19229731162017', '-3.895015359122558e-19229731153380', 17, 5);
    T('9.6461413161644184574720E-16428506', '-8.88765273955713505161551265854424464703163355333E-92539020', '-1.085341833e+76110514', 10, 5);
    T('7.408074976591132671734651912564823899884198994362308655799E+5613828234044901', '-4.2489813809855867307E+77646862453', '-1.7434943371940047870828e+5613750587182448', 24, 3);
    T('-5.43653079427787896142552E+853', '-2.125695171529209588141026125967493015087070043E+204054914', '2.55753076315588485645470280826526242539028999553e-204054061', 48, 5);
    T('-7.3E+53', '-3.57021750999226814423008908511250251851983598325346651E+13921362118', '2.04469334979420043068308876373625033201446076116931282385237945e-13921362065', 63, 4);
    T('-9.3803069386604E+112078781321', '-6.83551278248133062047374278171E-952638943598', '1.372290161273796111995050493542434607941604466e+1064717724919', 46, 6);
    T('7.35085863820634E+467', '-5.651956450462771764460567179391205199E+83', '-1.30058656725928333355005049968503e+384', 33, 5);
    T('5.5671115670476236944883E+36887551', '8.320994643167646031037054796249215692144355E+409714497994699', '6.6904400324530543298e-409714461107149', 20, 3);
    T('-1.3316439981639911973579E+19751290', '-7.4586239664741204907914882227E-96419', '1.785374895087374773824785159688616009389031510662344793270844698703911e+19847708', 70, 4);
    T('7.5263295863015356386741589575430256379777040871015417848E+13161540800611', '5.862343358992881804562362140E-944403668193', '1.283843187853554431388702385068975980651e+14105944468804', 40, 0);
    T('-8.39582343607460198336030913E+92', '6.41101211E+45835628', '-1.31e-45835536', 4, 5);
    T('3.242287927807092831627718990E+2456416', '9.6620270355404199987390501915150714740E+294510850', '3.35570156850191840503981e-292054435', 24, 6);
    T('-1.11157519749428118339588339177517990912053408278E+15633093221900', '-8.6670777385050244634E+93884089941', '1.28252593438260272613129714675371e+15539209131958', 33, 6);
    T('5.56136109713877927896E+9214836210', '16590.989460001960068594835339542147185179836', '3.352037026210082503849423841015647364393971649714453446228152633002548e+9214836206', 71, 0);
    T('2.974774189672515236668281489858288370055159240455786475709E+6564', '-13150.46395056290890587423298103', '-2.3e+6560', 2, 0);
    T('9.7E+8877', '5.5885E-60606', '1.7357072559720855327905520264829e+69483', 32, 1);
    T('6.87074125001754233659408247E-85922959649', '5.3194660619E+2609858055392615', '1.2916223489474544e-2609943978352264', 17, 0);
    T('-3.099814611032961669308246437305754325808774202108856084E+896078', '1.56669142513329311693285909E+6887685', '-1.978573802923081295370547181e-5991607', 28, 6);
    T('3.07960934281619814879125007267155311E-23094981', '-3.981116627532192981353280474754660545520710627062521850E+85844435', '-7.73554163552646419934163873431153655125252380349387328465830652657e-108939417', 66, 6);
    T('8.9168165470910168735070111624105300326796022700174948738E+74829', '9.1405166206314642487610479890414327377E+9850', '9.75526539382300990791207770015241970723006984829668919048188429477599084709e+64978', 75, 6);
    T('-4.8E+55453153525055', '-7.463267E+492314835206263', '6.431499770810825875585048746078627496510576400388730565314091000630152987960902e-436861681681209', 79, 6);
    T('3.905207821119263644077E-238197', '7.6896808591014575569216381086116925055765932995523588095271', '5.0785044173804487650931304456493297318120358059315104072944458616822e-238198', 68, 4);
    T('-88.354858844465078285600658326344389798985689', '-5.9685538469806097712231742750144726900278981465861780176E+7466226', '1.480339477697136029490860351649945668684742822738058918092567e-7466225', 61, 6);
    T('-4.817876280681763704745055512489E+692', '97.4444697180', '-4.94422751196089967e+690', 18, 5);
    T('-4.507858956743634017825457501927102645930165028826202356400E+92775263502', '1.2206840123288147633928152261831676372655E+9006', '-3.6928958774052947403e+92775254496', 20, 1);
    T('-7.8803175795773246311524256384399E+81733836', '6.70621995252214958533059689460168064532531722570670E+536311679347', '-1.175075919872506923533579091498332478e-536229945511', 37, 4);
    T('-3.2492990211264587612825790647724779514690370326E+46644572114820', '9.781253052712276596507394939273601268688838966657498E-4812284232', '-3.32196601357271877756189309707392e+46649384399051', 34, 1);
    T('-8.42998038376682689031982452327736061988194333137352515624746E+531', '1.22658939239651217961077838134491839325041694951098426960328E+127745540', '-6.87269956517096e-127745009', 15, 4);
    T('1.6217832191789997879109424625094313165879E+1068360027120', '-7.15372503689907322025086727935531652E-4253776409', '-2.2670471828506208842723068520159002721871944259654e+1072613803528', 50, 4);
    T('-0.0008716648309', '1.36550283553019237612903053160E-5903991595', '-6.3834714086e+5903991591', 11, 4);
    T('4.182529410482E+2673378989620', '6.229197914701574956648629984761646666081975E+78564774270', '6.71439480291801638159044149e+2594814215349', 27, 1);
    T('80513545.555610529372982868987301019905201669424869781', '-8.097325639969750755331E+905', '-9.94322683012e-899', 12, 1);
    T('-4.561544413629751E+24', '2.070520368E+8548474975574', '-2.203090819162495193575415240735270081631961999612650031173226304625272829e-8548474975550', 75, 0);
    T('5.5259165065971657048934042616991861079617654387003211691696E-13088316195', '-8.7669153670778816E-22696397014811', '-6.3031480004340684993889295598295071602475567324764019e+22683308698615', 53, 0);
    T('-7.20074999579459E+84474705051878', '3.4043390873E+7509991211812', '-2.1151682635426144672224937091976736708779849869e+76964713840066', 47, 2);
    T('7.294565561093574761312100756859685566360031825712E+7034687306', '-5.450510175911785538374515220362648430312385262009420E+8241', '-1.33832711538297558574714933209594332465212403091e+7034679065', 48, 2);
    T('-2.154252927935181711740733917193542244637E+92015718990306', '1.9352206761144049803332039555990056570236045372735986E-7693683', '-1.113182054390074189503e+92015726683989', 22, 5);
    T('7.5499167108437666547297377E+6504647745', '-7.6780E+645567308528891', '-9.84e-645560803881147', 3, 0);
    T('8.824148779944809676508540228402585284489314332014197563E+78489', '-2.092084530004341E+101531019113', '-4.21787392114911336102505950240087837234253251e-101530940624', 45, 0);
    T('-4.33676166764179034286357988310E+581669553250', '-5.614155688804656732019632528174016698890330053153400159947E+5062837818382', '7.7246907781518186838045457851035748305544520059e-4481168265133', 47, 4);
    T('4.51272762372483188313212872823517203838508417E+97793009975', '6.252778469221106795791660555873212816322433111300792788E+634433', '7.21715577473028760892142744602780885291528647081510897688130454288765515e+97792375541', 72, 5);
    T('-3.985984764493353508196151369455354566177961845E+733565033645734', '-26800.7511588932640662445548324368257619820174360598', '1.48726606238075104295894885511222700462125267190499802188917e+733565033645730', 60, 1);
    T('7.724045088687437072490138E-1702501212', '-745511289.727260257928031545159744803', '-1.0360735236502214914236519723420246148799308446064210091014688995973e-1702501220', 68, 1);
    T('5.19534526249740425123777686535974530221227548574E-2812404812305515', '2.987320002420225257628367481591284916670480005054687211E+31268535894', '1.73913249e-2812436080841409', 9, 6);
    T('-1.012384067893156E+972522034250', '-1.9377725456567E+82994340515', '5.224473172366392706687352673540131873055408264629176791550640738894715956855421e+889527693734', 79, 6);
    T('8.682239939798526256076173867142860241781300157256E-160453', '-3.38738537395296755015588273806017272185396820940E+82092540834672', '-2.5631095908248069265447615163225802332458687696935355232300076602952e-82092540995125', 68, 5);
    T('-7119762.8956664454195699', '-4.8912873333897809744218741725694428728189990E-14', '1.455601033099046489919e+20', 22, 4);
    T('-3.085061969093219514998161641293173E+921009111893', '-7.2829968911097097E+63822', '4.2359786983557929954605292e+921009048070', 26, 3);
    T('-3.445484E+79799549377', '-7.20374462575873345506759490231535537235842198718E+99', '4.78290691716060777341562592501363083764307009466112558e+79799549277', 54, 2);
    T('4.1478946684945114457226822167113367E+7437443', '-9.20539632907E-13618942445976', '-4.5059381695449105073897007255727563741715250437217751265100881e+13618949883418', 62, 1);
    T('-8.35608871243725782774851575375668663871862E+44995332650', '7.209319376690765161999794341595500019E+6384611455245', '-1.159067628416385237645317764268705343782985220760242820310197146230359607524064e-6339616122595', 79, 3);
    T('-8.41273251232E+3950085246', '-1.18415730504234693331E+164211', '7.1044045216772532222931909442990495572838375757022554578936322245700243711391e+3949921035', 77, 3);
    T('3.0548410603138092E+804', '7.708490317325384662044632807929140705570434574563592E-6540199414', '3.9629563436667162890617109417996191295349407297549589918278555089924732864706e+6540200217', 77, 4);
    T('-7.005330691061099299E+8509159290909', '-3.222280417460867270305311361663207927736088180178637510E+8420267676', '2.1740288813e+8500739023233', 11, 4);
    T('-1.41914370843348216219444444906418E+608464', '-6.18117237454897756230124563E-33567', '2.295913497376026521874250864480646e+642030', 34, 5);
    T('-8.061180748085417766592032944763398639391485841643182546263E+79645420698738', '3.39974659E-948644824', '-2.37111223871700913055170766264770299817889834007986534851204895244854117200541e+79646369343562', 78, 6);
    T('-1.695910847353390832771317357363100838E+80035', '6327.374883773680551542075', '-2.68027559375767608173975365033620728414718538072511e+80031', 51, 0);
    T('-6E+85149013354623', '-8.89867980213779480913302E+312242685608', '6.7425732057002165647824175817417424854229289775461768696088095582179757e+84836770669014', 71, 5);
    T('-6.49809423819663128E+741', '-7.0997E-36', '9.15263213684610797e+776', 18, 1);
    T('1.975284247776268522369519040768764171134909551338E-5011303627188', '4.19920553526191347009278041739638402512546233625327998135E+2320141200', '4.70394752338090971884569970134554806952100946020458597764395e-5013623768389', 61, 6);
    T('-3.33834040646744081069799621E+581996806528312', '-7.4333411209031775033770802942109277584788934708E+468548388848826', '4.4910362005044382039381337e+113448417679485', 26, 5);
    T('2.4428078160E+62826495737', '-441760.380753691783', '-5.52971e+62826495731', 6, 1);
    T('8.640516572703101773371609813E+52060322', '9.19362511359475330271E+428', '9.3983781869963769608061873729521483301897619215909644298441797740568848e+52059893', 71, 5);
    T('-7E+6816205', '-6.5164855546E+93', '1.074198652225767031703380613521724018524075375996e+6816112', 49, 1);
    T('-6.53962913669853987E+4124166', '-7.81E+596907842379', '8.373404784505172688860435339308578745198463e-596903718214', 43, 1);
    T('4.9706303677537038869012481E+2042', '0.0087147465', '5.70370046650663204821e+2044', 21, 3);
    T('1.508632053827E+8733195560', '4E+16722093215', '3.7715801345675e-7988897656', 79, 6);
    T('-8.36002174040487688263E+42929420008297', '-7.00257401787423E+1449115', '1.19384982137507302170787892e+42929418559182', 27, 1);
    T('-1.3262699507894661308E+3006', '5.0435939729061161378230533152200449665552505078839E+95735', '-2.6296e-92730', 5, 4);
    T('7.342793590050299205477852928E+640597652', '7.1903934797010934690705155E+92571661288551', '1.021194961135220245097553598708084731905829324388842279757746586244481594725351e-92571020690899', 79, 1);
    T('-3.950073131026464875599304240171553321219042424418236562E+2302287025', '4.34047475072789596273924161975704633044119462303906991004E+1429733346833', '-9.1005554873093988527628410585764961686570308568358220386286759e-1427431059809', 62, 6);
    T('-9.245610470210225757E+71269015702', '1.2929E-9372995642', '-7.1510638643438980253693247737644055998143707943383e+80642011344', 50, 4);
    T('4.281212218093131475197590831045465E+7435486895', '-6.98344729068248980E+1792', '-6.1305141141470978869970791e+7435485102', 27, 5);
    T('7.911485754419838351395620164104797445887860596078E+2030849623756531', '-7.03681482054856E-5968290357', '-1.124299268373114974871097178238592383164816373321e+2030855592046888', 49, 1);
    T('3.64776715619526E+9843606349', '-1.71E+423958503660', '-2.13319716736564912280701754385964912280701754385964913e-414114897311', 54, 0);
    T('-6.420681E+33581270674', '-2.61412917323E+85335993660107', '2.45614526847e-85302412389433', 12, 3);
    T('-6.3279189107622125348246545461631930E+38129179559', '-7.28780583509061445301651007E+8398354', '8.68288625404018195e+38120781204', 18, 3);
    T('6471.4498476182', '-2.09582196698506046865545383297377837297432856602397865189E-659841171757', '-3.0877860570035384482559233430799280838e+659841171760', 38, 2);
    T('-6.3701478717384281949692583E+93', '-6.47466302947059727183561609401047153299061442355E+17081683', '9.8385782283086401957536140478e-17081591', 29, 6);
    T('5.74741916076763E-7434704', '-737.86275545258253384032021112227711091648832407036517017', '-7.7892793995847346876123767995282247844900249549685359111583e-7434707', 60, 3);
    T('7.61815959190129972105655426000285870225095734050243461057E+38551246106', '785818715275497.546805149858503528002354003295', '9.6945509744324105467798003082441357314163586025014638730261027599e+38551246091', 65, 1);
    T('-9.9396044660E+4263485285', '-8.09800918059329781E+497799642264070', '1.227413336332101e-497795378778785', 16, 0);
    T('3.8527538068180906920673117E+84127794', '-1.01742408365662252161957029841520077854162004959505436748149E+5344401166737', '-3.7867727614342409984549745222028235817926359158634559988853e-5344317038943', 60, 2);
    T('4.5711155781896635132789383284436E+32911988334', '8.46761599746406156126003419602239168788849322213E-94870', '5.3983501136077165865414129681394231621325257131462949252453493433737198982e+32912083203', 74, 3);
    T('501.3248257', '-5.2237259764696843242E+102697094', '-9.59707358230928861039e-102697093', 21, 5);
    T('1.006587634E+34962113', '-4.3412016987775849200318996196672842615E+9088244635', '-2.318684327160932118682071800664868358824115740810476570831486938e-9053282523', 64, 2);
    T('-3.1980839436697264676237061139074003452450E+15985', '9.847229E+11', '-3.24769937174176254824956961385522804968280924511860138522218e+15973', 60, 3);
    T('-8.324884291541544489142795E-48465764902727', '8.8584681E+1984175954108316', '-9.3976567929860745213e-2032641719011044', 20, 2);
    T('1.474434878330720786973754441368523810768529429038348324714E+73874872', '-2.765555506192023217854643511495684794026738732141925525462E+1903172', '-5.3314239219914072e+71971699', 18, 1);
    T('3.194712E+631866600966', '-62486529388166646337207816254029669414947005399128.0', '-5.112641126464925584431573238e+631866600916', 28, 1);
    T('2.118491536060223327095764530821160891265E-489', '9.818508884553634593432754431953724932491860200E+1826677', '2.157651e-1827167', 8, 0);
    T('9.5722275804585104064075796815913515095871600605E+977653361', '8.412482260741049089773734321431060569473093191529145E+6356366268', '1.138e-5378712907', 4, 6);
    T('-7.06987398498629718017615652110693499399308E+3369', '8.531003611799867647264372E+4228770', '-8.2872711192003563845877262268858394555009887803e-4225402', 47, 6);
    T('-2.0E+6', '7.932260E+761455218257', '-2.52134952712e-761455218252', 12, 4);
    T('-6460.606291743537068034383098474458558519509849759558', '2.8269224049652044085294520568298013612196452593005619709195E+618640675691', '-2.28538508181057003356055982103863510422241478481358398192927339978073729e-618640675688', 72, 6);
    T('1.59664055045184581237854941435266E-631085225307', '-6.976429305289788991323496835693E+34655812449', '-2.28862141445511871815193441422e-665741037757', 30, 0);
    T('-9.66458E+56668954991', '-8.9449128653164923634426579994E+89547', '1.080455466198445086352254280185929789621448914827794023095794e+56668865444', 61, 6);
    T('9.5171248198792180335465349608253773728040551340429733E+8956', '-2.41242286929802562E+17292', '-3.945048333358131732280270913511588e-8336', 34, 0);
    T('-2.1171496753320009081394E+83332998186011', '-8.87844902502262449960963919998070377650844643008E-52351527784089', '2.3845940539446932099890476457502339546907702172675739e+135684525970099', 53, 4);
    T('-8.185341805695930160470716619266161410347420161703E+3884364162', '1.99234877822332096648235340675597007E+94082054786', '-4.108387996701670365048302718935698307021141374632493383946760074650564886726271e-90197690624', 79, 1);
    T('-4.045229544226248213266305366012136535063958193752E+1481235595762711', '-2246360129943739697415578.9988239564513', '1.800792976292524e+1481235595762687', 16, 5);
    T('-8.61745536169296836408625569961211701020086892400E-3332', '6.43642704830159177130862479590981253768592562419876988784E+2504', '-1.3388569927110249929031121545074551621484914e-5836', 44, 1);
    T('1.986035227187869950013771790378825778129442877192E+968', '-1.119351560679832836713564391035454651141011226493780406317E+656507040792', '-1.774272978171094806138915192915099045e-656507039824', 37, 2);
    T('-1.8408717312938932513E-20405400167', '-0.3705916155342795901932315731071378884152193314974236338339', '4.96738634693588550169339762266063964417e-20405400167', 39, 0);
    T('-8.68442926278104507472865255659613612954674571490355710653988E+7871370092930', '6.36061633736653369488903149547873448745676910340443942417E+2466', '-1.365343985890624e+7871370090464', 16, 5);
    T('-1.22386869681815016447944802116590932063126666537E+83905', '3.8386630243143858361322694179724081956141493729482E-4903336239473051', '-3.18826812634000960019699e+4903336239556955', 24, 2);
    T('4.921084284900982653845713379719292862E+9672276', '1.82789599236E-2180968119', '2.6922124155146055948354283417995145201e+2190640395', 38, 3);
    T('7.759279311212126649482021924673482039676179690066E-581980089747', '1.5125005283539740805490841443266296813781310191132664242E+7381204', '5.13e-581987470951', 3, 1);
    T('-2.0987996934277396491590906171960132E-44493065734', '897953.5253279753813065281753014', '-2.33731438680098513106767238712821111252758780326880504911845706357307247e-44493065740', 72, 4);
    T('-5.54236906864724957398435363365E+9567', '5.071169693732710594100562047591851E-83438325325313', '-1.09291729588478937394017e+83438325334880', 24, 6);
    T('7.7942398115980E+77592003208', '-2.104735657969742974098752953254623E+7231265929299', '-3.703192e-7153673926091', 7, 3);
    T('-9.149968143843599812656631312419877642E-91999907572988', '-5.71242231755756E+52208752', '1.6017667523846204354e-91999959781740', 20, 0);
    T('-2.1610496527E+42665', '-7.5651E-9455926986323', '2.85660421236996206262970747247227399505624512564275422664604565704e+9455927028987', 66, 2);
    T('-0.37947072806954687315332764212666830236446511645078563223579', '-3.4848991962E+4608788670', '1.0889001566625770199755186885100303733269434545338474781670931592612360223195829e-4608788671', 80, 3);
    T('2.2126948302608037006377979182193563495664E+9461220028', '-7.770027120137162905222334588848081624401135370857511E+50539863', '-2.8477311546651891129965513435245546086997661612550304795779357947198878138855005e+9410680164', 80, 6);
    T('9.087890E+1815827878747', '7.3123699015342924E-5021319101540', '1.242810487211972867350484121518243227279008814233309517997553895582975067962118e+6837146980287', 79, 3);
    T('3.46E-98784215303904', '-2.7954080031E+5359028897', '-1.237744184807009576812497607462401701957837540684832e-98789574332801', 52, 6);
    T('9196549.96503409450035876886835412679986204860035', '9.17513207079381808162199147154899E+441645', '1.0023343417e-441639', 11, 3);
    T('-8.3579674758974716299139079907343202035667482688898E-84', '7.399107E+51269', '-1.12959137851330865061336563868238696961224486534520990168137857717154245776e-51353', 75, 0);
    T('-9.2399110360498600293E-7909', '-3.82670143373564426184787520955E+77548690', '2.414588960244493032016202e-77556599', 25, 2);
    T('-2.940469839062829101588972E+946', '-7.03485206674542569385174127926E+261602324916', '4.1798602318345489715051459577604400478540730899866415574806619572212643383764e-261602323971', 77, 3);
    T('-7.70414185675249571409459039711265643319E+797', '5.397120E+87313166', '-1.42745424536650949285815219915670884345539843472073995e-87312369', 55, 6);
    T('-6.53747145945190979489117502390040E+51973565', '2.03038353881377E+513198', '-3.2198209522873486273056550616388405137326131902177643464505324943138e+51460367', 68, 2);
    T('9.031318172866059893353752618214030335197E+590409440489953', '-7.6380912108310059351193249194E+23450961', '-1.182405122376572695960687409359440851446153439358625186376170577e+590409417038992', 64, 1);
    T('8.3685389593128786086256181E-4831758653362', '8.8780526377E+2715708253', '9.42609747973e-4834474361616', 12, 5);
    T('6.6917447448449070E+5521', '-9.2895136E-7441235', '-7.2035e+7446755', 5, 2);
    T('-7.47018434857116785256237219255690E+44385089945', '6.88927256E-2809', '-1.084321208590877387577531435707473301e+44385092754', 37, 5);
    T('6.1732509E+46152790209', '-4.008267235000E+98908276379', '-1.5e-52755486170', 2, 5);
    T('-4.394639142091923420E+234480341256', '-9.55234678154662592717742938404709706397851936805021054453E-7426', '4.6005858482666862359099965531039704569744996922e+234480348681', 47, 1);
    T('4.689326268895078629898700564494282754331E+357788453660764', '5.457785252612081E+1680295', '8.5919948328e+357788451980468', 11, 5);
    T('-9.22713727596675023261813491914993E-58204', '-7.30694563984240298657246648490398543135739E-37192', '1.262789916713512344137076165964865817167055621704785722975e-21012', 60, 4);
    T('6.25980769869326214116978604861077492432292830080191849035E+339424388', '-8.623099907494645621555668E+35204', '-7.2593472948778415512488336800387353001291708875143856e+339389183', 53, 0);
    T('6.415301000299115E-802908664', '-6.282649705082E-7180358594424631', '-1.02111390916953624099086995464420034281048231255629752643839047251673121592e+7180357791515967', 75, 0);
    T('4.733378252171623189951760830842323976E+5666', '-1.351E-72138010791', '-3.50361084542681213171854983778114283937823834196891191709844559585492227979275e+72138016457', 78, 3);
    T('6.8905460498200121106724572063739988664288536065E+120124', '38172.47547682811328356118647151934', '1.80510851438041766803483240778276936294116879246916449153572411559459213398718e+120120', 78, 1);
    T('-2.922512960382494918930807998238481317939717537961530E+14493234015', '6.5930982113225712141292072617827140960241699850259351E-2856312926338076', '-4.432685312291504177969464988e+2856327419572090', 28, 1);
    T('5.0146340132982349700817159537432318E+3211823024533', '-6.918231679891194934057168056017566E+6047626059', '-7.2484331912068917518773579406111605215770713010426974452652868800968076724025e+3205775398473', 77, 3);
    T('4.446323537124441337432930269389099362926137607051051160E-8750824', '-4.434215993412095100E+71452035066928', '-1.002730481268917524171982204876255322957479730986e-71452043817752', 50, 6);
    T('8.337120677517234043265474129634E+99232314059030', '2.46881841832322550888691020823348732121979956E-7626358999829005', '3.376967951810586281257526858647473338018738e+7725591313888035', 43, 5);
    T('-3.0743752182640453552109682310901794219E+246', '9.37473210115186152196272121E-4332', '-3.2794272786593024301726033509870956437539796954305195970002945e+4577', 62, 5);
    T('-3.342246312009594088246020E+2780', '-2.0994381667835694088038153E+907506567', '1.5919717783972941754241185598781387183315994860746071650133494236471e-907503787', 68, 3);
    T('-6.92181E+79588976773', '-6.571763E+7710168083126', '1.0532653109979772551e-7630579106353', 20, 4);
    T('-1.5550584E+3981502656889960', '-2.06531582551165596340356155294618869933811011979313732E+55', '7.529397590389130351064343673039408644318328978434087022832e+3981502656889904', 58, 1);
    T('-8.18565910351788796E+2571994217034738', '-9.03140857918992678237746344175780464705600387124984E+27568929', '9.063546436e+2571994189465808', 10, 0);
    T('8.714482893118144928492988302913161E-858', '5.120258043322530562562560083041E+1389036337002661', '1.7019616e-1389036337003519', 8, 1);
    T('4.6866808851E+3426835952045', '4.467140767065401982164134100579316575120819391746691E+97005074', '1.049e+3426738946971', 4, 1);
    T('5.73666637974439471733973436923067629E-578396', '4.08629975311593111910E+2237714', '1.40387801344480603211420676212082226094551159714601451472e-2816110', 57, 5);
    T('1.64522131063543392253149536722030641781912223370356830009E-40', '5.27372901548185260965886069027444989361123871009E+184', '3.119654623522806376833937276136604645439029039277837549502691237164293e-225', 70, 0);
    T('-4.31312542558277683948771058796047551178674928330373E-6310', '6.913288E-3500513043', '-6.2388915e+3500506732', 8, 2);
    T('-9.049652E+442', '-7.855047662693427368978156E+870', '1.1520811061376746907537107376e-428', 29, 6);
    T('9.711230393323E+6644903170442121', '-4.93891889622793102257094495520766131866E-32254492910', '-1.966266423354287631022872876341854288480965892434163e+6644935424935031', 52, 4);
    T('6.467547783884115068024719703742091001657127448295609E-51467199960810', '6.32616961896995316887494076637699328797142582116E+103', '1.02234814641868257976773341242054325706156909785820217903419891277745521e-51467199960913', 72, 5);
    T('5.63171451E-2065648618553', '9.891286172388357177E+242', '5.69361194e-2065648618796', 9, 5);
    T('-6.2617736187E+837616475', '-3.658505553338E+947734569883', '1.7115659734305426380148169173e-946896953408', 29, 6);
    T('1.81876276805307952081703600215741670813E-7795527', '-3.78568266901223896476029056842555655721E+49548377928', '-4.80431913361515703829766889521982016451775e-49556173456', 42, 5);
    T('-4.275152362441409835337918E+60371399991', '7.446774984838954953972778716389203660397628275E-2043459990', '-5.740944732646389887136888082817392890004209204e+62414859980', 46, 6);
    T('6.46539463631510168767482235551198E-34332062813768', '-8.5452890668087392854971522014E-56', '-7.566e-34332062813713', 4, 6);
    T('4.47080300985125E+802', '-4.2827392715475488329493343087016203203294999991745045525E-49278', '-1.043912021344167694258691754917350342028475326e+50080', 46, 0);
    T('-7.614E+72782058376', '-9.7E+6377296383928', '7.84948453608247422680412371134020618556701030927835051546392e-6304514325553', 60, 6);
    T('637.69955300140337046859428411520121', '-5.8016E+8235', '-1.099178766204845853675872662912302140788748e-8233', 43, 6);
    T('4.6331949698421E-19217136556012', '-4.4139832471E-37081963398', '-1.0496630164797573139389000197095922503008631774650488795236460742388e-19180054592614', 68, 2);
    T('4.452399396670555039563430967811E-5599698649', '-3.18303503500293447377941340788664901460194323E+69', '-1.39879057179980123131368353386e-5599698718', 30, 2);
    T('2.3536076E+644647', '-6.721712790174980E-29363932601916', '-3.501499e+29363933246562', 7, 2);
    T('5.1329754512845E-80548955', '-9.2454698553232E+527412791', '-5.551882e-607961747', 7, 5);
    T('-8.5E+73889696549', '3.309349779938931037022352492827568173133347E-21463834901', '-2.5684803859436261928160416722859556045602339913053708885267e+95353531450', 59, 5);
    T('2.1341469959638E+31', '-6.30810197413058053473037330827597932222475E+458', '-3.383184046034608700854450215194407913880155888306738613e-428', 55, 5);
    T('-8.3615566946E+9526156799761', '-7.2544194312338648926769349068E-1692385250485138', '1.15261555715945529899801825436512106287156900035895696557978935342652028e+1701911407284899', 73, 2);
    T('4.6815121956826004824552652889820809529985558E+2492433095', '-9.1204082228213816797025213336277724588550E-475989435273489', '-5.13300729672205747779584322545e+475991927706583', 30, 3);
    T('22558296.86', '7.377736451310264993131386002E-14325', '3.05761760519294650184115197491564134701483222781758894034e+14331', 57, 5);
    T('7.545838226776400398438584305985964034717924055449601206E+981', '-1.2705656442361865142044953446538785620621428550E+206457385495', '-5.9389597546631744089437257570362693567200527558369e-206457384514', 50, 6);
    T('9.0E-7938', '-4.55014178606516594364390482955908035E+878900', '-1.977960341271682813417896150334504415789868983144656157144492890914e-886838', 67, 6);
    T('-3.3849776173842296963233431E+644813', '-2.54876E-303097', '1.3280880182458253018422e+947910', 23, 4);
    T('6.7002683114981738351985744581072245031E+19818', '4.6872576945407216917760859702773908549E-58403113', '1.42946446475559007135785920306025719978294155334317058882156024899142844e+58422931', 72, 1);
    T('-4.153645962956214371716464286996369885003065747172198E-1500', '8.210180E+962552', '-5.059141167375398e-964053', 16, 5);
    T('5.608917350451237520456735179458218838237385069660408723230E+7579', '8.3871637386279330648702193686E-8', '6.6875019079677673552975426527994677353528105535983e+7586', 50, 3);
    T('15.2710170799267539587139975455550', '9.22507874415300797064040490402379884040615E+236965730', '1.655380675162881571276263754630891861382595699181610696693070330886e-236965730', 68, 3);
    T('-7.954217387101386690749700668047178808519348003E-6740', '2.6206074937505473719507422940255971993887239053938671040E+45410364940733', '-3.035257056262748953369014922e-45410364947473', 28, 2);
    T('-5.492634295E+386', '-9.39777124093241133089668028785E+68450770081905', '5.8446137431783683129050105757340330464041792070884501090355547947281654764326088e-68450770081520', 80, 1);
    T('5.45398983415024193490282149330143030806407479E+76372518926', '-2.1007440689696044119437103901110E+87', '-2.596218128001367458163140208588784165744616568894175859913693165306002434459e+76372518839', 76, 2);
    T('3.46679402719062866834E-90434', '-9.8746508246919111716E+15389683584588', '-3.5108016361670110442848e-15389683675023', 23, 2);
    T('1.3407735871684828288119231675509979174460623723E-7303636080115906', '5.98715E+441815578', '2.2394187337355550283723026273786324335385991202826052462356880986780021e-7303636521931485', 71, 5);
    T('-8.909E+131411156669477', '-8.7774129730884607061416819259282725076696375729876435E+13303288', '1.014991550165747582484689090201613011287886379500559883867758876e+131411143366189', 64, 3);
    T('-1.98E-48157', '1.9501427E+5524943106506878', '-1.0153103154963993147783492972078402263e-5524943106555035', 38, 6);
    T('5.41728136097634572827059771826445583716767149112642117E-9375385468', '-6.75418541277222801813008624476486044370553516357397612E+10518', '-8.02062873597194388802324222861790702703508176616825855259505e-9375395987', 60, 1);
    T('4.8453737353630578976701587521770139E+815938654908', '-6.429414413E+6099060', '-7.536259796173536679552901534482272452640548121407896e+815932555847', 52, 4);
    T('-2.83351136641291151977E-574103435674342', '3.2880468510102465823069196094805543124049101400170426768E+998', '-8.617612506167058299579691e-574103435675341', 25, 2);
    T('-8.4995235528658235906119477393634747651301978784074781159E+455', '8.1105941153095983647125055363235511264925392267E+825052624716566', '-1.0479532611331246446759215e-825052624716111', 27, 2);
    T('3.18014249254672774828295378731747321844671694723E+48481789674161', '1.5264139142E+36057', '2.083407693655265127222825329848839e+48481789638104', 34, 3);
    T('4.6856576314970406036E+547913162', '-6.56929302164780479675078941901422317E-580651', '-7.1326665077298019431228e+548493812', 23, 5);
    T('6.345548E-26', '4.7588914398371212914E+873031559', '1.33340886e-873031585', 9, 4);
    T('4.468505248489856883646034089702997797274076383E-96358654376', '-58146648.905878445543707641632', '-7.6848886953450981877575198405538182952996453890246813166e-96358654384', 56, 2);
    T('7.69113398355466046208647940983162258988777315499926805602E+624752', '9.849178647289838165E+4273405095', '7.80890900549458626994688812e-4272780344', 28, 3);
    T('-6.02254040271279599E+42', '7.04544108195808054381918945250166656666022290743744E-511754669601890', '-8.548138196961e+511754669601931', 13, 1);
    T('3.98762129632181871144756707539185436735320510263922630E-88532994834', '-5.07997696341895879874999355592595E+19634314', '-7.84968381753850347366476e-88552629149', 24, 1);
    T('1.481655199310078427448694003443978E+4344', '6.6075439102674090438E-974', '2.242369054873394630180601531004147458368591436e+5317', 46, 0);
    T('-5.1323666870664657615327E+705745479533743', '-2.69265494591498421189372704139615998648E-1062353', '1.9060617829450291200397347296345349138237069e+705745480596096', 44, 1);
    T('-2.437637988292988347153514856438624168599682058444369E+542232038588', '-5.839E+10780186274729', '4.1747525060678e-10237954236142', 16, 0);
    T('-6.36178E+76682', '7.032278361705881E+72425121', '-9.04654177889620345797500051589342208e-72348440', 36, 6);
    T('6.63074008E-8649', '-227576.5824155598849948792989370332414731314667131672431954', '-2.9136303e-8654', 8, 3);
    T('-4.9911158878114609244172129061225625933293942785176004266649E+8428363299', '2.63E-90', '-1.897762694985346359093997302708198704687982615405e+8428363389', 49, 2);
    T('-2.5025E+94869', '6.00820089E+873983197662', '-4.1651403570162581564412371038412465599165410063377557936482380168882801787e-873983102794', 74, 0);
    T('7.848E+54593770340617', '1.1605234069066845794023189839774777557407782749942845915E+927', '6.7624659298500838876414395515772501056306197771565394829494e+54593770339690', 59, 4);
    T('7.89157617293997382052967082503956E+848274001999075', '2.9564178663879284787179E+2438376545', '2.669303369682881974943398000947810706922e+848271563622530', 40, 1);
    T('-2.05680551591396823656085423096528208866591137980801078E-11', '6.7368015059140958570728321831194662E+2698721316569', '-3.0530890870219e-2698721316581', 14, 1);
    T('7.3510238714438036941384412288E+9002339', '-1.597672032955306720497456253196108277707304976957068E+5964451', '-4.60108440269e+3037888', 12, 5);
    T('-28.28602', '7.1429914111275836493708006098995534204087509859635788099429E-8056', '-3.9599683622655798e+8056', 17, 6);
    T('7.972855427275748132676E+3987068042', '3.9868143970340244085400308010485765217128125291914970489000E+83063995213', '1.9998060188623588728576106221880557082101122e-79076927171', 44, 5);
    T('-7.6712804772484365180441E+1777565937', '2.210396825244047426145166194565634642296386806227170E+25514393155434', '-3.470544469498e-25512615589497', 13, 1);
    T('-9.48106149750514653612807143270757471583905423946188422E+196946968016', '-6.8833406037218047325483E+17250556296', '1.3773924673114041069988761009280988438746823896e+179696411720', 48, 5);
    T('-9.33884307650742928299E+59551036', '8.489934673929386118493787728431827447522409928966406756636E+6169066426608', '-1.099989980510078992526740313999160468684329328897955666e-6169006875572', 55, 6);
    T('9.65083610856E+575497301', '1.59766E+38445830078', '6.040606955522451585443711427963396467e-37870332777', 37, 4);
    T('-2.4942220652799874470010083082555689381569595359693476E+42240133205', '8.812210442715185654145358493350344487519309538278514E+7438434', '-2.8304159115286368254005030514906196571156238379118660410904068e+42232694770', 63, 2);
    T('6.15210519581249494053780700970428389100670582481182194658367E+6994393845847323', '2E+5838859585159', '3.076052597906247470268903504852142e+6988554986262164', 34, 0);
    T('-5.11910909106873E-31', '2.3756598047245042810244659499238057419775437033324475770E+48443174', '-2.15481571935859415101080876391603574971008112255188062e-48443205', 54, 4);
    T('3.5558296412424240355020303790108671612184537549431E+26046332598', '3.3216171392506909687938219485104106819190190E+7503306324741', '1.07051158883548151e-7477259992143', 18, 5);
    T('-9.374916497461357322194E+315197', '1.472910E-358400843509', '-6.36489432311638682756855476573585623018378583891751702412232e+358401158706', 60, 5);
    T('7.1454265451320006401795267435787579846E-117', '-1.23752886636203603752370281209E+1061580249875694', '-5.77394737154e-1061580249875811', 12, 5);
    T('-2.194305084043106285172E+24', '5.4921837666992653444E-4981349350486', '-3.99532349472322292141470817e+4981349350509', 27, 3);
    T('5.408882068210688735572E-442708', '8.97965917548784482E+125', '6.023482587151573330979781467667047406202545e-442834', 43, 6);
    T('6.098642957280299504063774332542264E+183767', '4.3615459107161E+77886', '1.398275538564489027904728335109898691683794e+105881', 43, 6);
    T('-9.839424753416312970982190167654570437138170E-9', '8.0330775889642585664729027431325106E-458256', '-1.224863652124260759929820094303526319268e+458247', 40, 1);
    T('-5.00904387932792589707050965599101572164348932464927959763E+67409900', '-9.389810782551315612143489496594117473125417304277880938075E-9955', '5.3345525222254938599467458954107770793441029735450104201836e+67419854', 59, 2);
    T('-5.39344517723235467341949896562169646484385500769139E-45900', '6.0763E+59', '-8.876199623508310441254544649904870504820129038545479979592844329608478844033376e-45960', 79, 3);
    T('6.2475704234323E+553144104415969', '0.00000403741530020950015569486178402', '1.54741832555796665749756376695926688670031449096576439783889324e+553144104415975', 63, 5);
    T('-5E-19719084', '-5.757829317803907592943715784E-214', '8.683828095666873457283386937425451136894315285796063843081610478685848167e-19718871', 73, 6);
    T('-9.8508665339011191E-8366608', '2.182663439014E+40272108405015', '-4.51323202552527561334326548977998173319981113942836e-40272116771623', 51, 5);
    T('2.667445958E+641266874238', '-4.65648E-924436355080729', '-5.728460034188915232106655671236642270556300037796790708861629385287e+925077621954966', 67, 6);
    T('-6.76139823100911785239358852509799253731481356777199E+1464034619926491', '5.84223768007511356841380612767881858556007522227039721942921E-13', '-1.15733022195738305696409585344922491e+1464034619926504', 36, 1);
    T('2.55E+273484', '-8.187152348683256674668142732049241296212573763040605E-56734945525', '-3.114636068e+56735219008', 10, 6);
    T('98243190191057466144.38810141453752664971956021039100206981', '-740149585.35901533337182823538962', '-1.327342366116490356978336942649952588610097024594178887230293683853e+11', 67, 6);
    T('-9.92446027191035359461562233919227803792184507E+360', '9.666190234639829939958100798394150980487221461109569E+4119', '-1.026718906932431896729749127874209e-3759', 34, 4);
    T('-3.033794677182485994140629113E+4634161192', '9.8896151604733559557433967524630782750E+884327483812335', '-3.06765695929999830747144644993992765256127183881611032546e-884322849651144', 57, 3);
    T('9.976696032143', '8.0205747416838500862723791148548886061317396480220285E+3109330', '1.243887919938325918361641e-3109330', 26, 5);
    T('6.1923518697687396753149308860E+12470911', '2.75254E-1889636242839048', '2.2496864240914717589262756893632790078e+1889636255309959', 38, 0);
    T('8.167938E+8522511447938', '3.966328721610509011692367559159756E+42506825', '2.059319479874942745468601894777542506390478496383332e+8522468941113', 52, 4);
    T('7.8563136493793E+716720238', '5.38743889877719645444871988937759438E-85784551475367', '1.45826501181525634133893840286583706404460441860625665376557723167232400045478e+85785268195605', 78, 4);
    T('6.744585743431338220523505818506292306169777E-774074290214920', '9.27041007195209291455903596078853803332407810918574663394E-76761882', '7.27539093857054622216991965838675617455316202556457207559826478259396058910299e-774074213453039', 78, 5);
    T('-5.92256947590569410903661178265126550110518E+932631', '-6.0081439916464101318390334E+811038846192', '9.8575691330638930633195439564212379565068711132270628076632869607036785468e-811037913562', 74, 5);
    T('-5.2957323295557074634486017058096235018E+8304756', '-6E-13490719', '8.826220549259512439081002843016039169666666666666666666666666666666666667e+21795474', 73, 2);
    T('6.83907371324122E+74737287075', '-7.7386869000744886726592530063625053016960E+78753165169306', '-8.837511843482633400398e-78678427882232', 22, 2);
    T('3.827820299075316745046700765596E-285897', '-1.816261E+75', '-2.10752766209003923172e-285972', 21, 4);
    T('-7263134647970388418642690.89', '2.830690640012255541490067029996847091477009292246856435455E+4504114', '-2.565852497374613322953483963639003549261124620641928180032e-4504090', 58, 5);
    T('-6.371146E-3671756852591460', '6.992E+597820198242', '-9.112050915331807780320366132723112e-3672354672789703', 34, 4);
    T('-4.351755585004E+673122', '5.82E-8374534797257130', '-7.47724327320274914089347079037800687285223367697594501718213058419243986254296e+8374534797930251', 78, 0);
    T('-6.149845677253197086323643331664498821364597E+546810', '5.34436540236243E+55362793', '-1.150715793971480986904749720851e-54815983', 31, 0);
    T('5.593690550020959555411551E-7561956103771', '-5.63671423745742751599061167893604E-35466290', '-9.924e-7561920637482', 4, 5);
    T('9.218460433042784516328813011308458170436453714E+55', '-7.776381732386217125804921950398874392660371E-786562623148', '-1.18544340417996161867970730366e+786562623203', 30, 2);
    T('9.16046711708569551829173843851217875773447481E+62236461413036', '-1.6602E+6517410409744', '-5.5176889e+55719051003292', 8, 1);
    T('-9.847998337E+587971432', '-6.900407060194745650845851289736276E+443788639', '1.427162e+144182793', 7, 2);
    T('3.56449935508486910572743700649703E+455472318', '7.257729972E+8049559189913009', '4.9113143763e-8049558734440692', 12, 3);
    T('6.06E+41007512605773', '1.6E+5928188599', '3.7875e+41001584417174', 69, 3);
    T('9.808971942400575E+525311308212', '-6871516.15029232', '-1.42749e+525311308206', 6, 0);
    T('5.57930072713823773712753153703713058801735277799', '5.06287738356926E+67433317611', '1.102001945e-67433317611', 10, 3);
    T('7.812663814788207102E+49224823337', '-7.86812043954054065390504010406135E+669497168111087', '-9.93e-669447943287751', 3, 3);
    T('4.9277468366654186720489E+38239937709', '-204778288.8364', '-2.4063814893004886805e+38239937701', 20, 4);
    T('7.240667778940013889240292777440901205E+2588445008', '-3.9387693216295855843259261E+831275896583215', '-1.838307143091166118176108621604178765327247225955332959050588387826596148803e-831273308138207', 77, 0);
    T('-7.88167810361E+76939371', '-1.49523459674689169309836027360743778E-10', '5.27119832617421979280266349348028671139184691e+76939381', 45, 5);
    T('9.6285124250983700E+5618625810428', '9.3718329616813862488115825369403135686952938421194E+42699492489', '1.027388395041446970090758979383e+5575926317939', 31, 5);
    T('-3.1625022723797471E-73025995000957', '-9.69385706980571814210569507301591126049012E-20094923276', '3.2623776579399567929195232103217594593849660569e-73005900077682', 47, 6);
    T('5.529901002508292E+55637953347', '-7.7090576953146707984112131864144160490908231292E-62321490397', '-7.17325154521699389215196e+117959443743', 24, 4);
    T('8.68563619663492062704608948920515931641751E+488234063694527', '7.306618331989E+82904954864', '1.18873544531653753786691857030225613003742629e+488151158739663', 45, 3);
    T('-6688.62091641687', '-8.2212937598965043112E+448897', '8.14e-448895', 3, 2);
    T('8.605066051959114546E+546132441399193', '-3.30606718307E+33504', '-2.60281040144153592595008450715548997e+546132441365689', 36, 6);
    T('4.0013289704546135216270785110724783947949262205518538318750E+79', '9.596803432951329207415538626397283370914853227551E+5980869404', '4.1694393330135e-5980869326', 14, 5);
    T('-7.690099554E-798354', '-9.3384760897384804672639633594709313997683231995E+33504769007409', '8.234854895061746140242632659983034023458652351e-33504769805764', 46, 1);
    T('3.046240250671E+450117468754749', '-5.63751E+891305', '-5.403520793171098587851728866112876e+450117467863443', 34, 4);
    T('-9.6145295245512824201789039053090E+17683695225913', '6.383912578658001944335837738792210262256E+937110854491221', '-1.5060559501853e-919427159265308', 14, 1);
    T('-9E+6842015367', '-752314.039860603578658072279089154626616321074834', '1.19630892461712024264632e+6842015362', 24, 3);
    T('9.5306069347322809726054651962056133448598033625E+3438434064', '6.9198587416050621150939294634123023561800464040176093321E+6225339897265907', '1.37728345e-6225336458831843', 9, 1);
    T('2.638270225517468210416469709616963233578613349204044619E+69124', '-6.347389238319317924004668833E-1006696', '-4.15646516459110023096550216947921388953678271231e+1075819', 48, 2);
    T('5.193348991970514140068E+94499', '-2.3507368223051332166682552745334058949788158605722E+23502095181063', '-2.2092430520903291066845e-23502095086564', 23, 1);
    T('-7.07082676226284225501442841995339113685765E-9677079', '6.8635361690912477567365099045987779137912E+220369840872956', '-1.030201719356429118737125828739093844028e-220369850550035', 40, 3);
    T('-2.44E+8', '2.82084872851654706662530027165583544064619830441574E+22802137744', '-8.649878936553853521158804643222412798844105686452087411507666e-22802137737', 61, 0);
    T('-1.000587733901286033699035654525024127796179284830E+63549641855779', '-9.5117607406E+670751267', '1.0519479633569600867584670231302686303780630703788247472016e+63548971104511', 59, 4);
    T('5.2373525757450771E+7276433193558', '-1.07016726344195769E+1506934096001889', '-4.89395700528185112964562370080454388799891054203961645042726673753910717381324e-1499657662808331', 79, 4);
    T('-2.518603943701324782150460463799494E-3979291252', '8.08426789136606798442497394318977355E-36561397025', '-3.11543850048706723751880437678667196349353822827854536658e+32582105772', 57, 2);
    T('-3.78695144868267617E-883', '6.344362161945832313837340400773565435398785043195957983E+352514860864', '-5.969002638905e-352514861748', 13, 2);
    T('-842765181.140745319021', '-6.3814511127722945591816953925E-3082979117981', '1.32064818212580922214562298043961e+3082979117989', 33, 3);
    T('-6.696026380334487763827327276230147570297649431048967E+260084862964519', '1.26877020297013206888751970681905328063506258615780960813E+55008434', '-5.277572222818128341101653874494024489363026442701799695306131429e+260084807956085', 64, 0);
    T('-6.8684381763693074578001E+31', '6.9273188460659450802512001449689653E+609457961020488', '-9.91500222379676342685582434876847852991297121323307e-609457961020458', 51, 0);
    T('2.56976527775298172479E-76246948592894', '1.834862339600625175975219581E+12354', '1.400522111273107821550531892709116977684162336740869194933904720450149803846976e-76246948605248', 79, 6);
    T('-9420400296603989503578.9110052447483512', '-6.209114896333051101370488463352632523493086053965702481362E+205178', '1.5171889156323139916076811037309950528778571502181425111303279e-205157', 62, 0);
    T('709803336818918516984309300080865.111473', '-9.7739763071907357032590892384626871424714E+52', '-7.2621757461875025497021348115892118090599719013093101438404239067e-21', 65, 4);
    T('-6.36453847390E+70088', '8.1660664868200675967959684E+42874258547', '-7.79388520063152560693154e-42874188460', 24, 6);
    T('-1.51136249154484160634151816105298169338703271239589427E-3498163471261', '-4.903722619395675182724040E+17726718', '3.0820717419189971445982358e-3498181197980', 26, 0);
    T('-8.358746156535176465448938415988422968473811745783809794096E+6250005415', '6.294415E+53834', '-1.3279623533776e+6249951581', 14, 0);
    T('-7.8999772E+5916515145201', '-1.20069E+44352943077481', '6.579531102949137579225278798024469263506816913608008729e-38436427932280', 55, 0);
    T('6.832408323458747058262997195703048160E+4098284195', '-2.0273701586043747297055275536772870E-97648', '-3.37008429095263089880878892709655635231690532141383369430490498026358e+4098381843', 69, 2);
    T('-3.69149201319984629491033571350661611955E+7424086234096269', '-1.6306801006854668659577380345911410660577261267272925E-91', '2.26377448994937994892416808205485829164541757312111746637100347565e+7424086234096360', 66, 1);
    T('-8.682199673625021757864074470473000184792912381830632970E+931828574601926', '1.61334521642808718217269471459311382780088E+1956597', '-5.38148908566960740241638459898625947359671929e+931828572645329', 45, 3);
    T('-7.105879838634201017122E+68334694', '9.2509746816819224854685742619815927263387684336736676173E-63', '-7.68122287990337345e+68334756', 18, 1);
    T('-8.3082E+11685387902614', '-651606540.678', '1.275033241893992442119861357196835378326e+11685387902606', 40, 6);
    T('-5.75156641301936862938767615E+3938809900945141', '6.283953067E-528749860973180', '-9.152783847517186794717472625e+4467559761918320', 28, 4);
    T('5.8263153713097242486060E+979058928435266', '8.0973113122977278336434787964782567787445639358454E+422248', '7.195370347761056968012e+979058928013017', 22, 0);
    T('-4.88918630658433649247278974318E+87610738', '2.1290647306867303015782648185178617487521381239260851802E+1479845', '-2.29640096710790393103086155988089611864079708955868678269511018e+86130893', 63, 1);
    T('7.66189691E+2461661', '8.91903359756599778E+911468622668637', '8.5905012310874e-911468620206977', 14, 2);
    T('-6.5839740805751690830553E+36', '-3.11653E+961', '2.11259769056456029078985282e-925', 27, 5);
    T('-3.78488302412010524024821723188257189610093777E+977655449132', '-3.55E-1968103', '1.0661642321465085183797795019387526467889965549295774647887323943661971830985915e+977657417235', 80, 5);
    T('3.7331830561395236511095312730562136335836481592846928233110E+70060', '-4.7E+610973', '-7.9e-540914', 2, 6);
    T('7.705253547E+79343939440', '-5.848000419781270472680868772674084831764254908E+760596', '-1.3175877212553612195998570725771252760836517143419896317642218159599071759255e+79343178844', 78, 4);
    T('-1.3825617096310329961368136968433791870799726145090086368E+85851', '-6.09806993225096932715475428777084180831256616E+99693502894', '2.267211962130927117205603068101638023783181373132571288779488593e-99693417044', 64, 0);
    T('1.988538319071773E+10357542', '9E+73247219972', '2.20948702119085888888888888888888888888888888888888888e-73236862431', 54, 3);
    T('2.1389238039959093808187715823397809361024730848528754735E+819386902145404', '-1.698723445925883294465508221615137752484006955E+7724804254', '-1.25913597597406234374063385697753526963652026544440326558806728e+819379177341150', 63, 2);
    T('6.645824225839425183116269230292968220342767904172105758692E-94677', '-7.6998450106272635941269932E-54804', '-8.63111428433548015843108357508394039998351699965948396576235870758252744e-39874', 72, 1);
    T('-5.3071841762264705190740453497304461736319E+8395699528292018', '-0.0486947285212843680760936023106059929391761982141775', '1.08988885191273034214779179126247105851096621046737025806e+8395699528292020', 57, 5);
    T('-5.826432923453620510208674822415767194485900575E+66', '-5.734705571727874873248319304120979991848769749698945164074E+95021', '1.01599512835985196997184036742748582312e-94955', 39, 3);
    T('8.972E+90227129683', '-7.88408783E+47449', '-1.13798833719994213e+90227082234', 18, 5);
    T('7.6413138652817517482524921576931218943769774265691552361E-166353872390802', '9.3338932785207781778544293691812E-293347743372', '8.1866308487434688650989563295173441436482595869612635489e-166060524647431', 56, 3);
    T('6.125067968069588976518720387764767838907913773E-209746', '3.908690304683765165155562821561585915804E+83569317997742', '1.56703844270546297979025138066921137326798397172838944e-83569318207488', 54, 2);
    T('-0.003254679961567061708477070199001', '-4.63487953779307278488561862382849649130663479579253905758654E+87040471661803', '7.0221457430084540306123377392041095541735341378724050083698460202101771465700447e-87040471661807', 80, 6);
    T('2.53845277759606579802279159205455480004847758390153559500969E+469', '-8.43417914750696500969641346254543440E+45', '-3.00972119894607624504382811931843641773888505658192649932206653332449e+423', 69, 6);
    T('9.62744045625531266409863E-242401', '6.443E+12057806', '1.4942480919222897197111019711314605e-12300207', 36, 2);
    T('-1.26468997363372448105542229234794965516224398E+79043', '-2.117897270056148592647614724559642117E+1465249261775', '5.971441540222560828926901302444031838077132162727297417146e-1465249182733', 59, 3);
    T('-7.7138415901798417462341E+3250', '-3.4648598387641670E+6469261054151069', '2.226306964535450115389e-6469261054147819', 22, 3);
    T('-1.367054564670050144380356685990892944813191889958073510E+929473688444931', '4.1853331987599067105395177952858730634371137087356512449999E+187233442403', '-3.2662980454e+929286455002527', 11, 2);
    T('-5.7868073471865718384959617792057079893E+43243121117367', '1.48662135265888730653750398074789322355826718246E-8140214239', '-3.89258995697634358e+43251261331606', 19, 2);
    T('-883.26785301153454069283645995640346956181339001015', '2.77787500786284363369082E-6477945', '-3.179652973987033708524801912412795942759790846136503e+6477947', 52, 2);
    T('-1.3632096508821930006657895922420944748811220471475177246E+49274', '-4.5767359502838738451632591995006023545198457768648E+425680395298', '2.9785630320176967748593615969101783645e-425680346025', 38, 5);
    T('-7.6045575582672E-7', '3.1244169956005103053186040302952013890436369719431E+509019', '-2.43391249278670962607470017711632626613203741149729195396e-509026', 57, 5);
    T('9.06791479281025114715411883197103785674E+352894341725', '8.6627220578418270082441187849772072994047131925289048309E-62509398469', '1.04677429707001025074500224918285655360160987799118772218607070799537769068263e+415403740194', 78, 4);
    T('2.64E+3850278246598', '-7.787176906266447509072062155308288734699988E-7302966', '-3.3901888088294950360799469333954206120888623108863837772e+3850285549563', 56, 5);
    T('9.617418419683976359975E+96', '-73984.44366472937916609762063189589659', '-1.29992440887527960878517320033565e+92', 33, 2);
    T('7.16315184469634190437658E+194495', '-9.5671928050852090926887447135643E-53473', '-7.487203394593388e+247967', 16, 4);
    T('6.247595745E+94314058108', '4E+31474770092812', '1.56189893625e-31380456034704', 12, 4);
    T('6.7949268976E+2954554', '-1.4195315969561695512352666312165497223001542634831E+75818', '-4.7867387469007531414576870944642890612132758569492221956599348611775457e+2878736', 71, 6);
    T('8.4958506666996715369335E-3452917245', '4.9314003389544618174924727438590435E-16', '1.722806927596e-3452917229', 13, 6);
    T('-4.08113676833986305075008649345E-820437570784', '-4.902444410014777806111246360087523548E-3923544300482', '8.3246976957105e+3103106729697', 14, 4);
    T('5.569382574660049196797125066962335718E-7317727097289', '9.07163522848142670164164E-2117', '6.13933699315239389264951493035785135964551374822571118049573805257325e-7317727095173', 69, 4);
    T('1.2689236562582736299803672192327827809068E+201233', '-2.60029539886601671E-5884120498', '-4.8799211690012163087195084e+5884321730', 26, 3);
    T('-9.56822144592216631453732010356687732394885596777E+3823904938907494', '-3.703773803987773412397613488648327E+71', '2.58337089473991865975498792e+3823904938907423', 27, 1);
    T('4.8419730652641E+52', '8.7140840950452191595549370272680617E-9346784985910', '5.5564e+9346784985961', 5, 1);
    T('-5.249', '8.35132754294531844394230664381054294E+2715709226705657', '-6.2852282741969908702227633397538349005335191395823440394805014721525130924661e-2715709226705658', 77, 2);
    T('3.3802583193092042829097228149E+44107', '9.6E+82797526991624', '3.521102415947087794697627932187e-82797526947518', 31, 3);
    T('4.8190527633755216358E+624717', '8.027452576987805543710448379804E+8755989011172', '6.003215487e-8755988386456', 10, 6);
    T('5.0361625488E+3909161082', '-2.650407484779575290251585666812323609310904414932E+4449349', '-1.90014651623232917496834333860535113795586359901e+3904711733', 48, 2);
    T('3.338174251645814639228E+142166639', '-8.43149284412357088925713958093E-879152', '-3.959173438630615507374e+143045790', 22, 1);
    T('8.7977236819674356019478444382410382191989999818459231995547E+7523768513311419', '-1.466471497337933524852712451382902504976002620426156156E+20257261270282', '-5.9992462846620803830819007451673155971230643478345100616622770400829745237689368e+7503511252041137', 80, 1);
    T('-4.20739728431899354187804E+15073', '-3.8048650573513E+80117706', '1.105794087543254515e-80102633', 19, 0);
    T('-5.737627851417998807986127179843435E+17715839', '6.872731569770974268681313863621784508998437644E+9388584', '-8.3483950932324838887060116e+8327254', 26, 0);
    T('8.89099E+779864391137200', '-6.715403698553190463494369944394505598142157132924147E-29628088', '-1.32396954808770942068849075305312082961880343729454027553704321372618474211e+779864420765288', 75, 5);
    T('-6.06613984764271487191854233095227648384470396E+3697900446', '1.871182669E+973604607037388', '-3.241874751e-973600909136942', 10, 3);
    T('-7.3015993079022986584646576804578013E+71787', '21.580412950626154450443312977709540597287449938690', '-3.383438178225613227273799407284109556829634424140912293893271606866908e+71786', 70, 1);
    T('-7.53921580128241774931096338827246127605042016590754260940E+5569792883159', '-4.24729865796334E+29', '1.77506137628136898004911581499e+5569792883130', 30, 5);
    T('2.77589358553228698068526408815281302067414482381632E+355834', '3.27035528025032329645441064899209466249214312793441E+1254413', '8.488048996682132163187057964195410096766427293728552866104e-898580', 58, 4);
    T('4.6763417276169544557190177979161216998263072368E+7992441779974', '6.7603936488904400933861363303839E+6501284952908540', '6.9172624709279557498040937923470733075577596181183173525559949770032524e-6493292511128567', 71, 2);
    T('-7.3072772727E+8441950514', '-1.940026464968597721428489287649688737954556E+24300318707341', '3.766586386654410611340492e-24291876756827', 25, 2);
    T('6.1099306952747958957444141222837705440874884634174242978E+878292956663590', '3.1579206703581654887455971623531898555E+7307793507', '1.93479549775448251544216243884e+878285648870083', 30, 2);
    T('-1.78668500351942651981610191698265595872128621257555755E+315883320418', '-8.5579889186870070555251286896356377011796E+447499051963', '2.0877393281242355483e-131615731546', 20, 3);
    T('2.58013E+2138690158552', '-2.95506227154591E+410192643096', '-8.731220403860497689433806082511887250005e+1728497515455', 41, 1);
    T('5.417804620736930822778899155161588410E+5476588110', '2.399436306E-87219317', '2.257948922082e+5563807427', 13, 0);
    T('-5792890.237932875797267133', '-1.697008086563101465219860338231E+156602', '3.413590237902188836502809000269789e-156596', 34, 6);
    T('-4.70381013939101972991335686058791010607127353541192776822200E-9', '4.904667758608001629529687022739695212076E+6286804', '-9.59047660493523930461644180336437585621398474678056871346869568165e-6286814', 66, 5);
    T('-3.59646135101E-598847545439995', '-4E+2568', '8.991153377525e-598847545442564', 73, 5);
    T('-64176136011097783511.9259528837151', '5.3610084853871329780547434158E-7', '-1.197090737424256296250162355e+26', 28, 3);
    T('6E+14146660867533', '6.094911069722480360510799150533032128212521946648145E+9766049154', '9.844278171351888244883774064894266194692386047064184195876999979146542480808056e+14136894818378', 79, 1);
    T('-6.07745859079578E-5645666900387', '-6.573460011960108169807677E+78552258324', '9.24544848487421176100865159045720240190124932950208031973359556622476443e-5724219158712', 72, 3);
    T('-5.4E+763586722581', '7.6397921722259651854047011265718253245638101485830056E+4324027276364686', '-7.068255102058137560731502613790457547595932388504e-4323263689642106', 50, 4);
    T('4.90045233812889750172226539581300913905E-4110156', '1.967560921170126663411264844121E-69026155024166', '2.49062292577683094446062685099598348182220589729e+69026150914010', 48, 3);
    T('-8.34051688325711928E+16328368', '-3.923379657595614256104774091757615695533916958E+499998707018939', '2.1258500607021250805e-499998690690571', 22, 3);
    T('-8.04206182902967E+577822121552903', '-3.49115948295911587585930666106980088553704380463686092062E-8308394762', '2.30355040160273555757907214365742622951521536425665311549501041844195904e+577830429947665', 72, 6);
    T('9.68400456660674412121332631650128268951944E+853', '-3.85290375281835929228979159771386912170937906272E+24923', '-2.51343017834873108951724835763808742620367485955e-24070', 48, 2);
    T('-2314', '1.74776272058000308088238444943811162E-84432792', '-1.3239e+84432795', 5, 2);
    T('2.668954534522862581915375682645377593E+4045850', '8.36274E+1880246', '3.1914833350347644216074823355089092725589938226e+2165603', 48, 0);
    T('-5.971888088238781127818961767873900265270E-82821731', '9.950032813032823844291E+22775780390585', '-6.0018777831733776189288e-22775863212317', 23, 0);
    T('-1.4356071415735261289E+67031226', '-7.886478740524334054637486659528113158751543768424E+29856105060025', '1.8203398358214296184187282836642856429935068077454623185167250716314e-29856038028800', 68, 1);
    T('-5.2531564096398872571940566249824E+2891523727', '4.5545724288556745346620352493481841659849747E+65867620377', '-1.153380803949522498292001001328185488103710190731055511456056767781144234191702e-62976096650', 79, 4);
    T('2.530719297310005847801833228723402016432936766573280080E+283063366607', '1.14095051540104818423205161317125460943896E+295', '2.21807981e+283063366312', 9, 4);
    T('-2.27120848278080885383099E+60115108220', '-8.9415299133757679294E+149394', '2.5400669737549881896866237039719449827312236e+60114958825', 44, 0);
    T('-1.3383928197688492E-122887', '-1.80263053776923767436776917835110E+78227', '7.424665186384313325912769296417994592432607633894368e-201115', 52, 1);
    T('6.979762985107883848241916106441238686715709702625842E-89231', '6.46855E-87329817', '1.0790305377724349117254896548e+87240586', 29, 4);
    T('8.14012928722939139741938789596772239000611003332638E+12377309421', '7.766706234079878166305091259279615348087780245530E-8497566', '1.048079976491316e+12385806987', 16, 0);
    T('-8.08657060512849576695697907300393440524E+7398432', '-9.8E+2776747', '8.25160265829438343567038680918768816e+4621684', 36, 3);
    T('9.703829307265679434044859669030975925007644465942E-619406512', '4.7814669698555476218571869936852480693206129293420268556021E+2242943431818', '2.0294669749771043100905501313314710575383048758e-2243562838330', 48, 6);
    T('-0.0000041239723159571249449', '-415267542055692280071658211800991031879605.94073598816270924', '9.9308804524964572583e-48', 20, 3);
    T('-2.8054E+5092015726761829', '-6.769562593959274590320683E-985648802312', '4.144137765272e+5093001375564140', 13, 1);
    T('-5.48892574890748537921708382251875313034E+237964760266618', '1.0968351149373E-43', '-5.004330800642954360936371973238168667732736816569592e+237964760266661', 52, 1);
    T('-2.156194821806522501474413523873990347171E+667546', '9.3392709510878330902583362124806032424248352321030E+2089', '-2.3087399788474603865038883603755797809686840784973175119627700188e+665456', 66, 5);
    T('-6.87444936625083805900191866444406566966572895468716125325139E+344453806', '-5.381623281469059621928157583085990880962459854847966E-447', '1.277393270896931154832617789830982711486260201350729751565027525708721540272e+344454253', 76, 0);
    T('-3.31E+480186078985155', '-2.6130611751845278995916362315520835208179501160652E+182442374582', '1.26671355092414015492e+480003636610573', 21, 0);
    T('5.16911465620639192203401128334536657406146601457342040768350E+467', '-1.5676688342972E+6436549175199', '-3.297325648834342227664930904204e-6436549174732', 31, 6);
    T('9.1529776064E-220319081', '8E+3', '1.1441222008e-220319084', 61, 3);
    T('6.0038563620021448676207421628588140922116726E+4774097867627275', '6.21317527716586342481645057E+7163695120', '9.6631047639473656242225069321636258855199e+4774090703932154', 41, 5);
    T('-3.09846528677677025724906362005331286611611270261E-868420', '-3.021328662391868778609112659E+7137217', '1.0255306963e-8005637', 11, 2);
    T('-1.045429E+32080686106', '1.599E+45509', '-6.53801751094434021e+32080640596', 18, 2);
    T('1.6887675020632790685835E+92468130587', '-6.5327467680801437818153832461701719053451472590E+84', '-2.58508030697717878749060016203950786173807291927288559348e+92468130502', 57, 4);
    T('-3.00430416625557448727145075078433547813572903E+362', '8E+225759900', '-3.7553802078194681090893134384804193476696612875e-225759539', 47, 5);
    T('3.2690231459575013657899830E+7675', '-3.50694430799838604856525003837201606554927073203130434937013E+839667464204', '-9.321571e-839667456530', 7, 1);
    T('-1.0018079353192E+908009087944', '3.25721077043370837375520303408336208635662422526970700243E+5487730799634321', '-3.076e-5486822790546378', 4, 5);
    T('6.251606778082826225733013710514E-76306012', '-8.0414719646405345583E-177761', '-7.774207017784811865205003454590457858775160801895533238813188357978316e-76128252', 70, 2);
    T('-3.8631524849621083E+24', '-2.5386004844532E+362459070642226', '1.52176465285525588016314190347017365e-362459070642202', 36, 0);
    T('3.71704910799147989715E-39449', '3.36677029958308033E-5674683', '1.10404001e+5635234', 9, 5);
    T('-2.448556076599802E+322450539844', '-4.0621230391858018364471E+6100783138160', '6.027774277094724030496607921661e-5778332598317', 31, 1);
    T('1.9375053169516274676423771201900E+692642435834216', '8.146202430E-4579', '2.3784153826283291460538590129167e+692642435838794', 32, 1);
    T('-8.503656311667876494162473875253227026293545917070993660E+324884953064', '-9.7324367346026314328340E+9247844326014', '8.737438057453835e-8922959372951', 16, 6);
    T('9.8719605285965406814556E+5382725006231', '-1.01037538972705305976829084472781717E+570369789141180', '-9.770586881835465603651199731711017196e-564987064134949', 37, 0);
    T('-67561544.39511966609289104447133008530641407100', '-2.44E+14880710807673', '2.768915753898346971020124773415167430590741e-14880710807666', 43, 6);
    T('4.3932569621316148912E+46', '6.4598E+20374', '6.800917926455331265983466980401870026935818446391529149509272732902e-20329', 67, 0);
    T('-7.86745705842077211537669957329E+48182690542', '-8.0640712121E+2271146', '9.75618499823735220431771907726404984681992848147e+48180419395', 48, 0);
    T('3.171968218541781905140107597632909066025341208495038737721E+2232735517', '4.4698165139E+693399116453312', '7.0964170647223710082416401124677697836032893280663010924695487e-693396883717796', 62, 1);
    T('4.59237568456276064165387389997750637189111225032188123040277E+23589', '-9.1E-7049610080772203', '-5.04656668633270400181744384612912788119902445090316618726e+7049610080795791', 57, 3);
    T('1.4678769927257849870569509756400376410477753E+85993055658', '6.761751880560683472486161763854974702023E+284669', '2.17e+85992770988', 3, 6);
    T('8.038025044130466E+8610803', '-9.7432179349006698235602618960895679749E+583', '-8.2498668282250755923024459498302262662714494581904721242012709024164e+8610219', 68, 1);
    T('-5.1315232E+61', '-1.473932045060192553599191156699321918767883015306995797E+6443281309', '3.4815195294776554296e-6443281248', 20, 5);
    T('-5.64362723276527924165938570E+70536408009542', '-7.33859370E-6798358235', '7.690338862560655513139234973589013382768418e+70543206367776', 43, 6);
    T('4.429284998200342689578593973724000178E-6597803132915', '-5.68589588518695153995560929713242842941E+45', '-7.78995093761676e-6597803132961', 15, 2);
    T('3.976438792895960E-140587759587599', '-9.847526541333816795463891378584799276175E+58328936397893', '-4.038007692800149337716917011679966815644870757379200932990477824403e-198916695985493', 67, 6);
    T('-3.2038731815884178317471035368090410103722400531837E+13951929', '2.97E+687023', '-1.07874517898599926994851970936331347150580473171169e+13264906', 51, 3);
    T('0.0000361385598', '9500611.35732', '3.8038141379351e-12', 14, 2);
    T('-9.764954338043099407482545269941204165839925910E+983', '-1.58126453873274812203310535313181129111950633E-30114410170986', '6.1754084145015338913324e+30114410171969', 23, 5);
    T('4.3566977466561E-96', '-8.366845140236927093482421881115647595397E+681769', '-5.207097386928246355786522502169959e-681866', 34, 5);
    T('-3.29864757846832E+4988352486173343', '-7.65154180401998811226124562616671E+311405049269', '4.31108874911363282073e+4988041081124073', 22, 0);
    T('3.2953049345019563713E+47486', '-3.421912052914187045392425869176E+643', '-9.630010600931695942557e+46842', 22, 4);
    T('7.10037972065743473167609272669650094E+453594294', '-9.2E+66329', '-7.71780404419286383877e+453527964', 21, 2);
    T('5.25589444E+118773', '7.61790610488522787855650352371822672818886E-810136486', '6.899395145641777139958890068799305e+810255258', 34, 1);
    T('-9.53366935862333452229773030E+4206621549', '4.2812370E+9', '-2.2268492397462075849335e+4206621540', 23, 6);
    T('3.31633551267184088E+83145076693', '-8.17533253383705573185979182353156036142595056534122747398E+3396840822', '-4.0565145196795238506208153846882975546416194183437073247265230266218404e+79748235870', 71, 2);
    T('-3.1360716787954230378331948130E-90', '-7.7121380538735268342867141314436050820357255', '4.0664101924631498756183358600800875e-91', 35, 2);
    T('3.49784849616320210089755421730232342382E-60517440', '75.58996', '4.627398263159819241732042479321755724993107550261966007125814063137485454e-60517442', 73, 3);
    T('6.34916479E-946712786', '5.9837012087E+425440796396440', '1.061076509095847628699462070451425614e-425441743109226', 37, 5);
    T('-2.523140088508807089762770732316562841777360040039484720E+8865766054589', '7.96955E+6057', '-3.165975605283619639456143361063752460022661304640142442170511509432778513215929e+8865766048531', 79, 0);
    T('8.846356432339626E+6831748743880', '-2.36109337766445387458926840E+96003510', '-3.7467202763027796995969650586037552630999199738748950911e+6831652740370', 56, 2);
    T('1.883510788784471642279E+35162939', '2.3132246236608045164560840222410640389601E+85229', '8.1423601e+35077709', 8, 1);
    T('-6.28899716379868345333946E+369', '-5.148678E+990721825265528', '1.221478050054535057997307269943857432917731503115945491e-990721825265159', 55, 5);
    T('8.0025056752568037218982021238703649425321403234640503109686E-3220989703', '8.84148856745383169936211447720454005505049266769E+5404858238590', '9.05108411802353556474716583522955434370782545e-5408079228294', 45, 5);
    T('8.830876563551225584919435145031128726E-3458479', '-3.01142110785227242239416899956063394E+18281090429687', '-2.932462e-18281093888166', 7, 5);
    T('30356.005549519197', '1581580690059642061', '1.9193459897625874209418138e-14', 26, 1);
    T('2.9645595565639792239315960187284414772753371530644592379E-389898322391', '-5.23333883682232333501838542865763160E+95427726', '-5.66475753e-389993750118', 9, 6);
    T('-7.0261163493645482E-25509670489', '-9.77658242346635969750551623398131290879E+1018061', '7.186679398825532140608497335072964984488688458092024793354086198e-25510688551', 64, 1);
    T('1.0004162600961528910119515731381881680625452084352E+30887', '8.9961E+8578360', '1.11205551305138103291e-8547474', 21, 0);
    T('-8.300946837376206004323160959049718780445697966506451639546E+34467', '-1E+41435', '8.300946837376206004323160959e-6968', 28, 6);
    T('-7.0882352E+4648646541', '5.14790251E+8877312167338876', '-1.37691713979253270668484357136747719800933060016321093850706975e-8877307518692335', 63, 6);
    T('-9.94154266280E+9635632252050', '7.45270309370453655300471444737226620397592E+6758', '-1.33395125738979745227887444604565669549829461705163126485518275e+9635632245292', 63, 2);
    T('-2.18655986781922451633725770956336998953739424521627594124637E+46234383065350', '-3.2470685803394699416E+646010560', '6.73395037314126313385872936845468291711117058083340903587584360637751e+46233737054789', 69, 3);
    T('-3.898599455629658450155151254800849498E+472035447830', '5.6973020862348202685453960908194129128717237021178E+73', '-6.84288703e+472035447756', 9, 2);
    T('-5.7226303229E+8165720593', '-2.21117625992888983549492E-9642498', '2.5880481e+8175363091', 8, 0);
    T('-7.4137086784964133287407866750242995E-417438351471353', '-2.805182951956393644548842504458882228094569418E+85918623', '2.642861020286016220520432e-417438437389976', 25, 2);
    T('-5.486348487909933037672425144575E-952', '-7.5E+6463659170', '7.31513131721324405022990019276666666666666667e-6463660123', 45, 6);
    T('-1.94168774609123705171372501962832204139199960984082E-3554590', '-8.337665905489037361615577269995E-86721', '2.32881452447374037667159044091925036733432398864786740486540147e-3467870', 63, 2);
    T('-56869.60840856726883722979882554140', '-2.150391163085901743636736675506E+94548176695', '2.644616913648258737561315669571189020092766318402781703723040371471e-94548176691', 67, 5);
    T('1.89943653779090013126836251453097890584187351901795607403051E+923576064970334', '-6.468250236024599593267065725942771528316E+690272557', '-2.93655388780737382737162600877153981067952970194065222490210063259e+923575374697776', 66, 3);
    T('-7.70842570914812685893171010E-212271222255', '-5.527421647850900792482896164487026799868592E+4100530389172285', '1.3945789194759938948384058131553313959345e-4100742660394540', 41, 1);
    T('9.89195312888823470805544016E+4459452495', '8.421655367992778298387368531541542644420904973005E+3686712609329473', '1.17458536316785e-3686708149876978', 15, 2);
    T('8.3222895837908778622839238805E+76590', '0.029052746009796125524068676', '2.8645449146131431799925659635427345220054653499574209054714232319494523439123187e+76592', 80, 6);
    T('9.0900408093102171659271482449453012E-783771343', '8.62184395570422472521850449162588374372130082E-3814969293368704', '1.05430356383291218222819548271815508657749087660481818053e+3814968509597361', 57, 5);
    T('3.88492573532432132669540E+4743928723588', '3.259703181153505874E-7', '1.1918035230279982002008e+4743928723595', 23, 4);
    T('8.4933790285276044333923848371318824977470975219116E+34935755981', '-1.218715094828409360123', '-6.9691259791e+34935755981', 11, 1);
    T('4.9787593225892848498804600314031649405911295233874617E+35664229', '-6.867271156812379E+5625032725909', '-7.24998213832043349989688172840497642995231523761406940716152e-5624997061681', 61, 0);
    T('9.701212542012671653576696124708597494804E+935661', '5.8906861464421673173775814571000153398278196E+115076078847022', '1.6468730977752007013602194751074512071195815817e-115076077911361', 47, 5);
    T('8.1279499757415636295942834942456579088523488640451991941142E+660217595', '-9.4953514546599593E+56545', '-8.55992536406082499330571990036547324381767124575706645541106039107053734255e+660161049', 75, 3);
    T('-1.6976200084795293169699898273353111E+113', '-9.1205624183367380608806249144083006338489424573306E+44133', '1.861310663327617503755844222888161902059808479544336572014868709750037583604905e-44021', 79, 5);
    T('2.786756137', '-4.331E+2151', '-6.4344403994458554606326483491110598014315400600323250981298e-2152', 59, 6);
    T('3.70969002822637236986E+455589198', '-5.4898E+20562285022', '-6.757422908350709e-20106695825', 16, 4);
    T('3.22729529555209415969139217E+4147037789722280', '6.81524943553964631062984041914016139E+17048914867', '4.735403048819664927241667630248875798974106256377128735966751769614711780957977e+4147020740807412', 79, 3);
    T('-2.852476474416034232798086342583175E+58189', '9.3199309883916992005078901569459873773E+342837017905151', '-3.0606197384603959927269858926211553669e-342837017846963', 38, 0);
    T('6.7758912936323317637373693E-387656', '3.3315103111562641448014661190473489082376829816E+92968226706225', '2.03387973044592785804233998986644e-92968227093881', 33, 4);
    T('1.94271467804E+9546951', '4.58208825737849440245748494794331810220419805E+65', '4.2398019612818773102315089507189164788e+9546885', 38, 0);
    T('852239.96625932494775548428571274446064642', '4.07907061648E+2173428451', '2.089299368381022e-2173428446', 16, 2);
    T('1.644157745644807007009848911299108230712E-4950085413', '-9.35853136611137650480E-2583600', '-1.75685444791e-4947501814', 12, 5);
    T('9.14765E-4883155', '5.74653381477216419596274602705862890446371839E+6672002514199', '1e-6672007397354', 1, 1);
    T('7.50032802435398621182422959E-3829096901321', '-8533801595284703058767402486.510251364057', '-8.78896461396318846679825034594869e-3829096901349', 33, 5);
    T('-1.0E+2545348193', '-7.37671978143E+6647408', '1.35561608632251298510878319296e+2538700784', 30, 1);
    T('-4167402.4560679297188788977560851183093377454202', '1.740E+200358', '-2.39505888279766075797637802e-200352', 27, 5);
    T('-8.1375342582552924861591650889396387587E+47194744761', '3.126407802831766840724631234E+127827544698', '-2.602838391998849617740783344827220122119086e-80632799937', 43, 3);
    T('2.22821877031841998978946338000990187150E-587724219179511', '8.8028217070236E-84885', '2.5312551413e-587724219094627', 11, 2);
    T('-4.3624080011672975326492684952595801537E-40025830', '8.6189706683456E+16', '-5.0614e-40025847', 5, 6);
    T('-9.0341782698830659146613522257928618400575915E+391547590199569', '7.576706731518716469542830691387E+8301136494465904', '-1.19236214228819780272911448855518202656323020802323418621428735878487050497893e-7909588904266335', 78, 4);
    T('5.100003003693764323584782025232E+415182', '8.31728864437822280468028687007683975870681640325E-3334', '6.1318095616904326623078616214703913255628329e+418515', 44, 4);
    T('-1.3578306838711917431104541213334E+767055', '-2.5927925265023746E-979415', '5.23694306425234205337183873662868768367534e+1746469', 42, 2);
    T('2.184585011E+10787', '-4.157731658E+9814167', '-5.254271296697522464303298719525010769706581193701462298652e-9803381', 58, 5);
    T('-6.9997E-215256856', '-8.039320722125616713352E+912716662', '8.70683014391452420196246230890608008962054205513163e-1127973519', 52, 4);
    T('3.5273416459629340494090462242345272899811222223913026247E+351', '-1.32463112152005489702894616966306077940765836206408773915973E+8574', '-2.662885982865328704435741239484775982679523244494202043615316e-8223', 61, 4);
    T('5.03106838232919832031430151632397379961689496585969060E+271978709', '-4.0444571381680334049E+294231', '-1.2439416e+271684478', 8, 0);
    T('4.44296818E+631162', '6.02052484277377451273493E+6771889996732760', '7.3797024279913725085917012634345577458040563678100486e-6771889996101599', 53, 2);
    T('-1.65372612688185054536137132762418509E+986233', '-4.410438275218661271573189768709E+992452', '4e-6220', 1, 4);
    T('8.9371911948504E-584038135', '2729124630.06517507305806629', '3.274746450343299e-584038144', 16, 0);
    T('1.6927006806E+67', '5.3840089436934781110001388547767600911086938360E+4767708', '3.1439411e-4767642', 8, 6);
    T('1.7767224155086902901452666833292316156547141402E+7372297329312', '-9.0722673507379595682488959245922234562E+666877761', '-1.958410556942160119696819841191378963201407334317157e+7371630451550', 52, 2);
    T('-8.02238580899847896760092E+10688842357335', '6.31566588781487199769568403201902E+868055319043', '-1.27023594210017767330269936166515354271953193643969795511303095222816776e+9820787038292', 72, 1);
    T('6.3369257469888706939944619366462437231E+8139', '9.975713694366577442008834262963E-14526', '6.35235326628050653925022801137055388440125152691885881289144071089015e+22664', 69, 1);
    T('1.47722782E-39842300885', '-3.8776569388325886335367E+6393670', '-3.8095887369673700925916037015530551604852383979344371389442986126e-39848694556', 66, 3);
    T('-6.2263243306939579143426244694445944358E-2954305079', '3.0400987382091023914704E+694903635', '-2.0480664829859556735423011925510329487071841085477078162431747153974581771688685e-3649208714', 80, 6);
    T('-4.00412719661969640364053947236124883974705975434011925E+5767505065680487', '-4.230174E+61471196', '9.46563237497960226610191323657430838482544631577830900100090445452125609963088e+5767505004209290', 78, 3);
    T('-2.02335408922127748954E+6107', '-7.699514542477056021607635E+666836590084664', '2.627898263012218907873292826672e-666836590078558', 31, 2);
    T('2.607486626901516292284163E+639', '1.68545473683821294078155644179564E+89991498175384', '1.547052299839843954428531849390848485993e-89991498174745', 41, 4);
    T('-9.359999264347639048870290483467333299658480E-909251551303', '-9.36744677857822397264057357849192822936740438567583373547651E+52166832410967', '9.99204957935003576767688095203524e-53076083962271', 33, 1);
    T('-6.741091E+646681220', '2.9535336856636273126582247130529514230249E+1699752811', '-2.2823816206062160481696260207579355116715833989684818220517e-1053071591', 59, 4);
    T('7.75782963608000425096120738E+577', '2.7381182378442702663167864546655214627470072917E-34690604', '2.833270503e+34691181', 10, 5);
    T('-8.038840387E-35634311', '430608272572354862.427907983370941908', '-1.86e-35634328', 3, 1);
    T('-5.62677516E-36815066865733', '1.432351077261839824915141711512E+5991902700', '-3.9283491661530699865763e-36821058768433', 23, 4);
    T('-4.24423287453190867397452E+753629964256136', '3.9E+272648799004223', '-1.0882648396235663266601333333333334e+480981165251913', 35, 3);
    T('2.66457E+62', '-6.62579347404974512352E-63062515', '-4.02152e+63062576', 6, 0);
    T('6.234569899523144992331406861174971909120650288E+801746649386131', '7.1743631699708369218426669771811687503322807103924697305078E+5676432022701', '8.690067329764807408828801452123790062722495933983131642e+796070217363429', 55, 4);
    T('-98052.312105855249310', '-180.01', '5.44704805876647126881839897783456474640297761235486917393478140103327592e+2', 72, 1);
    T('1.950237610125535E+666300375129', '5.62627751676163E+50441795989029', '3.46630183867654610206909356304867992394551373024120454310636e-49775495613901', 60, 5);
    T('2.5192836483382086053648E+60864', '-3.87645063538797694041515E+58525', '-6.498944228361273986918627433430357098745401196301541101720346158729228e+2338', 70, 6);
    T('3.0080030666380711666541317654592238822135043602046E+986', '-1.640182262504656636134215806153', '-1.833944394719078457e+986', 19, 6);
    T('6.89079049275453802500686560599497010759031433E-900', '-8.32380220841239241818753275531525554188396050E+941361232', '-8.27841690638733446022784558040022138280413086891761466603168092435831e-941362133', 69, 6);
    T('-3.19335752627605932431832E+4960395144844128', '1.256014E+58', '-2.5424537674548685956671820537032230532462217777827317211432356645706178e+4960395144844070', 71, 4);
    T('2.94880341974429085435117956244487393516623665287705242168E-11659474', '-3.153111284424682111600562530747826351950676977E+894', '-9.3520435967813633694287862e-11660369', 26, 2);
    T('-4.631740830330595996450130331191946713422218624198864561965E+4673', '-1.37199544169331160233E+828501218797601', '3.375915611362468466544675467495055449330302e-828501218792928', 43, 2);
    T('-2.14053538331665927760458668863800637972054757E-855146589', '-2.0491637615260452E+792224', '1.0445897119137848513235333141178598233022115091362009921051e-855938813', 59, 3);
    T('6.43957907165835583030770E+532440204', '-6.12E+1073578', '-1.05221880255855487423328431372549019607843137254901960784313725490196078432e+531366626', 75, 3);
    T('-7.008642975848737319E+65742337', '1.34558940802E-11410', '-5.208604448040189411210939178094200052173802485041948212406827325257798e+65753747', 70, 5);
    T('8.2220774728894873887574406542529E+893301325', '-74.38519293', '-1.105337923990713159363911681966097980516456529677243118498153500723e+893301324', 67, 3);
    T('6.3953117950293237038202E+53350646111749', '-4.9035567716803853770627848599217460166203E+546902', '-1.304218976715901916000252553663511975425e+53350645564847', 40, 2);
    T('-7.92167523689115465204419688217960742E+685', '-5.81122E+6943', '1.36316904830502969291202138e-6258', 27, 5);
    T('6.0464E+85041687265', '-2.04E+2362601833', '-2.9639216e+82679085432', 8, 0);
    T('-9.7288630942219512197E+990778433282064', '-2.74625701268221003E+61900433712', '3.542591e+990716532848352', 7, 0);
    T('9.1734849E-521720846', '-9.70886396522470511561403127234095813928683185236E-2276097720020540', '-9.44856672506450745410742718364131841e+2276097198299693', 36, 4);
    T('-9.69294993333644109660187543E+8714782367776363', '3.1420E+720508807018', '-3.08496178654883548586947021960534691279439847231063018e+8714061858969345', 54, 0);
    T('6.326980967351941150543E+73621900994675', '-3.27266489643414660910316636076854017E+648745059507', '-1.93328103168941551973416e+72973155935168', 24, 6);
    T('-8.4368184255042528129018490762724549786180540905045921660E+3764056', '1.202718958268789118108158634680125361179819908527845E+7391', '-7.01478792489338490401844652669033907679202416500846550688614e+3756665', 60, 4);
    T('-5.2860E+827970', '4.408742830496054090E+141026606754', '-1.19898125230526100928428464216566758341164892e-141025778784', 45, 1);
    T('2.6597369352807849E+4741', '7.5608112268049499058140208654075469676E+171836692', '3.51779307205999032543126420233682980733337e-171831952', 42, 0);
    T('9.35E-3280824314997', '2.249118575301004274765540983249084769225E-5014944', '4.15718410877855553359176674562866124632305244782e-3280819300053', 48, 2);
    T('-1.552003456329783E-57', '2.6073180448137033246043472371391147714410085313187E+85033443229', '-5.95248999030601926260971845944344040466182561135398157685196701696283e-85033443287', 69, 4);
    T('8.567887692478915E-6199761', '8.562139039193263335947486428044', '1.000671403869913483e-6199761', 19, 4);
    T('-3.496961064588435012602E-29846089531', '-3.927831333899281270716235141347208184482611162483820037E+1606372', '8.9030326592890947e-29847695904', 17, 2);
    T('-1.712521634544446E+278415916324', '-4.28829775493741747631909147327461059788291158010E+8396026', '3.9934765084180545e+278407520297', 17, 3);
    T('-2.680223470036388762205579695E+116666', '-5.4612E-5290570399494', '4.907755566608783348358565324470812275690324e+5290570516159', 43, 6);
    T('3.4072428208270164115786839459840957797675481141169294829E+43048483', '-2.963961479868951255063026930240E+196413', '-1.14955705192824045083990991509314e+42852070', 33, 0);
    T('-6.821359760292127737422424E+93', '-2959.595409449301579412700057930118350717712586318276154', '2.30482847030817402698491750156e+90', 30, 0);
    T('-6.782294882259867380272E+4315', '3.64621167400873988045424718177395692224600654E+2729672', '-1.86009356796426360869971e-2725357', 24, 1);
    T('548575.65886268528581', '8.179E+11059353571', '6.7071238398665519722459958430125932265558136691527081550311774056e-11059353567', 65, 5);
    T('1.39504887890493269E+31', '0.00005253248897', '2.65559257948278534e+35', 18, 5);
    T('4.87E+12134703042', '7.529662946594391897617237324514092138024670E+4329', '6.46775298514877508168316730970453583e+12134698712', 36, 2);
    T('6.38777777195433263646301074478403016267323148716773819235112E+3145', '-3.608177010467028852581636675664075652954486056856E+559646', '-1.7703615297763683502204018595386947398085203575918918736626202266815968153e-556501', 74, 4);
    T('7.6814986495719774904528883093704256401E+6910064321566635', '-8.219187115261153264996498812086861214149721737269E-1892308447762', '-9.345813085711589291e+6911956630014396', 19, 5);
    T('4.7621902', '-0.00005055159790073431430990569', '-9.420454343206477071023906756687666677476614894589553238175614e+4', 61, 1);
    T('7.400850438490559049067E+7320789770031920', '-8.9599208051816318673552E+92', '-8.25e+7320789770031827', 3, 1);
    T('5.26660983E+65467437811', '-2.07000779894309178452857649199062909192912E-2760013', '-2.5442463708054795211340097473381650340532167260258991183607480942527825e+65470197824', 71, 2);
    T('-8.1808342477669229487E+58', '-9.077204992209832837657303449939261976502318665487948920E+7648873473991', '9.01250357878643689516300826031187687746643085316107757e-7648873473934', 54, 6);
    T('-6.417350554249762148622793007531842967730496328360217077635E-7132', '-9.4409603393392777555865534E+259069361221', '6.79734934115704392409082767817e-259069368354', 30, 6);
    T('-6.7266675060603801621421491056607715302E+42973', '-2.0E+39', '3.3633337530301900810710745528303857651e+42934', 74, 1);
    T('2.4852228962343831108954628755760735321096578706E-36', '-1.7339750668225700998262E+44679092999075', '-1.433251806087638995891923754951725400007947958435944500228430992e-44679092999111', 64, 0);
    T('7.81370878057538906711279156812449042946E+3074901504', '-6.729143868450031388254703E+609', '-1.16117427912492718817771404910821268469605896e+3074900895', 45, 5);
    T('-8.102316421315532393592335E+5839878631', '9.568E+774207708381022', '-8.46814007244516345484148724917e-774201868502392', 30, 3);
    T('6.28930384099753E+260884367', '8.44172E-99991252', '7.450263501984820628971347071449894097411428002824069028587e+360875618', 58, 2);
    T('1.478029310703060657404891426613794124874408327748E+170679948', '9.9495523806866909956452551701326827450783166907E+7163623', '1.485523422714068973608543681368368240614552135487145e+163516324', 52, 0);
    T('-136.015296', '5.256665E-842944538', '-2.58748267199831072e+842944539', 18, 0);
    T('-5.440247277333874686333281679184814187307E-355920', '-9.9985407743602187834701387596306108782162050643178769564846E+90071509108', '5.441041248023e-90071865029', 13, 4);
    T('-6.958792370E+63', '4.389404367157247408695329583018048779163393509381718E+27405998084070', '-1.58536142672742413658823016e-27405998084007', 27, 6);
    T('5.53604500654413E-39', '-0.00247061859', '-2.24075259084977985209769e-36', 24, 5);
    T('8.0E-64', '-6.2058346996526530092163684911169488574794993E+2069037', '-1.28910942478821878376667137873733056123356725032e-2069101', 48, 2);
    T('-1921284.36204607010235395', '-3.860022672464980095528883E+804794975755299', '4.977391391380489e-804794975755294', 17, 1);
    T('-4.8865333114961066503156486338976567146295977499636256245844E-6044', '-2.1614831205E+7702921', '2.2607316546454181067085731303529079373301530947410540394198743408600215e-7708965', 71, 3);
    T('-9.9914E+86866295195', '2.015370580418944112786633469101249790E+79703177548', '-4.957599409793430106393908805e+7163117647', 28, 1);
    T('2.2366270155308922009564063897892E+8632974914507769', '3.85935042350453019E+632', '5.7953457709079855448648803556505e+8632974914507136', 32, 2);
    T('-8.275248407080510630452988390235164559119542E-2636363752805', '7.3656804128710510743809420547557451933315572985154E-343254577', '-1.12348730099938197126657141337460589253131845520586950393e-2636020498228', 57, 1);
    T('3.30388159875408424317523953781492071994660E+1318971246869337', '5.929689494868823027300498710247652470630E+894655', '5.571761559544e+1318971245974681', 13, 6);
    T('-5.3371053498013204E+640344', '-4.095098626E-8060829828', '1.30329e+8061470172', 6, 5);
    T('-1.26302810501E+848309240905643', '7.03554221626E+8457338903245063', '-1.7952107544618058196639112437225951366009293610475236136551445945370562758940548e-7609029662339421', 80, 5);
    T('2.5803188538644867462032724186146587639E+49', '3E+6794', '8.601062846214955820677574728715529213e-6746', 41, 5);
    T('-5.7515E+759558', '-9E+7898695', '6.39055555555555555555555555555555555555555555555555555555555555555555556e-7139138', 72, 6);
    T('-8.6017507663157031294393042890896862486E+689373986621384', '6.72211909260068119927088064376674545580352267806355340546482E+71055154023', '-1.279618918948343455292610505681276603599484670687971747051562585e+689302931467361', 65, 6);
    T('6.3982904380981019E+9671437636110', '6.535432762230326088873328910353930E+786856514546586', '9.790155710996218604448302694e-777185076910477', 28, 3);
    T('-3.96716810958736926387359865552555286586801351799770416412630E+6089986532', '4.9805680969669139499833778148806247E+95484765246', '-7.9653e-89394778715', 5, 3);
    T('-6.849366691229846411279843912949156136228E+354775577897787', '-7.53655489730340335802190177867744E+11934804752907', '9.08819319246326399841432707404493023692937839905433486922805315155660256728e+342840773144879', 76, 4);
    T('-7.644322565560125740E+256827', '7.4683411528366797110736260E-937417438950', '-1e+937417695777', 1, 5);
    T('8.2403665521922386280589722161E-51770291889677', '5.07E+752161461', '1.62531885e-51771044051138', 9, 2);
    T('-9.152996E+5798165', '-4.23999703183303162175002E-803', '2.158727e+5798968', 7, 4);
    T('-6.18514722312142482347115641828972999012319645802E-572', '-7.0963036568042915768767008131643E+9468771890', '8.716e-9468772463', 5, 1);
    T('-7.859614161001743901801427253312E+57546460677372', '-8.79886606E-82397', '8.93253074590130072033557839305488871142107145565527566e+57546460759768', 54, 2);
    T('6.499375E-4982', '-2.1543855918312780142935838495607817839533E-4967106944', '-3.016811393765115009578002748e+4967101962', 28, 3);
    T('-2.1550138556127684077056436305446556487E+58', '4.878599E+4706671', '-4.41728015689087872913e-4706614', 21, 1);
    T('-9.3E+1421326516897', '5.0338562046794489E-360288788', '-1.84749019873765246249114362778450578131766755366778256705537275799685332856e+1421686805685', 75, 2);
    T('8.023866394546874123728701620922969764134822027897376219735E+464222', '-5.39500731233593E+230', '-1.4872762778652659226841512832254865391665078682649932303833624209399991e+463992', 71, 5);
    T('9.9350121679190881745164098E+995342093243', '88918889731419305018259603060063.7239025036128013682367699392', '1.117311765579611399285478441264770947055107428555567047080754686574146109583626e+995342093212', 79, 3);
    T('-3.060832798701320179398869549338172290556277E+343778', '-9.967616742210299894532477668164351249E+66433427169420', '3.070776974940738318370015977253306142774669054e-66433426825643', 46, 5);
    T('-4.34568215650446530901723240720661048491651348086E-5107392618141', '3.6963628826186549619002380102808046531753797598473695848770E-7759', '-1.17566437455020811189186869935113605434713958670243909158449878939e-5107392610382', 66, 0);
    T('-53462416.902251455189285976455537475480635', '9.201738603189249E-7976', '-5.8100342997921947e+7982', 17, 0);
    T('2.342E+306', '-3.80562320861626680578480103012809975E+41509399', '-6.15405118062531e-41509094', 15, 0);
    T('4.50573268384913634375539166213562044763996893850597128815027E+17867246626609', '-5.6221459439222716545235154648E+9687808', '-8.014257774151139758203462671461815791909565618e+17867236938800', 46, 1);
    T('-2.26156554E-5623376417255', '-8.577116067658102022219359429750085E+856852', '2.63674354195547039726975266753552505e-5623377274108', 36, 0);
    T('9.72028475424274755345128426222102261825907686671E-46331688736759', '6.00001554096003305043438419080035979949304660799787414E+70133992473646', '1.620043262869191e-116465681210405', 16, 5);
    T('2.0891780091311886617219585315779396516778E-159567327199', '1.1199567901818915570998812872378990E+9602900', '1.86540947601371e-159576930099', 15, 0);
    T('5.30371173182860349404645970E+65549086176249', '2.7992326850974972251709808550960224344747273490173564E-48', '1.894701987464066534984307908527770453996424437863816359e+65549086176297', 55, 4);
    T('-5.9913637591748762720264015728393075557881539E+35768139', '-8.12732278608993900590458446752E+3063', '7.37187868239859315462407774167206606522249772891918131508782114817651133750503e+35765075', 78, 3);
    T('-7.08982782593691275327E+114344', '-4.9050508346945226379417290094046330643317527487601790831385E+5858', '1.4454138e+108486', 8, 2);
    T('-3.6124E-7230824', '-9.4358956907045E+5536665', '3.82835940371686334316413684038e-12767490', 30, 1);
    T('-7.0505389610012939404751587163E+19996629172', '-9.8728510050770467587637794548E+5248', '7.14134e+19996623923', 7, 3);
    T('-8.02790467738188005597201215913578038011E-535650', '-2.54649814463253436476925126745932518773298220293613306E+8866', '3.1525272045860160906527694057149755774299063466319650535732778e-544516', 62, 5);
    T('8.2948104875171557491693273777021777E+726524221670', '-1.17337597074798784441850683929806111E+7382681086770', '-8e-6656156865100', 1, 3);
    T('6.083407626351487E+22147347022476', '-9.7287806215158335459447531943751952690278248535031207763546E-263881199208', '-6e+22411228221683', 1, 6);
    T('-4E+14393615527', '-2.259783E+844507450', '1.7700814636e+13549108077', 11, 2);
    T('-9.70909401065390508472E+9028145758922', '-4.33511148636126386179557675499510117015967E+988', '2.2396411352279588592733409672297e+9028145757934', 32, 0);
    T('-3.088853234073502950829602309899194E+21615571', '5.20537068218E+2597118243244668', '-5.93397362583195842721086555312757344193245e-2597118221629098', 42, 1);
    T('3.086342903699731111950528746669E+369679740', '-2.2075462831829899146306242855E+2635858861885532', '-1.398087517897759607881e-2635858492205792', 22, 6);
    T('-8.3037336113795613301024E-93216420', '-6.18613515732797584269E+99693348914', '1.34231364174821162613271812275062236e-99786565334', 36, 3);
    T('-7.317168775E-82837886042', '-8.046430969916743120510091002881E-6365308598', '9.09368240696621692639417397597385527595544345909270805626166968086169e-76472577445', 70, 4);
    T('-5.3302782333529664070263912493980505118110E-75422252', '-6.54939E-309309689320953', '8.138587308669916446e+309309613898700', 19, 0);
    T('3.222339579577710873454171431E-16168478653', '-8.586703', '-3.7527087865711797339e-16168478654', 20, 5);
    T('9.3904956833406924289089E+95779868607852', '-3.3383638860728356333963E+8800960', '-2.81290356707861079944537170745936677e+95779859806892', 36, 1);
    T('9.0102316177582217735654427E+3652016', '-1.26147533558481511819084575552326838195816413298E+559', '-7.14261417848579101911862919184739264460363514777132e+3651457', 51, 6);
    T('3E+134216', '9E+37', '3.333333333333333333333333333333333334e+134178', 37, 0);
    T('1.7E+51', '7.8376911025096305515397160126489614920507878046E+675410073143597', '2.16900612408118456780328010983628606e-675410073143547', 36, 1);
    T('-5.8885246850225E+302437787815', '7E+9053301295031', '-8.412178121460714285714286e-8750863507217', 25, 4);
    T('-4.50805117655078015714104795010764763914976428917619E-4636', '-5.379E+19744816999', '8.38083505586685286697e-19744821636', 21, 4);
    T('6.807802365691333629861447583840E+8161581130', '-9.423252339021730013763480108738510347239138850E-950312', '-7.22447210449856429556766047776480756074773052387459e+8162531441', 51, 3);
    T('5.4088E+530512', '-8.1459928452622067221289449E+854872457515081', '-6.63982905797150773058563506443495424188488348852647572733e-854872456984570', 57, 4);
    T('-323054556493.5091326590594', '3.93218094125388334480984E+32005', '-8.21565846841e-31995', 12, 1);
    T('-3.9344310087353609480032869904672E-551353', '2.19080607E+38711382', '-1.795882831717442223447594788920408642103132387249593479536050399933390726820472e-39262735', 79, 0);
    T('5.815324318971929837778857260769904656032891774232830E-75065419848', '-8.250289781964965341403344751604272E+349470759656', '-7.048630378637316661549251726924329361933945e-424536179505', 43, 5);
    T('6.88565647271233866033950524853662717554247568865E+6230692609273', '-2.53E-6852749165864', '-2.72160334889815757325672144210933880456224335519763e+13083441775137', 51, 0);
    T('-1.52408025620671277E+1890432', '3.7624063917166572764861154653873858923420239311360977182E+143738957660249', '-4.0508124256915455307198e-143738955769818', 23, 5);
    T('-5.620755368E+72', '-7.7627484980165946E+90', '7.24067689354629969659779084279883857961877388563396148492320492317749354239e-19', 75, 5);
    T('9.9374990053712014382363996299670915023569E+1060740265', '6.1329887990243886717688672464020015283476374157062278494E+524244018441759', '1.6203354238885971931525962432e-524242957701494', 29, 2);
    T('-7.57475639990E-925046781344940', '-4.1743392387E-74158', '1.8146000999810882955395390395250676251656508666304145722e-925046781270782', 56, 1);
    T('-2.419468154684506116085003021805152240066159199717432E+9415', '-631368.45141082812305515995400', '3.832101761306047492276846353108698326239e+9409', 40, 2);
    T('-6.88617316874445E+453690', '5.94653670936334230E-1332085893', '-1.1580140685756749618160570469491642476683620652941e+1332539583', 51, 3);
    T('-2.485664586299490385545881720616E+10514', '3.875393952333307949631909230643147715598080620E+40343', '-6.413966210591092424969e-29830', 22, 1);
    T('-1.278764E-608550', '-9.566552116621826490729940143341809569609413019871803691949E-69', '1.33670311e-608482', 9, 3);
    T('-6.6977604362E+643781', '-1.60012268428154025478E-5867433838789170', '4.1857793167948956e+5867433839432951', 19, 6);
    T('-3.0265024E+35267', '6.02201387760618280712238505538229425723383515472391814685551E+850605204', '-5.0257313608235459826e-850569938', 20, 2);
    T('-4.179488160154773126808014905703589E+2387482049185', '6.302538045637E-1260', '-6.6314366210737417516781012245705435515460761899558116e+2387482050444', 54, 3);
    T('4.15562452944635661642295798747728576E+7557553803', '-8.8424721826123657493591626984053809475673706736431131054125E+4103300855508', '-4.69961843659274525706427908311e-4095743301706', 30, 5);
    T('6.19526136216556142563694690263230584405664861660923E+35566', '-2.8558202202722343463535E-17959645303856', '-2.169345716578402478174715226104522677098728548654627737656076157349e+17959645339422', 67, 4);
    T('-1.74739683288928182622663448783691E+6219179809817', '-5.85528617456908E+284336', '2.984306455384960855482154501221021877323726666079876e+6219179525480', 52, 6);
    T('-5.97290236350E+6542957479', '3.12730652326918138569308393E-64519990922579', '-1.9099190690320078158952886603370014173069494980718103075632873284285029554169461e+64526533880058', 80, 2);
    T('7.1563985565422172026744811743366927505E+59', '-2.37582557369906978572446659525157257272280E+240096470174', '-3.01217338e-240096470115', 9, 2);
    T('-8.62662736563554945358406508405587390010216818146110512491752E-421787', '7.1863534E+90410575', '-1.200417915104975139906710555600546154618e-90832362', 40, 2);
    T('7.73816817022070336E+6730', '-4.130558998227895479844841075110010E+663234357818', '-1.873394902128394e-663234351088', 16, 6);
    T('-1.2541373556864602632E+6978', '-1.57416382888715316993321955585E+864571', '7.9670065635612149920763532292196219195188960899290207604741198465353e-857594', 68, 5);
    T('6.4971072859200867109974E+9933791937', '3.6817336456069963031378238602042884325814019739530969302826E+2218336', '1.7646869413468741738388990846091159892243570868821399247437583305e+9931573601', 65, 4);
    T('24.28854765252094897000633724856430', '-5.561376313640147046698E+29384402', '-4.367362e-29384402', 7, 2);
    T('4.559946546903991432627484013487795243184263E+15147082', '1861960528.4983652801958480222438168075429159', '2.44900279952846211261899842487198884280016807e+15147073', 46, 3);
    T('-7.7540976795031919577759656732067387E+43194', '9.1967451140715265E+7552702644620', '-8.4313499866806088612164342910107957258197e-7552702601427', 41, 3);
    T('7E-1469343', '-4.9503238366839590045923815381811641E+505677792', '-1.414048904867008e-507147135', 16, 5);
    T('-2.936166332440460468294712788837E+539927', '-6.8338921322891428831721676083648568241859238922E-4903455670009', '4.29647743277583076878307555398935003818252147e+4903456209935', 45, 3);
    T('3.883283443006634749046904E+406544', '-1.2593E+96215521140683', '-3.08368414437118617410220281108552370364488207734455649965e-96215520734139', 57, 0);
    T('4.440141233321778076E-7688396870', '-1.331817329548960408567220588024831E+65', '-3.3338965748594797343594878894630449814349e-7688396935', 41, 4);
    T('-42.171', '-9.5725680109500661432833799747767403445773767342819E+2848610272978', '4.4054009281271826378590738237960614327512158799671543503736814578e-2848610272978', 65, 1);
    T('6.0543976899897697587E+216902', '25777.5817897560948861134111679851450303907856280332', '2.34870661622563e+216898', 15, 3);
    T('-3.0939719499166298166546816615E+587', '1.73126283249249107168180155600898881811E+897', '-1.78711856562082647370647002531289573604028068796458573111559238734462602e-310', 72, 6);
    T('6.1312418049E+2310048', '-3.28060985578E+7120', '-1.868933544199888357502994540369587549907461248869588677706913988219000545918e+2302928', 77, 2);
    T('-1.123694179E+93895521557', '-4.73804712712168858731089936072480669883029353485091403655E+2648069845', '2.371639937e+91247451711', 11, 4);
    T('3.43630984588186059512974478620796129102499536022E+4419290', '-5.205807773966716E+9705739654', '-6.6009157369701816482567e-9701320365', 23, 0);
    T('4.45623785601806694957905903841334058E+73165879465', '1.57838052773759961616195924679289277108656038355E+24025322', '2.82329753675148057003376977166702690786740315692886051074967846614e+73141854143', 66, 3);
    T('-1.002552871493110773632933016431252E-1030613183890', '9.003285768567605410416389690230489502756387268065240E+928680890520514', '-1.1135410973993928862e-929711503704405', 20, 2);
    T('5.49774123E-419860513', '2.83528020730735278139270744592795573195962279621288435361572E-8', '1.93904687650649146201121423699574854737425375675847e-419860505', 51, 4);
    T('2.98869771E+381370165', '-9.25120396177339511075988319765060020907343124421899439782241E+8159752005641826', '-3.230604062292327035791541461054197e-8159751624271662', 35, 5);
    T('-1.32232842175286679672157690588430173299765610E-7356792724979', '-8.560622233339317224426039466991236258735989101392068E+121', '1.5446639107646437009112254155553702636564802859e-7356792725101', 47, 2);
    T('3.499E+149492026455', '-8.896448182090929795849173925129765375965661832E-348', '-3.93303027048894808e+149492026802', 18, 4);
    T('1.8961801620593122964E+128763551147', '1.32510222690E+158', '1.43096896493436290398252895729097049938706128967867633729957321528e+128763550989', 66, 1);
    T('5.86424981500806413598251623665978E+8794616', '-7.2E-8159', '-8.14479140973342241108682810647191666666666666666666666666666666666666666666666e+8802774', 78, 2);
    T('1.94509586889388724675474147757194251267E+82971', '-7498094132.211859681', '-2.5941203e+82961', 8, 1);
    T('-1.51785379200830526763570116188980918E-1777131667211', '29872149871697351408319311807767207685095966108795.12622080', '-5.081166901e-1777131667261', 10, 1);
    T('9.10777198140364550815E-292981896927802', '3.09349892144416549694509847697898381791081023892867816213556E+92979963370', '2.94416523576862398172349196291214511163042396e-293074876891172', 45, 3);
    T('5.14365093298717887196015405299623318880839692433E-6136048341526', '2.464154095403612827119257354096405479584317872148545808639E-53530419', '2.087390128150521138994147730405374e-6135994811107', 34, 0);
    T('-1.52440048893592294008646285673955158477638045143E+201540739822786', '-7.58798743807320082753769864962658509779711814351497E+3507611939397', '2.0089654883812119806807259146e+198033127883388', 29, 3);
    T('4.662519188014364E-1702', '-4.44583979938421736694962460552812904943250841769928096913E+566804601445', '-1.0487375610475569490202263753679024357899195004454570871e-566804603147', 56, 1);
    T('8.13501289872130936E+660616', '3.53002852189905011190E+931853904', '2.30451762e-931193288', 9, 2);
    T('6.9133429518036390422069E+24734363152', '-9.53500091763791010789425918164E-136268102507', '-7.2504900749566681469116356332617240458439219969837721102e+161002465658', 56, 0);
    T('-8.9689198850510271254535024272812013962841455E+902', '-1.89516461823093825344569759304960672311928655243180E+700069100995', '4.7325281396521435809644373384484622738e-700069100093', 39, 6);
    T('-0.07449490704365', '3.492702427916554191315E-1022107203848', '-2.1328729996642529067693554216785773007565699390300067214569818e+1022107203846', 63, 1);
    T('-81.3026701492894037685744698156443', '4.2969260646206E+7769842897744', '-1.89211238281960241615169707097401124790531853553204617505580895276962926e-7769842897743', 72, 2);
    T('-2.81E-9924774', '-5.27820534352015827081118464478447606406785626E+7299', '5.32377923388245e-9932074', 16, 0);
    T('-3.53067557440557254154587546372773576560055710065075932E+5958', '1.5140593750848012201946750879074339E+905654632', '-2.3319267609355e-905648674', 14, 1);
    T('8.624346292451832772253694264794846297900206E+416', '-6.338302931406E+4680651345860', '-1.36067120580788161491167679393781021533214172791880250673758246444793370817734e-4680651345444', 78, 1);
    T('-4.708175862353689553472844982771892718783516597515616E+121435114', '-2.3992199567181783192269E+625944', '1.962377750806084241619515353637421491208217785316259655019525497020456573198e+120809170', 76, 3);
    T('-7.8830031587313908E-4191739', '5.13752163996057136462059071356201145857807304597E+9915', '-1.5343980446556114206517687136479566161510408760130691470306369672388943e-4201654', 71, 5);
    T('-1.82355709734907433113912407520475521124E+719322464238184', '-2.6326192551182312375617593837090681720991170454854420167E+7591200244', '6.9267786969338191267374606654544421882e+719314873037939', 38, 5);
    T('-8.23212572364E+388650702', '-2.340529774253561754934117524386E+4531021338794', '3.51720615315196201188838710290497444812788787112411472984433580074678434789679e-4530632688092', 78, 6);
    T('4.71169304219E-90', '-9.5366921477557286880970439826132941935259418033457849150E+1483952721', '-4.9405946728591878566656306860865968065084714751e-1483952812', 47, 1);
    T('2.1185620468808288501595125E+503', '4.967156721124934457064423585914E+5154757038', '4.26514033243756504172086956997554e-5154756536', 33, 5);
    T('-2.88520859598809770E-796588696426708', '-5.12759294907798885911692238565530779302897964362E+622', '5.6e-796588696427331', 2, 6);
    T('-1.4685549698277915549373030114663398E+55339790757', '2.7E-5977695817088277', '-5.43909248084367242569371485728274e+5977751156879033', 71, 3);
    T('-6.7957297132212994352453121873485160E+51', '7.57995920030609269471922895315704775027829089693026002787E+601917454000', '-9e-601917453950', 1, 3);
    T('9.99932197190E+55108610', '-5.12806076027070119295523489998308912E+523', '-1.94992267825082353447524974327765455621202730648e+55108087', 48, 0);
    T('-6.13644254316173112293364310724791205517E+2753501554', '2.57226751872961069152472124317470534E+9156805', '-2.385615997745209e+2744344749', 16, 3);
    T('-8.7392487681891140617E+39445', '-1.7377979145115251027206475736778416918435448811402612302564E+1922369', '5.028921196884745846167178930129155271679652469915927e-1882924', 52, 3);
    T('2.6780774578236706636258847088350477937258222306755165601257E+297717612799534', '5.1068481581734996871E-40', '5.244090630612178e+297717612799573', 16, 4);
    T('-6.7097488946319079138898543282336E+4536666', '-9.6136389815144418E+832232613', '6.9794059331e-827695948', 11, 1);
    T('-3.4645348465194660944727667455902250495357887225435607836E+74571240564', '-2.933661697412421265272763847687532034E-10105474', '1.180959e+74581346038', 7, 3);
    T('1.1808042440353012041141258608884717117544195909083E-77', '-2.012986176032189042561682371841449052293E+920463548491236', '-5.86593319961487567995840509894021938238195757041157502395303275074793357096e-920463548491314', 75, 0);
    T('5.521682341651E+1136409', '176.30964895372160394589', '3.131809504e+1136407', 10, 2);
    T('8.714711482613810466120683087413E-78', '6.3649900387575742E+56', '1.3691634126e-134', 11, 2);
    T('7.46143261694528358436164780902865E+53383', '-6.1733890359103864648339160078245066221801639492165552501177E-1443420282', '-1.208644485799030807993467392523689044836994086838e+1443473665', 49, 3);
    T('-3.85027370780124882708871152095E+573396317', '6.552670301373366565E+2299581699', '-5.8758849914885454e-1726185383', 18, 1);
    T('-8.308946610953932352743540169E+137326265820', '2.4387694465975155E+134', '-3.407024236156e+137326265686', 13, 3);
    T('-8.644186874162078984060035E+6309', '-8.472103472626694631189498519533655340E+89534345841', '1.02031176816e-89534339532', 12, 4);
    T('-6.64901908E-76694764', '9.2976752552017758392113085917817043249E-122108908541', '-7.1512705031078272e+122032213776', 17, 1);
    T('7.468954672192169867519822650450314433145964E+5807665949', '-9.651E+5', '-7.7390474274087347088e+5807665943', 20, 1);
    T('-9909935.48062822846909880922630721085956794962815051', '-3.6499E+854', '2.715125203602353069700213493e-848', 28, 2);
    T('5.994808622216153087407728391406163534387501686E+65', '8.884008234482736164385569544583383E+910302029', '6.74786477453686841270265081476e-910301965', 30, 4);
    T('3.4947925E+94952311866786', '7.7395590132139963911464252968108792976852740237E+438987885', '4.5154930584975566464144213101319861e+94951872878900', 35, 2);
    T('1.6276348831642500380370784250485151333549E+58070', '1.95642532342409906863181572941374E-19', '8.3194327106520675086550085006246446478134991767722e+58088', 50, 3);
    T('4.2E-6215969798485945', '-89.530362857', '-4.691145959844191319292644425655329386621e-6215969798485947', 40, 5);
    T('2.69032619399832734598928264080373589344292693663306E+4706507868912', '-2.65411554163062070438124731E+541', '-1.0136432087449590619383170455875909718e+4706507868371', 38, 2);
    T('8.74919579253319495211450363554397E+608314', '3.904185150589473E+9837017', '2.2409787074806630291291e-9228703', 23, 6);
    T('-9.27519289748E+40272959955', '-6.410677319419664932307875E+79284', '1.4e+40272880671', 2, 1);
    T('-4.56611E+8575117577509', '9.092383598811520597503153527E+8759', '-5.021906467515122480963893968161825328806221238227921707e+8575117568749', 55, 2);
    T('3.6095644449710467491917827185E+1553182158', '-2.070272564718561930407164133597E+649211226935', '-1.8e-647658044777', 2, 0);
    T('-3.869482291748788842741214364513639742553979E-2478799149557', '7.38259195803356565838764055961146409646E+93729230105330', '-5.2413600992e-96208029254888', 11, 3);
    T('-56.887965098341', '-9.304E+67197392', '6.1143557e-67197392', 8, 4);
    T('8.6863729128284786574874782815507218291200485252862812820E+914544', '-7.1276295965729371646711173400996332848929206830387E-794478836308826', '-1.21869028056747040079029708602274414767576583230427613776533399425225742321e+794478837223370', 75, 3);
    T('3E-9', '-9.650199887356720513436968419752606794E+6378', '-3.10874389651811440049293731374358112472478471e-6388', 46, 0);
    T('-8.198636858360761746067341677453140509878678313490564910E+82825895', '5.36480166053148372130843561320744339278399E-22408924843020', '-1.5282273935078773749037879648640259724729e+22409007668915', 41, 5);
    T('6.057535133034E-777401516875', '6.85988902361232561365657942172077967785888577357199038447E+363525415220', '8.830368993118467e-1140926932096', 16, 1);
    T('9.6712552816427551837151188419557E+38607459902', '-4.9917377456166898E+3187936', '-1.9374e+38604271966', 5, 2);
    T('-1.704896485261854508873220483337338304974612962E+312138', '4.3729709472766824439515450800382526322051301524E+48276102', '-3.9e-47963965', 3, 5);
    T('-9.738249347234453267831003106558128684030888922443619261E+89655486', '3.73992642E+175441718128917', '-2.6038612137279570510457e-175441628473431', 23, 3);
    T('-2.5346108329476E+4155063', '-6.419804711162980660765908811620035133555006287770515E-1314942674545', '3.948112048549280876956818126628e+1314946829607', 31, 3);
    T('-8.8621335500052681084738088660512613754440E+25026907883', '-7.991408326703474609238783027E+72009', '1.10895766899962365226936683589321604893009415744605799627725616459352842314e+25026835874', 75, 3);
    T('6.124561990728992747813372690466361292497335030142667E+9880', '5.1418841230E+255401155', '1.1911124102025962259930478582016775823202142259055858151628750736046098953e-255391275', 74, 4);
    T('-8.376708093528413341964659208678309E-112227', '-8.34658255444986807865242343781843917739560552777E+3324883883', '1.003609326198119760749000048513928815703355075014782091272e-3324996110', 58, 4);
    T('-4.1E-91', '-2.5950153179675427E+293554836891', '1.579952138090339002974486318e-293554836982', 28, 1);
    T('-8.2279358347697227859475E+144379167', '3.072339504878271404534809168506488802917531594885E-155156117', '-2.67806856036104652775336293016355010263810229715464805065930737581e+299535284', 66, 5);
    T('3.6022210160966806357864147192748425187844478818040203E+9078318', '3.17573E+843878594', '1.1342970013498252797896592970041e-834800276', 33, 4);
    T('-3.49984098296294122320310172554892401050197799201584174755951E-9572713581709', '5.057243371175002137E-976398890825193', '-6.92045196581035141743593870256653934155102541745809e+966826177243483', 51, 5);
    T('-9.822178815E-3275601535454', '-7.671556784717584750970923627865925603E+9499382117', '1.2803371063571664252150909676246455308635757333070991525431600754024e-3285100917571', 68, 2);
    T('6.272386991387359977409635336364314266355447122160293401E+68246748873', '-1.486E+3493584', '-4.220987208201453551419673846813132076955213406568165142e+68243255289', 56, 5);
    T('4.5261056361491474077023778089863054E+98', '1.431752968281009799631032950805810599E+5768081464', '3.16123363207221217938965217074e-5768081366', 30, 2);
    T('1.77942598961354736067111399080888738139039053E+55681448154725', '8.5757404505330190463558681267510943076613702165211457E+924', '2.07495317737018079212929160572876679432e+55681448153800', 39, 2);
    T('2.8E-5560466136624', '-4.7E-7432354907622', '-5.9574468085106382978723404255319148936170212765957446808510638297872340425532e+1871888770997', 77, 5);
    T('-1.3414E+728736981', '-3244007418179456765452914301608081206508.85448001', '4.1350090400002730981927091e+728736941', 26, 4);
    T('3.09162814107154075433054744226788442E+575761', '-2.3100842008638607727453154076092679420E+5122132693676673', '-1.33831837814198287924291109349107452872e-5122132693100912', 39, 4);
    T('-9.580156195678760572707335698819222179404431471277E+505578286188703', '3.5470219527102090592130894209886385811985281011E-559607076', '-2.70090129787856356715144143483680026557276289089823497442916944104338419881563e+505578845795779', 78, 6);
    T('-7.080281234260611E+17020136554', '-8.1938153757179515887638750E+9872', '8.641006551407961839498684247816818995659e+17020126681', 41, 0);
    T('5.1978316738806158782249E+10575092607681', '-1.030516200137E+2352098898771434', '-5.0439106859160487862824488506627110834931159564123718908751798864e-2341523806163753', 65, 2);
    T('7.47592871278008920176490397E-37998', '2.887138259035326070296020018202388737263125880878093E+7303335179892695', '2.5893906152170235249090275294356033384608599652363245335924062e-7303335179930693', 62, 2);
    T('9.31E+825184473831302', '6.5413246646614706300410672661716E+82679', '1.4232591221615836146414030006055217592634884e+825184473748623', 44, 4);
    T('-4.478165856727325070757965224816611482616861E+9242995877', '2.6861329533142665710005291985953732225674126339987342849E+81', '-1.6671422950982270229821692153462121265719323421317097264e+9242995796', 56, 5);
    T('1.89060099E+17954837', '-6.8055349055653E+73835273', '-2.778034373835832551426845391e-55880437', 28, 0);
    T('-3.0463871675151556102E+58795560270', '4.77764924886096928358382290437107051787852451086E-66511802547', '-6.3763307200532547779996066366229369373300206824518376313111935960652310331113e+125307362816', 77, 3);
    T('2.548880296710548671E+350385882636318', '5.35376E+2142800931044729', '4.76091624710586330167956725740414214e-1792415048408412', 36, 2);
    T('7.5912315585088876214E+59636668452', '-4.0719001585701188417084891671408354808159134E+855445414275', '-1.86429707578454253738929547700927e-795808745823', 33, 3);
    T('-2.3953007425776748305E+5170192031', '-2.6E+6499295650137084', '9.212695163760287809615384615384615384615384615384615384615384615384615e-6499290479945054', 70, 1);
    T('5.7295940823511325290173969249984844222339E+856977405980', '8.07442E+1565054994076', '7.0959822283e-708077588097', 11, 6);
    T('-6.926226473650406703446803161E-51', '7.079495814E+5273764078084', '-9.78350246348546919763289680080599027811e-5273764078136', 39, 6);
    T('-3E+2778677318', '6.25712443747643787E+2799375767', '-4.7945347e-20698450', 8, 6);
    T('-6.49297832001589E+725242053432', '2.81987328265746734535569186716127412710425923151190029597E+29085', '-2.302578048435163734077694350019798581182e+725242024347', 40, 0);
    T('5.428392439233943075773455981834166E-32574', '5.56137249234672871772E+383425435996', '9.7608862681005707355495174386539578329202723070880043436533310681774937470820611e-383425468571', 80, 2);
    T('-9.388809211463141504657445E+3879690310', '-2.9165191935933409928302861533928853E+686', '3.2191830700402554236773408535874097204750294070634554e+3879689624', 53, 5);
    T('-2.765415905627429166642671589623117552572558E-22248', '-1.995892007049182926743046196206E+76', '1.3855e-22324', 5, 1);
    T('-1.76177957538795632814228665E+27062939', '6449207.83205', '-2.7317767100521e+27062932', 14, 0);
    T('-7.3550124744550194222142667961649008027751595916715862E+789270474119949', '-7.58448519563890106785274914E-50', '9.697444565761920052588953344041708404209779143372917592944e+789270474119998', 58, 3);
    T('-1.305723271201077997643707212207254436470576818190821972E-90111153215', '-1.65757265286941230022787548382935992E-7883851945316956', '7.87732150950216073136942552e+7883761834163740', 27, 1);
    T('4.3848288E+5504911670', '3.72E+2738', '1.178717e+5504908932', 7, 1);
    T('7.09149516524549398160904425', '1.50790313160535246609455322963366E+35665252243051', '4.702885096933054176688554069139972918135246229324839640330670140158e-35665252243051', 67, 4);
    T('5.805594604574261993996360922651101993E+1685322989', '2.41612382671020941455174241925E+8668139621', '2.4028547462648679378565564813515006747037118309113217217471e-6982816632', 59, 6);
    T('4.635963E+206', '5.75718366493099308334100414337982098806E+727', '8.052484113e-522', 10, 1);
    T('-3.099438658825852E+87', '2.044471407512508E+7243727311066121', '-1.51600978494334347867857313615606942999664321965803e-7243727311066034', 51, 1);
    T('6.96017023326863416E+8714', '1.90084485354106074464311314E+1723220', '3.6616193164332258557300740925343810623509e-1714506', 41, 3);
    T('8.067E+638241992', '-3.25093630924714192329700293E+1200434063199035', '-2.481438955618349643885433245652983056e-1200433424957043', 37, 3);
    T('7.8983666558622809617259273390491570236716529339775996282899E-81', '-3422.835618676954787434682', '-2.31e-84', 3, 4);
    T('-3.40184833157372607284582096628266836164822232E-21870328668', '6.6485558885413078518167787361793548053029896521361174629E+66442476975', '-5.11667253551521408370667796097629136e-88312805644', 36, 1);
    T('5.382595753268468421326273E+426097', '2.282038105819804424834410737950327497686E+84579583', '2.358679173472790366990172928681825465050397460434675651269460602767653e-84153486', 70, 0);
    T('8.8051747313529298372124417706405907148070886E+8407455655', '4.26073E+56442', '2.06658829152584881867953185736730342331175376050582881337235638024469985e+8407399213', 72, 5);
    T('-6.3857799925790994915E+8934', '1.9120254755043223533975779352655438162712313577727E+734139420357', '-3.4e-734139411423', 2, 0);
    T('-1.1600412522036542E+8653187599', '6.91918246E+582044894503021', '-1.676558262352362073712390582051510172200315122200145015398e-582036241315423', 58, 6);
    T('90956974.573359568971297610021728', '8.89869064700961900943699154493222719293906541538207089250602E+25093272605584', '1.0221388536966999178626617927400800853e-25093272605577', 38, 2);
    T('-4.264921198677151941E+5923354624948744', '-3.33718906344199169382351569785338E+9441003301', '1.277998074906278514064811816365241802366710532683140040459589381597e+5923345183945443', 67, 6);
    T('3.905428564286170741094175748910802E+66', '3.02588420551796957365E+34372135', '1.29e-34372069', 3, 5);
    T('35.8572529055480518354885065001148649372253689467351', '3.643362184857748496E+5030330697176', '9.841803006732382582289965236587922772e-5030330697176', 37, 1);
    T('-7.87253449721251877483096307084971753381922096225E+91930210612209', '-7.0876787779616968574217167080891157650290491707E-3830', '1.1107352271227695054836708326672796590842738872963340343030728882e+91930210616039', 65, 6);
    T('2.934995429E-50449875401', '-3.3113279139858E+68601794', '-8.8634997959691230075810491134305857506236437076883397240763798375306073e-50518477196', 71, 3);
    T('-7.60862516143613370472673540593447180034028475771E+210471027132499', '-4.683035472342356473478669E+17763701022007', '1.624720804779737961296168309855969573e+192707326110492', 37, 6);
    T('5.429536502748281125584513611E+123141339587245', '6.8689639623956568671731105980464876813731892624E-93263250', '7.904447501067754520392451808236685992195558942797343772608523277288101830563432e+123141432850494', 79, 3);
    T('-2.95E-11142', '6.395277340619690683931E+86093559', '-4.612778841135e-86104702', 14, 0);
    T('2.730890682696801654757354789019644116926625565404403752802E+3941826338', '-1.30598703538987843880945012E-405281196', '-2.09105e+4347107534', 6, 2);
    T('7.349E+8173314161178', '-6.629306', '-1.1085624950786703766578281346493886388710975175983730423667273768929e+8173314161178', 68, 0);
    T('-5.4774858475214324245E-7163', '-1E-66462693412', '5.4774858475214324245e+66462686249', 28, 5);
    T('1.0994967816733324736261272005519737E-558846', '-2.403536631843522637227483239395029333486377E+23700025', '-4.574495629093091246181665818245839366e-24258872', 37, 5);
    T('-8.13489189513461566282105982390E+39', '8.12694003952659563991384417943706777E+85085674003', '-1.0009784562909711375674817e-85085673964', 26, 4);
    T('-8.417031505450291635041254585111074E+422504227', '9.55462142074010E-330402716347919', '-8.80938253312637188063969551e+330403138852145', 28, 4);
    T('-8.32282786974084819300347212855768226159227623234292E+2485220640', '-9.071996160280065295809326482073025217677834983858E+88144208', '9.1741968610841109276133341382934929084675660206649769359e+2397076431', 56, 5);
    T('7.290689901012625049471789193939226856792169E+81', '-5.9784583126345073E+945820561', '-1.2194933074309354895783902e-945820480', 26, 4);
    T('-3.941730551455446850258534206269025121068057513E-7', '9.7825396071051052086493966E+1661', '-4.02935302055158472026804760210882190499808982409904775500533310898188e-1669', 69, 4);
    T('4.018243706E+989600', '5.48342715102728029050253352260396545664677E+95557297868', '7.3279786442447971556517976217286e-95556308269', 32, 5);
    T('2.5442624848205079555970052882854676078773492341E+74', '-5.174187E-496562', '-4.91722174869309508063200129466806593553219e+496635', 42, 3);
    T('-8.83668618601876725276099E-70', '-4.216E+9489063468', '2.095988184539e-9489063538', 13, 1);
    T('-7.2006693631315270097265928874390448546908089171216E+7915261192', '1E+89', '-7.2e+7915261103', 2, 1);
    T('-494.09', '7.079212642683765807204031590E-40615825650', '-6.9794484915e+40615825651', 12, 2);
    T('5.255129E-3397', '4.26369948123860807E+9794709202', '1.23252800135749268872430910650862117878531445733684699e-9794712599', 54, 5);
    T('3.682584368676650430E-6202', '-5.84199861773099552137151233043501409127559490936917E+631', '-6.3036378637606536861052931581754902795964549055837340092e-6834', 56, 1);
    T('9.804808137720886615293E+37321959745', '6.5507030814630E+763', '1.4967566100601115468013330879027e+37321958982', 32, 2);
    T('-7.027E+968918349748604', '-5.3860470445934897419774379654579766215969122861816035443E+55403975610157', '1.30466740112374207490132270683937142577430875519898582368297460431390104e+913514374138447', 72, 2);
    T('-2.1E+2', '7.81501467117670230311486317299353734846275755848561670E+2627254657', '-2.687135070577934305230194059455e-2627254656', 31, 5);
    T('2.601725410803397768054584537974906146333696965824546704415E+415846544852', '2.0566861E+63', '1.2650085060639e+415846544789', 14, 1);
    T('-0.000569191891234288085484346', '-9.8282814108023595508857806879019E-37366710', '5.7913674572716624682405774973e+37366705', 29, 5);
    T('-1.3291379424549E-39067993964', '5.642849E-32593823', '-2.3554377273871762295960781513e-39035400142', 29, 1);
    T('-84542975804701673.456662209312804930782202353327', '-2.38968645819476E+7282175046', '3.537827128524967409810169447153e-7282175030', 31, 0);
    T('3.6926860443458670325E-210515405052', '-6.7223343238203900143679250044852093753114110E+45167718126', '-5e-255683123179', 1, 1);
    T('-7.0176619004543658980735805160222908463114106008E+191089403106593', '-9.186971395119911260663828E+598212566076', '7.6387109512304834514755957968032719169299840727019035077762518e+190491190540516', 62, 5);
    T('8.202714906966719978916E-9836', '-4.39566976624609E+290', '-1.8660898891801541030704570623505276355025798938e-10126', 47, 2);
    T('-2.9048743309585203664820879E+569270554', '5.31585584641657914E-78841293', '-5.4645468479298540102700425326914e+648111846', 32, 6);
    T('-7E-3519738', '9.48430023623804E+645166958', '-7.3806183119911006597338636169000492936981621157e-648686697', 47, 0);
    T('-4.71175261191588E+88895870441712', '-5.30601059262639773875890581929963175283851676680640568229270E+11691', '8.88e+88895870430020', 3, 4);
    T('7.2639719143357832910644625E-7', '2.3127301739860138184230673559959777642295677050658E+8356827555', '3.14086441904991204180908552092573011805435172534110798433060029815e-8356827562', 66, 3);
    T('9.41743945202504285784457656751280914305076540673127567485E+711427', '4.734001873219475262054594618E+38', '1.989318911194363308292681962245867875290281754068975245226301903600172e+711389', 70, 5);
    T('-6.79728142897172887055349172037207E-62113', '-2.1152821137546129402524925185696952521873549370E+4621151871365', '3.2134160189661867387175122777765e-4621151933478', 32, 2);
    T('1.78734308532012841006511623533123899371924664315E+2330401595435', '8.0716772832807294698702094025394399394E-350933899', '2.214339130012472012574378389019788922144498320220607864089452322e+2330752529333', 64, 1);
    T('6.938692191919241484549449552728429714067837556E+2730367', '-6.85163129228747148911507879833948787879066080867E-63', '-1.01270659e+2730430', 9, 4);
    T('-2.652E+932140', '3.3390854148019911687483123374772598052128971E-76750296', '-7.94229458235426555199654241498766010128530764116330465476629713100765117069899e+77682435', 78, 6);
    T('-7.499556139920745626735853260042714612982026E+3324', '3.6331579843345169659200921E+60', '-2.064197640801032806085561e+3264', 25, 4);
    T('-4.652870055695340802723649E+83697', '8.34952678900721492485955108E-8970413218563', '-5.572615279013413082987501263064e+8970413302259', 31, 1);
    T('-7.08799916595E-641', '7.978496142543931E+514', '-8.883879e-1156', 7, 3);
    T('1529822.589416011966266395379894042', '-3.25845676188269547745583933939607199388802906551E+14459413', '-4.6949298432062043014151214527978594713015870253643379758229952436999878577e-14459408', 74, 3);
    T('-7.6116137980564440372022466123730100680911932483E+276', '-9.20790151298926721488474248492545960E-342667', '8.26639358307536e+342942', 15, 1);
    T('8.0933456058448326075369305651423189799455051E+28373337', '-9.6877577995038010605021628984369387708949369868045E+5426613096759', '-8.354198952268776861436297939361601466628343701993975626e-5426584723423', 55, 0);
    T('-4.5271540603040460851059495202E+745046210538', '-4.8949309941E-20824185', '9.2486575720081734606489281707604614258069669239997672799879358773246899e+745067034722', 71, 5);
    T('8.157015854529777325288E+103721273496986', '-6.3573279405198505195066340686625451350424912097E+61330329052', '-1.2830887333244543902978478917972250333741865594747905603e+103659943167934', 56, 2);
    T('1.89378410231513018001227492662426138E+10364', '7.7579965293883392364149088E+52', '2.441073665270692094e+10311', 19, 1);
    T('7.62953274492840276265718855129832111210559935030E+3086251437', '-9.93074749351513078114085E+96051', '-7.68273762867352899581101945277e+3086155385', 30, 0);
    T('-1.913590152950009546770857959552725383705919860E-26693', '-2.329484615398912573813E+74013211523451', '8.2146503149252042463512880341e-74013211550145', 29, 3);
    T('4.359529076793813210537E+25371521994', '8.743791564E+782926213', '4.985856587367541e+24588595780', 16, 6);
    T('-2.330770561846582375544836815032035752709E+6526', '4.4234182991379E-8506678', '-5.269161549340329836573372792356143e+8513203', 34, 5);
    T('9.2351481675046727507755777E+1687019', '7.3E-97', '1.26508879006913325353090105479452054794520547945e+1687116', 48, 1);
    T('8.040527122738E+770145147238068', '-4.896629397898039176375676647E+8791275758', '-1.64205e+770136355962310', 6, 2);
    T('5.69639076897674602886156E+8454280', '4.716747568838762658377668926E-2118', '1.20769464251383843825796706939013857103e+8456398', 40, 6);
    T('4.807092339E+4108967', '-8.10151696886720297391219532325448913582613E-6134225', '-5.9335706602514875924545198e+10243191', 26, 2);
    T('-7.6818E-621', '8.8494209600493283461899985769009482074844505868E-183809659954287', '-8.6806e+183809659953665', 5, 4);
    T('9.405058322444306169132941649816E+5352038', '-9.08621577731304812814026064223961830426749E-66453238', '-1.03509079609658415147713410660341948917664243808e+71805276', 48, 6);
    T('-5.03007705E+97224', '5.342E+847997207336251', '-9.416093317109696742792961437663796330962186447023586671658554848371396480718832e-847997207239028', 79, 4);
    T('5.4471E-2027450543547', '-1.104810259572E-9742', '-4.94e-2027450533805', 3, 3);
    T('-6644288360520436593269412374904892754150332673.1', '8.31160925090409E+91536', '-7.993985472545774887915984997806888559497199276210461542856e-91492', 58, 4);
    T('3.2698736611144498799060790567518178159047332493E-806435784', '-4.04966956283577017126419963104364246613467193518E+79774260273336', '-8.07442091355406706866531069567355669543603570292676322673731e-79775066709121', 60, 6);
    T('-8.4575443214218569864505902910287257554838964157429619E+70440663029', '-3.5211559967618297896620258574111662411619E+8150', '2.401922643927077169983799849080055290175277200233917618167525624249860007156e+70440654879', 76, 4);
    T('7.376164365156617567407946070163965318102218748288430805E-58557217574427', '9.22473267210077373515378258E+6968782', '7.9960738455489825869392976741066013492744229604326221235546e-58557224543210', 59, 5);
    T('-7.410428952872231373815583097585258E+686', '-8.9279127811405717533810763400740619281342050793311328673E-3507797', '8.3002927274626930560602442109292407028769466147706e+3508482', 50, 3);
    T('-8.23440458E+52032421401', '-17.51057323369075827036', '4.7025328469297682725578254421302503023837646873048844019903841032e+52032421400', 65, 0);
    T('-4.85773725261096131598604642911817356656E+9626406', '3.929296713638548162653709724E+476677828179274', '-1.23e-476677818552868', 3, 2);
    T('-8.0706275929008391279997185383298820119233745959E+279553765257', '9.9E+9652839326', '-8.15214908373822e+269900925930', 15, 1);
    T('-4.33337551021970979362E+616', '8982350.213274833', '-4.824322596346223634386629801281231715411013806121171e+609', 52, 4);
    T('-3.51816022310285003424163898979663916036129346046522949666837E-44700', '3.7255462637079013E-72476689', '-9.4433405844e+72431988', 11, 0);
    T('3.1782686507703538378769471266212845011029260537732794582750E+38677716015', '-8.17447857555143029708810611588098933566873E+2949', '-3.8880383884986274143008212369369144756437e+38677713065', 41, 6);
    T('-1.078158666264710472686307329407618E+61019', '7.1871090772646796997227686345824706218407939677675874229E+463560463285305', '-1.500128430880923331815452621393829969202e-463560463224287', 40, 5);
    T('2.1866126227788815497915291605993E+6322405292764229', '-6.3388767522174577113080958677398477828538589241E+476127465', '-3.44952695e+6322404816636763', 9, 2);
    T('-9.4492662E-48147892793555', '-6596345735.121692221585016483062', '1.4325001416599756009211889418132e-48147892793564', 32, 0);
    T('2.1172957035277077E-250575585938318', '55772.7993368450846412426204597488857812551733', '3.79628730976923087217315709245518726821678305736e-250575585938323', 48, 0);
    T('-4.9433473045268443223889809E+779706147083485', '1.06754876709365385104', '-4.63055876874351226826e+779706147083485', 21, 0);
    T('-3.24046988432272186162094991470738885368640E-139089', '3.30673568692807773895533599206188E+751852322', '-9.79960357016948003e-751991412', 18, 6);
    T('-8.3710961E+35924677404439', '-8.85E+12178286285841', '9.45886564971751412429378531073446327684e+23746391118597', 39, 2);
    T('7.304553279402168194260228E+2285', '10198346623837913.9228518228360733293859', '7.162487752993501457703234345339210487815318124706139527705e+2269', 58, 2);
    T('2.1627912886815962824168530939612804445729E-835836240617', '-5.4257634814073838843451752767311402269611056566789E-2396812', '-3.986151066283839938580462789178281162107428086257696237293972688633867e-835833843806', 70, 5);
    T('2.09E+385207751', '3.17435563175727101595921128156528287E+27727', '6.5840133950051790801619140263377484769818451202e+385180023', 47, 1);
    T('-4.734288530942690E+9263396', '-3.89824075432659906178113983603341980882580E+3954413', '1.2145e+5308983', 5, 5);
    T('1.9814242022007117848699185721149430278239E-666472266055020', '-6.44248241261545967728115927717940283983780375142282E-2195', '-3.0755601262034511870029779066638072160545612293e-666472266052826', 47, 4);
    T('-3.302841706744153612388551194711210101921877531159097E+29041', '-540635990638475101553355028893409781148706.170422771924116165', '6.109178382378123447334902040442682e+28999', 35, 6);
    T('-3769716281.827162913094', '2.19E+894444029720', '-1.7213316355375173119150684931506849315068493150684932e-894444029711', 53, 4);
    T('2.52711329611842734E-61115712931', '6.1868429E+927493950', '4.0846572912307622034495170388115075622818869378435324420473000857998188381e-62043206882', 74, 5);
    T('-5.0275166070069177444867748759097307736E-47864629141172', '-1.889448258272889439928447671E+9210564', '2.660838466993787889950660297228688973983533638162217341844717571e-47864638351736', 64, 0);
    T('-6.238798161702829317622917942276952135018539044492E+4300341', '1.01788658589761715408423106410505E+83257108', '-6.1291682670139352911134897241209e-78956767', 32, 0);
    T('-6.2022244940533513215511276189375193815295132808275053E+229676652998595', '-1.950133408262367718317695166548418113356455E+19749', '3.180410359504447970676468199434242797661566066639014051635884151e+229676652978846', 64, 4);
    T('4.68190513979998470391034549743301429453149668002417357E+899292', '-4.03134604684814727974160701580795E-323559', '-1.16137e+1222851', 6, 1);
    T('-5.105496940247151754E+75181612541523', '-1.4419920290614103963565404406571675071661619E+746936', '3.540586104051011337466809298044103193540516227961e+75181611794587', 49, 2);
    T('4.85808451623454306897877E+42629', '-7382617184.48179976519236031240045466843', '-6.580436713481767040837126175172291486518e+42619', 40, 3);
    T('6.9144370118198800662301281E+967042', '4.967473E+8619', '1.39e+958423', 3, 3);
    T('-9.7186692E+26230', '2.54337686305313839314715405509602566726721884425045034204590E-25617', '-3.82116757495916140805149048738981129416907738623420084581982735092860129548e+51847', 75, 5);
    T('-3.215145979699967016992606144239683800715926197051783E+97717854194', '1.569197496707650316544307148792584993952327654044401E+58097990664', '-2.0489109793036e+39619863530', 14, 6);
    T('2.8983749250255064923043311200486170942062829701391279E+434117490', '7.2882054426070615526504616741057687671245695978251181390395E+409872', '4e+433707617', 1, 4);
    T('8.5177836520766184285228300084542481380438989265E+849244021', '-9.886844221905556E-6964381756827', '-8.61527041480474586203954852832280667258276019172676777748339068105695914e+6965231000847', 72, 6);
    T('-8.3087E+456305127481223', '-1.4799794468408820329559800227636068E-3666058042', '5.6140644505134796795727447571943708543424e+456308793539265', 41, 2);
    T('0.000007758508802', '-6.3088387184981080390783310247E-335129', '-1.2297839821536923e+335123', 17, 3);
    T('-5.91906147185684E-3874330', '3.74945051E+4608196', '-1.57864e-8482526', 6, 2);
    T('6.1989883905711714319626734654847965857215786914975468545E+834', '3.002439912987088376602E+1494', '2.0646502745175268454259391162920805704369208343897010366676336369883791491e-660', 74, 4);
    T('8303936204.974407521595341', '2.1162674999058036697601551548800637663E+578444', '3.923859439009492269350170272122e-578435', 32, 0);
    T('-8.75674946983096969069631392938880491617415035489647085405E-29895104', '6.16158126253799461383197310080057873052529570014402E-722352', '-1.4211854224939668722554685483e-29172752', 29, 4);
    T('6.4227399E+25773112', '8.36071067372637438342940177539E+86478', '7.7e+25686633', 2, 6);
    T('4.6651116111459833585905297686967540684E+8846036365', '-3.5568727204901282373843764872E+3252845534', '-1.311576763563005e+5593190831', 17, 5);
    T('-3.697753994609359727805824833723778407192E+49', '2.78430371777567936747540716484472E+94869353108237', '-1.32807134904212828870012820934378e-94869353108188', 33, 2);
    T('-7.45899927778951708984389702994860478731504798647205827E+19605277293787', '-3.405571976870303761939099846338268119E+4419436945', '2.19023392500553870701246820601245556375e+19600857856842', 39, 2);
    T('2.3073856339023169669138533418042E+7458', '-5.3604186861264438747867311398728E-787032255', '-4.3044877070408178e+787039712', 17, 1);
    T('-9.94614299145054735502977308426268742703E+451552869', '-4.358250609385264960377834870617990196694369461592348504154E-5005128', '2.2821411348012085693151929429247294636405383198851247787e+456557997', 56, 6);
    T('-7.796965669783071939655665513216135674778E+2453507521554', '9.543854560176218961814123954997873172654549956176070264471E-98706', '-8.16962e+2453507620259', 6, 0);
    T('3.06E+988071928389184', '-4.0398724165166459206748721495323879563401784747E+26319412', '-7.5744966288773677984203293525620238178e+988071902069771', 38, 6);
    T('-5.4838959790639E-45713561', '8.40577097310143466444834948128005400694298869764544887627106E+72972919', '-6.52396549539e-118686481', 12, 3);
    T('4.274942219E-6859552', '-5.597113108096793849415207011310822184473990560842647E+835', '-7.6377627831316485768793e-6860388', 23, 5);
    T('1.721188609931899243901048359059602857775945833E+3563203612', '-4.498939708896208125614428566126134229E+65609442120279', '-3.825765005315405919317443164872738588e-65605878916668', 37, 1);
    T('-4229967322640536.16983104092689993790408078207961550566253', '2.85516847860656668506943201474718676713096E-7225414784', '-1.481512336079349270276554152e+7225414799', 28, 4);
    T('-6.7355107303971211047850E+8215333', '-13.10981655415861568068', '5.13776123607200564587084920509e+8215332', 30, 4);
    T('-5.76821934812172011435421982E-4241669393', '-4.752332076317057391557769669034E+280', '1.2137660532746168758139621421965140247254256713302312950413386467114e-4241669673', 69, 6);
    T('-9.494247009396105902013908550311052166271407726222314961E+126', '0.00996025761434', '-9.532129967930780754105364653343865e+128', 34, 3);
    T('3.8101179954694432387E+6947547334351148', '2.9387895457915104050953475470095384E+110', '1.2964922925242189e+6947547334351038', 17, 0);
    T('-8.803830238701904878824049183917131985187977492E+5895', '6.0778362733052519707E-9759654763281', '-1.448513886e+9759654769176', 11, 0);
    T('2.904988564578263736833844131064644257204569588567E-27003681609419', '-9.915171475136311E+66273248', '-2.9298419819192554789316990281358481241819844867599357e-27003747882668', 53, 0);
    T('3.091564796267909856775532728366E+6251', '2.000832287620347621398154090733100E+45', '1.5451393979376474878608040129518213070099216280706432074882863479751880029e+6206', 74, 3);
    T('-3E+6304667103909', '-3.0710549925305946975805149869573431599038E+32502717037173', '9.7686300222450776314756833388644738643986502691e-26198049933265', 47, 5);
    T('6.4284886520170073664062652539345925145686311277E+397212398341272', '8E+45166343701', '8.035610815021259208007831567418240643210788909625e+397167231997570', 64, 1);
    T('-5.75459206153307666877757787478986761549037113140909761040E+1861961', '2.539779E-5938812763932532', '-2.26578456689856742211726999663745058742920983731619861822623149494504e+5938812765794493', 69, 3);
    T('-1.39290899625372802244431906499153246670540E+24102449522', '4.437660031899742482384E-295128076204277', '-3.13883665319316921380029936e+295152178653798', 27, 3);
    T('6.2493165992929E+224822671174', '-6.613E+1480700680913', '-9.450047783598e-1255878009740', 13, 3);
    T('4.9895827396481116210772460012107317943275755390889423938963E+821384341661576', '9.387615936E-182274294453540', '5.31506910131875215e+1003658636115115', 18, 0);
    T('3.99890390797836264582908236219579E+361879326077008', '53233.7', '7e+361879326077003', 1, 1);
    T('-4.896532844023792061323947005957848904223147220707178704E+91865232', '-4.148435293622532404872488589255903929E+42124835', '1.1803e+49740397', 5, 3);
    T('-6.191164446E+716014874', '-6.638468684277704121761913E+48916235', '9.32619364562631e+667098638', 15, 1);
    T('5.8126905585590138814900024805861687804655409914910749826E+520', '5.5624206943180792816942E+7597883762626', '1.0449929766183599032381549360740389626136721975301809851553631547230215260228493e-7597883762106', 80, 6);
    T('-7.81348463636792964130066904309414016E-576922', '2.4688347993391466052153E+489730446636750', '-3.16484709242571823206019784842034089001731386298522853028223088657e-489730447213672', 66, 4);
    T('5.035021875E+37976', '4.6442862059966629367590424E+8234', '1.084132555934823e+29742', 16, 2);
    T('1.865559025343733955119135503919738626925E+324170', '7.49713877494832190357052178695960936700874914818632204166091E+645593', '2.488361335363694575365742142353316124596606117962038466553100167828721052648046e-321424', 79, 2);
    T('-1.6282137044582630830106647780603809942728113698465E-29', '-4.3296380E-44342075546588', '3.760623184798043354e+44342075546558', 19, 5);
    T('-6.36903839429610598558408153771255219E-50', '-4471656835431100810372385722009807956148423898399938485.08673', '1.4243128729895221380096081646049682219093130386549830092988778976e-104', 65, 5);
    T('-5.84347960826587018238E+784410', '3.3333930949589974295759695681596458037729626E+384', '-1.75301245361754977744791181483e+784026', 30, 0);
    T('-7.440182236557270167603889323916115319956E-799', '-9.484279108895574307741315783338471E+4860', '7.8447525121639580153481612000169919062085556e-5660', 44, 5);
    T('2.0014678103E-4055344131', '6.51033218894349045689392647427474183658882079281068284E-633284585375436', '3.0742944479839240618861622379341743e+633280530031304', 36, 1);
    T('-4.725122966E+7878008476945131', '6.4300849598345503555208254322514653123709E-23488208', '-7.3484611719991644229186483762695e+7878008500433338', 32, 4);
    T('-8.36660647149992917E+636510', '4.1E-87904856658', '-2.040635724756080286e+87905493168', 19, 0);
    T('-8.33014986176183387223869137506780620735919E+4168766451', '-4.7879729189861332E+62580014958397', '1.739807221701196808924678366790445695362505401916717229851002575e-62575846191946', 64, 6);
    T('-5.6547686004668864855070873039425491514708065E+4293170', '-1.17036107016057896843452140129274046145194E+6042513', '4.83164447676905897048092936954709007761e-1749343', 39, 1);
    T('6.139137718128512427104522448526697040124E+18699670003479', '-9.3067405335041252227338882620303552475E+765054656322', '-6.5964423269647514641539723445845301964539101219309110140874102582e+17934615347156', 65, 6);
    T('-8.255E+12772323', '1.727108E+7458309927183', '-4.779666355549276594168e-7458297154860', 22, 5);
    T('-2.263713624556612037761992402877879459907276319387184155267E+6996835', '7.028318480319636892537923394598683726308E+1241333', '-3.22084668031956044106036204876599613623750509786022575599750349910682e+5755501', 70, 2);
    T('-3.9376E+38503', '-954691745.03643001787537346360006', '4.124472658815904e+38494', 16, 3);
    T('646974985.479679702427122692532995011796048819928882', '-8.7811588E+608501423', '-7.36776318724220888053092369236045488433768923446506855108917972e-608501416', 63, 0);
    T('-1.6824942327E+291068', '-62761.618363956809435601122284686639818111044910910779291', '2.6807693564292070704948368280674568235925934628e+291063', 47, 4);
    T('0.0000041', '1.9650854044806492669535868475857499569377351E+896', '2.086423313028262747219556185504973257550300678793602723783994760241719e-902', 70, 2);
    T('6.1768398245436171548378563220129314023380161199895263133E+40526907859573', '-227821803.3917489058240480629993297846201462824867', '-2.711259296776914949471061817862676489970929403085562457619753e+40526907859565', 61, 6);
    T('-4.65625223433574E+1400944991850', '5.3312735345623871578234301917695238540602111478E+1806', '-8.7338460578874505632592264431012838805136632727322433835436e+1400944990043', 59, 4);
    T('8.82061830844916636015181042757654967E-19784', '8.11820545846358E-444451', '1.0865231674142085934630125504048269570025127490771588e+424667', 53, 4);
    T('6.683479204E+947577483639204', '6.2042472172111955264559957425436994061583E+31352465510993', '1.07724256787501431839814251942799785944857297870137169e+916225018128211', 54, 0);
    T('8.459497700975724821598878535100904767480642334976612775E+39752', '-9.372695336741848E+79502090', '-9.0256830047741950128680741244039187044973660569939777817772366319e-79462339', 65, 5);
    T('9.389946608478113410733172744112704569249127139128773034552E+7049', '-6.5199876476E+645633', '-1.4401785886717963374586275411140404028100918421023379477716665728119898777337e-638584', 78, 2);
    T('8.436090890523308449891944998173753767439874146482E+97', '-9.235008192868392238E+73330870', '-9.134904e-73330774', 7, 5);
    T('2.48213493247549515528961177342913E+136105697748', '4.60926525693914315690E-177787961448', '5.3850989129746827396618624581039e+313893659195', 32, 1);
    T('9.963663769056061788181987128915397801915449281493014781235E+69422623571', '4.98435662783787014966746060292741440999084979914817E+5315447', '1.9989869331196173068989662640238963417777174486513357137328883465e+69417308124', 65, 1);
    T('-4.9476637579788571453673199308078503E+87194280', '-4.790793879874470951336912476910221558396488E-9603852829', '1.0327440257372326192481906396833942107106637580596237e+9691047109', 53, 3);
    T('9.086959283924767909490795476944902520406803373781904E-2475433895829696', '-7.083725370419159869914169275339E-5531965', '-1.282793842046853971913896876160522256741097894297881367982103720242e-2475433890297731', 68, 4);
    T('-9.242297068395312465862391339399925314923E+19409', '4.79753800106850862170012607701071721001762596623074603990E+14416262433', '-1.92646667235087376421771559321586758013e-14416243024', 39, 5);
    T('461731064.1', '-3.27483976139301113604937457287199968353E+39561429483', '-1.409934829616196268864392027999744479363566855819906e-39561429475', 52, 3);
    T('-4.8477E+873634336264', '-5.4092380361075057342204935773221315677091930E+368432904961530', '9e-367559270625267', 2, 6);
    T('8.34398358456959332551391099568978321576784761E-665149647000', '-2.89832627E-62116004914', '-2.87889726941252660471310947186418153529e-603033642086', 39, 5);
    T('-9.9816041250022093397797284358101E+881489121748', '-9.596184779741255087383844916136E-44361', '1.0401638103170566953158130185897488218474e+881489166109', 41, 6);
    T('5.99053921823912722217973796754699486989206903855693991E+581072866', '8.6981569681471417169944703853608360E+2414904', '6.8871362e+578657961', 8, 3);
    T('3.6579943349299142E-10852948844937', '9.03033377582013080469042379483533093308626781912565E-1246104662', '4.0507853039991280044355893338e-10851702740276', 29, 6);
    T('-4.78647544086009147084455389178017969136941295312346757190758E+843520877297267', '-9.44E+973784148575', '5.070419e+842547093148691', 7, 2);
    T('6.459532644434803726596800E+64631', '-6E-66', '-1.0765887740724672877661333e+64697', 26, 1);
    T('3.92375464E+58240', '-708.303378590266995', '-5.5397e+58237', 5, 4);
    T('-1.8694043318293421759277E-665476985538', '1.38662E+515822020', '-1.348173495138785085984408129119729990913155731202492391570870173515454847038121e-665992807558', 79, 1);
    T('-2.12074051904934234827354931627932907982459657597E-8976453114839', '-9.61854988840950623824413844E+54654847', '2.20484433064579286974727173748055456095830130054669133080607800089303327e-8976507769687', 72, 1);
    T('-3.63E-6894390054', '2.173554247646512054E+70982493682775', '-1.67007563944194302320029742618e-70989388072829', 30, 3);
    T('-1.5655238631761849252371312010398287719679438E+37992002638', '2.232487504690E-69374', '-7.012464167827e+37992072011', 13, 2);
    T('7.39201795436556773854041108579097616041059003119082473E-411405155', '-4.5364343418330851E+69', '-1.62947755822221306652459778014100545454848069804517e-411405224', 51, 4);
    T('-6.004443988E-976510593', '-7.1768058942791393370119341721955924635E+438', '8.3664572742399702225149773280756337e-976511032', 35, 6);
    T('0.06449058428461', '-4.89385041309457681954221513E-130647874712', '-1.31778822074436948697389680724145376647605807682584e+130647874710', 51, 6);
    T('3.5676909919029654164750406955433689556031573E+54', '-7.80624919E+2253839685', '-4.57030118443216826963096305607862482e-2253839632', 36, 6);
    T('3.8985391211361401233265867713475665570980985279160891389243E+7378794871068933', '-5.8602503359521841503289772242864484E+519433569748249', '-6.65251294337872067178889162588623928e+6859361301320683', 36, 2);
    T('-3.377186660452417878349807452228116967745394911263661E-3763', '-3.3808219748282338462933E+1107861358098075', '9.98925e-1107861358101839', 6, 6);
    T('-5.29E+7', '-6.069602E+267243350', '8.715563228033732689556909991791883553485e-267243344', 40, 3);
    T('-1.0288384446147828545623287578243736030430867E+414272106340', '-2.81671673391094127838654513450933052065625455926207594952117E+1388268073163096', '3.65261594191712067698297405545087946608405469167627062471126101e-1387853801056757', 63, 1);
    T('6.934652714711565166352711297463107E-54833669685566', '1.113840624192881607163981211707E-6494', '6.226e-54833669679072', 4, 4);
    T('8.306650409557601565664811451388197752576767494056731795097E+52638243270', '1.9437106866504438326101E+1951119723630', '4.2736043314513433637913721639525436078547271033468768733875388981062075601579541e-1898481480360', 80, 1);
    T('9.977308312847404743868912E+49', '-3.2839243E+64176371589584', '-3.0382272553747370924e-64176371589535', 21, 1);
    T('4.855264698489277255639096394206721014E+633682', '-7.48780389234671853741786289571836711128594049967515202E+7675582', '-6.4842306e-7041901', 8, 4);
    T('-2.311E+41855946235', '-1.14049207685536147528403484252166547408496E+745877', '2.026318329516184524783980490264893932960415944207192237e+41855200358', 55, 0);
    T('-5.787853440644451637948728893104478604E+862565', '-3.108785187143107918763935528680243276E+18027309', '1.8617733591e-17164744', 11, 4);
    T('3.99520215227861489358673613789168417549330986134092078E-496844471', '1.4050274938586622767935496512740090209255817563584701E-24082', '2.84350460738e-496820389', 12, 4);
    T('6.61225999E+84', '-5.58852707043576292975824029150183293264424350533767376476008E+40143505419', '-1.18318e-40143505335', 6, 1);
    T('-1.957219697033319317957998509126E+56935', '-7.0296993979176804327838E+27289', '2.784215350108828164466790844038568896046348368096e+29645', 50, 3);
    T('-8.9783655317542351059786344583831339918433995055394502E+471543472234', '-1.61574648651953739926450349612716937801E-384975023187', '5.5567909982552e+856518495421', 15, 4);
    T('5.4826585887390179672411172831079852447622038636524343408655E+80825720269', '-5.317591439758683071912900426559418826238573E-44884743823861', '-1.03104171331143593578282e+44965569544130', 24, 4);
    T('6.0956860515254709544234504986125E+25015818', '2.83E+1466730390388', '2.153952668383558642e-1466705374570', 19, 2);
    T('298967.44050351964629779660534511234649385448845936', '-9.7706246160309352229837909493560362752589297969910022358E+716628', '-3.06e-716624', 4, 4);
    T('-5.400E+408471', '-7.4615391955538349253654373783216063208950905827E+8778177886', '7.23712e-8777769416', 6, 2);
    T('-7.931225701035936661005783943556765790621787929291E+826502', '-792453.92004630875694774661335547625782901478190922590344305', '1.0008437715308996580420574115711249561668396012933e+826497', 50, 4);
    T('-9.1796273784874528270435585906693579781384E+98821955', '-8.09079799683739436485400220682434886431193198883E+215', '1.13457626578684452617948642754742574146239e+98821740', 43, 1);
    T('2.09762777695453E-8043688138620', '2.493047163317741617009377070780282937E+26296339641', '8.4139113283481232758199334271321575366296585302009221116034524e-8069984478262', 62, 3);
    T('-2.46702176936608428109970370735546820139710727342799211693434E+41097099850', '-2075.5981320510974210509671451245436381863126', '1.188583537087780886310260730098076e+41097099847', 34, 5);
    T('7E+1', '-4610374327026686624255882266017409054187236159.05415', '-1.51831489234290135785886148008065008555551862e-44', 45, 1);
    T('3.2222993028007720248809E+1425298430421873', '-7.937567489984344293673619556685278387387021885089747610910E+79228466707', '-4.05955515574095300727238591124507948172505690975824963093542193131495076e+1425219201955165', 72, 3);
    T('7E+841104352994', '7.260345828148563894137581E-24050271574117', '9.64141401207199272125001954821435865599635940535940194041479309749376727401088e+24891375927110', 78, 0);
    T('1.82809194756E+5513271631', '-5.992456060540504696873041967E+338', '-3.0506555727587773642151596882201200867141028e+5513271292', 44, 6);
    T('3.1847890103116799722670070143561675286550606137E-7463047', '2.82935362689462775676055185E+911644938455695', '1.1256242344677014538831823683327290437240812166454378e-911644945918742', 53, 0);
    T('-1.96564578180609949703651094E+94', '-9.078648330018604227112570437939350910900375879E+4265356921148', '2.16513043610983380738610274746994334219001713638314491091282272602922e-4265356921055', 69, 2);
    T('-3.961857270328183980610896425E+382182608', '-1.94178560230362865828974858739725E+3674409163', '2.040316534239440410081578743200934422193804050343698088e-3292226555', 55, 5);
    T('2.0466745874554566924854547312879174471733690062E+879906', '-2.12503344046396744403710021566309277989784708210119E+5779822865990', '-9.63125825920460651549566899819490280108052711641139611769103826126032094358e-5779821986085', 75, 4);
    T('-8.885816894617996803975894101022586077223552357760002354E-27632932251002', '-2.3670853975722816961166274E+936782811387', '3.754e-28569715062389', 5, 0);
    T('7.58563308170104750932113978716224622038305912898711979811872E+155', '-8.2916E+63848141', '-9.1485757654747545821326882473373609681e-63847987', 38, 1);
    T('2.12377640525431388816822287875209E+72399933', '-1.154982522142866310E-660447417', '-1.838795275718996544504261e+732847350', 25, 2);
    T('-6.650031578514828E+879009697', '7.8978722393845645825332443115858E+890', '-8.4200293154311982459752629028237216195713146878030663912e+879008806', 56, 3);
    T('-9.945373553916749866718776924302008363351663131717447E+27388166', '9.42057E+4970817503', '-1.055708e-4943429337', 7, 2);
    T('7E+6758504519', '-7.179637192211864213E+515', '-9.749796281618900929539405225789599e+6758504003', 34, 1);
    T('7.2656568521501651052574496939755860845434053335785946559933E+86363', '5.5501164290348695410134459245047779754459E-7', '1.3090998981824273713208403864407685498128e+86370', 41, 1);
    T('-7.2542220E-48818495358235', '3.259114523898071525E+7385674', '-2.2258260477829330353000481106491043551144306050881e-48818502743909', 50, 5);
    T('-4.01383E+5208922', '7.595771205097E+239', '-5.29e+5208682', 3, 0);
    T('-5.568815845E+5021569', '-4.7386445484707665809996571E-72807692342150', '1.1751917216067920634422039049206856748551788739043752125943410180977507134224623e+72807697363719', 80, 2);
    T('1.52203542919072401296068183E-50357773508966', '-1.2110354684249721949251828982105681302563851984896813656115E-33583325261', '-1.25680499776792403116166004919e-50324190183705', 30, 5);
    T('-7.25656966416899102E+5050384504', '-6.8883815914315508656315039430385823E-6848551', '1.053450591819046266480342328308061927e+5057233055', 37, 4);
    T('-9.150490802468E+889280825478077', '1.713406271074478240681765367503278672753092257215657E+95138938', '-5.340526036904091042e+889280730339139', 19, 5);
    T('2.936177356488118406590807438200424E+5967394498931', '4.131546452012398E+841585251', '7.1067272039455396790086864987434710572603e+5966552913679', 41, 3);
    T('1.47735684816E+53243332', '-5.324356079934747768656883153081117706E-77447853494', '-2.7747145870418674774555605724093403e+77501096825', 35, 1);
    T('-85536.2301709295228408461611073', '-1.083828E+44755955', '7.89204839e-44755951', 9, 0);
    T('-9.0766904611720639304871313130785402077122424034625365E+21134', '-5.514042027534800E+7995101135679', '1.64610469340764912897765270494941251943150932898585e-7995101114545', 51, 4);
    T('2.821418E+76123', '-1.886936014527349025E+6757322985173', '-1.4952377707978219866795096864376226693710579430328e-6757322909050', 50, 4);
    T('8.3972028554372739964727611028371102949521E+2693410598837761', '4.73586050669295964483642730350674111E+18638777969060', '1.77311026023040978063125222242179402291895084676123723342691e+2674771820868701', 60, 1);
    T('7.32075676781638129161957655056204E+47', '9.13E+3643017', '8.01835353e-3642971', 9, 2);
    T('-6.035E-881780135352', '-7.861102106318531480178053962638729620588360523515603765E-800', '7.67704059606252631156820059016415888650330093133377e-881780134553', 51, 5);
    T('-3E-2049918', '6.9125906568414125831356710675349608861E+486046629', '-4.339906916129e-488096548', 13, 2);
    T('4019.6', '-5.31221018778095898491421147534167889364E-9876263992709', '-7.5667186687112e+9876263992711', 15, 0);
    T('-7.559595530487861872264151726918613751026E+9177987792056', '4.6962290537758747861223295E+450816311', '-1.60971610284e+9177536975745', 13, 6);
    T('8.1282291044918862499840425875E+403349200769', '-3.694700298318525901E-3827227', '-2.19996980761635213012350463802602628417442510417759e+403353027996', 51, 1);
    T('-3.5489673552107890988192843161812467E-830877809210812', '9.48535925608944054952517072058357266655183979003563908914E-6111', '-3.7415212849554559105047675292113146951320913e-830877809204702', 44, 5);
    T('-9.901907393320959261493589844506991792061661E+391448316334363', '-9.2E+5', '1.0762942818827129632058249830985860643545283695652173913e+391448316334358', 57, 5);
    T('-7.4306624732663158396128291E+76', '2.97461879E-448226', '-2.4980217627369710253234933340819782826692895327269817992375419641587082156e+448302', 74, 0);
    T('2.688569743317523536649430589419E+566', '-2.4247526603E+472205903206109', '-1.10880164700381565622e-472205903205543', 21, 3);
    T('1.2328946355702347202E+5271530334', '7.42430717240343E+22314', '1.660619108208472120471075801608596736729556726e+5271508019', 46, 2);
    T('-8.070228754726135864987550425330947946051068322016173028E+9302462', '-2.52510018E+73108084798', '3.196e-73098782336', 6, 4);
    T('-1.27887351323396995184774E+1366394404', '6.1918130262114957850512E-229522', '-2.06542656863213e+1366623925', 15, 0);
    T('-4.54559860478911142578248200E-299060', '6.45E-72946451243726', '-7.04743969734745957485656124031007751937984496124031008e+72946450944665', 54, 0);
    T('7.38541886510562995771835208241273329777116223276541E-7373908684551626', '9.6611419125849244190670423552174985733974E+78256376', '7.644457489528373436549767966e-7373908762808003', 28, 4);
    T('2.327152137120755927232029742E+39261091', '-8.3719', '-2.77971802950436093029303950357744359106057167429138e+39261090', 52, 3);
    T('7.660255468856960550709407256210382202520923E-8874967413316', '-9.84645272090837038189727E-63', '-7.779710811580756427592752460176960991931056326282188928e-8874967413254', 55, 0);
    T('5.98975561482995023025566154969731062585732049714383476824124E-846143152', '9.6E+47454763', '6e-893597916', 1, 5);
    T('2.3162660463765732277E+3065', '8.7765358318E-25014451961', '2.639157511308792635173936646104584300091867597358699363363089141e+25014455025', 64, 1);
    T('-2.69481E+50067277', '8.2900943415451763662585152917076821119081185365876058E-256597', '-3.250638519872041671342929506405692e+50323873', 34, 6);
    T('-9E+66417568', '-5.839848371056510205565E+3598310761489', '1.541135904248105364591723473891055661142401351943249952039542951516141178e-3598244343921', 73, 0);
    T('-7.8223749852311089769666943188905E+1484689', '6.9744755629906607607550842349411960027539907E+26014036', '-1.1215717819329297726250435273118e-24529347', 32, 2);
    T('5.43901179655896298197443739728373314486536045312745090047697E+821186055684', '-4.595939872957522329671287371637216928865110E+6008', '-1.183438414536724007486044566515297022273110459865232393067409e+821186049676', 61, 1);
    T('3.24114370194167228589758985784568216634126900113665716919E-3451437697', '-3.42265954561765946380614617068718528505802E+976892095', '-9.4696643319128882e-4428329793', 17, 1);
    T('851177822990735508614.2389366553904963506', '-6.39349409746415778177421208E+451103', '-1.33131869681139914e-451083', 18, 2);
    T('-9.510E+753014801446399', '-4.8163183918978210209797E+5060742198708714', '1.9745372349133010139046071929600906619121582312531443532092612105e-4307727397262315', 65, 5);
    T('-4.731027436489718996E-886510771', '-1.0896841599136E+8377', '4.3416501868438994030557559985308195342337203541233392239052612354624e-886519148', 68, 6);
    T('7.77714780119877357E+94', '-9.2231259670244423280161041701843917780417974211682731514E+276206', '-8.43222550467651359556769426981417218e-276113', 36, 0);
    T('-1.16349157E+77815', '-7.10033969672913E+91774220112', '1.63865e-91774142298', 6, 0);
    T('2.25206386820E+780632157424988', '-2.36170960300853977779385761063911151235091374839984906146921E-641', '-9.53573574554270334464661114172429719896064e+780632157425628', 42, 0);
    T('-1.812314E+9260858083', '4.737426E+97527301030735', '-3.82552466254881870450324712196032191320772081716949246278464296e-97518040172653', 63, 2);
    T('-6.2101222343138933E+71274397290487', '-7.2681011181166363E-433520', '8.544353103225819933913888936959343976449906192425045427989e+71274397724006', 58, 5);
    T('5.797350921586161893359405696571597744547E-3035010116933', '-4.05571855937295444361516E+5321527', '-1.4294263363487621601007637e-3035015438460', 26, 5);
    T('-3.82097194168161163217859220936181442179801E-2581415119742', '-5E+95472', '7e-2581415215215', 1, 3);
    T('-41.0798448859688552', '8.324565534102846676088099834891266735317417104677680E+87388834', '-4.9347734386472222773166639265686153268928539925508292002e-87388834', 57, 5);
    T('4.4390659259464680877833357326413652818509103200032098055954E+135785', '2.215E+34511600', '2.0040929688245905588186617303121287954180182031617200025261399549e-34375815', 65, 2);
    T('-4.6201588546609275084665605064782562791428627686791457E+400', '9.5569128313340119344420920972259559474664689E-7546046730460', '-4.83436328885717970516441388441413593921124606177511806693432129e+7546046730859', 63, 6);
    T('-1.096577786769668324017180135186032139E+385491', '3.448230796079613324E+727364', '-3.1801171430183768777253055353606523086728847052783753457157013899043e-341874', 68, 6);
    T('-2.2181484758314836415177283824416571673E-9', '-2.34414532894472374809637344345919631241828513E+7709187230496', '9.46250408813193859e-7709187230506', 18, 6);
    T('6.243115437954243726E+8395', '-491871644.4933343534742324931262663139310542592441925484407', '-1.269257032367688744310422758060962800134523e+8387', 43, 5);
    T('-3.469383440253668860617191598765361715385551E+109', '6.29926167360909815426960598490945605488272935347553198313E+4967567175', '-5.5076033033978103801218490744186965932404198441e-4967567067', 47, 6);
    T('6.762228633297810722E+5928604', '2.0447127851988001305937556945006409365359787375757930389E+61244455', '3.3071777524198066541273076645625488927558039088227711823038168219692931988e-55315851', 74, 5);
    T('3.2963955993707065767347043305719E-5498083519417', '-9.798E+282145', '-3.3643555821297270634158e-5498083801563', 23, 0);
    T('8.1308747408870677719972E+146512881414858', '3.84992119603738679374374100809763957984024901976E+6282794201230', '2.111958746e+140230087213628', 10, 0);
    T('5.952401933689225991142865991444673347695510784762458184E+8305892', '-9.666915442257949869E+9412818304777', '-6.157498707052819375077835275903589930535796443e-9412809998886', 46, 4);
    T('-9.465706505026940220937661406329750898E-857536392271', '-5.461682491586030767289012164E+21743', '1.7331118239863429968341023843e-857536414014', 29, 0);
    T('-6.510078804847215E+49387272503', '8.9568006802118722776692871504835552353163269E+453389', '-7.26830822441972628352490928582713112038371367673e+49386819113', 48, 2);
    T('939684.631280974703734967598224514737586657713', '1.14904028047487975862854836041274602062E+498187952', '8.177995560718012844084601e-498187947', 25, 6);
    T('3.713124520513197091E+29', '6.17597522804354522E+7307914', '6.0122076002715093803741702871188302429068530860580659768896214530383e-7307886', 68, 4);
    T('2.296648741766356538399974089325427759E-62770603', '1086.781808932039492', '2.11325651836520068668391233397468035522150052483853603790886927434078353586961e-62770606', 79, 5);
    T('7.8218268008427294E+78750152', '3.2205487117154244158E-50560117498', '2.428724885417564583984e+50638867650', 22, 1);
    T('-4.54843917699348764E+848789933624', '-3.31054563702643093348642847579837512906742263738074E+719694277132', '1.3739243241724184506604983595980937714087697128808873662805e+129095656492', 59, 4);
    T('-3.4291900805293583268030E-3440455', '9.4279492296794763336920232408E+4937994', '-3.637259808033502861472e-8378450', 22, 6);
    T('-2080045981624510846153625131120.32659567566286968154', '9.51271089433237593286196727798E-4215716', '-2.186596444199509426e+4215745', 19, 1);
    T('2.37334442275922E-11559934948', '8.36943019677728909402505E+694935169143', '2.83572999232e-706495104092', 12, 4);
    T('-7.047568711405505E+51236224', '1.430759317024E+27218455374606', '-4.9257541974736530052319291154924792296342463716339916639388092134755e-27218404138382', 68, 4);
    T('2.3473306956724765173E-9635055', '-7.382809674007244773610E+71', '-3.1794544344502806351796381324399771490098349741965528163429e-9635127', 59, 1);
    T('-8.5082259130269728586179973216291198294746E+70328297625', '4.94866697795454409310683039318523831224475E+51835231396', '-1.71929651983648293117076972596788111984347469901947098245055616435916e+18493066229', 69, 1);
    T('8.406154273391379540731819305786413983125022330257331729366E+348677811', '8.59150495008553931942724416973952172916550119E+2478820528144281', '9.78426285293321704037207349343805250877289232070038135261805153649602043198e-2478820179466471', 76, 3);
    T('-5.48236325945581678881368794169061331752432279554932755235298E+854', '-3.9562946585052097580066443957540216195054198379468356943876E+4299064664568', '1.39e-4299064663714', 3, 2);
    T('-7.5719157725657010822432036634097285744732663353966882378411E+79', '-6.287415929327588E+4583599232373009', '1.20429694133111e-4583599232372930', 15, 5);
    T('3.0473E+94401477016856', '-6.529302131848601555123662656939264913199197142075E+957466', '-4.667114399770066247898535539933221429218016689006e+94401476059389', 49, 6);
    T('4.206732635701771693309007140645204E+669', '-3.132442907843502917377199183622534755788704384798E+391', '-1.34295588442116320650018451e+278', 27, 4);
    T('6.8264240722718185178714967464415780964E+5520474105752861', '-8.938427598999821229368710E+40202563831', '-7.637164363266388692646102853734e+5520433903189029', 32, 6);
    T('9.614020700012132873327E-7916613', '-8.53533222081535278E+964241593', '-1.1263792025067462997039547496115701654445973452032412651195e-972158206', 59, 4);
    T('6.40853E+269508451200', '5252354371885293.426', '1.220125213619146180318937246139e+269508451185', 31, 6);
    T('3.965074057357527624E+43', '5.74019330011713E+92597269', '6.9075619061062270348870965072558923035057229404609727466815109278952669808202e-92597227', 77, 4);
    T('3.3961893639220299635158385378496713706171690E+97667247', '5.34810407415214243112931906367950E+72192756816', '6.350267902107799265353119243541e-72095089570', 31, 3);
    T('4.218563209811539027287563684E-8128117761498528', '-5.324728666990184308390454353740534086820804251494686E+84308317346', '-7.9225881235298549635272250809322551942393113810898467038703e-8128202069815875', 59, 2);
    T('-4.06314629160296910787082964469629279378496857401695210058E-20225', '-7.123E-57883212329', '5.7042626584346e+57883192103', 15, 1);
    T('9.378499687196908222014716196693177233970266E+77778674530202', '-7.232728852441879707670385493847342110804072E-9703543', '-1.296675138600085016822728533849159026330838485178e+77778684233745', 49, 4);
    T('7.87992847644074053310434493159828015037322716702809490E-97785181915047', '-8.3775719969549050797E+872645402140211', '-9.4059812070907311718947562788755966495713652145899089124252051879548978954196593e-970430584055259', 80, 6);
    T('-5.331928896570806273927642334E+489385964853659', '-1.1845226761415339210602301893931399657227140799248606332117E-35440868186157', '4.501331214e+524826833039816', 10, 3);
    T('-7.243E-9129', '1.33252368E-8250358117234', '-5.435550683797e+8250358108105', 13, 2);
    T('-2.419450817810292778039120129038601354E-963353', '8.0172E-64910315108', '-3.017825199e+64909351754', 10, 0);
    T('4.7990766291270873389918914423470899E-1723920752418', '5.35626552376233813467947021828880139147815296499550822954E-899676416', '8.95974370172024033341473590887260542860603405e-1723021076003', 45, 6);
    T('6.163410602349396371349525307320651875046851458850986E+9162342956', '-3.098530803842239770369467804424345457870619981755219E-4236', '-1.989e+9162347192', 4, 2);
    T('-6.380480396081656065179717853054440041028782256E+63718552', '5.9954146567356004459480141925', '-1.0642267068072514691238258735459246296541e+63718552', 41, 2);
    T('1.11745601E-21127', '-5.2109252038093E+101809359399', '-2.144448377771984290726948113040240254e-101809380527', 37, 6);
    T('-4.06784139068107595E+483470668', '-7.9220345280448555444331512651222401085180490251609549785018E-85339423', '5.134844308340842573890117670106452e+568810090', 34, 6);
    T('-8.657623154653443026293E-8318199212', '-2.985569565383696540570971125E+6743864', '2.89982295339375e-8324943076', 15, 0);
    T('6.3807516298166351704187E+989022942165', '-2.849563839804569948472527763249264687754618E-98271967', '-2.23920290561177345289546993874739636345462824644e+989121214132', 48, 2);
    T('-6.8481008837137600604391975310043343809256373829982792775E+495', '1.80410344885965782474895558992973442802318013857054E-2885428965329', '-3.7958471217614070991e+2885428965824', 20, 3);
    T('5.45804131838350355171178E+2322055450114', '-5.6158234363579E+64803155602085', '-9.7190401020215748578966325e-62481100151972', 26, 3);
    T('4.0543354405220679319174672424036199688623E+749186361', '-8E+84159671', '-5.0679e+665026689', 5, 5);
    T('1.0190663812727E+8284919029', '362082121795557960391098771433162.6318248404091675405847', '2.8144620237507731921030994268108314777e+8284918996', 40, 0);
    T('-1.1012959762916763722563741440E+211660', '4.706249980E+50877562', '-2.34007114150718439366957329368211758271285028510109e-50665903', 52, 4);
    T('9.140620542353829362896867172783957083464574551030E+71129144390', '-5.4693307320050464288E+94436553', '-1.6712502845851662e+71034707837', 17, 1);
    T('5.86664496068064854633931980517547981687565925908400505778E+7014152238121', '-7.29365233054577578245936068405812701577642174052140007E-156', '-8.043494116262125311418973645192850121e+7014152238276', 37, 0);
    T('6.8228103128951199562166941702318702E+4169039307494331', '2130298348542652803047595.589086', '3.2027488e+4169039307494307', 8, 0);
    T('9.5327417292099320185199075883899131357873074569253E+9712012530996', '7.13457252E-7', '1.336133552849489014447624899661110058e+9712012531003', 37, 6);
    T('5.7162958529421E-644689427429724', '-9.2432937215347012166320058112286889162934763E+900841420428', '-6.184262910118797370410566e-645590268850153', 25, 0);
    T('1310660022.6320089302693857914515598897', '4.10453221362648089727577030552862502329558506997280246E+93', '3.193201939750401780145e-85', 22, 0);
    T('7.997766393360042674147E+457457', '-5.554398639515863120931699808903542969339760E+561059954947311', '-1.43989780216e-561059954489854', 13, 1);
    T('7.0483741675585263441E+5520614113', '-9.282492684045467112586576629440224418006602177113798868981E+1561053778767793', '-7.5931911906e-1561048258153681', 11, 1);
    T('8.646740146113E+1466825351169', '6.99371606244829217505856E+3178017869105816', '1.2363584779399856294555117971608723557372922892773016363095773383e-3176551043754647', 65, 2);
    T('-6.3870090754194212502886068583587303E-266789576727627', '-3.88388E-1765820250328', '1.644e-265023756477299', 4, 6);
    T('-5.39230262391717486381689013610895230791884E-191216873', '7.6596674179543552956767961E+511', '-7.039865218269856896877090527651549975197217145407542e-191217385', 52, 1);
    T('-888793.0123885340547290470054147447310710588228556551153', '-9.61882749178853718210644573041021146457E+905088697420324', '9.24013881262851025917439605361615891442820404725861466326740952910373651221e-905088697420320', 75, 1);
    T('-5.975928667034010461E-116606216608340', '-6.394929989372142130735671295521146892422E+8633588555', '9.344791384683682114478809562668670428269385877731122169447313155899416e-116614850196896', 70, 1);
    T('-5.626157057313853607815102E+41780', '1.851144136296986546763092949200185546E-4943', '-3.03928632406138387151923915e+46723', 27, 0);
    T('-8.34304172057717822915892878168179145995676900989E-53975113', '4.6518304991978551541950189646553335427733498E+76', '-1.7934965003595514073205406e-53975189', 26, 1);
    T('-0.369041705962108258746232512265178723298689776', '9.28895527995967227110E+97388', '-3.97291e-97390', 6, 5);
    T('8.7697E+82', '8.051265463483546449441802E+2466253441434', '1.089232498887896312871349202010182896972727053426905762332189254745048531e-2466253441352', 75, 4);
    T('8.171942E+257', '-2.424510839007E+2872', '-3.370552883709506950904595833e-2615', 28, 3);
    T('-3.2981473320806946466990891956E+3914433', '-2.1885081323177786373101248583E+428757', '1.50702996410058243197868077439207906803917822791210989684180353523480207993e+3485676', 76, 3);
    T('-5.656023077256820385075100525E-1392105002861', '-4.9894573268108915135177874E+45394705043', '1.133594e-1437499707904', 7, 1);
    T('-7.5822857883479812368815E+442617591800', '-1.45295497009823330060179559098582415E-2993', '5.2185277206735099537171313168259427542770771526937260340364003298161350994e+442617594793', 74, 3);
    T('-4E+86', '-2.1326772563424580578077894508564282387E+1796759', '1.8755768075569019005915301507620029976480483571596412487092e-1796673', 59, 5);
    T('-3E-828010092', '-6.28777069373E+2403479', '4.771166357881850409067748298272e-830413572', 31, 1);
    T('3.4671376163700563376387777160132738528061421918830575E+67', '7.63394442975239802440344888E-535381033161780', '4.5417380861e+535381033161846', 11, 6);
    T('9.0262741891570E+74296127292050', '-59.210623932582155550', '-1.52443e+74296127292049', 6, 6);
    T('2.88332173590254030350959733409042594345027585343556119921E+785318315716881', '-9.473839781509013E+8571704457830', '-3.043456299029028746666146552122853995261907865873097403986e+776746611259050', 58, 3);
    T('-5.003181211447700151036493158454554091588986005788221E+409281214', '-3.053560508774570157973089E+2637252738767', '1.63847456013096520311722734962461258535814686403e-2636843457553', 48, 6);
    T('-6.05696783266292081380298809045785071E+245326559219971', '9.5319669497350806077958E+210333436', '-6.3543735145150293358217811196618286811152548744878055436352599608420266743161e+245326348886534', 77, 3);
    T('-1.51257797722989804568649910158217109682E+87788050543318', '5.930839679412194289486966189E+1047470676', '-2.5503605880302765112640115090622294468580299688416713675717252918003716597e+87787003072641', 74, 4);
    T('-4.381E+5087798118', '-1.56904704462467491906441901984371529040578136926744E+635748465432960', '2.792140627655916083165295137179144943745358543113968970125102044530186655e-635743377634842', 74, 5);
    T('404569127425430079.2746988350562386914896079', '-9E-4204907113', '-4.49521252694922310305220927840265212766231e+4204907129', 58, 2);
    T('8.70221696328570982886901E+524623011957', '4.61634513962689780248430340039017215758245784337611020350601E+755', '1.885e+524623011202', 5, 1);
    T('-805344.9962779020212891625802', '-9.9461395372E+51049', '8.0970611086421549675055425503326006e-51045', 35, 5);
    T('1.780599816893907949371E+756787861394004', '-4390577160.2998933104216498', '-4.0555e+756787861393994', 6, 2);
    T('-948751.6097256929597578546392349', '5.4538579582020746880875332E+4500400289781', '-1.73959721172947369114822307e-4500400289776', 28, 3);
    T('-4.32768720127923169188931496E+7724179625894829', '9.0922225097311031043078945325E-173234520284', '-4.759768248794452768535228805317350044553423356456347683534461036413e+7724352860415112', 67, 0);
    T('5.23662668494051216940400948814473E-8071928', '9.841171013996751157710797E-8828036161371523', '5.3211418412429195130620023990649992614724e+8828036153299594', 41, 3);
    T('9.628918409947845114719845626E+872692203', '-9.261875202844314221806870144E+210760', '-1.0396294701736870981910106165439800479144500675306333557522293e+872481443', 62, 4);
    T('91.043968921959699612434064394708471', '8.597350172480714940640874594459868913212E+9709047', '1.05897709288825555248019770084e-9709046', 31, 5);
    T('7.3E+82544721048', '-6897428.5896894157874653', '-1.05836543359250807332624743366854992621395350332991160953548355786714039536e+82544721042', 75, 0);
    T('-3.860838697150498051683676640E-5890651', '8.227616845373E+4954284', '-4.6925358456886995017078826409378036338212829409637708357602198815398820366659435e-10844936', 80, 5);
    T('9.5E+831518447908886', '9.91749113068542133385052721948524930791450657698790257761E+726', '9.58e+831518447908159', 3, 0);
    T('-4177439.2170509017687078889115667402922650208408302237', '-6.038786291246524170100686612404551320307062038E+7039342312813900', '6.9176801687886792489319245353858739388176951373473338341321467097765175369453e-7039342312813895', 77, 6);
    T('9.752776875828008413E+7096812', '3.1770E+5789327538', '3.069807012e-5782230726', 10, 4);
    T('-7.062281756745592207364181029542007517E+696996805', '2.561146E+7888721788100', '-2.7574694128119178708922416096317e-7888024791295', 32, 1);
    T('-2.348435221262135874248438913027778399414279357761141057E-8426294320596045', '-4.0367056740752003866E+317925996955733', '5.8e-8744220317551779', 2, 6);
    T('-4.979512448385195498000468128066580E+1603', '9623314.427029261785944840259750632', '-5.17442559540516009431273598709698596547859936132258866347224e+1596', 60, 5);
    T('-9.668065682007011863746347858340895698845735489847E-28', '-6.41673433267829838677838978851826227E+2022869399404543', '1.50669564622159311761704672e-2022869399404571', 27, 4);
    T('-2.7907653006407587430794139517032213928E+6039718635', '-9.02702E-6410845', '3.091568757619633880371832511397140355067342267990987e+6046129479', 53, 3);
    T('-9.1882159E+587580959', '-2E+34285252770993', '4.59410795e-34284665190034', 65, 4);
    T('2E+50', '-7.01964486952215088916456370012541478466459467682E+290946', '-2.849e-290897', 4, 4);
    T('4.6733725988435799E+74018816', '-9.6E+6', '-4.8680964571287290625e+74018809', 77, 6);
    T('2.48449245', '7.76226547646572175856753959508E-805550263654423', '3.20073109781247449368027293598591264548714452889139612057e+805550263654422', 57, 3);
    T('-1.9121328E-898849', '-0.00826881074238', '2.3124641010342359631197119898979675357816736371e-898847', 47, 2);
    T('-5.64460597337770201832979784661277710644749990972583497053E-7800623', '9.0641E+43', '-6.2274312655174832783506336499076324251139108237175615566134530731e-7800667', 65, 4);
    T('8E+1341497462', '0.10986692952533583419915352365495', '7.2815359768065258597807492499240161093e+1341497463', 38, 0);
    T('-9.71985726734321434614627869467921609053768055E-49', '-7.3935513565789475475490896672399562E+487542857023862', '1.31463985283530460776811339669287167636556640736093950671463581e-487542857023911', 63, 0);
    T('2.705157E+6703358507372', '7.81E+88937865837235', '3.46370934699103713188220230473751600512163e-82234507329864', 42, 3);
    T('2.1407234681902457138127033918434793949885378387945211049433E+5379780806', '8.7253045609090017E+664489', '2.45346561056571906382042179713892096410318e+5379116316', 42, 4);
    T('8.19114285E+190936935338617', '7.594532977E-2807060702477', '1.0785578092565835993999134359147572373e+193743996041094', 38, 1);
    T('-4.46830547246E+5325608', '-3.93175997382690367532370015447815270E+314207576', '1.136464459e-308881968', 10, 1);
    T('4.176963966691982482812715212257E-95058851732', '4.1558296385004887510870274398462914847886776418804956134E+167728518', '1.0050854654858084e-95226580250', 17, 5);
    T('3.13336166774375644489960016956148017E+87078395504283', '-4.82144239911761188987454507286386443622600763694E+77824', '-7e+87078395426458', 1, 0);
    T('-8.3201039636497513481820635647230241082545057146786E+5477716709', '6.9211E+231620939953', '-1.20213607138e-226143223244', 12, 4);
    T('2.745400361334353375837394517546692953211661316E-3619', '8925889993853845.048', '3.07577212269563e-3635', 15, 4);
    T('4.700127921570891909796848669E+86230146371505', '1.234878E+14366621316', '3.8061475883211879309509511619771345833353578249e+86215779750189', 47, 2);
    T('6.5840516111486774875E+56627', '-9.240441630E+15811613502', '-7.125256426892961703065267888067380173473375427836558932952e-15811556876', 58, 1);
    T('7E+70', '-9.0994288066369025697351189546695883609774515878310035E+2600608805257', '-7.6927e-2600608805188', 5, 2);
    T('-6.3168103691282434183737886713228043364757798385159553E+71762144', '4.52E-986622', '-1.397524417948726419994201033479e+72748766', 31, 3);
    T('-8.08252156085478364893343716692192137033061184E+59550', '8.07009981391158230363653331028869893662670756052483736E+873', '-1.00153923089300434773366420009624895873914e+58677', 43, 1);
    T('7.8', '5.2830604397818141533216190115916240360078616E-968', '1.476416953564539057793515393169856745729298671926127986922105865895e+968', 67, 3);
    T('4.7180045925586249134974957206527253E-76160436', '1.229252631475803534425369419912672360823244E+53', '3.8381081900913495e-76160489', 17, 2);
    T('3.3876456220697265883E+879306956444', '7.5186570778317678640796563464804974431075E+577319', '4.5056525214562e+879306379124', 14, 1);
    T('-1.23004164315618387792E-992539', '-4.852601180587782269251861607623899794409324138507E+6765916912', '2.53480885277943304617372179242352384932658164917811412565308213860043163733899e-6766909452', 78, 0);
    T('3.4604790085688834E+7442409', '-6.85048931172545901287895281857016E+74', '-5.0514e+7442334', 5, 6);
    T('6.94662573617792516616437762742361E-72', '-9.60583394084354017320336499365064066643691449251503611E+5789956970', '-7.2316737713330743167e-5789957043', 20, 4);
    T('4.0624589960204793176900780427232988809654425359E+21988600', '-6.925207275628212E-373', '-5.8661911973630538693764861543215322301924583121746829417163e+21988972', 60, 5);
    T('-5.3751285197818746170036099931818139371833305602258E+687', '-5.49928241717402809433248851054875668031071918704E+5018', '9.7e-4332', 2, 1);
    T('1.1591E+514427', '593092804739577164756505346938794261765187184683640.005', '1.95433158307990698331195688492460540107491668731262595286847e+514376', 60, 0);
    T('-1.085965700494688664781080340922077648128124163155E+57044383227', '-5.6126813956543253427853916438466087992088701622658629591E+11535617', '1.93484294571843764420868036e+57032847609', 27, 3);
    T('-9.3718E+9516', '-4.910742416641723087952951743727642243E+891544381', '2e-891534865', 1, 4);
    T('-6.647939929930E+2167864161344763', '5.0867491266414387250245146318026005954795501487833427649E+6375333', '-1.3069132690487821040191257009922550390157940248429841377326194207163044864e+2167864154969430', 76, 0);
    T('-5.638897135332070477614176051977556056E-29490939080139', '-4.025951767347490531330294955203257428821112E-6735887', '1.400637032233317953479230774553315127148276994894170096056068397202031655e-29490932344252', 73, 6);
    T('-4.531207904409486315178258314309168E+287932233', '4.26188837928128E+405567675043', '-1.0631925e-405279742810', 8, 2);
    T('-7.335457788295563261E+5800', '-5.186264010645012507871400704964748821342494764339031E+28328', '1.4145e-22528', 5, 2);
    T('2.17084293463948316146704602210256128E-37041945132', '-1.565929051692862053932855829014333858827737624800879061949E+2274767722', '-1.3862971200979210209919003241208323828660908114968903905947276e-39316712854', 63, 5);
    T('2.63050714091620909E+46636', '-9.0602873740905657545907715324858243373864E+7596632459', '-2.903338e-7596585824', 7, 0);
    T('-5.287896321482311700E-4941', '-7.81226686871107782767706987152213006378175235555683147E+881395184648755', '6.768709275230821251099026534431478487580391196819500301408396e-881395184653697', 61, 3);
    T('2.2036898323028E+843092', '6.93445143826581548864302660067720E+8505665479419', '3.177886314326694776762133091809796893220161e-8505664636328', 43, 5);
    T('-65964.754', '6.0039746927371E-75314090', '-1.0986847442877528163613880534758292e+75314094', 35, 6);
    T('8.99625479350070666015072936037465E+7584971964559', '-1.3694120799670282841473379519948801570933873045214E+7757', '-6.56942853440968038714953897e+7584971956802', 27, 0);
    T('7.9891684881077840123522703032810081E+125199678722438', '-5.42E-9134089814533', '-1.4740163262191483417624114950702966974169741e+134333768536971', 44, 1);
    T('9.3760801802E+733742872', '-9.84354486412125539750014557497E+31561184690', '-9.5e-30827441819', 2, 1);
    T('-5.09E+3133651', '6.598983674218610542101886657948356636682685042E+816047107', '-7.71330897496531514279716715544794716278599022949803521234167e-812913457', 60, 6);
    T('9.31972572258932485862418933563490710E-706500', '-7.0093270784240410268608704762225837481035763502E+5430709290634830', '-1.3296177533613894199782671560859863449997370547e-5430709291341330', 47, 3);
    T('8.92716781197E-900923714', '2.65155911006109326445655E-424490331', '3.366761758e-476433383', 10, 3);
    T('1.0878787667145847E+158', '-3.2408606724135575E+401039496', '-3.3567588263657494905307816191950803741678810893849084656e-401039339', 56, 5);
    T('7.7971958894336407E-967950', '1.18954022794715284756276790012116395172286977663392E+22180', '6.5547979851758683930089424021037377616565427e-990130', 44, 1);
    T('-2.78468511E+187924', '-4.5478E+62645', '6.1231476977879414222261313162408197370157e+125278', 42, 5);
    T('4.7E+24', '9.79072936124483596057911E+859821', '4.800459523071140775397411272142169684392919027907395e-859798', 53, 3);
    T('5.8841603928484478E+8762813399657', '-8.64945256E-248022889593', '-6.80292810675690647409019374978802126640024024826838e+9010836289249', 51, 2);
    T('-55.368469688324635613017086', '9.62600877852904846104296490E+92', '-5.75196543e-92', 9, 0);
    T('6.97621346338056386965455410109886505E+94545230957750', '-9.8976210283538241839574856578789283802489655103173214515956E-7001720405', '-7.0483739914831333468167877591179871801944476593124202251e+94552232678154', 56, 6);
    T('-4.24457164688209296003077945267009641510375842691438E-4105927971530', '-9.782161337420911941278316893303226358E+66962089', '4.339093887814759231e-4105994933620', 19, 1);
    T('9.768277273208442295757E+2175098', '-2.0323447155948189216230911642744669769959E+313838035559', '-4.806407691693926074791248228450055388113365900381129e-313835860461', 52, 3);
    T('-5.55387733E+212317508897565', '-5.2532102E-99157694968', '1.057234932270557e+212416666592533', 16, 4);
    T('-5.19000117746770409E-77548119', '-7.732280518217570494955742637523337614192437378334E+61986817270', '6.71212220668902032574799536807895e-62064365390', 33, 0);
    T('-1.1834690135303920547547402953763610024661765935055E+586849627896249', '8.4306744848079792921062227907E+79096983', '-1.4037655180057011293838054692552029284201609933e+586849548799265', 48, 0);
    T('-3.7971967917411583551329722265635342019395927731552E-388666100', '75.5', '-5.02939972416047464256022811465368768469e-388666102', 39, 6);
    T('8.580913725780023327655320564178328183820937E+635529958', '-5.356644019140953980584E+9376388337', '-1.6019197271869759403424491368175839e-8740858379', 36, 0);
    T('1.890694991545715E+3340519', '-2.732E+543345753510940', '-6.9205526776929538799414348462664714494e-543345750170422', 38, 2);
    T('4.832806198312027199815229817761044010E+943', '2.11353E+4386', '2.2866040218553922583617123096246772035409953963274711028468959513231418527298e-3443', 78, 0);
    T('-6.19552660366528173497751797946985562544389E+34124357', '1.2316361504550349825316194105691152399621580731266639', '-5.03032214617629499188032871939484027452630432824456e+34124357', 51, 3);
    T('-5.6276997540537861195110275E-384163101821', '9.8746026554790114901160904498147231756782712090592814938532E+775', '-5.699165779527550549591218239887340648261307703e-384163102597', 46, 2);
    T('-5.5826279110E+65104245461215', '4.2929934789854565E+9770364271', '-1.3004044702903478210509687274406e+65094475096944', 33, 1);
    T('1.3E+60135459230015', '-2.4385952E-5078012542971', '-5.33093807451109556846499164765025371984657396e+65213471772985', 45, 2);
    T('2.57635747290291188755959013835012489334401626393E+6652915967', '9.4239497300296244011468452839692803276697503008399919E+898', '2.7338404243533810202310358763990632560128926748023087e+6652915068', 54, 2);
    T('-5.79672712447372145127146143953656904576208645E+38731', '-1.614447029216E+98', '3.5905341083186236170246244345866674873055660178876e+38633', 50, 5);
    T('6.7662932733178705705497983726886E+43574006835', '8.26254633982497502204040499716433817402152046841808662235378E+46981413344', '8.18911385792143166097986402420222266112171081452269e-3407406510', 51, 1);
    T('2.4545449E+86500541', '5.272779947598869541553861229723115696072418E-2442', '4.655124857083702512981488415528448528681079097625e+86502982', 49, 1);
    T('8.37295364956214148382540632482056185691638953E+737411072643897', '4.873448474817354176868923452046349918E+693269747274', '1.71807575125249289592919326169674000399268106e+736717802896623', 45, 3);
    T('-1.79184128966727485578846787195E+6282764523486', '1.81837953786337156734422313664700193960501556363395E+5347326603', '-9.85405550577587544154484713267248862988204127220702997510973833390302248e+6277417196882', 72, 1);
    T('9E+1212006', '9.98942826E+5730', '9.0095246351966894249461279979200731554180058749428368185708e+1206275', 59, 3);
    T('-9.09295740224485141689424837605248294E+39182748', '5.9339017394062687786745280878241596535321E+6111427796772712', '-1.5323741109259874211031120074237207052379e-6111427757589964', 41, 4);
    T('5.432865095120241413054518E+26127459', '-5.23738022969063123956624143094E+153720555', '-1.0373249328588765344806940753645676076015e-127593096', 41, 6);
    T('4.872825151985189083450568623812200017140E+9454606', '1.433857018948001219399091E-4777947808758352', '3.3984038070687869174545864205876561630834706503945561e+4777947818212958', 54, 4);
    T('5.082070E+83160', '-1.137620485E+225221918645', '-4.467280667858226902445414386151810548664654188255057660991398199022e-225221835485', 67, 6);
    T('-8.997282805965116052947232667970226534646203335157E+747', '-1.75018646187251292849639656141770158E-878', '5.14076e+1625', 6, 0);
    T('6.696778013134080981795398574412E+82768210', '4.196811311E+545388035002', '1.596e-545305266792', 4, 5);
    T('-2.269684956955503E-12658004', '2.30512540690288710270874799568768818392384381717179552897429E+513163118', '-9.8462537012465579164009304921931984240323111928786077423172778189043722e-525821123', 71, 3);
    T('-9.930329728534134499315897018906407190522879E+327424', '5.21493700027420902677139105618403418085219E+560977572', '-1.904208953629158552705791e-560650148', 25, 3);
    T('7.418189693506887930375642800860925299895722E+6569', '-3.4374788168146927026573482322818E+99768', '-2.15803211854579e-93199', 15, 4);
    T('-6.69634E+35', '6.2447435833555717553780917619656507E+85771060', '-1.072316246554636898354153145317419e-85771025', 34, 5);
    T('9.8376976321907800E+74759844605', '-8.24550904974755034518167975277186977649982E+1950', '-1.19309766963289878323077792083982136408147645644e+74759842655', 48, 3);
    T('-4.85615401852877778458276361722950E+642066329125825', '9.15574332030996646998684275885440137824755029603080949742504E+52448631580', '-5.30394294448653606142308540418442932053960563130254072038e+642013880494244', 57, 3);
    T('5.14856794981563080780E+142595', '9.0603555741623343801718570E+26', '5.682523061785724925121214816199065857932183851475174785593697726506693172584e+142568', 76, 3);
    T('1.08E-656', '-1.48643768130803440508559575069475088E-2326009', '-7.26569309687e+2325352', 12, 6);
    T('8.8128966598101656475758968080E+8857892', '4.0747967937625571718478097677879085226991E+7986288115', '2.16278187744242705743920597868570661529650020376101e-7977430223', 51, 1);
    T('5.02E-3270474', '7.042144809083088869938811968E-735572362108', '7.128510043595114625274e+735569091633', 22, 2);
    T('4.181730607E+328114', '-9.72647946486823924784153436449788540114959385215E+58174554786', '-4.2993260018738426882373874778801647067314e-58174226673', 41, 4);
    T('7.5E+2918924231', '7.133540145145164781346816427703487031966174756676054E-832573', '1.05137138747361432314797659e+2919756804', 27, 4);
    T('-3.158752119456563754470601165903628330193387371E+7493748', '8.5541757E-3543069001613', '-3.692643488e+3543076495360', 10, 2);
    T('6.9746776078599E+536845437030981', '6.2099062556038222594432006187734435991033547362175243961496E-97079', '1.1231534456041019493254677544601241848667501226886081289071e+536845437128060', 59, 4);
    T('-6.34499755088777446087566865484942638790122102185E-1588515', '-8.14486938143500223995998559025E+1785', '7.790177170121643242355715563917771761495122310086059571715805099695353148069e-1590301', 76, 3);
    T('2.37002036498398253148609935766354381653278860811620E-9074037', '64225429124501746019053312329156328844.98915', '3.69015886276083934989677230372902160665917803360631891865411044e-9074075', 63, 0);
    T('4.5606140632918129075327052763823607115880847112156236280E-697867916123', '629376.5449537579558954200747', '7.246240902776085974019397399785e-697867916129', 31, 6);
    T('-1.4E+209', '-8.36606224014343292285003777220549E+68909241209258', '1.6734276650277437308220356703e-68909241209050', 30, 1);
    T('4.2468947215955758534488122502262519260159259043154770407E+628105030446351', '-6.85839708675854E+942270978', '-6.19225551958055364084900250459673032998872e+628104088175372', 42, 4);
    T('-7.293269687994807127505694306299515166998003160083745504E-510545007', '4.786182095872524663980518100556520369531992791296019E-31768816441968', '-1.52381784518485573294266e+31768305896961', 26, 3);
    T('3.148881043424478184E+8617', '-7.853771886014038233405700745588E+6407579270', '-4.009386940601103311738595265905343e-6407570654', 34, 1);
    T('-5.783743274707992600373869E+74893462832', '6.7737975970825098690457953999734537862148034323916E+1406011238485', '-8.5384058082855384819135733907782357062922276016504166653408033868065941e-1331117775654', 71, 1);
    T('-4.9926739041525888445468188049E-2629516337', '6.587401033133904806264785750411495535960232507885E+98294293', '-7.579125483692258320705442256046370006982444962151744637747e-2727810631', 58, 1);
    T('-6.0631978E+7726068589', '-6.231974006333548398271247742079231866891733453085E+20493', '9.7291769731997897880981154875461166617881184439237657311e+7726048095', 56, 0);
    T('4.94814665914526772239933375545206991294145E+8031972102374517', '5.39757842E-1412428076', '9.167345565208606496539486600830284764888047704e+8031973514802592', 46, 0);
    T('1.522377366103121311669605236345656608146287938256E-621532039993', '2.44699290436165814079896355392909922617367202736025435621E-6633085181', '6.22142125295725233260602e-614898954813', 24, 6);
    T('-9.3877436491E-34858834157', '600931.314456173132765756246040830108319925312767008', '-1.56219911049163055890137071762024411753025385107161e-34858834162', 51, 5);
    T('6.21565828904185669268683334364E+1300257744431314', '8.884765573E-25331246', '6.995860766355705278085487809009634519031107811537527890607857234456713785485941e+1300257769762559', 79, 6);
    T('4.3808850912995458530E+76385', '-7.3696819824696411606753704282954295E+787', '-5.94446965516343102653429086e+75597', 27, 6);
    T('-6.4407574955089074266045711335525075108028827880918053149426E+3513433224316711', '-1129.92220', '5.70017784898e+3513433224316708', 12, 2);
    T('4.0E+666897', '9E+831808531', '4.44444444444444444444444444444444444444e-831141635', 39, 4);
    T('-0.00326985142489210625601977488', '7.91508814632925938E+633501950640865', '-4.131162e-633501950640869', 7, 6);
    T('8.67093759349861908247485143377729181632650847E+587392117889', '-2.741569829443823177092832220319619E+4111490199', '-3.1627637204e+583280627690', 11, 6);
    T('-4.54887376782769493787843141734374E+3683089226', '-6.52753379970578937963268003468445361619755049281730143E-7260061342918', '6.9687479336111946339543339989906489958220081420996666269e+7263744432143', 56, 1);
    T('-3.8281065E+54', '-8.119711498869492382330921081486592644029462888308463E+583659', '4.71458437967037049966134915225366149136682402e-583606', 45, 2);
    T('5.07086083653616895976305669106957365404812608881977913582197E+3629167532256015', '7.36822374813558164221371345E+26543618339102', '6.88206684524105845230478390071918762954385687441138119773977276005840450292e+3602623913916912', 75, 1);
    T('-3.9827007E-9', '4.437492489947880593185435382034263130704556428008152901E+269757867', '-8.97511535855416798431136762721723933005e-269757877', 39, 6);
    T('9.1991320552192402663647776942716991661509767721383408E+76177934371212', '-6E+83435', '-1.53318867586987337772746294904528319435849612868972346666667e+76177934287777', 60, 6);
    T('-4.963131889798733305196870095298540351168962756109730967E+1972', '2.896707809738234E-327', '-1.713369872209249604351913052366618648787625926733795306519851811e+2299', 64, 2);
    T('-2.60126454636517481025712E-9', '-9.9305659991419875867126186681018959921483884193123E-9946930521123', '2.61945245275035388950106986470357282539319183579e+9946930521113', 48, 5);
    T('-7.47E+549998845', '8.2472148019680138348452431209673836609561005573052875E+508', '-9.05760329925861896994839021802329091279696826796e+549998336', 48, 0);
    T('3.80427952542784848973E+51443', '-3.289528247559790865477283834E+9751310427', '-1.156481792867991306837288955e-9751258984', 28, 2);
    T('5.643796134957827598398533397E+33', '-8.79E+6860491262263911', '-6.4207009498951394748561244562002275312855517633674630261660978e-6860491262263879', 62, 6);
    T('-64707681.45893983682074481006305560060027851192900130727891', '8.776711611782019E-30444053631161', '-7.3726566761148965840785120849142945205227753543372757e+30444053631167', 53, 2);
    T('3.585501554216593302509060766315070624990933456813938879E-95536275', '9.9280270441849E+517835758', '3.611494547969340491572000658045250518984864254684748559123e-613372034', 58, 2);
    T('-4647705.97285976735281491891181452200723452516797138886649693', '-74007794.2888592799343549137452257985696', '6.280022283489952700128865771485826400021780933650024749425e-2', 58, 0);
    T('0.01818481708482195204811805436284230779926226927096727', '-5.27906258503941201818047944275876067565940176859198E+40788541098104', '-3.44470572035966670465999744221e-40788541098107', 30, 0);
    T('-8.405537306453850554343155138305E+14426189941', '-5.2318140832048001098900564935870276192879949072999122E+67', '1.60662003136491e+14426189874', 15, 6);
    T('5.730609150E+29', '-4.93715445701884347294694529623743019032370E-47374509692356', '-1.16071093174999855488e+47374509692385', 21, 3);
    T('5.6229968410695349853574030934059784482E+2833699811521', '1.0799528735434480770742531880655621E-519163', '5.206705754316707813677476351798877751989437360065689702e+2833700330684', 55, 0);
    T('-3.237031104E+34408302737154', '-5.9916205580476598143840299164759626E-500888', '5.402596964609472393007132262069203018079020028995449741e+34408303238041', 56, 5);
    T('-3.61875938975966576625616627150440165650232949480295349479E+760454576', '-4.32549890278077413559172E+1435028456731963', '8.3661086757720361555115155830660197608753499e-1435027696277388', 44, 1);
    T('1.82389088718325125793094446770268273198056E+52750177405', '8.02492032354967783028533485782576512999055917723E+674101205851', '2.2727837955361608284807215605707551896e-621351028447', 38, 6);
    T('-750744.8135956475372084265', '-8.00540707869448034234122572E+964305926397', '9.3779717410457882896001844456735902919463170794765010620301058118e-964305926393', 65, 0);
    T('-296.2871485657', '5.56662493435850831689990742017925113894301211E+7792', '-5.3225635292391726831473343567e-7791', 29, 1);
    T('4.1792897557164509479607474711347007830549E+8562', '-1.746018319434793744970558615182449847473148865896784851942E+689282751536630', '-2.3936116300711754349680552969717295627552177690503767593666e-689282751528068', 59, 6);
    T('-8986178014.153461382555496320428558796', '5.981680196015210658452277012E+737613', '-1.502283258162103633969838977047261981338937461561574063209517722035856574278828e-737604', 79, 1);
    T('-9E+40', '3.399001097696717429729283979226434E-652085367728705', '-2.647836744183082559696510476464169373468428331749738430636e+652085367728745', 58, 0);
    T('-1.6750E+7546976325', '6.04136166454111870811013918963442127521727094945756E+644294701840084', '-2.77255376024111495588363095e-644287154863760', 27, 5);
    T('9.486377165877830732211319556485350576172430476029280886169E-8888', '4.296604662532128139176778054433921250493644437107057265E+7667077900053', '2.2078775942786418119931101392258006531556e-7667077908941', 41, 2);
    T('-5.799191422862021453E+8970289', '-8.85534334291182062263733551314515555E+4759423', '6.54880471405316170496394e+4210865', 24, 0);
    T('5.3102341E+690148415', '7.3664444630293889215309108146664317437451164524836285953E+42281741', '7.2086800174099330162e+647866673', 20, 6);
    T('-8.4283806254355868198019792728929E+2781894737736', '-1.61070E+89770622045', '5.232743916e+2692124115691', 11, 6);
    T('6.21287246673275192556309952504982186417752226561115E+191299163341', '-1.8724834753305262972355520921495302268491013004497451E-80156939481', '-3.3179852044547792666914270490143679286941046419539e+271456102822', 50, 1);
    T('-9.367590507192323061909339562322857417271900E+68052998002652', '8.567617545063221318611E-11805999', '-1.09337169381353362706557e+68053009808651', 24, 4);
    T('5.382576674810813425626294610858185E-454893', '-1.1970223619544810234380105418729974704300665086983287007E-46', '-4.4966383635659229245921092393210006285992873521e-454847', 47, 0);
    T('3.1472004598306557663607129877498321713675624747043E+30273374653330', '1.40290193941558897152E+1211804164207176', '2.2433502808768618648063575322992327e-1181530789553846', 35, 3);
    T('1990.120851456112106858046995973', '8.99875491225769257251741E+3066', '2.2115513433366881227e-3064', 20, 0);
    T('-4.0729379905724E+6509494560', '-3.789494025675733E+7279188', '1.0747973114553529315403e+6502215372', 23, 4);
    T('-2.844477448E+371751191703317', '1.400734808101E+71', '-2.03070376458789258542979168178962754821414248572765645796781448851184023455e+371751191703246', 75, 3);
    T('4.9789877268670455655397855443771781E+78905968485', '-831.5039463418706822000977785', '-5.98793e+78905968482', 6, 2);
    T('5.82457779068083E+7113', '1.1788351338970313811005477927311836E-960039222', '4.940960464442344891173242033600682e+960046335', 34, 6);
    T('1.79838E-6749740443263', '4.6825506521842451212909350E+8294451340269079', '3.840599138337390983534237901309996653600709433229237885961797225638774818839e-8301201080712343', 76, 0);
    T('2.233586962263072979033509626174916334845E+6996459505177514', '-9.11526787329579357856569418E+224942113', '-3e+6996459280235400', 1, 0);
    T('-9E+10604065736', '-6.9422140715816628686066976292423686601459E+398', '1.2964163748337864720543971246608643e+10604065338', 36, 1);
    T('631728579110895714337086172404.35120', '9.60590241259165642308513020530444924902542503430268781102357E+81234165', '6.5764625953602249751842091e-81234137', 26, 1);
    T('-9.8753547213060611259700483239871820408984124463780195709E+16524938', '6.5845', '-1.49978809648508787697927683559680796429469397e+16524938', 45, 4);
    T('-9.1157251822705402423781737972344866877940374114514224881E+8306156026032', '-8.907277992427361319738679380805510750E+4640', '1.0234018956206815e+8306156021392', 17, 3);
    T('-9.007940108688042258763323781996E+996232707654', '-1.3E-995582542', '6.9291846989908e+997228290196', 14, 4);
    T('-4E+4029', '9E+8485288521', '-4.444444444444444444444444444444444444444444444444444445e-8485284493', 55, 0);
    T('-32.58038473457419029375430315', '2.394773454834665613634419976684668E+3414464512728', '-1.36047878219125865247759465572832872204998056765883209e-3414464512727', 54, 3);
    T('7.401120930403809980435236685836083308943955771702490280E+383755798249', '-3.5044122548888672662717018339896268308675390168998771192E+492776989099261', '-2.1119435705884198384401069359376201892025494110055875092894179372519e-492393233301012', 68, 0);
    T('3.31311942468373343683759226636683519497350321166512020075209E+9779169004796', '-1.49167702952063171197601949119341781E+8101637169', '-2.2210702176921260661054199136332940767e+9771067367627', 38, 5);
    T('-722232004857077342.926756245303971379', '-7.886175983406E+41881134320', '9.1582029918783139939e-41881134304', 20, 1);
    T('-9.8868079889E-7576687560206', '7.226616959700943881109659964305752922194E-84360601325', '-1.368110146702606154275454379946738793113896e-7492326958881', 43, 4);
    T('6.24469849447889644967523365729760383621554584953475848756E+9405892326985', '2E-890329', '3.122349247239448224837616828648801918107e+9405893217314', 40, 3);
    T('-1.619457487874263829541E+126', '-6.39561778727014074E+1865775925980', '2.532136130926456372e-1865775925855', 19, 1);
    T('9.6189307475777491302329975118525098045947346631607577308945E+6486162849489', '-8.72184584416266730862087122393375045E+39', '-1.10285493683833913516005316352261558518489698448633e+6486162849450', 51, 4);
    T('9.1592270186326429051535455323814033984651E+6669922926811746', '-8.7436147253038218991087601141987082066500E+952', '-1.04753323498187179883109616058962652513253033731502123497630858034e+6669922926810794', 66, 5);
    T('9.7902692337839209303235456124074485119784519277022E-990', '5.42550735517732909535E+377621504019', '1.804489164398880904149435925909317835220990677257471224e-377621505009', 55, 4);
    T('-4.027624041153123608016696867E+38', '5.51208248007849724687302014579518986948E+4880081146352912', '-7.3069008958221656502989998936507312408547176802123242104211e-4880081146352875', 59, 1);
    T('-8.27675587412138568211404303122977955090E+52792430', '7.50353335446150391893292867174449265582200232792386514E+387392750766614', '-1.103047788706121183566323765560064770677053506465477279505978e-387392697974184', 61, 5);
    T('-7.49629934E+31826', '-4.15643684090824123177953285335701346942E-131015801', '1.803539817138650607985314299718179068525265843046e+131047627', 49, 0);
    T('8.570083506793670823365029E-472212', '-47101410775052052060160909.4800770801584991589397', '-1.8195e-472237', 5, 4);
    T('2.05454657451081566858184228848925705173328E+16370922', '4.8918496767150535218738185433E-70', '4.19993808127496029155389659262127485472186156801667294078419281847087065002872e+16370991', 78, 4);
    T('-4.6486339747686074464102233523379047050E-9570413411', '7.12604337844326970233767260881E+6669632691', '-6.5234432740488476e-16240046103', 18, 4);
    T('3.90863350479169032892366708264893025488525565823186449589187E+50483', '7E+93140808219106', '5.5837621497024147556052386894984718e-93140808168624', 35, 5);
    T('2.48035873724257733564765588234820397E+673931781', '-4.75920E+60977795070', '-5.2117136015350843327610856495801898848545974113e-60303863290', 47, 1);
    T('-8.3E+8678533674', '-1.535301807934698775470195E-91', '5.4061031890304561916976343863333189e+8678533765', 35, 6);
    T('-2.85503873335E-95713565999606', '5.60702805090962616982160E+4975363083', '-5.091893080304508339354839034747814715426072e-95718541362690', 43, 0);
    T('-0.000819417296828408183706751768462966566770769626347531289', '-7.494402679838982337057142238335669319753798955444E+314567583', '1.093372389814011715741115889714179044054184329727383738269145031e-314567587', 64, 2);
    T('4100672854.2', '6.956844631949440299841667908073972E-7683', '5.89444363234386823411977786221828124180094341663990796172447556153560018428e+7691', 75, 4);
    T('-3.3820511E+51127', '-6.35552452942835E-61987', '5.32143505125327528978146117223837892717724579590614412422537645191e+113113', 66, 1);
    T('3.331384065167452123596229612927002874282213E+67764970991030', '-3.08894577607727583514325834184461844967580329607979547499664E-191', '-1.078485770442385141756911791943851926528217224339023313697686e+67764970991221', 61, 4);
    T('4.38144960E+314440649652841', '-1.262780302648E-927118902232', '-3.46968478270707477412473571065188444751142378685330283693248468304643378e+315367768555073', 72, 0);
    T('-5.16418943890244004634452598633926585432E+1970678', '9.1624409401753953916512225325944E-43773664', '-5.63625945599119207296235824685267831020989475780546840554044e+45744341', 60, 6);
    T('-6.1714199370767666683166879525438913869638540467878103758E+85417710080940', '-13771.90425935586309729017299291879358127176960', '4.48116674415903e+85417710080936', 15, 1);
    T('3.1866078914973517418740155250663118107229245332297616646E+433009823899', '-8.0671427939E+704790577348', '-3.950107210085480500018121199090916975175379178966241881536307436800483482762069e-271780753450', 79, 6);
    T('-3.59884250613E+8840641', '0.00006487504570618458218800672441871256', '-5.547344848786626594352647e+8840645', 25, 2);
    T('3.13595743983646103194675343957652314369670480687E+137687937', '-8.702402E-8', '-3.60355386919204724390662882e+137687944', 27, 3);
    T('8.5702954081192952842143007098316879611106133439824E-637221283357', '-1.4795637665075646885604261011525458374E+56811', '-5.792447478184088947165503943862988050106627065657404075713768487747e-637221340168', 67, 5);
    T('-1.072307740E+121924', '-7.5302010097713182628414885858171265143664636649E-7037', '1.4240094502239117458575e+128960', 23, 3);
    T('4.169463183387059477614054869261E+51990376602', '2.8800992273382557848E+412430763827660', '1.45e-412378773451058', 3, 5);
    T('6.0785190864198E+19214742', '-4.7575608581347250513888204173339958589752857275E+595', '-1.2776545098790343063015398928845288903540140677138841251607974680237933450459019e+19214147', 80, 5);
    T('-3.6001777E+8731672', '-7.94676436E-7014063297533', '4.53036926339665619580545861309520444871980575500542e+7014072029204', 51, 4);
    T('-4.42389731066611088E+968960399254327', '-4.35140739293570702172314408E+4526709274435', '1.016658959087142156806911639637133e+964433689979892', 35, 3);
    T('-6.51663253863592368610192997547621115466123377049203513E+73', '2.964278349192E+6782011218623', '-2.1983875233620421661745969455753996539110966724336806094226656995330799098e-6782011218550', 74, 0);
    T('-2.107378456218984832935059255649994E+362292892017785', '8.520667781352537122848291E+83053051810', '-2.47325504326195887302474281145989716883913175647440217694622889006607716035056e+362209838965974', 78, 6);
    T('1208.6722025127356835823397299234358639', '-2.62132973832482746519870168606077823248399726E+79', '-4.6109124878167486078215938581037475016248391e-77', 44, 5);
    T('7.595459409929922871795453371943232555559266179820E+43902091', '-8.79989792E-167543', '-8.63e+44069633', 3, 4);
    T('6.5720949340742128752016898313150066613435518E+92361908', '-6.7674751601E+646978433698', '-9.7112952446760069419374562756365286734014203803387e-646886071791', 50, 6);
    T('2.84849727862206667703112E+80521', '-7.812048004698086E+40861852243941', '-3.6462874740516308446253619859603284066902282931603e-40861852163421', 52, 4);
    T('1.0E+2', '-5.3231830282E+43435340541897', '-1.878575271040687001865730813196989e-43435340541896', 34, 1);
    T('-4.0959365E+63181867066', '-4.184284602978951404263380964044814815460375221197426973E+9562', '9.788857328404351299482824360619286612400827670386478875705132036573485542270674e+63181857503', 79, 1);
    T('-9.1527395695017457469819000714993905730947101385379E+6575099262086', '-6.11383776913204761169593239163054266588542508984126E-193', '1.4970530647235535871810730614678751085070106053e+6575099262279', 47, 5);
    T('3.7494E+29560', '1.426946576760426596036263E+26288', '2.62756858670364612428288415281451934554278716504607084e+3272', 54, 5);
    T('2662033999.216725152549991310699767667', '-6.89397913500857120070571807752199468505338006865197691619367E+623500269632', '-3.8613896953916665399680992133370091100075218076718425484125283952e-623500269624', 65, 2);
    T('-3.459091444559E+128769374023', '-7.8802037103E+41559361', '4.3895964e+128727814661', 8, 3);
    T('4.537067104805E+5774348911446', '-4.67938294060173419016603531555124385337837281818713650733901E-4985263350', '-9.6958662336396998925551940879764e+5779334174795', 32, 3);
    T('2.957831528578406305947578954158020024091774178293410914E+6216119', '-1.94801699363318062555364317477712E-102', '-1.5183807627169898228818055767319170918031e+6216221', 41, 4);
    T('6.740428139725749693707595511279834203368554582816E+44472011132', '6.7914844232123900363925205632E+5126', '9.924823087e+44472006005', 10, 4);
    T('8.951350950426215488', '-2611913061191830351661667665614.60100832', '-3.427124387647751424e-30', 20, 6);
    T('5.174529441546338347247029651E+767087820026', '8.2153657658771267663878720E+297214108151507', '6.298598977831233995979146810219739201e-296447020331482', 37, 3);
    T('-7.3E+5876376735106', '-8.98115E-40393053', '8.1281350383859528011446195643096930794e+5876417128158', 38, 6);
    T('6.1149331429204161715960297419014270435969854142604451E+1768709458338', '1.345500108617591E+5564493053', '4.5447288363306712903197582865162855889336e+1763144965285', 41, 3);
    T('-7.9116552E+68379828', '7.04336490679599828367731588056491965913905E+308036', '-1.1232777663366846474024087644409055103307524428856076e+68071792', 53, 4);
    T('-1.7762184904897045575555761604652506200E-1831', '-5.225877E+344628', '3.39889073257886582013999977509086153386312000837e-346460', 48, 4);
    T('-6.5745324E+9979653873137', '-8.8337301454375180067921312016943508776E+125857', '7.442532533547724532673802796720911e+9979653747279', 34, 4);
    T('-9.224651496573135405474885066497469660208666473967384E+16468130528506', '2.732499869632957807465842242473E+71', '-3.37590189814436618434313709621270290625725e+16468130528435', 42, 0);
    T('-3.8262631623003577213852519971090E-200514246492', '-1.681705948827903780539905434217057949500784583583369401920E+93553944', '2.2e-200607800436', 2, 3);
    T('-3.238851618277141475347307E+848302841', '-9.3055011800406764956623969147047494325252452555015E-57', '3.4805773011174705010334035604410585e+848302897', 35, 2);
    T('5.5370739668580251673636524615110473575197567654241744449643E+348766833', '-8.74352884266663633863869005984510216647679618233549297410783E+1162449957308', '-6.3327680007621570787471513481354814367424778074862512461769969784e-1162101190476', 65, 3);
    T('-9.5767333616935462736972E+992626067985', '4.90112532941854291E+82906663017239', '-1.9539866291951578502090509743551509365728075943918e-81914036949254', 50, 1);
    T('9.022749018350372532894E-53652', '3.21996480755489594137719657311109513707E+84', '2.80212659380021722665031324592627963181436811161546399306e-53736', 57, 0);
    T('8.4889466870E+687', '3.6952500592129104854382020073247217114568928539E+6519', '2.29725906257293e-5832', 15, 0);
    T('3.456898720453355615182449311507E+742', '-6.086924430471866110625125830358E+56', '-5.67922069665874336644432668e+685', 27, 5);
    T('-5.83098E-76276848', '4.68205139629712108375524E+3466248900905', '-1.245390002470183984449391959187617544465572221100353818322281538995e-3466325177753', 67, 3);
    T('-8.1081105737384070494056430417324704074118E-7501', '-4.798317215861962567547171003904761812725471E+60591', '1.6897821067217370551e-68092', 20, 4);
    T('-8.166713793149140832162972233357147536725779584E+486357902534', '5.76164731020093304156899300248133967696390667369987274462375E-66206556', '-1.4174268839208648016282504607065612330591e+486424109090', 41, 5);
    T('-5.867063232559971898415863829226727826E+49579544', '4.791629E-693087269369683', '-1.224440212829493247164140593778e+693087318949227', 31, 1);
    T('2.2837166252245381248765557298600997709185064560796E+5713668', '5.05278495494071718603067341261996022076730331071327169563E+40635145', '4.52e-34921478', 3, 6);
    T('9.51E+66267', '-8.221775431876105926868335185569216680262868961801E+857838', '-1.1566845e-791571', 8, 3);
    T('4.7116423615749364353325910417542026689E-52555896782519', '-2.1384858157E+1662460178', '-2.20326098353505035845097e-52557559242697', 24, 6);
    T('4.27081565087092736353244573728270001122368357484153E-2484381079', '1E+350958573', '4.27081565087092736353244573728270001122368357484153e-2835339652', 55, 1);
    T('5.2059998561022521699832055408702898E-1843631619', '-1.667900000571277673840525638405621950260E+26156150795000', '-3.121290157874650032502697069378260032508639017975269319664645399e-26157994426619', 64, 4);
    T('-6.1698382645745536872111889866578931391687295E+93', '-9.344203427580323751217144903E-42716745280101', '6.60285096786707034837240553792e+42716745280193', 30, 6);
    T('-9.318E+338', '-5.17623135466893719283754544846691299235183303483859863666848E-8796', '1.80015137684972e+9134', 15, 3);
    T('-4.5220220074554316673031994466708646583467937835682181912557E-786667', '-9.60633456385533664604378910805694741965357271E+7537604375685', '4.7073334552e-7537605162353', 11, 4);
    T('-5.78044571953853989833096047943065378557718595036662090204E+364689', '8.659341475976315623810350763307438464822618768955E-309738', '-6.6753871937898273229869437262885895658709362503316578123470605342e+674426', 65, 0);
    T('-7.2265831913262307416907204855667195015915282818932307632E+95587406', '9.289961021484310210879759907935917712538142260874088762073E+297', '-7.7789166e+95587108', 9, 3);
    T('7.8808434846633189658045302536738467691E+7183972569579626', '-8.98448988449910804E+52517584', '-8.7716092799660175946251476939700225823919579e+7183972517062041', 45, 0);
    T('6.73092172978228608307531091943810036917336890723086E+66702143', '7.3754211254833634085708962667746514434E+9609577951042', '9.126152412539238251767031772975241377e-9609511248900', 37, 4);
    T('-9.368962032759986564673664453108332306005703928E+48584761', '2.998753523281E+71694470', '-3.1242854606167185e-23109709', 18, 0);
    T('5.802256671587791346690163557972672287658E-564399', '-8.7377996E-35', '-6.640409413358246e-564365', 16, 0);
    T('-6.18965227495060663142385901275E-77576068642', '-4835535.48043304635260210117683169376856062602', '1.28003450703587689464066219762972236716035082399742586874634852562150314316288e-77576068648', 79, 0);
    T('8.22773265463922801188886859827808676018334973222395705238E-524', '5.14728033321557091263343094614830E+47251', '1.5984621240746100379514986056458343766054543612396715246485091908827711105591747e-47775', 80, 0);
    T('-2.04262420128353044436476672046157101533366905503482E+3272665914', '-1.4386496584485613799826214152217423273951E+5693089441', '1.4198204471033585198854172251552436349598847108915916963773336682557999214497e-2420423527', 78, 0);
    T('-8.46666969540673506980938628752256252856149444285264102415847E+5011367', '-4.7751519959365673776188501517502856560284E-8', '1.773068103928728937846768952132492892757434988075649866068e+5011375', 58, 2);
    T('8.30097710933870E+6976243', '-2.219847499587583941815477800221271E+702187592674088', '-3.73943575e-702187585697845', 9, 4);
    T('-1.632435496153404561863972252420448605270889867E+79', '2.44E+49', '-6.69e+29', 3, 2);
    T('3.0660939331581231114242631126854531899674E+372489061975615', '2.8961954042727230032565118716216884E-199', '1.0586626608946174030699321031e+372489061975814', 29, 0);
    T('6.75322152064047778579444533221103315743108954368546809E+405337047', '-2.40081914976E+430', '-2.8128822286824767790936022e+405336617', 26, 5);
    T('1.21381070086603493825542007755358E+22576472', '7.10114383403122331056252E+856309522', '1.709317159651124853138493564521509956802049e-833733051', 43, 6);
    T('6.70515598803543128E-3113871901912', '-1.21647565741987788E+99', '-5.511952456e-3113871902011', 10, 1);
    T('-8.090512279630405280731351674796734985509858890280236E-8162682375962', '-5.92866981123631629465041435029966E-45421', '1.364642076085407098375983322664173908267042933517531045432383e-8162682330541', 61, 0);
    T('-9.4482302304674113456068083310167251E+2123419', '3.453203866017E-90143681842890', '-2.7360765819381536750873833e+90143683966309', 26, 0);
    T('-4.21585417525369597308364331E-6122988543061', '-4.49038E+70303167030504', '9.38e-76426155573566', 3, 3);
    T('-9.715257096453817591454639923214760268235704898489340185734E-259434748', '-7.558967566597E+4940432837', '1.285262439725953960382193e-5199867585', 26, 2);
    T('4.4612470425927616578179556648276844008E+228612048', '-2.2710282529236100187368647780423411764557275E-3807176', '-1.964417235606634019994698113690897891495385083272e+232419224', 49, 0);
    T('98129976032865218.743061203761', '-8.05715443403337E+89', '-1.2179234844793940271679100593758591522758228888738408151254606983495e-73', 68, 0);
    T('-9.00617524665534066678913085E+225105269523', '-3.0E+54256820527479', '3.0020584155517802222630436e-54031715257956', 26, 6);
    T('4.30528608214779460456513836845244927432812823655708732319448E+41673855', '8.098652181966977199814776598024711521728439518684571581E+16698550681', '5.3160525793838193738784418e-16656876827', 26, 3);
    T('-6.1761434889141834888764223670769935106902E-32902', '-6.677487818674413809578542912044452831E-468396641268', '9.2492021799603147117287670945343023876487e+468396608365', 41, 3);
    T('-5.5127735615602840091630E-4681', '-1819.4235415743134165619556639090296551192', '3.0299561567672052e-4684', 17, 4);
    T('-9.724441639339711477565606059684E+722234120783719', '-1.996823843865E+37073350222', '4.8699546878994276274437500103233474e+722197047433497', 35, 3);
    T('9.5227559683616537010034E+83140677', '7.17937889331359936040254778803036E+78981657500770', '1.32640387279608844776693753295e-78981574360093', 30, 2);
    T('-2.5129731E-680779', '-44709.732030900615559463759014578055881428', '5.62064003931669201119223064510006e-680784', 33, 4);
    T('7.9338387047405195042702045E+93', '8.97089370739837864661729301173642525875630015444168001E+122120643', '8.84397805114713338738403194943006e-122120551', 33, 5);
    T('11741378184686738514007145754.94112232958320', '-3.656859664520213657166880533182275698023320511085825214760E+104269818836670', '-3.210781725808235995e-104269818836643', 19, 6);
    T('881886489.69657533618097622529487029491141177089772758616168', '9.6111586E-12884680', '9.1756522433890055271897836052239351758425021817632640685138626263019e+12884687', 68, 5);
    T('727.917606499495368446033328930503158859454', '-2.346502177003754093492548248004E+8678019774482', '-3.1021390631266002718012692474493653214271148305428225832981118400962838866e-8678019774480', 74, 1);
    T('-9.1382E+9282817523', '-2.215622702845229240232223215280763001408473509728120398829E+69306', '4.124438690876847595564028824968135771183018e+9282748217', 43, 6);
    T('7.3977414607776508560054370881363328380509542437775533715547E+488627520909058', '1.955973387123E+4304865729651108', '3.78212787018479466048722233708817045913575575520029067433577727254460819280922e-3816238208742050', 78, 3);
    T('9.121659885055351822548301196238800342191520464180960450046E+63425', '-4.766024890680512917796276E+6389422324912', '-1.913892624205939295566949058517275630734831853e-6389422261487', 47, 4);
    T('2.005230E-6523', '-8.931471262553690E-376636063106334', '-2.245128424034e+376636063099810', 13, 6);
    T('-3.6998996823134465561919103781E-36', '-6.6790927886771217397E+94377372', '5.53952430274031002e-94377409', 18, 0);
    T('5.630E+4741037', '-5.040382801154681E+84', '-1.116978654619297163323693456805747832407110485165596005501507631279813443298e+4740953', 76, 5);
    T('3.9723515544E-10', '-9659.9072816410', '-4.1122046398412089299081322182236054578253740178454964669925424272e-14', 65, 3);
    T('-3.689724411155594403E+2533520', '-5.06368186564071622494768910431906553388599798E+6689', '7.28664341295210365e+2526830', 19, 1);
    T('6.7808944307215542048352363680192000E-453687559776726', '-5.69582208601044E+610213', '-1.1905032018778e-453687560386939', 14, 5);
    T('-4.55065658311600579433416621453866087934752676210E-48512233', '6.08942844648292523521807969486307E+79', '-7.4730438547879336526443477463054561066857e-48512313', 41, 3);
    T('2.2188065745527360367807737368608617644462576507702637019849E+8563', '-0.000001701288419614269465841101626742413381', '-1.30419189889966023e+8569', 18, 0);
    T('-2.001041126093028482439571028073605940868956746', '-1.08314152182117180791703136476748748961007387329242E-64183025298', '1.847441987754766540182476550125078337976826762852287491105072e+64183025298', 61, 1);
    T('3.071955E+9646', '-4.2110002701887395226E+93683438976', '-7.29507196128086014126406236787547209256069646868022431567732685294e-93683429331', 66, 0);
    T('6.5380261889802154550578163378537E+8803211', '0.034088350563284834157482536', '1.917964958979873790070131306e+8803213', 28, 4);
    T('2.38381079832911617457140086854093206080E+54', '2.40836606256301051276918562605035210084332330E+872184257942', '9.8980418109373192746507610742367055585732068535619819791777e-872184257889', 59, 3);
    T('-1.488854982420597297981925180698951102209096466135612E+5505', '-1.5E+131328925', '9.9256998828039819865461678713263406813e-131323421', 38, 3);
    T('-4.539985513670058245084477798700584043559421714305912544475E-551289919910', '2.15345728835491104755707993062990537712603790926488E-985679032311', '-2.108231046986906273715699298e+434389112401', 28, 0);
    T('-1.0619864813711493924381751721853421725513125859988084E+42513345073401', '-7.003243419447194179261370051424795509E-7276', '1.516420917802365954949587506420580404073596657209911650154e+42513345080676', 58, 4);
    T('-5.391772958235991842509579E+9120', '5.06518E+236279847', '-1.06447805571292468234289383595449717482893006763826754429260164495634903399287e-236270727', 78, 5);
    T('-7.463207115066284417188E+85', '-1.99554827293520879515768693435381828361616434826750587366E-30854559908', '3.7399281271651797654e+30854559993', 21, 4);
    T('-5.30808049045489901675371916507302320403205022E+808249221902817', '-2.8774166E-326009885', '1.8447383e+808249547912702', 8, 0);
    T('-7.36649880393201726735E+3426396399179876', '3.797E+56206', '-1.940083962057418295325256781669739267843033974190150118514616802739e+3426396399123670', 69, 4);
    T('7.83179242176813304954427030268527850728399157867016162E+5066325526066107', '-7.663267797706695470908641840246173290070007E+84', '-1.02199122208829373649854261961382451367363003863882249255e+5066325526066023', 57, 2);
    T('1.4994924334259304E+282714', '-9.744426866410931709652007800720780640591860076819649996020E+5187924772710874', '-1.53882055248901837666252750863565877729792136838525004555286988e-5187924772428161', 63, 3);
    T('4.5336770E+940931215136846', '3.4805420864571386963163842316365056009E+36090736853342', '1.3025778420093327e+904840478283504', 17, 5);
    T('8.2E+5693832501825', '3.540641498759338665310227576073E+40', '2.31e+5693832501785', 3, 1);
    T('9.51E+1593783803877275', '6.720304961599000E+458176293', '1.415114351854834895972357629636527707547842024661779724140050665364456762105e+1593783345700982', 76, 6);
    T('1.2203767570616884926310304557590998E-3935828818', '-8.96234416267616010050030E-5111344923056', '-1.36167138296693510386473810892355560283302e+5107409094237', 43, 6);
    T('8.939220545223E+99305355', '-2.202691243595540357890726641334565854814186E+8828390', '-4.0583175564048438494765651051657098151e+90476965', 39, 3);
    T('-3.12970495231359160574261700016036686440E+70', '-7.6848429434959612895235412513572060120857E-79211161', '4.07256852914919483449960515792734495801699501565157953682172397625809886e+79211230', 72, 5);
    T('-5.8379457277658247202638770751628139951574824011520618109E+52923712844464', '5.491696968375004084743962352193569862270523E+9461618835406', '-1.06304950207281299041654203129877881108777121959246551601577e+43462094009058', 60, 6);
    T('-6.815475044263453908833646347796542456302135406E+47038', '2.4857049543089278539937109558850620490E-61477764', '-2.741868069437984670085784640886256305848761747396953264e+61524802', 55, 3);
    T('-6.3018195996624094146916087138146182183714122668072694056E+1836439638817', '-917.94852515007975651715247', '6.865112178956e+1836439638814', 13, 6);
    T('-3.5477957508E+8937179', '-5.343029855381266200692619348620447404374972624785099060E+275197', '6.6400447813833852054665531132958992e+8661981', 35, 0);
    T('8.6957020716528034218359042E+2975225', '5.056221907492599679870445267385162989132844004125E+44681005', '1.719802301154348715e-41705780', 19, 4);
    T('9.71698217898430191431605895862085E+7908477346755498', '-6.133311661945341728148862556111918629E-686849', '-1.584e+7908477347442347', 4, 2);
    T('-3.77E+52021453866557', '-6.2E-77415', '6.0806451612903225806451612903225806451612903225806451612903225806451612903225807e+52021453943971', 80, 0);
    T('2.9659409057597701405710050984224E+293602480521574', '5.0E+2480197768', '5.9318818115195402811420101968448e+293600000323805', 61, 2);
    T('-6.2384700776209200341963450E+52068644650115', '-5.1048861004E+460139218', '1.22205862284216225413128808071692035748128285506849738684132463704987858e+52068184510897', 72, 2);
    T('2.782388650E+2295332', '-1E+687534', '-2.78238865e+1607798', 37, 6);
    T('-9.7584549325675387124E+600252763167', '-7.1E-315', '1.3744302721926110862535211267606e+600252763482', 32, 2);
    T('-4.62024550436595320646270661665576211E+4361911582', '8.04540E+903', '-5.742716961699795170485875924945636e+4361910678', 34, 6);
    T('9.167834329796890515E+46', '9.34703934E+3537788510586114', '9.8082761784e-3537788510586069', 11, 1);
    T('-3.54673334E+377570086442', '8.946712295670608E+9772861631418', '-3.9642867936150077755358765413014141083868329855132468753e-9395291544977', 56, 2);
    T('4.48E-23360', '-5.4101040883785454043797550848458716E+2707', '-8.2808018603995000458420834436006190330870074863583494460100549235e-26068', 65, 3);
    T('-1.10828092390840582944E+4206', '-3.75511E+630602475', '2.95139403082308062730519212486451795020651858400952302329359194e-630598270', 63, 2);
    T('1.846845757268763542381038458107185588779205484196E+980', '1.0472138112730981967812847592833096373900745583066E+78006', '1.76358040486837402293644635946806675099746850448290560372565714867164116575044e-77026', 78, 2);
    T('-5.85315350729186225007136563370083072760256948784423496E-51865286446', '7.11281159394748461717376153694096472475689534772665163E-9004116939923', '-8.22902930856835136425539063848169610786769560788830078316865280473e+8952251653476', 66, 5);
    T('-5.5413533928540080E+6196942540348', '-3.32175802792467558488291240343210432830039310957383150', '1.66819899169960374770220557394633013677122111660049744145092836951956776e+6196942540348', 72, 6);
    T('-9.99685334893371E-10', '3.92167103367637937799941860592260298249E+59418', '-2e-59428', 1, 2);
    T('-8.029479548170692007460647373863E+26538782', '7.8494924995030E+21267403', '-1.02e+5271379', 3, 2);
    T('7.60389290961482705955084190490236502684460805663605758433E+854', '-9.951708192969387434865734692946359642778928589E+2321302107604', '-7.64079167e-2321302106751', 9, 5);
    T('6.5737106100428995436507E+440', '-3.7035186956541170975450933331956484563573832088279E+5258662', '-1.774990529346267520441041186025834965792421726749115641842830212202266114149e-5258222', 76, 3);
    T('-7.00930E-7228606812954', '2.4877581466124908466668096433235E+63958947256289', '-2.8175e-71187554069243', 5, 5);
    T('-9.6224976955547990431443926889150901555899916781827065E+771516747', '7.7406613303547638116849414E+9178744', '-1.24311054119e+762338003', 12, 4);
    T('-1.1950E+621922991033', '-2.5604183117256890121610820477066E-284182328', '4.6672061144359859271693777998779659421361329371554393096925e+622207173360', 59, 2);
    T('8.21851545202009688478819388619542360379449043017594848279021E+35988748608495', '-4E+76', '-2.05e+35988748608419', 3, 6);
    T('6.651018698652620197713013355348711091640007895096890E+7816107657357082', '-3.045841970968249752733679527242194E+331637387926', '-2.1836387974318682305240995886859969697866587217184533101987e+7815776019969156', 59, 6);
    T('5.57959580671691671489E-3458335647572', '4.6668904921007632297E+547770', '1.1955703302147350208456675749163676133455029636223198e-3458336195342', 53, 4);
    T('5.1265280962949238765375892511188857547248835E-78782322323859', '-6.89386685765499763310258481586824321145515551231045800819103E+51971', '-7.436360756811529479e-78782322375831', 20, 4);
    T('7.42418370204110894255544166036519676556181189E+581067847808', '-5E+8308273885', '-1.484836740408221788511088332073039353112362378e+572759573923', 67, 6);
    T('2.950628617E+237553301299798', '3.1191661856549572393793732522391370053386512E+8885858646', '9.4596711e+237544415441151', 8, 6);
    T('8.92757317111240E+550076', '0.03064938592375559', '2.91280653821936974367702820142975281042734949003138627e+550078', 54, 2);
    T('9.0097074459583020855500323296497E-39527368303129', '-1.29055838298921387E-53515783630145', '-6.98124746986638474946249854253003596149941826909e+13988415327016', 48, 3);
    T('-1.670312E+375262749447', '3.618990665214196E+94134129', '-4.615408423279643352538792335475560237984332269413219933e+375168615317', 55, 5);
    T('5.13354418141733954421695744011002204287040746241E+239400234', '-6.73922315632901974459E+491720582000', '-7.617412366878316259569571583684681273804730941053469333764397039098647207e-491481181767', 73, 5);
    T('2.398505980861E+77326644', '2.522076347078474248620E-67133', '9.5100451008923031450027568967778935142191521879e+77393776', 47, 5);
    T('-5.58240723130838228222962633270281782282669501061E+12749169617721', '6.26050887330580391E+11640001', '-8.91685858814324095617729836936164689526e+12749157977719', 39, 4);
    T('5.52851331297024707298427925924451266717992E+87812945452057', '2.7369654648429181191319365823090545273E-5916', '2.0199426642336327273e+87812945457973', 20, 0);
    T('7.66314206558095042638E+77050', '-7.054767514135942002E+7113401487908243', '-1.0862359461493213052202781732698076737966902559887e-7113401487831193', 50, 3);
    T('-7.235844736591868980676568594425201954082470581384528652420E-54811', '-5.4086367124897488628E-6629032315812577', '1.337831531535976363703098318394495e+6629032315757766', 34, 0);
    T('-1.39855616539925425E+947', '1.82195480111957643612164341902910113051336267391613561230E+141023009161', '-7.676129860849746869e-141023008215', 19, 2);
    T('7.5E+76', '-4.40133318626129293458166E+836879', '-1.7040291390370438602937322105395539298576887955316494762902e-836803', 59, 4);
    T('6.84651694558978652978649E+711', '6.892095958332211E+12251082', '9.933867704370364074656477233626220652475105833519300605178939040339591e-12250372', 70, 1);
    T('7.193561191948792378867178053075691220602547545385363202E-23', '-3.35131960094977793253053636226128296253387793808239905449E+29952078812679', '-2.14648617515026235552932138038259566e-29952078812702', 36, 2);
    T('6.26780883E+169', '-3.5144934408704865244561343456265536363899494907260506E+508901830963', '-1.7834174214442577440555607006930481486628287820005635746909757e-508901830794', 62, 4);
    T('5.17552083901102137392065132076725414574E+239', '9.3E+88525095004648', '5.5650761709795928751835e-88525095004410', 23, 2);
    T('2.3493680920673278038845554390857E-500727', '-2.2433922985854924054918009909E+990', '-1.04723908232575080118627802771901033955598413e-501717', 45, 2);
    T('6.866745552128174132333367211937635009442652678392394778001E-987884099044822', '3.373666399809121043999463628886270283766E+7257650269676', '2.0353955425221320959707625865689177431651884184803752734928716e-995141749314498', 62, 2);
    T('7.95320230521309126521466525361771E+48787', '-8.847837443633010109354871556018E+52199475', '-8.9888657605664907505776603975879905619272512305424633809813e-52150689', 59, 6);
    T('-640231856214964199155190394266323860844010206249800.8392799', '2.129110992222347154472358E+71456466394196', '-3.00703842380098686495847558663045626698651887410034220677880306465693367052e-71456466394146', 75, 2);
    T('9.0383753814104382814519513312199400520718305940750669271402E+3248951', '7.0E-5102', '1.2911964830586340402074216187457e+3254053', 32, 3);
    T('-5E+1', '9.97283513573652808409288896174627998347991806E+2952', '-5.01361943e-2952', 9, 0);
    T('-5.028261627437017626738098714956170211544073E+3826208', '-1.2837492630E-46427346', '3.9168564862007773e+50253554', 17, 3);
    T('-4.5463191958127649953252090202722018360492583031097704E+746997', '5.545226116336634205604108585802720944485E+8775', '-8.198618235636924316983e+738221', 22, 3);
    T('1.8206136990110931608655109102220000621997113617922E+41740', '-7.5717933122274654652544739253738863361E-392199781', '-2.40446829956522697382958767221e+392241520', 30, 4);
    T('-4.62371283003E-38714427', '-2.3375479154442032502837466055E-7', '1.978018418138546601532119882795936245774934592890075806795921882165e-38714420', 67, 6);
    T('-8.23290774843254473138214612213775937161E+17988202801', '-3.491158675444899550E+94710', '2.36e+17988108091', 3, 0);
    T('7.08595055785274631495125881922483195588176009029751349627004E+57640186023700', '2E+70265216223965', '3.54e-12625030200265', 3, 3);
    T('1.69444758541035969959255502093895580047257047803509945E+81119324', '-9.62185436888701E-20968327390488', '-1.7610405649969962634512e+20968408509811', 24, 5);
    T('7.64200904558302465826847528764750E-13174313933', '2.6786934812837199751685018510519E+668502623315948', '2.852886714728075940842324675684145432792848089805829901e-668515797629881', 55, 4);
    T('-8.258821198137256912E+13080', '-5.7114900872322337304057463418925833506337019501554323E+577608', '1.446001143659421127213276927740232664641823713230810671022514153350474263e-564528', 73, 0);
    T('5.062482343429261401871948757391257E+97025696517', '-5.7136408727785210209171972555667340301120199532239E-5205893467', '-8.86034396657379729e+102231589983', 18, 5);
    T('3.9986234592053078446599187647081829924761921799731E-532173883725281', '6.93594E+335399928', '5.765077926287291765297737242115e-532174219125210', 31, 1);
    T('7.690390344978360520903214233175791972667841302547897780971E+950044', '-1.803591296122073241259735431982799993463066908287E+826', '-4.263931835063506838572833928468963558221414759072114206e+949218', 55, 4);
    T('8.8404380785773E+735320', '6.28010567849019173966E+569', '1.407689381542802486127308151736086e+734751', 34, 5);
    T('9.4617219690848296133261624890420297265E+39', '-3.06228971953E+8653029992', '-3.089754e-8653029953', 7, 6);
    T('1.32436944717159619530970266189159199569179682575E+390277773', '-9.7501211936142739551939857354629050892270467189882E-9', '-1.3583107541668058765177296738034414513514e+390277781', 41, 4);
    T('1.77548407758242052213397023526346560400843306787436E-833432823588', '5.1390176062296310150785242276E+23571151747', '3.454909505330628525701569295879907e-857003975336', 34, 5);
    T('7.7065857586999828096316E+42084214415', '9.6265772421702145621088514515225144E+64906461855', '8.00553049e-22822247441', 9, 5);
    T('6.872665295382290533509276352121841526496125E-269543179096', '4.19995151413641860934279973102701E+84687105587254', '1.63636777049685234006363771689588511894320812397632968703258628831182e-84956648766350', 69, 6);
    T('2.8068942724016412487437938556619145443335850796107278320E+3007095891', '2.55863967891862107636383701119855227760973705545E-777', '1.09702600781519266217112048525826698955683e+3007096668', 42, 2);
    T('-4.3974270172094137008873343055379284035534345E-283736', '-4.5675101123171323605521340324801702E+149', '9.627624042584912e-283886', 16, 6);
    T('4.569458543202226976858367980500939088126320929593309E+51087', '3.4897890745191142285533835079290501397E-637166350104025', '1.309379577283446273897445403933722057036893296e+637166350155112', 46, 0);
    T('-6.1634627237845E+438864786', '7.3453179557903946954866978760E+428577542591', '-8.3910087499013909186583976416439e-428138677806', 32, 2);
    T('5.1423698529360E+20828244118819', '-1.73402E+4080', '-2.9655770134923472624e+20828244114739', 20, 4);
    T('2.03451057966981354033E-389762240', '9.4070592215134079128308305877888527480948650120459303726E+7758714094', '2.1627487738325319371718242216283795497123555398317454149159991565e-8148476335', 65, 3);
    T('5.3295799839674427200274960841476E-500702', '2.422022612082265428993960953541666697694506E+783237794', '2.200466650220695952387824489590912160899487680735e-783738496', 49, 2);
    T('-7.0E+15966184', '5.47139730215090358E-2202286317403424', '-1.279380679821619884117873149123e+2202286333369608', 31, 5);
    T('-5.8912049398961956E+7078231', '-6.0635483856626E-823777375', '9.71577130286629780636619609880490109504286119989864650332912e+830855605', 60, 5);
    T('-1.14E+57839', '2.01426096764969875761453312016728639536839480247E-95', '-5.659644000003568716e+57933', 19, 0);
    T('-7.819499851321831909330687651E-682', '-9.54091599682368555562324E+1338058818594', '8.1957537975652034105602560944390737327598880507371e-1338058819277', 50, 1);
    T('-1.9691516065448E+1122214428412194', '5.0755378240642988374854485832303640697682E+925911', '-3.879690536850295455246169018527849960125255950392754339e+1122214427486282', 55, 3);
    T('-7.87682482962E+833927', '4.7219875793034858642501656443489335984512511384E+50', '-1.6681163805140433340792e+833877', 23, 5);
    T('9.2858478311867184071757644961930240251675413540E-32571996561', '2.028708E+8091163641', '4.5772224643402196901553917548474319740285646598721945198619022550312809926317637e-40663160202', 80, 5);
    T('-4.4964393365401448845184578984714245652493778430881315777E+1129268697587', '-9.0E+81009118412314', '4.996043707267e-79879849714728', 13, 5);
    T('3.95390118361089477062616317462210073414E+3248133723056', '-6.9680336897529126452562585E+967183239212', '-5.674342805526e+2280950483843', 13, 5);
    T('-0.00446403007124235715055146', '-7.36927720345E+63104198034', '6.05762267858845e-63104198038', 15, 4);
    T('1.60857595821034459140796790516943088367376562623620E-651', '-2.54193332876129798321229E-35', '-6.328159515474841296664811698695399065390857626374301e-617', 52, 6);
    T('-3.070447188803088962097903197E+390582', '-4.262537541760443922015268279962246597521487284339E+4646', '7.20333172135530989e+385935', 18, 0);
    T('-5.26039860675448563839844010907570180461252670832E+9832565414455', '-8.73845962058176183250264578863E+59130680064281', '6.01982367048378633282520680815507389879576476e-49298114649827', 45, 3);
    T('-1.41754019407579204610361E+7820442072', '-4.19380831E+567740687204859', '3.38007865236881092951e-567732866762788', 21, 1);
    T('-6.504926598325013900685428223445096958038732123912522E+94', '8.91188412143798542406027928716725848004401410045757900E-518', '-7.29916e+611', 7, 4);
    T('-5.432607173313010276307237621534957211081135965502006134E+29553217', '-8.389975238630547421E+95470998753', '6.4751170519541e-95441445537', 14, 3);
    T('8.915020242727123901981676224091E+614200840', '5.803026713E+8206780935193', '1.536270757250798804306948e-8206166734353', 25, 6);
    T('-4.543491452690282606357019729114528022758E+747961925167', '-4.87859267975689106209017E+241277370857841', '9.3131190712906428887642753209951805330726796271131693643042e-240529408932675', 59, 2);
    T('3.469868E+166721899571', '-6.46837355E-77', '-5.36435932955665493375842525359408162195581e+166721899647', 42, 3);
    T('2.25040734078839318749399444E+99968539201538', '-9.803055089449773447552283E+5115', '-2.2956183763675087191521907870846391623446858076447123280739577075098630523e+99968539196422', 74, 3);
    T('-1.50277038562511E-3715524447035', '-7.183599599755497257E+1897660569', '2.091946195993800459470054514638467413354808769e-3717422107605', 46, 3);
    T('-1.623774995782418898525185893430939155860746546E-12493088', '-8.50625E+2459', '1.9089199068713227315505491767005897497260797013960323e-12495548', 53, 6);
    T('4.06676172414E+605419823', '9.82242529602726595497596590053819558E+383191', '4.140282671108554210489745253472e+605036631', 31, 4);
    T('-0.01521028810619355944309894625071978276201019253098', '-7.27602625605703900487296143846398536653E-7780776743', '2.0904663577225993619798236412690770271016745e+7780776740', 44, 4);
    T('9.185595645840556505568977078701350064785997074498912875672E+329500', '-9.1906943638170854532402160798365576E+90364112789', '-9.994452303e-90363783290', 10, 1);
    T('5.6738056339085824723599875011540E+1759324112324', '-5.1431339856473686522E-11335', '-1.103180599560914984502207e+1759324123659', 25, 1);
    T('3.181663670036616480603E+54', '-3.6370282E-42', '-8.747976356181721331176370862343052495441195644290027775973801907e+95', 64, 1);
    T('-0.00000263477793514', '1.341455161E+991149114', '-1.9641192726679591193581460304956104306195292948744337493364789402752165489637e-991149120', 77, 6);
    T('-1.874242708921588195976180E-81961427879', '-9.2433856091816251450E+443011847618221', '2.02765825008952174247422380261561869922930820731139807e-443093809046101', 55, 3);
    T('2.088733544733705042965661091510661795270964177401436E+5909550', '-2.31046388371413361E+439', '-9.0403211210382955256653479500057501523238205481082173414728509215435e+5909110', 68, 0);
    T('1.5240584838019322346975648093E+5947', '5.4439889824064172595999328581615E+1072062128', '2.7995252906045552592169884524845649931906781652712178474778976534281494584e-1072056182', 74, 1);
    T('-1.4609258007466583347048553349138079721748E+49', '-4.418492779810E+40489', '3.3063894715914410403655626538803e-40441', 32, 4);
    T('-4.3274483813253919918509332276E+2123466792966574', '4.641436472199360789918595E+990814', '-9.3235109588278293274338581008377522015276737968412941283417356e+2123466791975759', 62, 3);
    T('2.3064703228684212943020584265015561398906943926492557479666E+83814259', '2.47341596568449284391895134173E+335807259976', '9.325040166586492328933982745039429124358273879709881368695891182121649e-335723445718', 70, 3);
    T('5.765611052095343871E-923', '-6.025355282025837345677134E+42741', '-9.56891466515620536549157e-43665', 24, 6);
    T('-5.797591077617534867098675441304189586980158123753E+7095', '-8.43388209380420239035380466130160445375802712503484E+62', '6.8741666211774876234975937621153574631523080723695321747671372490537485e+7032', 72, 3);
    T('6.665278473E-291', '-5.7122394146846672319E+6033', '-1.1668415815810030059557858451985872754e-6324', 38, 0);
    T('-6.878680605380828024025557919180618345916968402E+8003717628959', '-4.97242652558750686491354922511E-7237', '1.3833649567236373825090529661773832989792487416351379106875884409360277070532e+8003717636196', 77, 1);
    T('-4.137057225431E+6087', '-2.27164007200473184643344888972999380202029788489394E-20', '1.821176372267473574078686514593477275069100216571620219742e+6107', 58, 6);
    T('-8E-7391618990', '-1.0988124225104958613739532437E+90085931', '7.280587510761950784885768111874306665359656423403413121653552003140282387e-7481704921', 73, 4);
    T('9.29371548817468536366037E+8885', '-4.008428563289410651E+657746380739906', '-2.31854337465054986343061278e-657746380731021', 27, 2);
    T('2.45768846874E+27', '9.61493102593649067774985746059199658304669909233553966E+500', '2.556116587950897e-474', 17, 6);
    T('3.010154782195327E+66534954385', '-8.55548305267851184453967967410237774587930277366667615E+4865657701', '-3.518e+61669296683', 4, 5);
    T('-1.8354802656018667138037292002E+9752', '-6.99022397493297E+333', '2.6257817663409952883283870623296661656378410282744487431284683977886275434693e+9418', 77, 2);
    T('-1.58949313822928249193974400765023536219E+7925100405', '-2.2819455508257361962570350761705727879E-23142610181342', '6.9655173746547743426602434087850367833739465e+23150535281746', 44, 3);
    T('6.305267391190474793174779196E+936071', '-7.589618826987446364E+5229123901', '-8.308e-5228187831', 4, 6);
    T('4.6384540313420006990827298537068209367214859733E-27', '-8.32885210142038E+9130133', '-5.5691396303591118447952537487078113498527916767661286431241738821e-9130161', 65, 0);
    T('-4.4770E+434847972340', '6.7375000014875531952221663365422E+6098', '-6.64489795771656561203316887323e+434847966241', 30, 2);
    T('-9.61257357411725500488285213136484020808305287612936510476E+2687337893', '5.5510761121441456762939756E-6614671', '-1.73165948005788103271084003398933299431150164517491937e+2693952564', 54, 4);
    T('-4.0964562322037191141491157817615409792430648E+9387972061280', '9.430E+28408504609', '-4.344068114744134797613060213957095418073239448568398727465e+9359563556670', 58, 1);
    T('7.166203654124539187E+9488050203', '-1.54547791315534201707400028205775691521E-8081316029', '-4.6368851e+17569366232', 8, 2);
    T('-1.8312762152253246647E-5675296123586551', '2.319077374699923310816711524E-6929', '-7.89657229725800930547117166071495e-5675296123579623', 33, 5);
    T('-2.059656471623183019E+6911587792207', '-2.94012106282515651445348881003076602703328568845188179191E-213096583', '7.005346e+6911800888789', 7, 5);
    T('9.809860596575021622132714508519965326657415412E+44908645882', '-9.1225240800065558926628957421727961243737265E+901090136556012', '-1.07534499339660518339573668018002530097678073634652e-901045227910130', 51, 3);
    T('-5.9926329210781057460E-997307408731', '-6.25584E+6', '9.5792618114883145125195017776e-997307408738', 29, 2);
    T('-4.2432E+7', '2.483213455728099932724487247679512361672567608014599457759E+20793278402', '-1.70875362736622117e-20793278395', 18, 3);
    T('9.107591363E+61206090549', '-6.924315575538186478954775440233159113113117518795009760E+62718384114', '-1.31530564481705042541573809641478445919521563189e-1512293565', 49, 6);
    T('4.1451049632041645E-2950669345', '-9.480805113701679E+768847497', '-4.37210227769965475145043032102847671970399034230151501697725e-3719516843', 60, 2);
    T('-1.834105750895277434170557110759E-5474541652', '6.92476288857307652759707915561439014625752426421861999405680E+4514', '-2.648618849e-5474546167', 10, 5);
    T('-3058351.6956858293403260218243057552751635938007', '-1.36222179793361865137496038550839071927546282768659566E+48281238', '2.24512021487624399915442e-48281232', 24, 4);
    T('-2.5667114944061043306577260596E-65287', '2.1575076440E+141668', '-1.189665075599659998543081e-206955', 26, 4);
    T('-3.7972252888538801771287210416370342649868837311295E+2292668788125', '-2.26591988137282420968097059508682285431476829554561E+586990', '1.6757985664317942850576382924772070320073481790356508852474600074659855607919e+2292668201135', 77, 0);
    T('2.8958467835016788913425364314513815', '1.49596913E+11571', '1.9357664041514539082384249676672014615702664934e-11571', 47, 3);
    T('-1.546822104493E+986886', '-3.440239775892498E+87437354', '4e-86450469', 1, 5);
    T('-4.06634671806902273974785551033351392927023600260832263E+48145675628561', '-8.5495953887240620870921E-1506318164038528', '4.7561861505540586322200166391433820916815079301009820885081826176220032047856e+1554463839667088', 77, 0);
    T('-2.3305923238141874623387732098131353428985916067979E+58448', '-4.886228463592025477074978155E+419196', '4.769716236520167209576015021971871397978540547093604517e-360749', 55, 5);
    T('-4.5821257554742863805408169629691982508223183974325628084E-215347598875', '8.3627790218227E+98760079644', '-5.479190282939694e-314107678520', 16, 1);
    T('4.1098019186415957751955947967923008957318097963655725326E-98051', '2.45790396407836483E+3688', '1.672075874e-101739', 10, 6);
    T('8.982215464965305329114E+24776325731262', '-7.799407117476E+637', '-1.1516536231118140520722322118543690155156854e+24776325730625', 44, 6);
    T('668328721653180912033826840635697981939143.025675', '3.388187865821203401050863E+7051641699470016', '1.97252557449672714942615752494100767e-7051641699469975', 37, 6);
    T('-8.5827458957842E+77195815', '-6.5017191015703503883214852911E+1453399472441814', '1.3201e-1453399395245999', 5, 0);
    T('-4.25277197655901259386652667183984E-8655', '4.4680463599568903473848771575006330962845864E+7692010631477238', '-9.51819124947496110066199812908635855834532467432101704261985385255175946e-7692010631485894', 72, 3);
    T('-2.4832934738204191813469426801282E+10614', '-8.16486E-264', '3.041441e+10877', 7, 0);
    T('-9.66538E+1517241036358', '7.36122240436176347916E+54787', '-1.31301290316577695999317565907743773743e+1517240981571', 39, 5);
    T('-7.392783660276050608550101138676529659351972694004218686E+214814255087527', '-9E-617479885016', '8e+215431734972542', 1, 6);
    T('-2E+859', '-511318.0712760789839036692700290764948598', '3.9114596419576342265988997956587690538406192247381554836861829842351857e+853', 71, 0);
    T('3.410618937E-54844735277', '7.5E+2403964', '4.547491916e-54847139242', 72, 0);
    T('-7.013938424859890816698994607722591066390668659737E-8487584556', '8.325525282419988633287909723605129E+267949705350078', '-8.424619692970462552031e-267958192934635', 22, 6);
    T('9.066320E+4555483839686789', '233753.22299367838932613637150243332986213881432', '3.878586093439742267201970119912629128742467659288554953045571481741895e+4555483839686784', 70, 5);
    T('8.9804625345331615775699372922097857411157E+884423567834222', '-2.8917747544664507804252052504615769339507462585168698E-5646626', '-3.105519377213772314592582484e+884423573480848', 28, 2);
    T('4.9430334909301789086064192182633667307873E+570693398', '8.6118357418159586403960761651690806543696788E-5540167', '5.73981394806289284296237e+576233564', 24, 2);
    T('-9.7317516662788384719767322945377801138788383403866309E+410903', '-1.81518488177547928245157807784848701761606210E+9209523838', '5.361300528660177279762210518397672700623690569211315920139010178317622e-9209112935', 70, 5);
    T('215263257', '-3E+6', '-7.1754419e+1', 27, 3);
    T('-9.885155704448E+9135204816', '-3.47776829249581E+93727', '2.8423847919304444553584900918950315818042786363484449783787026071574912904e+9135111089', 74, 1);
    T('-4.12974648211727077242424408495797713893619E+87767602197600', '1.51073627E+3041711133022382', '-2.733598553318158418493681949e-2953943530824782', 28, 3);
    T('-2.371632572287313424445631660577882380922E+7994639917014251', '-3.9509895200748706696203297022135711E+9218704216', '6.002629367243604676594569137e+7994630698310034', 28, 5);
    T('4.344918587310635970921996983749195486567889161E+404', '6E+3803689063', '7.24153097885105995153666163958199247761314860166667e-3803688660', 51, 6);
    T('7.545646882719556129092607E+335519', '7.604938321002913001098921370712371059254744229504166719E+6333', '9.922035609257199443142303797527439428352831513744439734147808955108890574744e+329185', 77, 2);
    T('3.802816888453189142295427435629559663562E-9', '9.738522381002194265920044257027174791389E-90253', '3.9049218553645097369116589005834e+90243', 32, 6);
    T('9.1454526246582662031488856716959586E+15239144', '-5.47206890867387807064698704686764197273E+47240976260714', '-1.6712970500356162129661696e-47240961021570', 26, 1);
    T('-6.264E-258837137', '-2.604297663213937038169621184049148129053655606887186744E-920751076', '2.4052550092410181098720018913836498495002965461e+661913939', 47, 4);
    T('5.04024619884386879827830703347727454E-3527730682862498', '-9.06734912477671167236748E+34219', '-5.558676664464e-3527730682896718', 13, 3);
    T('-6.5197820549334213215614430639595E+72016841403', '1.557426081E+7406', '-4.1862545737947106e+72016833997', 17, 0);
    T('-5.4059E-444', '-5.999732304365555521704E+987480464', '9.0102353335e-987480909', 11, 2);
    T('-0.000880043842078028302864252786451427018132577161772040', '1.1897E+216439852451167', '-7.397191242145316490411471685731083618833127357922501470959065310582e-216439852451171', 67, 4);
    T('9.831408E+3849354378982900', '-5.08214450502978713865127484911711970949916490705E-50474734041', '-1.935e+3849404853716941', 4, 3);
    T('-3.35420974793E+3215', '7.0199632930590652744256560597002189568512354931E+227985805', '-4.7781015482608706741592814725095428676708448689632775e-227982591', 53, 6);
    T('8.030700520703556312761249E-9776693', '6.080270856874313575112881665631502773915233596538105499516E+198526219419279', '1.32078e-198526229195972', 7, 4);
    T('-5.63E+2418', '-4.67264117E+428', '1.20488601524691869289e+1990', 21, 2);
    T('5.72922888E+1116758171843664', '-4.49164576517114218E-605424898685874', '-1.27552999046e+1722183070529538', 13, 2);
    T('8.60621639534832714047866211774498207643074170686423429E+2560111', '-2309.66336676535', '-3.7261778141293413710553569473759253610452672486074487970548211323944481034479503e+2560108', 80, 2);
    T('408911284920678.201430552439921', '8.74789807056111623844818290944108267742797563', '4.6743947131342079486071680093e+13', 29, 5);
    T('-7.9512266665705726432915027112395252656422049847443533146705E+78699340938373', '8.664278995812946050703822893533248632188151360E+69203733', '-9.1770205811851634394666496997090880154866377986013267639644967211e+78699271734639', 66, 4);
    T('-7.4173231897758519447739656417118311E+36052774957594', '-8.11829145968347285364470183309745728E+690738359', '9.1365569056140400917050176744012483370261663409439827294619434173e+36052084219234', 67, 3);
    T('-5.12003132654214504168506096854123026675386135111962072E+5037088929867327', '8.5146117029021000141497803123720915576528632743273873293E-904016839236', '-6.01322938167226784319637811071389581996259492168026188027359577e+5037992946706562', 64, 5);
    T('5.948294076503996792077480082E+867515971316519', '5.92144351129271477152432668532204380355864E+5373451533720165', '1.004534462780920838934986268469079955495842544816e-4505935562403646', 50, 1);
    T('7.38E-157993', '5.5427796087399820E+200282299894', '1.331461923610140795416436e-200282457887', 25, 6);
    T('9.08177E-29046947392033', '-7.813549677124090902E+409', '-1.1623103935192102132281901469905893007394551e-29046947392442', 44, 4);
    T('-8.420E+128511', '9.77389570276668410897753492929264271104487808978803226344759E+5775766', '-8.61478e-5647256', 6, 6);
    T('-5.1769322926636188752608997094E+4148707', '-5.481213860165E-39', '9.44486463169634218365986191126213834404953270209234768010944981314448124467655e+4148745', 78, 3);
    T('-1.51049057822060440252769845762781485969682482051644E+8673', '-9.25782092901E+17875799256', '1.631583274080600678308516305229893849237e-17875790584', 40, 4);
    T('-6.3521843704012422680066229283380753914060130828E+9385325', '6.59214219000295472414311019876855401522290711730941881392E+838199206839', '-9.635994168988632051253167746928583217862528341113056058981101030175856743e-838189821515', 73, 0);
    T('1.814932128507865804094886048671799996E+10789613', '4.869042692381905252717030674968421199E+5090', '3.7274927396868076145013750042816039214301033217676098938865523e+10784522', 62, 2);
    T('5.5319965882784106024300289276690679411511E-1479187856442428', '-1.15859557776E+276', '-4.774743400086021231517831689180974542399413413069197e-1479187856442704', 52, 4);
    T('9.549458467011554236381282240256824439E-6562271624816', '5.8465806276458897476364593613124857139431730641E+5425147867', '1.633340763634798015888691297808339349410288803022618142739432793470285e-6567696772683', 71, 4);
    T('6.43107456431E+146045652515', '8.27925116141964E-61', '7.76770077259893892e+146045652575', 18, 5);
    T('2.9771594459367001734360636009605672588581229591E-467830', '7.689230498408199040590683622558', '3.8718561584972938556272306448e-467831', 29, 3);
    T('9.45846495200203729160737E+94984', '-6.37057070145072E+2901034442528003', '-1.484712342937836856823611001612281149e-2901034442433019', 37, 5);
    T('4.27710295594901522327910997498620871895E-1271601', '-9.97121007782503052632192994071879294931533865599853862280374E+865246246295589', '-4.29e-865246247567191', 3, 4);
    T('-0.0042179765774830195557983313013913883', '8.458270377084028118809432730566723E+864978469959', '-4.98680746e-864978469963', 9, 4);
    T('3.2531263022971366769702011260915604910503736E-14211500593', '5.559741995221945103904431786679441892231951076E-34231117538327', '5.8512181052517919150966662470460432260725996698660974137853827743237934e+34216906037733', 71, 3);
    T('-4.2530795732722292171439613572457407430231013E+38912', '2.14308461622953033440633024E+1065', '-2e+37847', 1, 4);
    T('-8.3855337194668559154812249271330E+525142921199', '8.526282E+4531451', '-9.83492420197555735957e+525138389747', 21, 3);
    T('-6.890836452092189967472884148752473291311636016429E-83518', '-6.294669919333560586222898786426330057E+50281854338', '1.094709737031254481231968715054756514910063081019747720021398696294697382e-50281937856', 73, 0);
    T('6.38273967556966405633133424423283747814415434948816268284835E-13601361348875', '2.39640E-12907091198', '2.6634700699255817293988208330132020856885972080988828e-13588454257677', 53, 4);
    T('-8.466476726852364545720115375674582839091', '-4.815959248351418115672583694317525506999E+428297753188', '1.7580042293e-428297753188', 11, 3);
    T('-8.8206470255259979249444991846607677130E+6894646801694237', '4.09714193704956441624232744490462382205E+2110544846517585', '-2.15287806989618865629481997889997646583896097011020120778246e+4784101955176652', 60, 1);
    T('1.05069446301459214629336759365E+6897766373898', '1.510E-72156', '6.95824147691782878339978538841059602649e+6897766446053', 39, 5);
    T('-6.0955343596649911668481779469302943663765555E-444424', '9.79449002094472370524684E+65794', '-6.22343209971135259126950940925301099112199855725428470883648145e-510219', 63, 5);
    T('-9.276', '-9.447431E+281145797200070', '9.81854220475386377524217959358e-281145797200071', 30, 5);
    T('-7.354511938E+78235977693501', '1.095763110260113415819365568607813062E+8326', '-6.71177179550621859506732355126437967328478735809475e+78235977685175', 51, 6);
    T('-4.340085655566011047597896107740757942581733723166E+2601086', '1.6906215169393E-6018', '-2.5671539206618516559327989e+2607104', 26, 4);
    T('-5.9698969879584E+3357', '7.53033801654362046606378E+857', '-7.9277941771e+2499', 11, 1);
    T('9.205542319571045318239176747316174104826807444515927478467E+3506', '-1.464287839024718635E-41919703', '-6.2867027057346520848232008540087591095e+41923209', 38, 0);
    T('-8.9512152620445680E+93497456', '5.858353749765455145709863E+268911694970', '-1e-268818197514', 1, 1);
    T('3.5753833147991780108830815911773253877247469967E+6749', '-3.02960185989921E+6302998270354902', '-1.180149564246083901421767805358300567199549484983496343837e-6302998270348153', 59, 3);
    T('-1.7410294344549E+3627', '-6.06683172247E+24806720', '2.86975066080466722881386793184858e-24803094', 33, 0);
    T('5.6281872270485972045E+422608', '-7.78448737967275914663420787936656277233996588E-236063', '-7.23000366311235829e+658670', 18, 5);
    T('8.783950168484282732E+9154', '1.38172115935903092451568117157E-70712263', '6.3573e+70721417', 5, 0);
    T('-2.56309602314412687994054489021608503326474619E+239040415126136', '8.920777897416102983997323266186714456446140369361991E+72184493959', '-2.87317547036623996e+238968230632176', 18, 5);
    T('-9.39012E+386', '-90323267.2595873267532', '1.0396125256422552077238789835141490825873061710993e+379', 50, 5);
    T('2.332261621915876529708885000875E+261707445592', '3.1337217992281191589827629216652657803579673683889371679E-4891', '7.4424654495186719470455392423142107161270837256924335736e+261707450482', 56, 4);
    T('7.605326262024462095314605889137393647650299914538093E+778', '7.146816696949623675205880026073146317E+83', '1.0641557752e+695', 11, 2);
    T('-4.3640962514519835088062899197874065238658248144554170386E+77370780173', '9.414643141143532E+23', '-4.63543459483893590203117790696765042804880195547e+77370780149', 48, 5);
    T('-0.00097062614426692934772157', '5.3051096882595915650573358487761980518102188429044051E+367941804683', '-1.8296061746187109462283871111993501019747537783590898365514615397906345e-367941804687', 72, 3);
    T('5.3901047546789730712197068290E+71', '-5.81792462E+8121639', '-9.2646520997361651468418420811371736198259646754e-8121569', 47, 3);
    T('8.4E+952', '2.8339555717350328280406537794988568580300216905036386273E+7898598814', '2.96405493571561793483497455642068280958783295451820590115e-7898597862', 58, 4);
    T('-3.9944550E-24660239611', '3.4826114353052813582065810018196919818867643294280782073E+8017457675222652', '-1.146971195093962894467406930636963e-8017482335462263', 34, 0);
    T('9.1400128108918379705E-440857964522', '5.153880115591728924265241074434573513E+1856075', '1.773423635377373e-440859820597', 16, 4);
    T('7.6E+571687', '34677.35062686508192113486760914454269242187300794558324283', '2.191632250623e+571683', 14, 6);
    T('3.005400451775730323270301356118380237236895754826131548353E+485640191', '-2.577761693840649098861754149730307783858843425E+2946109252629454', '-1.1658953808480004524581738045320012231525416794734646898038e-2946108766989263', 59, 5);
    T('5.9296455797E+14098144', '9.46626E+913', '6.26397920583208151899483005960115188046810461576166300101624083851489e+14097230', 69, 6);
    T('1.0014206358433605032E+279860', '4.3228443249784210125362937914305726168175153E+59391356623', '2.3165780688814405642764129248753115744577742845353709478594706139e-59391076764', 65, 3);
    T('-2.9156353926094068936898169332574650683E+39350', '8.001901581849403903424221293398360760106922890E-5628066656', '-3.64367814673315e+5628106005', 15, 5);
    T('-9.5530649372096892176019116206152969090455E-74704266095618', '0.00000749169729800969815551002775', '-1.275153621028926e-74704266095612', 16, 2);
    T('-8.902443024614897721530246724541282192831007737759419085026E+12382057487', '-8.251175224159263864966E+673421', '1.078930307836480762473e+12381384066', 22, 1);
    T('7.06724853516743307156E+19012488902', '-1.17446271341239532227863511481448829826629138E-168008557', '-6.0174311661487993161231699164602211102964e+19180497459', 41, 3);
    T('-6.6749329786682546328741820689240702497495331353459600606404E+2359', '-2.786861273658360622720E+5920816419758', '2.395143612550887958250855160181160508207377481164732e-5920816417399', 52, 5);
    T('1.5387934979773660776342896068449817440675E+60', '-9.7276503519554788740359552027663078599925076986896804280246E+462923224384', '-1.58187583054734e-462923224325', 15, 0);
    T('8530.8222953016036140953326077394869', '-6.96697692884332871936E+74899', '-1.22446541483206943726287481969310044120132138562e-74896', 48, 0);
    T('5.222910149861559510876183062001593317057546439E-697', '3.335510641546069590731537640264057039966690089750E+81', '1.565850243380019937800815119128189138503668958172799218327e-778', 58, 3);
    T('4.2173837062059672855096488399589251E+74954606497002', '4.9857520E+4510455', '8.458872e+74954601986546', 7, 2);
    T('-0.0000855666251405378097289170251732068', '9.3059771602154267337958448118672431887900541E+96841', '-9.194802831275915509240135330834403e-96847', 34, 0);
    T('-4.8085921073388E+295158', '-6.295144402410482642421955431587183690175331E+476197408', '7.638573160446542256262e-475902251', 22, 3);
    T('-4.1800282603244546106530972724881902654671355572835800639899E+548183', '0.00007082827247388724233516459680395476064000071', '-5.9016380243716025210314617941769962081542153943112453658433e+548187', 59, 2);
    T('-1.03083216277390741E-54090524058066', '7E-62', '-1.4726173753912963e-54090524058005', 61, 6);
    T('4.41946494575176306914111757E-4251', '8.6090372654677969233808616502641233186E+143067276540', '5.133518196603622980475080056127774975435963181094377305305387817e-143067280792', 64, 3);
    T('-2.28498604490686656613615E-6485057346', '3.4738494123616946475881563E+4626417', '-6.5776773074150616019009509280634228681020447203480432316037348544254940372e-6489683764', 74, 3);
    T('9.859273684290267653656903782043919669792120064930274E+39867204', '-3.1182428361111833940567181866257915804805295E-30689878723298', '-3.1618043245746520549394070835768680057698117395326137375531366982318731986e+30689918590502', 74, 3);
    T('-2.895084667785744753616210587122055186740175678239930E-14001735624', '4.66646342314461974871550293030641692918314E+80', '-6.20402305829028744547109643381e-14001735705', 30, 1);
    T('-2.01537816192304868314318096739113568185675261037930740353E+6262', '8.6486E-950474754797', '-2.330294107627880446712e+950474761058', 22, 0);
    T('-6.632275514048972883255800964E+5387304343662', '1.786616471714802368253222851884364508565942946E+4481', '-3.712198795348217962843427638958335650969208835999445944033833e+5387304339181', 61, 2);
    T('4.6671255720277159513435709672E-31499052071976', '2.994303581155556620536651850864E+83', '1.5586681328506399044577e-31499052072059', 23, 2);
    T('-5.084525000522004274453798953548E-16247806786861', '5.728781416905E-47395138', '-8.87540408771424523926304357951906635645587441058816506578642877923050467367e-16247759391724', 75, 6);
    T('-8.63614606302490607527123705685E-663777409056229', '2.683318317333352654437260021552385239862971919E+964731311198058', '-3.218457537161449158051888907320676030378536e-1628508720254287', 43, 2);
    T('9.61889688704E+389521', '5.158025875682693E+99705540322', '1.864840758629751206505682614393053237433044731706996796129246877083596650577711e-99705150801', 79, 3);
    T('-3.34857928839581848190768322507720348323E-933454771', '5.76659903020E+828938915962', '-5.806853000978779e-829872370734', 16, 5);
    T('7.05115929934779279751900749307488279982E+6548152933555310', '7.620613848234726026631124681923130806570501266614837176E+69622', '9.25274451608797328730568903312228192922983372198248688264809e+6548152933485687', 61, 1);
    T('6.63216362395405013202223630263713097201991624315263068518350E+890', '2.23763997102094357230794255071530575E-2235330', '2.9639100614242536997193097594720477947361400329e+2236220', 47, 0);
    T('3.805739430003406997567590255E-919', '7.33136908321010E+1550', '5.19103510791e-2470', 12, 1);
    T('-7.1009503505973070925794823291977298683923575E+495741232', '3.53582163210524744353673225102355668530384459286160E+522424476', '-2.0082886212700052425345039555505308566819084851635091315801266981e-26683244', 65, 2);
    T('8.73798658150389393699780E+2638050', '7.13258511133418777908956029987E+72236161678047', '1.2250798897048712987240013844276306517994141905287104913563e-72236159039997', 60, 2);
    T('5.646631094447419067910041403201E+549807713281', '-2.63388537869655634096182634468794E-3293945', '-2.14384085963596291437309415276053e+549811007226', 33, 3);
    T('-8.05281520151707015908191293E+55300800341', '-5.8002775053576907927499469146243048319152267839691E+7068', '1.38834998740641636791344055597994077e+55300793273', 36, 0);
    T('4.735429116505136048640E+916309', '-7.42799393010217390220608867455539573E+5730314685581', '-6.375111720695764010256365585309542e-5730313769273', 34, 2);
    T('-1042.0157036213389083879668798631114944949', '1.9E-721', '-5.4842931769544153073050888413847973394468421052631578947368421052631578947e+723', 74, 2);
    T('-9.787336305745381362250525400000048869219100202952441902E-83936785950695', '7.022834446206484788650437E-3307614975565', '-1.39364474283345720806598184807774227165145199084e-80629170975130', 48, 0);
    T('-6.698210659600694540088881811211557725649039338804428875E+258', '-9.38178158720100235688182121404170603788966966689E+41413755', '7.1395934741634345282060868400968205e-41413498', 35, 0);
    T('-3.25766771539911640157700E+42607336760', '7.1166961746803306851678E+916', '-4.5775000582281356591744825654e+42607335843', 29, 0);
    T('-6.464122564094288522E+13950966151', '1018885381.34262226', '-6.3443078902e+13950966142', 11, 2);
    T('-2.10725752405026263955762561506795152434600127007495744722761E+267', '2.9260147327149008736E+3221969644', '-7.201800799188202006887035852812890108090391031269406300534e-3221969378', 58, 3);
    T('-2.70217210767811892376701166915910059541830447835E+901247', '-4.743154957576666270026603324232374735809807746687736354987E+1692446007368604', '5.696993102368914546714807576407062436826224e-1692446006467358', 43, 6);
    T('-8.114454208192751944030726E+13620243320', '-8.300718583E+717116875', '9.77560451791641223024790503e+12903126444', 27, 1);
    T('-7E+3723', '3.628E+978', '-1.929437706725468577728776185226019845645e+2745', 40, 0);
    T('-5.942294905452781235737388359E-10755415', '-2.56774498653403760426402E+50837424759', '2.314208e-50848180174', 7, 5);
    T('-6.9861325500081153145275677224504682194075179504156438156E+25300921', '2.4139286693E+8186190', '-2.89409237267726720997172413111555409430901113429832688867681e+17114731', 60, 3);
    T('-7.243262272910416288428585E+86', '1.982689632294895469820925753940625407E+147', '-3.653250692861387398924777164332314997182e-61', 40, 1);
    T('-2.19768057220702274466167531933261732297732527213327E+93843', '-3.6697733E-8399723373772946', '6e+8399723373866788', 1, 2);
    T('8.8975690861E-8627304016244', '5.843344424219039E+46', '1.522684346522865985252074875375576658182e-8627304016290', 40, 6);
    T('-3.0237158375644992192702984522110233007013061839517E+3775', '-2.3647650173031936766999515226897935E+210176', '1.27865382625322364723654171643058200263462242067298369e-206401', 54, 2);
    T('-8.86398945923203151428874196247058793873585306604226471987402E+9004509', '-4.34047852283293109613E+40832', '2.042168717712421313937822621331699909765048329361469634784e+8963677', 58, 6);
    T('744759.3759627788105', '2.94109502E+7464', '2.53225200443465716554781694880432662797817392516614e-7459', 51, 3);
    T('-5.600165419277516770990465E+45678956', '-5.17686E+76331110133', '1.081768759301491014049146586927210703013023338471583160448611706711e-76285431177', 67, 0);
    T('-2.0911948513398541E+18985538939501', '3.216828816248300543924453870120344849703597099525418585E+7319', '-6.5007961903e+18985538932181', 11, 0);
    T('8.11847768037625224510068305267727700327154412307390741E-24655', '-8.8172659362813271280513541679E+248', '-9.207477396105636671199827474197391451294296308734328287e-24904', 55, 0);
    T('-6.84914381971814799477938566310082125E-20537591181', '9.79450594537897871487816507070108596287904E-34096416329', '-6.99284257716904591194803912638903074559155111316910373621e+13558825147', 57, 3);
    T('3.34769801584566058412239103469122253542293218562E+527828421', '4.2796616287413489804960821570603874509E+4000623', '7.822342760378981e+523827797', 16, 2);
    T('5.20278956167623648776579320219461033E+664401155139893', '5.0861257326928263438577001025242068472737311891461E-24975389220132', '1.0229376612209000593278629475330017e+689376544360025', 35, 5);
    T('8.36737375098926366117277812288034767989E+774', '3.35820520178170308378E+412965364729', '2.491620746269446338161313266796533796488668963105991132586680692435642754091748e-412965363955', 79, 5);
    T('5.4931976441272384985979567502368383396238024463030254E+2856460292703', '-2.725431618056950739711359791370500795766974982633E+2828860013', '-2.015533102255384635928803854278437576714637038140975358164856719435249405242e+2853631432690', 76, 2);
    T('-9.722012994698895866432545254274687953E+7505', '-8.752861320E+21688934027', '1.1107239837656762813228880512269658526932996123375115921521307e-21688926522', 62, 0);
    T('-9.361358614477198327276132039353E+521275', '-5.2516000997768169884201372E+237155963197122', '1.78257263245825558114145237555698864475347644e-237155962675847', 45, 2);
    T('6.3176780E-3635808649', '4.0234155120E+420220', '1.57022757931843456092933609985047947491235898978161517810442840485823e-3636228869', 69, 4);
    T('3.945366471488970427289108793538E+626620959', '-8967816661.75184076776828758018057352686346805919841876', '-4.39947271482047990646413883116e+626620949', 30, 3);
    T('9.01281E+9374816078839', '8.5705367E+14320374', '1.05160392114066788839e+9374801758465', 21, 6);
    T('8.61299236875117764260470509176064786230077429544341288383E+6031428161175', '-2.91596E-512629711592', '-2.9537416043948399986984406822e+6544057872767', 29, 1);
    T('-1.239668389500874376542846254765604914179925760194E-59', '-4.38190E+563208549', '2.82906590634399319140748591881513707336982989158584175814144549168169059084e-563208609', 75, 2);
    T('-2.881776105178396414678846708748060790562689955822089914193E+67', '7.307869907E+50507470', '-3.943387254907240940679277897753169171957306e-50507404', 43, 3);
    T('-8.8562715258329547945259233683E+6968833993931299', '-2.204865815616267185978405341353079538877025909215066428190E+8687232496945', '4.01669410587582538258083589202684458603232053368061702710174499029515317e+6960146761434354', 72, 4);
    T('1.56329741786193653497700565057763731561077886592806103E+2308853476432614', '-1E+401371962', '-1.563e+2308853075060652', 4, 6);
    T('-7.4555483206277431810279E+65282', '6.1181455357E-4156', '-1.2185961051635437938979036307398770399602934702055587127932073458e+69438', 65, 2);
    T('-1.45715792535677707751134383300E-50307', '3.0753610388508098679769325721226076070782572156E-85031973330', '-4.7381e+85031923022', 5, 1);
    T('-9.2993770523162929556672867654559757514403233E-62872201079', '6.627366385499813279489E+8692548723633', '-1.40317835341994085047653375665466541519562327640635605447064114017756e-8755420924712', 69, 6);
    T('1.3727027390139787E+4087508', '5.50401561681972E+1276890', '2.49400226049347812515877246218279098670702655440585802888e+2810617', 57, 4);
    T('-4.615701477452E-75', '8.25817E+17901', '-5.58925461e-17977', 9, 2);
    T('9.845704076716779667770143447732345130537E+1491217444217', '1.264465022334709093283336518253043302828316723E+939840', '7.7864582276365896141880981509767006343444022008864184172800395134565e+1491216504377', 68, 4);
    T('6.066262186102E+4812927672642', '3.74127554840296372941197493516710437549006972079E+9348944', '1.621442234772443334090934808661129364646798132107240463930076736731699945e+4812918323698', 74, 6);
    T('3.5507876287570468567658181E+5293971988018', '-1.7691E+7', '-2.0071152726002186743e+5293971988011', 20, 5);
    T('7.55604407416710769260236328337691921E+648', '1E+506067815491', '7.5560440741671076926023632834e-506067814843', 29, 2);
    T('-4.60143120804246628077550702884502132728955E+8111', '5.6442680608866471171383772496305E+608', '-8.1523966587080139160759615973017215302792515511906643165e+7502', 57, 0);
    T('1.15138253282326495018690582299983491854125375172440E+3259378703564069', '4.95558542939906107929E+6874', '2.3234036608322326e+3259378703557194', 17, 0);
    T('-5.74524787147185E-1613019', '-5.323081468156875105699220501921721331298601751034123255311E+730890900', '1.07930864966850688476090218492035333555539e-732503919', 42, 4);
    T('-1.147950592897440881016598678946855150596E-98458894', '-41362610.98012292965', '2.775333968760086171626e-98458902', 22, 6);
    T('-9.785544097897564902251998181809411910E+7461992577', '-1.602462458481861192278655276707326317261589646041680E-2762', '6.106566831629978396681718966330053877708506109798440277721792791032e+7461995339', 67, 6);
    T('5.66860614142723674490164395410433702793974258174556963117E+90983109998', '-6.94427169477940980360458321658333613848E-956112397', '-8.16299590594763506284216771409970101857696626069817e+91939222394', 51, 5);
    T('-4.47727566163E-3475', '-4.7959164732272233E+35097', '9.33559974746e-38573', 12, 6);
    T('-8.6063201972131154708030167291209454327218955E+69230953', '8.8226864652439083580967429888422E+77842601577', '-9.7547614676287703e-77773370625', 17, 0);
    T('-605.3344153251', '-7.7589223994739169625014499803719E+550733', '7.801784631408916598624714730257815729998069694634342e-550732', 52, 4);
    T('8.5735953868018628022721261928382641130077453E-966523659242643', '-6.8974736973E-86092', '-1.24301e-966523659156551', 6, 5);
    T('-0.0000095677919826688978653328688466', '4.805506714342757185609711E+48966819', '-1.99100585045743134581283005e-48966825', 27, 3);
    T('7.40464451453489270433E+877841', '2.09759237149911130609693770160749435758890991279060012159E+18316', '3.53007e+859525', 6, 5);
    T('-3.93535E+699441', '-4.550499966628682052324064729887E-76750711509', '8.6481705941326998269517244613221111898064034122603811e+76751410949', 53, 6);
    T('3.99916142013085E+6726', '-6.056813155999784150440963519873957182978543583379958E+907', '-6.602748536446668159e+5818', 19, 5);
    T('8.0780814E+4525380784', '-4.599767888607885103014109017668696361115548267E+71004758', '-1.756193267927008988766066489513087e+4454376026', 35, 3);
    T('9.0120527742264841071142024441549E-81019509', '-3.2545853482659364590719283915524408221690968218026E+935084913968', '-2.76903255249648392230406607307368232078143641230577595745e-935165933477', 57, 4);
    T('1.41994998731276183621107799854137470902E-9108', '8.35918089142613688508345958772991928092E-4485654142396245', '1.6986712044587757092792107e+4485654142387136', 26, 2);
    T('8.83229383043247058925757159449822970347220141766639123339014E+9202851269038', '-9.7609975512818E+766384498698760', '-9.048556547658007158273252754735876524598e-757181647429723', 40, 5);
    T('6.088586562159636944884977370237922347036E+61561265', '7.0470E+52885', '8.639969578770593081999401e+61508379', 25, 0);
    T('1.7370E+343508', '-3.31518810736505920719239671717266959342E+66', '-5.2395216915174775526628251882123600985060044e+343441', 44, 6);
    T('-4.057905761348357950E+81212893', '9.73453421873083255416762855324517887781086807253019676479137E-78563078', '-4.1685669495519210335822366255677090219360448586097414649388615296e+159775970', 65, 3);
    T('-4.8626353407263408951782995947760E-16551', '-1.08332532066741112E+1382881813042', '4e-1382881829593', 1, 3);
    T('-5.8623506327457734248328874615403485713592953608393E+23821759204', '5.69044667292294338607886918E+9716299', '-1.03020922077010348235201858148569049056536472398424782858528e+23812042905', 60, 4);
    T('6.0241487E+89684', '2.1297799466150857876E-1719299', '2.8285310459300431190476932275606040705e+1808983', 38, 1);
    T('-7.4298049349612250600452062189305335138374248682244454E+479643182', '7.074943772702939809E+4968', '-1.05015745336e+479638214', 12, 0);
    T('2.466591802326593381529433539198296406E+11520', '4E+24', '6.16647950581648345382358384799574e+11495', 33, 4);
    T('-3.1499380956505538263019764323769193303050086823200219E+10808', '4.8758974938606091631612921230834423E+386914', '-6.46022214293212006431220992946780336688e-376107', 40, 5);
    T('-5.84E+9711294', '-2.464179480629918596015220178563119029572712290515305468835E+259885552532', '2.36996e-259875841238', 6, 6);
    T('8.98483286730991731573654750607500682130297E+30070215598', '2.193872122562376080224643329098593139742809E+27724', '4.0954223242583096017643188502225488565054503367296818881713698847e+30070187874', 65, 4);
    T('8.7831379291800724067139012250E+5179', '8.432023491128319185452639293E+129503', '1.0416405905914725273142384016941918779109410121087789475323670795287952493e-124324', 74, 1);
    T('9.70929374381213347E+88', '9.99703552697146941876719E-97', '9.71217289127059322469300762e+184', 27, 4);
    T('1.261979344398713203333909110E+56867', '-7.157E+4116932580529', '-1.763279788177606823157620665083135392e-4116932523663', 37, 3);
    T('-1.4765604272612781171453349490569765381047462349733823E+7640554417', '-9.2584058025150851088407571577448314855062049757814025435E+94295448', '1.5948322624400026079102824103783218631186976858066490766749403845682306742e+7546258968', 74, 6);
    T('6.14577529497143678014955065686840E+6692', '-5.333380086538772631978790630402295226E+1189079', '-1.1e-1182387', 2, 1);
    T('7.05142789354336184110450452126866520527008731E+47359726837350', '-4.3E+6559', '-1.63986695198682833514058244680666632680699704884e+47359726830791', 48, 0);
    T('-2.813307115856700094288034261578707170056439904170466860E-4180174717242', '4.06236E+59568958012', '-6.925302326373586029519870867128238684057e-4239743675255', 40, 0);
    T('3.0E+867672536840829', '-1.24406359443206381265639799297948496443325E+880453151565036', '-2.4114522870268e-12780614724207', 14, 4);
    T('8.690366755632672767800462344992365482739574383968819921401E+78200', '-8647449108.2881904670495969913891722513751743863', '-1.00496e+78191', 6, 2);
    T('2.96581601434888672207387842940322053125837597488E+1285', '-7.156685780688564750902921302177200353202847090E-235', '-4.144119366469568921251939264603585311611669665631313821258867056e+1519', 64, 0);
    T('-5.2382644373038311140922225049751498E+40966392691', '3.9375648372038924982300445096757393556562E+1178', '-1.33033096694950666783600617967527292962568237847622498394872757338e+40966391513', 66, 1);
    T('2.91416918761069E+2478704190466143', '5.25E-2409050044091', '5.55079845259e+2481113240510233', 12, 6);
    T('6.4601184872254421344530168491435401909259392848478726E+938354327', '-6.114007', '-1.056609599437070015532042545771298624768656510345485800065325407707253197453e+938354327', 76, 0);
    T('-4.85777055173722674995326913E+99520091731', '-4.54986248734435880648973128356214509694765181330021525E+91302896', '1.06767414735045897989393972238609456607737637e+99428788835', 45, 2);
    T('2.52839768878955962857308155087104412581280E-87215449', '6.90852897972893486027447775047E+73', '3.65982063071372483066077842464416812394102437955527971865347122160124500947e-87215523', 75, 6);
    T('-0.44145447227334973566297', '-8.7940115173500178543064823932672355558115416433211767309E-661578945', '5.019944213199954519010497326123619142e+661578943', 37, 0);
    T('6.6530470026564845142443553935E-27', '-4.90884E+58910090030', '-1.3553195872459654e-58910090057', 17, 0);
    T('-2.767458566990596109964708076693497724087138018389E-73', '95807.813049311394870146720', '-2.8885520699300492254548227e-78', 26, 0);
    T('-0.000230044600718225', '7.146153', '-3.21913903492165644928117268130139391082166866564429840782865e-5', 60, 1);
    T('-0.0805105008348064463457503486161057631297518173108764846', '-2.33388702408858638088831598268290556985576035306360103E+24727925', '3.4496314519014414250638463191920302906262087215489373e-24727927', 53, 4);
    T('9.37473558634627483355722174680005844669057865301237230119E-279037713817603', '-5.91637501151195389110323273004615072765122E+2108902148491099', '-1.6e-2387939862308702', 2, 5);
    T('5.19902154738706150714896798297326E+7887', '8.8974527076123157629609683E+3816570116747538', '5.843269661820152336138244115504e-3816570116739652', 31, 0);
    T('-4.81239115768564028165381046491860084186907E-9896870354836', '-4.5597088641741E-8888524422', '1.05541632175178548856509287242e-9887981830414', 30, 4);
    T('-5.77020922713784956417608220927956139881002413244034170E+625', '9E+3021122', '-6.4113435857087e-3020498', 14, 6);
    T('4.70006782314718866622E+729', '-8.13E+6384890429', '-5.781141234e-6384889701', 10, 3);
    T('-9.975944136978479121357963624990950607596378686458525E+5008077800', '-4.2701698087063E+603660899656', '2.336193777736631277343943263111311727222267694306511130554860404860298262e-598652821856', 74, 0);
    T('-4.95821230E+39412941898478', '-6.47763160575427206562613E+4886827207837', '7.654359805821e+34526114690640', 13, 5);
    T('1.3219817890404370214224918E-14', '7.7421250344911798732202312072301989210633096099397141E+222663', '1.70751800461889462907826079e-222678', 27, 6);
    T('-1.4E+9226', '-7.726718776384433863731130169598688419046174E+945981084758', '1.81189459655098574013046845122973847398487615545878667311149082669003e-945981075533', 69, 1);
    T('6.632786540013037640085678624711714365E+5749145911143820', '4.08127849E+944147', '1.62517371854549372838452850217327716957634028056e+5749145910199673', 48, 3);
    T('-1.78841952536147184810776192420549484004095911E+3509533', '-4.797754094762576257788207698589252945032535277496134E+2707894', '3.7276181522387390161393311601e+801638', 29, 2);
    T('-4.322239150376864520815431742587E-31513', '2.94554E+578463490398707', '-1.46738429978097887681560316362602443016e-578463490430220', 39, 5);
    T('8.100042779620132559231506146019739686023191378072411233E+916', '-2.61760432334884799937078754627002334970874982633147E+266105462748367', '-3.09444888494732221473431164e-266105462747451', 27, 2);
    T('4.1372712747888075853307705487324633703530E-592', '-9.60312174256307050340E+30997513', '-4.30825661e-30998106', 9, 1);
    T('-8.93088268406498123023733611526E+684', '-1.29057135497957734279212325668568674672666496354288908E-4185', '6.920099884137214604468993515966160248722121455857900055860991891631642655891602e+4869', 79, 3);
    T('2.17870287638E-94512740883921', '4.18912071157180157454495476095777889094231505410093E+96151', '5.20085962278830601086070425763021723923833166372849740251301e-94512740980073', 60, 0);
    T('2.076321642445370835E+3933', '-7.77810988607202719E+36011036989256', '-2.66944241320550506736695241611385968513991343305445907126309197e-36011036985324', 63, 1);
    T('5.414162831413E+56462', '2.160252736960170229533193029094233925819249692590399941E-190035806', '2.50626361387307614112277583e+190092268', 27, 1);
    T('-4.7784416573571768778712351644557705098832761577300E+57279081458572', '6.692288650E+27717432965484', '-7.1402204945e+29561648493087', 11, 4);
    T('5.03310882057997297094991745517364639129629128696715032', '1.48168349795329247659792779313249611486562081E+2880133626', '3.39e-2880133626', 3, 3);
    T('-9.833510E-43331', '-5.01001192631317705679033687864343178110782374E-2862805871', '1.962771774724375e+2862762540', 16, 3);
    T('-3.5806607847E-3566', '7.31690340E+67309', '-4.89368328232951660944437232832676183752815432823672374846441187128e-70876', 66, 2);
    T('9.2482466593949540999021917386493000996573941846E+4911485900', '-6.30127236375551560902432635027046E+54149251656', '-1.4676792440508097304063130716101669e-49237765756', 35, 1);
    T('8.09791069470600137522730834557002970E+15313', '-4.98338476215140646090463964351229492391495012192795945107252E-7', '-1.6249820315319189870732740642055122797983819198304460187923829022068e+15320', 68, 6);
    T('-5.609E+85653', '-5.9247107532612463503349319000602882149271974866E+7538644310135192', '9.467128833103854166195278475219459720361308380108961239814e-7538644310049540', 58, 2);
    T('-8.532649243238071132435991764E+7675', '8.0427015437753840889601388E+709', '-1.0609182992550407466372126314921605565341582931316868318700970897623285580194e+6966', 77, 6);
    T('-8.602635654477219904463924475368535E+25603564', '-8.07691694693101503160094940053320E-70377', '1.0650890322384659575347581489274453673834178605448952018490747414485244323586197e+25673941', 80, 4);
    T('4.6470486438588408793062541740218975978638049918332371104E+99268760552883', '-6.488717880511424E-80717251291815', '-7.16173630820973911156893819598e+179986011844697', 30, 3);
    T('-6.4595522148067503743605647E+2008735345', '-8.4287579418337691876444743154130215659640170077422E+3754', '7.663705921303754508099008652807122738774019216410185215062169e+2008731590', 61, 0);
    T('-1.592358132726304441541407244E-764976', '9.28264354975604936184505291315084896511969504394747723061953E+343082457', '-1.7154144982418850799199791165966442939793461555122119572313225695262e-343847434', 68, 2);
    T('9.9891736125407288389385818136711E+328130173409585', '1.4026702688928866451279003498423912E+9891352820072', '7.12154084539417935773431660053740964312998109552341018e+318238820589513', 56, 3);
    T('3.8956517261964872662232058E+66982924339327', '8.8158392943E+88563944', '4.41892325409705859889997e+66982835775382', 25, 2);
    T('65.68413', '-8.33704586544101870401107768656990369698268524597E+54', '-7.878585659733011000162500125594e-54', 31, 3);
    T('8.082960798828310250310856126329888497E-712558936187478', '1.1492263570348180E+9714525812499', '7.0333931599720711654953355307440724703902286890605599097e-722273461999977', 56, 1);
    T('5.70074290229829221273099189214E+696958979', '2.94787256265098835046686749524695499E+248', '1.93384984633517495021708172824149e+696958731', 33, 3);
    T('5.81082458797086221105153E-4580860034684', '-30478.534931957810731421753049', '-1.90653015341561225483678631397168541225131386078928e-4580860034688', 51, 6);
    T('7.4787682800833047739990909109020865206674905413E-31894157549', '3.2107286312356917458E-2566639612081949', '2.329305630916867936120050082292335916316988865828320508726843310793719385e+2566607717924400', 73, 1);
    T('-6.09827013001796901761435947914131E+702', '-9.78911211990324853E+6978831', '6.22964580987784391275606481769490663700021695416463647375553312192030182306e-6978130', 75, 1);
    T('3.74394997282667185E+10828', '5.0011999605280221637969930639425781920858522730003671865072E+676', '7.48610333995e+10151', 14, 5);
    T('1.0384E-231968', '-1.971160100049116376E-342', '-5.26796377409e-231627', 12, 4);
    T('-1.0340826184793356361504467492941578E+48', '-6.9292422133346E+73530464320251', '1.492345896769710368391955994059812428206077887542050962049179e-73530464320204', 61, 4);
    T('2.45908684035400703586139423690106717E+3576231425317', '8.238343864891062983130093265896805575384844975664567E-83', '2.9849286224064695044516090255925955820055303818e+3576231425399', 47, 2);
    T('-3.96837782023295039600287598447362628785378830E+3300', '-2.347855381248863745422762E+396932583', '1.690214e-396929283', 7, 2);
    T('-9.723783618366089545056061497173787160707286E-601', '750.682433466076773661135622124448600826690289', '-1.2953258508353660396744535641e-603', 29, 4);
    T('-6.9412510115180271067E+894471429398196', '-8.66777790901093530E-1925271985920802', '8.0081089806211715654682002423442729e+2819743415318997', 35, 1);
    T('-2.3701031098270828001628921179E-91', '-2.49092158918325740811398543640935064138316915E-2472282102258', '9.51496474284527959284516092696e+2472282102166', 30, 1);
    T('-4.447684564082062112973960744E+990', '-1.793083243691905923583382762279656933070656663E+6591829030700326', '2.480467418191031532088e-6591829030699336', 22, 4);
    T('-5.57164494223887E+690708', '-1.42928E+48985912273607', '3.8982179434672492443747901041083622523228479e-48985911582899', 44, 6);
    T('2E+1', '-3.48493411256418304E-673', '-5.73898941959742838969452725e+673', 27, 6);
    T('-8.976995576E+23884955', '-2.7466702230E-12089636', '3.268319400279e+35974591', 13, 1);
    T('1.9082850697766412011E-27460721', '9.074247147937937891E+599', '2.10296792523475211781827292109e-27461321', 30, 1);
    T('1.6391416508104364290398731E+63', '-5.9580407152794731461048136391633696193266920003364E-66883937784386', '-2.7511420769697600092292522728108010518584932455820870418465027836759583199031e+66883937784448', 77, 3);
    T('-2.12309155652311225188397970554579844331358936E+450400911678', '-6.62E+36553241182', '3.207e+413847670495', 4, 6);
    T('-243.9738757692237', '-7.514352845591663238043056333121590957861320E-6498107682839', '3.246771622021347147550474595930521959e+6498107682840', 37, 2);
    T('6.8E+31929915', '-7.75806300448300415480747682702E+45034600724', '-8.76507447293301623364547737454825251422229608954285103189951999535e-45002670810', 66, 6);
    T('-4.7346348333028325029053478152682392430E-6436682080', '-40751847.049072572271098871612092566734518058', '1.161820917614231916490918176676497367536038470589882173027151972925895607e-6436682087', 73, 3);
    T('8.34724044864796717E+46768', '2.1145163671738E+12624167284716', '3.94758847849668892746729704760246188868903284480741317e-12624167237948', 54, 0);
    T('2.473339772414326701E-364641260137', '6.3623216677610838118E+939732336', '3.8874799194e-365580992474', 12, 0);
    T('6.006E+472320', '-2.215935728978318618532391170532099516402964507647902E+9277045640', '-2.710367417907527456950458810566783710896715141710140586570554031e-9276573320', 64, 2);
    T('-9.163843202E-3179438', '-5.740033143666933811264972755605760E+694664', '1.596479144e-3874102', 10, 4);
    T('-1.89639596514415249458188311229790312931128078483E+6802', '-6.7973336987529869303E+1761476', '2.78991152882792573293465978200974652419991013487559618762801e-1754675', 60, 0);
    T('-5.385098411185385271E+974451', '7.8135164751441362876085837088645626749E+65', '-6.8920292525345268692800588525859243097909250725484700267259172207803452e+974385', 71, 1);
    T('4.6409514178E-23', '4.895113435427557786713236E+7608', '9.480784212704647340968148841734095449787456690774958832899194197501351269e-7632', 73, 3);
    T('-3.902798843647058601E-33', '8.27439100374570366489502674286314895969789120442210E-6408150981206209', '-4.716720350634040536e+6408150981206175', 19, 5);
    T('-7.43229680899918118814136855815085893356891830839964485E+8812815833', '6.01709827668177846876316879892621865E+43491248178', '-1.2351961804914769897276270951059953e-34678432345', 35, 4);
    T('1E+911987', '8.056874702520467E+7311', '1.2411760601007803558526194331e+904675', 29, 0);
    T('-3.9145733322450916026297E+189057', '9.078416648306876236164050528436410307E+751', '-4.31195602040930686223433992660763454264819530505780127130879397440957654e+188305', 72, 6);
    T('-6.9679277072934337220E+892296742982175', '4.1860569516615008024314584E+434792', '-1.664556356436520052620960459752765e+892296742547383', 34, 2);
    T('7.38736294592780487413136896513501286270E+9919659853839', '9E-4967452960461632', '8.2081810510308943045904099e+4977372620315470', 26, 3);
    T('-2.5323486628223994801775525E+496088176331360', '2.066E+97407330221503', '-1.225725393428073320511884075508228460793804453049370764762826718e+398680846109857', 64, 5);
    T('-7.2246353231605033377E+46657', '8.6E+980137589579', '-8.40073874786105039267441860465116279069767441860465116279e-980137542923', 58, 2);
    T('4.3883540677412548736692178E-2442', '-7.0536338142331147296986730169728393608031E+411', '-6.221408969212793708897976210829642330462886502871623e-2854', 52, 1);
    T('7.89559733139605173780030486511956E+6602248804162656', '4.84214607261628263314505E+83054', '1.630598749601526281009072e+6602248804079602', 25, 3);
    T('1.4123942751059557934060258653608541616162177441748511721429E-91429', '6.67472211942639822474365568468250843424E+2586989039', '2.116034570181225629812437072605158471662059080187254807e-2587080469', 55, 5);
    T('-2E-306825032913154', '2.2581115254415619077130210E-686867431306', '-8.8569584693515545126754220658756303944641241319383e-306138165481849', 50, 5);
    T('-6.091853589881107E-195410644496800', '1.36762297E+67138056075343', '-4.454336994560062851240353180087345271774720192071649688656516203438729901e-262548700572143', 73, 0);
    T('-2.6733135398514402E-49414487203714', '2.3415292045338953673698E+277885', '-1.141695578545470159196011402052272760248021346055502438945512818476239e-49414487481599', 70, 1);
    T('-9.456432072789961578765051776593090651170826E+32663972729719', '8.590195110291126934954740853181678333165569841965E+74492', '-1.10084019645387045772193894783657262853737865986628614070228541115094e+32663972655227', 69, 3);
    T('9.65444793543157406079919515538044580491996566525631704070E+835922669919', '2.6555591E+8045726072824', '3.6355613156685437958429150213152649492605778064801182698965351590179258296e-7209803402905', 74, 3);
    T('2.0044136491924784549406160360443457599229586607275403465E+38578', '8.161586175234201514678360165693552950256153332652E-5201559395', '2.45591188545523214620912308372871334656533476528011950201651374e+5201597972', 63, 2);
    T('-1.30423086645738980631E-3649582703', '-4.20517249443186064E+914348559736425', '3.10149195e-914352209319129', 9, 3);
    T('-6.264277707483190359026002180290199416372941417529362685084E-73259865926845', '2.450612710952449515639309076668006E+458', '-2.55620877158044714158903225768009494850032276e-73259865927303', 45, 2);
    T('-3.97882819179183455567468959202406087415844799463E+725317659', '-9.4304437656552635397922140568085E-4147995049', '4.21913145411282801337782569189894810764792897084297718646660239964591e+4873312707', 69, 1);
    T('4.771180812125138291740420975742E-5618205353902117', '8.3143071386163049528329326E-468717412', '5.739e-5618204885184706', 4, 4);
    T('5.67561403679153E-35522934519407', '8.531502415779384482123151008072E+96', '6.6525375721563826632896e-35522934519504', 23, 3);
    T('-3.8909988E+41530485193', '7.690990538884977E+697653386835', '-5.05916472049659874164170783373523197623058831168872550336852940362e-656122901643', 66, 5);
    T('-1.88553432628290242132646608314291736909261847420E+9892655', '-8.8782603045099472520E+190', '2.1237655369544587092118e+9892464', 23, 3);
    T('3.7617281382995675E-4795', '-1.902608341457547752445583292923653551957971459292304379469E+85625849168', '-1.977142671106859356804848259383360523875891912679698949540994979021899343807664e-85625853963', 79, 3);
    T('2.360673605776673252465729271503184676E+7566', '-19140554899648845590330466061.62399137438323049937322729059', '-1.23333603343964828895342e+7538', 24, 4);
    T('-0.0022189750098987373266819794043757250664', '-4.51706790874432232469E+145', '4.9124234010366679794220674305129645954e-149', 38, 0);
    T('-6.5863638899634627310881743241821839533454033186153768916589E+334133520', '2.17135264576561065634765902997763947239404495E+771664971', '-3.033299958349757581213478856096757234163146810648014387408497956576e-437531451', 67, 0);
    T('-8.07388992380868160581132924E+558373841', '-2.2959407406927092776E+776358916666507', '3.51659334263684208670838476e-776358358292666', 27, 3);
    T('-7.798827823072299523518856725261806871393654824E-5050106506579922', '-2.9048005596602884312136745142780653101750905094517336E+67805284', '2.6848066374595987403066998972391116203935e-5050106574385206', 41, 6);
    T('4.084772774224252919158746449847242827471388247053312966E-5563911175732', '-5.5820546834643389410851192807626314E-6308731', '-7.317686776384566324867096420593647157811254938616235459781262565940263e-5563904867002', 70, 4);
    T('3.952757119214075564388E+569180861521134', '-3.0815018311213644863569906663100183390589849106367557E-8', '-1.28273722874136978550795e+569180861521142', 24, 4);
    T('6.1328514675077384612093440114488847E+17626768923', '9.8719237E-70', '6.212417816304372835873259445318529660029686007398942923353429078873e+17626768992', 67, 4);
    T('8.833878051346559211614012214830426235E+386', '-1.79421199069061921285894400E+20388', '-4.9235419767461628250269401448556649494961154189255354925705325539872e-20002', 68, 2);
    T('-9.7265614369712858133843656527021375903748947178357725088964E+68928349365', '-9.44703428166972804E+2079339572914', '1.02958887910928088558428e-2010411223549', 24, 6);
    T('-4.4118162021E+9936', '3.00184346005190961484485003611632386834838372509352738066E+582327079961964', '-1.4697022882144e-582327079952028', 14, 1);
    T('5.0845411923490322319447358730458520989386968232E+65159039959', '2.55600276358E+3164260890039', '1.98925496669944888915562393597286976e-3099101850080', 36, 3);
    T('4.32560872872301709027146E+2242365663919907', '6.710071682154080905520958308215828025514554E+992811654730897', '6.446441906466193440640808357486151e+1249554009189009', 34, 1);
    T('-4.01630920304273093706501290625305634483878E+56440384', '36260344768983116740957343780.27823335298707289289497610460', '-1.107631278365079954390394924022871e+56440356', 34, 2);
    T('8.830416065266565220600035055E+8172930873616', '5.110369851482122532187986130726845018699723178349E-784344776149686', '1.727940701337995208e+792517707023302', 19, 5);
    T('3.4644406854986342144790578868461755932480083057406052E-4464272', '-7.98700203162924458873785E-5664', '-4.3375983526473867067017149186481387797285788747365338482055751248141227424441612e-4458609', 80, 5);
    T('2.5178238175814163249154024203240426198872E-506167345', '-7.9242233557893525882958515254598551170108707460248740607E+1459057944990', '-3.1773761345860111957090447737554348481164284770484e-1459564112336', 50, 2);
    T('-0.0000049122670773588922123045180988583422', '-0.0000087239102928490368513173152135367938558312399681050064', '5.6308087915409e-1', 14, 4);
    T('-3.26625059555928202703713520712625355633550605639135421413685E+979590020', '-6.352016792887989740488995E-94097568476163', '5.14206857767807930702e+94098548066182', 22, 3);
    T('9.7831225483E-898', '-1.59915589509236710290E-446539942343', '-6.11767906951618854387978350262821e+446539941445', 33, 6);
    T('-9.917078436E+83584268897644', '3.97153E+955856', '-2.4970423076245175e+83584267941788', 18, 1);
    T('9.0755178785999839169786928E+64440478', '-1.81251146673035589531746452368517208928206E+2248', '-5.007150600250592818784017103276050894254259842516593941e+64438230', 55, 0);
    T('9.239374302752384E+105802', '3.3009181496674450190791624889136142419291E-1063616321372', '2.7990316281193509477616255071139360489800653500901931551e+1063616427174', 56, 5);
    T('-7.5348473540527086893645E-7176139', '1.53772289739471937908542385412266879E+812', '-4.90000335354217e-7176951', 15, 6);
    T('9.559827382408825194775872E+78354680612', '-2.422567843793598870232484894268929251620721913864432E-8300', '-3.94615465853732184457052424548492796958860167835080019367301563634237e+78354688912', 69, 1);
    T('-6.3184416264479633622871199888281349646E-4674561', '9.79542461196410415799256501809102603265705129E+51186938593', '-6.4504009542686250420616512925850338500360126194805177840613e-51191613155', 59, 2);
    T('9.3523313005515913163302662819107700803096472E+599705511', '-9.778559844E-651674', '-9.56411930770159667320666272327899871091656348e+600357184', 45, 0);
    T('2.39262632146456766494816654140508843E-862477471850', '-7.21110460986258370137157E+366764481160665', '-3.31797477767e-367626958632516', 12, 0);
    T('7.9E+871', '-8.50848002E-51686773576', '-9.2848546173115418563326425957805798549668569357467915873415895968690304335e+51686774446', 74, 4);
    T('-201327448.93072467624540859987712236642596528585185', '1.6E+95170726245324', '-1.25829655581702922653380374923201479016228e-95170726245316', 42, 4);
    T('5.80831E+1279657577580', '9.6328859613249906372896046E+8305214', '6.0296675610193507300361017296566299094641879179901842084691377068434386752928e+1279649272365', 77, 4);
    T('1.475755296399042135338301876973666187867432045879E+2945498203992930', '-8.9211020999289799500944E+766190252', '-1.654229802403887389261588394887832e+2945497437802677', 34, 0);
    T('1.9626605905396152929678672386309042043135844E-557307274425497', '-4.031E+91950439663', '-4.868917366756674008851072286357986118366619697345571818407343091044406e-557399224865161', 70, 4);
    T('-9.3878655823970022652539630641070361083477250341967751E-20441609', '5.23985000880352816475800235110903524194237E-79918420478', '-1.7916286853e+79897978869', 12, 3);
    T('-6.33299E+8380441714', '2.172383643709872291659755490152859477141818277131858449E-16', '-2.9152263313789651855876877532410035683274432422017506616669955410361109123634345e+8380441730', 80, 0);
    T('-7.844298E+79127868', '8.66061020425676711809817979539960757100620E+23001182362', '-9.057442622396811724758182008758e-22922054495', 31, 3);
    T('-8.030692992860410023705443798033316594036540569561924E-32960', '1.389362498981200196718634903347E+24950', '-5.780127935473429884070497894458674128363092273125002984873772842918666e-57910', 70, 6);
    T('-9.721959535215266297443696828819855291622538655960789287E+8491572', '7.4016458919029308502221892997950801834785772973937184406E+75949534', '-1.3134861728322689236111102101848672425347653025759941525503935519178e-67457962', 68, 3);
    T('-9.828578386173600546655555571873760359387975590778392422061E+751563712', '-8.2938253474E+137315', '1.18504766793223159483088918895960019831897426034028139969764e+751426397', 60, 2);
    T('3.26531301235147722540472431432565163402754876074331925E-3053967783', '-6.0726660143047556123845670E+4247080196', '-5.3770666864598098088623e-7301047980', 23, 2);
    T('1.2833578583404267843639841507069513727E-1253424', '-2.08474799026412967432E+342592', '-6.155937620919976061323370126482278381900452e-1596017', 43, 0);
    T('710456419625786725937012413617703.161753627656726', '3.54481640751622267998570990322730E+2531633355847', '2.0042121733564995e-2531633355815', 17, 0);
    T('-1.45629744714122726232E+962518935541102', '9.617255611443066084419544708458132068330176E+1126170778429', '-1.514254695911852032843762102403870437252631017966867973042061617741135382424e+961392764762672', 76, 5);
    T('8.183394605677748218419843658E+647181730292316', '3.73649056256985931837642836374982281154600589834610113174906E-74735', '2.190128536026443484891384998637131057295321104946737e+647181730367051', 52, 0);
    T('1.69452961358766111416084292560327238315270913220E+2412513085118', '-4.47819734911711782740E+1298398', '-3.7839547511717850785077766306940294244133175296694678408865220571951176e+2412511786719', 71, 0);
    T('6.8450092836834076437224E+800372023734348', '6.234819E+49207513368313', '1.09786816324313627127305540064595299398426802766848564e+751164510366035', 54, 4);
    T('9.9182791425358945470921330024291664476477003599E+8959114317', '3.76260802803806794222578947897998848484E+63', '2.636011795176966810630224e+8959114254', 25, 5);
    T('-4.17413134997184389080910351697878810894918721E-9070', '-5.1380418415957437820039644732480994660E+407322', '8.1239730595021116864285436e-416393', 26, 2);
    T('1.07274299804918203E+6209270', '-8.0109E-3434411435460', '-1.339104218064364840404948257998477e+3434417644729', 34, 5);
    T('-2.283051055933138610E+97936', '7.1489171154674430963606105266784949486314514410311048314483E-186162880690778', '-3.193562072489992432e+186162880788713', 19, 0);
    T('-7.220309957601499873251025096489045219973835996649535E+861676623184', '-3.450899538451371954618025218307E+12257', '2.09229792903264032005e+861676610927', 22, 0);
    T('-4.52098048143899059031140029042E+5091630139', '-3.7729760551823770137659389388689479360368E+5448095', '1.1982531601888092971797474025480790552397904648309967984109307234627695118326064e+5086182044', 80, 4);
    T('9.885194800444637772259947E+331879396060772', '-5.703490442E+4474991', '-1.7331833727029567926923768832713685119207919591355387775014702129e+331879391585781', 65, 0);
    T('-4.3081653E-2388069785758', '8.3452988854514545170270679E-562510751137', '-5.16238586434635739027867697027663960363720539e-1825559034622', 45, 2);
    T('-5.156319068840903920414535516517332389477E+6607394', '9.0E+80493934927', '-5.729243409823226578238372796130369321641111111111111111111111111111111112e-80487327534', 73, 3);
    T('-3.079282845469784024702590303114E-32899491608738', '-6.931951924867676524123998927594E+6613014', '4.4421583975837573464686070982614604651e-32899498221753', 39, 3);
    T('8.632E+89241368', '-1.2044803730450E+61169194895157', '-7.166575888802385728043650439987730485169601122398171239849735845e-61169105653789', 64, 6);
    T('-1E-5567369', '3.0664886E+915973986', '-3.26105891931246703477064940009886226219787675062610700721339710834e-921541356', 66, 5);
    T('5.257703000269164216484665600904414E+822389456', '-1.321047811613295486319105675153484231E+983024', '-3.97994906e+821406432', 9, 4);
    T('-5.1204817509803282749625471663743908580739503175818E-4883601859169', '-5.320726244250674E+8940318431559583', '9.6237e-8945202033418753', 5, 4);
    T('2.675742461627269689798791688113867E+64664185', '4.2999760E+434', '6.2226916188073368079235597782728717555632868648569201316472464032357389901711079e+64663750', 80, 1);
    T('-8.46250800951381987E-947153', '-7.021E+855166614', '1.205313774321865812562313060817547e-856113767', 34, 1);
    T('-5.724629738893054773956934710382675785480972582E+3585935066868', '-1E+1903919', '5.724629738893054773956934710382675785480972582e+3585933162949', 76, 2);
    T('4.7341384570558777725684367675702138440768278018062841477254E-599665010', '-7.3891930213365781426765197771264222245E-238751636315611', '-6.4068409681353179922846606766739732e+238751036650600', 35, 1);
    T('6.581971331873490975690381325E+6059868', '3.58849536349E+881', '1.8341869405321395074155019791135798188390597312216342222e+6058987', 56, 5);
    T('-9.55392516E-7820126428618', '841201.5048614131859049688413736125', '-1.13574751171825308285128634231777796769441010443355803315e-7820126428623', 57, 4);
    T('-5.185947150759387902497790943887569E+66', '-6.515408930571314183930787122160855598011148E+6333', '7.9595113768317988412487003278886261078373863196517452443368e-6268', 59, 6);
    T('5.09893024591664213944704071414679707697996177E+743260459871', '-6.11186916852174399445024E+879910', '-8.342669166051377e+743259579960', 16, 2);
    T('-2.69660160889812155105E+44911771772031', '-5.793193911865207471E+485968558182', '4.65477532760492e+44425803213848', 15, 1);
    T('-5.5727643043188104215829689363331034727542647835962104E+4121396', '-2.9545834359616929305158706097335367E+20574', '1.8861421330973247219316206100276256209470073683800275436585985e+4100822', 62, 3);
    T('4.62406E+7777350035027', '4.10465139919593126222052284772024', '1.1265414648624769386526259072110523760827105e+7777350035027', 45, 3);
    T('5.43692419192910589496656164021859850719E+81927', '2.726976430974876995090123837624257280181806E+491589', '1.9937554759083266252024673310394143e-409662', 35, 2);
    T('1.1016170621760843633842801728845011010811986E-11', '8.46946E-4741714', '1.300693387979970816774953979220046025462306451650990736127214722072009313462724e+4741702', 79, 4);
    T('-5.12728312978317396624885343492664773525022262899937744653E-49', '-7.79234703849878224124248E-305712868661', '6.579895767541379424946029583358909396907337778699622862989607621986e+305712868611', 67, 5);
    T('1.07579171354937917943E+758469759', '6.6E+138', '1.6299874447717866355e+758469620', 56, 0);
    T('9.138751E-56', '9.9543735914036859903626E+689790', '9.180638958429253177e-689847', 19, 4);
    T('-785.8496531778817957857856016638173866991059704277437380', '-6.0520E+3848297918842331', '1.2984957917678152607167640476930227804016952584728085558493060145406477197620622e-3848297918842329', 80, 0);
    T('-8.34163573944351550465181896804486639883128906292702', '3.58508232151504825484691449980560639442857807018E+88216300175810', '-2.326762676935785890550296048919005e-88216300175810', 34, 6);
    T('9.7469593501452464301391182423579362003349002175615597975E+3653736', '5.50258804839287867476924078724055813062658990819242016879978E+24534458', '1.771341e-20880722', 7, 4);
    T('-1.674076022649E+219918954', '4.75467300026425555864177237746E+42469781355', '-3.521e-42249862402', 4, 5);
    T('2.745754295216383363939454356945629392548E-7439928867266325', '5.498653272438067398956375E+51865', '4.99350324374777974939128554342207277218078e-7439928867318191', 42, 3);
    T('8.25930522E+72762430', '1.13602367401759003275234461810E+5099', '7.27036364549574876672356580045245522879987851171772286416627983021023e+72757331', 69, 2);
    T('7.03620155433688458E+41673996353', '9.49022802475019940598922551097763989504016603803585221696E+302250', '7.4141543659295695336779627649150031350180961403300530622719966623423e+41673694102', 69, 0);
    T('5.64205576394902200317922763998535E+64185740', '-1.7155535476045506499441976347642152438101223817162858851E+732660482997', '-3.28876692413774935448096e-732596297257', 24, 6);
    T('5.93613428032645389192219717294325286713E+7815654266', '-9.63E+1785107252', '-6.16e+6030547013', 3, 6);
    T('-1.5E+5832222042398', '-0.0006', '2.5e+5832222042401', 33, 6);
    T('-6.48161275830574867050654956143770193579E+22774', '3.264850293841320E+420442529', '-1.985271046128025458586660893066429001262434e-420419755', 43, 3);
    T('8.711955910290409164855522180396579452656264278004E+63860', '7.2325311348959433155515882178167894191E+550692458015', '1.204551456164004580622030730104392613587783e-550692394155', 43, 6);
    T('2.6757507739023150886761704368896E+7515196324', '4.9995803699610698900E-86954057', '5.351950715662063237686687535652e+7602150380', 31, 2);
    T('-74.072977226878013966764075877630425893352631783458697748', '3.437561139461312E+9133317298', '-2.1548119210611546303461525787654647590312456e-9133317297', 44, 4);
    T('3.9914737109707E+2185586', '4486354062.025', '8.8969208755874999368496815937615487201723137833778247516781e+2185576', 59, 1);
    T('2.3448952378440839548896181E+88621904501', '-2.548925876109318745299983010384415925168725E+8278957174', '-9.1995426772603241782478714246e+80342947326', 29, 6);
    T('9.9054931645E+155393035847881', '-2.750665437540579847293959773E-21191', '-3.6011261236323535445654174694825244788357059088891e+155393035869072', 51, 4);
    T('-7.0692677077230380E+12981', '5.9500324477919656624E-1937090', '-1.18810574e+1950071', 9, 2);
    T('7.852218619114438959E-55089', '4.08303619621189141680495885491488381E+75812840441278', '1.92313225790147850557285047168618234615419640674322366647498647666621619535e-75812840496367', 75, 5);
    T('5.47945308E+8921', '-2.10125991213945034974E+1032721870944603', '-2.60769886121367906331958458537801692196254237116226161514561543e-1032721870935682', 63, 0);
    T('-9.0711034581973285360937682733819359210E-5267172', '7.6386333821732850191252129941830593414179242177663E-8874', '-1.19e-5258298', 3, 3);
    T('6.6E+5579555253267', '8.68940755289494566417920978689608120E+891706', '7.59545453452825697280099428672790392e+5579554361560', 36, 4);
    T('-7.998596858894224653103056267E+45367', '-3.9820642396102545430993598776855046924397676146816169E+358601172723', '2.0086559074890989622818252322551e-358601127356', 32, 2);
    T('9.110285449633561904403114311854161672062143411594732510E-67426128', '-6.33214151112004971097983964E-94224086632350', '-1.43873686866200580070141155315332187197517839736634139924508409e+94224019206222', 63, 2);
    T('9.05955460096035630141344091773E-804784098684341', '-1.05404903912129825330347612990919009703303069962652E+22617', '-8.5950029502543832369163234857788182069860370397112302918172539240524808714e-804784098706958', 74, 4);
    T('-7.426E+130', '-3.183946743324370101939E+846', '2.332325443435805407929e-716', 22, 3);
    T('-7.820031944852014963929050293237E+89', '-2.71960577808310001812803E-440230', '2.8754284933031447633619878910065366e+440319', 35, 1);
    T('8.6284064286E+375', '-7.635001724997E+624308023', '-1.130111916065531777695596603854478734884e-624307648', 40, 6);
    T('-9.58513277126084700219089618769932716206326E+28252592809225', '1.6903178499E+381495913735082', '-5.6706097e-353243320925857', 8, 4);
    T('-7.534069886595236375368132166565916150036233047942193E+8035643', '8.476071967857911609076407517794E+25383', '-8.888634e+8010259', 7, 3);
    T('-5.392164186037338666954721143979186043348043661124505478327E-6015509841611', '-9.6671278592508617067585455E+30589', '5.577834765966565e-6015509872201', 16, 2);
    T('-5.7274577594101215261148854333984656522E+18496103', '-4.88391503474669286107972909357042829856319755398E+86441922445', '1.17271855031e-86423426342', 12, 3);
    T('-2.3253054490790249014889274048262814684E+897', '-4.8184177617E+192', '4.8258693290608888913537797795601245374e+704', 38, 2);
    T('-1.91817171604995155272163364148787100844375703217724314975E+50346033977', '-1.9268652144220482623109395520067830451300014447E+6084', '9.95488268558159490872274632382740392329041429955096508435974e+50346027892', 60, 1);
    T('7.9967433090002475472349443815506E+22826262652', '3.057101514245160435964917477E+8021840289667190', '2.61579253150013608276228e-8021817463404538', 24, 4);
    T('7.64234835430474841505130211436644149308350411138564228E+1628162955409', '975115.316515167794973724', '7.83737905134820293479524385112690848363807899632583577709191e+1628162955403', 60, 6);
    T('6.70464078299540693864801239720170E+925533523', '9.2521361183221892249054121123936E+27072', '7.2465868392468560944634190437810853742263967603517474446978612e+925506450', 62, 4);
    T('-2.699290992840546133163331044228864485495008492575821323081E-2889186', '-9.890313442526E+30702', '2.729226943641882604682538249552235953866911715013391348968832422818010234867e-2919889', 76, 6);
    T('7.9729471470124514558723772E+83560960815039', '-2.3555498171302514278954610800327246688E+5853306156411', '-3.38474995902478208578693623570821860595685887575444207111366e+77707654658628', 60, 4);
    T('2.3413394229696385672127419000E-8362', '5.96970277E-6155033115194', '3.92203684701984e+6155033106831', 15, 4);
    T('4.19563370097613570671774483959412307785020183478667686496E+387097601291', '-5.64117E+49082553952793', '-7.4375239550946624666828775583684e-48695456351503', 32, 2);
    T('5.551145102577697044513221436152462876742946447E+6262344215', '-8.82465528963802E+98115308', '-6.2904951189378416919767677743689384570165496869703621766839044e+6164228906', 62, 6);
    T('-1.768513358188387793007381900758217029387826742218549524E+90139692', '-4.6361640385119311032653331542533165131507214447E+1451', '3.8146047971935593293011276648e+90138240', 29, 1);
    T('2.9559806158526231672799117824253063862822685354571E-5988036', '-4.48329408827244957855263832644672527373770094E+637874243', '-6.593323029120431769510510744111677209139748493924701968332318693445569471e-643862280', 73, 6);
    T('9.835067347259436249780295176207381434686808386E+38226550981813', '-2.634818E+980410997559371', '-3.732731197091957110426714549622547528780662795684559616641e-942184446577558', 58, 4);
    T('8.47916E+46', '-7.52046597960791707616622043864036E+64226219', '-1.1274780077446829795824460413399858673230886826e-64226173', 47, 5);
    T('9.4031E-7', '-6.47036984674E-2893503005497104', '-1e+2893503005497097', 1, 5);
    T('-2.5478406961878E+243933896', '-2.056093109052072902585080420022087938266354847197E-20567060335970', '1.2391660109995889437234993002938311800279980955e+20567304269866', 47, 6);
    T('1.655204E+111', '7.4942559030632205311914365555367063229962308881254424E+535751', '2.2086302114709585231020034399474132813709973031688942041e-535641', 56, 1);
    T('-3.15327489577639958569188468416199797133248931690161E+92', '-6.7E+874114173311', '4.706380441457312814465499528599997e-874114173220', 34, 4);
    T('1.3324002574462E+486909360', '6.8113E+96', '1.95616146e+486909263', 9, 5);
    T('1.066622650687155862500372566100666282100E+61010797038', '4.032860821605288900784616474879971167353584E+2383692', '2.64482881475335523337124042029949130072279463743e+61008413345', 48, 3);
    T('5.7200538979899716590E+369626115', '-1.8335975868005410785952136075E+3984973894767474', '-3.2e-3984973525141359', 2, 3);
    T('-7.48497579379405143069441535507530157231112496E+6289815333767548', '-6.53021062421106329889060E-172', '1.14620740808009336176844679433672351508671792227866716306e+6289815333767720', 57, 1);
    T('3.5683004664375599701343781532675804943882062241366083E+50655250584695', '-1.67963885186695965015155312436143135656797184287488387342781E+478592', '-2.124445e+50655250106103', 7, 2);
    T('-4.185810948204789299944698673794432169411624987167578E+669021979653', '4.97828549838893852003634787516710126825108E+284211', '-8.408137599901395692328645916395093899507e+669021695441', 40, 1);
    T('1.59597973839599035322286742727033256499372677175577E+8117890750200048', '6.8089778851942836525648935447713687584E+89', '2.34393438384689e+8117890750199958', 15, 2);
    T('8.49474839013959945482589411998295644632715602986675058E-729522077450', '-2.9777792E+4363714', '-2.852712649124421130628454292374315882e-729526441164', 37, 0);
    T('-3.76419157698425552126649486870E+88487598814132', '-3.24873150168574670971255732993672843486432386251E+114889890', '1.15866503e+88487483924242', 9, 0);
    T('-1.60650884070716691649688090965141901650972E+22656', '6.0E-361766', '-2.67751473451194486082813484941903e+384421', 33, 2);
    T('-3.6367995445289473883271844071753294677045208450161455585E+50137', '-4.62456522312140905808233380016692730664682581738352794738343E-6884354512483', '7.8640896366777660577083299708283780300381736037592298229505893706e+6884354562619', 65, 6);
    T('-37230.25715582904926241830760000282686318219', '8.9060210438983115214687196090E+288063445', '-4.18034686560012381382311396484e-288063442', 30, 1);
    T('-7.76E+67814388232733', '-9.0882727650971535800214459159218055485976944E+739695597', '8.5384761225496136918340688535877983389349096789509930580385194039023452051152e+67813648537135', 77, 0);
    T('-2.6968080326654856252292972798215E+5113079653512', '3.002248943968E-204013', '-8.982626301139370238022950786266222e+5113079857524', 35, 3);
    T('-5.73668356040631005336277180E+5198657528743', '-7.935127348067E+92085', '7.229479e+5198657436657', 7, 0);
    T('6.1960144137326458095892105596683012720818508E-556', '-5.03929629E+78', '-1.2295396137012308537208893e-634', 26, 1);
    T('5.4E+43', '-5.8350608698E+864', '-9.3e-822', 2, 5);
    T('1.973697107405826811715294229E+484193910515', '7.83779649081127854811462248283690536037702618064352472184E-35995159', '2.51817855913930777141178778843347086163808673979585828021019e+484229905673', 60, 3);
    T('9.6553899651849694854529936573966E+35', '6.28713137258850628047069407867510969940260154202221998768168E-7711', '1.53573854163153912676694238437005009352359e+7746', 42, 5);
    T('-6.97600E+82698', '3.06736278910303910859693190159299672002280633910E+1652525890', '-2.27426635831359484544081970372212996641e-1652443192', 39, 3);
    T('9.9487978406305743646483052748157487701443521764768E+88824', '-7.12657E+73017', '-1.3960148908423792041119788726997347630268631580798055726667948255612e+15807', 68, 5);
    T('2.428584552E+847175632', '-3.01996138131451805895294023487517645E+1113574', '-8.041773537325481777908e+846062057', 22, 5);
    T('-9.02099950E+511087', '3.788524042468955813E+866', '-2.381138247738577074382034547642976661916614714668047448615104442199057310939e+510221', 76, 1);
    T('3.25945200538688799661529036343623896391E+4000752377', '9.39E-9', '3.471194893916e+4000752385', 13, 5);
    T('4.59965089794523486891538005011147E+40223500636463', '-3.675006840088406E+6282306653281', '-1.251603356970782025140127656033677443288972684455900245578317e+33941193983182', 61, 3);
    T('-3.51736794371223E+53097', '-1.8020549668207E+1217', '1.9518649588795808286391237712867139708018172871664495900967400466e+51880', 65, 6);
    T('-9.53457203962631E+726673889', '-3.189081948066425352260942930E-73935034712', '2.989754479469310427869732179042184877004457043692547319858527047314831005989897e+74661708601', 80, 6);
    T('3.50763547305192151111182082776735099775074E+308', '2.7565478324948258293112927353682888074E-72276231385622', '1.27247401e+72276231385930', 9, 6);
    T('-9.781280188206682188788261700273659E+546926820148574', '3.871159471593691530619015805313056885802133461254046821576E+99692131183', '-2.52670556715140772179327097187135870100265764e+546827128017391', 45, 3);
    T('5.9379037072700526874962502963383292418940585610886304902E+501360448504341', '7.95616277579344417425707424403388666715341311696E+846225249311', '7.46327579588501244230058009137185388484172955361971669103863988812293e+500514223255029', 69, 6);
    T('-7.3063383403732076079278637674168E+9931940631', '7.31876759527098618860268820E+771810462', '-9.9830173e+9160130168', 8, 3);
    T('4.149628278175868915896610456222267E+3098301', '-8.72E-6955650854', '-4.75874802543104233474381933053012270642201834862385e+6958749154', 51, 2);
    T('-5.80E+39447166876', '-3.752112044315683028613936313264357E+857622645989341', '1.54579605e-857583198822465', 9, 1);
    T('3.9569099227752629939460976037E-529551583405', '-4.275267898763123987082175347336758521E-432414349474', '-9.25534964468550611907618465562705e-97137233932', 34, 3);
    T('2.8458959764468577589382207055079E+567663266689', '5.600897944866454439501041655813E-1409767', '5.0811423533529750099625724131379248315e+567664676455', 38, 5);
    T('-4.223281814299630850147E+7789159143742', '-5.9652879771469591966448775E+473181606725', '7.079761832922466535e+7315977537016', 19, 0);
    T('9.900977880712765060606423993135737237E+565737301000', '-5.339949585466811701747E+32', '-1.8541332127290550029241037235728082846149638481658266081508008762217915e+565737300968', 71, 0);
    T('-1.33657687219069984867650637951E+9315996022', '-2.053737909761665E+3504980740692', '6.508020647804123938998360153025160920884618489648971590406337507788e-3495664744671', 67, 1);
    T('7.269100725186398280427534519144966526E+3185918472487783', '1.2683262652283783830821728788000657379138747050451E+76279397', '5.73125458682944141731160940905868288981e+3185918396208386', 39, 6);
    T('-8.49714304286705472952988923E+4239', '7.2157174E+14165206889341', '-1.17758811381208675516170980171701291960242234542056760704070810755421214251e-14165206885102', 75, 5);
    T('2867671858959.6166509180236350', '5.0E+756694876', '5.735343717919233302e-756694865', 19, 6);
    T('-5497096494.271947329405931', '-4.918030997118120263064202300221050E+971', '1.11774336060369470453201e-962', 24, 2);
    T('7.43387660284280134609E+294', '-5.25572772278526548262540475044247581181368025455702E+5892826', '-1.414433356319917757e-5892532', 19, 3);
    T('-9.190E+89914222', '4.5506048419636166469813830107754188200E+15783', '-2.019511761437508840355958532222053251532804e+89898439', 43, 3);
    T('5.5598E+776487089856', '1.078435796262093155530006083E-26095', '5.1554297615773847566859476893291281567065e+776487115951', 41, 2);
    T('-8.077578098366547014521846922482071065876896736893222E+186450', '-7.7742724426423517745946995787702036938489591308533898046E-25503939431434', '1.03901402452280235023449209e+25503939617884', 27, 3);
    T('8.765682655392264739173E+502921103462', '-5.7522367821404072374415708730961552899824E+726801426', '-1.523873753355917022689518685652257436995e+502194302036', 40, 0);
    T('-5.2468888330759455709957902E+13138515779744', '6.9974149972290180019E+97476', '-7.498324502911e+13138515682267', 13, 5);
    T('-8.92520072787386107087914487017598E-557', '-1.1313339553233734719739037298234853335911737957E+2808204445371', '7.8890947150284525157290267563029578503696016877218830771753365081962566955372381e-2808204445928', 80, 1);
    T('1.5355284400083537116888953482010425E+8485818', '8.696193083038542947244490237E+398438132815', '1.76574786845903798453503883573553229451452483268218550416434e-398429646998', 60, 2);
    T('-8.10088884552762593135265157565413211503447138783695448516002E+7573', '-9.74615264543805797652210370448535301606598321190528982793E-94601', '8.311883817374294e+102173', 16, 0);
    T('-9.801809929312865225980151892E-6884182254607', '5.25340184E+80054302205', '-1.86580243199383073006654901007915282566695868823e-6964236556812', 48, 1);
    T('8.812614464343546476003961967494240208E+1238348721', '6.571905694443830000818727325537974079623480964E-374949', '1.34095266640756994602339398817760825525926e+1238723670', 42, 6);
    T('4.612888958975718314570898464277842852998607949E-64513917515079', '-5.5557303153399087616224097045302488055337E+93212104604', '-8.3029389425888541265356807245e-64607129619684', 29, 6);
    T('-3.913169128065651157744815668770E+800', '-6.231283665257546171E+52157242', '6.2798764079438122408489317043355027e-52156443', 35, 6);
    T('-739.19944724187323368743118307', '-7.17635479729232E+1292709612112036', '1.03004863628e-1292709612112034', 12, 6);
    T('-9.28291915043124064823184873627E+8507321005689', '73827349.0800008713068087626', '-1.2573821579821420687625077179750659799980527e+8507321005682', 44, 4);
    T('38509.984691610326962245936704899095462600526043637324', '9.867517554003799802751900430519808300469283E+2715615489209', '3.90270242549350092e-2715615489206', 18, 3);
    T('-6.5146153313952584805990550704841421790177E+7074', '-4.878273222603128877124833670715E+921416100526673', '1.33543469873935225235214367e-921416100519599', 27, 1);
    T('3.895641304213419306350699595407913E+75883749', '4.41433666459396839687969943861162668345785213998598963E+17980', '8.824975529073610434530411289823e+75865768', 31, 2);
    T('-2.98912298102246886654379316225374E+96', '59.1237825163644150330', '-5.05570322770728108866342682751e+94', 30, 4);
    T('5.3679758943156385609890875375532337026E+728147583944', '-6.085082705399895218633182384113255838E+944635207829812', '-8.8215331725107089852e-943907060245869', 20, 1);
    T('3.916938747289923978567306415E-599950887640461', '1.4565187230692910496595220842776347494844757E-98669', '2.68924709669082861796056474107897821418010080481899e-599950887541792', 51, 1);
    T('2.95194693508979090190035669344226018179402488779695E+280430093036878', '-8.7456369601968982583504105076036690449130056050774740332310E+25269', '-3.37533669477097881987282148187e+280430093011608', 30, 3);
    T('8.550652483439568555092128478682531435675826052947972598414E+50152600148', '1.665605792797303733E+756713993', '5.13365918899643386912256800746252119708021887385720942e+49395886155', 54, 5);
    T('3.2999907191889419642417844916780438682620407390E-18769165', '-5.44210466368764840820617585993137339198475246370332113E-6067', '-6.06381340147328364773043774505114286817578446527514833236281769598924293640105e-18763099', 78, 1);
    T('-8.45453804718559E+5202190127', '9.68537395364E-132786948', '-8.729180811865470805575832854e+5334977074', 28, 0);
    T('7.63126257618449998417230612566365204076140214755E+355472', '764.494370629219123765322020184043151009575502', '9.9821043415971382981126964820112916723248e+355469', 41, 1);
    T('-3.6048982778274263209E+37582', '-339537643292092622378985258290314017527947096.632', '1.0617079870364346080938487580136519876051440155508231129822814e+37538', 62, 4);
    T('-4.0138103667257292E+457', '1.66739372793443651572012498806118902746282105557626E+32795010441', '-2.4072360951591368741689988e-32795009984', 26, 0);
    T('7305279429752107.1', '14079170.22595980138265050916657650263112140', '5.188714471e+8', 10, 5);
    T('7.36099632593207376367970448224683E-48785', '-6.12299133606336682802880513114236695038947607E+862926324333484', '-1.2021895707376e-862926324382269', 14, 4);
    T('9.062012433745822623385E+5454161', '5.1052515837944159368744692003E-1188843391223', '1.7750373874837706767368667222633902514596603649313337798323009e+1188848845384', 62, 5);
    T('-1.1378113898509223251701972591969055406E+99345774577072', '4.25896884E+95674209259424', '-2.6715654248621e+3671565317647', 14, 4);
    T('-6.14271241353297335E+789934209', '4.295150766485737E-483', '-1e+789934692', 1, 1);
    T('-5.68748324843291748746322267E-182859401469549', '-3.32E+618838354374854', '1e-801697755844403', 1, 3);
    T('-8.06449400E+609172494632267', '-3.233804873487566171550E+41637896', '2.493809711933136401757952430115882395073e+609172452994371', 40, 5);
    T('-8160989891.35747239831449689', '-6.734232381074967245265100407112215E+37694', '1.211866390933001293671408653729686198397667493924160805e-37685', 55, 1);
    T('7.29327209100469E+6983150309', '3E+35', '2.43109069700156333333333333333333333333333333333333333e+6983150274', 54, 1);
    T('2.2835864858038795974226719761700765828132043128699464E+344195189303817', '-2.0982E+5735695028', '-1.0883550118215039545432618321275743889111e+344189453608789', 41, 0);
    T('9.483889607372014221208737001152316318590956529196140875750E+9503', '9.09993035E-60173', '1.042193647929625551607517193925810247392822795527896e+69676', 52, 6);
    T('-3.0809923002262454320807024172210923077170014E-293743034', '-6.80598513085041243452533528325535067422493678116068734257981E+67', '4.52688661669361209025804192717023452744020869192708574206304e-293743102', 60, 6);
    T('-1632910077.7409743084871857926078388156193591', '-4.57959161151979859385269173850297626452133488732238E+29145916427702', '3.565623785390487e-29145916427694', 16, 0);
    T('6.09826134833467321031208060914E+5744862148', '4.81374976E+633', '1.2668422025e+5744861515', 11, 6);
    T('-7.99161072842045324E+8354', '3.150279549580735400708295185207576734577967434208239E-12306441744', '-2.53679414878722150936630872323286981e+12306450098', 37, 4);
    T('6.22976439448968871043884243E+35067', '-7.54567125513858E+9262927144', '-8.2560771e-9262892078', 8, 4);
    T('-3E+86012625', '5.77115294952E+7795', '-5.1982680518795e+86004829', 14, 2);
    T('6.13967713306797125825187831020520764E+53412', '1.1548095049552903161301388918984972615657842279086368412E+38433222', '5.316614650920868042692826891892914268069625417516473728802226126871707e-38379810', 71, 2);
    T('5.4643815896363993678282715000926342668E+947632', '-9.0956597896486446447239817186258556931702973691E+2618805573', '-6.0076e-2617857942', 5, 1);
    T('-8.361686612205374421387964733791371651229802469792216507142E+95509536476709', '2.6203199532656728430642490375E+8258658', '-3.19109374478651213542317781413493321804699486879379921218225457387147553727e+95509528218051', 75, 4);
    T('-4.32226192322672676E-6681', '1.24006715532332988041212742065706885404457510048178E+56', '-3.4855063330015852360631910060629699916158e-6737', 41, 0);
    T('5.769198271561717957E+47900182559', '6.802072860811908576836266782413542779497184968447670E+318770724233', '8.48152965958246923198846934034875449002427e-270870541675', 44, 0);
    T('3.5536565693690179E-43', '-4.597163866777605401747E+388881', '-7.73010637069146547800509029773002883141573641882468267e-388925', 54, 3);
    T('-8.3580024833655E+9953859', '9.5623526117661577563555738107358948836401E+2846', '-8.740529472e+9951012', 10, 2);
    T('5.43886067050813586269267147108975994333883E-39275560', '7.6820488283089631470458268410318496402891606582988635090378E+645472843038', '7.079961078176827174e-645512118599', 19, 5);
    T('4.170498288621798430406630958717625467141703872226783944695E+741298615061917', '3.22438910432329240156557645182394697301158001388E+254453129', '1.293422770542783932158534178818508060312524330630993503005321e+741298360608788', 61, 3);
    T('-7.8751059930034469627057760448798456095627E+9863201099042', '8.57357347173152440843142548262300055048695919160545113821E+791204', '-9.18532513772578133067620695775869526569648025406592989200908972125785656e+9863200307837', 72, 2);
    T('9.06103080669121106404054626161105271918732361224278564973995E+1597796', '-5.3686213E+90', '-1.6e+1597706', 2, 1);
    T('-2.415035919569183661195383542666133543327433244E+12271430', '7.649711289E+6261398', '-4e+6010031', 1, 3);
    T('-5.92472285352252136075681256495836690294526875027870929E-642', '-3.523312710085E+5933043823691238', '1.6815773509299398195988591884858451499537694775132914286258088709e-5933043823691880', 65, 0);
    T('-9.208899140237109810685497470E+755509957529', '-8.2225658775083349886811058626929841598452540106369062289E+5288381613951253', '1.11995443726717347946568899874199170670909345077619745e-5287626103993724', 54, 0);
    T('6.18756208673474216778614965531974014780606173856660458400838E-93505', '-6.509720E+451647783', '-9.505e-451741289', 4, 5);
    T('-8.600891E+87229193', '505767914963.33036776085136225', '-1.7005608196050928613279550245299854436414687145452934684005718340417129e+87229182', 71, 0);
    T('-5.367284703132245704508464871058932027580450383544969E+7591467955', '9.94435340843311980508874036E+867608766099', '-5.3973189434122705020734677463758519831005009565282090917840332882610898028e-860017298145', 74, 1);
    T('3.02579830901040150617949846430837794E+640951472723750', '-4.59887206332993516928309194400775061485189E+25894008893239', '-6.57943571237224648713743243375608457797238148377259525628594675613403e+615057463830510', 69, 3);
    T('-7.3831988298988250726227631917870425264068243419133969883668E-385586712685205', '6.3009039837797457806037689532114229750894599E+550', '-1.1717681857881349933766689022868588185980636972625466902128974e-385586712685755', 63, 2);
    T('3.9033729827606E+66923328', '6.52E+45890', '5.9867683784671779141104294478527607362e+66877437', 38, 6);
    T('-5.51247423477213247045211960220924257E+60916126404', '4.72335812937880817813432087664745E+4053189072068', '-1.1670667528860668443356586628975667696181271804141657578212414116e-3992272945664', 65, 6);
    T('6.126398699687935043796353321674649322041850273E+9491617672070', '-4.82382088070473E+94', '-1.2700303040259045828501363394327926909e+9491617671976', 38, 1);
    T('8.40086236373910764972371787654253397904495432188225626739E+29141779185', '7.0584993950602831701547466207088029E+1604677', '1.19017681996519601854715760444399e+29140174508', 33, 3);
    T('-7.9068E-94125949', '2.78179139516006634116682595804488455524355E+97768797', '-2.8423410949349912920359889296314617170656686890287941350369621709980053872065328e-191894746', 80, 3);
    T('3.242699825452516E+660985155581024', '9.6763298457108425122588594327E+714752493', '3.3511671027728393809900877220393887055876659088325325356e+660984440828530', 56, 3);
    T('8.949263296587660455526238779E-30707414954', '-3431407023035412615915113131550785927.39600062529528', '-2.6080448155844736598542957971009664155900475873660522519067799438797541047577e-30707414990', 77, 4);
    T('4.8707719524506984', '-4.2619176029185555553532480888245E-83996947791089', '-1.142859249347e+83996947791089', 13, 5);
    T('-5.82754596694243189091714774E-4617458853', '4.505305634283370754949463735E+46606074', '-1.29348515727710028770572194125e-4664064927', 30, 3);
    T('4.977112005017501342703593531845577010247828458455E+5326794739', '1.33018930173205943922E+664', '3.741656919460056667896798654491376645351338e+5326794075', 43, 5);
    T('-5.2867223750960147284813669E-38804307435197', '5.322727897183761237077088440738763718E+90232616104', '-9.93235513296331206736705397450825296575699351206766825594344234463120809441e-38894540051302', 75, 5);
    T('8.86095E+37859137398', '7.2898969101980311685927057743E+7085419867', '1.2155110160206e+30773717531', 14, 2);
    T('8.78984435093708791285122194E+55147', '2.770831583E+3615037351503', '3.17227665689455507872028681867381471954298854980245112934e-3615037296356', 57, 3);
    T('-2.86E-4880203', '5.34808477179579617104282415975827462893229E+960899373', '-5.3477089e-965779577', 8, 3);
    T('8.539423997639341801776483273094809177972991071E+672294326481186', '-8.91812E+675252', '-9.575363414754838241441563101970829253e+672294325805933', 37, 4);
    T('7.7083231356E-940853', '424.414721797241974407249318120556388978043716371130914', '1.8162242588942379919776971050474315e-940855', 35, 0);
    T('-1.14E+3994388447', '2.5633790093373247327282581039608654100731E+663383021', '-4.4472549546807305197207772605056136905790143547166609734429464198596768e+3331005425', 71, 0);
    T('9.087471E+610600964411500', '-9375.5027560800171977855851971232345192453431212', '-9.692782602092214743884792700447582851878436836925231735e+610600964411496', 55, 4);
    T('-4.2556561497011361939118449057789476E+9124579094', '-9.07958400157747512993901671013065364301413776928E-86', '4.6870607e+9124579179', 8, 4);
    T('2.603761747370515198800492862043855E+39154304', '-699.171231529803191205152597594445010228', '-3.7240687687813225839e+39154301', 20, 1);
    T('8.378234285825051400764E-19', '2.200034680679894090E+675051486800', '3.8082282790359738785920276777413813e-675051486819', 35, 5);
    T('6.037543175847834797443503749311926827165751953496453277058E+7537769404', '-6.728378112677227697208768212576178E+486954', '-8.973251911143696028683741999e+7537282449', 28, 5);
    T('-6.4110344439403667946509938960400699677487786652234644223E-9937784722', '-3.2110927029288699876639406888081867569641365504158E-8', '1.996527362194432357549150403983337786819524122795522006429e-9937784714', 58, 1);
    T('-7.0249268151380542957870954529836998620012334181519671848040E+7904616108', '4.482085707525917779461933534223E+2650227149766', '-1.567334333509603568906781545591410641360332153144955699046396584616826476e-2642322533658', 76, 6);
    T('-7.87279594088451617580547599E-4986', '5.5202679115891849433485573396803074029029611079323639778E-348531905', '-1.426161930357847633758027283886788988673008598936102792e+348526919', 56, 6);
    T('6.83680823006E+142692600505746', '1.50578129132425444345193550588475713369058E+929', '4.540372675269056709986879840616071561e+142692600504817', 37, 1);
    T('5.2631059989294721277772132495736713053472142109754550E-56302', '-8.1407072973625839862E+56035737086577', '-6.465170416622897775297655131768113411912882991204971e-56035737142880', 52, 2);
    T('-1.1690438944588772803E+6294779590734', '-4.7310415786248770454672038335280369706E+39', '2.47100744102669921070048145790987427175742523811023636687470684052273726103e+6294779590694', 75, 1);
    T('-1.3991686924478072043300720609959220E+8587811751908', '-4.3063138885621321890176820178E+3382874', '3.2491098620657823269613790656617605946992509e+8587808369033', 44, 4);
    T('6.5745320380914746926749357233589E-1027285193585', '8.9701737658088384E+89639855', '7.32932517222e-1027374833441', 12, 6);
    T('7.052200169756091539623743500739798394389017257490861635E+7069366080667', '9.92507883354E+136317', '7.10543491697e+7069365944349', 12, 6);
    T('2.96984291063797072272787048993079E+7858256511182772', '9.397583287993056014387250E-70505099197174', '3.1602198348509759702323414255102784199057677134976058170386e+7928761610379945', 59, 4);
    T('-4.26044E+1839376791457485', '-2.60256718022964818517748853705823620742788E+9563', '2e+1839376791447922', 1, 0);
    T('2.1480504117E+661313092331', '-1.9778719737996033428814942833744464201E+310815824', '-1.0860411796894387977726620649126499398191018496873408627683570837e+661002276507', 65, 2);
    T('5.7126314103349608935255865539983457974E+139492653910579', '7533.79442525701794339565471347853961', '7.58267492829826258761326003703432425876313234566610500200624690883502e+139492653910575', 70, 0);
    T('704.2224842227249666024391681', '-9.0770452E+43097987096144', '-7.758278919e-43097987096143', 11, 5);
    T('4.1E+737585616439', '3.99802725924507987002128711627229607237307897081828E+210873011', '1.02550576425388728961404427373494186954756081158597992930743298962546985e+737374743428', 72, 1);
    T('9.122741151772498470589704865446733887979E+36729053', '-1E+378738605692971', '-9.122741151772498470589704865446733887979e-378738568963918', 56, 5);
    T('7.70472039150101545580784958503747E+860511', '1.9229E+7097386', '4.00682323131780927547342534e-6236875', 27, 4);
    T('-5.2E+3832511753805213', '8.173362169215092029533498930411576362628445375448407644327E+83802', '-6.362130898329406496e+3832511753721410', 19, 6);
    T('-9.2799128736785034947744877409156499E+630317994', '-8.38E-173497', '1.107388171083353638994568942830029821002386634844868736e+630491491', 55, 0);
    T('-9.14971634714281906E+945277673370', '-9.762585350354978039913472574400941632812172600E+697', '9.3722267399281949347808420720491023509520026068898246381405895e+945277672672', 62, 2);
    T('-3806797.354590118524743758304358076500627732742061', '-6.195295883812746405439945179768E+827265172', '6.1446578597426347747003078526730274103446819403212550064360812788242749207318e-827265167', 77, 5);
    T('-2.473234511287087958798766101836E+25470', '5E+38387797603436', '-4.9464690226e-38387797577967', 11, 6);
    T('3.4377804654E-62032590535', '-3.463840E+835159793', '-9.9247669216822947942168229479421682294794216822947942168229479421682e-62867750329', 68, 2);
    T('-6.4277856025284380E+945475760866', '-9.1698290E-76', '7.00971152518595275877009265930695108927e+945475760941', 39, 4);
    T('88791276235364394067464893.29794568887774743', '3.555576782207631541831735720868933614595028E-41145', '2.4972397356086497445574188471354041387908744306912113076e+41170', 56, 3);
    T('5.3E-76715109', '83088222928.0992380255295173848031648141981459606081', '6.378762011297772598483851834e-76715120', 28, 6);
    T('7.3554429875588724388E+821114371273128', '4.2239148107E+523433705659690', '1.74138052427717074904879070600049495453712844455402501093817810505114693032e+297680665613438', 75, 2);
    T('6.472383701608264770643924653944942683815836567563554068E+574744957081', '-9.959731975986714136018535375620E+85', '-6.4985520867563742345369671044999639920245e+574744956995', 41, 4);
    T('-7.3929195221855742E+395', '-8.159610494829512522511687146493730469178065318E-82484602934', '9.060382878410965598673296072727281733024255419727618655e+82484603328', 55, 4);
    T('7.214E+791588105482303', '-3.443709892602755906739648556005649533675284E+352982', '-2.094833834724579213329881498e+791588105129321', 28, 5);
    T('-5.4576607006465516416738323578586975397258544664943426694E+4385352441', '-4.9132667688738656041413514229962134443372281097536', '1.1108008087860172590212055841830200700641e+4385352441', 41, 5);
    T('7.87502863478212456409E+811126', '7.3728993100226692487509908752224277355330095405E-940668', '1.068104731075991248312481e+1751794', 25, 5);
    T('-5.26731908649403205857370385111226480642183917192166660E+97617830846846', '3.887719258115078367E+319606807', '-1.3548609703489337888e+97617511240039', 20, 4);
    T('2.19486873139E+871825', '9.09922E+90', '2.412150416618127707649666674725965522319495517198177e+871734', 52, 5);
    T('-12.1358', '3.4001951716E+49994916', '-3.569148059900739e-49994916', 16, 3);
    T('-4.98863683085876817956234603168508995008692050907E+6006268801346311', '-7.010507089938302838018114653468713803462017E+70', '7.1159429223295623e+6006268801346240', 17, 0);
    T('5.1656136424480818718675008123E+382733', '-7.0046127106071337E+47468', '-7.37458851168995716104269684582956073327474078472386998e+335264', 54, 5);
    T('-8.03086183218813040807E+24176', '7.08192821706759441894364537213628912622E+3716723927', '-1.133993679e-3716699751', 10, 0);
    T('-7.85414592891461008409194879612316207599E-948143', '-6.35018E+8652817875356942', '1.236838314648499740809228840146761521089165976397519440393815608376455471e-8652817876305085', 73, 2);
    T('8.1872081796913456468E+470709876', '0.00897090780', '9.12639875720419916343360479081057995044828e+470709878', 42, 0);
    T('-1.5554747116844466720323718804799652890543612292391924E-6545465', '657', '-2.36754141809e-6545468', 12, 0);
    T('-5.50360415771640717553532413099008049581686472481222899294E+67936633', '6.7303693671556913988202339056260190534808455858049371102E+896', '-8.1772691177605826767812810559290588357e+67935736', 38, 2);
    T('8.9170265718823429913321057291062527281227549661335555491023E+139097', '8.616554593885079440632722559287113947928265750E+557631363', '1.0348714761478445058691235089262823296950570270991292609321837891404450352e-557492266', 74, 5);
    T('-7.133085781169E-3790066014412958', '1.720679839443396825949454769159114E-377610967', '-4.14550436266888608766e-3790065636801991', 21, 1);
    T('9.808511602271020E+775255579546', '9.60536128457021329531936775', '1.02114968002579369464747498160442767090462e+775255579546', 43, 0);
    T('3E-11477', '-3.32372611720932114411E+351524029541', '-9.0260144615010299677364176932903453974717549902696e-351524041019', 50, 6);
    T('-8.1307462301307685476000660439968940611352951012015E+1935753', '5.08802383954534399871536750149517379722621334029978895E+259297', '-1.5980165357985e+1676456', 14, 1);
    T('-9.9870733071258093569725133255907115656836206153862770644577E+692', '4.8590111242705631839955054573514526064530464015237931557768E-2692314', '-2.0553715667043411e+2693006', 17, 4);
    T('2.4039612811E+96077497608751', '-4.614950591491568734114', '-5.2090726291460273538132884319831246953383677955182481878628091114281237309123e+96077497608750', 77, 2);
    T('3.30E+566', '6.482628305019876183596291639917267834115201088386E+3410629908', '5.09052786112172749870938447281633915551324217445446657689547361e-3410629343', 63, 6);
    T('4.2373300860695779259586495626211341921580913E+7114858561', '-6.85814E+556931353', '-6.1785412459786150850794086481482358076068603148959e+6557927207', 50, 4);
    T('5.934783912757930568999289035240512170185E+5432', '-4847390811264.938524078400', '-1.2243254451376150022934264345936695178344195664088809e+5420', 53, 3);
    T('7.2301350717133320714935441817663894208338461913E+887363', '-2.743088E-1519', '-2.635764901349622057875483463077520451707654363002572283499e+888882', 58, 6);
    T('-9.432035615481303818668292873523245951875240736028E+67428', '2.455430728384958E+7292', '-3.84129574760398872480924519162331202258959177871620898280498e+60136', 60, 3);
    T('7.5799572533897929604110880237493123E+85148880955', '-7.23623333460497634535305666595E+53902773350533', '-1.0475003918324560761882687375600603309697394478745903697098060657912397447308e-53817624469578', 77, 2);
    T('-7.32E+84808043089260', '-9.930E-7769', '7.371601208459214501510574e+84808043097028', 25, 6);
    T('-5.39472536446932455833213340236E-548188883752', '-2.37341856147144445583361235789561447103943368490670719E+842075', '2.272976815823318338106605946139006032591597615086071526457231906872604e-548189725827', 70, 1);
    T('-6.419E+452', '7.944330915601922586544951099896698E+7038998858', '-8.07997560548955055509839903749117897783e-7038998407', 39, 1);
    T('-6.02254264510372981347058691918652690E+6997816346', '1.691169334171580939E+7532071', '-3.561170678425216054992114294802547721517788615690253122883e+6990284275', 58, 0);
    T('-131.056586194046103958221242204106709837759', '0.0009570278451804966999523085281', '-1.36941246646098014892393660976345104830775644070296018332336497014e+5', 66, 1);
    T('-7.024704522195746046167405E+14534886526319', '0.2236406713391517220379833862836809778680866451194690143830', '-3.1410675348683609571558317160611493957264585642641959116606064442126e+14534886526320', 68, 2);
    T('-4.580948978017594529369751549723784409273024876783189E+276', '-2.3051377141373242976022922E+3708', '1.9872777881871455958341562951326745916146773808849e-3432', 50, 6);
    T('-9.7993449087857239751513177030427100306310387290662700E+42912', '-2.4844001815249050510438374381039104029307166619093457E+709', '3.944350423759413868209302282794557912250287233269500432233298758711724034336057e+42203', 80, 5);
    T('-2.5871662811011459796421178789019391905521E-375923445803483', '8.7979848941323440905695787341456719678326536E+14902', '-2.9406350570419931575867894323095182753684368254e-375923445818386', 47, 0);
    T('-6.3396789384363943245385340824861276847983938082272636302E+2638637939554232', '3.5487357798124E+40535902', '-1.786461244734183747557184139960923050026300626e+2638637899018330', 46, 6);
    T('8.828316257339275963357175544800014494502577042E-8194121167', '-5.03908474701685280352853272899807847542473790330875E-74044250736953', '-1.751968204655747256757909814359293383902522281930010837900499369e+74036056615786', 64, 2);
    T('-2.8512534972446524364390905866642E+5745593533041', '-6.994E-5688283', '4.076713607727555671e+5745599221323', 19, 5);
    T('3.2820E+3874', '-5.15536803194449291832546E+73132', '-6.366179833648269801e-69259', 20, 0);
    T('9.02604357232044983928E+3472824122299', '9.943050922595900262903091062082004545445504945879E+72', '9.0777404667700916821358781122624744137456929970675e+3472824122226', 50, 4);
    T('9.392366611210465E-5697636020', '3.51812E+11348969848636', '2.669711837916406e-11354667484656', 16, 2);
    T('7.62105072E+35', '-0.0000825061117930283012672681882752012882642586893263317811521686', '-9.23695294127770608522372720075343454048804e+39', 42, 4);
    T('2.844159477248855370323010490901372947350E+98995474409', '4.1708684004594482503328E+936289226', '6.81910624879833831927812567898650707232906876803858792972799159936e+98059185182', 66, 0);
    T('6.47708443716022943375953958316399E+53520', '-7.37609776781442102253918828671968626E-2573', '-8.7811802948477264269380364874007235952808827435433007e+56092', 53, 4);
    T('3.833216740033559647712871096E-5094974880', '-0.02348854260817799994940430542', '-1.6319517e-5094974878', 8, 4);
    T('4.252E-606493365172036', '8.49538422788305946169386504E+1547415980545995', '5.0050708548817970755625044393671314326129e-2153909345718032', 41, 4);
    T('1.2643142064548257E+6546627848108608', '-1.72195931117886576389053307344430326484761550217596966E+847', '-7.342300124323303989817304270388919646651e+6546627848107760', 40, 0);
    T('6.985E+9', '9.755797816663164458475E+3376471841824138', '7.15984497758802725916115760870488015776536693696541013567246157529127044e-3376471841824130', 72, 5);
    T('9.4509203907349E+554862774', '7.897743250518073550432518395989948324959770903004077E+557628036860372', '1.19666088032362176993624581000279459034048595643286691535096339978e-557627481997598', 67, 3);
    T('-6.054103423759748E+616507478', '-5.38980013019084094220686785437087393E+424', '1.123251934677100084312502147725640789388e+616507054', 40, 2);
    T('6.0341574239319713952494292588425491838904E+672', '-2.12873629435744519592E+7238071', '-2.8346195063834197353293935528249792501851760237088460426868190378280332386825e-7237399', 77, 2);
    T('2.916913681034663492064110871357112044861058253734E+2588647288984', '-5.26456519222912756398142836663978939920049640421010192E+18678', '-5.540654497621637250064148921774372827960086595235039314258981842e+2588647270305', 64, 3);
    T('-4.831482474006049909527473563144837E+86047249676014', '6.18E+553940828', '-7.817932805835e+86046695735185', 13, 5);
    T('-2.52219094316E+67600631', '4.0549980391645357617104271733857480E+824314197590', '-6.2199560118151255164615993452471711328e-824246596960', 38, 0);
    T('8.285148601087573445671256241039955E+122075651722892', '1.12918992878468175586250973345E-19', '7.33724981943884941750215237388601266315690889223031e+122075651722911', 51, 2);
    T('-3.403406532784763185478E+577', '-276171985.4128729008657998170550670492683856442970', '1.232350387638602225060436188803155639985591151676327310097990536929e+569', 67, 3);
    T('-9.07472368803064259346042E+419', '7.51652452596354023438045656706724E+8847932', '-1.20730314345210726758e-8847513', 21, 3);
    T('1.4485308489174201418003253693608093929255552428321978716E-147012330', '8.44530519700675009270876681328119794E+93', '1.71519064749823317985170392420687376972864153988611330077074453047326e-147012424', 69, 5);
    T('4.67311505564660322510993928150667809405267317665000783058E-6020582439', '2.428475384E+378', '1.925e-6020582817', 4, 0);
    T('2.7182129051554666302600034255430020056797E-40495', '-3.281628943694281926033925538294688666226E+5553921', '-8.2831208274737127161332029803682700836810260936463131672503486716025039813e-5594417', 74, 6);
    T('-8.049791368282710362442082590550832169E-310', '7.7011232238713873831772602187398439467088773204E-26787933969', '-1.045274972789754430241784042941782651545282213947627e+26787933659', 52, 2);
    T('5.49407207062259611524651590620424624350942034281042455483E+167027680830547', '-6.04E-1379525208', '-9.096145812289066e+167029060355754', 16, 5);
    T('1.27918833128890575875138229341656E+8791237506283', '7.799244557834586140516950060046074316902758480961604046E+664286', '1.640143890607867783002633677356186941414821688891810393990445e+8791236841996', 61, 3);
    T('-4.237463945659E+866538289176792', '2.0418271799360E+835533481040', '-2.07532938502e+865702755695752', 12, 6);
    T('-5.055892768313613540779567937076791154934153967855542E-5557637', '6.2146E+155850577', '-8.1355079463096796910172302916951e-161408215', 32, 0);
    T('-9.012701946683109948705935E-5286258', '8.793726600677E+1397718861', '-1.0249013138513143857836784646937340170892215446441782e-1403005119', 53, 5);
    T('1.89509361446697553658685083620E+499339724', '-6.8354596E+8', '-2.77244505178112022867760177559969778769521218441551464951969e+499339715', 62, 0);
    T('-4.297416610051364302800E+282508812033', '9.2559830196630841982558670668729781037281469E+1454', '-4.64285273743705436e+282508810578', 19, 1);
    T('-1.62927342525103516681036709439977684517191223E-59756243190597', '6.962121090492008298929044931703184743223791519E+760295731698578', '-2.34019690849113849124361266600974285045e-820051974889176', 39, 1);
    T('781527.09391901663044451421960308239310179221298080688062176', '-3.70555496076615192804013621260724190601399532958242064E+33723153', '-2.10906895780444693662124619748481316828428846751595773e-33723148', 54, 4);
    T('-3.95753337673089963998E-8471512', '7.746998165150310838047989041E+257', '-5.10847336266809835852226892611063450207178312715835377151488326194418646990751e-8471770', 78, 0);
    T('5E+11008', '-7605.111296101546481500487', '-6.5745257437100865332545776543031774828211e+11004', 41, 5);
    T('-6.356266024300248086853753331267440118974221E+8223250807', '-4.212112562560318951150312505321029190912512929E-5916912548', '1e+14140163355', 1, 1);
    T('1.90820109677510E+80547590228', '8.39774204430554158E+968781600793074', '2.27227877054051654009683381057217432725900447437152151510805037169701999228402e-968701053202847', 78, 5);
    T('-3.1E+436143572263331', '-6.651168085693835151585548918784E-54533', '4.66083545034423055462371623894611e+436143572317863', 33, 1);
    T('-5.236001751326137505583175108323047391003353E+3735910749914665', '-3.649263464235064929E+530833294119756', '1.4348105590736443093345e+3205077455794909', 23, 3);
    T('5.81755391321683E+706775402677154', '-3.79804846250527063761042781265296440137001678273467E+129497202117', '-1.5317218752336435857354936372354516618721725e+706645905475037', 44, 1);
    T('5.36047130424630412325624534552051905897832528917504317882E+545004150113', '7.604290423932007625369702529457234410E+84', '7.04927219425494393616878705997572942858920591257850279304475e+545004150028', 60, 5);
    T('4.458351419552954510276718141184677208807210345263917605927E-9385', '5.1681722431350934131923940217968409952479634117694898724E+1431', '8.626553469604274284337479447107666858e-10817', 37, 2);
    T('-6.149356847678021169018753896971511274815556412763869708094E+7487677', '2.99317069436947543096471036338495554634E-98945475', '-2.05446246658960098e+106433152', 18, 0);
    T('2.609735008E+4811', '8.9907278916062279525437512319828E-278552844401077', '2.9026960213493468895065342402938712356689467363e+278552844405887', 47, 2);
    T('1.1197758229935090983982003183596032965406874E+72841', '-1.17288932091166621481578387852915498753427E+804', '-9.54715677795690961016609151058524e+72036', 33, 2);
    T('-2.124915642388239736020483230740984389706E+265387327900684', '-3.707484048211520568858E+56828436291094', '5.7314222118185317876775932369470639192027680591054409710814e+208558891609589', 59, 0);
    T('6.37088422510097638882563510E+895', '1.720205E+5830701', '3.703561043655248292398658938905537421411982874134187495095061344432785627e-5829806', 73, 1);
    T('-6.6229334592134702552859442E+87015059334275', '-4.468349713532354291075672E+35603813375', '1.482e+86979455520900', 4, 6);
    T('3.2560357863560019505323602163852635714634065691955419403396E+77343897796706', '-5.50839E+28563', '-5.9110480310145105022199957090642884245004557941531771358592982704565217785959237e+77343897768142', 80, 5);
    T('-8.45973423166639667104250617E+15846021031680', '-4.92075536713194588295736712337794714951963063835E+90663209162247', '1.719194229441472673490789418621592415872826883722421788157478102604533156324e-74817188130567', 76, 0);
    T('-5.61266E-48', '-9.8980225420608005505595082222914784610015790635794E-68188947', '5.6704861765564598285318076108498372522e+68188898', 38, 3);
    T('3.760955836341420439857421E+378', '-4.4736759E+29484715110320', '-8.4068580746795279467102679476624580694368136949750874890154648887283e-29484715109943', 68, 1);
    T('-5.297217774133337611309818804477788410608191200610606E-46042240813', '7.710472992248557012E-260568', '-6.8701593008090455996405729304913017e-46041980246', 35, 3);
    T('-5.867383416971E+9070739349006', '9.6532753158100107552419328058481848133496224790609260E-2364129024', '-6.07812708642161540673629681054528860894624e+9073103478029', 42, 4);
    T('-8.6260504236300716845805E+57226101340378', '6.51612850611851702258267593557272E+4907124493107', '-1.32379e+52318976847271', 6, 2);
    T('-7.3154717030334E-19171', '2.44088247110237905612612547871061170301E+21926289093888', '-2.9970601983673157386273744194469198195499225188547387269e-21926289113059', 57, 0);
    T('5.9808985559892168907668581639898389291E+58180230', '-7.87860404686E+7282066804539', '-7.59131759943297393779905969568142426645233836781788043720107e-7282008624310', 60, 2);
    T('-8.52404068E+1920309932719827', '1.8749636030097473895390165444675113498440896901E+2677613', '-4.54624327977191458890038356347545e+1920309930042214', 33, 2);
    T('3.99E+551', '-7.089E+952475228437', '-5.6284384257300042319085907745e-952475227887', 29, 0);
    T('6.767012727187616944970656891799617171392644455311615E-58733309385', '8.7186615362002780640132243723538016567E+677981059', '7.76152704069388774586903593960089712596e-59411290445', 39, 0);
    T('-6.324250946958518058836344E-755149018050389', '6.9826E+8958143', '-9.057157716264024946060699452925844241400051556726720705754303554549881133102282e-755149027008533', 79, 2);
    T('1.1869049542936872024830017783340504915517897E+5931721', '3.62492018107645274E+92', '3.274292660262729073148395215883692771071445880847492025548547026756908216949669e+5931628', 79, 4);
    T('-8.96339607989364364957837090529685569691020690420107637E+2997370144', '-1.6328645867453602526563754560819886E+833418873735224', '5.4893688996952048904179634463843813410105306035530415091494205947885434326011e-833415876365080', 77, 0);
    T('7.1378131E+312153419923', '8.81986953489661077958613320185568E-3609606', '8.09287832632738783262095812093447828055912915e+312157029528', 45, 0);
    T('1.83206642226474697044691444626982E+646835532', '8.3951899E+874351049', '2.182281096779891745446895068174479293196214656204501103661752e-227515518', 61, 3);
    T('255106184.825814916051687850902563768', '-6.83103524990147520626883477234E+904634', '-3.7345171777512689807584029338076694455989093563081165254126e-904627', 59, 1);
    T('-1.9638599350781807E+29523570', '9.8548419979833782312979819273508163649470E+23623640668', '-1.9927868305550210041804786e-23594117099', 26, 0);
    T('-6.14741690698386637015673802705E+48069627954', '-4.12933786717053593139889339355561590786864874E+436562242', '1.4887173451844807764929773224617133055169947249e+47633065712', 47, 3);
    T('1.225377251435849387731379235230445343437841E-82693029', '7.936695E+26335', '1.543938946168e-82719365', 13, 6);
    T('-9.17984E+405600458540524', '5.355936092585876612529007171606041', '-1.713956223769638126144175e+405600458540524', 25, 4);
    T('-1.227451402639076986806114633E+7883', '-2.987402848722723835026918520186E+1788502', '4.1087575556268843894007886216590051232386943021659180621251856962733875972e-1780620', 74, 3);
    T('-5.312035710226855200846337E+732', '-4.36968752226182156811771719637180281E+1962215648572', '1.215655738119520920104955522273748819695229176401885654e-1962215647840', 55, 3);
    T('7.9457066242750543100492018640142315085448E+910375998284847', '-7.25806562613257E+779624101', '-1.0947416341437644107092237272761344e+910375218660746', 35, 2);
    T('-3.6232588135741634626728895361506697413078228079369600E+430355348', '2.145736628434471229748258550768E+3442339765', '-1.68858506004890821815197320321890386093329914076681208e-3011984417', 54, 0);
    T('2.2175578891036849403499288685734950383013949889978042E+6263529179228', '5.91210005299917049140544779048019801500E+7960123999681', '3.7e-1696594820454', 2, 1);
    T('-44340.862014108621599398126', '5.252773765427207316159330490215845753757E+6026796', '-8.4414185712607757488e-6026793', 20, 1);
    T('-6.465E-4369769', '-1.580518002195310512832447554679037462151679529E-164339476710522', '4.0904311061438298017900417e+164339472340753', 26, 1);
    T('3.0019585043422377583E-698140718850747', '1.954305090716292924140972851027162942825844093504E+642019948815888', '1.53607464801821621258337728696330281883634687e-1340160667666635', 45, 1);
    T('6.41683079993540744576556055289180959933E+637292191540173', '3.93241523902358142722613194794606672680172E-1372615175122', '1.63177854064280005168096862071623973291233346682816322202913066743e+638664806715295', 66, 4);
    T('-2.6094508826546423717709393066958947458452974253303559E+3353296', '-7.16784690482245700367342837621811739392830362729173E+56618', '3.64049472220037e+3296677', 15, 4);
    T('1932051279.67163978626063836481150883702297132442149662173280', '-1.1290839173292751607459696395600714259832733890E+589', '-1.711167124089143284123997607951785070075950513188425386233813473232705e-580', 70, 6);
    T('-6.9453199702038953098009434955379034607052052824503604E+777601332', '3.437134510795521899876952920773178548725510921274865049E+750878', '-2.020671564755377242300421489948076533756582614552547404160275e+776850454', 61, 3);
    T('-5.8672326242285800040143503588594238136506200562280504559752E+103185299006', '72918166.27675333950278687', '-8.04632498e+103185298998', 9, 3);
    T('-6.6145759460727784726501810734112E+2989360', '-7.24509932517919206382230626617379873650310771E+35361058787660', '9.12972431321247767499565359e-35361055798301', 27, 5);
    T('1.831385217040299829902518059156304574077008730E-102912245079549', '-4.61548295388182547783184869211121210E+54', '-3.967916760476872290101308834639635345005688393534252653388e-102912245079604', 58, 5);
    T('-1186935.22599738062276431', '2.7790452279048E+864949509576', '-4.2710180247488966536528764120667106445626911018241147505691676797187356761900183e-864949509571', 80, 4);
    T('-6.2E+896838996519179', '-4.7354249742433946859154241601809457962273561239906775E+97', '1.3e+896838996519082', 2, 5);
    T('3.29389572087524979056318E-89113754995383', '-2.5190201196769779523136890E+958559386', '-1.30760992941082051680334170000646242241382559913409022621167087e-89114713554769', 63, 2);
    T('-9.9799280525821230925432640079191192159714712064E+456', '9.73535114425104737937045256191500324E+31486861678878', '-1.02512255641395165285904581328738275263767777614149555996e-31486861678422', 57, 3);
    T('-7.433026003534693228310312524573025593830979398426763514E-220053', '-7.27082566209154774936247916180353611438160908770968529176047E+2433173113478271', '1.02230837995316290351883811275674874978477e-2433173113698324', 42, 4);
    T('-4.2300584773067627E+98228618427160', '6.207364487984695138552932626997404386356824E+49025', '-6.8145804640515132e+98228618378134', 17, 0);
    T('-3.19062727334991343811621E+6353114', '-2.695801086224670057589318922825433705511045109008642748E+348031100371593', '1.18356e-348031094018479', 6, 2);
    T('593786617212251000.1207985070746', '-7.512345072619E+51', '-7.904144597623514e-35', 16, 1);
    T('-4.95181665672998045787387593036E+688059839', '8.26928876468813571755452298361344421052604987863E-8', '-5.98820140115971759898391148922954625369e+688059846', 40, 2);
    T('-9.501972107999099E-58552', '2.413135196019499130274719E+57472619854772', '-3.937604541872638260615589728846080543235552448e-57472619913324', 46, 4);
    T('-4.418671131559968096728466650679158786638576819463276300E+88815908', '9.116366731919890108772E+5951621702546', '-4.8469650920124886890730340999724942768222215908262831053837870837221e-5951532886639', 68, 6);
    T('-1.18305008879846775862629621607589528720450056175084E+689178754119193', '5.199E+933906180466080', '-2.2755339e-244727426346888', 8, 6);
    T('-3.25188654431328360624814065176353977242E+11976072', '-8.7E+924863437258', '3.7378006256474524209748743123718847958850574712643678e-924851461187', 53, 4);
    T('3.492541857E+76670183634', '-1.11156751662264442E+223878539568555', '-3.141997049006650775299862533829988934782523962400424754131701093368425e-223801869384921', 70, 1);
    T('-4.73657013333429229972097504759192934073741E+81956476577003', '4.9396294037673229906232257735948919676467E+839794133652', '-9.58891800611e+81116682443350', 12, 1);
    T('1.9E-564705', '-3.410871537637121E+8555733817689', '-5.5704238023464927745900036155364716998621421883565156698576972469264222e-8555734382395', 71, 6);
    T('-8.55114323961282136080824992683449818836235605906E+5318103630', '-1.56222756568495647600946337589716234207437E-21660213407', '5.473686054095188526784e+26978317037', 22, 2);
    T('-94493376191391955364945016211748273751', '-1.7907499821412628788676072591583812883907116388245018424043E+93047235841519', '5.2768e-93047235841482', 5, 2);
    T('-7.26589687466356528677571386E-42790905918300', '5.2540050100562268611997625484603973461149981254955998E+9465075206', '-1.382925379925705044843306e-42800370993506', 25, 6);
    T('5.5541269763E+3481659107', '5.20322273466739136814425325759701604893838812959866E+1697905', '1.1e+3479961202', 2, 0);
    T('7.2679790654158550572379021799806646619338320482E+829', '2.7752278909225695234703809881024008959152E+9643', '2.61887648549098410292738117e-8814', 27, 0);
    T('-1.50E+537090721681053', '458.331840', '-3.27273793590251115872726625320204679648701691769875730213288259e+537090721681050', 63, 4);
    T('-9.9551322627433981266385502449894751031853185123E-28843933941', '-9.9692884185463E+736265843467', '9.9858002344715330311646025e-765109777409', 26, 0);
    T('5.95220671662306391010E+93', '8.555315122164118558521448974486318E+57800049207', '6.9573202525325768742597895536075535848448473567782491140922764927672984060255e-57800049115', 77, 6);
    T('1.4819182803019E-70229287855', '-2.453042033E+687387590680', '-6.04114e-757616878536', 6, 1);
    T('-1.9346700E+18216', '7.2384556675871534300839505283996833502485733978604038E+65190009', '-2.672766248556575725360092044471303112327619604281853e-65171794', 52, 2);
    T('4.85E+53', '3.3927536186942446660697680866457726688925006988338E+8303138305693234', '1.42951730219260655958965e-8303138305693181', 24, 3);
    T('5.3003768960273351700396028109233237194293859507240071688E+687349312524', '-4.518108949410832294E+978015', '-1.17314056729829671479929205870278070033687890411818412213e+687348334509', 58, 3);
    T('6.596503927751205739690592819400799835180188927960863819777E-4941638', '-7.90991623132505278892525961475774788342582096535316E+90223', '-8.33953702521849976700634311943241010758762394e-5031862', 45, 2);
    T('4.5019913477170511446E+939241385478', '1.883808144491894864708612154545078497510E+810791932315', '2.38983537728113e+128449453163', 15, 0);
    T('8.321268005E+9305509224', '8.23892176289268428879930841865443990626711234053892608E+9130012001', '1.0099e+175497223', 5, 1);
    T('-5.37621197392931520806E+7867969894708', '-9.66408018471851946361062203299262703364923073070487799E+98060699854166', '5.56308709278978864551497872176871998105465825068848025594101064638562005e-90192729959459', 73, 4);
    T('-8.1141411623979688645457581022195859530779928103430E+3437516829903982', '7.7355E+500498049', '-1.0489485052547306398482009e+3437516329405933', 26, 1);
    T('-2.9845098906813434661147116379645309507797342013203256587E+6377736120', '8.469E+769397225466936', '-3.5240404896461724715e-769390847730817', 21, 1);
    T('9.4396822398489219986194919480324380496432128102290824E+2396261615', '335.861007650665245002484219575921729', '2.8105918891e+2396261613', 11, 1);
    T('-1.461575006444735691462068E-41921094', '6.933031323E-3415662415670751', '-2.108132703217466325389148973847784821265836360912688177104893775193e+3415662373749656', 67, 0);
    T('-4E+71708', '1.11E+469402', '-3.603603603603603603603603603603603603603603603603603603603603603603603603604e-397694', 76, 5);
    T('-1.0352562330323627642784473448143109790146E+67339849', '14761011138290123208015718652337.086854505', '-7.013450659534453338425537410481983523771e+67339817', 40, 2);
    T('-7.0495908597431245081227954656256E-408789386410913', '-1.9280222971678509E+837237187', '3.6563845086742775763634e-408790223648100', 23, 5);
    T('-3.701868926074726574126216962651983E+50573', '-5.870077494231845902710416146951091E+4372080', '6.306337403062087625184727832112487137588992277117871018502832069031805875316e-4321508', 76, 1);
    T('-3.512292143711810646E+4572182361694', '-5.477334875917669250250132041402499523767793177741125E+88822541649', '6.412410822559691355034379844200374945836957125297667495635123636863117260159824e+4483359820044', 79, 3);
    T('2.11038569069296936692178464670E-7944856', '-7E+39', '-3.0148367009899562384596923524285714285714285714285714285714285714285714e-7944896', 71, 2);
    T('2.49021638128578551576256614355511906484952E+60834257', '2719991.20386065294257782231165500746634884689580991', '9.1552368910284206e+60834250', 17, 2);
    T('5.373888276964E+5959489928995467', '1.749742E+554092984', '3.07124609054592048427711e+5959489374902483', 24, 5);
    T('-9.905605837188080847E+94076', '6.0523E+145', '-1.6366680166528560790112849660459659963980635460899e+93931', 50, 5);
    T('-7938502076599609129455.767593304735', '4.908659682984657427704729333091262628607E+5243076', '-1.6172443374140553181269828611375151914999496255671363442374e-5243055', 59, 3);
    T('6.344467790004662001457382446058174E+215720180375', '4.5135792032505581E-473', '1.4056400706196863199431593134e+215720180848', 29, 6);
    T('-5.5267387464198947E+4848', '6.5159787308874904856768441545477779124465E+5580', '-8.481824411460503422123234123380571993528242073182168619127437061731878343223091e-733', 79, 6);
    T('-5.580830051108928562044E-28103', '5.0522411302002660773836506939613E+457711819387', '-1.104624642269936494095102985061765284870919065536600029e-457711847490', 55, 2);
    T('4.284228E-89', '6.13181872008987758E+1238', '6.986879742e-1328', 10, 1);
    T('-8.6633337094939680753981E-9555', '-8.1805369138099738204255705268716589644031164272386762381E+768495292118710', '1.059017739394215166855089810665587072e-768495292128265', 37, 6);
    T('-6.80946490807375889356688294670749789934312716010361650221E+386002614', '5.449351045790800953557296757369274026704940964638872E+17359480093265', '-1.2495918965128040177942117951353415027439889939813275305957382197732873e-17359094090651', 71, 3);
    T('5.1663127899787868758656402520314653063713216695E+766606330', '-8.0743494811090957340736E+163', '-6.39842603056257626136018e+766606166', 24, 2);
    T('-8.90734E-4318136', '12.1566623285', '-7.327126278006167949308274644160689784186926139313140666050704642e-4318137', 64, 1);
    T('6.56429143035128425372540838097079364637325312329935461E-2070660584943252', '-573149.744190412506009750401044437549', '-1.14530129288001345780772148676017360617e-2070660584943257', 40, 2);
    T('-7.405122181540118804223353567090869441006165497E-69759595107464', '3.1939681447264741926889021711633907760237436462917360E+33770251809', '-2.318e-69793365359273', 4, 2);
    T('9.3921631126E+478916262', '7.6509242435588770157240739923726376997787760154348838E-9514', '1.22758542806211010595916679337388e+478925776', 33, 1);
    T('9.18834041E+721431', '-8.0624486028389596327481015214761770E-53030101862', '-1.13964638568543431277587036530881483e+53030823293', 36, 2);
    T('-9.38877836922781613362802097305510031331799992428E-6458576731249259', '4.3963429653458582059109271E+98473190670', '-2.1355882476037001844207449058127456526055753955166017354491948371476440496e-6458675204439929', 74, 2);
    T('4.2673215677115128484805989558144331386295062453E+2229153494162302', '-4.900418555123276534023662942155482747191254374464827100E-50216', '-8.70807568722905284486840434144377858437615055941050795662554551e+2229153494212517', 63, 1);
    T('-3.188692221798919734241731314467248672486774690E+84922901157101', '1.0750091447493269E+84359', '-2.9e+84922901072742', 2, 1);
    T('6.855818858E+69329312', '9.2E+9544815087405', '7.4519770195652173913043478260869565217391304347826086957e-9544745758094', 56, 0);
    T('-7.3614280586281098230823452027354197E+2760629045143496', '2.893523261281988274932716931943642288341579138059E+369608132255861', '-2.54410536702117147396555122591236597451584861888626282833016801725624423e+2391020912887635', 73, 5);
    T('-1.2738118114825455176823E+679303577468', '6.26436578708517938714764418689271618869144341496E+78209870864455', '-2.03342501823357354338976071023775926e-77530567286988', 36, 0);
    T('-8.8733351844347918E-8546955148628238', '-6.7647157340048690545242514843010253650940E-72562643316', '1.311708508287e-8546882585984922', 13, 0);
    T('-7.8682357676349037244588026498398034E+807521', '8.742224629153077056448825300E+990534735', '-9.00026721047221249944343659673269156974930552221883754790144672049280296865e-989727215', 75, 4);
    T('3.08879478065987136501904E+377837388', '3.0354523447184623281684960E+26132532394', '1.01757314228115695831e-25754695006', 22, 2);
    T('-4.69724848355487E+6395756220840390', '-9.84944574948168543545797618432731889167955578401879528E+9028', '4.769048536362623989822429295982287877611424278067108494869013860040799e+6395756220831361', 70, 3);
    T('6.249737450925455317180785E-65482116108', '8.8950685787161794592661279860894671317485216363325829E-88383709861406', '7.0260700022927497385731640249949394775e+88318227745297', 38, 4);
    T('-8.763674259599139312495821635892E+94813707172826', '-2.33089352524986478761292847527232181413E+269931215', '3e+94813437241611', 1, 3);
    T('8.544037119306439335171E+352796839242822', '7.68630E+74273148406', '1.11159297962692574257718277e+352722566094416', 27, 3);
    T('-1.1152892567659484E+39398', '-6.17036150E+728364770181', '1.8074941910063914407608046951544087003654486045914813905149641556657579948921955e-728364730784', 80, 1);
    T('-8.67881602582478739919390187059023188826357330235707955731691E+83565375', '-8.5182463128861361403203512299710327563999144660277140870E+90203847808', '1.02e-90120282433', 3, 2);
    T('7.234123157959307113E+723772', '-3.41279310199858127605732417853610101380067165748369719422E+8611982387177675', '-2.119707506945820823096463733748179292575340288334097926345e-8611982386453903', 58, 3);
    T('-6.37730117643783248608506956963860059320480342E-84798', '-4.4926297339450E+92', '1.41950295352692983546216513345745035207145e-84890', 42, 6);
    T('1.885065913778472241969919E+415', '8.476323038534877860061336024727412683359853359359316813E-14873069', '2.3e+14873483', 2, 2);
    T('0.000008774908244024099256564840314994039126405448585342323859987', '3.20680326169916516191606284E-60508', '2.736341311869130202993843123801078420650891381e+60502', 46, 3);
    T('7.0202709707922E-86580865930405', '6.04878163E+20505133024145', '1.1606090945611141197702652062841951198029941113942974330848839057859e-107085998954550', 68, 0);
    T('9.554687157050841003476007147187688984693941937107625253E+81470', '8.7558067825298652995039813E+87602430', '1.091240064378185219749349673e-87520960', 28, 0);
    T('4.24324521192425001280103900072048219629743463411206624E-4529', '-9.56924642708315314E+208974400768546', '-4.434252210200060106904415387893843831889716182750510367402777015593718e-208974400773076', 70, 6);
    T('8.1731112069291153399717120647028336179E+4530960703', '7.73931185652590E+3962048779', '1.0560514110873345201042e+568911924', 23, 1);
    T('-117365.8014832153451939093392', '-6.68073715285765117663308607408065862E+9394', '1.7567792116026107e-9390', 19, 4);
    T('-1.6658642050035663296861185970472791164E+6730108863740', '-3.84685E-974', '4.330463119184700026479115632393462485930046661554e+6730108864713', 49, 3);
    T('-2.7776380715613863602949637818487500096085E-313', '3E-10699189630', '-9.258793571871287867649879272829166698695e+10699189316', 47, 2);
    T('6.719457127297949563891508408530933081433597202E+2495193', '-6.525043992519E+64406650932340', '-1.02979491555947290580598770167151778250663470360232578012485420192e-64406648437147', 67, 5);
    T('-6.43589672314664263233988272191E+74', '9.70654800028138427959461619985591456761833573699E-988613230110176', '-6.630469e+988613230110249', 7, 2);
    T('-6.04115200138882185830214885150690224510252743312198829181732E-661548832791199', '2.185703551280940715E+918', '-2.763939326469219e-661548832792117', 16, 0);
    T('-7.1357469E+2587', '6.541931718759571044527930099729534E+46228407048732', '-1.09077061742139727768782774705973706265695703089441143264382462447983e-46228407046145', 69, 3);
    T('-2.271516373318296379568456882509419624931222996308886118687E+6153', '-837220543.51461726065', '2.7131636829915382491185318e+6144', 27, 1);
    T('-8.61562823229598019298777446628573722774996016329E-179222', '-2.077E+96920441', '4.14811181140875310206441e-97099663', 24, 2);
    T('-1.5910E+556604', '1.54807555387387613547879713E+77881101', '-1.02772761705248203844309e-77324497', 24, 3);
    T('9.17210099299250171E+61490807', '-2.903669400697902E+3463559777221376', '-3.158796587100436177158953216605310588121609343656255e-3463559715730569', 52, 6);
    T('-1.02670638388433561047094107377068341711898080623793E-72643627144', '8.361762553954616475211524631010764088E+510953715211', '-1.2278588123729542422925737904976716e-583597342356', 35, 4);
    T('6.31E-4405965871126180', '-7.31266092594615839365138203505437652947772798152E+77706817545616', '-8.62886994e-4483672688671797', 9, 0);
    T('-5.771449712447756582773920765153E+55', '-8.73708401004409957837325924E+16738741559046', '6.60569327914545914263972158483072712757842873e-16738741558992', 45, 5);
    T('5.3608128980651604396456755490E-445132498443044', '2.25141460572173433196576755244146241171799E+967091254238300', '2.4e-1412223752681344', 2, 2);
    T('4.0656232196E+31925443565', '-7.155087458431247798888654753989144477965237230429466100E-965', '-5.6821432906585148568191796e+31925444529', 26, 5);
    T('-8.37796876550928094E-5073', '-2.58196796690906813230703620540062669587578589178674623E+75411', '3.244799653939446659611e-80484', 22, 1);
    T('-5.9328506E+970797', '-2.28821109624841792905461991299131495066750639815769213260286E-818017', '2.593e+1788814', 4, 4);
    T('-9.694788017491497855796344498164373626549336671E+4734', '4.6784648E-6376020013305272', '-2.072215658754448223228342873962495908e+6376020013310006', 37, 1);
    T('5.74152393432113899576406778166222136113079431147449393E+960', '-9.429869011360065042E-366914487324136', '-6.0886571461431594393323e+366914487325095', 23, 0);
    T('2.01266213336E+37351', '-1.691785256E-2765380874450', '-1.189667616632781436180101099072351768976523105483312002572506164458499099e+2765380911801', 73, 1);
    T('7.08553861979410843216544930360385770721778826441087332431E+877631682', '-3.85048534E-42283969', '-1.84016766567e+919915651', 12, 0);
    T('7.2566559200337586789513E+4853140', '-8.01359611174908E+1194359414', '-9.055430070145987824487707506380058946437315081751159148050784725326e-1189506275', 67, 2);
    T('1.3240348027799594942585413270133553785391512565064E+397267008', '8.6530838377535925003566702097593555000395571507E+222', '1.5301305610875592429768902507327216988436666018636770320257046e+397266785', 62, 2);
    T('-3.466159071558E+5155909320', '-1.097905319741994134033469E+195154', '3.1570655585971123934065260755e+5155714166', 29, 5);
    T('8.41122308448063325406862192178517477E-430652906889', '-9.515982579611954183808685402247019165044711270003196E+276155570853', '-8.8390484262778346008296030721e-706808477743', 29, 6);
    T('-6.0934904850987942740805481231054E+520566630', '8.8289831E+2980857373700', '-6.901690054315308717807544702521177099093099408016762428733157276e-2980336807071', 64, 5);
    T('3.88050215342925744428163186353097341359755983447E+3704095', '8.02553159217778088175554746103920E-3514874', '4.83519640893502185366197656455686427150049063537e+7218968', 49, 5);
    T('3.80166439427E+695923848069863', '-3.251759295569E+9030', '-1.16911002590207907601651585522617918076e+695923848060833', 39, 5);
    T('-3.7300699955504734124438049E-62664195155', '7.542626749285242733E+25011', '-4.9453196075278996473683658253675719668344883974857212135455e-62664220167', 59, 3);
    T('-2122340250.14178524872', '7.43723463263762293003503931796582461733472067299E+7765887462320982', '-2.85366854076122523908709359289372673099138284799912256789272301671e-7765887462320974', 66, 0);
    T('-5.55490173192360758920734795964024619828470995175481431647E+6410108447110', '-7.654099983813143343112593E-8698749238', '7.2574198712730289710372554559287801967209009105159637959307160187e+6418807196347', 66, 0);
    T('9.1228653342959139251774364191188092402463135E+501613422299', '-2.74433376606037926354E-47663283048561', '-3.324255033086670790341660251177899200654043378752843058692187534901673006304098e+48164896470860', 79, 1);
    T('9.6622507636534541488328089176420128588077983206E+769068534843496', '-8.0182440648815342784767201733018163074356013490456409189E+8645436239612028', '-1.20503325e-7876367704768532', 9, 2);
    T('6.36404293355953479E+3482520221181', '7.6203855932264015258361E+64882330511', '8.351339778942940929901524485273009707294832152569249e+3417637890669', 53, 2);
    T('9.86391972E+73820', '-3.1403771488770274485067956889976119283E-10316220702016', '-3.140998438205823472632312147186673558e+10316220775836', 37, 1);
    T('1.418036542379E+449958175434604', '2.9216039269951395167755644087166366431330982592444677454579E-9032', '4.85362348152867572302852288653430393819577925468985e+449958175443635', 51, 5);
    T('4.541775157523491E+63', '8.687E+176673745', '5.2282435334678151260504201680672268907563025210084033613445378151260504201680672e-176673683', 80, 6);
    T('-6.3308228191616986392537604E+2383479778', '-7.13320631653041899861850301733968984E-753', '8.8751432921415926384546951961560228146225455214581808941894734992e+2383480530', 65, 6);
    T('5.457137595530611842079826607723346233840535364E+89613', '-4.344667992E-560011781301702', '-1.256053996664197083734223944752e+560011781391315', 31, 4);
    T('0.0000086266873024', '-9.4974634095907570E+393108', '-9.083148763372515593e-393115', 19, 2);
    T('9.093629309411552760032337824651703332768319956167004365344E+74714', '-3.0997278E+3947379520', '-2.9336864e-3947304806', 8, 6);
    T('-7.31214422506117E+431227', '-6.8514507949948875885477577705908478387238909451983E-65635509332', '1.0672402741916832479273569238937957251767291954853498e+65635940559', 53, 0);
    T('1.7461686669112738675802931533940179473496311343E-1234131854674690', '1.634694517782E+49738', '1.06819264878952745409305283936010817791837405371797150891927e-1234131854724428', 60, 0);
    T('-5.9829069945179369292E-56567163321', '5.7889958848E+1083243005588', '-1.03349650156551048049555e-1139810168909', 24, 3);
    T('8.30976724217E-42870', '6.9388E-55774', '1.1975798757955266040237505044099844353490517092292615437827866489882977e+12904', 71, 0);
    T('-4.24909829890580322564523260153868736451378315422846E-98', '4.832875673300682962789E+4183051407969', '-8.792070365848702950856888482e-4183051408068', 28, 2);
    T('3.603568980059978437297E+1149953423', '-3.280514183080219393727E+422160376', '-1.0984768786082274005739058932e+727793047', 30, 2);
    T('5.42362395408518392378206454213657197E+79075155', '-1.06206990367692764872677142894774E-330566730275', '-5.106654406935348739691302137e+330645805430', 28, 1);
    T('2.79194271563433841013288488890998294859584E+9397660735909', '-13415401.001570677919671017276501501087768513350260', '-2.081147418036521741261296325177927e+9397660735902', 34, 3);
    T('-5.24775509194271671548317692144952679728710625765204484548E-2358', '2.62563805344317052869159676597885048346825819483858491722516E+6514786033', '-1.99865898693119297032471403683783230674391130953908587004602663693e-6514788391', 66, 2);
    T('1.517988443367607489995839851E+770789', '6.182023346E+69375', '2.455489e+701413', 7, 0);
    T('-3.675047148662386707238E+423', '6.62876688935834038145458224594507485156247285939277791498399E-6050999253520', '-5.5440886819571482775775498198812308233710698078523466331076478e+6050999253942', 62, 0);
    T('9.50431725487076910672512822016035330317E-133695201242', '7.4004335998500859652486E-4090568475', '1.28429194406437245702e-129604632767', 21, 5);
    T('4.6634951212995107655256685963835526011329E+566', '-4.131647025930177773993501060972635762E-5027', '-1.13e+5593', 3, 6);
    T('-7E-178484367623428', '5.30651432E+90223066', '-1.3191333477829943932008460122274766611767100630381413914661781219879945e-178484457846494', 71, 2);
    T('8.71361717541716062296144340146430086628836296850009671E-84273498991', '8.771087560465602768577304724935378570921206610889581614E+8244494948361', '9.9344774696954554191402204028905477338449927018885589648147901820605153e-8328768447353', 72, 1);
    T('9.85171539223723171767535369188086285424879890E+397994', '-7.00589326171867995E+220699360341', '-1.40620403768761059207068e-220698962347', 24, 6);
    T('8.323396192558E-417757707508', '9.03352646E-6040961531', '9.2138947391293743e-411716745978', 17, 6);
    T('-7916450330.4446205393029307214921424647385915123269462421823', '6.815119204544677411207097520838285864416056950116708E-24672697537475', '-1.16161e+24672697537484', 6, 0);
    T('-5.30103520790950599355802854494950323E+7868865061', '-5.1636634231328337805E+266852980', '1.02660355130066314602318644715938137e+7602012081', 36, 3);
    T('1.0951729382519331355625046360E-194', '-5.3837323423330235136240287012197972535606E-2026', '-2.03422619962073259382724624883170660308914033912241e+1831', 51, 1);
    T('4.095684154088735188E+740818327', '3.31202021497676387056653363332977758770687246662936E+56', '1.23661e+740818271', 6, 3);
    T('-2.2724938561165025786828415683879174978924995803E+6892341', '-5.0525199341915986529728533327336284953532938037390323844E+4573104328062', '4.4977434739801788965680846e-4573097435722', 26, 2);
    T('8.2449E+5', '-2.68976653972E+350791', '-3.0652846179201410145497755667947067103833174602979963044983967141101960023e-350786', 74, 6);
    T('-5.7549265157749333090E+240162', '-2.125301765793775983094625445632199980969680344E-16291669', '2.7078161832823e+16531831', 14, 6);
    T('-7.75564752668094E+31228869704', '4.1848197364756792097706588817493714649650285625470E+5393510', '-1.85328114830879126017618621465286322589810903310820122071721969827165e+31223476194', 69, 6);
    T('-2.849407365553511907209608400670290945041587535944E-233967549524974', '3.5343383546641451731071064E+2737663825575', '-8.0620672941322855569e-236705213350550', 21, 1);
    T('8.7123E+91912007', '9.3244545E+8432684451', '9.3434956436325578080733838102808051666722165891849222922370418559069e-8340772445', 68, 1);
    T('-2.1987730069142090810254016208878064861612151388269159891457E+7089', '3.43020545060699611E+6465318613706995', '-6.41003298075082521e-6465318613699907', 19, 0);
    T('-4.61283081676455209335471740833048222317434603262E+577914726211', '-4.16587710960839106246491957E+6932', '1.1072892203481673151129776779849085762487463238500382e+577914719279', 53, 3);
    T('1.540293804110804038E+2622001928684652', '1.4619731683260019625564173336009399E+54', '1.0535718694991381e+2622001928684598', 17, 1);
    T('3.698759402197563173610845867688554482083063082899161125005E+2606520131185878', '5.4152E+937625291240', '6.83032833911501546316081745399718289644530780561966524783e+2605582505894637', 57, 6);
    T('-7.0679534561211275640480854065278940434634E+993237893157374', '-3.0E+55789951289', '2.4e+993182103206085', 2, 6);
    T('1.8201965580779372262824833515637648236401714E+5430630', '-1.8717214444612130606768912041539E+64325835847', '-9.7247192602523843973122306148703602000145e-64320405218', 41, 5);
    T('-7.4354150132415358377140974729901808662854732E+60532206660', '-3.13437635399357292965515708E-73', '2.37221513101575109420769848e+60532206733', 27, 0);
    T('-9.3602719092313517757714582998306346E+89953701579', '9.856349392297929513772168276E-488063076656', '-9.4967e+578016778234', 5, 5);
    T('7.33E+334620321276', '4E+79379590857', '1.8325e+255240730419', 25, 2);
    T('-1.09482397874497E+5000', '-1.737032610015303386596650604502360953770682689E-50870776444986', '6.302840674564679123957288651500247583226661371519028407256735572157e+50870776449985', 67, 1);
    T('2.0579419808E-299373878027613', '6.879012626157130501832067128869630E-5079', '2.991624078395742227449835427873795746821884735370364668e-299373878022535', 55, 5);
    T('4.919681382434603463286461999813449431109595993660666516325E+903464767549', '-5.7348530098712115851307124504008E-5199251', '-8.5785657870682e+903469966799', 14, 0);
    T('-4.508697014458E+1923', '4.761165563080497E+791151201', '-9.4697337e-791149279', 8, 6);
    T('-7.398090745778946487E+1200707429802375', '-1.46511196004960994823E+620', '5.0495053944740446906139766375396555032539821843455126441622091469994568828002e+1200707429801755', 77, 1);
    T('-5.7552E+28', '-6.50605134557639101966361314470447210983E+69', '8.8e-42', 2, 6);
    T('-6.0214651875718588893889186910297133875978494972863E+2676295', '2.09156536E+520', '-2.878927573925712218426164167793309308e+2675775', 37, 3);
    T('-7.00163432934884758760489758678212E+959', '8.978689E+429490824578549', '-7.798058635674815763865857907298181282367616e-429490824577591', 43, 0);
    T('-9.415782327461742197995596417743E-148', '1.90199322893276875919028E-159', '-4.95048151814139250706335118409037522e+11', 36, 4);
    T('-4.451884348455371732396570E+2529850189', '-85413202.3216193682844278765211833', '5.2121735603496190831e+2529850181', 20, 3);
    T('6.520E-2404609555', '-7.616432920581472060379192644332381902871E+61074230033809', '-8.560437763958189579334387772574e-61076634643365', 31, 3);
    T('-2.079195615574298170977058139E-1404483387935', '5.23830787443802894380742327354791741714788046674E+5283657220432', '-3.96921232087252300915663570121619778539483537389138353622486269075249e-6688140608368', 69, 6);
    T('4.69879359610781308430651840793789392886E+724', '-9.4117272662E+42438280356', '-4.99248805581354095645789359065426201338345789644382034951237142e-42438279633', 63, 1);
    T('2.9752451524712394245663282969142266E+5921628168988', '8.816732964838295231277313800021505469533E+301093817', '3.374543795686e+5921327075170', 13, 0);
    T('-9.5670326092424870946135108991286263E+7598754', '-1.48775718E-20443', '6.430506764042292906032899064300685344365133562991e+7619197', 49, 3);
    T('-2.039299525606084838184991184356197229622619615E+63237915193', '46903851.21543168802302397670504783377583528894100415692544', '-4.34782959770079890347065029559e+63237915185', 30, 5);
    T('1.1E+48386922130', '-7.98571006308780296093336285534E+738596880009925', '-1.377460477916058156727281749988757098154683434844212164396277438122913167693e-738548493087796', 76, 4);
    T('-5.8540569313638641155995697025121787067846100586E+68733182443', '1.8217428701896617894460797056260335327579E-419601898546', '-3.213437542233608e+488335080989', 16, 0);
    T('650728111570939.25524581785335210715520098264652092655430', '4.66973445879725289423992322825E+563', '1.3935013164293333774842555335343661122459782878e-549', 47, 5);
    T('-9293638560.6666085329639113403075', '2.5432882270207695217528135242679643664E+8861082250', '-3.6541821968614463752391103321810326673e-8861082241', 38, 3);
    T('4269.724499701202011062994744314399066042444129726067280', '-0.8157204341355890275195914984377357414277519633835869783365', '-5.2342988124672729791314809314803056e+3', 37, 6);
    T('-3.4681945579838898484321763969694981124075142E+703255368657095', '5.9202634487819583950285119108812049804524393434E+1506061128', '-5.8581760558264346579992375e+703253862595966', 26, 2);
    T('-8.61741511390631738742151201474840325622334E+7354450818', '1.68291627029510733768362558116384E+9484', '-5.120525165755996190002521275185367443524578687679745886839355405011197427914e+7354441334', 76, 0);
    T('-4.8800116762615302768164396150413554456513E-10445433', '-8.895E+577416110762', '5.48624134486962369512809401e-577426556196', 27, 2);
    T('-2.83441E+566', '-4.1396050213924818747214325874943383199898899E+178479', '6.8470542125455248e-177914', 17, 0);
    T('-9.1332703633781E-8', '49.698070600474424275568049186388451965585078301210757', '-1.83775149679370301505144445949539702222945002957391106771e-9', 57, 3);
    T('2.631073465616628264E+4778903553', '8.8917065064736081E-252970', '2.9590196929026783315402627202378384597085267065e+4779156522', 47, 2);
    T('9.23784965558437262179793344441326188923238E+6958014782', '7.2164970507808491110376E+3599540', '1.28010163249284587e+6954415242', 18, 1);
    T('9.784902640003135747253142973312748507804065545E+3501', '6.60707325924702755596390472E-69880735969233', '1.480973837592693536e+69880735972734', 19, 3);
    T('-1.367541856134E-35263', '-1.85487266123048004699686936E+3009870273916', '7.3726994025929739525103608766e-3009870309180', 29, 6);
    T('8.1217344812037876715423631857913E+932274259', '-6.18706638027770929367642994446023692503895710E+750468', '-1.312695546162742142522e+931523791', 22, 5);
    T('-3.781731516214452656028082992960E+487489', '89312942.437405806670347043206053', '-4.234248041782797673874256105122900161389156600186796104362365011555074682e+487481', 73, 2);
    T('9.906286161601662202E-2927268683', '-8.41926922086668411773096250830E+515028246005', '-1.17662066644091751205476195471e-517955514688', 30, 2);
    T('8.63984675756068E-248', '8.26235884796930816950326687732035303076687E+262172', '1.04568766819951779e-262420', 18, 3);
    T('-4.911940978764517E-57784', '6.23654737729175832198823037933941562818517178003089474136E+179538318', '-7.87605814821460378858518180378327864214361255820069707367171587633728e-179596103', 69, 2);
    T('4.6103072E-1099538964119', '-8.809393197886970104234331254152378973589096E+34002398070', '-5.234e-1133541362190', 4, 3);
    T('-4.69161486E+169458376', '7.54453741173112980906046284418E+84', '-6.2185586788991570129368631821135248537500625503363753970961210002703732667872676e+169458291', 80, 1);
    T('4.9061619707742E+172', '-7.5765706842021528325362758616E+15012377777', '-6.47543879053883736017915010914957945167504757447795193371680545834e-15012377606', 66, 1);
    T('-4.291363755850522585140973197E+996496185302746', '-6.3644360057587E+91', '6.7427243387593023485186334713061370134e+996496185302654', 38, 6);
    T('-1.16019088965467649946078912140590068129316897513235662202E+235035', '8.241155804845136595080421112974839065201155293511E-332436', '-1.4078011836307931420494202347934549863788666686770377087417522042171827352448397e+567470', 80, 0);
    T('-3.4581903315415671651066E+4163460', '7.662654649334E+895', '-4.513044747282374190353999734383927092825421206e+4162564', 46, 5);
    T('3.042140069941098867060415661096701192997563997352918246E+91719770508', '-5.5182578011418064333177931243237646311274146785E+898938300663', '-5.51286326150191205866097124725583677667609292774202740931121530483789177e-807218530156', 72, 2);
    T('-6571582763.1988554608150195512124', '-5.2E+97372721', '1.263765915999779896310580682925461e-97372712', 34, 1);
    T('-2.5083219293741963075544E-3517785008071934', '-6.76607383565E+361531084', '3.7072044886031427941034221929729762658683084600399722804641871038e-3517785369603019', 65, 5);
    T('-9.5012313796085718139886E+22026614417', '-1.927E+422', '4.9305819302587295350226258432797093928386092371562e+22026613995', 50, 1);
    T('-3.96921549007779529754650075399345289777782763013478860445E+9369531056643', '3.14928756647E+195605029', '-1.2603534629029901583722492554236616662553154242488094067726870702720823167e+9369335451614', 74, 2);
    T('-1.280561320509174650974446600267837479E+333528', '9.6153270020962409894978402E-62267301828', '-1.3317917531353837521435189715806070492277304216894e+62267635355', 50, 4);
    T('2.454512207917636705262128718E+7183361199399072', '9.01173861757743152020696326186245326E+6860734620305023', '2.72368331137578825956878395019214763953238949637517521e+322626579094048', 54, 0);
    T('-7.943604450756125592360E+628811403', '4.85044300315886339319630560308337101831807906461344829250E+672', '-1.63771e+628810731', 6, 5);
    T('8.40029134709473091091332531566155480896575472105764E-6996', '-3.6E-5781316468', '-2.33341426308186969747592369879487633582382075584934444444444444444444444444e+5781309472', 75, 1);
    T('7.5789601761E-1871030577397', '9.2071379591653214554758192060347038853358478E+62', '8.2316135695082765e-1871030577460', 17, 6);
    T('-3.19603431624947581919941951776205773723412414741582438E-5011575', '-6.879296938851034153145975078170464443040026644304848566485E+162799906199236', '4.645873473203020095467714062819152318691247836662605996894013742060443217755e-162799911210812', 76, 1);
    T('6.4119689E+510096483083788', '-7.9536357040322620E+84841848', '-8.0616829065345779364688616176798486152e+510096398241939', 38, 0);
    T('5.41396548830505829056985652472983967603472052717837292112481E+20860132', '30.68078162658501745224834577076519723334721356397119097', '1.7646113303755716539903540576862359744304123539949835907657376043772460746892e+20860131', 77, 4);
    T('4.50652125013965748994378597634334E+104745281581', '-926391.5466', '-4.8645966888183362e+104745281575', 17, 1);
    T('-5.42336831411799638205220478735594883156E+56192', '-6.26370689662382215068744688737070317417940443298840895E-873', '8.6584005344203228786627793949542750562583241898226e+57064', 50, 6);
    T('-6.830345868858403038866984068891E+736846143764', '-7.9061469792219932681856651417900982436000103121156865E-686178915', '8.63928521289714910440077118345248908173e+737532322678', 39, 3);
    T('1.8759309971660312241738473541584909376012217349E+85', '3.382900069984133115598263621354852432535297E+7029180623282', '5.5453337620310786808165062278e-7029180623198', 29, 5);
    T('-8.86772346256249046736287530E+7635958968', '-9.9E-4702819', '8.9573e+7640661786', 6, 6);
    T('-1.5808579562457360156858039450E-2087685156738', '2.036114286654389835170889375102996E+223314', '-7.76409245103475344781008066401959453511412169617046124450337546782696527718974e-2087685380053', 78, 5);
    T('2.493421624564307590401617417575476297468E-39134805', '2543483645.097209591029307767241691487472537303845474292', '9.80317537866067671713611136e-39134815', 28, 4);
    T('-5.016735589275183E+31566374', '3.5567E+77785224819', '-1.410502878869509095509882756487755503697247448477521297832260241235e-77753658445', 67, 4);
    T('5.13549022910209336649726180448831392106904337E+84950319744', '-2.44446432225735715015731881164802673803057228774E-91', '-2.10087e+84950319835', 6, 4);
    T('9.5277924648874937750804890149510936521567053563063028068E+71281393485547', '-2E+63141367703', '-4.7638962324437468875402445074755468260783526781531514034e+71218252117844', 76, 1);
    T('1.22481789564795E-3400', '3.87692101952603338E+772911774', '3.159254185161832630746243049594161e-772915175', 34, 0);
    T('7.236953410193311554E-784378023986663', '-3.297719851705547570032E+6909249498163651', '-2.1945325059830148916574686e-7693627522150314', 26, 0);
    T('7.49294533', '-9.5535697432381503301760858810044014324E-4981271', '-7.843e+4981270', 5, 1);
    T('-2.7769436384961621672761178823276E-2516', '5.7753586027950701966978446E+6022593558709193', '-4.80826184048938403660160182735685219603e-6022593558711710', 39, 0);
    T('-8.976862275913300297180270639120422296993249E+414537766595', '8.1563310558340732539075953E+106778845029', '-1.10060052914261200651888829866764257289453295888672319319273266288018599919e+307758921566', 75, 4);
    T('-6.4772559952764065E-82938711966793', '-8.28211728648539059576938709312889896507363E-10217584713777', '7.820773084010625938553618234794381777731258889744272606e-72721127253017', 55, 1);
    T('9.90973387245409763597643315038672921805230361076400959951E+715030837', '-9.709375E+6598768985', '-1.0206356096508887169335238519870465e-5883738148', 35, 4);
    T('-6.80439900708984207876044986778196742576066549E+205272500442020', '6.6170661042271639112425892561651704647995E+7846886939279', '-1.028310568447095421076e+197425613502741', 22, 2);
    T('-9.48E+54462221987', '-6.90424508334495215533488230732E+104392350300', '1.3730682e-49930128313', 8, 1);
    T('470545.4556', '6.5965811586058515016003047169212566994081370E-352269466328', '7.133171627641234162197943296896217405840983658777e+352269466332', 49, 1);
    T('-5.9175661913030125021676822516113849464035757483E+155782340614', '7.32149628070E+8820627', '-8.08245468470994111361890410420048954680277660405204171969661518372203139e+155773519986', 73, 0);
    T('-5.808092490893466667690933E+6265', '-2.8053497870423373896240292416844761213E-382577229', '2.07036303198999722503e+382583494', 21, 2);
    T('7E-3955589', '5.731917946176E-679', '1.221231717852833202029563e-3954910', 25, 1);
    T('6.8E-2440372644', '-4.944264054773155910200303464615646E+4160287388', '-1.375331075498552782289599401826351195594875e-6600660032', 43, 2);
    T('7.850135803635388001254074209E+59191940822', '8.59717E+640631899595107', '9.13106964691333078356491055e-640572707654286', 27, 3);
    T('-7.23499008537285797229913463115510478971058075590055301E+82391097410', '2.6430406191188396315655662448750521E+77', '-2.73737377815439070293229753e+82391097333', 27, 5);
    T('-7.56351813721301326046806654064529673142E+131268499', '2.5733907314378534443336807179400E+3715277932017', '-2.9391254288799671083078391629e-3715146663518', 29, 4);
    T('-74579397.90294765737087', '-2.8049E+9', '2.658896855607959548322e-2', 22, 0);
    T('-1.36412994270693706847444E+600839781292134', '-7.9257368000031450078613952191674065284794359102926268E+88128914721550', '1.72113959513063286269954808175905198484045495626186756877270574547e+512710866570583', 66, 4);
    T('-9.9768789804799063934916277452021159640084769580358290034880E-616884', '-6.1231419235218278367366030E+3459953876842', '1.62e-3459954493726', 3, 3);
    T('1.95406366336638119662E+2954', '-5.0437555757986072E+682080375341', '-3.8742235502896726204915481772989330646662423767907e-682080372388', 50, 6);
    T('-7.70049807352404206696470808617375694756E+4345333568764', '-9.807645269390E+3244746789605826', '7.8515258882349291433406815742e-3240401456037063', 29, 2);
    T('2.07599161552768250838218E-9036898954', '-7.19789369990979394E-6969561575562', '-2.884165426829934190798670262859152295851727910839908446970938099816890496797469e+6960524676607', 79, 0);
    T('-5.105336639596141027E+73', '8.106070390685227009048415480598662E+14913079639', '-6.298164700694850209615384168689479870557717474056101903317685e-14913079567', 61, 4);
    T('2.700043175785292735302603849176262967E+89285', '8.3720854496153481894672E-3627175233', '3.22505448855559045937782200718979271475064678737654e+3627264517', 52, 4);
    T('-1.7E-828521', '-8.18137687534542516634861126132954459009E+4708851969', '2.07788985387404544318482655241736967925499261793768662271871219e-4709680491', 63, 6);
    T('1.964979662E+6359', '1.13176223582615662669983803475591108718629319812432839E+89119798121709', '1.736212430312817952737603672086803e-89119798115350', 34, 2);
    T('7.7454816059232615169899E+421555184118', '-9.158341777733409389251E+80967318726', '-8.5e+340587865391', 2, 3);
    T('-2.55988700268528424484249819435701542433026722378983088825E-4642804765', '4.871565440268837455606895618670E-7601552611442', '-5.25475236671359754787844653819327048e+7596909806676', 36, 2);
    T('4.1207269273141194028083513207771907E+26917602', '-9.83997941831208721835704909106868535092383918366284E+825408451123', '-4.1877393764112e-825381533522', 14, 6);
    T('-3.71871477228345551858114E+24', '1.143125605399085375105990715307078828787211265452023745546E+295299', '-3.2531112545459835039729830299184757494e-295275', 38, 4);
    T('8.7734678275210168E+23080830', '-5.06658851509354322406119494598778039368105434237262152E+65783627867', '-1.731632202099016193923e-65760547037', 22, 6);
    T('-3.016610280684349503337149014E+97929306788', '1.307124983777620581983246908582E+6824903482029', '-2.3078208420179361815886083171718e-6726974175241', 32, 4);
    T('9.203614150147481482007944399592858E+759335325976558', '-3.196467238352201275999430223853139414463787E+51906689074992', '-2.8793081436029363989481438e+707428636901566', 26, 1);
    T('8.6111870924696967787743861468324969E+609454566236', '-1.7916996015202103950544225763309574223619662319863E+68639274', '-4.80615561066337742063166368714944e+609385926962', 33, 3);
    T('-8.69506130E+8228871744233', '9.891814598990818376758340521219536538516528569724176166494E+359789541', '-8.7901579765628508540119948044085736171326739644972026441851759537694555336e+8228511954691', 74, 4);
    T('7.926671237449823833110714890491423163E+94', '1.8062319E-19118106620', '4.38851248139833198223922127080770922216576e+19118106714', 42, 1);
    T('-7.477E+182454544460', '-4.96995495042282163793116626714182625368232150E-3714512794', '1.50444019605527614131279464373096019967682545408481467e+186169057254', 54, 0);
    T('5.980165857248E+905444959789435', '0.00000348433', '1.71630294984918190871702737685580872075836674482612152121067751906e+905444959789441', 66, 4);
    T('9.7932901221057622136477933977968114257081603287787028079E+85636824802096', '9.0765196587309289004343057196639221460985457268111005E+96828', '1.07896974725167416617379912953649008515930455318674655e+85636824705268', 54, 0);
    T('1.94783084459745181404E-35207', '6.578E+5958653890778157', '2.9611292864053691304955913651565825478868957129826695044086348434174521131e-5958653890813365', 75, 6);
    T('-7.458640747216666359631215947572444468691484276237023E-208587', '-7.40064949735504832926952154917104460E+21208', '1.00783596762450968472725687487875613060815123073076566363079390134e-229795', 66, 6);
    T('4.9937233683749036943467973645857698962356E-8133738964166', '6.7410788732E+780', '7.407899332298386100934780803546e-8133738964947', 31, 1);
    T('7.8941277282019319018943944462766325377649279688E+20156', '3.357139889E+93939', '2.35144438099461392503635240869065630340938347737704295586e-73783', 57, 1);
    T('6.64357838029028421804668469800924530E+31904981', '8.28849242503662552522794061503976062720729E+778086033851937', '8.0154243252034187694430402143216318523259446399797602321862e-778086001946957', 59, 5);
    T('6.90581470523942101913165766063819739821E+804603181', '-6.7969E-15986034', '-1.01602417355550633658456909188574164666392032e+820589215', 45, 4);
    T('-1.1218119539215536482364426461299532199716201995677868E+5611229389257', '1.78019286734095694113149249E+71199', '-6.31e+5611229318057', 3, 3);
    T('2.769450381678574227200258577902335366434566E-882072', '-9906593.58415598820835024444243592679', '-2.795563e-882079', 7, 6);
    T('4.533792536122938252280E+43014472', '4.64524787547885795E-5030', '9.76006589455803741725343818091746588705648633790703782e+43019501', 54, 3);
    T('2.97888711444438207656972103114684871882231537534926544483074E+32935523030696', '-4.07664134029335032770691077594455473669374612100364230633838E+134522826203818', '-7.3e-101587303173123', 2, 1);
    T('-1.277791569824365826120193286787120183996166809E-61', '6.29545181484042521638468385559E+70998', '-2.0297059010319099934468849858809061238371907678863947094910348419974180300983882e-71060', 80, 4);
    T('5.863826344063882E+1772713399673227', '-1.83362107947011275E+76', '-3.197948807263076567117897482226558566090958659544796100386170439011506015168139e+1772713399673151', 79, 6);
    T('5.154344190536E+383703976439', '1.9921514244793260755658755857788E-6862', '2.5873255050795914896470753987e+383703983301', 29, 5);
    T('3.131437947729425376676607E+52604555', '5.0905244E+23002', '6.1515036598772129973026099236455874762136490299506274834867700467166e+52581552', 69, 1);
    T('-3.57403562369E+591975', '5.40186567220253992023949508379469278183492991326129775001', '-6.6162985912101250434528794008479521816886045364907147246977571646547000368792e+591974', 77, 3);
    T('90.90829', '-1.15664526515938535540619174953471708533798546E+6596', '-7.85965176518254852323929857836374047971795156479623e-6595', 51, 6);
    T('-5.26953757606892575068382928763164902711E+5484341453874', '-1.9753654411176548240630E+887452774846418', '2.6676266914376308569007571498895380924041674959392240559995133208117312611354e-881968433392544', 77, 1);
    T('5.38982617588241844E+84024231979973', '-5.14228023537236031E+1383383108039', '-1.04813933297669316014038766444537140355730642635936901177378816722e+82640848871934', 67, 5);
    T('-62446828.245276869583968', '3.06623185128032523E+2711', '-2.03659838114334983105e-2704', 21, 3);
    T('1.830172744120037E+294', '-2.090E+372760978536', '-8.756807388134148325358851674641148e-372760978243', 34, 6);
    T('1.3390407329798040707343013530627189509692814355175E+2182951269443', '5.260756439493910480E+7711447', '2.5453387709175545834914320210118239698e+2182943557995', 39, 1);
    T('6.556280245289765444755027297311987497594417145198E+551642774811', '5.11080828954036160035812228583E-49596638099', '1.2828264872911916166575213472024e+601239412910', 32, 2);
    T('-2.59350884098829283478851355367773614466430784E+2627', '3.762117737080145613847E+698993965842', '-6.893747145194787600350822154017680253306278872262683210247213045231560373e-698993963216', 73, 3);
    T('-5.563E+2858310303', '2.30521207834021793331107869209200084624661702934455795E+7297181437', '-2.41e-4438871134', 3, 6);
    T('-4.0357044103311471279952022150173E+22703719', '5.3629506E+7748023930', '-7.52515678651067031643961481766641669233350760307208498247214882e-7725320212', 64, 6);
    T('-9.684E+4493', '-8.2115425E+15704290903', '1.179315579259317e-15704286410', 16, 4);
    T('-9.154857920397658931146588171446672343427783E+7174', '9.182902842167073728932950706527238093013889960928225462052E+2852683396008532', '-9.969459633569643131267148070743221841125170743373539021e-2852683396001359', 55, 1);
    T('-7.2607919924773260822017802454696922842861827E+161664693168732', '5.1440233044314258697309610465E+7808314206', '-1.4115006023052e+161656884854526', 14, 2);
    T('-2.713721269343274648743347211480369242420726673899193E+837408230169592', '-1.7188225222974595149221179011E+40178642', '1.578825756667411124962274229305290313455555436700393319741039192687e+837408189990950', 67, 1);
    T('-8.21088281286238484542588468153716590139987E+74', '-5.6386403432504328988517995026005785507950305E+76', '1.456181333269638e-2', 16, 5);
    T('-67170230433998584254608573271590319061178.48557517591490', '-4E+48886', '1.679255760849964606365214331789757976529463e-48846', 43, 0);
    T('7.4521632458186135802513159738189E-887317', '-6.2012482617857189774558960479776568008014619E+31034395982', '-1.201719868520903177878534878890122771512335735535587784956542934201245e-31035283299', 70, 6);
    T('161.1006193178119', '6414243272.1274384919936124649938668110116784321993735133', '2.51160756589730956486277454420901637736754021233297990310164665459992e-8', 69, 2);
    T('1.4480180774E+45950', '4.6620705009086398447409922426900586788647006E+2732160854920', '3.105954912345878426907855395137869277812671297433557306940999352345391e-2732160808971', 70, 0);
    T('1.1101670001343675653763018668296834945019825639271431545E+691423402458831', '-9.687685184174802276226087E+69643667662422', '-1.14595693298112852605067187655916996864695737e+621779734796408', 45, 4);
    T('3.8287713841229519467213370169046237555194980589922110419917E+33335980798', '5.955087474102464509016722997708E+255043', '6.4294124994360633420634573387824849461770167433555948630820779116552e+33335725754', 68, 2);
    T('9.535304893906E+6773784410', '5.3677892692517693705490205249346208E-59904760425499', '1.77639330003637640511150702427582508298302327e+59911534209909', 45, 6);
    T('-3.6989114449E-69058410', '4.8655922542081E+6760', '-7.60218130013037176942259856589765880501928e-69065171', 42, 6);
    T('-6.16744989744198032159336887487124075782515014833E-33536899', '-3.20833587063792193E-8', '1.9223205256922461493302e-33536891', 23, 0);
    T('-6.630309527177450978815255017432576505942269085506847221823E+275', '9.421618685630986996832228684181704946320996066422E-6117', '-7.0373358850633682116945854100882374671673956533385991203e+6391', 56, 2);
    T('-2.79921737674178730923303390656483882638308E-687928877636819', '-1.5034758064727185992199E+84685', '1.861830675751935126388684499046e-687928877721504', 31, 0);
    T('5.5959375160083E+609', '3.9014856207793666602892318269314302790018991539684E+6903025956336336', '1.434309404141914297219036823933047057679318921758999129586898915734481079e-6903025956335727', 73, 6);
    T('8.75473747108422048915474475654645498301E+221327', '-5.861119506065896028820521010997078363401477E+506249185828984', '-1.49369714472185883784247534553603e-506249185607657', 33, 5);
    T('-1.55649694949541290308168016575001274818E-330934154876389', '6.3265131043E+8321', '-2.4602761803140724478174699633333576183484963053504885474737891945e-330934154884711', 65, 4);
    T('6.69318284419224001611760E+534805525988096', '-6.98550562E+91138376964', '-9.5815295388628432827996207381192e+534714387611131', 32, 3);
    T('5.060433431E+3567230259390', '-3.862601699211818032441413439887613241675343E+995287180439920', '-1.31011008254685051855e-991719950180530', 21, 4);
    T('2.0054497044913544017452640605841132130267765112E+3901288', '-2.585405E+6534658897', '-7.7568106524562086084975625118080657112784129033e-6530757610', 47, 0);
    T('-6.84131200347819309969876929127540276341388029951183525524718E+8541823234342198', '-7.2219379449E+38213', '9.472958720601306256315088e+8541823234303984', 25, 2);
    T('7.8835899509984173842878031555586177620422902693590E-7978042437908', '8.00550204714175926422975317530984166E+55', '9.848e-7978042437964', 4, 2);
    T('-8.4459822349530151601062104814434E+326540224834040', '9.0417933E+6786765398058664', '-9.3410476823806790187364828185614462122242940458e-6460225173224625', 47, 3);
    T('-5.053268347510937000285753571196104036339657041333', '5.138147138216355875050174810366563796306368551096403E+83', '-9.834806617206210456179162154e-84', 28, 5);
    T('9.5071138E+13607988', '0.00000932476145814148424345041663395190219095354065769516725554889', '1.019555711e+13607994', 10, 6);
    T('1.64923014817709794820119008390437E+458151', '8.749275583511431004576667631249711193658510035100015375715E-85', '1.884990514283465437126398348485398978005356317732489344939402004246e+458235', 67, 5);
    T('-8.22096936720495E+2735', '5.79141983407061626730102629053291200892274952569482114606E+691191466000', '-1.41950844572542e-691191463265', 17, 3);
    T('1.455E+21', '-1.0085078199766', '-1.44272555073867427015814808250243e+21', 33, 3);
    T('7832871061716921960575897417318724.6109046', '-1.55741E+33911090022', '-5.029421322398675981646385612856424840539485427729371199619881726712940073584e-33911089989', 76, 3);
    T('-3.9388364834852662301228046384193732412433E-70856513084113', '-3.3714172670100317601240232973514399088050246195515E+60', '1.168302874291930858742825867876478799923000036283088736e-70856513084173', 55, 1);
    T('-1.3995748750530061935136E+667271866059150', '-1.9144752619E-5014488413542', '7.310488168251458321513242845000169181867452575204e+672286354472691', 49, 4);
    T('-5.6049834696496486448185065704677229191779893107679626693147E+58839', '-1.2150975600147E-451017', '4.61278472946801137e+509856', 18, 2);
    T('7.313073816577457493754808754629831592465811137811E+7477584', '-3.725384482946031903917130070550360147254904655775333E+3683000', '-1.963038674277797745780384342e+3794584', 28, 0);
    T('9.15271810850738425211498767780110855240E+92133853716382', '9.74351362335758785459349751990111077382E+44189526909250', '9.393652497766388813687272097998668933927694946019727377332494599750353142537e+47944326807131', 76, 5);
    T('-5.9437928891145980202150777137463846740411506E+2178351', '-2.998815145002555722768934162333580762164351968899677583121E+43479844679220', '2e-43479842500869', 2, 5);
    T('-8.01272340916729032535412103197801E+583060909', '6.9797920295775452865845379186178972135584001E+82612327991', '-1.1479888476923951593741337272164716921586e-82029267082', 41, 2);
    T('5.972564217595897949969515438863366761071003221007499973084E-85695013', '-5.811514656493442955934658632900801102E+427183159', '-1.02771214917655033944904115e-512878172', 27, 0);
    T('9.03858556826431690054923353316822201590209E-19316801', '-58086739136441251490088313967583831.560184', '-1.5560497460588e-19316835', 15, 1);
    T('-5.311314315657559857767875301920611967437520E+8967800287', '-5.31128359E+97', '1.0000057849777815870245e+8967800190', 23, 1);
    T('-3.25716241443409E+156332', '9.2481892836048365805E+251', '-3.5219460962032623836887243721983228978329895e+156080', 44, 4);
    T('1.5596225719716696836E+1604472', '1.8171436769E-654112138', '8.58282474742088284015314452430902328282481888101e+655716609', 48, 2);
    T('1.729847446659392963981929762505939387E+64', '3.819764003804022650464744E+220', '4.5286762348059e-157', 14, 2);
    T('1.9510831879933603638E+74501828467', '9.85972E+412', '1.978842389026625871525e+74501828054', 22, 3);
    T('-3.9011874018834736960189514244960262793998355439E+6507362325', '7.02457226777334080316145538967E+968173639950', '-5.553629819969206164158481629587786639e-961666277626', 37, 0);
    T('-2.5572405735717119E-474', '4.017984597E+30431710935', '-6.364485756070487743584548141561728341289606989501e-30431711410', 49, 4);
    T('5.8456462429604153318871915769191223019018608376438E+28799123795491', '-1.50858419427848284274532693216671162234687351E+8579626802087347', '-3.8749221058598178633910841832e-8550827678291856', 29, 3);
    T('-9.7962287338E+62000421', '-8.2576501097015E+858642', '1.1863217e+61141779', 8, 0);
    T('-4.70375649515528272916414383E+66732', '-9.6621459402722574616699431586751554119849302310119336E-727909', '4.87e+794640', 3, 6);
    T('-9.9228353046633790348474950818997556481341795296654119E+5034664', '7.2857278741085648E-10', '-1.36195524676763663543237299396578686442974917400627157528582763640060285e+5034674', 72, 5);
    T('1.803864762578399E-6364156', '-9.1336464262975E+661453', '-1.974966709e-7025610', 10, 1);
    T('-3.43091264377137313856607136554087666E+347913', '-9.42708680100886611013349293840556917200822348839447030527E+147202449', '3.639419808253175740417023582166733065960421711527066856725e-146854537', 58, 2);
    T('4.6725916E+376658576', '4.709364896549445878979938955142116656666349014E+5752840208176', '9.921914531243077612055423e-5752463549601', 25, 1);
    T('4.84369785484041672E+9253999428617', '-8.2334932712478103144001269E-671', '-5.882919e+9253999429287', 7, 2);
    T('2.8E+959375', '2.301039E-77809586', '1.216841609377329110892948794001318534801018148e+78768961', 46, 1);
    T('1.403053796574867299163112E-5630085', '-4.5966494958872228271674953292116971410121752337681856E+22843745990', '-3.0523401834971902952439038112467143978e-22849376076', 38, 0);
    T('-9.6833895376648825651973874701437440002446033850589378590E-75895295', '-8.7046963504515234860173526517656824328043802000E+209151', '1.1124327774124588549927e-76104446', 23, 6);
    T('6.95531607640877994986935983373075015171006028481471E+313055278496571', '3E+367', '2.3184386921362599832897866112435834e+313055278496204', 35, 4);
    T('9.01248234798326769200334644532105391667446577247E+87362774', '-3.3284135489950155222100175123333433794949951980095182430E+524641725068', '-2.7077411551531826695049392762579748670530724e-524554362294', 44, 1);
    T('1.84630544747225726753753239277569740946032600255E-8941429060', '9.1865164914E-7766549107544860', '2.00979930662e+7766540166115799', 12, 3);
    T('5.302111596E+733055', '4.4457303154844441202006329493108653980E-939848', '1.19263005619859273485869133555643515107441e+1672903', 42, 6);
    T('-4.40096221876010988335032043700328E+9954822011305', '-5.095912762436226187546199309320730546443130756188E-9', '8.636258946976403619682281752548633746011202209875374855275322953452478693697966e+9954822011313', 79, 6);
    T('9.55447015743206173066626733248411673771977674651098061E+716619224681471', '3.185166262572591392387160784974317490126E+8372652478841', '2.999677056015003234531565980106744743857816187229954839794176323662687740453e+708246572202630', 76, 5);
    T('9.729862478699495335805301495251805974042790E+25376203527339', '9.256433160591231283221215079794722333683909787002E+739898285', '1e+25375463629054', 1, 4);
    T('-3.62421285006209771910486E+8083226774996228', '3.1E+25499772706', '-1.1691009193748702319693096774193548387096774193549e+8083201275223522', 50, 0);
    T('4.08949670900365773291102325002397275573616672159677974E+61579', '9.256870129121905549E+14365692822', '4.4177963522877920933e-14365631244', 20, 5);
    T('7.166002906588998562121E+54766', '-6.2243915275072556996892841791162270890529E-30', '-1.151277659016228271345386721484316e+54796', 34, 3);
    T('5.8622254853741977051213286997322847702022581658E+8077337754', '5.412694130764358319514814241009E-2599938', '1.08305131303e+8079937692', 12, 6);
    T('-4.92711120705244310050156977E+49791265', '-6.68890E+713687978004', '7.36610086419656909282777402861457040769035267383276771965495e-713638186740', 61, 1);
    T('8.07845762978046039534731415497217886031E+13537526747', '-7.5307348689042075896624252542751946538153842055E+4354130616', '-1.1e+9183396131', 2, 4);
    T('-1E+5654919', '-5.139962709860662789103029803009E+8552', '1.94554e+5646366', 7, 2);
    T('4.864434198332881E+88495', '1.581597969131511708829993354027495E-37', '3.1e+88532', 2, 2);
    T('-6.493608369539497910642336295974E-19491', '-4.22714814928432139293886348699248545345716734229E+8855275878274541', '1.53616768095504300145254616550098644135264859844356969657256466591973e-8855275878294032', 69, 5);
    T('-2.3629230077445198768782E+356540', '6.175472836476096154110214515662495800927405575771768303381E+50881441518582', '-3.826303e-50881441162043', 7, 6);
    T('3.69151449385628000105359795530523347559834347932E+757796', '9.251675357164006793018968222500735397643065667758019E-50', '3.990103793468895266550188626401129758173364446034718323596835309924314e+757845', 70, 6);
    T('-3.9856795530580786193172456E+75', '-1.32107355893746433635594326073443544022822394E-4430756431957474', '3.017000473e+4430756431957549', 10, 1);
    T('-2.52667168375700530800347995775699574E+807576365', '-4.8986E+5955407934921532', '5.15794652300045994366447547821213354836075613440574858122728942963295635488e-5955407127345168', 75, 4);
    T('-9.38754191290236678987328495355756894964696248474703164183E-381360148', '7.63367676473353519385607530E+6577868', '-1.229753656360121355e-387938016', 20, 0);
    T('-9.39981581486791734872E+3313928641921447', '1.27575349860959807933127360361472918E+4219139731031', '-7.36805019552168071038561126188101499298e+3309709502190416', 39, 4);
    T('-8.05305604339757149431E-98219', '-5.00767409534448940151127603222902E+647807578418', '1.6081430001373887880074038736636468255890665e-647807676637', 44, 4);
    T('4.489438997162405170058892588E+408', '-3.02945676889308361003551561250029E-62780538340722', '-1.48192e+62780538341130', 6, 1);
    T('-7787268411.99681334004914538876478171267452614391', '8.847344226240241356592943766281961563567E-97172763739', '-8.801814660834196133592709765809979348243545e+97172763747', 43, 6);
    T('-9.041577480174E+396', '3.79158078298096928E-74315117006', '-2.38464587666399234621765593340992815e+74315117402', 36, 1);
    T('-2.7796427564666894435261391930E-42367', '7.51879287009525954851750569038847E+79804690846', '-3.696926893041904856800237273218413890032e-79804733214', 40, 1);
    T('-9.05280E+3688294599694', '6.2257803249947189E-2650', '-1.45408e+3688294602344', 6, 4);
    T('5.076949274313816210935134565969171119710305732E-7', '8.80342874295774686E-431156', '5.767013538191120284480097871319668e+431148', 34, 3);
    T('-5E+2335', '-7.63777058104615892443034076E+8627564543', '6.546412918460744300380153562542716624209507e-8627562209', 43, 0);
    T('6.3288245448614728523286503080094488706E+7409179614158', '-7.4E+419972', '-8.55246560116415250314682474055330928e+7409179194185', 36, 4);
    T('-6.839222989667684982481611201591975262591564443E+65850871327', '-7.792850212712277861948362271782113535689977635756137306E+754', '8.7762792854802147940338936035528684275277846595e+65850870572', 47, 1);
    T('3.94447538803265731470298425539676521925241777112258E+4362667466', '-2.8201574355478978627727831526215850295821090946578529E-8322308712', '-1.39867205224531299493134672034195433205528500092864e+12684976178', 51, 6);
    T('8.97315E+685', '-7.195300672050024844269110459158531427E-5463090422524589', '-1.247084786165502268781589261070414602805456667765713914266238022034775789e+5463090422525274', 73, 6);
    T('-8.45238026527214856080148648664905144746541004053202400E+9365141678773', '-8.40655466835494E-51767', '1.005451174556648195808098654480661602597460680821457462500763920359e+9365141730540', 69, 3);
    T('1.834255552644913598138173350727979725385601248004E+6790479149', '-3.236823814926893919699538877265189898051165463846E+9954028', '-5.6668377938461924842790188160506905106362084111513585834594e+6780525120', 59, 0);
    T('30704133865354457175993245264769308.546145810644328712', '-4.8982890113200893971702458488634578170410834648E-78853496', '-6.26833855544e+78853529', 12, 1);
    T('5.9135878495322838145548141E-8036444366055', '7.002758794288957401399829296360348233805890849649062354996E+43416806476360', '8.44465449010618781686508799829374614808488448316557e-51453250842416', 51, 3);
    T('8.78529265529973545501213869603240426293098824852954521934E+61501781683950', '-5.6471105981526571813321839889380250544E+1843485333', '-1.555714644259611e+61499938198617', 16, 0);
    T('-9.471565468905927191444298235041719792693E+917596244922716', '-9.823607E+5415641774', '9.6416371999673e+917590829280941', 14, 3);
    T('397530.543788813965272524955771763211043904785', '6.8021766930097094323018996763896756060831930287953E+8462175', '5.844166679723833070167308459216795918057535537472556037100179412288374544637e-8462171', 76, 1);
    T('1.63223097724036815220E+20345', '1.69650122334220620609534926756804892287832219850E+51250575238', '9.6211600368007874094943765331552745529560614946e-51250554894', 47, 6);
    T('8.0262401283315772562691218949115743E-91', '-2.12790691E+6825668437', '-4e-6825668528', 1, 5);
    T('-0.00877395995274739623012434', '-3.14787003984224E+6176653958', '2.79e-6176653961', 3, 2);
    T('-6.99864576401E+725257284', '3.95719293822911453014842813E+1159973743895', '-1.768588459864675591410896405080496124e-1159248486611', 37, 6);
    T('-3.483118709588065660E+4542002393827', '6.0490192793347227739801102506551726E-91', '-5.758154419324552987551794950360556001000294230354146e+4542002393917', 52, 3);
    T('6.12979453949446609007341039512351737682401912221181E+6759696', '2.98769768187065092059323164763E+839049347', '2.05167831293e-832289651', 12, 3);
    T('-7.3027555472065E-5331568986', '1.1282029650992726101366964347362546415629844127205526694553E-12791922783915', '-6.4729093727952730485727154733842857364202e+12786591214929', 41, 4);
    T('4.319682953124335160058622607887965527793691206917705533558E-218337749363033', '9.2785369346431507554076790477546098787783833760040243011E-7993989324346', '4.6555647550380405e-210343760038688', 17, 1);
    T('4.28790059479885E+415181078', '5.7349E+421998794666', '7.48e-421583613589', 3, 2);
    T('2.4114226306741510853821378613346835840433220E+889007587', '7.0824054811208019978137712141436413E+548906422449511', '3.4048073597341387975516369674049962209755888099532971978354821e-548905533441925', 63, 6);
    T('7.114139875969752750E+26', '6.5264458305235848183063288369551350457359674349328380E-5645', '1.090048099793853665330165794769871867231856152186277956005354332084529964e+5671', 73, 1);
    T('-9.458586381457181416485158820030635304506870993E+33720568', '-9.6108447721387974286740417673153886329010825469080930E-40208136911179', '9.8415764750222551e+40208170631746', 17, 0);
    T('6E-847', '-9.150587781477255981E+619271948717', '-6.5569558407442213255406545649964050708449799020009537262691880586674843224e-619271949565', 74, 4);
    T('-7.5633549570817162773E-61', '9.684136092716723233847137744383425561646491708E+9420745177566', '-7.8100461256115442514535436005719626912448253646646675582547955373088894032001921e-9420745177628', 80, 6);
    T('4.476029475925282443536882E+36027989', '2E+210946248', '2.238014737962641221768441e-174918259', 41, 3);
    T('-4.5247032079752673630264838347251679291E-291331910680315', '-1.7109934037987552936147088144510004659E+31817858703', '2.644488983960721786711689919548779502e-291363728539018', 37, 3);
    T('-8.0558064525948456315032228629394219310557126027787575', '6.84630580778556422711065891E+7260', '-1.1766647121479509345464345605336131110325744639701002073807620108255013e-7260', 71, 2);
    T('-2.67463943439316955E+831713752', '7.762100866081151953570086246270833030685697561528573E+94', '-3.445767428868150544540885e+831713657', 25, 2);
    T('-5.852178578375913945349537771906449163E-7003770685149', '-2.629551265312110114479027382752864388486404503925755099E+11308379', '2.2255426831092032593e-7003781993528', 20, 5);
    T('6.158057975376577032739544004499969439188797775655076963562E+38179501825173', '-9.2092736909054171E+38389586', '-6.68680091618728147860961319651618111e+38179463435586', 36, 2);
    T('-7.357957907261203834706881000E+3677840531416', '-5.0622477686188325530978E+58328', '1.453496202393255333222936424941641489881233315889089090241723410474387116e+3677840473088', 73, 1);
    T('3E-286772780737', '7.393794E+2804885', '4.05745683474546356038591283446631053015542494e-286775585623', 45, 1);
    T('1.57033169318185E+676', '6.48004765446368619271437203898508680175792093098856155339836E+11589641503217', '2.42333355696875152784056e-11589641502542', 24, 1);
    T('-9.57861310431398174388731305088279804317E+57162256820200', '8.77209238711392402685046756419588E+3079747461575610', '-1.091941657885959444026449346619301677563076171954007312763196e-3022585204755410', 63, 6);
    T('-9.9023642371465162960323237500059246E+197581', '-4.8049370886340133887369030926936314786037198E-361212650278498', '2.0608728177878476599672974e+361212650476079', 26, 3);
    T('7.9915062E-257068476186', '-3.4084015498885329145058622138573247454097951542E-4084812550891736', '-2.3446e+4084555482415550', 5, 4);
    T('2.45371467318287765594825896348117354709E+7487553808', '5.826143253167966655606404001774468595682247063184E+4817653462366', '4.211559116485283418038518820541335152536883671217794301684798951897127e-4810165908559', 70, 5);
    T('-6.6282463371E+26037', '-2.7E+6642663706518', '2.454906050777777777777777e-6642663680481', 25, 1);
    T('5.411079054468E+65324964255114', '-3.5E-499418', '-1.546022586990857142857142857142857142858e+65324964754532', 40, 0);
    T('-8.14199581017405871973790632715681245675791594690823293582E+142718', '476637903.28282950522640802405247457953538', '-1.7082140874857628072214228988742e+142710', 32, 2);
    T('4.3280174713990388507552927517731009374025738E-325162620319207', '-7.406487644900138223093398991188301475646859301817001555E-723', '-5.844e-325162620318485', 4, 3);
    T('3.462104846541648901030607006349268073063053E+770028', '8.70897964869951268200E-194920', '3.9753277492830463e+964947', 18, 6);
    T('5.0559673172173842034553024787638241E+570193383172', '-9.22896098229256309140059552453912848409166020312450E+56303506542417', '-5.4783711047410161050251e-55733313159246', 24, 6);
    T('-7.0952368445719256211675909991477513878066573965856E-9707959656295', '8.7312611802E+5971064162892', '-8.1262451072496730867723252981561878805732090572671837298705756107075799189251242e-15679023819188', 80, 0);
    T('3.7367637501690512837184624210508190889573E+769653820893726', '4.10E+4613142812683', '9.1140579272415884968742985879288270462373170731707317073170731707317e+765040678081042', 68, 3);
    T('3.039760694555789627400417930891E+918089', '6.717390457210862180538245255481853488527377075122889737E+71260713', '4.5252106662e-70342625', 11, 0);
    T('-1.4136724E+4985535232636134', '1.20389836369039108117306290285470E+6496698110297', '-1.1742456362068425585660563506625138217341832292930057e+4979038534525837', 53, 1);
    T('7.66624007171245730561923470922908325388460E+87830884', '6.8526037294789860469635010580474411062879164720E-7724', '1e+87838608', 1, 1);
    T('4.15493357454954902097806615935E+830469', '-4.09007322076752501153869044639831831043045855E+2001722', '-1.01585799331236730352209208674837046873010568e-1171253', 45, 6);
    T('-7.259622657621490641392606279781112995763245E-30', '4.7334000614037831598755E-940542345975', '-1.53370147535522411304755285897823464665992435201706533152698e+940542345945', 60, 0);
    T('5.0137800764639834473995486632644917674485469408691840E-83', '1.70723773534373823E+42', '2.9367790862790999651732472719991619e-125', 35, 6);
    T('9.083168147968265844491478487813E+35599874493597', '5.0402141860525768630538532949071700E+739421281700821', '1.802139316440849962809e-703821407207224', 23, 0);
    T('-1.4720001368275621812590940786298428225893122394E-9247777841', '2.13074209E+2438025974379', '-6.9083918872019005418862968940076779662681382494302724362102407242e-2447273752221', 65, 3);
    T('326059132.50732573895269013246215837233096', '-7.8868788598406202536176423523991367676016086240E-10583607810643', '-4.134197295302628904799607279215243495363978e+10583607810650', 44, 0);
    T('-9.5009329093088212968233696E+708219134', '-2.4691796738689E-7168532', '3.8478094607113103576935658785491956e+715387666', 35, 3);
    T('4.3832529011247406771093E+9996160', '5.847732633415402947910818151E-105486402313150', '7.495645194306149061737493e+105486412309309', 25, 2);
    T('-9.622182000693158924383830647E+719893', '4.59141871522697667165625288330820416071397039822558196939105E+9927595341', '-2.09568819519382182790302046066485255534483116067208657301e-9926875448', 57, 5);
    T('-1.2E+827', '2.88032518900794210096700021448960207844345E+990607776735', '-4.166196249574e-990607775909', 13, 1);
    T('-4.4958737530432416968276820637996798587965663256426217668E+3940371', '77906138163380264.23422347818391941709373574638995323', '-5.77088514336926097008869454062947124948040384538019068435152506156878966741e+3940354', 75, 0);
    T('-1.717620124391234034976148701795753239988289648095392647020E+3623380', '-3.193102490382717952858233861192592E+3949227518', '5.3791575108049977434718060959421557014619180998010505353662773804489194732e-3945604139', 74, 0);
    T('5.62956105032164E+42846497872', '3.635300049063125635803956327298231727863050327712956E+479', '1.548582228246184793052622151759857362629870539760588e+42846497393', 52, 5);
    T('-6.611180265702209590701329815828785165171427868103E+69500293173', '5.27781925811044188834E+33325063934', '-1.25263483692488853962017908245108526998681875953003637497587197818337574772e+36175229239', 75, 4);
    T('5.4430530602489449939021362541904046739278E-9104318684', '-8.8720827968805984867142006316E-992432406', '-6.1350341119029101747958552331e-8111886279', 29, 0);
    T('-1.6E+451715', '-1.596257627820272495524099653786347789213077083491669E+170722426773678', '1.00234446627818956900195765855578199963214896217987e-170722426321963', 51, 4);
    T('1.84973395501173690571E+91509', '7.87350670201875426341103098260632665604405404512929532614690E-208607029670095', '2.3493140032985151834378e+208607029761603', 23, 1);
    T('8.6484288513472952732437210259983E+8490601581334869', '3.352664E+880', '2.5795692175974971763480387e+8490601581333989', 26, 1);
    T('-3.5526781684014927038815370079432555956652147797474790706839E+81', '-1.55399397E+90553974944327', '2.2861595585e-90553974944246', 11, 3);
    T('-724946.807359280014466529854452922167176488751079853', '-7.403193277827803206763591111541938587517952643116E+70442141657854', '9.792352842258755520272852894288812223857406067077488337285217085e-70442141657850', 64, 0);
    T('9.8949208140262479938424580929758810693935661979525E+287640334', '5.324E-844689064', '1.858550115331752064959139386359106136249730690825037566e+1132329398', 55, 6);
    T('-9.780901216794719045108196842031254979483168526917639E+89281236571015', '-0.00009292014409125151521109161588', '1.05261365148007734277343567167508439382117693e+89281236571020', 45, 0);
    T('8.1203943226537431425340281E+7702954787757', '-6.72825010522554667417328901299046674764975354490576E+7355486633253', '-1.2069102954937684409042798426937677621827018291088470246803909258033754e+347468154504', 71, 2);
    T('-2.400710213744004281318738697272840494631236E-966391', '2.443034187821286047947184787825844520629390336450432650651E+365', '-9.826756521509e-966757', 13, 0);
    T('4.34933047436978997388351E+6885', '-6.3791820460106619306746142583107646152047820964570595318E+95343637', '-6.8180065140008400735400104955076685779101e-95336753', 41, 4);
    T('7E-4685', '-1.618951570697811986220123626600749975069E+8454447304', '-4.3237859159572083e-8454451989', 17, 0);
    T('3.02341416961E+7324', '2.71008E+6', '1e+7318', 1, 6);
    T('-4.7300490363022415722363702898444074301093300888E+8864369400536', '5.788E+33161882909781', '-8.172164886493160975e-24297513509246', 19, 0);
    T('7.93985433048954836591086925721055710535920595299034E-54354', '-3.01573594912189E+7712263576', '-2.63280819821159858934017618302957167501329257176387154857e-7712317930', 57, 5);
    T('3.29340704927421340640448883234713859171841683937E+89', '-7973220864720611651399752.55928862686163711057169671', '-4.13058550007897862561770153676433248000925513e+64', 45, 5);
    T('-5.779281161307844701752E-423347707278183', '4.49023916505634093346993828634161639332094958931164999156341E+14742157584852', '-1.2870764671697236002671736069178e-438089864863035', 32, 6);
    T('2.37905624070053028035217941692500997265519091097627E-729059', '5.5143E+28626963845486', '4.31433951852552505368257e-28626964574546', 24, 2);
    T('8.24188679263732E-79', '5.430190039334293516299951500343144298852059E+3954884', '1.5e-3954963', 2, 5);
    T('-2.137968713638557343022E+30659541594', '-1.9436320785487511E-6154207930789', '1.099986328294659189e+6184867472383', 19, 4);
    T('-6.3413078602E-672782817468', '-1.50877840305E+485904050983929', '4.202941828555490602798763331622305726640815863e-486576833801397', 46, 3);
    T('2.592922449568956465480631321845088527402383922512591597E-380603259030', '-6.043428845642001164307084781290318424E+165235464', '-4.29048230035627565e-380768494495', 18, 6);
    T('9.8E+69258', '-6.2262587339248887223804891473E-4923199982673', '-1.5739789203752391905748198478058960338947e+4923200051931', 41, 4);
    T('6.4640610452725750371443230633151832658299223E+473991518', '-1.9588603504035074490774732046602939836216843683987312967652E+8425', '-3.3e+473983093', 4, 6);
    T('8.01936535351905358560378413945230E+7527810', '-8.48576620136817256E+27060161', '-9.4503727338446816033912606174356152164e-19532352', 38, 4);
    T('-5.214742300716647763990006965785940273380738462104320170E-4886042194839', '-2.778218806672132448121123430E-41', '1.8770092147504702210031278266280023e-4886042194798', 35, 0);
    T('3.40120768801158090816151346151864981E+199567', '-47039120827102589573834691105.6169246567838295390455885890393', '-7.230593659e+199538', 10, 2);
    T('-2.550752320163E-417756824811', '-2.9434587039742793E-3872910574601854', '8.66583e+3872492817777042', 6, 3);
    T('1.99598859306715E+800889516', '-2.9356326010215E+9099', '-6.79917709175396832722641155904121673551363243e+800880416', 45, 0);
    T('-6.987E+653', '9.73136733218E+249024', '-7.17987489475930333927952945954313552545713681887121218502e-248372', 57, 2);
    T('-4.794477920883948975358E-5714035889', '-2.646468601665729387316159745573832190493999605369E+60931', '1.811651163314852249922384532685955e-5714096820', 34, 4);
    T('-2.54684831787537149401694567120E+369483', '-6.739230968308629393E+13484858197195', '3.7791379014192829e-13484857827713', 17, 2);
    T('-7.52435E+6803491813723807', '2.0871626628318018787592574575332E+29908035556239', '-3.60506161e+6773583778167568', 9, 1);
    T('0.29083753827514', '-8.5324876053983450175201127256636496196243237704054E+38301713', '-3.4085902227520675159538005244071129381967767744324432926019e-38301715', 59, 1);
    T('-6.5992420177226105206853102389E+4002804', '-3.91672999059746068957724E-95307393267', '1.6848856146746938763e+95311396071', 20, 3);

    /*
    T('-8.852905136400180656E+303250', '-4.093544521146966339262194589768545432179637217868E-925550130', '3e+925853380', 1, 2);
    T('-4.12787272948822449339055503960876472464910676277510298670E+602724068567923', '-4.90848289701845525784550293987974548491210589642945E+7423', '8.409671208176370729108960618024435e+602724068560499', 34, 5);
    T('-4.84725994601536426418730778606464680508E+26570938', '8.278590106111074E+72113080', '-5.855175680744506334942591801271028481219217617159442514183e-45542143', 59, 1);
    T('5.3553006170017719452316228496528037332395139606471762E-214734915632', '-7.306576815477382445240148806160824E+5320', '-7.32942491709351592756643e-214734920953', 24, 3);
    T('-1.768938146330968544302832124E+1889727', '3.9241313141E+770629910450', '-4.5078464626678139743724029319174714311836744148469728193e-770628020724', 56, 5);
    T('-7.07946044941115417034908562421466624739867884948E-742905601919', '-9.95155809782455454511923211923547280710896622078E+85', '7.11392163902328924748799019940897e-742905602005', 33, 4);
    T('4.7650952087E+522909239624571', '-6.870418049454669630564224022041117839327121839628084015E-73391849170', '-6.935669962e+522982631473740', 10, 3);
    T('4E+2', '-8.753694312792178498620737503134412233124837E+6123448', '-4.56949929603392e-6123447', 15, 6);
    T('8.79955100932857378283212862780585612530404653252836E+375170380', '7.4686600875635E-43', '1.17819674562e+375170423', 12, 6);
    T('11.00738244578849987494223418508', '7.3474890264171852144305779224317', '1.49811485341625177252e+0', 21, 2);
    T('-8.559693532751584255483644621E+85', '2.20530088763830629317043890E+571657088934074', '-3.8814175338759799e-571657088933989', 18, 6);
    T('-9.75353924433562233710327676297295120612883184020210324895E+2690', '2.7367126261330118017042537300888074764979148916E+8656', '-3.564e-5966', 5, 0);
    T('-9.091639367305187921911985526837202798489136926423E-430585', '6.0831549987968893452358004690798322E+3574947', '-1.4945598737995840694940869558812758406217887515594955038864018225328770444134e-4005532', 77, 4);
    T('2.0023296898E+237932329', '2.228005712943569774010783730917E+80070', '8.9870940553136471012844710792675848533227638750483267741580137e+237852258', 62, 5);
    T('-4.97448004974014E+8617', '-3.2662483204002483259915517934E+10919752279', '1.52299505786827738118662558594933755022563014768583077965457857675279829206e-10919743662', 75, 2);
    T('2.842093009110618119101248399338785929E+514467016', '1.07257502899762E+1509', '2.6497848003852e+514465507', 15, 1);
    T('-1.3081195715847458271647172568999894406247188142487570E+5918', '-2.017398170024840680321622118698E+252878753', '6.48419132633910664634207926187018372935240730542160836104432042414394710554e-252872836', 75, 3);
    T('-2.90617887363E+83', '-1.35318955712172545535501439572505932E-5405733406711', '2.1476509764171762721872512461546624e+5405733406794', 35, 6);
    T('3.661161875540609083492259154011E-556414', '-2.1544246876461649896761532869780671902204415658467887146960E+59865888', '-1.6993686976083822263340788e-60422302', 26, 5);
    T('-7.3251672391486372005711129879316087526333', '-1.83247883E+389', '3.997408930038573597366531643878e-389', 31, 4);
    T('9.72279214053284845507032911952040407615601140820145326927681E+2970658208462', '9.034748793329305586483416491314612213814764699245383812196E+71', '1.076155227216892971871307218786993e+2970658208391', 35, 6);
    T('2.4730470824189827482516686623163440862628475E+136578802283995', '-3.0661046514862365695495588E+665876603040496', '-8.06576214292039798e-529297800756502', 18, 0);
    T('1.866123937262970065684051E+351856596123', '-6.8151059767478360640804E+62', '-2.7382170484654490128090502226948161249329540283618e+351856596060', 50, 0);
    T('-4.1133312578206743013961E+567088740', '9.9740E+16286236068097', '-4.124053797694680471e-16285668979358', 19, 0);
    T('5.32657122812108613894052471389254381162250802E+177853984458145', '-8.6666045717896820E+2293007856102', '-6.146087760204723261597539069751630677986943427021843586160144021320421352469e+175560976602042', 76, 1);
    T('-6.968381402927634025033335375009039146756663859070709E-87', '2.5708505567142738150448091333932568621656859588218381E+774365942', '-2.710535384769199153301655337317176239547e-774366029', 40, 3);
    T('6.7274253211615037863217E+692583377948797', '7.34908218973634121580264235651692555402461969569210337220E+7094459189314023', '9.154102713066622739044626e-6401875811365227', 26, 1);
    T('-2.3371601130721414097659900404594440525274266537229244046216E+8006595', '-4.53E+868671402092878', '5.15929384784137176548783673390605751109807208327356380711169977924944812362031e-868671394086284', 79, 0);
    T('-4.36538400732187E+1962306', '-7.23248497264747695779406E+628999058020', '6.035801005921e-628997095715', 13, 3);
    T('-2.343782236906131E-4697616438112841', '4.2323254945510502534916128644321E+901524', '-5.5378118718e-4697616439014366', 11, 5);
    T('4.440203657E+3677', '6.588750471051025152438505031026926691419118021239820E+966', '6.7390678650055281528804253121217e+2710', 32, 6);
    T('-5.7356E+39344', '7.89760938584038927758E-8264259323416', '-7.26245085035903105e+8264259362759', 18, 0);
    T('-0.8282701087356330137335709023633247993643148', '9.7868E+4142682875114124', '-8.46313512829150502445713514492300649206e-4142682875114126', 39, 0);
    T('-7.0470472182040E+42', '-4.13430938707598033E+105', '1.7045283e-63', 8, 4);
    T('-4.156495533784889191308002531E-67672162', '8.17900053020807119173844075055157', '-5.0819113147546760911519287525209189245375061521608998926666436636558841e-67672163', 71, 1);
    T('-4.92613253304198349549780E+9802016845872', '-4.1557222110019015997829072582053477E+779386304197235', '1.1853854235012363695340868924578347986908e-769584287351363', 42, 6);
    T('-4.69573027871462339E+606', '3.38667523523350573723913100112987694338378131E+42150443', '-1.38653102307014107340383352533549660387315420148895335225822e-42149837', 60, 2);
    T('6.60081E-979949', '6.7676408258434639E+48538', '9.7534874705430729503134653384e-1028488', 29, 6);
    T('6.6313799702757546123412281950767038610182514747E+243276524767396', '5.3683736E+87346843', '1.2352679720866957941118755585633428830322560774645043333049696839e+243276437420553', 65, 5);
    T('-9.072622048465653996171751162E+20762228', '-6.4132039635687481E+70141770', '1.4146785444536248038713729143695e-49379542', 32, 4);
    T('-2.5588290193920659817129590118403203960605270741406E+23681', '-7.76791E+6867851858', '3.29410229957873608436884440195666581623696344852167442722688599637e-6867828178', 66, 2);
    T('5.593191916204675117E-81', '1.4264501476006994087304E-233732057449671', '3.9210567054253306985376430709e+233732057449590', 29, 6);
    T('9.05475018449283115920158545398368565141356203165567560828E+480610134650723', '-5.8667511293334458503267928178337391E+3741615173', '-1.543401106486272849849049271576402524346321139e+480606393035550', 46, 4);
    T('-7.8050106358692854549524973223356284330594253425024534655E+67943218125', '9.342418025777319730036737952950048488699784141831472286113E+4283329', '-8.3543795774647785011467215641414593015e+67938934795', 38, 6);
    T('4.19813241750045387592569065951380E+77510', '385.36257053495914104376294422470492463160067051975726', '1.0893980730076144400886808791907580926731103430697180636661011508017588252696e+77508', 77, 0);
    T('2.8906565925561E+6935635440', '-1E-748283033679', '-2.8906565925561e+755218669119', 14, 1);
    T('2.6265701123765492130932431400343227786E+883221', '8.43869094444209699659268265097915313E+840964412061245', '3.11253265425778470039065979448447891332086263749516e-840964411178025', 51, 4);
    T('-8.67643713795988262E-47359232106241', '3344865038671776731208270833.436123', '-2.5939573159595213698995687e-47359232106268', 26, 4);
    T('4.5998750356894806752038526991583E-2091866122915968', '-44744046112955039314676804636976291046406333112500538709.74', '-1.028041814564e-2091866122916023', 13, 6);
    T('-2.8687273164778531755007311832339E-9', '3.1517757189E+310166732337936', '-9.1019398978016956240113e-310166732337946', 23, 6);
    T('-7.2765452E+9290153526', '-5.351468729E+44657407331', '1.359728621895493e-35367253805', 16, 3);
    T('5.061735616178066670396488015379593500344109363207826982E-431058423657', '-6.272712325687996E-6996', '-8.0694528193956217244558509e-431058416662', 26, 5);
    T('-3.192343796262308588438454E-21997110346560', '-7.986574520803E+9920', '3.9971376814265779024120340824620687e-21997110356481', 35, 6);
    T('-2.917176570731E+710181590236483', '6.299345233884495622005022773455062292900413031522099E+108629238', '-4.6309202979372525002584351e+710181481607244', 26, 1);
    T('-8.36126513122676450630702180947E+25849393551020', '-1.7460807614558925931331959470184707224443386E+44565325885578', '4.788590147602961720316574782259937491962734399763229857421509e-18715932334558', 61, 2);
    T('4.754432123719697157227604542250496331182930754282E+886212188', '-6E+55673555', '-7.92405353953282859537934090375082e+830538632', 33, 2);
    T('5.01665136E+802473', '3.770987782956812811998880833641662039804174335879859276615E+379875486009', '1.330328192171036034814563e-379874683536', 25, 2);
    T('8.70990713490389533789467060E+60699509850963', '6.15712986272892448715908890418576002235755934935748543423257E+19505', '1.4146050723451113e+60699509831458', 17, 5);
    T('8.8365125400948493708341944214380407462875589733318529365321E+132219618077', '-9.74191045437363408428836532318333695860E+4615297472624', '-9.070615647188271982968181368576963542526515100585832621020463724e-4483077854548', 64, 4);
    T('15.2808093846247242124681594611895416647006', '-7.39937337981276190', '-2.0651491146958985882288996734804864252780424854496060917383874e+0', 62, 5);
    T('-904.5947403732958390556805242739455084411416000', '1.5279553E+618817934329', '-5.920295838322599090795918730567219528222727458061109510206221347e-618817934327', 64, 4);
    T('-1.574335385401389817616934146674192504623153749452594353311E-927759', '-4.380230727788105E+8942003292', '3.594183693141629348851868749690413973e-8942931052', 37, 3);
    T('4.345E+64204325247', '6.02285970634E+1067006', '7.2141809901801452426756477759952457634352900267e+64203258240', 47, 1);
    T('4.784098061816581299571049248581028E+929767974', '-6.338481437430014729489720843865945880280622E-828', '-7.547703829446458182507815027910856153416e+929768801', 40, 0);
    T('5.7878036319100733031509627902231178713727974321480', '5.2875138179E-596', '1.094617211649911006306509455794e+596', 31, 0);
    T('-2.789E+500497042504852', '7.3608484831544880251474976948798862450163543523846950316E+211272555', '-3.788965370476930957167585807816818577194312253058939040031280294e+500496831232296', 64, 3);
    T('6.19070954327572737365E-3144805018034', '-4.862995483614623542669E+58119693', '-1.273023913786205115801948398121577091864591942255931156004446e-3144863137727', 61, 0);
    T('3.761605231324360947363935715324E+84261', '-9.4216846510035545827277643123324473654575804384296E+8258457082284452', '-3.9924974892082511296761905515617227982343712230508273202316280137e-8258457082200192', 65, 0);
    T('-9.544928906071360228892419591326E+10955836', '-8.25104589340344026553106552587367038960E+54', '1.156814424423739502079235301336281721371756247852681932253333331e+10955782', 66, 0);
    T('-9.20243289544078000095696427497837884366616527347038903E-433706', '5.1628513084843E+804', '-1.78243229285299960095777e-434510', 24, 3);
    T('9.93139758252446318782704305304729468682175720282625728E+5852887', '7.1365091E+2353513459145499', '1.39163244148661748190400864941758354751089e-2353513453292612', 42, 1);
    T('5.08337200960827515121287137497149821155646879338360952962E+561757881646860', '-168.494488229917678534264625438337921748368178', '-3.0169366743153072086122302229976315691e+561757881646858', 38, 3);
    T('-6.40369630275398285237633712600529517802316899124475666699E-89643', '7.5302493691713788109801961E-169664728059570', '-8.50396313430273459423162257387393923e+169664727969926', 37, 0);
    T('-5.40767724502117489148616432358085730614416536879022901845111E+62428999', '8.707332943734485696264017559195738728984337626767136E+332821586', '-6.210486356689006593672725318112922498032174853214792430875276409279897082e-270392588', 73, 5);
    T('-2.4015435046463E-3733536512740', '-1.57420974187E+3305684', '1.52555497578963791398811768299834044527834224131372736185924617219253748106015e-3733539818424', 78, 1);
    T('5.355887986762052707731704105107493821665159040E+51538800207', '2.77133E-8488012765', '1.932605639444617821671076380332726099621899607769554690347233999559778157058e+60026812972', 76, 6);
    T('-5.0394071394978549414193153125459733156761E+18562', '-6.29E+41028754988', '8.0117760564353814e-41028736427', 17, 1);
    T('-2.48905257057580520E-78602256', '7904555.572871987693782642184967867693597', '-3.148883637579e-78602263', 13, 1);
    T('1.30537586258212200539052833603971324970101118308126432712803E+72104499', '-7.421271521014543505908554922418956515640E-54855721528', '-1.7589652378109827323452051632322101545296903718619781384e+54927826026', 56, 3);
    T('-8.56890470E+984397', '-8.8909025145365058256556767822964E+372629', '9.637834501041886650865797011805182478614416549113133971724556521413798108e+611767', 73, 4);
    T('3.800720432662599849461570436462E+44955484448', '-4.46436E-8142167871', '-8.5134721049883966558735640415692282880412869929844367389726634948794452e+53097652318', 72, 2);
    T('-1.45616797207861663981059452762422828338E-69554023669145', '-9.40E+4837828161034', '1.549114863913421957245313327259817322744680851063829787234043e-74391851830180', 61, 4);
    T('-7.54929801799E+269', '-5.4267216317968E+434', '1.391e-165', 4, 4);
    T('-7.949277557913068412078785288488902E+374815028', '-7.45276259924117772012920426978841297E-31878117948', '1.066621598643494245385043451423714715087673128661849e+32252932976', 52, 0);
    T('8.04928183744370262869322814E+58220681', '4.0533638668225573170701817026683970025961465455761399335399E+6180', '1.98582759947321383811502650569488887686311278244686525781e+58214501', 57, 0);
    T('1.686842994862320709387133743219764695540195004828074740', '4.89E+6616', '3.4495766766100628003826865914514615e-6617', 35, 1);
    T('6.0590822352670350651920934468198998713E+2167263676039968', '-6.67939893861E-44728', '-9.0712986167703670248556443662202252560836129824e+2167263676084695', 47, 4);
    T('-5.381823491210887303424066217601094239408360875591E-499420195020535', '-5.44020E+1460498', '9.89269418626316551491501455387870710526885e-499420196481034', 42, 5);
    T('-4.811913649E+7603007', '9.05E+4', '-5.3170316563535911602209944751381e+7603002', 32, 2);
    T('9.225347551988009390881174171591707448028973090847836929E-4863157988834113', '-5.7481969116233557141962133849626249519E+9596', '-1.604911539013834352665491260024912877636889836688407870569222030361e-4863157988843709', 67, 0);
    T('-2.610924749612834446366509723364011017156748810E+1980618336', '3.50045546760210790492814167946E+51420425296', '-7.458814356525374238737504e-49439806961', 25, 3);
    T('-4.42028304191729887764950067996669424161172013295185869658180E-5963894003726', '-91321513325396829996.4562110', '4.840352378050225338268304311295671829172e-5963894003746', 40, 5);
    T('2E+474200', '5.330403209303644016561E+345943632', '3.7520613759747399e-345469433', 17, 4);
    T('-4.21310205E+5629118', '-7.153E+897275466', '5.889979099678456591639871382636655949e-891646349', 37, 0);
    T('8.70338241404066586256244729E+100299169266550', '-4.38746899191890937394407406E+2370572631715', '-1.983690922960607125678070313459e+97928596634835', 31, 6);
    T('-4.7887679434493736809466810875248912640431428922E-89061', '9.881512171368944683E+4877457', '-4.8462e-4966519', 5, 6);
    T('6.4666109105255030383624233688E+65450', '3.75895317477347322756005254967E-357708025', '1.7203222838537227e+357773475', 17, 2);
    T('-7.085661554890492393427E+452214', '-0.085717', '8.2663433798318797828e+452215', 20, 5);
    T('-126833.3004471408574', '-6.869218803714173026544850012624395778730709E+30337231793554', '1.8464006471676567152140989762627796147994518933534304005974075e-30337231793550', 62, 2);
    T('5.14625400893516695111226365839540289587225458477543086237662E+96', '1.1992358663669254427311156524241774445001925E+4989922414455943', '4.29127759873101395244275282828949015999781569654546992e-4989922414455847', 55, 5);
    T('-7.474027516520532798101498479834637441506480349982756E+1441352', '1.13803991008177987612008693721465568901E+9804', '-6.567456422493519603759686344187731169728014059051632037e+1431548', 56, 6);
    T('-1.68E+5602', '6.11333324969912512E+2355076000639', '-2.74809164064904064286194167895823600966355920224358818e-2355075995038', 54, 4);
    T('3.5405868602E+989124156940319', '3.612383925873996283E+3757927062996', '9.8012474112739127510604310865730803854015811830684111417297556840978378e+985366229877322', 71, 2);
    T('-3.79847930631726118190E-184327582888', '-2.8336864687413230700588782856865E+890', '1.34047268398203673692e-184327583778', 21, 5);
    T('8.475431672472560515931540347E+8040', '-1.147269901875735028925138328298E+872', '-7.38747844654131379052525753582e+7168', 30, 1);
    T('3.11002703998622462012075810711680168829E+8870848711', '9.378268890525419480010043E+5875464363181', '3.31620587582874e-5866593514471', 15, 0);
    T('-0.0000057485957379780473607622805475894690902186278851434472', '-3.5451762259269E+1804', '1.6215260883046948757850983464790276914562172767399396079921950783566576e-1810', 71, 2);
    T('-66981.58591265396894064', '3.13990704743694E+551826167451609', '-2.133234675444613993050868286381e-551826167451605', 31, 5);
    T('6.18278025793724081E+72687400760', '9.8939972671441055118200939363851173743400899308575527088190E+937', '6.24902159460763166640303132763497597001444971723126223441319939e+72687399822', 63, 5);
    T('2.4268254120213281372051816996105414302828905270879458459595E+323428431528032', '4.52E+744434430601849', '5.3690827699586905690380126097578350227497578e-421005999073818', 45, 6);
    T('9.7082741823318967204249314429955748796576277932E+581363034275', '4.27E+8867', '2.273600511084753330310288394144162735282816813395785e+581363025408', 52, 4);
    T('7.67067567981271117612125626525998276513506255801E+2359998935', '-2.57649680201454327238992374291397213877605318606862309E+48964686', '-2.97717259878415845364023125869137289526e+2311034249', 39, 3);
    T('-9.39331666E+632003213', '-9.150597242E+696', '1.026524981001890324482931712011e+632002517', 31, 0);
    T('9.95062364849364E-8576015189207868', '1.205950358919572240434E-147', '8.251271e-8576015189207721', 7, 1);
    T('-3.0702521E+6099725', '4.7869616970440779285151238230241E+62778739', '-6.4137803774278442585608245754715000475023172459016333918075741595099343e-56679015', 71, 0);
    T('-9.59868195078727E+7128', '7.76840798825190218376110395793003873531166273704E+1783566', '-1.23560476809447645872681847491693189210490758011291286504413e-1776438', 60, 6);
    T('-7.754016395467324E+20500915353902', '-5.5754200583721784281038002795956E+44406475807638', '1.39075017026272584173182061122978709e-23905560453736', 36, 0);
    T('4.2478541742554857312456E+5467902', '-5.3288524217146376081410285E-60', '-7.9714239353783331e+5467961', 17, 2);
    T('-1.093368741696442175257342503745651281657798767845321862E+78936086486735', '0.06463432869803946784273521722825086119517', '-1.691622337108928579551932621e+78936086486736', 28, 6);
    T('1.296421348221482E+8470226429', '7.118645003711E+35', '1.82116308e+8470226393', 9, 5);
    T('2.8061782029231870397439157739059077811E+364693608792', '-6.8484894309710509689757875676250289347332848905062393818814E+2425479880174768', '-4.097514103230933271237421583985654035413979065617887184892086824430144001e-2425115186565977', 73, 2);
    T('-1.024019527603911723E+47', '8.00862922818776645863420399890866838882209587256E+690409941781979', '-1.2786451943607234441450962735375108195189e-690409941781933', 41, 3);
    T('7.84174446207589118717E+88', '164397.15121211907', '4.7700002124476e+83', 14, 1);
    T('-5.0183312185587233E+281', '4.7347011900182897920286109952207296669453113585405048E-756795356', '-1.059904526e+756795637', 10, 6);
    T('4.6679089754126163806E+35', '-1.1990158939835874296906991151718360625324765123894803E+35841491019743', '-3.893116845936082674277084818697842056116542422026710706545975539e-35841491019708', 64, 3);
    T('-5.114294111179167288678945943177508921250215623210445076E+10230270436241', '-8.30805252694812567376107278685E+181396152204', '6.155827848452287753436678144705299686245975e+10048874284036', 43, 2);
    T('-464.096652004472171220873027289540398579353059102126694', '5.668363954578696586124532042798889E+373190062', '-8.1874885897118852199742633796767064125240927759847384742009643194e-373190061', 65, 5);
    T('3.337715430620382198394670149511E+8613331649', '2.4339622463585729328449515458262E+3542500968731', '1.3713094505117758292815622210200777638563491738437804677113723343806994736985e-3533887637082', 77, 2);
    T('-7.12024502115172326957984122637847583728E+6940014', '-698314765.368870197106215001877391115812824580513269019911545', '1.0196326032703321798068147225076372140622e+6940006', 42, 6);
    T('-7.04291237987927899021413486239E+913186016348', '5.0620118251737417945662E+30056581743613', '-1.39e-29143395727265', 3, 5);
    T('7.53701090178960097340049347060132238101339480854041E+802733126082', '-6E+23493247479912', '-1.256168483631600162233415578433553730168899134756735e-22690514353830', 80, 3);
    T('3.00796684176126878515564943399741997055295825505549934710517E-68556310', '6.113816731164089993694404848582645900800483E-3637319412', '4.919949311579e+3568763101', 13, 6);
    T('5.54653742212E-46205719727', '-9.5226E+16182541937', '-5.82460401793627790729422636674857706928779955054291896e-62388261665', 54, 0);
    T('3.73167430997091816205483363198527118614E+330658655', '7.885356813097303042201605003976115828274679607E+59', '4.732410211003688630427450761e+330658595', 28, 4);
    T('-8.071607066182508236178983722E+42240409667', '5.10015962625554535910068512852557628237417969E-33', '-1.5826185173950234746695511672052e+42240409700', 32, 6);
    T('8.6761538608701395833808205695773453185704629570E+2122854839582759', '-1.0651619557109009270013079932287E+5549', '-8.1453847e+2122854839577210', 8, 4);
    T('-1.833143859076101948473617E+418404534046', '-8.4846E+758832888497', '2.16055425e-340428354452', 10, 3);
    T('-2E+36455', '-4.8292402740926904246642004922E+6319681', '4.1414381693314206e-6283227', 17, 1);
    T('9.319366089300419367409296892801038E+3308820387414908', '8.30492306833325609767344621016E+818514', '1.1221495988126901901246e+3308820386596394', 24, 1);
    T('1.437401637661E+47', '-9.1298832955096878611E-979452', '-1.574392126532385367637389e+979498', 25, 0);
    T('-5.6526635575425523424992220416546392149E-1566085352', '3098.3120610921818552', '-1.8244332547e-1566085355', 11, 5);
    T('4.32E+6899', '-8.10997677905926257370922740E+353752', '-5.326772341882228435102764747575487806758734802797482962366737702622084583675e-346854', 76, 2);
    T('9.73088097482053519897262191952291475338448834811E+599917', '-1.837799255998247617721479292E+98', '-5.29485521504086070291607108819826674e+599819', 37, 2);
    T('-2.911928473030248287575254508328445684559874124589E+4457486', '-5.60350043139882257E+77', '5.19662398295440622650092780892432748515640687433334918e+4457408', 54, 5);
    T('-7.57346348754754011104E+91', '-5.976291304354E+987825', '1.2672513941932394662091915373e-987734', 29, 5);
    T('-7.6744551042709895996964469996179967E-7720421088880', '6.76995007380E+1082798549', '-1.13360586423989495030128725727413010630348e-7721503887429', 42, 3);
    T('-5.9578036858839824205960806147178038208296274054448E+9676420586', '-4.325069507018116E+6495157710', '1.3775047259278710928196815455248780745088031978874272739559631237863973990579e+3181262876', 77, 5);
    T('2.892798262185456090855101959627545623427658E-40568', '8.912739291149110867058656848490857809463922183123338045E-525002', '3.2456893079529205048346283686480261832999536610111389655704096162249625e+484433', 72, 6);
    T('-4.83942055179136500186044E-8786030968', '-7.145321824388892E-7', '6.772851763335739452714290733219609e-8786030962', 35, 4);
    T('-4.28070256594E+5361', '8.515448517106646691881E+620', '-5.0269842596552790313311345873609898949236487333e+4740', 47, 0);
    T('-4.114473415968955690093830810378789574521E+2898131806653492', '2.40237847922776323238015603913124225713047257331844331383848E-78123', '-1.7126666141679473503397803184637846289150750173142e+2898131806731615', 50, 6);
    T('8.747397432058272469377473262017720152E-141903595984908', '-8.4817410521013134464817102490835765281439381066884E+4335', '-1.0313209727018421343811829239266719632940678925001206635e-141903595989243', 56, 4);
    T('-6.2292166666324829E+70931491647', '-3.583357009587344182165810358817E+40160316923434', '1.7383745604934388817603663765983695533468351399319475244924466826287691e-40089385431787', 72, 4);
    T('-8.1508599256212631492805369388E+8732571007634061', '7.622454367113388693E-884', '-1.06932223311006593775156217172989354632620601187e+8732571007634945', 48, 4);
    T('-5.30370212388E+341077771', '1.927129135535893691125265728786250990165959870049586879636E-765714761793', '-2.752125960881782e+766055839564', 16, 2);
    T('5.8159932648921E+49', '4.12079E+296061', '1.411378222353505031802154441260049650673778571584574802404394e-296012', 61, 0);
    T('1.08237838899435161751087706948620429007615E-217701', '-7.767386315896535214114855677465241E+784', '-1.393491124265550619989757045e-218486', 28, 5);
    T('2.818000595129345135846596E-300', '-1.93671307E-3560799444895559', '-2e+3560799444895259', 1, 3);
    T('1.61938795223657640577524809424020391106949964453040983E-8152765401', '1.084369021019E+243126683', '1.493391936552014389371567837183854888237e-8395892084', 40, 2);
    T('5.061008024E+5903666289', '2.03287648979791885461454615123085437874190498354046278868339E-5126041', '2.489579691338305120324358394699306307873264757487234291076001330294143e+5908792330', 70, 3);
    T('9.4176766617874263E+223707244370281', '-2.3853866E+5859055919', '-3.948071420283582669576495482954419212382596598807086448796182555901e+223701385314362', 67, 5);
    T('-7E-2060279012042', '9.0488263884231214054163087508072620535411142726023E-38053', '-7.735809816127816428448723303340491431020538100385333533499108336291e-2060278973990', 67, 1);
    T('-6.2539E+89550129192', '-4.490E+3666', '1.3928507795100222717149220489977728285077951002227171492204899e+89550125526', 62, 1);
    T('-9.5501865526E+957526440905', '-1.8230598834403763242042334260411420864597E-61232197385108', '5.2385479158e+62189723826013', 11, 0);
    T('-1.80584305491208E+7102878131128379', '-4.470962284E-6944137', '4.0390478384811174578005006494481088313291618006411256946313349845e+7102878138072515', 65, 2);
    T('-2.0400648178846302676987E-4244650644873196', '-8.27973750E+365507971', '2.463924511960228531035796726647432965115138010112035556682805463337455e-4244651010381168', 70, 2);
    T('5.8043513795066681644842206085312009565E+188258831332', '3.921801090061771483567468382569161835213E+274517329345108', '1.48002186908853274297966103e-274329070513776', 27, 6);
    T('-1.1505174732515129651263128140718150517247982831962E-679331545', '-5.62E+62375111', '2.0471841161058949557407701318003826543145877e-741706657', 44, 0);
    T('-8.648379108298125976001490396580298172728759153685584857E-8986', '6.193843371984470931316850146E+904', '-1.4e-9890', 3, 4);
    T('5.34247E+10760447550878', '-5.320681789112362012979271878402895296730940314123956E-468978772', '-1.0040950035637e+10760916529650', 14, 0);
    T('-7.8829499753358747300477E-58343090580', '-2.48971207213007082193270405793E+74322182728', '3.16620948405155311471133e-132665273308', 24, 6);
    T('7.3032670677276803782613295998032426060E-139380253', '1.70221581149147825122639605E+586', '4.2904472032418566753830017452738997071447085e-139380839', 44, 0);
    T('-4.014379305949256640E+10967017588', '1.62818530196566008E+47477814506393', '-2.465554320569541e-47466847488805', 16, 4);
    T('97985.2388343375642316924997903506412376360', '9.6724E+63', '1.01303956447559617294253e-59', 24, 0);
    T('-2.94715666929671985892434148790713E+9748', '2.5895736723474336397580018877561131629355433348406253E+9806566907', '-1.13808566281303720898225517366457536172240517368997355997893831404e-9806557159', 66, 5);
    T('8.514827897475521162748E+20919', '7.76451486552302556E+2939', '1.0966336010616876782085849232976e+17980', 32, 1);
    T('-7.619103542038559655926908206E+371330488480162', '-6.1566043949E+24648092748', '1.23754963829575647433758554067915850780727577523368343330485641e+371305840387414', 64, 0);
    T('6.2548868037650386313620370714779287000489026217102547E+368361006389', '-3.0274770506091959708077815E+8314131105', '-2.06603937e+360046875284', 9, 1);
    T('8.231127E+3416262977729', '8.4292162954740455316707323768967110599792632228E-1670448155591849', '9.76499678198979551855462935950827919783227e+1673864418569577', 42, 2);
    T('1.103598536660189818081783549789E+435334', '3.03429444115343054954466818E+795838357360', '3.637084528423936925006329845e-795837922027', 28, 3);
    T('3.912015681699E+487684378126', '5.73677E-254', '6.819195613034862e+487684378379', 16, 0);
    T('-4.98058807804590179E+35', '-5.590594E+54', '8.908871003771516568722393362851e-20', 31, 3);
    T('-4.4669077814174382580336432365176676653292851E+62', '8.65270331777811184847460337689E+3546290555158381', '-5.162441860498777737258347497586610158668773565e-3546290555158320', 46, 2);
    T('1696412.8565699091775652794704030869993', '4.5949195', '3.6919316139704061791839432016231992732408043274751603374117870835386779e+5', 71, 6);
    T('-1.4202427030982390538648745407793E+13695', '4.3597202853599760039498233988370982557803961497810E+5036788', '-3.257646385864343590653939061e-5023094', 29, 4);
    T('-3.45591492710567346431960118629243675490291960193E+38105072255644', '-2.5091369740849819923642305522966773956584729772027E+656', '1.3773321117177977695045474843972631217e+38105072254988', 38, 5);
    T('-5.27822629591256695268960304572096142036801992462710675365E+921099', '1.15266677838736630327869E+109', '-4.57914324840440674205986001380455e+920990', 33, 1);
    T('-5.14036974496989580618591862965612718444396E+2050821815', '-8.616271944760358122132E+9437', '6e+2050812377', 1, 5);
    T('6.33E+702616702065', '-9.1034878E-329794108720871', '-6.953378901655692887290956769338450698e+330496725422935', 38, 6);
    T('-9.40317E-8278655777253257', '-4.3128004972725822378702098823646026700261612164520167053E-74587219203', '2.18029329340565849384571601919721578587614276768180790916014e-8278581190034054', 60, 4);
    T('3.43732420057291755263728996215E+52386148', '2.59056907925594303985477', '1.32686066088620862506109014140601053708173975703647380267198e+52386148', 60, 3);
    T('4.313086894229935837170325452709081342565660122276300E-801487015872606', '1.388293953616129912915320502573237974363525001252960536663E+33169', '3.1067533521957018600027047868474846661552634945865110096350929195e-801487015905775', 65, 3);
    T('-1.75685899145341698090180325236E+40290146528398', '-8.98635021829503958829948462314336250109719018906146011836821E+55662670045084', '1.9550306284265226015359140764774172813724075687430144971e-15372523516687', 56, 1);
    T('1.918747411755512472814122E+12724693408', '4.749052E+3911', '4.040274589024319e+12724689496', 16, 1);
    T('4.295321867281597697382336017E+5245756462313', '214919516.57509754025913795907122037224', '1.998572272881843692e+5245756462305', 19, 1);
    T('6.129034058471870981104191329E+83278833851669', '-8.758444311697692255111155576355882783416258371043344E+970663813102', '-6.997856971341352540771032349625451497617403121651059188751162323e+82308170038566', 64, 0);
    T('6.0535312551383', '1.29E+285714219', '4.692659887704108527132e-285714219', 22, 4);
    T('4E+14353', '-3.817240648181748187609488153000256231258690534E+80593306', '-1.04787734614146081772043134299590666024650073976328103e-80578953', 54, 3);
    T('-4.850723551292805E+24', '-9.1748032608994183695282603E+40', '5.28700552301247058160953051533227646081011325573345237638942567291420245452038e-17', 78, 5);
    T('4.41920791737928E+981', '9.90382335336465433924960128943859117163914462209193500564544E-685912699', '4.462123121246836261253676096600947523578801873687871065901824556619767e+685913679', 70, 5);
    T('-8.41031918913654008624969420391886681280990793298152E+696798593', '-1.54930718932657062699131518954475328198313042386626917515E+95937', '5.428438754481098221131953878e+696702656', 28, 2);
    T('-6.10997533959E+4463687', '3.5899012699033032282208615006294463383617172E-22662', '-1.701989798665013681318298e+4486349', 25, 3);
    T('-9.7976934895418607703570318267532761125042E+44', '640713282875870790.6087', '-1.5291853238260437973392367926e+27', 29, 0);
    T('3.09305399920662359633760584352579709560262510983896660879E+56329176482', '5.2382495785469251354E+33780296', '5.9047472878614301972956e+56295396185', 23, 0);
    T('-6.71511041781669215986983526313983910728334058583328598E+2864', '5.9789212691943322E+734902660', '-1.12313076481128550673617769054916164962934265965e-734899796', 48, 1);
    T('-7.73194960511603909462994359132960814459130475947320664606E+62801262589', '3.485899930214410928E+8613745704648', '-2.218064e-8550944442059', 7, 6);
    T('3.89824431189598779163872385E+478952029181', '1.65715433843980030099020600470E+1831309443274350', '2.3523725107983355822760602977286396e-1830830491245169', 35, 0);
    T('4.414278779836307404640757315266518724290899E+504459', '4.1589E+252496522688', '1.06e-252496018229', 3, 5);
    T('1.004069740101600E+3702261', '-9.702216770506530207058160525E+89570836790', '-1.0348869375438411798383404381510401130514903615433373442591e-89567134530', 59, 5);
    T('7.867E+59226411330', '-7.1587522445339288275443098096613151151122E+362566902', '-1.09893452535766331758076976787960672031082658396206149142864e+58863844428', 60, 1);
    T('-8.0038041409449897269337698E+123500214115841', '-1.50081525E+8744', '5.3329709575812144279142751248030029012e+123500214107097', 38, 1);
    T('-7.4E+89198631857', '1.47937217297083450456219264936555376743867323467607413970602E-584216', '-5.002121937402353291759e+89199216073', 22, 2);
    T('-5.78410449732539799011734E+956316775150539', '8.6438033289965193880793452759961314E+55349', '-6.6916e+956316775095189', 5, 4);
    T('-6.1447854969566883187718595319929844E+35754297759037', '95224062.54920270678', '-6.453e+35754297759029', 5, 6);
    T('-9.045437797881012823447475199263556737081643730E+64649083580', '2.7337587307890436836147022924875447981656537737522604675956E+7359837920933', '-3.308791553550971832734e-7295188837353', 22, 0);
    T('-6.75505135946E-93261384660', '8182289362.167737924769092367890418726222148199462582237', '-8.2556984487656654e-93261384670', 17, 2);
    T('4.96461388E+9730932235922', '-5.1548777912166689262214403066265480E+427152579078573', '-9.630905098194845281800304808820774175422516410058e-417421646842652', 49, 1);
    T('5.6942721641625189350634942221736E+3614', '-2.1510420242155092E+3393770717068', '-2.647215675e-3393770713454', 10, 5);
    T('3.05710050417318921E-75263646', '8.5549651644521257E-2616459147', '3.57348094984203369038008693267348995244888e+2541195500', 42, 4);
    T('3.301598503999335841E+32247735', '6.78492296133586415427704E+50987124058227', '4.8660810488396371069551991494800632e-50987091810493', 35, 2);
    T('6.24227011601510085323759286711984E-80', '3.157106304029928900083906363232913508187005E+83477859047335', '1.977212521493835976e-83477859047415', 19, 1);
    T('-7.22872621320354000256637993848561778104479070678086E+17886', '2.8624689455938842425544049781817563E-547171328184', '-2.5253465978488638070152282125154628888042517534430755e+547171346070', 53, 3);
    T('-4.9712E+9279873', '6.273907238255326360446682778267767277682E+93805721832', '-7.92361093528442335224375086214605858e-93796441960', 36, 0);
    T('-4578085.9492144654', '-9.26851665161879763548726E+3479897', '4.9393944266312316525245074523802955698998297542679988159161305832630232e-3479892', 71, 1);
    T('-2.757192848678205481630701221044087379216799187319722750E+9127', '-4.041789345414888313275513434412638797517897011170356299E+53823', '6.82171338742836080571335924076e-44697', 30, 6);
    T('-7.19550255897555042843334899429328288326292728896E+1794611768088', '8.4281475102849887302E-8849485', '-8.53746632957571747530347288794570970135328091751368e+1794620617572', 51, 1);
    T('-7.743882571E+595960925898', '-3.6689535353548292318527730498896221816101564804E-8434051393257', '2.1106515785436566237889168134051888013828492093278883e+9030012319155', 53, 2);
    T('-4.1490764330059299909767011177522711484280614372953199120E+8276', '3.936334395108142173286981755411160808394511065E+1902787550434886', '-1.05404572288425795587423657970870708723e-1902787550426610', 39, 4);
    T('-2.2663206284384342391271760536547093190903274672330E+65485', '1.3607922791357959049008281269E+936', '-1.6654420099133102402994631642012777710986411446773e+64549', 50, 3);
    T('-9.8416148984928283112282194621976593795444096557994642840E+4479156', '-6.259521987615088769811822621401983E+7972714024675180', '1.5722630127292732822711531995156562794192356838371826913136427e-7972714020196024', 62, 2);
    T('9.965213404461432E+781495', '-3.760887014357766594177233426075071547622E+88496243987', '-2.64969762888852866339075298410344916704243837123671193e-88495462492', 54, 0);
    T('9.5435421601141646564781586032081812078898E+82435', '1.0647E+653930770315940', '8.963597407827711708911579415054176019432516201746970977741e-653930770233505', 58, 0);
    T('1.66E+722985626356', '-1.64194408653236997151709898386223119757639495536551080E+3538401', '-1.01099666767932542912650409e+722982087955', 27, 0);
    T('-2.28E+39', '4.2386050637936202055206E+6770', '-5.37912819355564837570447466801424599963053402191544761004791e-6732', 60, 2);
    T('8714263811210543552254872.53492173641', '8.6726052791420307236883251892E-554', '1.0048034622501156943691860904251708349433817485483376629971896808056052951420176e+578', 80, 2);
    T('-1.279582971169267550488404116525382839554148925283096573E-318456875013', '4.934663161548447E+3232257361', '-2.593050283836896087559429472620922013844211490873054439564237e-321689132375', 61, 2);
    T('-6.6619911970E-60293798', '2.64451060031902361524572750668313574048191010796023E+5216600715', '-2.51917734653675539642862667852549606138968237606206264436973305036e-5276894513', 67, 5);
    T('-6.98277541822603288780720006610898991E-9777', '-3.56601244977191057673664812739755E+91867369425', '1.95814667407363242194000347312049577133571239463520154415531496327700084e-91867379202', 72, 3);
    T('2.009816687539780644969619556305722545046E-3605537', '1.369430609175764240811044303050307784200535E+2968901615', '1.467629446919879581455896958753e-2972507152', 32, 6);
    T('-3E+5408624028724', '3.42942091296879483026936023735505794887892723E+740586', '-8.74783258204064541e+5408623288137', 18, 4);
    T('7E+91', '-3.0698685247287279600988707133505605241E+53725091485', '-2.28022794579405060556953779120998116367307e-53725091394', 42, 2);
    T('8.2433698532067991638E+69163099343960', '3.81611482026959317689168832E+320319734394', '2.160147228647705681422627840890411418801631626e+68842779609566', 47, 6);
    T('-4.83410616051114204076422195872202838357E+462920941992585', '-2.2116802425615081500068481E+676978', '2.18571657307586707254994052775216438811154748662239185487252018081387911e+462920941315607', 72, 5);
    T('2.151046303706499922414628013419191354159714022E-35331', '5.04109516777648717258326584026194515840919373E-583', '4.267021811959320132792657473484387776505389089628e-34749', 49, 3);
    T('2.31E+43737', '-9.4663014083880366E+831319', '-2.440234998172699162391603789e-787583', 28, 1);
    T('-2.009589396297247295471E+840976888588', '1.03406E+1435135172', '-1.943397284777718213131733168288107073090536332514554281182910082587084e+839541753416', 70, 3);
    T('7.88638188547046999101059945555933656327695531240537318E+928010582', '5.5604703651056304563556501225282889815149789E-903350725491', '1.4182940232828045916731984501e+904278736073', 29, 4);
    T('-6.09794608798937099920210605863249509289848E+49506240825840', '9.7941796224467198408145337714221E-74376898', '-6.22609174331848814846548282986915273701e+49506315202737', 39, 2);
    T('9.83618133324983975828756405939222264679322922063186E+302701', '1.54924660609E+35876036', '6.35e-35573335', 4, 0);
    T('-9.9309833711436692182464748404382989089280777961579E+22223', '-8.7559453E-92', '1.1e+22315', 2, 4);
    T('9.7472680422051725711548589660059E+4468775258842767', '-3.86339633785453207535284121501687390584251049363989611E+320181600', '-2.52297906e+4468774938661167', 9, 0);
    T('-4.82261004135E-320966522738', '2.26219225338355399E-2587910385', '-2.1318303226159655554958967377769471910562979789547818752e-318378612353', 56, 2);
    T('6.228305811251342861440622318143E+263997', '1.9216999E+4749197033996795', '3.24103977e-4749197033732798', 9, 6);
    T('-8.0225528768294075736472254675634503718985210E+8966792', '8.11925142404891020875865272E+39', '-9.8809021396565140720168e+8966752', 23, 3);
    T('-1.94123341234396310673314196608817E-21', '2.92E+88', '-6.6480596313149421463463765961923630136986301369863013698630137e-110', 62, 5);
    T('6.9E+35131627783', '1.2754446818804633323371014E+3651265', '5.409877902212836837790566700369158330304685542827204907825209350308665068097084e+35127976518', 79, 0);
    T('4.22124263812684127667E+11960', '9.33048321310977778402404114233628556855692769162E+71', '4.52414150662185672778530143556e+11888', 30, 2);
    T('-6.2550161869835364263969697675704398746395096127415543260898E+797820', '-1.127421412645551513131E+717102', '5.54807290053665360978121725423551016813997755177196828840344e+80718', 60, 5);
    T('-2.4431087737539601162287548428807793788042361350103242786500E+88171039733365', '2.7055050137999763E+8106403405619661', '-9.0301395166240276204192974163699e-8018232365886297', 32, 1);
    T('9.2948E+8779738490710', '6.82502604655005628900374828831784E+1783588046', '1.361870260509610178035577843162598658e+8777954902664', 37, 6);
    T('-6.8E+47741798009657', '-6.02369287333399188301627989238761810418450287E-6254268', '1.128876e+47741804263925', 7, 6);
    T('-2.4925E+59115476981', '-5.4800352425014829705943974920470060009324331457082154764E-19119564', '4.5483284134177272059230263081914472560972406e+59134596544', 44, 2);
    T('-5.94587597953321407151402730000491E+5436', '-4.75564942378293096668793022962673859459724021704928E+9394', '1.2502763449715149459448342030992786787e-3958', 39, 1);
    T('-8.296008353369340045012123224E+9598738601', '3.89153782439520E+15001545', '-2.1318072000645803923571477672319947114022746011613277018018e+9583737056', 59, 1);
    T('-1.6869913711774718239359572081389344881738997098688774505E-80448', '2.1802E+131642', '-7.737782640021428419117315879914386240592146178648185719200073387763e-212091', 67, 3);
    T('8.73389261603419358176312249954899483E+75', '8.5E+739', '1.027516778356963950795661470535175862352941176470588e-664', 52, 5);
    T('5.95937671748330829359447470294744883371641E+127745002438', '-8.09909292745371411429892766697999902701989007819618376371E+65267691946645', '-7.3580791958598820693163056382817191839394179865080387e-65139946944208', 53, 0);
    T('-9.6032E+3219', '-1.968088672740207251810308E+98244', '4.87945494174776291138403641247467102571710035004208850844777169695597942043198e-95025', 78, 6);
    T('-2.9708309733867845471591180507E+19637885420', '3.34570710629447E+238', '-8.8795309302406969268526288e+19637885181', 26, 1);
    T('1.64063767311982719971E+779970311530952', '-7.093241457334008912311307084131457240899234380004180145E+10810884304', '-2.31e+779959500646647', 3, 5);
    T('-6.642194665733431426220275151966852956838E+20958', '-4605.35216777336644630', '1.442277251284531916191899e+20955', 25, 1);
    T('-1.5456729256165722780433713425927059815624582812016839E-53186', '8.31558537370015379705742388862186520480840961068484703233E+631345381480849', '-1.8587662276970889741678192292408401314125432230470623892206869330404864387e-631345381534036', 74, 4);
    T('-3.9830138502319427E-93592833342510', '-3.157740755530069435682625E+840', '1.3e-93592833343350', 2, 5);
    T('-7.5735192338532719991550797696320E-3047871', '2.665718093820E-1139311', '-2.84108032706502177421e-1908560', 21, 6);
    T('-6.2904901814340439E+3018', '-6716340584401435822204522690735955318022.16370879', '9.3659488e+2978', 8, 4);
    T('9.4103832229520619597747855170795929908592732E+852764237951', '5.444765904847256390107872480903194692130346521012088542077E-448', '1.72833568741208428349785939414610140695728885396e+852764238399', 49, 3);
    T('-3.3894767723466496958130935491660618E+2651299764', '8.96348478895245814328E+387038173352', '-3.781427482896158350553302300315986471484876086e-384386873589', 46, 3);
    T('6.59271062E+70441932', '9.30701627079005111639642019248440500464196910214017936405E-3077', '7.083592021528033733124117769615170759518019135068832375931243126999663014519e+70445008', 76, 5);
    T('-4.500127337402109784426338642088E+15969', '5.63475851212584823652E+4990627534', '-7.9863712485955826009733355231116798726216864331551290681610346440307117e-4990611566', 71, 4);
    T('-1.68E+7220924', '1E+47470263', '-1.68e-40249339', 57, 6);
    T('6.80083875113064211126972370230464E+34589701983', '9.1344588337692281988425763399E-46020670181182', '7.4452563363563324508e+46055259883164', 20, 3);
    T('-4.1774332346873460995E+58715498', '9.97122183610832603034327080049008948901769011339190E-1411325885', '-4.189489817145376986470355552826327719472573442787490107299962836729655989537927e+1470041382', 79, 4);
    T('3.04329859836144386902658221787252635E+9118028762', '3.39151436529821344286285223058E+890', '8.973273501360648934086134209985681041027729507819904e+9118027871', 52, 1);
    T('9.391096813386510464507450581584104058473288879766478183802E+5718318783277044', '-3.323263E+161672106531917', '-2.82586626860002066177351915318893029485577544713327780070430778424698857719055e+5556646676745127', 78, 4);
    T('-6.4332241634655382999376046681151959136238E+3209575134', '6.6478948640945607738923146820478437E+79231', '-9.67708469369985968865321017017102558906e+3209495902', 40, 2);
    T('9.2235882937072789031147041895446759700084E-5294', '-3.744820322186595136780176032182763992981E+769502457305', '-2.46302559272633916926999062236310394119932741106584730438e-769502462599', 57, 0);
    T('-20643064.27951181', '1.470492045273915749E-980162', '-1.4038201937819068855682954971655783749857437837e+980169', 47, 6);
    T('-8.756449634849530584336289521214E+22490840056', '-7.37792305015212666895650046787455207307E+1708291', '1.1e+22489131765', 2, 3);
    T('-3.68282521769230835132181115300740712751399655850469638484348E+90', '8.523933195965719500999055810818615030624779426731759E+40052', '-4.320570249700393688696205387518878054176685090550675809946438507532e-39963', 67, 0);
    T('23196411087990646315787123292265.91136', '7.900854650155859770178E+4286', '2.935936947977273807690954883549492986e-4256', 37, 6);
    T('-437188922.301557310891223', '6.22597814036280725729061402681762874E+4592904155887', '-7.0220118420794992113536756776032161747939102604475801543e-4592904155880', 56, 0);
    T('-3.9499571742658506581175350297865179505352298127237018116314E-176724445', '-4.19592015254387710353678754609067622115690E-5641605787909249', '9.4138044354135159175404831848968e+5641605611184803', 32, 5);
    T('-6.97282E+91', '2.79944E+961709978', '-2.490791015346e-961709887', 13, 3);
    T('-3.42294453522468766244090375446441921275914085795E+500590951850', '3.13E+87934977723', '-1.0935925032666733745817583880078016654182558651597444089456869009584664536741214e+412655974127', 80, 2);
    T('7.441E+389032340275929', '8.48788957051864710396221508781304E-481960667', '8.766607927894286233818830555004003149492e+389032822236595', 40, 1);
    T('7.11540125810916391915138357E-301301', '-8.329464267844693824E-188272', '-8.542e-113030', 4, 4);
    T('-9.613664E+5639676', '8.851911113355220666211449992020796715687440425E+2692725', '-1.086055189313355540933537546350228995508090622019122763e+2946951', 55, 2);
    T('0.00888067538580705851586899053', '3.441100061905818543840486E+5909760', '2.5807663904107996417005709403807585009547955141643295646854597e-5909763', 62, 6);
    T('-8.8059848443899457932369473650001592443E+2133', '2.28504812E+637610', '-3.853741532755969179868714259286653116215e-635477', 40, 6);
    T('9.5358521436021103857295787E+3408754', '-4.4171820662401E+446', '-2.158808942126991864574161737374884960618304321657441306013409e+3408308', 62, 5);
    T('-9.3362188334853295E+2409', '-9.1679282570224354651238451297E-277', '1.01835644561616056279319286782360655397748e+2686', 42, 1);
    T('-8.34773235596701749499460313699493043175562783E+2906760', '-1.7315420435003606E+432478', '4.8209816142e+2474282', 11, 6);
    T('-7.1944085262809152854380453633538E+8784201', '7.24331585717653924203865645944416580718E-7477556093759166', '-9.9324793618558446465209593331613617587220548891358029230531446536e+7477556102543366', 65, 5);
    T('-4.662184611939246864427690575E-712755587', '1.744E+4375', '-2.673270993084430541529639091e-712759962', 28, 6);
    T('9.00254718993375020984338059E-4717536717353', '-24716.6185469490147015078280182972', '-3.64230534724379286767339958e-4717536717357', 27, 4);
    T('-6.210687045674446933044996236042793547218279751457823153626E+91757115422914', '-5.787222197937545778537236032389653E+817413652', '1.073172384e+91756298009262', 10, 6);
    T('-7.7187E+77938505', '3.9622097730884240966389681339933171281307160631368359392E+85', '-1.948079592460220510857817169717523315364020170719686935147413476728467561e+77938420', 73, 6);
    T('0.00003231016263738175856246496352261111', '-1.309780418526324E+718485613104388', '-2.466838118845520677331768237876606e-718485613104393', 34, 1);
    T('9.040460490099105896014614524E+188326440650', '-2.93753147E+233666718999', '-3.07757060049440283818120747622152282848564682781083533379133466781208645230276e-45340278349', 78, 5);
    T('-4.2463249731280408329193132847E+7044516351822', '-5.47941896528343561456173E+11955829618026', '7.749589874459234485736102072710446203191929387148202e-4911313266205', 52, 6);
    T('-5.5106207350952287011201777212E+67707', '7.7594995631335371831400410778545165557587321736801E+922', '-7.1017733685777303007579209775243746913650008834542693962327930908e+66784', 65, 5);
    T('9.4680E+5718458525', '-7.4E+5269967446174', '-1.279459459459459459459e-5264248987649', 22, 2);
    T('3.4888299020452144134898587628536501004E+50249', '9.4405292091172876912353082128624477159442742161240684290E+9724830', '3.695587212076883606730797268536492e-9674582', 34, 5);
    T('-7.2866413259611113553571169980E-59562624', '3.7424061E-605006409214', '-1.947047e+604946846590', 7, 4);
    T('8.107842999928199983616142097659937797810E-52', '6.75479828372645220402157E+3020520181', '1.2003e-3020520233', 5, 4);
    T('-9E+12428899378313', '-2.1556154895826687410133970967954764E+9771308109', '4.17514164446017091801931e+12419128070204', 24, 3);
    T('-2.761E-8862638', '-2.465220E+8600969', '1.119981e-17463607', 7, 6);
    T('-7.6000872476114398890366935687152869492160752985911E-137345800915', '7.04770697337224080128544632179201E+4950378', '-1.078377304e-137350751293', 10, 6);
    T('8.6903136368456099401344586464234727018104901685515812707E+2876688', '-5.26640829143431662826583511192188109938625602320254E+989312199679648', '-1.65014050486366410740887e-989312196802960', 24, 2);
    T('-2.14809412607687781729667088232479154249151283324646E+79107175461', '-1.035472496964470953754119040039904853107199834970995759E-38575558', '2.074506211e+79145751019', 10, 5);
    T('8.239124980394264399533337303469392762207265959155354641157E-93112082037521', '3.6171703084846272713657543536E+95940', '2.277781878577332717e-93112082133461', 19, 0);
    T('7.2998816380269638978445172371284342899579094086550660496166E+4104295088151228', '-0.01534637837188414286725101037524156397568668229242895640', '-4.756745507722500579707884330875019281260849810274027095247361121409704101851e+4104295088151230', 77, 1);
    T('-8.4500885712171034336520917190414716268581899392835692E+95562881', '-4.24E+4490666', '1.99294541773988288529530465071732821388164857058574745283018867924528301887e+91072215', 75, 5);
    T('3.1882654980695528445E+714983744150', '4.4644015119800E+36456', '7.1415294738029286453830183e+714983707693', 26, 4);
    T('1.97652268679646836212138819609438E+4665', '2.435550543386705149480025720925860674026997539E+33914998', '8.11530145479163425394913385e-33910334', 27, 0);
    T('3.75123513274679880588130754915208036E+59023505325', '3.0266632506899629623460298538E+36072274', '1.239396266463294615399213448390080580601634097552149e+58987433051', 52, 4);
    T('6.0426740729478850820673020611855931912997039661699171E-810850042', '4.608419492260217041618265200E-56150866660308', '1.311224831657899348950344142311420183988990253e+56150055810266', 46, 5);
    T('4.876394382481852653E+4627714126690605', '-3.5271051261353925891725619E+7486015818653123', '-1.38254863637275829058022169834022610677481253669657461387850018e-2858301691962518', 63, 1);
    T('-9.05001055534792336691154076833277E-655384141', '-3.7226086106319481106216343864793488338845560386726E+3006960648540136', '2.43109375761412593413714913705757054171697072302332555852762325734e-3006961303924277', 67, 6);
    T('-8.1346126686896001406560884115345738497345E-1962402501', '9.9137440316245567709576408700736E-52499931882971', '-8.205389046499910596615211745126850496192250050144238594e+52497969480469', 55, 2);
    T('-4.6589596871E+5475618289938', '-1.185730569285148791912207433E+9837875129', '3.929189e+5465780414809', 7, 1);
    T('5.58E-696927', '3.8906760053E-81281907', '1.434198065425841229967e+80584980', 23, 0);
    T('6E+61124837', '2.6813657910813954618249476949654465928174978161393E+422218082', '2.23766560308811822788964734422070877163e-361093245', 39, 5);
    T('4E+7113237347703454', '-5.96553118818E-366066', '-6.705186636062737554413e+7113237348069519', 22, 5);
    T('-5.2091995863037821711242082189136072381890705972791E+94475179568', '-827.598706598626421483915544027146474105191', '6.29435443140460311727583187270050420215977344e+94475179565', 45, 0);
    T('7.6213523612933691264367096600276E+45522', '-5.18939131708722898634710174709862147984173E-37', '-1.468640905186387790953597706489792085325972694121742029823543388844029806634e+45559', 76, 1);
    T('0.02', '1.26820940422272579128432682986741040788124641E+57333856328', '1.57703e-57333856330', 6, 5);
    T('-6.061275972047067749879809681631841216153411708E+72255360583', '9.730807468023968536E+6473995514113', '-6.2289e-6401740153531', 5, 1);
    T('9.593199850981762357987883040E+312', '2.59506545260601282022231370143274333305062097557866970E+2541268153171', '3.6967082434657258000543652884484154129854778594889725655518301421091507e-2541268152859', 71, 0);
    T('-2.35791E-17364', '37821931.2', '-6.23424009612708512356449953036771427472746e-17372', 42, 5);
    T('860311.41605', '3.257E-5810571', '2.641422831e+5810576', 11, 2);
    T('7.051946434411546E+984359794403919', '-8.98687181831056046156362034391715408636813603044408472651925E+364620200656', '-7.84694226977106195405588195453022370483e+983995174203262', 39, 5);
    T('3.44184E+757777533', '-6.575998541893216647435746428206235549799299810609E+6253411638858', '-5.23394276636974624738631599230874613374738272219060810998367211822352436838187e-6252653861326', 78, 2);
    T('3.45609908265916035541662123642039663069840278218663297060262E+232343425509722', '-7.50309425787145648067269008839397799045330561499984357732592E+42643332290902', '-4.606231727708052043944203969801798e+189700093218819', 34, 3);
    T('-3.07799145252971283424108356100308845973145104031326E-6902732626', '-6.266092E+2235541', '4.9121389416716397305387210417642902e-6904968168', 35, 6);
    T('-6.444583E+24672', '8.628235356055952403066652E+7730', '-7.469178498331876230531113985543486835748361201886594480938284819600698e+16941', 70, 0);
    T('-5.663963689124003285878938183746371064874358E-4999321898635', '2.03714513771254184571604327621414051896E+207028', '-2.78034371939e-4999322105663', 12, 5);
    T('8.8526348490354492468080461013164953E-85040201', '-8.06333209948597445190183116478066573219376E+3730225', '-1.0978879128145784399656457637297631140398e-88770426', 41, 5);
    T('-2.6897781004883970304998746889318885122716E+122067206', '-2.480507163E+1261464545712', '1.0843661895478255591314e-1261342478506', 23, 5);
    T('3.823900659E+86', '-9.12227331433465597711E+939875340393', '-4.191828645378513100841210556656102478865829453560577972354761153354e-939875340308', 68, 5);
    T('4.61706208252036070589761766375103429505E-56944784038374', '-6.271452948912395802422871793592004304919289305160E+2413', '-7.362029373625545753065e-56944784040788', 22, 6);
    T('-5.529915745311102930446662481192693591552467196006E+639', '-5.427550475074959062E-1488', '1.01886031e+2127', 9, 2);
    T('3.23789548286749764312621376755905E+9391320557', '4.4230019065974886205439524606331E+967884275112858', '7.3205835114783717408174505475747185522651333173369797973870675764205412655214e-967874883792302', 77, 2);
    T('3.31851E+8188403160415835', '1.5420012375228158376210313901034E+977786', '2.1520799849234222761228591525142111330268324282029302e+8188403159438049', 53, 6);
    T('5.0038687186825295379097607794017668026527E-3081373834579', '3.345188648317186906162E+95366883886694', '1.495840517454747895003177152880266e-98448257721273', 34, 1);
    T('-5.0927788598811257071E+615795696', '-4.5924264757443641481107304635992708086192725E+31890104277', '1.108951637392444451979249905127224252264509651571702678254449282e-31274308581', 64, 0);
    T('8.9243891807178528335928617167254753582945925775174143E+3495072483', '-4.416470717185439898371757842536477822E+9068', '-2.0207061e+3495063415', 8, 5);
    T('-8.4630E+90028', '-3.2280431487352079454982117E-160324786745', '2.6217121674212814405981837411764139523882246065291641355e+160324876773', 56, 4);
    T('-8.6852473650881270436875064846690306E+50672817655742', '9.420138327644E-34988346796', '-9.21987242968684621016783673e+50707806002537', 27, 2);
    T('5.43614930168074797925974134135940427649229915829E+348824115857', '-3.10895629497935654E-56222097211', '-1.74854478027226304044570063426e+405046213068', 30, 0);
    T('-2.18548387221496952970657E+64580570172230', '-9.77134010741932238513636578071109800754508032720582284E+1161755444160572', '2.23663e-1097174873988343', 6, 4);
    T('6.440541333914831151570905379438987215954E+2037839663638482', '1.384763569869132E+7233283485', '4.651004311532761353486916753772713e+2037832430354997', 35, 5);
    T('-8.5061000003441500847389E+217983797163193', '1.054133572622E+38084336491', '-8.0692809917e+217945712826702', 11, 1);
    T('-7.1823E+60', '9.928071420390245061521548E+669787772714280', '-7.234335548039080915373588962496344669153319072929996570323261714e-669787772714221', 65, 6);
    T('3.48426278158529226736709801212861460881770467915E+2241', '1.73038280460697793734504E+246248460099', '2.01357917583830435e-246248457858', 18, 4);
    T('9.079E+598', '8.0489389165220055E+35432', '1.1279747671e-34834', 11, 6);
    T('3.9272460851513191654E+70097475', '5.30243464566521213426178428742400861530493813203420070406E+357', '7.4064959732448151013913166998220253876226437426e+70097117', 47, 1);
    T('-2.62448627767189908140154760E+43228909112476', '-7.35846363790530802483375504072799575685542554123278E+4303076', '3.5666226088e+43228904809399', 11, 0);
    T('-3.223075030E+8063', '7.0307639841660674933516009493881670251540953651200', '-4.5842e+8062', 5, 5);
    T('-5.1462283817122E+44942989190195', '4.6810960513625E-6067963', '-1.0993639791292717820725697770987039838037537858398324184768e+44942995258158', 59, 0);
    T('-4.104520142786757241902429598540375222E-3918644723786', '-9.83E+596', '4.1755037057851040100736821958701680793489318413021363173957273652085e-3918644724383', 68, 1);
    T('9.407429189E+7225928', '8.56866510468997944286471930088482224E-3290125', '1.0978873691598625797686287553740258679784687015e+10516053', 47, 0);
    T('9.03059312805756928891687276039716667345571870718311389212782E+14028543', '2.83933E+601193', '3.180536650568116171391445432689108583171282910821607172159565813062e+13427350', 67, 5);
    T('0.0005290494258', '4.09793015594390605736692663435348439061804905026972E+9717993321', '1.2910162098117560472183773479814656e-9717993325', 35, 5);
    T('-4.86257843E+5108329783606479', '-7.324315491637126767740280616535046E+7760646', '6.638952726097164990136712930508904470611415190089129084600403256e+5108329775845832', 64, 0);
    T('3.588329656963938092384214577984018114251883E-2502', '7.6E+2', '4.72148639074202381e-2505', 18, 5);
    T('7.74934038080648667822674330080E+7888362350', '-8.55056183371038854886682871776918212527684E+7407412058552110', '-9.0629604598084944873571128126e-7407404170189761', 30, 6);
    T('7.08400285914450972645526309881107359210142144282708107140554', '1.79463E-618', '3.947333355145355714802083492870994e+618', 34, 1);
    T('-9.236184007807101105509868167805E-12', '3.75048869E+9695282', '-2.46266147460562028931484877182898530484569998796610155888e-9695294', 57, 1);
    T('-3.49755803570271054104282234014E-37780', '2.23616E-71', '-1.564091136458352953743391501565183171150543789353176875e-37709', 55, 6);
    T('-4.35772144453171552085332548552835888218228023217978E+72635803730', '8.076294005952794262806242327435311663518112177869752164E+63675435', '-5.395694412956944913499614736600832132902085151516377940680114498e+72572128294', 65, 2);
    T('29367.501174608190005979972911144', '3.33305441941107394533877879664337073705765634E+885', '8.810987604516e-882', 13, 0);
    T('-6.8544255236967000640E+801268981', '-3.3074653624601506379127795551812828266529382440557525E+55389138819755', '2.0724103724545911386926140138467336568125409012983038304e-55388337550774', 56, 4);
    T('-4.488646467630675550895E+74', '8.1780324605353217754624039712E-235917168844', '-5.488663060817e+235917168917', 13, 1);
    T('2021551643.9647472569410540869574', '4.72273374664120521778717E+7786779785338', '4.2804692206128897808452009753124503191987168608297330787885e-7786779785330', 59, 2);
    T('-2.1617687274697211259853E-574621396', '2.66656636165205576074928925333334259363865E+2062503041', '-8.1069376654493226966277532207272400958583747014195080926250105966562427474806357e-2637124438', 80, 4);
    T('8.86873194104392551478549611803230649822825345573410630E-10429455687203', '-4.90772465384501759E-148757', '-1.80709647883273316216845507861128153916358024796844834e-10429455538446', 54, 4);
    T('9.96629705806068540658834225917023118095295339483575601E+5153553066535', '-4.074663668096492266456726489731491575730844416561339711164E+63776657', '-2.44591894445033080066938e+5153489289878', 24, 2);
    T('4.77378016098E+260435690', '2E-7554463261563', '2.38689008049e+7554723697253', 61, 3);
    T('8.04498794463782428497756779998592251678887292615725968054E+70534172087', '-4.322159849552850899013232436933408210919549024861E+66695035382546', '-1.86133512518518226780511472982660981634097e-66624501210459', 42, 6);
    T('7.2020633111481539E+842773182117291', '572590.93335854511149922150899358979327261349274689161353', '1.257802541319382781037920716827e+842773182117286', 31, 2);
    T('8.99705692863809444E+75781715', '-2.51770454736529345028506657975106770904606268921173301332E+577', '-3.57351577970229265792576718139851861897498818277511171057734042786e+75781138', 66, 6);
    T('1.975997926652227710309E+8844391083', '-1.7506636682190543011508E+50', '-1.128713620168061965540085492705037e+8844391033', 34, 5);
    T('0.0000023955649467924985884315540032237697041', '-9.76798030787989751858378668186469377077355575474E+885300233509', '-2.4524670108722267970723573e-885300233516', 26, 5);
    T('-3.752259206803535221564528E+7973156', '1.72901491755802668E+61599', '-2.170171679087093454181883040927605652648550340588701957757e+7911557', 58, 6);
    T('8.13943807178731874980348975E+69225', '-8.51519655E+1290329136', '-9.55872014e-1290259912', 9, 5);
    T('-5.798044207192238029741227148090803E+3475712', '-9.92601896100956187847026985789396627168E+31527443218', '5.841258444062579994305605023136122849e-31523967507', 37, 3);
    T('-7.196585E-436533161837', '2.9598132205915184101538757016211431063327014214E+68768', '-2.4314321423842289361555892245645426222602344252242517e-436533230605', 53, 4);
    T('-3.03721315315097576309E+8184754682940395', '-5.61491287179826638181754126732787471657701712784E+2388208', '5.4091901735569750326214234596080668892550843328786671948028987005e+8184754680552186', 65, 2);
    T('3.9803256261546309195175765162724441495511062205E+5298355010803297', '9.4875531924826363331375292600000309477730388974944844047E-344576', '4.195313106975147556133086596667771726e+5298355011147872', 37, 4);
    T('8.3675974715717912075840346307E+4892813317045182', '7.70259311123127226067972743647709552459335771E+90046432738791', '1.086335127759879412736021749603e+4802766884306391', 31, 5);
    T('5.063158611084624991E+54399', '-3.331964E-43472895', '-1.519571823430452727280366774671e+43527294', 32, 1);
    T('238715754453412.0723', '-1.63503625632110801808789577325215810212582588103250147289941E+53363437419151', '-1.460002819696e-53363437419137', 13, 5);
    T('-7.833066103721344061138648752755195002332134059343E+454', '1.8957244258670854292619457789E+52868793', '-4.13196453917007363293176300304454021779155335201673754372204970196891e-52868339', 69, 6);
    T('-9228187.069103237493574505344', '-2.58415433093E-39866934', '3e+39866940', 1, 1);
    T('7.2965712171163261414933E-918244653307', '-6.7694700E+76437', '-1.077864473454543e-918244729744', 16, 2);
    T('3.147534544362497491233303452407576567E+45097', '-3E+6989314935534', '-1.049178181454165830411101150802525522333e-6989314890437', 40, 2);
    T('-8.76041490320151103541355006161399358255259560243257E+456798259', '5.3856925357498413283624762763308807518268638818647984384273E-2902471172', '-1.62660881e+3359269431', 9, 0);
    T('-7.52445009573858186452821835338874126103607788491299E-8027253993038', '3.695E+65793212458863', '-2.03638703538256613383713622554499086902194e-73820466451901', 42, 5);
    T('-3.73585460002387946074914E+8461', '7.94060530431750459488896663724962701254501335841312089E+8333907158', '-4.704747883631242066914e-8333898698', 22, 6);
    T('-1.58160698038868025E+5395', '0.9085680019658081962073536189427251182459821713851278', '-1.74076896497199e+5395', 15, 3);
    T('7.2602464775959090336707027428357E+727363164747', '-2.97904532559246218090E+971711', '-2.437105073636976787743665625593129e+727362193036', 34, 5);
    T('1.44504363951257155891982E+1229', '-3.9721858795945E-9942692', '-3.6379053833706508775352171915078e+9943920', 32, 6);
    T('-6.360990822388895373003823328152088130894248E+257100861022791', '-2.65238543746941104194013522355615649771529121406E+483544', '2.39821510574186836082412155433663343113326578222980442266598637612276865e+257100860539247', 72, 3);
    T('1.40003632761114634728888181183124680398675016810784045E+5793602', '9.99644319182481009430891E+8167091', '1.40053447085670418670602342386211384002154e-2373490', 42, 6);
    T('408420852043933486918.56688320', '5.268461253275000222819005640523E-7', '7.7521847919076830585068684768129129391424517e+26', 44, 0);
    T('4.504E-98193890030589', '6.9198089117915858374878464307992020085836E-32507021', '6.5e-98193857523569', 2, 4);
    T('5.7481714313272255816124557308E+176586528930142', '6.958638945336404517E+7324', '8.2604823680061463851288282898947619614372759530395093026660875e+176586528922817', 62, 3);
    T('-8.9100729160737852629025E+9482183', '-4.28471097489660514706758E+6655730101', '2.079503837779582147050682426283977189737431482042959e-6646247918', 52, 5);
    T('6.98151427638E+4053990058354', '-3.4828E+539', '-2.0045693914034684736418973239921901917997013896864591707821293212357e+4053990057815', 68, 2);
    T('6.95943147232540738817200E+832929503839', '9.83873418790849824157029633277143128681831572505433E+18287240', '7.073502891132412798396887487322215255111445e+832911216598', 43, 1);
    T('-9.01047399772168936556505625686566736931235E+961382', '-4.3643539E+206', '2.0645608042284768349251091339924719141847e+961176', 41, 6);
    T('3.35419775136682786163802990362742042864469802572E+620086940', '-1.320663951069813390539197712188534024712E-225350836296328', '-2.539e+225351456383268', 4, 1);
    T('-2.9807460337805189600304841983497247173642337796689224079470E+11392899', '9.2398763256682023390747585755437415541415082896790E-56655666', '-3.225958799361916392837910594e+68048564', 28, 5);
    T('3.515383613522174089988907566320944E-346319880520088', '6.08160743792646670153123227104264E+8350823912179', '5.780352726e-354670704432268', 10, 5);
    T('6.0261779262850028026645239652619374779E-748933', '1.918521544645389799310814205972598729E+58647935828369', '3.141053038004247302235319350576384961970753478085939558201266754623e-58647936577302', 67, 1);
    T('-4.68881612786245617446065436E-72606', '-5.511792940889880475915621114893936522531752984246629E+1972504603', '8.5068801e-1972577210', 8, 2);
    T('73.120272882964974728668314474407410635391141568890', '-4.859633296729068E+8742760960', '-1.504645894417196432822e-8742760959', 22, 4);
    T('-4.53633532459614313468399E-127026335057', '35773589.4802', '-1.268068256641374576860371157941401125745006446438681464e-127026335064', 55, 2);
    T('-8.74683236189427646595348079116319734545977899480312E+36711815289807', '-734.39238852916810937846313241988972282', '1.19102982254654394264367971506764699820662468898685275270013496439338102e+36711815289805', 72, 4);
    T('-5.2966598365131102226525486442008004466868483481418884801E-447', '-2.25643722777748891849298157397691933595442152E+656705603', '2.3e-656706050', 2, 1);
    T('-6.276849698114586082000714790122638269106E+45884782497', '20187390157628394782299888009136894044.8850861244501064908', '-3.1092923103e+45884782460', 11, 0);
    T('-1.9505375159E+414', '-9.4699691217667397702296398248692495923849112836070E-89773', '2.05970842229747748271961637391502443270602649775032480832149035893330169e+90186', 72, 5);
    T('-7.5769138850342089712683698249467862968356640591E+24160', '-4.7375932734800574269556956654364695877E+8882283', '1.59931708942766495785495277193755192708990382598230693631530096084e-8858123', 66, 3);
    T('-0.000007446296555', '-2.938616682037390525169674824720525308944660E-54198221', '2.53394619329437755539190288563713200709440632239981251594124834223458e+54198215', 71, 1);
    T('6.9850787281105457031984964336777958021458138E-5373', '2.52527222656888109054773E+32815502724807', '2.76e-32815502730180', 3, 1);
    T('-7.4579638844072266548606201525106887457069919E+4505806936', '3.81429037795229820910369960258452731822372834E-11058243', '-1.955269039692524555281261032703456705406136378360932898800094e+4516865179', 61, 3);
    T('-7.6829728314506664035063968211728406382489663448E+577411528', '6E+74814', '-1.2805e+577336714', 6, 3);
    T('4.13E+7445', '-1.50397386291145425135723505958860E+902845586808022', '-2.746058360352736923416970759610553237831669951510454247655417911810343260715e-902845586800577', 76, 3);
    T('3.7116231846E+10189626029801', '6.2480901218582715190848482235263896036351460149E+82741', '5.94041236955799556905735552654309858377176690879772254139032102e+10189625947059', 63, 3);
    T('1.984281366036712240688230806372829428721082469157978477E+676', '-3.085255861612370224933225455508875897473419234803803933355E-42494951462567', '-6.4314969488453279285e+42494951463242', 20, 3);
    T('2.0937030713915367622544706057110889E+356635', '1.03590046617E+700825344', '2.021143092185791560965362130020489186551362009220554263591291574136120171e-700468709', 73, 6);
    T('-6159.68098879475531937096', '-9.983905E+6592977314739466', '6.16961097766330440781533878777893018813780780165676656579e-6592977314739464', 57, 0);
    T('-6.716152446066996795904793808969255278976287977E-1561297984966939', '3E+7910849', '-2.238717482022332265301597936323085e-1561297992877788', 35, 1);
    T('1.30127916969375380270955660288381012194648178E+6717256147210', '4089690596037613035944898995049463242.9', '3.18185236544428773205481585074857527584434451166951206862471434328563695008e+6717256147173', 75, 2);
    T('-28.6349764437509362420290605788137686386423017593384149141333', '-4.6479203775842955442668824712944E+533733156362', '6.17e-533733156362', 3, 2);
    T('-980240.77556058132316676655809826', '6.945263181811711294229E+31944', '-1.4113803176352490028686532073568953745544408839318642194279427586453973625701566e-31939', 80, 0);
    T('1.54334791636397463665701805271E-8782027689', '-4046824.9714501187976129497180558255964641121080570950', '-3.8137253952224653496749101113486711608289042386780451336e-8782027696', 56, 1);
    T('-5.8758E+92542344584', '-5.2530E-40495630982', '1.11856082239e+133037975566', 12, 4);
    T('6.41217923933970875442082958246386506281037E+1535', '3.94713928762094943885597777194935E+4482980471991', '1.62451303896207509093e-4482980470456', 21, 1);
    T('7.82851323749712216910043201274997240032E+933402490277', '5.2370413377032130133527569685297304077141E+71', '1.4948351e+933402490206', 8, 5);
    T('5.58019329028873198103218852826952530E+514708867', '9.1387570544795978021786584392E+3186', '6.1060746631331622e+514705680', 18, 3);
    T('72101.9953716534069793452663269239173589', '-5.964469116867390469841307413201E+888774', '-1.2088585582202196962718257117249e-888770', 32, 6);
    T('4.566760949E+40614', '1.4154917E+442253393166', '3.226271795871356928e-442253352552', 19, 1);
    T('-7.151279E-80', '-1.49515954753572510348884068024389E-746673', '4.78295377358658005122110780755806678942234539e+746593', 45, 0);
    T('-9.41154478246816815562237075494145777E+240968432246670', '5.119591263626622746640927147086668940632799792553E+497819956992', '-1.8383390973679421761237324822576704e+240470612289678', 35, 0);
    T('-7.3127782205375614213438926955959490136410405142294724463061E+39042', '-8.97715E+75995113435497', '8.14599089971489997e-75995113396456', 18, 2);
    T('4.8919961689526686934728817218084665013886E+9138', '-3.58246702432993551308313508262281551275821017906630954818E+958', '-1.3655383666420955984883660657502119854014145726290367676716180551004704e+8180', 71, 3);
    T('3.21884459041650558901561194679897086758244115101E+174758066737', '-6.5014805300796513833311805444895765442426E+92876176416062', '-4.950940905727930650009031383670652480687313147934792659069414950514e-92701418349326', 67, 4);
    T('4.84922955938924070378997438087723E+2778307144504', '8.486396573192572871466914717254226870467586609666E+819886955301970', '5.714120849251057310688148815783959716882278e-817108648157467', 43, 5);
    T('-3.17708893105E-6018277', '-6.171054976824E+3430', '5.14837243061659302209592361113215254306e-6021708', 39, 5);
    T('-2.1605172799728598447E-7061827', '7.9853410149607944657797E+26891421', '-2.7056043e-33953249', 8, 4);
    T('4.0148708100776372285389657471483627E-3158914019295867', '4.3325153138999155772367534277766564788215268352104733E+626314595657952', '9.26683581982229508150755233366628496498e-3785228614953820', 39, 4);
    T('1.922086588251601160946315452047549648407086E+97191375409914', '4E+9971037', '4.805216470629002902365788630118874121017715e+97191365438876', 57, 6);
    T('2.65735053E+61390', '-5.57622537977871290757260E+5211181395562', '-4.765500583309375448529953496723228957952703301503758810365292553020484541881498e-5211181334173', 79, 2);
    T('-591.5048220986811921130245109', '-7.8522280373975007879E+67298486731', '7.53295522342886889019344652618145893798707467336109925271682833907934295511e-67298486730', 75, 5);
    T('-2.42146979151114725920685464699188662529034E+2896209439143616', '-5.549276915675055140487716072443086478566827736323476E-539205933996', '4.3636e+2896748645077611', 5, 4);
    T('2.374141356022858610533594033788656983575296708437736089484E-23257327536', '5.0588815517696E+28', '4.69301629565211394770647664126968712508442281037949312918632163e-23257327565', 63, 2);
    T('-3.35E+5549588548913354', '-1.5181903630729905260E-2439786', '2.2065744069269533186862046e+5549588551353140', 27, 2);
    T('1.7423338959210001606051885534844957305839E+69868', '-4.910491400642248E-2445442052', '-3.5481864313887579493297388769286575212430518795525622e+2445511919', 53, 6);
    T('4.01496768721532731120456996286282021550E+9311034899', '5.1191809962136797E+27', '7.8429883416603827e+9311034871', 17, 0);
    T('-4.7E+637653253277', '3.4131136782388460024196E+9239777484', '-1.377041740498131479205039561359876333378581729914330293189275224923288005e+628413475793', 73, 1);
    T('-9.4642253664494645345106E+9700', '-1.07913712016703807251731718309999453E+6673945495', '8.7701e-6673935795', 5, 1);
    T('-4.754528348385725420771356833872276004070945459152E+1494332656084932', '-9.1943078946114032454634522600415431428964933052196E+51', '5.1711650326309582605691974936738592698593599255064193346860219903306480728e+1494332656084880', 74, 6);
    T('-4.73947036103974120758317009E+801946072145490', '3.1393038885531E+11048', '-1.509720157491397019056180775436935467875237121e+801946072134442', 46, 0);
    T('7.2523229733586441522559953207483672736E+909778017', '9.535045349701751008014669135149959929148E+7185', '7.60596589463047631794517873374733067900058245092432e+909770831', 51, 5);
    T('-7.9764706206461836673234704466449432679', '-8.12406934866752758582779E+87184225', '9.81831921702446769283877415233476659e-87184226', 36, 0);
    T('-4.542039962457684821212103463346447882614646401682637817789E+576694954777', '8.14201302508117148414087E+769374451', '-5.57852210315323479769248331273262044358566731670723985838559407e+575925580325', 63, 5);
    T('-6.11974293042261E+461925396752', '-3.947152966342607715712259253746E+2320558', '1.550419500486980700545369621362413828183890796218558082966004832969742e+461923076194', 70, 0);
    T('-8.4019051894993407834185630397256082461857E+362', '-3.598373850188E+603219188138631', '2.33491725409809109735724705575615657603323861518884457776517e-603219188138269', 60, 3);
    T('-2.95626935478970130419625546086059213274698178059E+77050', '-2.51734467680147959737342191321303055003892897030242857134E+74', '1.1743601827882848005052935374720130268289462e+76976', 44, 2);
    T('-3.88631955700067641487483384596747402687460554498268E+543302', '-388.591599215528', '1.000103853208924514636947418428557945969362856759502827564571e+543300', 61, 0);
    T('2.1047E+785154', '4.241010222553E+296517914', '4.96273267347376104286338835032794840603160529978664179442715e-295732761', 60, 1);
    T('4.65924442311689631E+646421371', '-9.3454796616400456268E+1926814134448564', '-4.98555942745398026620418408852e-1926813488027194', 30, 5);
    T('-8.510027142680675030993542808901E-503046479708360', '9.490281E+67119', '-8.967097120391561673456816303859706577708289143387851213257e-503046479775480', 59, 2);
    T('6.285458453119879E+401548941864003', '2.898421699958426569332237346037288120715E+52159549035', '2e+401496782314968', 1, 4);
    T('6.34913445208683970930E+7873970', '0.000022450', '2.828122250372757108819599109131e+7873975', 31, 3);
    T('-4.8905776141E-899806244637975', '6.38930364960448549E-1513726910345', '-7.6543202237738997915193816663936281061374597977545151425936027e-898292517727631', 62, 4);
    T('1.3938183E+4946820841', '8.2799702097167774E+45882032', '1.683361491282076245332383504747087190354949643771607695310544908e+4900938808', 64, 3);
    T('1.628363061959484371196766766462875827594E+3988', '7.10E+495290918520812', '2.2934691014e-495290918516825', 11, 4);
    T('-3.565785274863760207879937471192741242730890E+82458', '-4.67474899080111648395836922603529036807007147736220313457E+41464874971468', '7.627757729624511802067112192635281654636134670970086858347392298e-41464874889011', 65, 0);
    T('-5.506099108862700559313001E+61', '-9.54183840967467668803461642503432314500235705593525264094835E+608', '5.770480354477547411503463759e-548', 28, 1);
    T('-3.09871675066035965712071E+24', '4.4519656372608147755248578894188166678897771365782E+4628708580', '-6e-4628708557', 1, 1);
    T('7.91479830304067145983E-807577059852995', '6.63460296459972869674641902056702395328625570472E+7986', '1.19295734e-807577059860981', 9, 0);
    T('-5.471539980514605165723641448886489996488732475220726888E+6191196584073', '5.9249719435521790453137196910000444117359179E+4836450103152', '-9.23471036258489133329480392099678812478409360201846810734908645469877e+1354746480920', 69, 5);
    T('-5207812.38938448927', '7.76603814E-660329920', '-6.70588052170509848925362089452730913319980166875667700493677977224046958e+660329925', 72, 0);
    T('-3.1518690462745192931964540349402843962868969265786079E+74888722977114', '5.8070198754819E+5256104', '-5.42768771910386998979031140328633590179081038e+74888717721009', 45, 4);
    T('-6.6345374607841693193916899860165766648870163109201137755823E-1089', '3.97571182579207784946010475238707761872454867E+95823', '-1.6688e-96912', 5, 5);
    T('-2.36415149213031000796673706542764039E+33801', '1.5039318319950095747365713852327514750133964784936E+300035996504625', '-1.57198048597335285280241031343446778683908150131965183e-300035996470824', 54, 3);
    T('-6.00E-5017', '5.59436799473099335041394799629730916214E-939191380', '-1.07251e+939186363', 6, 3);
    T('-6.0382787388630076965071041851887298523E+9157645126875', '8.6000317959253012603325528898357625370232E+448', '-7.021228388625198738348786069890169775044003009996459012e+9157645126426', 55, 2);
    T('8.93081345167532679853924235123083914922306E+8343986141', '4.622968499818844930662220599906783454E+197034', '1.93183523790510114e+8343789107', 18, 6);
    T('-69154180035300748188207124268255765797.006243', '7.7377572273233545889499030676118669191854145098768E+7954', '-8.93723827249392341012219636552471380963654723006455005867661304709903113e-7918', 72, 0);
    T('6.907341816988607418E-332', '-56101247.844727273', '-1.2312278393710988097353641254836993305714731e-339', 44, 3);
    T('8.94067846535504878504E+7356550435', '2.1797895717722114829093142557521366449111343E+31828', '4.10162457015798209513546937636857395e+7356518607', 36, 6);
    T('4.6E-3552840801069177', '2.7869623768524431E+79273559717505', '1.650542554218179509575244076600049248777e-3632114360786682', 40, 2);
    T('-4.201858785501263695232574757491E+3794739409547796', '-4.2198335953', '9.9574039843211911670250092467929407121472328546537935564266869942941420422792187e+3794739409547795', 80, 6);
    T('6.21938602766862061289380E+1804245857508', '2.7802076293034285049148202932896549707408412079071645E+220722', '2.23702e+1804245636786', 6, 3);
    T('7.30881E+64', '-2E+20', '-3.654405e+44', 54, 2);
    T('4.91662315268945320150530831E+1347914821754', '-8.60877755849613236662379322144320469039714947714018769E+583', '-5.7112e+1347914821170', 5, 4);
    T('6.70891414217247915869963737794E+9186994', '-2.95825751468307475699E+249573985764', '-2.267860086e-249564798770', 10, 4);
    T('6.677322340720790413637862806185203941E-68400696535141', '9.583413334002E+772921421167', '6.9675825387073896369730778099169997935080367473e-69173617956309', 47, 5);
    T('-3.63522420414184766439810350197622748798663704810867E+2488099508', '5.8905538423349809044678016E-195942', '-6.17127744086770993054568357545902972982553e+2488295449', 42, 4);
    T('2.36709054435312E-819827533330806', '1.41189766E-6494441481', '1.6765312468561779470616871763920906278717113250262062195074393706410704016607e-819821038889325', 78, 0);
    T('-7.65639642957E+6373585496', '7E+76', '-1e+6373585420', 1, 5);
    T('-1.0621937730989E+1174234', '4.1633990848462157157699822542152775938987E+484931064603380', '-2.5512658081831097357297798612785519948650031763355776333599e-484931063429147', 59, 6);
    T('2.749E-9337463427209', '2.735914100E+6297305676936', '1.00478300835541583706886118975738309912580954204e-15634769104145', 48, 3);
    T('3.376121119830068479824673536943830938415927070921718521920E+426527889', '-8.166E-2896', '-4.1343633600662117068634258351014339191966e+426530784', 41, 0);
    T('-5.131589816986809721E-7', '-5.009593478100119152222E-379723260410', '1.03e+379723260403', 3, 0);
    T('-4.91577579150748E-700241243631404', '3.6879799049700631796418669120608653555120412377951E-2467', '-1.33291826912689843e-700241243628937', 18, 2);
    T('6.920415585536E+50610263', '-4.81028195285420654878397E+1762489775', '-1.4386715068603690400248227576413381103975444584e-1711879512', 47, 5);
    T('-8.1109838738691739443571756911643E+38252', '-6.5640144391182685642603135379398917701986371901E+58792065293319', '1.2356743e-58792065255067', 8, 0);
    T('9.643119777190671863203592558187932170840368677191599945E+747549169875666', '9.5469711556939E+212025972356649', '1.010071112599877077786199496892906e+535523197519017', 34, 4);
    T('6.130130114678990689E+23987590006635', '8.917589598388865268131810081743382316895530575E-171245497', '6.8742007546372363311752508267771760269856820779358881902173884142909643e+23987761252131', 72, 3);
    T('-9.0587971402550784153920840345286978923714193734301919304E-6756829217345', '-4.357184258447813832140316691E+936477', '2.0790484411329780779179005062392292592388940558366416175e-6756830153822', 56, 3);
    T('2.42925043944047945502210693390526240762519204E+49551064982', '5.2020909966217345863653849660803560301942386271807906E+1703339440862', '4.6697576820898510652120006e-1653788375881', 26, 2);
    T('7.055106304885403159813759721531308234109835773118728200E+312336', '-6.94845972860281779943585224238540132114913E+7183400772689782', '-1e-7183400772377446', 2, 2);
    T('-6.332849730938816176399798976405971E+51', '-3.098167823044113873399E+7205073596295893', '2.0440628437992284470539606080334510036694289e-7205073596295842', 44, 2);
    T('-3.266657812886786981153595839987208713968846057796945190492E+8782409539', '-7.4098754831E+151522110047205', '4.4085191719310052938365763184159068422832861648697050431168533437e-151513327637667', 65, 4);
    T('6.597963E+81194', '-3.5227852879426035614402104772514023982618446617914283766E+4881990', '-1.8729392968066409289703431278677442407389575446110869217236833e-4800796', 62, 6);
    T('2.3461666731154321633119923726770E+7925259', '5.546265537145572738895332834200014328683938E+79', '4.23017372212384999236059661463215990222725918488831927842621360285e+7925179', 66, 6);
    T('6.004920689874549289108094015708742910E+31036582386262', '9.41652544738015983651766124393121018408722567723212650614085E+96085718', '6.377002561539534768042491505e+31036486300543', 28, 0);
    T('-2.938444360848E+34049', '8.6E+68307', '-3.41679576842790697674418604651162790697674418604651162790698e-34259', 60, 3);
    T('-6.460391192078647769683797482958961939963337286E+8328143673111171', '9806137086348794060704411252423540580292.17473189', '-6.588110216276919788324334967773e+8328143673111131', 31, 1);
    T('8.304378E-39787809685', '-2.3355720430518828322479130938379880126951644256057827E-300708', '-3.5556077256125663432736e-39787508977', 23, 5);
    T('4.4260218260115415953944287E+52', '5.8692598321389E+7877', '7.54102212646222611133817048451555554163797826820533318971085e-7826', 60, 2);
    T('-3.298337829915086072251E+69660650', '-5.555634041E+983131447454', '5.936924220662658424824422303952831582846e-983061786805', 40, 5);
    T('-3.8227378983612444321E+227364459211', '7E+54', '-5.461054140516063474428571428571428571428571428571428571428571428571428571429e+227364459156', 76, 5);
    T('3421094040709675669298465516905673723.03', '2.558108495280372836939853E+43698839143564', '1.33735e-43698839143528', 6, 4);
    T('-7.983993295E+65911575386661', '-1.449759994806801593890230126348398935722271071847551E+676176374', '5.5e+65910899210287', 2, 5);
    T('6.969675E+976', '-1.269870856255805993360E-698303739', '-5.4884911844894021731167956284787084e+698304715', 36, 3);
    T('3429366.0341', '1.3953404706318349843033969360981603335349513168E+202159370', '2.458e-202159364', 4, 2);
    T('9.2080120418E+609505557291120', '4.2594265544443390476837266802509E+941', '2.16179617704459414547888082621610747164e+609505557290179', 39, 2);
    T('3.419377631274251926971349E+1468013', '-9.4685030791E-88', '-4e+1468100', 1, 4);
    T('-7.611909784564E+4452078254441158', '-6.130907643871241299598613423356014631E+78', '1.241563276878463784276336407368924418931207945827625e+4452078254441080', 52, 4);
    T('8.52925020006860027995503539654365792057168194187869692E+8703828392029', '-2.9778110338671E+4486138', '-2.8642684519145554207837889998112699177561713991380462e+8703823905891', 53, 2);
    T('-488321.323467068367335410037090442466956942950680835789809269', '-2.8964275032343345849111501251050E+2756141942979', '1.685943538796597e-2756141942974', 16, 0);
    T('-8.4504197773640728797516E+2289806', '9.669930719749267810944277599521269856855718E-61570861566975', '-8.7388627925797428045438077639812780957669646364207e+61570863856780', 50, 6);
    T('-6.3489986343728894333129727782479293462471821E+83713994', '-4.770348127896802196462380589901E-37717420645', '1.3309298324045163834801389127634464771308e+37801134639', 41, 4);
    T('8.530498891816766148289342118810206435941167440E+618539', '2.729084393953E+84', '3.1257732119674703944871164828298457195436112221667519921488502e+618455', 62, 2);
    T('9455931.6228101306202994087524998452424', '-2.8763834384793695592275935715372714665143459100E-1300081991068373', '-3.2874377929978308457e+1300081991068379', 21, 3);

    T('4E-8', '-2.096865118520526410E-677', '-1.907609585695363181999e+669', 22, 1);
    T('-8.364E-903', '6.39966830549593138518987280913863903764460195E+961783394916375', '-1.3069427352691283081950510498911e-961783394917278', 32, 6);
    T('-7.2176457506546659639646310606930089184E+38305445131', '-4.1860292805761643389E+9831480517505', '1.7242224711961953748520724299248396374134865567928237e-9793175072374', 53, 0);
    T('1.616497338837E+752176123632', '8.028856227239701929968008622638611E+547', '2.013e+752176123084', 4, 6);
    T('-7.91701133323250211722641320950446E+4291615', '-8.3433733100675347193509549866191761694910713404567E+62187', '9.48898130169896299211948279718207156273039876069426965865110975279416441e+4229427', 72, 5);
    T('7.4703827486785270183465487927084661279297E+867425335609', '-3.45174153392043738627889113511787E+920', '-2.16423584305681657e+867425334689', 18, 4);
    T('-3.2553017526511432978811805980252963E+52', '6.071828E+5822608', '-5.36132e-5822557', 7, 1);
    T('-2.5879410217384743903093630429955950E+675491768843', '2.700113594067367324474797115547402544739292E+7212219143', '-9.5845635066044771386736359e+668279549699', 26, 5);
    T('3.3872383140396691642764697168979067E+9401009', '8.29788132746949912163317327961446188834022324046184160419E+138549652', '4.08205200865729034e-129148644', 18, 2);
    T('7.078300753925269157239335708935953292546190356271769E+5940', '-9.517337146038545778764800463077145726E+995830837687', '-7.437270157936466171529643683107955257600987e-995830831748', 43, 4);
    T('7.478682676581858615406266974007E-397445847020', '0.64', '1.16854e-397445847019', 6, 5);
    T('-5.636234649424406532418392559979525563492339469688E+946747149674132', '-8.78923016063469051315389975460330330051000486202074E+2637541754', '6.4126602e+946744512132377', 8, 3);
    T('-9.93744889376224717175997290902636472265E+160540988539', '8.410624724714346573094544258E-969430649273', '-1.181535167603112471695152704213726963e+1129971637812', 37, 1);
    T('8.52051361586179371998989006556604907538623358543E+37146027105793', '-2.672652705761343317012272E+7029', '-3.1880362149165219180133233247651336308352188232178648519141825254798351509890824e+37146027098764', 80, 6);
    T('8.16277801837517570449771336406269088606075346428493E-63890978', '4.8791889526279962203E-5342985485958114', '1.6729784596635870467485155695123372e+5342985422067136', 35, 6);
    T('2.76215466912534965252095047448829542205313167411141519946920E+7679649092', '-9.40937827392322439E-57326377', '-2.93553366515221831467704707232875102312079399789814158103481179459597439782612e+7736975468', 78, 0);
    T('-6.9539840573024814315267171206461888224429158360174638847356E+8780165675740', '-314.8302418142734404753113', '2.208804343962870551108246974166537111157428384396407540643381580977215221e+8780165675738', 73, 2);
    T('102798693.144604084035039675587505298644', '30995028.757642367186302606893981764630061749', '3.316618737424376992283681460064120887077106993624126889029803457793e+0', 67, 4);
    T('7.51073731160450813177515882183746343157956E+900958861958492', '6.906584804309528732266188544E+569773403255956', '1.087474855433325599168524289e+331185458702536', 28, 6);
    T('3.27140933445615839243562916279898961539596E-89197400', '-8.806577540667981733011238983998857625846283426111743080052E-43', '-3.71473403754078675202171217114873196457968293079780664401000915333e-89197358', 66, 2);
    T('-7.278995810952211728961E+83167798', '-2.076765447688340205711042619608249649E+808338786699431', '3.50496769823212565349915467670594638687782748654e-808338703531633', 48, 0);
    T('5.2167105595790301161E+82619114113960', '1.811454789359572191E-8116719019619', '2.879845851093e+90735833133579', 13, 2);
    T('3.64849477E+8749399606', '-9.011127171843578388383180112142419981067123582E+23721599', '-4.04887723857697787054345993534380420110514098399e+8725678006', 48, 1);
    T('-8.36877394721172E+30955453', '7.390652678E+56581478120', '-1.13234572260760215364567832827605648714534275398944677616468557e-56550522667', 63, 2);
    T('1.37081283E+100132', '7.551655534E+6371073', '1.815248092061610182019724524156241790781872810990427784520289005014884e-6270942', 70, 2);
    T('2.376668080705173086985408014000116701623186056301936E+39446024807', '-1.1166442707284730690E+5512', '-2.1284021626284702392367169824354011e+39446019295', 35, 6);
    T('4.1046337560996511437078916493653572E+5768', '-1.97950857367363484863896878857014E+92979860440', '-2.07356199952301369498321887165836533e-92979854672', 36, 1);
    T('7983.397092374017721667267025842786514612101903691497084241', '-9.358544147076278548643705670837E+276252467835121', '-8.5305972455856039720101356866666447016704454357360536930507809570454727612857001e-276252467835119', 80, 6);
    T('46.5095891685507494117875312543', '6.89452E+7806', '6.7458777650294363366539702915213821991958831071633703288988936140587e-7806', 69, 4);
    T('-7.740711261847578703603115898433428E+4757843494436', '5.42562791011645930224401529200968805315298695051478078125048E+192032768721', '-1.4266940877782064685716356225124910579e+4565810725715', 38, 1);
    T('-5.721702669173E+1273632533483581', '-8.728594368108595415261782671395861E+35351044', '6.555124946667488843070015493038280192740739244637282374527927614050371e+1273632498132536', 70, 4);
    T('1.604E+808450541145', '-9.415488717374581391194039438031525877487637120379856E-7494', '-1.703575935511566303762306370376515e+808450548638', 34, 0);
    T('-5.49832092566135699544358079311500881354E+25991536791960', '8277006880773929571891294886961627905.320370771649', '-6.64288553200676382650619912550499474780621622733686593e+25991536791923', 54, 5);
    T('-3.19E+7246242022', '5.998545510326306533123126678337967970E-1668647735637218', '-5.3179558186372276557952674803343882356778400709187898222636131e+1668654981879239', 62, 0);
    T('6.6318068615E+7834356455619026', '-9.33196E-34', '-7.10655303012443259508184775759861808237497803248e+7834356455619059', 48, 4);
    T('-7.533692964769264124222708937524283E+34', '-9.47126714374526800113260231723532337E-57015762082171', '7.95426087178e+57015762082204', 12, 6);
    T('6.08179259580259454928925301334883784241755316782912E+7214824544', '6.3245779030212426303084702787242188435827398241352678598E-384531', '9.61612409406378e+7215209074', 15, 6);
    T('2E+7958', '6.1702256437882861945036779756283387E+210792511709328', '3.2413725452868127421425579432798065900455960998222785496256321521758494e-210792511701371', 71, 6);
    T('9.128646613889013466047218265902515358299066E-919356', '-9.344723306223562E-87610275431189', '-9.768771438967441651935172179664665891409804784217186240017157059076e+87610274511832', 67, 4);
    T('-9.118761891979408877887387681168E+59204432836', '-7.502800669239293799412168026E+69469', '1.2153810682143521204002755574513093e+59204363367', 35, 1);
    T('3.901961928E+878700604519964', '6.24981649971899665084134072398302240676E-56437566736877', '6.243322389026044924869963859306328826595861703736868755816004891830729706637e+935138171256840', 76, 5);
    T('4.154134582435024516781797514631073439713562827587E+457499190', '4.350E+523181344054', '9.549734672264424176509879343979479171755316845027586206896551724137931034482e-522723844865', 76, 3);
    T('7.9415702406077335910947988838553644728E+30245177632', '3E+3187463', '2.647190080202577863698266294618454824266666666666666666666666666666666e+30241990169', 70, 1);
    T('3.6671286810814E+59194945715405', '-9.86646982218461336644008297447E+11625720317981', '-3.7167586250919398674847092367133138331281479774353250755e+47569225397423', 56, 4);
    T('-5.65896818824302471047090078929399398364203181392811100E+5690', '6.023312495582504568464490360700121459543389930E-44672388433525', '-9.3951097e+44672388439214', 8, 5);
    T('7.0459536985524637555838356016257310531948433159251549403E+6396906039', '-2.73993251931655479662521688262591930045052E-112', '-2.571579281197041042607839808978873133129762098205483e+6396906151', 52, 4);
    T('-5.7490750160898192839950976127256620785950372995434463568724E+538385999722', '1.4809337521608812176850798601500E+1930416195109705', '-3.882060900901979441907100935139572532538277274479705178971812419927432662878e-1929877809109983', 76, 6);
    T('-7.064000287869566983712844818119855015960907630E-4658948184', '-6.4835862403926731E-67', '1.08952052551733183724017605137339233438226903334008522e-4658948117', 54, 3);
    T('7.060601723347079172475048350801919337647955362E+984194810165986', '-6.60E+6295389815016', '-1.0697881399010726018901588410305938390375689942424242424242e+977899420350970', 59, 5);
    T('-3.3186437284E-242573539774124', '7.34042742564692143858796546531E-22', '-4.52104971000040042187037042765636870512571471114610661105929305620605e-242573539774103', 69, 0);
    T('1.68083039415557320074882473256648164014973E+3766058581298', '8.2535485496710202355745872E+681163354771', '2.036494223109125274e+3084895226526', 20, 5);
    T('-7.403772688887625614997E+1843006020381885', '1.6271999124238099511053611E-287400625402847', '-4.55000804287118651762732069902345791700313136044617754339185e+2130406645784732', 60, 3);
    T('5.236824780678477981062457435421775E+483970302027364', '2.4E+81016334696', '2.1820103253e+483889285692668', 11, 0);
    T('-6.33630770624855E+1802261490', '5.777971945031357456973231E-5325046090', '-1.096631788199892759411112802094174518229312463579e+7127307580', 49, 3);
    T('-7.71450532542867E-51851193', '6.15207610199850786486940498685328577265712E+888878', '-1.26e-52740071', 3, 3);
    T('4.49218960E+965868', '8.0769903794208750529774672835141E+21102139155', '5.561712208356118691826250593e-21101173288', 28, 3);
    T('3.26250527898896135870E+290636177', '5.372065572E+9624111', '6.07309280808786330037745116339767566783527712308e+281012065', 48, 4);
    T('3.0770096226545844735664680382062983270506552155046670E-63267818888426', '-5.922826077111262506878232561376E+377449246', '-5.195171329689513e-63268196337673', 16, 2);
    T('8.3436507241558E-3011940864018', '7.63330066880001332023509765424061565E+7207', '1.093059357436192365931763316504706515250749730543876436735e-3011940871225', 58, 4);
    T('8.982289384E-614795211167', '-8.32107700E+29659002522', '-1.079462356134908978729556282e-644454213689', 28, 5);
    T('-3.1241719632476008722300743225936498493071133E+347', '1.63345603539046684300214608102025295616789255794771493E-267622', '-1.91261466213921592522382056505775870074160870292456186053044065161e+267969', 66, 4);
    T('5.240078075958656073E-1328', '4.018184230685257233882738244384282616E-892598035876', '1.3040910458864197598437702600634347615351721672900293005275986e+892598034548', 62, 1);
    T('-8.3696E-2265845', '2.2609160478654279021902581821337149055375328057276E-99705971730', '-3.701862352607869756070370996220522924575704248931403729856703e+99703705885', 61, 5);
    T('3.8716E-7', '-5.215295886740758827885369E+62961374', '-7.42354812474410415309e-62961382', 22, 3);
    T('-2.75918E+54485249979608', '7.342016347260505834451954727727947411436288823E-189509141863037', '-3.7580684508139521e+243994391842644', 17, 3);
    T('2.6852757697571058339427004715831347978447147788464E+30061205710', '-2.2895367929942380E+5290459283', '-1.172846742613523825067283e+24770746427', 25, 4);
    T('17997.09932526258409249868750552684905464016', '-6.730378044728364048850824436644E+7168729422184781', '-2.6740101678774184501002479260966331018967e-7168729422184778', 41, 4);
    T('8.786626616115495941E+3067', '7.03951093013996212067E+5817729418', '1.2481870833519391993e-5817726351', 20, 6);
    T('-1.281328749553323231943E-212842484', '-8.6301042642350E-844588976', '1.484719894826096059799106e+631746491', 25, 5);
    T('6.948619129789809291644182922158833600378E-77459', '9.95976875697584599E+7368289987', '6.9766872096e-7368367447', 11, 1);
    T('8.5137709292737859186928589910607983134E-48220', '4.73516160666578E+109949', '1.797989516828482338851518390922735150909115854836513651e-158169', 55, 6);
    T('-2.827E+1289', '5.6637398544805E+711', '-4.991401569695335718320474820902148e+577', 34, 1);
    T('-7.66881624847950292537919350658206449554123E+42685550', '-5.410568151228183585625613974804813830533395926494062E+25609338740115', '1.41737725764321135903310902918392079802208118e-25609296054565', 46, 1);
    T('3.64775671501546098939869804640472130621365555202954412E+382394868594', '3.223489528030920585228958275135854287E-139036338077472', '1e+139418732946066', 1, 1);
    T('6.3442886874664695677656429430916257080E+769121201', '-2.0278292340061075436133334465793740732872030784801748457E+27197133598', '-3.1e-26428012397', 2, 2);
    T('-5.95379595480834535864240326225566E+78134986162', '-3.812397397651E+141073', '1.5616934264189675549827407942598319172383091997683106987366e+78134845089', 59, 3);
    T('-9.1087539323450360246748502821474E+194244', '4E+752107234', '-2.27718848308625900616871257053685e-751912990', 37, 0);
    T('-9.9962056978521953810674760E+39996387980073', '2.890203691406621788764420961935350655607612304954437E+1845765336641804', '-3.4586509343869745101004745988783e-1805768948661731', 32, 6);
    T('-6.54595718379394359421311115281808878487533907059667E+7368673', '9.940850698E+8962787076', '-6.58490644579e-8955418404', 12, 4);
    T('-1.30209602185771679377E-846139600357', '4.85E-2464', '-2.684734065686014007773195876288659793814432989690721649484536082474226804123711e-846139597894', 79, 2);
    T('4.8756684542197146636E+31811', '-2.8602498287128154950949328607356796266206873E-481459530732341', '-1.704630275745489106848979507992532987914462088e+481459530764152', 46, 1);
    T('-2.3415589618491054721138080682560E+937581589309', '-8.2917303134336787903206206196000531193428923859E+79', '2.8239690309940208553275577958776425418841282811961858177453324003061105361569242e+937581589229', 80, 4);
    T('9.588086291093892038418141824597816270226245730236997574E+621898', '6.40366E-226047948189', '1.4972822247111639341280052071155895644406863778272109346842275e+226048570087', 62, 5);
    T('-6.6968900E+908266', '1.4831894408588338568942455442393775437E+733852290221067', '-4.51519e-733852289312801', 6, 1);
    T('5.4333248255290654754638018576373E+594', '5.05036570782139E+4972659', '1.075827997389297003772049253e-4972065', 28, 5);
    T('2.1561827030283680409412651656586343709E+929', '-4.5413E+5421', '-4.747941565254e-4493', 13, 3);
    T('1.546380378925460E+920429526192', '-7.96431307744203139381359391733892568074369294723566700859741E+3163372056', '-1.941636854163102050925871986159729079568e+917266154135', 41, 6);
    T('1.58994444247968259674841076769607948998395180230648426005220E+69', '-1.83974E-10693690653', '-8.64222358854883079538e+10693690721', 21, 3);
    T('-5.0329017E+7843', '-1.20929585389423157429896945124325853533797218650107836279E+133750', '4.16e-125907', 3, 1);
    T('-3.19403340801320873155195E-804363042402089', '-9.5590559080937564633048608792864024138110488659392801653566E-21929', '3.341369104566891331720745324318885826104385387017604e-804363042380161', 53, 2);
    T('-1.9462886358124514861308702607241394550E+89123184', '3.87423851298963E+2672557210178240', '-5.0236675653e-2672557121055057', 11, 1);
    T('-7.39919114E+773863607831', '5.6119830541731711474339454619055160529888682940E+194517641547', '-1.31e+579345966284', 3, 1);
    T('2.05465290433411121692492203918E+97922491', '4.008111601361896104968612826359445194393E-45379691', '5.12623677e+143302181', 9, 0);
    T('-4.73762802621265614830576171343052751553828197E+47389067474312', '-9.6311382481477190795587640003952479278588967771255340440E+99196827', '4.91907384583936048e+47388968277484', 18, 1);
    T('-1.02E-3048778167416499', '6.03842372871525324491E+2828', '-1.68918255132e-3048778167419328', 12, 0);
    T('6.00763194698447780786624137078132255243935684146E+54074598903464', '-9.458682179125735464792671529040513621031904645967168E-33250387191070', '-6.35144709718934895251767466530725144208734944489530295742818044712e+87324986094533', 66, 2);
    T('-9.7916136313916655349E+862802776128', '-8.419172E+2429', '1.1630138487955425468086410397602044476582732838811227517385320076606108059e+862802773699', 74, 6);
    T('-1.305914683368274800422687548056E+102', '2.7040297320837442358826349799346287497E-9809', '-4.8295130333568033879751671900248e+9910', 32, 3);
    T('-3.43E+307348838', '-3.067020274144197038E+760455303134343', '1.118349307605110843292062353917000041211289657165e-760454995785505', 49, 6);
    T('1.669E+395944828127', '3.804084901E+58449', '4.3873889343564890114948567495182e+395944769677', 32, 0);
    T('-9.317E-622930860354', '-5.188501194558608842224610564634772472587506838320014254E+948630241023', '1.795701619915037297593499083627616482990510551795671327996900396327233e-1571561101377', 71, 6);
    T('-9.77467227086114064585E+9956', '4.890878E+751774565380785', '-1.998551644686524719252862165e-751774565370829', 29, 4);
    T('-4.4881436525516014429194432964961079147799088438E+5668537858', '-2.945396932463503019096891915522E+934244763', '1.5237822797614443077051691164557208e+4734293095', 35, 0);
    T('-4.853E-621100472034', '-6.7330E-450066', '7.20778256e-621100021969', 9, 4);
    T('5.830032166379807E+4885061947', '-5.2266958966968278361890724654243811694310856990814E+8945471', '-1.11543358971090630777137134460388292293496309e+4876116476', 45, 2);
    T('5.78E+933', '-6.664543206432599984118194661129670023785505075439E+175447275', '-8.67276244e-175446343', 9, 4);
    T('8.21115308671216076073E+54215576071', '5.62798790044493203235891244857474248866328056919527413573E+8471013428', '1.458985561440708028120649806165661127816220932936255692704099414347495210551e+45744562643', 76, 2);
    T('-7.58990480301539692280981946567108607729789484492066821637E+7755', '-7.03300052277031099683639853299875451653715E+7107296348832', '1.0791844502843461147038635e-7107296341077', 26, 5);
    T('8E+6249344699942', '-4.5295036682215098031930499348252952461032548552084626E-67284837694', '-1.76619792939502479816950569971788729763e+6316629537636', 40, 2);
    T('7936415499.5156558990', '-9.67455211365461479979911082251354102307403172615083E+927721428293', '-8.203393197204693830826281032701786e-927721428285', 34, 4);
    T('-3.9E+365808573884', '-1.15025E+88', '3.390567267985220604216474679417517930884590306455e+365808573796', 49, 5);
    T('-6.718567381', '4.4193382332291539036394842E+7917', '-1.521e-7917', 4, 0);
    T('9.70495103431359970136E+49935', '7.97270753599103589605E+67014', '1.2172e-17079', 5, 1);
    T('-7.2351085171333E+93', '3.91143862050341050463869189892203121580E+5412271250147', '-1.84973080728085823339879182493099468990826747202076e-5412271250054', 52, 3);
    T('-3.75800023231884507833479059259581483096E-379899409593897', '90500.99764301', '-4.1525e-379899409593902', 5, 0);
    T('5.01217561164E+93165023404', '9154580108.9101373418930045484534663605487718073747', '5.475046973221259980595175800771792875059509751462613e+93165023394', 52, 6);
    T('1.724116983773123611979361284388130502920201610442668571670E+376146', '-0.009874603633535265325024066771330640491485118159072007742721', '-1.746011331450133639705278232556305065e+376148', 37, 0);
    T('7.45290271383074494440551751057288531322034E-7983581478', '-8.1762764455643094496855261946037E+19366233', '-9.1152773067916507222902017918e-8002947712', 29, 3);
    T('2.4504743E-1352772119597937', '-7.2247800087406599E+539', '-3.39176320529535174236162919412695976960200410710451027455456109861656098084955e-1352772119598477', 78, 2);
    T('-4.649109237E+5690376204995473', '2.44754E+274799626322318', '-1.89950286287455976205e+5415576578673155', 21, 5);
    T('-4.005593007751E+42640993', '-2.3846573666785223610026586383665388516276E+2203470', '1.679735237322669558269974590535056545706038323808797474816790203812e+40437523', 67, 0);
    T('2.9681689906463208538072978642899409875380393605179114', '8.6216955838994729124698002468110800576361534E-345912', '3.4426743113e+345911', 11, 6);
    T('3.20427479932796431079099530282940582247829332152E-6467', '2.02762468227E+62', '1.58030962403784780535669983296400653480406368278905316938085864367435638e-6529', 72, 5);
    T('-3.31252253E-989', '3.2929246397746213811286374E+87154515840103', '-1.00595151495077e-87154515841092', 16, 1);
    T('4.860090877200562E+14669706939288', '2.17018919894376201005402095677104659537498892965E+3182', '2.23947795868027713786649580356748687677245257735418549758e+14669706936106', 57, 3);
    T('-4.30813289837324590072098477297126258629541572618', '-3.0418359651052613014678955528256125968542526615268150124361E+145', '1.41629362917476221964959252982e-145', 30, 0);
    T('3.88518987586716478072557399351E+943', '4.9598898991057424315684739660833862594324E-36', '7.8332179844710993e+978', 18, 5);
    T('-3.350435648074542264796241710491929013741674376295E+47227758', '-3.21306913138577779781E+138687273389', '1.0427524311092301637321662601858622080255480728986e-138640045631', 50, 0);
    T('-867787695.754162725856596725', '-7.91729065833455429049778801008970337356223937798676985293024E+92433', '1.09606648688669799151728767282679777167037058004401322216249392662866055918e-92425', 76, 0);
    T('3.03439765812044201921630230543797165118313276035611852E+647', '-2.902395547217736723976280114270264831181562210678515219E+59084453021694', '-1.0454804001574643202498703447136631348937341264608e-59084453021047', 50, 4);
    T('-6.241332551389800405251138661165912723889077981049501743E+2560620', '5.061592539451565654190229520184626624456379649892849157E+784278673635466', '-1.233076843452527709238168441e-784278671074846', 28, 0);
    T('-44082304326.41660034129309951806383497447979886834407', '6.55965611146E-49016237', '-6.720215751768286728633309543152133784872707838e+49016246', 46, 1);
    T('-2.28590559E+525927739069823', '-1.113607363243072758399896355941822502E+4994739', '2.0527033723474435478447329232905252604753888397e+525927734075084', 47, 5);
    T('2.12009368398383E+585583027', '-2.557E+4069182', '-8.2913323581690653109112240907313257723895189675400860383e+581513844', 56, 1);
    T('1.046771063253496434126395171054568734847064608E+1317862', '-4.290906167360372781337E-828045126714', '-2.43951049597860645987119227232277776129971e+828046444575', 42, 1);
    T('-7.379760156112814800323297221407980283947761833977E-4162698513249355', '5.0833034487171212180576968632794361713E+35134', '-1.451764631122946799873853731640814353709873720835136084515755e-4162698513284489', 61, 4);
    T('-6512203.48793532497', '9.330856703229486984525E-120249046060', '-6.97921283656772616410181525768784803418651106584227740487564017722720211440152e+120249046065', 78, 5);
    T('-9.73683778458296525257946788458580056E+746302', '2.02980550439752280319132476E+404025595', '-4.796931412141877624403322490195348676493819e-403279293', 44, 0);
    T('3.0262770001137029190E-617194', '7.33295336681435868067079649062226630E+2891081', '4.1269551962641252e-3508276', 17, 4);
    T('-6.80124010652733529756597677329871760661551237821518236449E+256844215805', '-6.6064740645989416619786409658903186396974621E+59935334292036', '1.029481087797204161379288526273464e-59678490076231', 34, 6);
    T('-4.228375686613336867699965987916066347059092657203192773499E+6837051', '1.15255781007975822316230820E+56', '-3.66868858953003735618538350101149624002781131834811733925e+6836995', 57, 3);
    T('-9.599304345483278604602725264545302789511588346452E+41052466', '-4.4127E+93548111760156', '2.175381137508391371405879680138079359465086760135971174111088449248759263036e-93548070707690', 76, 6);
    T('-6.6351648196533579120270589707990E+7080241751', '8.52697208895549833838191112450083009E+85153296964', '-7.7813844708692189620832548e-78073055214', 26, 2);
    T('3.4096834972768637950112490E-301253', '-3.4018026553156645008932628887026382228E+21723281248357', '-1.0023166664147565e-21723281549610', 18, 2);
    T('5.3419411298441291726226696057627509123286166093076E+960679590258002', '-2.6617859209781729943815573631223682577577341647782753118E-9013049729', '-2.00690111392618407891e+960688603307731', 21, 1);
    T('-5.611675243586882880011677463440830E+801824', '2.3329883721624366804790E+689901639627765', '-2.405359285346735668316744604401e-689901638825941', 31, 3);
    T('5.2759044985433520998716131E+4909899246', '-2.624051834254675784202207988133E+20492883', '-2.010594619233921100396020024449019522826167642803020235734638248978520174e+4889406363', 73, 6);
    T('-9.72990906817728774104495890282767E+50015452777', '7.39428821243297323161199935205612372071372E+897077497', '-1.3158682470365616868045773300976490248245014954275361534616728e+49118375280', 63, 6);
    T('6E-6414386393313935', '4.3364010504639E+782090304995', '1.3836358607463512453950189079631485488630935988225560639753e-6415168483618930', 59, 0);
    T('8.92336658377231E+7466747053165086', '-2.4423427E-4892297896412', '-3.653609538e+7471639351061498', 10, 0);
    T('-9.5141638497131742584159592646E+3045426046704333', '8.124631201253543402588497322690926E+14911645725', '-1.171027165915572989987605480727785845776485715768e+3045411135058608', 49, 0);
    T('3E+1290058', '-9.706877284907402372335026283521969827554108E+73498934', '-3.090592280036862700815640896730957373e-72208877', 37, 4);
    T('-2.3599802E+128', '9.486653663779497250380356932729368395623712357262E+35742287', '-2.48768e-35742160', 6, 6);
    T('-9.1109E-38132177059', '6.416446240653261846392070180201577790143358603120109E+8986003557468407', '-1.419929297042222918346776825960351735989794546528128e-8986041689645466', 52, 5);
    T('-226690031.6142096895467791125616847972894144247933187346', '-2.005076666289035319E+203870605525', '1.130580368449272671361244629701340540716950525830633e-203870605517', 52, 0);
    T('-2.97581280198128811223282907325656093240072114760601785346E+7860315', '-6.1855860637492688653086634600E+3189157', '4.81088254421208214257017411004296e+4671157', 33, 4);
    T('-7.24575012302609556082E-35107868502', '14487044.378438432878940459432093194291566315415964906', '-5.00153788015600686084082066367848993644629520943964204905539575e-35107868509', 63, 3);
    T('6.267942483142761906111719539692388140970433575725880480E+58864552842510', '-5.714259219832208231289085382691564646E-9820085', '-1.0968950203359538634413025274019e+58864562662595', 32, 0);
    T('-6.31883373129311997156626865840E+6321481679443', '-4.3E+8819252', '1.4694962165797953422247136414883720930232558139534883721e+6321472860191', 56, 2);
    T('-7005.88718691286205529', '420152648212893222847912987084031990788917587.970779', '-1.66746234177320899239310130271273e-41', 33, 5);
    T('1.24040572E+7366986200654', '8.372342756202022521482563162E+8659295988883021', '1.481551527594995326620968047155598609544520894827463327047903366541498163980284e-8651929002682368', 79, 0);
    T('-5.1541120105324148443257956862105219529150669726E+753079976002', '6.4E-992556', '-8.0533001e+753080968557', 8, 0);
    T('-5.79356594123180342935299583826858721757826713323482457141E+34143547', '9.0170033249456097217486225420106787645108166328803243928E+257643', '-6.425156709440106629e+33885903', 19, 0);
    T('8.131394501248374444185015134E-5761', '7.9665600809084185394565957494145694054320017082903386E+9984338097062', '1.02069078983474634231924800021964e-9984338102823', 33, 5);
    T('-2.8288191469928935279221659264310883711970787309270866E+5384574466', '-1.009792564744331686109E+81353', '2.8013863894007966504065752948505e+5384493113', 32, 5);
    T('-6.81082464E+66590', '-7.779691344397991007148982E-977307', '8.754620637879607337172917002970674998099716839498818233072835896036439000322255e+1043896', 79, 2);
    T('9.740895E+965904953226060', '-1.746947133880177221E+55259', '-5.57595293588782760288800378526563302362248095487279829435721910239347976259978e+965904953170801', 78, 0);
    T('-8.218872114487393297680752004341415961945818201242811E+7771835382', '2.653155344368261335E+9264691059', '-3.097772669788536663527498043452043614395418759666614104477829826972681e-1492855677', 70, 6);
    T('-8.41197927811431428226448061218695050E-99369279395467', '-8.6028542826170810378588278915771221E-41', '9.77812595885943505600313494877050196309737363e-99369279395427', 45, 5);
    T('-2.35931578633882854E+650182029', '-7.17568064667868214280992285296343501982506807439422532087E-796114', '3.2879330930521e+650978142', 14, 5);
    T('-8.9901886835173586623741593153008865337824403774577132018957E-131777', '5.66631956379846040199E+1746774240347', '-1.586601070111675333009e-1746774372124', 22, 4);
    T('8.304190685809685945947251393683869051760989756918388372010E+14695097703', '-6.245543552793438444598715262470379217600024279250692386443E-1684103475737', '-1.3296185697232834629149089826e+1698798573440', 29, 1);
    T('-8.70987E+9836915', '4.34761016099253198E-515260674309826', '-2.003369593287451423865e+515260684146741', 22, 6);
    T('-5.19990472077516E+82083286237849', '-4.6167E+566076', '1.12632502020386e+82083285671773', 16, 2);
    T('-2.0401024502556946312E+48180697705', '-9.784190555005187802283919E+625', '2.085100896989443e+48180697079', 16, 0);
    T('-4.04E+692846559203', '-8.913E+219636', '4.5327050375855491978009648827555256367104229776730618e+692846339566', 53, 4);
    T('1.325618729863849326843749668942589062070298628448299E+7896527575', '8.736032653032295527414409067755136230733771657429651029825E+5776478', '1.51741503553529443859764498045511165866264654046949585326967153472837e+7890751096', 69, 3);
    T('7.286162044591328152896516692E-962964332', '-7.434734156746986532996142755726972703906834230E+343', '-9.800164862625478165845253840333701406245199455612787097468402694185e-962964676', 67, 1);
    T('8.4497822685790186152266610737212098689342297739043878503582E+22966028110450', '-7.71606825792352247165211608060E-795105635168', '-1.09508910317143131772926742173286193232621566443602096796871620708517749e+23761133745618', 72, 1);
    T('-9.477E+1689870995', '6.7273923241878E-44372457', '-1.4087181991640662820063871678905819808510618837512e+1734243452', 50, 3);
    T('-6.848437899662E+7123', '5527249.1754765470442520215114352', '-1.239031873224e+7117', 13, 3);
    T('4.427093996102E+63444', '4.042171674203212081141640411927833697115826646693999711E+50981938095754', '1.09522661403901489030112371723703027839e-50981938032310', 39, 1);
    T('-5.82536775388133343419540014838987077E+360245', '5.2177351966060670380191638678540299428313713122111431708581E+12696', '-1.116e+347549', 4, 6);
    T('9.111535554357650794857769541231703642E-858', '1.6205217473248793437234982520415664636159707065621299E-3630918686869', '5.622593815478729398415928759739729e+3630918686011', 35, 6);
    T('9.2E-51302', '3.668305193729154582495178E-236543546284585', '2.5079701699103698479671845677e+236543546233283', 29, 0);
    T('-4.78563E+188861663', '1.245028E+2149', '-3.84379307132048435859e+188859514', 21, 0);
    T('3.76692666458818853591109139247772154923424805197926E+4805280006570706', '7.905082445217E+87469395586077', '4.8e+4717810610984628', 2, 0);
    T('-6.573611956597595566480589744487831224105E-96215117770716', '-4.786743430288257062799696412E+5659', '1.37329523763544049297895763064789e-96215117776375', 33, 4);
    T('5.40561354038672463758579921407052424251042E+7646893707', '-8.7969053857038468633179441705550132048238724111669E+467581441709306', '-6.14490358072007105771286712247438e-467573794815600', 33, 1);
    T('2.734044729215165158209142985067181519240657413795221265E+4753', '3.9276758416365799251912254765528008211149257E-793019', '6.9609734597546273467588648665051914860158695400279051714433958e+797771', 62, 1);
    T('2.8416332448649798556072395217190E+53468776350151', '-3.890770864526440118498658939861078280229588037327241553261E+30154', '-7.3035224735878795558954235158690479838208540348386e+53468776319996', 50, 0);
    T('7.59141615318896897E+316451597483', '-3.78891160333896896034398078480461185810286400350E+1254701', '-2.003587559683116465131234802e+316450342782', 28, 1);
    T('-8.4144879535E+86810530', '-2.180412024294054937572629881446330235871159912E+79275454', '3.85912747670905547654946247674864264e+7535076', 36, 4);
    T('-4.495916650950303E+630', '4.30753576217E-9162164', '-1.04373286704540386183851e+9162794', 24, 4);
    T('6.40722624014755312826586896314196334017710733E+954589', '5.51043892574223E+8581331592', '1.162743354293601961736383600165274917e-8580377003', 37, 3);
    T('1.1643E-848', '2.67375534957723E+44', '4.3545494922865597590497533251624776415235e-893', 41, 6);
    T('-85784215029663405982570.510475607290334869791456398', '-4.689548221671204619407155934577299830607378002E+651998759655188', '1.8292639498457414806494660320459262670700759130074813047e-651998759655166', 56, 2);
    T('-3.11243E+614495883811572', '3.549816041172177750566103397801028767E+6932389854', '-8.8e+614488951421717', 2, 5);
    T('-6.3652427462031953283798144114114813166940669387E-5923', '-7.132821311294453884064444293620831959106561E-918172956240615', '8.923878039849620835965874298684050023139241864393099063602e+918172956234691', 58, 5);
    T('-2.5828303122299192345824682212766611E-66626110', '2.814415629698110765802296079831097832224036532222913588259E+2930', '-9.1771459942715262429649878675865750543785231518451429213868717306760456628521e-66629041', 77, 3);
    T('9.6351398468890584724372953328031E+72162810953', '2.67597703E+85111313555499', '3.60060633513324980687e-85039150744546', 22, 5);
    T('6.24715355100E+783931833', '-9.0264405042585404188995466697912E-12427', '-6.92094912502074969795144449081625774190658448566896873286e+783944259', 57, 4);
    T('-2.57242646636811672342935925267528523514865809328024761E+993755941566917', '6.501621126403321038280958307911896405498E+4031122673470845', '-3.95659238881422791229906881432412e-3037366731903929', 33, 5);
    T('86558850951525738418.38225861021774', '-3.61053230867607046140476E-2580262354307', '-2.3973985980827742991799534585e+2580262354326', 29, 1);
    T('-1.59022554399422E+21838690', '-8E+21457293', '1.987781929992775e+381396', 75, 5);
    T('4.91677E-55192917293', '-9.4E+921270911287', '-5.23e-976463828581', 3, 1);
    T('5.0016100551E-247161717', '-6.092520603999472351519723421744119633517312916003796E-25083058', '-8.209426574309264607856856160318363012702951780383735828198133e-222078660', 61, 5);
    T('-2.0539584755408601228371898E+34', '5.256307218791497913911579105E+293119083899', '-3.907607e-293119083866', 7, 1);
    T('5.988E-1836267', '4.26771655983085347358183185318875', '1.403e-1836267', 4, 1);
    T('-4.393029649552842476435025037529487E+8864939779348', '-3.31292074309787026077385415445630526E+52170426', '1.32602920208860054e+8864887608922', 18, 0);
    T('2.936220774E+751', '4.17857770532E-98', '7.02684257914294557187713167e+848', 27, 3);
    T('5.1031703925715602545062577364844691051E-8', '-2.7111788841439631298526141168619272E-89496371', '-1.8822698946266146816332537194312049025336922577534796e+89496363', 53, 5);
    T('5.0515332592119204205993898057746E-8102438420374933', '-0.0000818704929606503', '-6.170151267612198736791516782616481226525944473296721900048702e-8102438420374929', 61, 2);
    T('-2.997366934662356500632E-10335934', '6.30528358E+88489439244413', '-4.7537385061789029013537246805321323866610294473e-88489449580348', 47, 6);
    T('8.09771501180027887894821403295652336695737358565601E+8306', '-9.7892189110663429159816686380350371E-23686049680', '-8.27207470316770355371367369704265939664906528378484092e+23686057985', 54, 0);
    T('8.132140060E+5631012337540', '4.57770004364696829767814728803442357183394037E+75127616977', '1.7765e+5555884720563', 5, 6);
    T('-8.16248936086490841583553685807243693E+45005359155', '4.831828859083271812611924824E+729907614906', '-1.68931673677149912256213713908593627178504085859074713954471e-684902255751', 60, 1);
    T('-6.73E+76176754553', '-8.79393508456376802331975E-8019224', '7.65300168273172e+76184773776', 15, 0);
    T('9.467850E+11196188464709', '-9E-51289', '-1.051983333333333e+11196188515998', 16, 6);
    T('782757018375492.511629792602', '-2.44276697512278177516536590123441654453E+30322707034', '-3.2043867726521416640796358819160733596464853287570820442847782492534201735e-30322707020', 74, 4);
    T('-5.50332227021206E+65415439328705', '5.28678269E+36056625421242', '-1.041e+29358813907463', 4, 6);
    T('-324882894.81026691368144111228105404679', '1.736913725288540602462262441046768133279414001889879126E+774265', '-1.870460749317278418837060411262577105801674424105883715832e-774257', 58, 0);
    T('96.056757107921111483789547888320218', '-8.804553218416658360737087734419145E+5871152', '-1.09098956784084500759515138160626e-5871151', 33, 3);
    T('701485968976623039361264464232034.707067064129441249502872491', '-4.1440619E+596', '-1.6927497366e-564', 11, 6);
    T('-5.21563125813247122050730808070542459706322908419E+339293249', '907.680276980805502367441326603932022674201933224521718767', '-5.7461105968734902088826775226324939096662808097414325e+339293246', 54, 2);
    T('-6.057967E+24598', '-3.467662790637548658593512170526047491E+5976823584400440', '1.746988495062465352461398547572782112319856893242653056884821579306e-5976823584375842', 67, 5);
    T('-1.8E-9400398', '-6.1566034325817999237642E-71', '2.92369001789865444275969898327e-9400328', 30, 3);
    T('9.0545835698960801716238709301E+50862', '-2.6728739920831071893845759649115291776987236508517E+55015208123', '-3.3875834015053514862136155815726959e-55015157261', 35, 5);
    T('9.764130462443082797558514189328483815017807165686704282731E-6036441931308', '6.2299570324665833206588037684219584600590446399619931E+5746887728834312', '1.567286967078365050276614068931287e-5752924170765620', 34, 6);
    T('-2.39414438426845542314487701E+35045867861', '-510580463.85', '4.6890638278941573395745917355274853609148719881e+35045867852', 47, 2);
    T('-6.60707E+7535664', '8.6E-560193', '-7.6826395348837209302325581e+8095856', 26, 2);
    T('-7.06733808838815464423643693492878838880081112101776243136048E+705844790120083', '8.8416262707375E-4954579371', '-7.9932e+705849744699453', 5, 1);
    T('-4.22801570546256911E+8096805', '-6.021044899900608334E-45187372', '7.02206307335851716495556829950139231635097594964650114805842053431231497414e+53284176', 75, 4);
    T('-6.414787133050207572946E+477021', '4.304542854042781E+98123', '-1.490236559504921068371786727198415432948951329e+378898', 46, 6);
    T('-9.8118016955157E-50644120', '6.912433328713344332279700889115491E+5568371901225', '-1.41944250728014381398671789732640650696646e-5568422545345', 42, 4);
    T('6.717563343476491439793E+776168', '3.5093968651678745385722940295554119E+189430', '1.9141646275891204844355e+586738', 23, 2);
    T('-1.847929105E-34778766824766', '-6.786421659250168131391142884668E+90106', '2.7229800884553019724847380194020666062425156e-34778766914873', 44, 5);
    T('2.257614497972715818593953123162908562615029082006E-77', '7.0E+41771310', '3.2251635685324511694199330330898693751643e-41771388', 41, 1);
    T('7.13069649368433659636642E-3088', '-5.505696246048355E-5595526668342168', '-1.2951e+5595526668339080', 5, 5);
    T('-9.467284937E+1794', '6.800441055434495154813264352569469767561888898123', '-1.4e+1794', 2, 5);
    T('3.144399976438510217926698853611941672E+502727135944258', '-3.120287888020102388557141896793538894915855319255E-7253098248', '-1.0077275204352081527392658161926923e+502734389042506', 35, 5);
    T('-7.082379401543477153494690995324110385111E+23580759670', '-5.24412111784993322664E+8721552118110', '1.4e-8697971358440', 2, 5);
    T('6.21453598623526128495937022732801381277300175892808013E+485', '-6262.566', '-9.92330617551218028673e+481', 21, 2);
    T('-7.046896785145786E+2347507713', '-4.46326182861196176420590110648528599E+79804769231953', '1.5788669936e-79802421724240', 11, 5);
    T('2.1551506221930639716771333377631659E-879', '-2E-39329188', '-1.07757531109653198583856666888158295e+39328309', 74, 1);
    T('-8.5E+2518994920728', '6.953959508291300549486939902241829517294649742E+8291433', '-1.222325207655485243207749094e+2518986629295', 28, 4);
    T('-1.92070681E+1786357', '-2.1014350727347924674640320729958551097161803E+954814864', '9.13997693728603278668761517590383963e-953028508', 36, 6);
    T('-8.325119951350479057425330870457754E-892561020549', '-9007.43', '9.242503079513778133635599577746098498683864320899524e-892561020553', 52, 3);
    T('4.2282300369835089918906E+6352897395', '-8.6272498898995760203E+656083', '-4.90101723138186154636348921926037054e+6352241311', 36, 2);
    T('-7.8100853749378523167712116926314852188899774E+70839530836095', '-5.502355598274331490127288133522525493202595E-4843286474762305', '1.41941e+4914126005598400', 6, 5);
    T('1.07110936164640500004113220339828242270906557618E+2442779', '8.87006129918401578739E+41934', '1.207555760347e+2400844', 13, 6);
    T('-1.473349E+766900502697282', '2.76353106443399288870455952210632431599316174E+67451184694724', '-5.3314001748041180105572235503511940099906229019240244607735251237e+699449318002557', 65, 3);
    T('6889.7693967402225862094699364849578743156564953843623312706', '3.70500422945E+6841617', '1.859584758898640772564980947780374705697667336676179548232931100196911814351236e-6841614', 79, 0);
    T('-7.281687253036737451343942502105729233303833480817221182E+2762240994665', '1.22459150704908897674681361022943004966011564712937E+923029263622', '-5.94621733951388879478244276673787278e+1839211731043', 36, 4);
    T('-3.14186275263579E-8902319', '-9.0161783814783040728351916139699928615E+663504', '3.4846945343162633698174e-9565824', 23, 5);
    T('-2.759882113402755324598391657547118547469011E-985644236131109', '-4.1180684802059E-82236163069', '6.70188494112842803833256634974135011e-985561999968041', 36, 1);
    T('2.61101491732316731096574434635912326239034E+7304', '9.1601449319210636E+88135537875', '2.85040786660957975824953725690901780118577636853939691767068792605999134975331e-88135530572', 78, 5);
    T('4.357239163665483752403785985425647824774594E+3789066327466833', '-6.162008E+722', '-7.071135194348147150090986550854279684113675282e+3789066327466110', 46, 4);
    T('9.64650264075402970577467895464E+1802493945299669', '5.10346831452189773994682453462286642156229374597E+206946597697', '1.890185663209654e+1802286998701972', 16, 1);
    T('-4.448913291967977532225653E+211', '4.92636725350126157850111572352196E+4842508', '-9.030819390913357985332648873451652522243406581901355487807140449e-4842298', 64, 3);
    T('9.0203403244996929275989366494955475984344653527028503394E+518719', '-9.105939505433832930524319001786880786983850480890393E+6328351345095999', '-9.90599632154039682059719239545931266e-6328351344577281', 36, 1);
    T('-5.05839402116816250746021394869801E-900', '5.475760547061665416297475641961365189722126730E+954228', '-9.23779259099e-955129', 12, 5);
    T('6.8329564E+358', '7.01639614740478383482E+4884489', '9.7385556009795e-4884132', 14, 6);
    T('-8.231569143614440820157627E-19019607604009', '8.2733121362286760051249629119227660204902076467E-16303151382916', '-9.949545004555740842064541715284976038944009445852274739069209e-2716456221094', 62, 0);
    T('-8.0364662285941472335743623524874954E+655899209333670', '2.48006905E+850', '-3.240420353858352142886651624674520816265176165155562906605362e+655899209332820', 61, 4);
    T('-7.76445284419965310760433434145469471082782707287E+48102', '6.948627064253329528847505996095766875912461512660E+168012', '-1.11740819767739093838298702673684067756557813038904e-119910', 51, 3);
    T('-6.70183709228948428434E+849766900339', '-9.075826469740E-540138659790', '7.384271960944043209901241229282155140149276161341019e+1389905560128', 52, 3);
    T('7.849818740575118318319765857469412275909667845927E-14767', '8.4858706487226896244022798208768948E-7874308740', '9.2504576908165444132365319760436135575643185456990135e+7874293972', 53, 2);
    T('3.7253197118697952306593759670948631996287561304596860218257E+885', '9.381566695467169934704212779964592E-786', '3.97089295721761859766355222811715446295842030785000619e+1670', 54, 4);
    T('-9E+733082562707990', '2.906734078989080336879707552866195239324232790384791E+816289372', '-4e+733081746418618', 1, 0);
    T('-3.66889E+40547258654795', '-2.40185959317040E+8604168256', '1.52752059713746576619634061742e+40538654486539', 30, 4);
    T('8.444422930913370054132166047791614736E-290752057809', '9.1971786274021974E-272351482262716', '9.1815362873935524921632383653392505229506513227929510898327488071e+272060730204906', 65, 3);
    T('1.5408555758078925261E+5901006247', '3.791971762726623E-3712393', '4.0634679586852672302300322534333691258942146694e+5904718639', 47, 6);
    T('1.34E+236893550', '-3.5561098707244674535E-9112511', '-3.768162539159705119257430143023296e+246006060', 34, 5);
    T('-826745711.78256666846584', '-6.3162106345868546761453061525E+174', '1.3089267594329433971744671471e-166', 29, 2);
    T('1.11401474114287015358602469289639969684224279393E+395541', '1.37823681139848155584522756823308038409240137296700E+984716747', '8.08289788757341194675280693397209219898507e-984321207', 42, 6);
    T('-6.234400729978723247127551141384072861122E-329', '2.21057293105042844939E+7633055', '-2.8202646664166999487838889832882011905360078755433367694103558273292e-7633384', 68, 6);
    T('-682397559.667193926400634224747743384', '-3.1417119383559270366313963476124051623908226E+507337216303730', '2.17205642355707458809467834153290659928249209348714177225597892041333815823e-507337216303722', 75, 5);
    T('4.0195E+16581403952356', '-6204294147849120761995520891375521989.486427265973149044632', '-6.478e+16581403952319', 4, 1);
    T('5.26171491071775514561508516072634770746E-6027672', '-9.38196282403850843293585849858956005115560846717994298E-9', '-5.60833059073327910190784139613140412557168234377e-6027664', 48, 0);
    T('-9.96673243E+7646377363668410', '-9.8077750596293343989317614569621826466770E+7212', '1.0162072814072749628061665806769e+7646377363661198', 32, 6);
    T('-3.692877E-9', '-5.93424173233541924437901286943863297497E-63', '6.2229972531750391734071266706785368131373e+53', 41, 3);
    T('-7.59045578638565840179435880637804037392E+88855150', '-1.69006953775E+2688657825448', '4.49120915846508837047072491463112898410087919472649521e-2688568970298', 54, 3);
    T('-8.9091357037958E+2194979490', '9.7846697909230288E-4982', '-9.105198125398735597039596730258922460539e+2194984471', 40, 0);
    T('-3.5680470963982673161431805022163287315761246333248E+34246', '-9.405524624183E+908049137575205', '3.793565206585381295007992341542013352476983307267849012945179827603312656167e-908049137540960', 76, 4);
    T('8.893016053103571808466139202431011977151E+96451392219', '-7.8333404860409438525995059446601731270678729463408583018E+972461773', '-1.13527760844188704520031952988071826716424557319342278756e+95478930446', 57, 6);
    T('-9.54510E+900059858', '-9.0289673048796409834019727955810688888709687486158914142E+76', '1.05716408950128978567556392922294481399145680053866087e+900059782', 54, 1);
    T('3.9375405763479E-17887662066', '5.9527203777768534098375037142233772684224553183039E-8614', '6.6146909756551386489795707856e-17887653453', 29, 0);
    T('1.70E-7156278786', '-1.24430314158733739910535023013876065548212698919E-951136878', '-1.36623e-6205141908', 6, 3);
    T('-7.71215685E+46905923350', '-0.0071599613068263468821095984925822144618699566', '1.0771226993429680715858974589331901810452314232622089673214228521210741476273188e+46905923353', 80, 5);
    T('3.04342213074813383812711480972834180850962995157743403234947E+96064541', '-3.0166535271175140944984565285789982067E+26228', '-1.0088736089146431729122204086169548336683e+96038313', 41, 2);
    T('8.06685535811917802E+318181', '912.6568699947305867369868165554327035622478159191', '8.8388699228941909771651058343892099975429043147784080720729e+318178', 59, 0);
    T('-7.061669676959984766074041999413629347071145736107686385E+7513616392', '-5.65366526405051893139232987605026E+70207389', '1.249042762e+7443409003', 10, 4);
    T('-2.26054661628865465501033619260870E+2692', '601.3', '-3.7594322572570341842846103319619158489938466655579577581906e+2689', 59, 5);
    T('4.2383684005496299919594272807052665295836363912680377094518E-51446', '-8.1484453559093E+783314182512', '-5.20144422086102e-783314233959', 15, 1);
    T('8.225257465807011951584698187166E-1055', '8.4065664262176898211564898061487160045138070E+86504994736379', '9e-86504994737435', 1, 3);
    T('-4.0671449021223975753852E-569', '8.97012683905203E+92448971359679', '-4.534099656669087435711733460441419128081655096289314743026463346748706226635e-92448971360249', 76, 6);
    T('-8.570835960660E+6658153947036814', '-2.86962008328110228012658888337975728080984158E-59006487617142', '2.987e+6717160434653956', 4, 0);
    T('-5.73416345061598719586668647689274611E-116327748961875', '-4.304728216078187450884391530317745995E+7893392401', '1.332061669e-116335642354276', 10, 6);
    T('9.738E+9499', '-5.056665890028329274200E+26329', '-1.925774850816857942774571000449604802610538862844507444558e-16830', 58, 3);
    T('-8.2441053397278001753820457316754503617386039381337664346747E-93195926251', '2.269209172763748596817007071538433882E+70201841', '-3.633030149303961343523629806317095095743749054634176228190053338570374e-93266128092', 70, 2);
    T('-1.9951854135044624539643252653412E+3913722', '9.86375386606598914319787479E+6785619154740', '-2.02274452566020116e-6785615241019', 18, 3);
    T('8.5176745551625803045819E+6177995004', '-1.70E+23463091446552', '-5.01039679715445900269524e-23456913451548', 24, 6);
    T('-3.81205347565852E+111533711', '-4.28181488377081E+52562250810865', '8.9029e-52562139277155', 6, 2);
    T('-8.2390749905E+606094885', '4.224883585916931244970831359089E+8598755798', '-1.95013065400519533405492276224530335783513327937089755791376808467030568e-7992660913', 72, 3);
    T('-2.1495985326489E-466295808828892', '6.217536560765956941E-1054605299237161', '-3.4573154683373e+588309490408268', 14, 4);
    T('-8.44803E+1664100593689281', '-73689291.9244349297351401319739042014066000053', '1.15e+1664100593689274', 3, 5);
    T('-9.517442084246015837836169352767812504524450155139189777E+1283074036753', '5.90373049582884842436558997448393769587220170896263150E+3780611', '-1.61210646234111741e+1283070256142', 18, 6);
    T('-8.353389834710840612679836318918427581776872759786277948230E+544149', '2.37332E+7135441058771721', '-3.51970650174053250833424751778876324380061380672908750115028e-7135441058227572', 60, 1);
    T('2.92563763E+7675001', '-2.0826E+5166', '-1.40480055219437241909152021511572073369826178814942859886680111399212522808e+7669835', 75, 4);
    T('7.8528044820200901965920026266519560251916387617569802902177E+872524908170', '-4.23901450584570629213731191069167926490758593075126367E-4764', '-1.8525071030521074575355272713472456831050809072368196259963817366656289313e+872524912934', 74, 5);
    T('-2.6E+762184', '5.390161198856815094108468274E+1035462106243', '-4.823603e-1035461344060', 7, 4);
    T('-2.495289782338342660391726297394847118182685E-2389', '3.985998887E+45794050022', '-6.260136676095e-45794052412', 13, 4);
    T('4.38905932671376864120811557203E-1199143723', '214611.854211376759138056824737173096974052926712016225467155', '2.0451150486733462219089272360926753874461432e-1199143728', 44, 5);
    T('-9.6404434231E+24098467954', '7.3E+5851916', '-1.3206086880958904109589041095890410958904109589041095890410959e+24092616038', 62, 4);
    T('-3.08909269502620761629834417856906671622678581071E+7911', '-6.854133689053074333782605250950597308E+49', '4.50690464348526295598036319823046342041279195733406788855363583274192e+7861', 69, 1);
    T('9.0193342014096263796263813423637213579313553984338931321216E+9576', '2E-73998677232', '4.509667100704813189813190671e+73998686808', 28, 4);
    T('-4.6442426755739740189989146691E+61361606572', '-2.0194802236397374819412865480660279910302133153E+346643736153', '2.29972179039396108591986682743039797899731849708050995e-285282129581', 54, 4);
    T('-9.8222458486145394209130162128707551131814109263212441866E+97537857', '-5.75199625457280242E+602143493528', '1.70762382552073344260649484365446941736109990175958e-602045955671', 51, 0);
    T('-5.20596378055273116944557305637803844E+6709', '-1.5425130632889889044968286962684033301E+972403754', '3.37498845517225739896109920032634070739336826685888745298e-972397045', 57, 6);
    T('1.545814938920212432E+959', '-7.90196400E+4572566200241136', '-1.9562415e-4572566200240178', 8, 3);
    T('3.6430214E+9683293448', '8.06037750304404242961154469474E+59864468461', '4.5196659816791390954203802708067892990886304180698461679325471952e-50181175014', 65, 6);
    T('7.2897131421506161785197E+89449380', '7.1724511699059478064943E+1459369028691', '1.01634893977900807732834078030867771193823e-1459279579311', 42, 4);
    T('-8.98914890879936851E+76508966050', '-5.1704204E-335', '1.73857214952953700051160249947954e+76508966385', 33, 0);
    T('6.689364E+1838747453', '5.19409862109334454052528526E-40742494312', '1.2878777412570394943199172329455193830152963129971893611754646408432938e+42581241765', 71, 6);
    T('4.945172496899336806126461790735897E+717864211954', '7.72222977022344130E-3312', '6.403814240244044367831077e+717864215265', 25, 6);
    T('-9.3975485363697038960877867513881968661507976E+3039554', '-7.09977740071610959733133605975322570E+4173', '1.32363988417747e+3035381', 15, 5);
    T('8.73217543685113418988711943242216799212554561475404E+320446760', '-2.2945264077527852053433484083841874462706E+9384495825168', '-3.805654799764652941725933118699697411861494890580926244215646191699e-9384175378408', 67, 3);
    T('7.81806342204762478907509615708842047E-24', '-5.84128660567227285486020312489604059299579260634851746737741E+6167', '-1.3e-6191', 2, 6);
    T('2.897463514265350506835454604715389868888852555936166E-60259117010891', '1E+5707363', '2.897463514265350506835454604715389868888852555936166e-60259122718254', 60, 2);
    T('7.767885659834317795164277233E-7408847449293295', '3.7370680490333239275575481479E+11817673440665', '2.07860428494034375999454e-7420665122733960', 24, 6);
    T('7.85706113214806013815884E+48004451924', '-2.877298848302E+73634072111871', '-2.73070735658369349768e-73586067659947', 21, 4);
    T('8.98551323867414266498530375128950E+4671', '5.53397730745993498735256879666886E+236735197730', '1.623699e-236735193059', 8, 0);
    T('3.76049244112249977E-479484328985791', '9.8966E-8786744637271343', '3.7997822e+8307260308285551', 8, 2);
    T('4.2357E+876430687975480', '-6.2693E-4002', '-6.75625667937409280142918667155e+876430687979481', 30, 2);
    T('-606586273.4131882', '526.1858281771720520853026433148896780', '-1.1528e+6', 6, 4);
    T('-5.71905963165218489471478842820834975E+89868366110', '4.47962286792493666E-39245237922', '-1.2766832834526946624411495931249351305659060824723901737e+129113604032', 56, 6);
    T('5.7506593339E-691548368607', '6.09493787989397576856979884177E+271925082430913', '9.435140188828e-272616630799521', 13, 3);
    T('4.452977858930725009271383016705296637908E+8572', '6.5932264852281176222608502472056828420340839429679760E+663829', '6.7538e-655258', 5, 3);
    T('2.556564730778281873919578116974285E+444131', '-4.739034962562743783228125543683280587166212E+45721714818902', '-5.3946948080664925412177865581784095177678e-45721714374772', 41, 4);
    T('8.7535742569871773869332532880446732163532E+88768', '-8.864733066020498369617066224295487316872357E+336923', '-9.87460557672130593113091671311853833853e-248156', 39, 5);
    T('-6.03883133454906922084772E+6603540795', '1.19884621088761959784280012906697144494161364864950437867376E-21712993', '-5.0372026701222581439708786542e+6625253788', 29, 6);
    T('-9.12596049816964374809218028474E+3968', '-7.4078292345341700679083222657140022761862700661060E+440972321426871', '1.2319345126944622014470661206770123539558060257578632125463839041294792e-440972321422903', 71, 0);
    T('6.5074360718584383717635161E-443043', '9.9203937142577840242323436E+613', '6.56e-443657', 3, 0);
    T('-8.680042619275E+71129', '4.942885E+87508', '-1.75606808964299189643295362930758e-16379', 34, 1);
    T('-8.6686757246162039E+468392451', '-9.354E+95794823996600', '9.2673462952920717340175326063716057301689116955313e-95794355604150', 50, 3);
    T('-2.759892766743477621470221565675022E+3115756239', '-4.120581764900891E+581', '6.6978230847212883209965517626261366636519379390589231317442843687e+3115755657', 65, 5);
    T('-5.523486384081382167E+5824', '-9.823314194160193615817481865293908464467586E+62826691', '5.62283387755734035722456069818827700059996630048777924080182712063e-62820868', 66, 0);
    T('-7.069821315453439715E+377', '-0.009178557', '7.70254116791282084427868127854955e+379', 33, 1);
    T('-5.405368936928E-659250426912', '-4.037711127303698153798228005846E+6210501', '1.3387210641137658792146301245825923320302194832662724022618683622e-659256637413', 65, 2);
    T('-5.64484367971240E+5102', '7.760875785363025268663178713758324555931506828938833176E-2113198416352', '-7.2734622171875863136874051843153243674442268956335e+2113198421453', 50, 1);
    T('4.0122210281095343082645938637563094068726E+685437853518536', '6.84247255E+1136242004', '5.86370058307290441123449426736291314295824248502100311677538260639423390892e+685436717276531', 75, 0);
    T('-2.130822907030E+7952', '-1.87598300623633512946E+1974853778322865', '1.135843395140840792969903617698447728170686322795899548209969089195812e-1974853778314913', 70, 6);
    T('-2.39929637795016723874708272717E+58', '8.576910712E+185678296433', '-2.79738994436924626661204156787542409477283131e-185678296376', 45, 3);
    T('3.3876518890215458253999944445034E+370057', '8.5869327464273638572819437006656577E+7958184261942', '3.94512e-7958183891886', 6, 1);
    T('1.71370E+240140163797884', '-4.1244876200513408508424766289555E-1392', '-4.15494034136213065604370462918389758896115196801031582079343036015e+240140163799275', 66, 0);
    T('8.7280941539205688756251161939576097733654126E+734', '0.000591716963202336', '1.475045451914147830512694975690842797e+738', 38, 0);
    T('-5.4706375944843510777384538578200472915891701882643282273E+58263938858971', '7.379807840712447636510171833798980182074137E+1872', '-7.412981086450910884808076701016170728336902226723737558589e+58263938857098', 58, 5);
    T('28336006.0214653882219860589630974367621793', '-2935.1888156455641595050366432772595681515379', '-9.6538954735806934126091172560641106505219810848899242519874010451911e+3', 68, 3);
    T('-1.0971953181794483674044723008329703085652976865', '8.838842968571581142657154912236407118819520534482E+85252319', '-1.24133364749296231295959388384406924256823752173703847e-85252320', 54, 3);
    T('-1.4613712772963525577351855485926030260835191287691477E+98019', '6.018599300028978126107779517601173145E-9398818', '-2.42809199357949681437683001300039211803846203628091098819750405189154920128289e+9496836', 79, 0);
    T('4.3595906594022855341315552866980309058272131276928910812E-7147935', '708838103550117775.955160496090617623049199704680601890303734', '6.15e-7147953', 3, 1);
    T('-7.34856555132', '-9.000160111491217085624E+35008276099', '8.164927579385e-35008276100', 13, 3);
    T('-2.4039942776731496131677110736163961248916998111603136E+86007744781976', '-5.503386032117E+187675740294915', '4.3682094325998056078329148690268562663751834605879668982507e-101667995512940', 59, 2);
    T('-8.947942384E+6902900991', '1005747072653272414458955330835753.583808510', '-8.896811760430318508823714441855349174360668723437116967399427204047944924389e+6902900958', 76, 1);
    T('-1.2738990E+142356464287393', '4.20452423295855251635327695E-99208996', '-3.02982913028333086868185104297359e+142356563496388', 33, 0);
    T('6.554591190617E+6291', '-5.21401514973214897914959934910931813388342E-914636', '-1.25711e+920927', 7, 6);
    T('-2.062673068085202E+1875781677591585', '3.261511614447378267907373288332402793E+6606020439', '-6.32428552131553810794499143895000912579997849769872042475795360686908e+1875775071571145', 70, 0);
    T('3.54537777430094909680723862308E+5367268678752546', '5.08370128676477E+48044', '7e+5367268678704501', 2, 2);
    T('-7.20063275835833781377867E+52923867239452', '-6.529E-67306188404569', '1.10286916194797638440475876857099e+120230055644021', 34, 1);
    T('-1.9464692018228157952801573908893498281E-649082484', '4.7878053821900794190863064957064721078512675111082856376E+74323498935893', '-4.06547268830807193112779e-74324148018378', 24, 0);
    T('-3.312452525E+94072287', '6.748576110829866778175931029965E-43088', '-4.90837247829e+94115374', 12, 0);
    T('-8.346824582460729042614101376757620330888363302507E+673416275398570', '-2.786419249127878719004182053060473E+5912487158', '2.995537941777139757295445e+673410362911412', 25, 6);
    T('-4.2085359444E-4315728336049308', '9.9602719345687560709441106646625412479E-54', '-4.225322332609801843150404530346560746655383949456869265e-4315728336049255', 55, 4);
    T('6.95361E+43647623154', '-4.7', '-1.479491489361702127659574468085106382978723404255319148936170212765958e+43647623154', 70, 0);
    T('-4.86402499336260945311704551391202318194762E+5607555190', '-4.277399770520685234530150250E+1177824938707', '1.137145287865042e-1172217383517', 16, 4);
    T('9.75622750578736493863173347837323328533563E-12', '-5.850018572251813550228E+40624', '-1.667725902967852827219742613869572314e-40636', 37, 6);
    T('-1.265418182833287792E+3120839', '9.18E+4337038409166224', '-1.378451179556958e-4337038406045386', 16, 6);
    T('2.698289572596445501249250896021113894218384343851E+75810390', '-1.712146840602772796197203372211E-897806300254', '-1.57596854931350078131190069953255583988479615492e+897882110644', 48, 4);
    T('4.1579890944485582680E-502', '-8.321502281114367826512917109607288528814023293565E-468', '-4.9966808e-35', 8, 1);
    T('5.0650246404401440401787909546378326932661927579922E+88822851500526', '8.985423111551982E+53327436511195', '5.6369350419663230173127519664817706631310338131216363e+35495414989330', 53, 0);
    T('-3.830373947673179709823E+9816298', '-1.049593407631771745406086986884619475E+7372', '3.6493883439262107199155725887e+9808926', 29, 4);
    T('5.382924290444130844096475288315286847472286E+65575', '9.0E+226250222050', '5.98102699e-226250156476', 10, 0);
    T('-4.855E+87520121', '5.553145875277185541322374669781600714802625997E+2363785951', '-8.7427921200749340000955832509921007668404211970030103035530727e-2276265831', 62, 5);
    T('-40927.8264069665853975209200108442', '4.71693841781413E+494341667', '-8.6767777701734112572980917728059676181704e-494341664', 41, 3);
    T('7.3250057977351451701255717312488515707392495E+7684300893', '-61599493', '-1.1891341050055631415871510064618310366189620261971961360136519305e+7684300886', 65, 5);
    T('8.7E+274262596', '-9.3E+408783118', '-9.35483870967741935483871e-134520523', 24, 6);
    T('2.225839454637590863E+80385530185', '5.740010147053323275216222935996307105E+106307', '3.88e+80385423877', 3, 4);
    T('1.228911155827369273386846665533E-773968793542852', '-1.35039002840677667015287401702010802E+46', '-9.100416398048116847072749542831761608e-773968793542899', 37, 0);
    T('1.782355334975074822826887044066262454226E-35', '4.491315906221385589020690252797865705756214829596302663E+182525', '3.968447938623400641254911729081597361658216201e-182561', 46, 2);
    T('-2.775003865901947051874321433468021521915929713782920E-6052706786586', '3.42001702649250088135502041E+22048664852683', '-8.11400599589392670305540616787306e-28101371639270', 34, 2);
    T('0.000058413625759936640258744373154', '8.72071E+4007527470', '6.698264907322527667901394858216819502081825906376889037704498831e-4007527476', 65, 2);
    T('-9.21793054802219075762273886425710865847620', '-4.968066303019076770497928266E+453182003334', '1.8554362977040958837617816149816e-453182003334', 32, 1);
    T('9827.0597727117804384972418', '7.4894654584640071831371024310580427371995519625E+358293', '1.3121176440711142173649254477265191579879899427888717430896466e-358290', 62, 2);
    T('6.9915719927466300617552543696471506153834666942849002033677E+6178314086605156', '1.376785160184771308051331667850385695637633074760906497E+611732', '5.078186629937474686038105919387437685291409372507e+6178314085993424', 49, 4);
    T('0.00745698290414449708959', '1.83510376969900412794394019940988669E-44', '4.06352110832816836794436081568227777972610767158678e+41', 51, 5);
    T('-9.6718676619989674526397118470492593949060251E+920243', '-8.1884011745738967958389265386249243597551022886314807E-348599', '1.181166806046513275938123824626397176818804e+1268842', 43, 1);
    T('-7.706099638342300E+8511', '-5.3E+69814', '1.4539810638381698e-61303', 17, 6);
    T('-9.96777620953540583E+3636688572101858', '4.88E+29667860335142', '-2.0425770921179110307377049180327868852459016393442622950819672131147540984e+3607020711766716', 74, 5);
    T('4.83700784016208874037595123276923119566823113194E+30714', '5.304828732243703847308841411870475126662635329543E+15200887287580', '9.11812253383767976885362493499444981662837742e-15200887256867', 45, 3);
    T('2.0072060335173358350132072186975102146741415044596821626E+256901993388087', '1.800515540544350698043866558073441575580E+999137458691', '1.11479517300389215437e+255902855929396', 21, 2);
    T('-5.903607569113931630564640838194068E+121236472741798', '-4.721222E+63160', '1.2504405785438455617136e+121236472678638', 24, 1);
    T('-9.6E+176706', '-4.541346275161386186159275404E+868640887', '2.113910593540644295270522e-868464181', 27, 4);
    T('-6.767217944767935808038792453558E-430707', '9.287934068333804830998520525077707827980E-1006', '-7.2860314198827326983157109990985025837100721853368079649719300984e-429702', 65, 6);
    T('-3.381906668648333141023894285083876629349591498428747E+5988678274265389', '6.259943769733988946183039222295E+573752106866', '-5.402455346323413421030378976514400973752322709452011207887582895515693372184e+5988104522158522', 76, 0);
    T('6.3399931271964654903231285874E-880262', '6.901113050345373603E-1756520287', '9.1869138803329322877749394657e+1755640024', 29, 1);
    T('-3.4820037977423492774753113342943227E-39955441970417', '-9.4226208651837E-3972', '3.695366552004918637798742610151660599846828279215512895955631796611923899048058e-39955441966446', 79, 4);
    T('-3.73297196304290349738806554124672048163646240559841680142E+9240', '4.4944088514E+686246885', '-8.3058130367469565485647609127675466237322976932e-686237646', 47, 0);
    T('-4.919838E+18459609479012', '6.49856175000790E-185769054873', '-7.5706566918349574522600333583238084544582871607259528666370316435561403183e+18645378533884', 74, 5);
    T('1.671649969797944764031049808184593239045425467E+67771', '-3.38767150240655114752E+137069685', '-4.934510233977614527938286e-137001915', 25, 2);
    T('357271.7718867292650580793042', '9.779707285668531286206792115850E+3118539381462', '3.6531949418392691077947714594026756356799292431768276331203600410679248818660466e-3118539381458', 80, 5);
    T('-5.7622608562E-11', '-5.3420627070458918850057894018596206E+9377864779561', '1.07865840822120816268609639019022041489751e-9377864779572', 43, 2);
    T('2.6543604321143454069960E-3130994', '8.90902072157258422232603869799105769198800E-18860512', '2.97940763083757702135269290817948536038395802349e+15729517', 48, 5);
    T('3.3905910116129281662650811714353449431658735301773391E-757', '6.5614921891539E+11678860321', '5.167408439832559786007021148232745214191661032442828435e-11678861079', 55, 4);
    T('-1.54986267434769583202593691223234343319629982548170560E+7871737493', '1.394233854565724E+26912033', '-1.1116231823465849645163597353e+7844825460', 29, 3);
    T('9.86012518475663790724245128233E-417583', '-6.013387716158012358837634635411288852503432666224332043E-8524', '-1.639695567651893901e-409059', 19, 0);
    T('4.66817354000518063350737088807067011793223356231108664987008E+22159136547', '-0.08122665414435758559587289790203157350942', '-5.747095691e+22159136548', 10, 6);
    T('-6.46340760955985127715182722126812053553325377170E+651555528551125', '7.784266624948471797903874E-88072', '-8.3031683278225789326881473100577381411848197488904339845776990637710622379e+651555528639196', 75, 5);
    T('8.39191554545976581252244541869186757780502318165E-743614484008', '-7.75235137874971267819376903755E+9176207556', '-1.08249937799042348e-752790691564', 18, 4);
    T('4.57299648654649342160201975150683796102867439507467522431880E+135894650439760', '8.014528169879313539E-3652844', '5.7058836023972147464385852272914357745922e+135894654092603', 41, 1);
    T('-7.12503586884786629029660472640686352637E-309864852976', '-4.0882570103374083399E-25274', '1e-309864827702', 1, 1);
    T('-5.978E+702528', '-7.71076380972E+57', '7.7527987466874288358045919803664e+702470', 32, 4);
    T('-2.70626539666394498452760098788691E+701773', '6.3466125940383501544115293303E+6314', '-4.26410995876139979341076671236340937384934360286863091775885233062827622747e+695458', 75, 6);
    T('-6.65925015159391794951338366237318572E+3926', '-3.364459936307929010901259923E+854498', '1.979292450395948595e-850572', 19, 6);
    T('5.6944039569217864049693988951435264061275828957627E+990645586', '-5.184540E+64400536760172', '-1.09834314267452587982143042490626486e-64399546114586', 36, 0);
    T('-3.1767772840874846149178038588149095372127274174E+5699075336086180', '6611217367.46542146383829', '-4.805132107e+5699075336086170', 10, 5);
    T('-7.352E-2716584', '622.374951', '-1.18128147480665557827053357743e-2716586', 30, 1);
    T('-7.47449839716E+882346510627', '-9.228564E+608632642680', '8.1e+273713867946', 3, 5);
    T('23940445696331906723689471.287', '-2.7189140782568482204939171039753423338616130212336955743664E+58805', '-8.805149779385680047102927e-58781', 25, 1);
    T('7.726685383463E+73945046136', '5.680318358294054789959331040879441044371140E+873965767', '1.361e+73071080369', 4, 2);
    T('9.20770629178708494860673219674863463117E-506163', '7E-49992375342', '1.31538661311244070694381888524980494731e+49991869179', 46, 0);
    T('9.490643512249956566617601728104906247540E+6125906', '-1.805850E+348167905802', '-5.25549935612e-348161779896', 13, 6);
    T('5.69559682327E-20781942', '7.958966598620777886637502369245954374289998E+6007089490923', '7.156201439841448e-6007110272866', 16, 5);
    T('-2.575739817277306785E+76282379085577', '1.03053E+98', '-2.4994321536270722686e+76282379085479', 20, 2);
    T('7.2739184160742578819043303459E+78619', '-5.420860067752575626456485927295241830571251782E+6997685483', '-1.3418384398714e-6997606864', 15, 3);
    T('-2.4851841586044831031248149028222109258217687E+320270796', '-7.116672967886842557752793432612E+31019', '3.492058957631729058689e+320239776', 22, 0);
    T('-9.40333397957402207158202E-279617630986', '8.887E+537473939339', '-1.05809991893485113891999774952177337684257904804771013840441093732418138855e-817091570325', 75, 5);
    T('-8.7839992772145853329E+1983557436354', '-7.6075E+1282258457', '1.15464992142156889029247453171212619125862635557016102530397633913900755e+1982275177897', 72, 3);
    T('-6.06030122079788007464305372E+23724', '5.912728358449773246190011334143067147E-431993314924', '-1.02495850534672595227707139322798652544087990750624076265525e+431993338648', 61, 1);
    T('-29', '-6.1270E+40516924', '4.733148359719275338664925738534356128611065774440999e-40516924', 52, 0);
    T('2.80271190389926943601701605485933456E-135868271843', '0.0000726503759870', '3.9e-135868271839', 2, 4);
    T('-1.5168575176580714804318226276330826340242E+59443541391', '4.8798741E-7334', '-3.1083947794e+59443548724', 11, 4);
    T('6.178168189693689690905661218056992790147366386377253901E+56876269', '-8.612033038711505664567253027038767489E+3217282516253', '-7.1738788761289284607794976e-3217225639985', 26, 5);
    T('2.38339278198250446419066E+94242947487', '6.14941929490736609391876232862144843727158E-7392236', '3.875801384947531905675552176625687806045070738283487784691065565306848957363019e+94250339722', 80, 0);
    T('-3.858312602490068066654329435985032691792871028E+924', '8.4690877996654360567888E+228929585254', '-4.555759361288576259981309719253355e-228929584331', 35, 6);
    T('-2.573861852443', '6.56031269867832097566018402088854634413791644612512034477397E+338974442', '-3.923382879236145687985325317336627e-338974443', 34, 0);
    T('-5.72643345174996120510594578E+6819548338893032', '-6.4887159485477218142562048509229628E+695514632', '8.825218266846198441531079054746238991288753253265884973226074049641883308e+6819547643378399', 73, 2);
    T('-4.7E+447207661', '1.9610889078931273919328577424294306061157531103E-275', '-2.3966277006020034319266540215266635752315547287015298307553e+447207936', 59, 0);
    T('-7.90073924734021887892978451301009149559623697588675E+238430', '-4.9020853156051E+404714038928', '1.6117098619620766925506950109756843e-404713800498', 35, 1);
    T('8.798994342265208020167370093E-34014', '-3.30214820823532212530120832434178790919746988510027087E+272402', '-2.6646273236074455e-306416', 19, 2);
    T('1.89014450690455859158334517756531516E+32533154772', '-0.050025757370823870737425326', '-3.77834261037481606539202480542869328900277782074583637712822654292794796824956e+32533154773', 78, 3);
    T('1.379523076724E+51353547728', '-9.34409195511488530585438286509391160801342E+13401254', '-1.476358626767215722205838645806659367891489529e+51340146473', 46, 5);
    T('-7.92045807206151445071486703322815629270997046E-33810990819306', '6.456263700738261210573603847564816013535265585575298053809E-958338983', '-1.226786643048025665138600825579415e-33810032480323', 34, 4);
    T('1.725489179510780411E+76', '-7.65189979855451979699176972665674329993992673453683618619E-13610465385', '-2.254981409762753962873854006e+13610465460', 28, 4);
    T('-6.0774946045019156455104337926113118E+58821723635623', '3.43864637688894353913E+30175991992', '-1.7674090146e+58791547643631', 11, 6);
    T('2.8363222605571609663848977916371585450166579029950E-84524059', '-7825444832675.334005909651653873', '-3.6244869412586346859369903066142825203742e-84524072', 41, 6);
    T('6.6772285525E+17850', '8.11044730335932086105527385490E+7698', '8.232873357964256395842001261e+10151', 28, 2);
    T('712.34310669919899035976243091663508409723012209975', '2.1893927640302958881502043855102999326221134665E+894', '3.253610400117965716831659667521281270173e-892', 40, 2);
    T('-3.4E-8012703705', '5.46092223965853E+39577231', '-6.226054594420668927590667509432e-8052280937', 31, 2);
    T('-6.09976295889687142114641989593647380230853376511581115427E+23965525930', '-5.25237693182716865297392379355950582518E+1627', '1.1613338185869532924374171420365834333160540778278417e+23965524303', 53, 3);
    T('4.16542669268E+652584254', '7.585593795711814742843816724286E+4150474669246016', '5.49123352088104515006378779499854193128007736455450333725794043279e-4150474016661763', 66, 1);
    T('-6.17660617924267567321738847253753986554369335499963545453E+91360599', '-7.2409034528137118136387928957099632249E+95906795668', '8.5301595574272359e-95815435070', 17, 1);
    T('1.883139451265244346674E-9', '5.3081228408679676448510804463118783385E-34498317334', '3.5476561257525820059072e+34498317324', 23, 5);
    T('1.002240304439307280724004791782621433207E-1349', '8.23523196657884466410630E-2982332', '1.217015268673320818e+2980982', 19, 5);
    T('7.281786447097756849428637142970923570E+4082948709057381', '-7.5878578730734979485064411708289562087369827728276698E-133511935', '-9.596629996112769293167901483019824634837439324627505590376491e+4082948842569315', 61, 4);
    T('2.131392E-4238086', '-9.5309831526265023390632', '-2.2362771666558253007702410346427834427e-4238087', 38, 4);
    T('3.70614585631349868306942357278830507082717869268266258125E+14172', '1.7193579607217336069985876622415809973850003926905973E-640478497954228', '2e+640478497968400', 1, 1);
    T('-7.76231901973240973014325992249638888643103589E+5835078', '-5.59602831856867757615400337054E+4933', '1.387112176322548434226570426427045135704033829674910688685929200813860971e+5830145', 73, 2);
    T('-9.5114305884283758947E+679495225566199', '6.586704267269E+6123416', '-1.444034862122637108035354673976360808230037837614384550852908446788259e+679495219442783', 70, 4);
    T('-6.7875889996E+409881534052', '-7.150254275016361484347110709717076986834123819196E+658318', '9.49279387631913045520080558933077433676671103778134e+409880875733', 51, 2);
    T('6.15274746118283587698493124339E+619208', '-7.42799031071239371444777724663235592347313E+4077600274484', '-8.28319263194185082388641364603251055512248155203061725733e-4077599655277', 57, 2);
    T('-9.7146310052E+672861267', '1.24029678787662592730836276133725484677800E-3562498726', '-7.832505171468950109368851195609269302038498032416426038210041794e+4235359993', 64, 3);
    T('9.368980662806924605905576193E+1890724572333755', '3105451979.56816131761984808', '3.0169459146200542938317412823094786979838908352585924824919128e+1890724572333746', 64, 0);
    T('-6.4461066841453398339667795400E+6301718457852', '-3.829359627016015E-383', '1.68333802828761613604481482866514858425934e+6301718458235', 43, 3);
    T('4.059021910898089989161370051609753439E-743727974559', '-6.99459613830333298549813250749619114588776689877400437E-59009120273', '-5.80309e-684718854287', 6, 0);
    T('1.67804445255900040717169776049554372195919E+2915036125', '7.371E+771', '2.276549250520961073357343319082273398398032831366164699498032831366164699498032e+2915035353', 79, 1);
    T('-9.245876033254033110361833810952217694036338139721508904E+616319883', '-40603', '2.277141106138470829830759749514128929891e+616319879', 40, 0);
    T('7.639003098278660380860523344E+3572182386169', '8E+85759348011', '9.54875387284832547607565418e+3486423038157', 56, 1);
    T('5.94030461187E+649300888768443', '3.57063763229376733278213456894985005845764889017681549562E+701606', '1.6636537289990878809398281249533026753519435700599e+649300888066837', 50, 2);
    T('2.3110222319723879964970426069025406425722931071832795975E+693', '-9.2442380E-520126355960', '-2.499959685127522675743574113e+520126356652', 28, 4);
    T('-1.6298469422692220766025803876252364565762319997E+5372', '-5.83888801311435619E-8440', '2.79136530553168032900702508978385071370955764652912e+13811', 51, 3);
    T('-5.6016946299029E+9309314', '7.72502390479119223091017677E-95524', '-7.251362195045937629730846232667568967038e+9404837', 40, 2);
    T('-3.6699065367521905801446395609146037202200237964117E+23810096', '5.0380723182521604683712327714538907910052481635177308549418E-57607411227887', '-7.2843466804886546153616e+57607435037982', 23, 0);
    T('-4.8553064666580267513803473190221E+4275156779', '8.5559990782304281339096569434675282580579828141454985444E+89314', '-5.67473935219522330977668583350194108e+4275067464', 36, 2);
    T('-0.0036517637992139223033536550979502460240491639', '-8.6560277991768322210806177171180435403E-461526555106241', '4.2187523930563120500536682893580346633134474282755327264922e+461526555106237', 59, 5);
    T('7.02844209821289992672380284015695678537672132939300E+513080443825299', '3.694305051463769714152741040773218147454535876E+91018406456', '1.90250723757315802911506193086e+512989425418843', 30, 1);
    T('-3.5910959173281581860E+66446311499160', '2.72E+21799322509765', '-1.320255851958881686029411764705882353e+44646988989395', 37, 3);
    T('5.76250596526222099124313005599209551438795E-2399067019', '-8.55193276658032867281536490204635146854345014163795553595E+910830796780907', '-6.738249846609213897e-910833195847927', 19, 4);
    T('7.92017851462332471489775305392516756557350777430323610E+942503050', '-7.426929846533386198285598729805113263936615537976734E+4649473431082563', '-1.0664135353749394300477426720130691566277349207101339771619e-4649472488579513', 59, 3);
    T('-5.1612641827977189231009664571875166957264014668426782985E+291590', '8.0781071970130870618988803970176716821053128412242802E-898', '-6.3891999164186844568583126948263012184982987451153512928398599595e+292487', 67, 5);
    T('6.26804580832187312711550176982527130437885925517815893399E+557239', '2.8065009169E+4718', '2.233402373246120469534168271493455610913739393682704032182e+552521', 58, 2);
    T('6.678580828571210981790484559952410E+435775908025638', '6.414132085886839387392687616587477011544798582477010670527E+747408088225', '1.04122907653651912991738524e+435028499937413', 27, 3);
    T('2.6463557719308E+31090', '-7.42352453808091112527E+996', '-3.5648239031953430968241612945567972939505e+30093', 41, 4);
    T('9.93143345674817122458701390855559936E-1803464321255', '-9.93148734835891913292687860E+1173', '-1e-1803464322428', 1, 0);
    T('-5.771400547841233535439527109483520E-74670592708748', '-8.0705641378894425894965360945936431643769E+989238159340', '7.151173634499520607550146272774924359e-75659830868089', 37, 0);
    T('-7.462E-853', '-3.47444597785521669711864027183505748528104563E+86510', '2.147680535993341117803710146054319025769878868894052507302918328188699480624925e-87363', 79, 2);
    T('3.4959868521901026292321768239131952647248074255125711992553E+66557', '-2.18441482373622384430164450953963747434031688142562747236034E+96325032744', '-1.6004226002323888048354694553413630346760111938598935618779109592e-96324966187', 65, 6);
    T('-5.43655002E+76008185873', '-2.00171101250340E+5456447303', '2.72e+70551738570', 3, 6);
    T('3.443468499575894401368166769560E+52', '-2.074189325631436414013396990592017960602279816002446271E+85273339', '-1.6601514900418332342e-85273287', 20, 6);
    T('-9.806636941165404025019524E+1067274503034', '9.4970852514672179464644663469216063627000747797687338744E+208', '-1.0325943888573984324579418976344446559239010922554623e+1067274502826', 53, 4);
    T('7.4707028286797726155554732E+2115366686565702', '9.6550922955598896E-2883422', '7.7375778501002446179198586398360987924751497760302461595e+2115366689449123', 56, 1);
    T('5.284488533829994847200574258210155205515151E-39', '5.8928862243221905927041173816763697371599016E-665192967953347', '8.9675726505950407306885233835947383482113634889727714468860308203898e+665192967953307', 68, 3);
    T('4.138007921982142963963829644446E-6009141477349', '-5.832791281E-7', '-7.0943870998118490089064951824495089454924728687544477215110553859024670285e-6009141477343', 74, 0);
    T('-2.9391302869523669E+13857383', '-0.215541568334693367850018562126', '1.364e+13857384', 4, 2);
    T('6.732958975E+440475', '1.92046975E-70758882817', '3.5058917095674118272e+70759323292', 20, 6);
    T('-3.737439770716756260558510650412103760189628406157E+4761499259', '1.4517891046263875339930830155646455129E+6345399553598847', '-2.5743682459158366044667539075848519865180195308744427770297953127487511464280884e-6345394792099588', 80, 2);
    T('8.1985292950862168802094529E-293515070048896', '-6.994864630061180872609314533769886E+321241', '-1.1720783358482961956700198377227833650138223611396690651315389e-293515070370137', 62, 6);
    T('9.09910355620986532815748328940656E+9526', '8.672354865475956943862590138778446194661333293700770671460E+7053116', '1.04920793686992276059825435242426742177657095536428117e-7043590', 54, 2);
    T('8.0298473097432906E-28419779448', '7.45391147897058342304457E-53304676493', '1.077266255763510400780566506171609277326867e+24884897045', 44, 2);
    T('-2.1417351314589147587835998839E+48', '-5.15546870E+21278954', '4.154298e-21278907', 7, 5);
    T('6.0200743824478447342255682180120666903207897461303E+948612047823310', '6.966268971082872487425477511955525368E+674750', '8.641748412869642e+948612047148559', 16, 3);
    T('-9.72624402173937139456871272703688011885199E+3061409350', '-7.5615424170598014024024592362564615833256443572813264706609E+4877', '1.28628e+3061404473', 6, 2);
    T('-9.25907709626132322964594044E+8081021226923', '-6.58238288566038181232016E+622131202', '1.40664517046434322434333703490455044412951419272616588066121e+8080399095721', 60, 6);
    T('2.038954160171E+8156693', '7.456940833307E+1135367', '2.73430379260065247934515825451e+7021325', 30, 2);
    T('4.158808432675231788E+7532', '-9.3479E+8798811068409717', '-4.44892268068254023684463890285518672643053520041934552145401641e-8798811068402186', 63, 2);
    T('-2.65253911373456486659276875306365931593518E+56495953930258', '-4.03435215075612841320239123389376877546031329658118E+77357493741537', '6.574882446088448981e-20861539811280', 19, 4);
    T('8.997585271928986784965178333519502693244002E+58121278022', '4.86234137317807449209115067994897000874098174261684598360E+2906', '1.85046e+58121275116', 6, 4);
    T('-3.95534231534938736869203785E+62891072', '9.75131573339245870273270836837937204028732070633461964703E+976166538623482', '-4.056213975109729657672907981461e-976166475732411', 31, 4);
    T('3473.0526825199467073660340', '8.542385801401732703923736630917303037417095663693812077364E+6896', '4.0657e-6894', 5, 4);
    T('9.133044164724172158505632835858869492042286407219E+703348', '-1.2084541623222968292771128056092008080912432E+45919', '-7.55762564231077006057385e+657429', 24, 2);
    T('-8.920732287530060996517928E+802483', '-9.8836649E+505', '9.02573324549890496238690569122795735415918441346589967856963665370727e+801977', 69, 5);
    T('5.37647682866770064646426897E-32990941238', '-4.1437713346E-218660123', '-1.2974839571322e-32772281115', 14, 0);
    T('8.42098238845080210545580346306797113092243020079883511663E+99', '-2.840467892647921235E+14706', '-2.964646215592548887051810734346257630902502748288876405777649629002102488e-14607', 73, 4);
    T('-9.925756643018998887585E+84286463321', '8.79955293598065148E+300251483443485', '-1.12798419592811274069930762e-300167196980164', 27, 3);
    T('4.267544E+132952378736', '-9.61318683784449E+5793200869', '-4.4392604367157884412808571962661760244247687047355706227743067389603e+127159177866', 68, 4);
    T('-1.357926977770611296079229778614E+925206578951468', '-4.28970550703396220264888780681840233896784668981E-1014', '3.2e+925206578952481', 2, 0);
    T('-5.52330351242148806069141956E+71447543', '2.732542501264126E+6552990207531', '-2.0213056191683397691178171541793660197e-6552918759988', 38, 2);
    T('6.852315929164972959179215029800361448316359640E+8672', '-2.912011538727186661554E+3955017601335', '-2.353121145996576971251630250156066453684968808686174776681424003090771e-3955017592663', 70, 4);
    T('-5.912220E-787', '-7.7581524868952858577594944291E+2536520190274', '7.6206545437030916022e-2536520191062', 20, 1);
    T('4.4236385149608825E+819', '8.8435769934790678558594206288E+7615477322583', '5.002091934318786061618019464e-7615477321765', 28, 0);
    T('7.4291046548941122393602417060E+2115681639320', '-1.5119E-821741297', '-4.91375398828898223385160507044e+2116503380617', 30, 1);
    T('4.7878926564823840902783319890476E+4258256467441', '-1.79103410238E+52639748752', '-2.67325599781714642701304430371066332973147818639471013778050897e+4205616718689', 63, 3);
    T('-1.2264940342050871472536484817895966485624242470E+153861', '-6.97698688966738879935712447852540518900049593E+563136018059580', '1.75791362890687232397446484964094649471833e-563136017905720', 42, 6);
    T('-6.5206894939388E-7837886074007', '-3.05948972029856647204573989065065241450134180E+49174', '2.13129969049298370269972095227191318358709642511989635e-7837886123181', 54, 6);
    T('4862618.93751385199788792676718851053478552565715252', '-9.6843039030144966737098295031790256834052E+2468869', '-5.021134183945046136266562937589464956214206586940530485216184401298202626919483e-2468864', 80, 1);
    T('-2.788150333582264388084186942554810444131E-228242393111', '9.86860067814995960E-35671630100374', '-2.82527424557313381700552181442754727219161e+35443387707262', 43, 5);
    T('9.7496396892722904330121240068331707863E+1323970862', '4.3906802945894408083940043556E+79835869367980', '2.2205305e-79834545397118', 8, 1);
    T('2.3E+9', '6.69925048170256205396827190604542267001795537E+5278850202', '3.433219889720369e-5278850194', 16, 6);
    T('-7.780812122827993106506045644803661E+2396664', '5.114083594629517769956367031651168741440959592212785429037E+3943', '-1.52144797378730813349759770578870323761433385591496519564279700664e+2392721', 66, 1);
    T('-56.97710669769159791252741026409953989737905709', '-9.248666389476835036375509249481271587E-13121566', '6.160575406041280630594237401250120143e+13121566', 37, 6);
    T('-8.7351512044674737109564198392808E+73191160273', '-1.7839163888139660774292320842148518251542569781E-2936', '4.896615e+73191163209', 7, 5);
    T('-6.60454377426949958463362331202161249593717326E+684223856653413', '8.56532964387142378586E-17535351', '-7.710787615740060328027894305235120048516247148701873e+684223874188763', 52, 1);
    T('1.070395271835684815558356686256E+56', '9.39344281870813628575478628789759258142674413E+3213016400630', '1.139513267386764e-3213016400575', 16, 1);
    T('4.5473880161E+6392766', '9.2221687741841850675827116204433798888482317182715778E-72855', '4.9309312456193610857983082912385327258184593084592861543617571054e+6465620', 65, 1);
    T('8.51950679045430506866497554849569486E+3654', '7.5941424361262713420079429243107618216985E-9766', '1.121852383216564580999308882814784682819360238546678571975662260882e+13420', 67, 5);
    T('9.7557638302185472111607699E+80657344', '-4.3718778784665152962581701787965E+7575947', '-2.23148132253879188545851966271506873446356823784409078e+73081397', 54, 6);
    T('4.520044E+769', '-2.90719173671273054553022587097887215285933348601467780577E-39105', '-1.55478014845728107718123910154304538214868619194446650513528146290821e+39874', 69, 6);
    T('4.44979976305643968329013463528144162282339316E+875', '6.2260354945092073632097810E+328', '7.14708383365426556e+546', 18, 3);
    T('-4.20224621339208470289896521279060254758358459024377630988345E+37839763967', '-5.28001026146249015733901E+28882', '7.9587841790067285783658454710560169013e+37839735084', 38, 1);
    T('75.60295', '8.87506717926810986658536227904228910710283257600494888E+198178478448433', '8.518577772189287588264834415e-198178478448433', 28, 5);
    T('-5.6E-4570479041793474', '-0.0008673322055132399707192009300462', '6.45658026348303869867693266660987361700672965539380523767878896656948225266e-4570479041793471', 75, 0);
    T('-2.54146750392869887081817470235877482216969E+7872104', '-8.55388798830251707550005430700128832243425E-94189174197', '3e+94197046300', 2, 5);
    T('7.439513435335895226855889957819734943593790557E-136943', '-8.27334246097204217779752099051444644172199E+405986689', '-8.992149751361580098445961388208260166737e-406123633', 40, 6);
    T('2.53987227995005775853937611817742943048869444E+46038', '7.778841508452867094816605910855E+268011597', '3.26510352112214800501212417308e-267965560', 32, 6);
    T('-9.257E-378988606', '1.8157466648232789243854490342215501826845349211E+7045109409156', '-5.098178165124679179303601325179703399756274613215639250555898306598e-7045488397762', 67, 6);
    T('1.247819666075828431328296238282440365E+212863290', '-1.081990918573205206494E+2336857937641555', '-1.15326e-2336857724778265', 6, 6);
    T('5.70264126100468784891154168303E-19', '5.01E+5263463016', '1.13825174870353050876477877904790419161676646706586826e-5263463035', 54, 5);
    T('9095120.791664873754344409560912525506316465146716424', '5.620777924305968E-556', '1.6181249133389137099201161769499732684844347402658170686677975365485817e+562', 71, 4);
    T('8.6E+15620234628', '-6.14E+232835802', '-1.40065146579804560260586319218241042345276872964169381107491856677524429967426e+15387398826', 78, 2);
    T('-2E-24054061', '-7.4002433408122857936973310946E-96', '2.7026138302371966568126926857250548394777337838239e-24053966', 50, 3);
    T('-2.6800244862073414501012433361193848739452E-2573496086526', '8.54278250998255081856541408197896984378242060347259935358E+5480360959863', '-3.137179815915523725631318241963399606797461142524710861865027858037e-8053857046390', 67, 6);
    T('5.50276883413501640308298550572139E+4110220', '-68452652414203.5568160533618055059665410', '-8.0387956347374809654222104589461171560310100572145828487255e+4110206', 59, 1);
    T('-2.5003031126833164337525244529229647E-1381807016568', '2.1076960103870735119536446063165596727312405057E-965625', '-1.18627311545944499501872935766170874722967688982e-1381806050943', 48, 5);
    T('-8.6702E+424104777693253', '4.11603181027615350077354172870112694194561311265613353968E+80540260', '-2.1e+424104697152993', 2, 6);
    T('4.372762294802366883315020662901637263370606E+877948', '-8.17052244351236208124940546E+11408749090199', '-5.35187599695594771757254697e-11408748212252', 28, 0);
    T('-7.59524941459473E+16', '9.655345546511003706761905196471059197425508820E-1746681137380751', '-7.866367265684554006585802224856242116591299228441795739128502164549947944666932e+1746681137380766', 79, 3);
    T('4.37134282858475246298103960173E+617334', '5.8082272320832370122130688954863432800229463313912708663592E+119797410924', '7.526122264016318137568936631127695972265964895e-119796793591', 46, 3);
    T('3.69049552465426566936194675146663097407140659223732E+74686479027667', '13046.30019070', '2.82876790408748973917012288962570803132e+74686479027663', 39, 3);
    T('-3.35031E+42770879514', '640.01727612169106024815366156475306021', '-5.2347180693337746e+42770879511', 17, 2);
    T('-8.91615815249692E+5883', '1.052660522501783067505027018004955743316E+6964', '-8.470117347334850024257655758051125824244631695731e-1081', 49, 1);
    T('2.6879593844794647150747309587385238115274095262598927954E+381061624942486', '-6.1879908832775042510208327177012805712076733866400813346E+8139821', '-4.3438321665008204988369079138321028513e+381061616802664', 38, 1);
    T('-1.69981835653856730712867397366705274E-420373113', '1.162593741586547598328453303864557515040565470E+335', '-1.4620914389397018825701723814266e-420373448', 32, 5);
    T('4.1167572313538328588992E+7425860131414630', '3.571239299078159976443916407658159090E+2692', '1.15275311638077202467445955078505444351804970597e+7425860131411938', 48, 1);
    T('-8.555743813727708366074E-326', '4.177E+252', '-2.048298734433255534e-578', 19, 6);
    T('0.00844026936142143081208381405339731544263', '5E+425', '1.688053872284286162416762810679463088526e-428', 70, 6);
    T('-1.0257755207767955693683768523030575990902006E+99220944', '6.9727327E+824', '-1.47112411289880016391332031457775170284413828168115493657171169059728906573459e+99220119', 78, 6);
    T('2.527300112471912782588040965334983467878605685806056483029E+511460794939', '5.30040098526586877794E-183972784', '4.7681300329868214529e+511644767722', 20, 2);
    T('-8.0668174973722481639215152941136789819754311408238009560293E-5753553768', '4.1E+2309683', '-1.967516462773719064371101291247238776091568571e-5755863451', 47, 3);
    T('-7.43049503431166488225670214004807273331190481638190832E+8668524399', '-0.04847593136763908574422708384261033319263960', '1.5328215105263589488063935533178145758741577456981638752538167e+8668524401', 62, 1);
    T('6.811312669681342626802811102206075583237E+134841372768467', '6.80827E+4937957799892', '1.000446907904848460299431588671729467726309326745267153035940114008404485e+129903414968575', 73, 4);
    T('-1685.554284573269821160339833279709382', '9.6875343E+27304329554100', '-1.739920842988158e-27304329554098', 16, 2);
    T('4.70392773802896059099795189686140802578589324221E+8917', '24047.36257447779257147747157469823617223020789379391', '1.956109624687650424674309e+8913', 25, 6);
    T('8.8152926109172603305121533617919973440725449E+357821100790846', '6.257577646561027413838649507144422E-845853947851', '1.40873882975497308404962862897790795447030543009923346198771e+358666954738697', 60, 2);
    T('2.14E+190252632336', '-9.2846757914559421531602859322E-69129922', '-2.30487315665808919037482908132669929e+190321762257', 36, 6);
    T('-5.238067661086020094864094604197872522332017430552810859248E+2496092749038979', '-5.019768740271482928680824388350831829269788372406027228E+89719', '1.04348784418358104658070289486663169213112552886622637681e+2496092748949260', 57, 5);
    T('-945431139.1224037875036052700829733802792059387', '-2.940835802103839783147196968487488001073063961345374238E-976707551913802', '3.214838239e+976707551913810', 12, 4);
    T('-3.836852014776569646586E+95381743519', '8.4358747991061679825E+222223511', '-4.54825623441342129828345737043444172e+95159520007', 36, 6);
    T('7.343731883832926702856345464032525987E+4842640384459', '5.27262476013294565355478852429902E-389733', '1.39280381554172261811507102742504124102941760812e+4842640774192', 48, 6);
    T('-6.578555916244259637323526355856027229873467568404552E+3166996', '2.50054102019504005856962674472806152381626748098693E+7592265306259', '-2.63085302865023102421551372455055400386510501876116724959913673254374896232751e-7592262139263', 78, 1);
    T('8.428309431868314336938237655699392516906716E+9885', '2.55108E+6191774930', '3.3038201200543747498856318326746e-6191765045', 32, 6);
    T('-4.55173407572440428750906858516232369467876210E+49', '-8.34614056163953759394956758154905117676193237638503399789143E+73', '5.4536992782568830691119947439105566750673894598592796e-25', 53, 3);
    T('-7.0929623288901945E+3235', '-0.0008530509722873141567283730530706222291806260', '8.3148165342003e+3238', 14, 4);
    T('-1.422155884873012336307852562866709838813232375087482E+34951', '-3.8786928877636662873954343986294121471513745164070342634449E+394891', '3.6665854349014551603990288156461004415970905659660636855e-359941', 56, 5);
    T('7.645930767307420706644790731683668541673542E-1813354', '6.7856279135688186068970452917959173E+2100743709195092', '1.126783e-2100743711008446', 7, 3);
    T('-1.565232263407605901890749766756224130529768318606310E+651', '-9.44838853954676359706479E-826225391', '1.6566129312487922204904006413623e+826226041', 32, 5);
    T('-2.7787023415419664119023490688507958448331586221090507265E+15289873610', '6.01784002188671984341511E-338724697', '-4.6174413600825244070130893392012600768229806727147010732e+15628598306', 56, 6);
    T('-5.49455996730800564588921282390803979347263417482586E-601', '7.01404360573024565729617022009E+828013864895', '-7.8e-828013865497', 2, 1);
    T('2.186126235623130224918522523712226778150658221140218502412E-8308942100', '-5.368652546539447930E+879725619739372', '-4.07202033782624667307478157847294782e-879733928681473', 36, 4);
    T('9.43978512826059602584627088362433E-560632038788704', '0.00588468794605034957374361252730', '1.60412671237670907922215269962258532499863582071704028316920800344218002e-560632038788701', 72, 4);
    T('7.41537292914155108759569131468098820586770232607397082E-36', '-4.62689804361134596798970339511446491366733800037082744297349E+7346214', '-1.602666161918227423424867080844784448446717821117738342499820757564e-7346250', 67, 3);
    T('8.135721753104024294E+31', '-9.51910510429647213123158E+38034', '-8.5467296179258969756946852047921312930100125747916917214846892e-38004', 62, 2);
    T('4.909141570E+2071048783', '6.98423496E+263854993', '7.028889489135972596202576781580670075280514331e+1807193789', 46, 5);
    T('3.8008225029485106939120883085151246092E-7626221193471', '-7.70015867962049097877113640258343312382359E+1136', '-4.9360315e-7626221194608', 8, 3);
    T('2.611279469308324161E+7793497', '-1.98330162320781436165107313992813E+6985', '-1.3166325478445438697352692587988553024529375382029380330828445702824535e+7786512', 72, 3);
    T('4.3314983E+5068075178080', '-8.452651177529937428600370514223576082055059E+9732013', '-5.124425708604439553217414372902511848497015e+5068065446066', 43, 1);
    T('4.64697540028724451327629707570954121621428194161E+8095', '9.168E-80548137', '5.068690445339490089e+80556231', 19, 5);
    T('-2.713035816E+571541738619143', '7.02572E-522241', '-3.86157691453687308916381523887e+571541739141383', 30, 4);
    T('-6.2755E+357714839', '-3.5259099542007194398239500306297E-28521993508222', '1.7798242387e+28522351223061', 11, 6);
    T('0.0001345751297100520399133093861375658821983831615597000635', '-8.266962100396781292107164285960469310953323819579712036439E-8945988009322', '-1.627866779546418497e+8945988009317', 19, 4);
    T('7.1E+3829', '-7.764978441177572773319617125725241919709376E-8857797167504', '-9.14e+8857797171332', 3, 5);
    T('8.43295944472230134368496E+7846268372622419', '-7.41900015351508979997726167648500E+470', '-1.136670611972800953455359543992436971717799728848073496973785252808714846018752e+7846268372621949', 79, 2);
    T('9.3108965384808215180227294681216371528762121916308477739348E+240081622', '-3.845179229913183996434273069349956336E+6056618194', '-2.42144669513650780927106958862697964116560441e-5816536572', 45, 4);
    T('4.76638E+194', '-2.3374911921269488548130842633224005263648471E-8', '-2.0391007e+202', 8, 5);
    T('-954466193966113218.58477912195077514965530296073978', '-2.16407926929681125831275751557139E-97063935948', '4.41049552808781491006153015265438e+97063935965', 33, 1);
    T('-2.9359696434038079410018948772480633512E+968292285317', '-6.08431365917547762154718787757949509324446909355507598251E-92557425089461', '4.8254738461358007277351112686390180066305634734680390636e+93525717374777', 56, 4);
    T('6.9151665073005939E-994791528', '1.4780700703747251258632214022745465822174E-621869', '4.67851061049320782378775581108537253793074243050991679e-994169659', 55, 2);
    T('-5.45034763887464018144166306406276839264766783158963989518E+622451', '9.7383289558E+70362805349802', '-5.59679968053296902312233e-70362804727352', 24, 6);
    T('-7.245422803178725564725895430898150174939098E+20761', '-9.58842865986797712972919123261727477673764249211E+6885927878', '7.556423539452487971258e-6885907118', 22, 6);
    T('2.6976977282246048248439887113E+878233374128772', '-6E+6664224', '-4.4961628803743413747399811855e+878233367464547', 78, 1);
    T('5E-14', '6.9401369033666748196557E+22780820', '7.20446883054207420594e-22780835', 21, 3);
    T('1762.16029733689019042731119613391', '7.09E+367684', '2.4854164983596e-367682', 14, 2);
    T('2.42713168555110498903048957431457167E+21287200', '8.4825908407325549892819434353940033312802920711589115063E+48292819', '2.8613093937011092967051391521348991767235868086370434125313e-27005620', 61, 0);
    T('1.348E+47885', '-9.6080306550921380926798834194395706186004633175E-8207177923', '-1.40299302572018395569606596229751973382023e+8207225807', 42, 1);
    T('8.4431693750885E+939453265735330', '-2.69286988282650542355922833E+32862', '-3.1353796293441153839715e+939453265702468', 23, 2);
    T('-9.3832E+8205034740', '-5.140495677046850214284093575376752762313E+73', '1.82534926386525e+8205034667', 15, 3);
    T('-0.0000813339958438043503244317', '-1.3620837708431708E-987', '5.9712917505401420282005e+982', 23, 1);
    T('-94.51111', '8.51751496993637833E+97398897070248', '-1.1096089685030041e-97398897070247', 17, 0);
    T('-2.55804903989513895451568765E+280631', '-5.1457178930270174E-4411953921', '4.9712189690024812508282114763522800606159852511545979693441106732e+4412234551', 65, 0);
    T('4.8884897601007217298877640150757010715350715800025990988871E+3015114', '-8.095264063273221938003253117513735747735182023425E-528484020746', '-6.03870327378069508779514774433644696865748718329135751619378e+528487035859', 60, 3);
    T('6.75329663E-1060660', '-8.65369891975063533811108917E-754610255', '-7.8039422131809073167281460532600793364319609147121913286851490228e+753549594', 65, 6);
    T('-9.26018082365415154090228E+1096127', '6.218E+997589', '-1.48925391181314756206212286908973946606625924734641363782566741717594e+98538', 70, 2);
    T('3.572222338392267626679090562455692898866934349090E+539016295368103', '7.347142253684054976908353567171172E+3528675524767', '4.86205685836701903e+535487619843335', 18, 2);
    T('7.62077532420427772579184189581628343E+7955514712556253', '5.3263985351E-7768', '1.4307557487455643705258877063662482137873626421424478962285827549e+7955514712564021', 65, 2);
    T('7.688278772160129654099709471438226345527933E+983', '-5.018135763677391268533387333935090228074441196874262E-7', '-1.53209859880833587577345614287e+990', 30, 4);
    T('-8.591751863607609986541610643852740E+6577000', '7.635854150367076210050761342E+6104941178', '-1.125185433668161561460204105338025392699982546155e-6098364178', 49, 0);
    T('-7.25038787E+9172929', '4.1299940474751603932964128977991299872703931012110385', '-1.7555443873902113734543978436768452723206651641823e+9172929', 53, 6);
    T('-1.688812054389231585289099449926082336201608E+64719675478618', '-8.5083168E-521', '1.9848955957883838849172840507373706820620595603586363873992092e+64719675479138', 62, 3);
    T('9.265357192502752559426575621756046694484E+4816777856', '1.7323636673097846969664076618948325E+12007164715206', '5.34839e-12002347937350', 6, 3);
    T('-6', '-4.2827518061269344730384708199304749236045186318136045396001E+1524211', '1.4009684127425638666078189653067165753551015512800764145926709804561333e-1524211', 71, 5);
    T('0.00000348249773836252086736179176038974767820799918', '-7.016247E+469661142', '-4.9634765400398829564606145712796993580870217083292535168731e-469661149', 59, 5);
    T('-5.44156564189363260616522154303560383704608195256550488497022E-25', '4.83347803946384337566813147737400910E+8890835985743', '-1.12580746151424363032346132161125615e-8890835985768', 36, 2);
    T('423.20305589711280875468032391965', '686.90581430781870724519003313643544836760876383', '6.16100558594872413286877849099790097026514099536326634574518e-1', 60, 6);
    T('-4.9860601154586186264237467910110361911893143E+5793', '2.5985815344445396774965420036149E+5763590997909', '-1.9187622359998e-5763590992116', 14, 2);
    T('-7.210536323069958031388815747059995688736078534686E+48737925924', '-8.411853645513075E+87', '8.571875625e+48737925836', 10, 1);
    T('6.6614065169073060932E+56860009622', '-6.9908742436897161469623344868594843104858221322843479181013E+229587739', '-9.52871741745347122951258977509039112862821e+56630421882', 42, 4);
    T('-8.830781423792752419492202183033812661017E-875', '1.5650570537339052852612920821648183666485762708028E-209207383', '-5.642466134205343057e+209206508', 20, 4);
    T('3.404274064416633845250597673434519713E+19059', '2.6047081437264240019964524940399901305886054406141104471E+45122001903671', '1.3069694862420598807823487793177132806381770580428567899304171657427e-45122001884612', 68, 4);
    T('9.0870058600419274E+36658342807', '-5.381440118161455448090940278424001171E+51035', '-1.688582546774944258196409842996649055227811500035047163675403656112975e+36658291772', 70, 0);
    T('-5.67E+5328', '4.284323178694279552246555581818680E+27233', '-1.3234295741732604439424338450183997228526e-21905', 41, 6);
    T('2.9091036793291371782067522128268909356574113203E+67884', '-2.7006481807495083941760232932087302004075618501338809289336E+8507102', '-1.07718721011700839985940066241306614150442947046909862167396973e-8439218', 63, 4);
    T('7.23142404581477683524751789E+5324', '-9.9085063627550805930528693127585216206481363760699E+873000', '-7.298197913054641761158377389104924348937597894977672709132295264517586833411362e-867677', 79, 3);
    T('4.3351582307617297348E-84075', '-3.53285724992589979E+80065645094', '-1.3e-80065729169', 2, 0);
    T('-2.94913672940853365165356801262198684745013104437897834100493E-92058', '-8.4780533211687901868781754207021122126582607', '3.47855411813093392985874487987554402937473588092276983873514847e-92059', 63, 3);
    T('-9.01633323952966544535849170401835437813770E+58705845672348', '2.17547514860213478469686915652E+509053', '-4.14453515836444602772732364e+58705845163295', 27, 3);
    T('-7.0377E+3493405', '4.37203792057153080236987484184411E+2007791935', '-1.609706989705158566555482863398133695240294179439169417e-2004298530', 55, 2);
    T('-9.515863373074860143123009411242191819377763E-17894524674', '6.678008651072271002065840410554227301868273252805271935268E+2961540706286', '-1.4249552329565973185107622980471710842373106752295519441e-2979435230960', 57, 5);
    T('9.89341788609363518418915973196429758615168E+9572', '-2.49360374142477383068896130084956150015943611002746931E+620308875', '-3.967518063010612614507019251067e-620299303', 31, 3);
    T('-5.1E+3777084437', '6.970678363836605043603E+40', '-7.316361096874653690793721598367770460064029860134896160706698095863657272034117e+3777084396', 79, 2);
    T('-4.66916079903428221880576937E+715332022149', '-9.85531043524048017869747E+6673119988539', '4.737710526436958118411949277682166100283500507112465966438303353117688286e-5957787966391', 73, 4);
    T('-4.754336432764056280406E-5385', '-1.011251600728715143676614567748424565E+679510285446', '4.701437732546526905516590166769604031642e-679510290831', 41, 2);
    T('3.129455212377266140250651739417925E+7779516109', '7.654308642102930621105627047868360427989063098E+4190061334448', '4.08848840398665371086051605438401236589929287689906356432972311444672309e-4182281818340', 73, 4);
    T('-7.901815E-28350492', '-9.24463785694654167078380866796299131467704E+726698', '8.54745758814389140021328029478522e-29077191', 33, 2);
    T('-6739444036526642.0935484412904541578062178889340007818033', '8.23108554798300562450486465746171249625085547E+9527495704639', '-8.18779491142345826056117447318253820296247811100245056449497696593565e-9527495704625', 69, 6);
    T('-6.86867046110951892E+4541667915', '-6.3836E+8306385677991', '1.075986976174810282599160348392756438373331662384861206842533993e-8301844010076', 64, 3);
    T('9.8928088876698000480474091743935E+7902905727', '6.369018874360539053381E+98401366037795', '1.55327046171818039208637892584660623169181661860064647599370241e-98393463132068', 63, 1);
    T('1.89583243173E+480993369248', '4.67142858558355498339756992062877852173119085707866E+5272501994', '4.05835687519810936402709740829469544373031632615217674379649418e+475720867253', 63, 3);
    T('2.688562280387515116516636330315368709841224146854593492E+4908762750', '-9.905304143921571E+49785701131900', '-2.7142652475e-49780792369151', 11, 1);
    T('-7.61291819256528448091067581082468794793130124721245483270E-887812431058314', '2.6797276E+4048', '-2.8409298738294461e-887812431062362', 17, 6);
    T('6.4689907873940330293003112293479931E+10910857022317', '5.705256207645211845E+66814', '1.1338650801913846196055599866994135446235702989272e+10910856955503', 50, 4);
    T('4.596110474706581699489047301171168549773906153E-2694898698706', '8.6679476448532534496918324779149274286243265337724E+936', '5.302420669e-2694898699643', 10, 5);
    T('-9.687527758304395E-6357750426', '-2.455469952377747311795336009592842028779631E-87332', '3.94528458754850784375877395358521706113746e-6357663094', 43, 5);
    T('-2.63021711759477577909E+51', '-2.771593435622427834102712321377953732357261092238718E-719', '9.48990960863672774119041136119342589163815928e+769', 45, 5);
    T('602296.525850212343846202931654070598373057', '-6.30554E+882758722316310', '-9.55186274054581120484848136169258459026597246231092e-882758722316306', 51, 1);
    T('-8.3E+74299', '1.6707940296903274644992457137380903531E-9', '-4.9677e+74308', 5, 0);
    T('-8.969085251958809386444381469398762868252614129789322356969E+3669', '-7.5880205024403400556777E-5071', '1.18200593278237887768316641676916504070779923583494683267855066196695256842e+8740', 75, 1);
    T('-2.9219313647755928714E-92', '2.66387137948115955376942442924084835731418748435101E+4038792481', '-2e-4038792573', 1, 3);
    T('-124363197.829082144', '3.75540194119541638302426134505675E-486274414994194', '-3.311581550429058882814609961439e+486274414994201', 31, 1);
    T('6.40208725654129553852373369944724990303515052100354E+438429517', '2.3884341300282897241447726140172416999265200639735855238E+2115511504444', '2.680453765105703895181767565472e-2115073074927', 31, 6);
    T('8.91966899826575882773264761825593744128651770753407072931043E+8643647120530686', '5.8827277660487904E+6363344675177', '1.5162471140929183233153217609040135152e+8637283775855509', 38, 6);
    T('-6.21E+57', '-4.10923915127493363464466699753532349545938651245357455E+514', '1.5112286657916426558778041174233163397563446869856334298774e-457', 60, 2);
    T('-6.4875867579777573212327779325335896961E+588506353920530', '-341.2150', '1.90131933179307982393293e+588506353920528', 24, 3);
    T('-9.83321171480378580684903570764746361557E+1266743125', '2.222929262954007167032484713720960783843287204E+5869', '-4.42353784201689950218735412328664553508774336801252635305301509818306172e+1266737256', 74, 2);
    T('4.153740336141673298629324341268908498657476886536686E+627', '7.255737395399912824737457368878E+84', '5.724766636090104e+542', 16, 6);
    T('-7.8089820644369283949392885E+270928289', '-1.1805906E-521461895181', '6.6144708118436047135554768096578102519196747797246564558450660203460877970738e+521732823470', 77, 2);
    T('-6.545009966535382140786250225403127583953615552803498985E+20533751972', '7.209E-5337428425', '-9.07894294151114182381224889083524425572702948093147314e+25871180396', 54, 0);
    T('5.19251829085356482948606073757110786977107732E-24480941658', '-1.400775599592752839E-9875340', '-3.706888e-24471066318', 8, 1);
    T('9.982761880766170005765E+74503250022989', '2.2656069167163638638E+2094963256', '4.406219722896411488672892689395187500699741e+74501155059733', 43, 1);
    T('5.76923496525569493739942E-8449851467128498', '-5.853002037350432473914185E-580366', '-9.856881867526809110535921779917701161157753513e-8449851466548133', 46, 1);
    T('-2.41004374180101649001031184239E+59445273428899', '5.3053E-773832432813207', '-4.5427096333874e+833277706242105', 14, 3);
    T('7.147643691482519601664038715477096256677412781636190110E+2391005531816', '-2.8440253276706772E+201215911', '-2.513213796635420894595720036310402242328854575238229741781773e+2390804315905', 61, 2);
    T('-9.053E+586490543399', '6.5846407537809205826693876712416381062271504E+8977', '-1.374866198251095185810406334652680239e+586490534422', 37, 3);
    T('-52871289646925194136408.04228517071442562395946136', '4.05535481626319491165046662826104498191050E+4594308', '-1.303740166825733464e-4594286', 19, 4);
    T('-8.080621879192632000280759241761241533771098250723158800481E-54190087277', '-8.99169040331364136103164958198207284107378729619101E+780326086', '8.986766132667045569505332343889218474447454829898984614134e-54970413364', 58, 0);
    T('5.7353713913E+29664888495218', '5.751562121E+3509488439', '9.971849856857348894137068123305418089910951341700721935052190319548841052e+29661379006778', 73, 0);
    T('3.16780681956908793418621145651691395665089217279E+957496545667', '1.2253311225962698235978545918493246562787082E+779220', '2.5852659425291018329989357924045017135645609827022970494e+957495766447', 56, 5);
    T('157692', '-1.50404924245076876E+5844609139', '-1.048449715270287421829809661257207540256230863494593438e-5844609134', 55, 3);
    T('9.00396668612357408773762080339E+609', '266.84158', '3.3742742364677851509264863457149369299941935585900818005949447608577344e+607', 71, 4);
    T('-1.3259808517E+8485716889610149', '-7.905131687027329648073355394208615E+72359', '1.6773671890577017967687221434669844894928556569961221460929073309949333e+8485716889537789', 71, 6);
    T('3.779781753201361037004264496048560632552189468563137E-912', '3.117722511764266563730825898222E+475822', '1.2123534852569179800234855778214090501912876767530107889502273113443459e-476734', 71, 2);
    T('-2.1238275370857879097710984685E+66', '1.700997629120176587159856797235304322652411E-202027919', '-1.2485775998314093564319214582722693702064146640063895334185922822169210585e+202027985', 74, 5);
    T('4.984306549176177720248552834870805649731593242850860E+33665443608', '5.7329781593895773644602682872482E+5121', '8.694096524705555571e+33665438486', 19, 4);
    T('7.23639648854647997148200211082728751289182826E+448423537977', '-6.86341141734066993156007947535E-1688765511', '-1.05434397685434521301205719468605701914874712832628244203237190549e+450112303488', 66, 6);
    T('5E+820814051', '-3.90768841130781816409529692915420389678765329846498E-646186', '-1.27952883488133818434579177953375896544279706020317606123111308639371e+821460237', 69, 3);
    T('9.29352E+59911297261', '-7.5016751889103220586334705769432402391839567068759E+126066387553', '-1.2388592902207430339317e-66155090292', 23, 6);
    T('-7.043E+7', '-5.3811029116106576778328E+36400', '1.308839491772e-36393', 13, 2);
    T('3.030073813611669981078095887853641532768265457118E-5801', '3.17299499910034171019983726467470419993760E+28496227723', '9.5495700890508966151611572929940915e-28496233525', 35, 3);
    T('-6.34608850954903621E+86305563802', '-8.614030552104802239906618653460158E+72259289022', '7.3671534726544429273031896191849742474864093679168829975251519654972423615457692e+14046274779', 80, 4);
    T('3.795307547126236679008124259720E+1779486122195', '94.75765499', '4.005278040625598515571838614281013878433e+1779486122193', 40, 3);
    T('-8.5907E+7845940803720', '-7.81E+95799', '1.0999615877080665813e+7845940707921', 20, 3);
    T('9.87820123696450477170784270949221801010881873722220E+666471749', '-3.336279410210130999504358017395449930176487343130E-37', '-2.96084350930977323800364463e+666471786', 27, 4);
    T('3.7105485426609003804E+858220707778', '4.44786799060218209363020377877080300016657320304543E+553607238', '8.3423081e+857667100539', 8, 3);
    T('8.8926316701090832810780124665100663264271386149955652609745E+308415146', '-6.06826292755376425499546469535259416871075979E+1939507629502765', '-1.4654328225843499226205642854541246123659017625542343858376183941589646323e-1939507321087619', 74, 2);
    T('1.307537E+283712666262699', '1.6483854990299430022540787759222E+86', '7.9322282364742431357893087266097622729393187872633273041460892401955711769e+283712666262612', 74, 3);
    T('8.5762418229776436001118666158904493431716227626E-76847', '-9.4418072549803502263436711195296043E-525704770966', '-9.0832629721961974177774331792570293677076723e+525704694118', 44, 3);
    T('6.217640008415282391709294595833205035879118433366275E+11749900281582', '1.87362711004730249158554999312832551990576825844893009918289E+33691', '3.318504506618880456e+11749900247891', 20, 5);
    T('2.365426344610439E-48008', '-4.3847359E-11872302788939', '-5.39468373593592945e+11872302740930', 18, 2);
    T('5.5744906366167704500972934285051265460123259513886973E-8642', '-9164.95188952', '-6.08240032661e-8646', 12, 6);
    T('-4.534137751462896E+568016427727', '6.230865620267556369699274110529811E+142907', '-7.27689863301561291239671002081923103682764705154209807675e+568016284819', 57, 0);
    T('5.906206616444672320213043995040242643557524599E-8387311014184671', '-1.98922460239249574734483492761430473885315773068511388033E+651983', '-2.969099924332884e-8387311014836654', 16, 1);
    T('-3.247694603823792187454255467503093336346857276628095335E-4212814', '-8196703711', '3.96219592452192296578946e-4212824', 24, 5);
    T('4.2273043663524791575874712916912921938331859E-71152445913', '-5.4849263637820E+22241283420030', '-7.70713057200943419e-22312435865944', 18, 6);
    T('2.05323064078343119569851844889636946705666112346E+381601', '9.3131759887018259989173382684641984490940171E+9514744', '2.20465139204314909e-9133144', 18, 2);
    T('-1.9596893E-988296911245737', '-6.9855426207336071743193672E+13760', '2.8053501444304372460571943760740085003376095930932e-988296911259498', 50, 0);
    T('6.94820819646089071531779425461656561283688E+862', '3262.33131279290', '2.129829110003083e+859', 16, 5);
    T('5.985996796644331861311E+8726692339051', '-8.805941423866135473268301743692639184917695410301005E-4006384287199542', '-6.7976795535124702834287997809672411291638716e+4015110979538592', 44, 3);
    T('-5.660257237342505506534E+199320456', '9.99305075259141436255314268275822463250843123657679592530898E+7119127443357', '-5.6641934254908875420495417754551492543453134496923547499873534982383022201e-7118928122902', 74, 3);
    T('-8.245828714654207808978764465289E+84384864', '-8.7252293720079784562216952143631610780867461548088368361E+268291', '9.46e+84116572', 3, 2);
    T('-9.766377863613106482037949156504539381295225134299994085E+160', '5.885E+2309523917', '-1.65953744496399430450942211665e-2309523757', 30, 6);
    T('-2.39336731732766598460161773E-28025544172', '5.544325710801138193002738270839E+999640', '-4.31e-28026543813', 3, 2);
    T('1.676486432757997572162659592361942648885469873710058765E+39756798562536', '-6.232858381317480E+9217142642', '-2.68975537416851701534522241563306671195479e+39747581419893', 42, 0);
    T('7.2999776952595748248961871960277214497631067522E+7090', '4.482680460191639040672409098828953762486223336159353233662E+23597', '1.628484956732225684906073770535086355419824892e-16507', 46, 4);
    T('3E+2', '-8.6959378794271332E+207674', '-3.449886650061525683941921859919912418e-207673', 37, 0);
    T('-8.551620176E+1453450952659', '3.16514517090216802901245111962655173754322E+276813304080', '-2.7e+1176637648579', 2, 5);
    T('8.57496E+5957159', '2.668032920630E+659', '3.21396334119265780837840096093027495126031907458848e+5956500', 52, 4);
    T('-6.412334921503400843806E+2504234546948030', '-6.95019158625376E+2399660271', '9.22612685121638407e+2504232147287758', 18, 1);
    T('9.6783960706885268140640E+7124829972302044', '-2.1965252804814E+44996291691354', '-4.406230220381241223853554043701650036717094224531024218537910449724416515e+7079833680610690', 73, 1);
    T('2.53001235631089880550681480040078995299937393418797927E-18924', '4.6160970192276996078937461747937791632147870923944058439E+33076957', '5.48084744703694479270050972899878243452899320989839279868465690288334206e-33095882', 72, 1);
    T('72029.55188106109582872726755141440', '9.72047E+501627343', '7.41008941759617547595201338530075191837431729e-501627340', 45, 6);
    T('-3.77202991280852220776960471753575645069E+8917', '2.78249404159079807293810605093591236910E-8', '-1.355629106990644277085345423208088680441658128e+8925', 46, 3);
    T('3.76531335876783367033498608415813513984E+418', '6.62482696158489213509766155684789715554184961223E+5922371352363', '5.683640313326822331376663049094515058720023101786438701641940840673e-5922371351946', 67, 2);
    T('7.58941800412783459009671427E-2532', '9.683209802961168686276349712384337771404558413407666E+49902453347', '7.837708940073731296772337871010297818372008758984089665377231568965593984258981e-49902455880', 79, 6);
    T('-2.111369728267479885830669022E+8679138551', '7.253E+91915870', '-2.91102954400590084907e+8587222680', 22, 1);
    T('-6.9464065344932385603132963084058152E+91049422', '6.12E-12561314', '-1.135033748e+103610736', 10, 0);
    T('-5.96167037684889904235077759311208971995261465992655070553594E-31369', '-1.93831199404378815790688054903445896767E+48807203969', '3.07570215484835910823948854666828758266743466242536972478957485654423430930845e-48807235338', 78, 1);
    T('-1.29906779857973488405842257822406036558772084E+2164729625533304', '-6.76398020380721467283758149974306041442859716396717E+9020670', '1.9206e+2164729616512633', 5, 6);
    T('-8.254240853904451107E-628748362157509', '-2.1315889976021768101944076044110671291E+34249925', '3.8723416489715614556812e-628748396407434', 24, 5);
    T('-9.014225269457815796333343578480296492755338169850704511771E+84944849047', '7.994130666461482648682589367392051387010360804017E+745357960156469', '-1.1276054452394718e-745273015307422', 17, 6);
    T('7.74614712540126717327293228263196936502864728E-37528', '4.298998013135E-70184734340275', '1.8018494313637677645604493640449395343515783204e+70184734302747', 47, 5);
    T('4.325021047501336404269866118285195E-16242', '2.180372078966639625248952317882899817495E+2485', '1.983616048482480397332878e-18727', 25, 3);
    T('-9.72275836472298194054755444011420117820754168E+438075818', '1.0844978698029E+501623261505', '-8.965216655049793821409597423e-501185185687', 28, 0);
    T('-9.863592E+9779711', '-8.660362380399199209352968275684458147023904123578611052943E-17170395568', '1.13893525083015497884562857374285159046945552054233e+17180175279', 51, 4);
    T('-6.7136917717266337733214995640033081524109E+7772', '-3.424339022E+605226', '1.9605803422482021329842204987153600098217436369242764772021455e-597454', 62, 0);
    T('1.31730898686772896803154080183364271322548603615580E+474859276680279', '-4.267944421063168937890472955E+3593218500701', '-3.0865186068650348008223421808666711842293561e+471266058179577', 45, 3);
    T('4.2451692836903243945756135753759184429934953409445906E+902168354079', '4.13053199579E+703625548233716', '1.027753637550118776143512172993722041446e-702723379879637', 40, 5);
    T('-6.708169966443969684267799E+1846571075905', '-5.9102890861360380403E+5353190286424', '1.134998621671408154878943856126097719965e-3506619210519', 41, 4);
    T('1.975340938044934202296108793400101795937153162695E+4927774', '-2.405703538950E+893769230', '-8.21107383375715926676738612776317957844584216e-888841457', 46, 1);
    T('-5.862256817805E+4386512122582', '-4E+82623', '1.47e+4386512039959', 3, 0);
    T('-3.66989136691536090643087702E+471594291965015', '-2.886033855924786092700840776320650479663624207292816931881E+9211086115964', '1.271e+462383205849051', 4, 3);
    T('1.991583948893528120034E+32077599770145', '-7.2044489377609726721054129033781802976720466823E+45329694353504', '-2.76438068491e-13252094583360', 12, 3);
    T('6.77790234E+5285477062086', '-5.38435640669E+43', '-1.2588138354991759907480330651766771594034952447781162503348408150062123e+5285477062043', 71, 3);
    T('-8.598287259875913516750787865302097541577160983313126E+3235286', '8.9154898571509575275646314620106371108361675556487859E+69493467600944', '-9.6442118129710826944763526605e-69493464365659', 30, 4);
    T('-2.10682908913492132E-41607405', '4.3951441359093849201959283043376113E+18781129235090', '-4.7935381047497869903545207727568781120081766884730372e-18781170842496', 53, 5);
    T('-4.2E+88725428', '3.798620942166330081751129137375E+599996471744', '-1.105664414519013818342640542850734e-599907746316', 34, 1);
    T('-4.448100395768554539454647415004558990571E+99', '-7.550781697098691986852959419595090848378022576437E+44297536488580', '5.890913781122410246938440097513733185194237208600211633864461e-44297536488482', 61, 1);
    T('5.87196539056159656741354E+373', '-1.590816835708466406042030712549641328527E+44571', '-3.69116372089847230712509e-44198', 24, 0);
    T('-2.292135966659770420092256171834230763124755195021317E+69493031', '2.52613240395899501319E+3405686151', '-9.0736968619202158894691e-3336193121', 23, 0);
    T('8.55540659876590E+26608', '-2.115369159221595098698775094135503310079528E+5849302', '-4.044403579143643924943e-5822694', 22, 5);
    T('-2.790793403476464474869170198112756165089762514889272562E+1886418156560', '9.9181505176742772365982761377039380209700785727816781847E+67', '-2.81382e+1886418156492', 6, 6);
    T('5.25924877122913818626468969866899151389056506782E+26713', '8.1E+349104857985369', '6.49289971756683726699344407243e-349104857958657', 30, 6);
    T('-2.7785427543169675852811529968060669105749301E-200367599161225', '3.5407529227273436692365149E+72608180030222', '-7.847321784251280788063e-272975779191448', 22, 3);
    T('-3.8420249325792103616618846193271417590875645441550457660474E+8614287', '4.110896896542487946056107492057412651908467088E+72019658773308', '-9.345953034751576691175574243384728332210345514841591707133542616597103e-72019650159022', 70, 0);
    T('-7.19840891763010237281467278406E+1555388834883', '7.56745E+80067435860', '-9.51233099343914049358062859227348710596e+1475321399022', 40, 6);
    T('-4.261631216124107E-9448003', '5646323.44497301', '-7.5476214879583081170724528e-9448010', 26, 6);
    T('6.0457881E+306447903258017', '-3.5527799948792177295936E-1300057179', '-1.7017063000563129298091186881487666101678935972898e+306449203315196', 50, 5);
    T('-3.22724E-9388636772', '9.1360749669118755419747816173664746388402613225997E+3788410562538388', '-3.532414096521860565176843345594225142190596806470225830771911351542575e-3788419951175161', 70, 6);
    T('1.187042683378071529489013E+299870455887315', '8.55192E+6384888307659924', '1.388042314916500071900828118130197663214810241442857276494635122872992263726e-6085017851772610', 76, 4);
    T('-6.2459837162936774119582602818667143713E-362803', '2.06863124301455451580455512706962687737080538362945007763310E+74238435550107', '-3.019379958310788e-74238435912910', 16, 3);
    T('4.45592032412630791709640913164026211520461709320E+29527529613', '-8.99080008839394806528273837468521033E-655376841518', '-4.956088757749569216478736846409291482522896010445720887406394026064786333170208e+684904371130', 79, 0);
    T('-2.3977743008E+572805621441012', '-6.75768615751765470351846921472044414716E+2025950832339', '3.5482179031539845914930523153502e+570779670608672', 33, 2);
    T('8.194442063886189355720024068153427270995188503326297628E+39002712519078', '-4.93496755848145390343600996105096188003938591530093276243E+115', '-1.660485497985261959267399269919267372748710475848709139e+39002712518963', 55, 3);
    T('-6.1152729779710393840591224876863545394427684353138453260766E+3974', '-2.92673295008542518562759184831844720951E+675', '2.089453695388418480159014537181031348531215588374e+3299', 50, 2);
    T('4.507803021787798219877190690E+635867618', '-24052388.516243054229737644002407086728444853', '-1.8741602393224230431933904665495e+635867611', 32, 6);
    T('-1.90E+77262133896581', '-3.519414374949709563260546005841791122390081790879023988E-500926', '5.39862544610749316e+77262134397506', 18, 6);
    T('-8.5017572957388177837053518230627809316673712731708512790E+1446838949530', '-6.914582568743258848541870135E+114', '1.2295402088580499171838926e+1446838949416', 26, 0);
    T('-9.29557151139706310768387596838860822058219287928616E+40822843', '-9.3952328968241838117454957633567312E+63449', '9.893923454030811024120618512e+40759393', 28, 1);
    T('4.081707765543453597718931496480192739892E+83511', '6.904035812565853292596486564299E+276427280411', '5.912060534382578179155480492834653761335603700799663294027654982214316876e-276427196901', 73, 5);
    T('2.719622406996828924662079012402214166201627406366E+4211', '-6.4765549386457688527531848580005061203619692783341078021435E-582260', '-4.199180633470384866893755922833047529961564e+586470', 43, 6);
    T('-3.39392874646484309641678761272614606738486242948985599E+70612352', '1.214711E-125', '-2.7940215791779634e+70612477', 18, 3);
    T('3.8489727614453570652E+276', '-8.60166393761113174755541853853779793496049958E+2671130024781', '-4.474683955758332159816303380679188001082244294511351090043837625822402345601e-2671130024506', 76, 3);
    T('1.55542731374395294527255942063E+300359685311', '-0.064935321826880985259494235839', '-2.3953485868457798952942770243223586743196549902134802e+300359685312', 54, 1);
    T('-7.18074084721760817565567E+9908443023', '-3.070178706249E+28770', '2.338867386644961700930080822620495979417914867501833034338e+9908414253', 58, 5);
    T('-1.56363609716202266246028461478619040934038E+4645544325925004', '6.327303837541392508495356874241704861626433581725122E-900484427259', '-2.471251795882788648151054100001295310459689399851218374463457319115394e+4646444810352262', 70, 1);
    T('-5.59778574386455E+62811464', '1.69181895936293121510064563572331689615548E+29722813144', '-3.308738037769977303760913937937698662265598847256275379320494474212469532326e-29660001680', 77, 4);
    T('9.951772224670279348851E+987853709945014', '-5.51910E+16604927766', '-1.8031512791e+987837105017248', 11, 5);
    T('-6.405412853099934833677867653375334268797559651392E-92', '-1.8388021215748587421463406029366614226535920E+31734450', '3.4834704495630889000579322002820129351746834706167834084553944844778195315e-31734542', 74, 0);
    T('-4.8391774469706570002524326734667440876E-103641929622634', '-3.37857778865594E+14273898952', '1.432e-103656203521586', 4, 5);
    T('4.698778623E+834890', '-8.9459469078365665126597170692797111051985102910604735623860E+59', '-5.2524105848246355117783921831815509953022e+834830', 41, 5);
    T('-9.33128494104555059543882878839990E+8240730643571', '-7.248785828353009865336965333297520833775029881764946720E+733171401089760', '1.28728936983446557256234845578967647964841173805194459821868108581126666574e-724930670446189', 76, 6);
    T('6.40924204142997154420197E+44963322802', '-8.51487042249303058356860864598E+170379537034925', '-7.5271163545826906622456383238865451689151250240843673630505020611014e-170334573712124', 68, 0);
    T('6.90247237863657683767535954970297825729747297198046822323E+5909682899600', '9.552815701020828452892959387503970345181998609927763986946E+37461492541', '7.225589391302679600234546652047055067783074e+5872221407058', 43, 0);
    T('-6.5278422628791583624E-11851272315', '4.12506196114749311084373182071665594E-6893597556507753', '-1.5824834449427929347524004524187540410658213006e+6893585705235438', 47, 0);
    T('776918899437629504658269391295012638805792.161134189', '6.2582233732397E+3637', '1.24143683135337052439647570857843382393946e-3596', 42, 0);
    T('3.86203860769066595338770367166724249913701766831E+7965353688385787', '-9.51240062201644410174309208446829425841992334762565542409E+61', '-4.06000415789047035496349482100073056985146577025347474677065e+7965353688385725', 61, 4);
    T('9.319114E+99655952555534', '-6.86629606809936E+110593629', '-1.3572257746496500254073825313929825246330745981972500211e+99655841961905', 56, 3);
    T('3.69540207078732833405260E+99938021962170', '3.66991622500042671361446701909E-58', '1.006944530671650047573592583586144898793617034981088965078e+99938021962228', 58, 5);
    T('8.75969E+603633568017', '2.12446162969640E+372279496', '4.12325168765312989548862326888452488757508967383317e+603261288521', 51, 3);
    T('9.58077985681694920160019397589010E-292429825276998', '6.18183915458502462687599E-32090881702755', '1.5498267776363859707908293710993e-260338943574243', 32, 5);
    T('4.212057360376407E+73200674033759', '-8.3610926445335424676E+330160', '-5.0376877035685492485304721984356625183512844e+73200673703598', 44, 2);
    T('-9.35551942680046332529138935803471E+6969728528350185', '-45447816.10627', '2.0585190287085701999861585962198497278662756736e+6969728528350178', 47, 5);
    T('1.09035431819602888264567558486900114792977985E+9355828572', '-7.2483116449615091659E-516738509', '-1.5042873038633247259484377992402009590721070853137e+9872567080', 52, 1);
    T('7.4834915683467341E+939427420260', '-6.7256114829033622589504557403413731727359255103427912E-9059018', '-1.112685677335052440220749152669393591958674315343734507595272685816331433e+939436479278', 74, 2);
    T('7.0266244295291612E+23324925', '-382.0510247799997339855300457063186125260', '-1.839184814011524424865261965289150339070514906394e+23324923', 49, 5);
    T('7.5691311401005810013388124361208273834075768719114828458E+173977', '5.4349042013591571965340745597635638358E-30968', '1.39e+204945', 3, 4);
    T('-7.451449918613962250173603982954000737E+66529', '671.7335014784312260172904078812512817418085446', '-1.1092866296252788243788220881e+66527', 29, 5);
    T('-1.669E+743', '-6.04681389559505117337572286347837826731E-50800538', '2.760131250634030082157707780558441423847486048887891019e+50801280', 55, 6);
    T('-7.4558548527079193026938938951983979596067042137249E+46711479', '7.297368199478945185013631163788488929915E+601327077', '-1.02171833035e-554615598', 12, 0);
    T('8.97880154192099669019428118481E-786857099905844', '2.1237419467968141600874792E-5672647314351622', '4.2278213487582585860850892178703e+4885790214445778', 32, 3);
    T('5.79678005320804286707186E+32742399903', '5.37294903E+32341366', '1.078882382997041545929546999629735925486715439770326650576843458349e+32710058537', 67, 6);
    T('-2.57209919386374752E+7106', '-4.3532E-883', '5.9085252087286307084443e+7988', 23, 3);
    T('-8E-37', '-7.81170075973814648E-94', '1.02410476874e+57', 12, 6);
    T('9.3848693817613782622143E+433069783396891', '8.99785194381129723864942352482164E-5476747', '1.0430122033977532565985734742105344536952754e+433069788873638', 44, 1);
    T('-6.29530793466657116290258219E+742057483683', '8.946175695699736E+85185', '-7.0368704447562003812729610459556e+742057398497', 32, 6);
    T('-1.51988E+699233629275', '-2.8361473173988630830075501219480905372190080761681043E-67808', '5.358959990110594349154669819111345161985123687419851850771926719627305707e+699233697082', 73, 4);
    T('-6.28397E+472', '-4.16529958064984797193101081523110420361510672381154357359002E+998258', '1.5086477883109690503e-997786', 20, 4);
    T('-3.066442750144966370251E-6346388755', '-5.554E-8460902', '5.52114287026461355824810947065178249909974793e-6337927854', 45, 0);
    T('5.867712822373605E+33579776', '-0.00076658750214392195210588217', '-7.654328835212316e+33579779', 16, 5);
    T('-8.0087218725675952280E-6129476', '-6.068777632246E+8811439282396', '1.31965979936615988986625711763974889845834143276437122347012444944141090345e-8811445411872', 75, 3);
    T('-4.679948388981637216861294398152384815183906E+193496187143365', '-4E+7172551292426', '1.16998709724540931e+186323635850939', 18, 2);
    T('-1.40E-829', '3.9353053760515E+59848487904311', '-3.55753840227945420118842846025649724173e-59848487905141', 39, 3);
    T('7.703880926E-70475975319804', '-4.44996596892688192677201499255807888243876E+4682', '-1.7312224362600701158010124130292264201448558363824511807877377e-70475975324486', 62, 0);
    T('5.34145E+831950', '9.277256591908013231543141347728619195122503180522755432548E-7983808539074', '5.757574932937633759e+7983809371023', 19, 2);
    T('-9.16839132051958593623012607611543451014872909E-39248877', '7.0014048654061283641145847479E-53', '-1.3095073769866553556917544310603580598929284421962522658122561226592597572276675e-39248824', 80, 1);
    T('1.0892E+616', '-3.0381351E+98043288', '-3.585094026924609113004882501769e-98042673', 32, 3);
    T('0.0000908588460700619218938694424', '9.312684489393191577977075337906399737744818824432330E+9100268', '9.7564613268651846e-9100274', 17, 6);
    T('8.96973E+52869072', '-2.3E+3384531369', '-3.8998826086956521739130434782608e-3331662297', 32, 2);
    T('-7.580410773893135322257805466012006991939846E+913', '-1.346560959637023567996868222E+69510', '5.62945978764785854929533457808754821355587546406e-68597', 48, 0);
    T('-4.7544926153737937823741534331314432217705657185079191E+91776006348', '-1.9681613000334750524E+959206287889206', '2.415702724818808299440712021317617e-959114511882858', 34, 1);
    T('2.91977961226290952045340317159198738105606372702573E+724776', '-7.1267338694420430622670817E+1617165927396535', '-4.0969393073344846135712380933506751589671874194890398113667e-1617165926671760', 59, 1);
    T('-3.295155182729591672E-28', '5.222501410136435908970589680777686E+953844793', '-6.30953430923727977918115871888657090662943052877069975061e-953844822', 57, 2);
    T('4.995143149526752714880743765113826803906836433574E+9237667153', '4294.78688300140', '1.1630712502399911085717097216816256189298048011448903070700742739439213044687132e+9237667150', 80, 0);
    T('-5.13931755031415268641106837823553483145860983796047961E+3958185625513', '435.28833886828883666409413473724035579556055766227', '-1.180669705895619338243013894790384415102e+3958185625511', 40, 4);
    T('-4E+80796490123576', '3.900925963576705746310261766274190206050592876099988823E+2389623315612538', '-1e-2308826825488962', 2, 2);
    T('-3.9296327964080405999E+1900780060', '-7.2820619049468399234315715953491204045111424378762243E+675298704069', '5.39631885543099825e-673397924010', 18, 6);
    T('3.2563590123843705652808106751019083416707157E+984555', '-2.639252646711483179247424087222181141E+2907673791', '-1.233818602566072556023303641640124772040995870082001562214518653123443634076e-2906689236', 76, 4);
    T('-5.8599093719779216010375042984057473773472E-3340852953219', '-5.741423721111149603123350496194146666E+16785893874141', '1.02063698e-20126746827360', 9, 4);
    T('7.330207680290597606264212327680712546903E-95620807', '4.02477022356126538816928744826947852489E+1380914863', '1.821273581626868387440347948962860574397e-1476535670', 40, 5);
    T('5.036269186965822496442878847758E+23164480533270', '-96073.77423890914601665807948751', '-5.242085290041797771511678e+23164480533265', 25, 6);
    T('4.67330080076942187258611882623644E-25275945617', '-9.392210242519389183713E+8224766441158', '-4.975719e-8250042386776', 7, 1);
    T('-4.910871557479524313755142056153714943939674633620E-1270561090', '4.49516747172683448026260197571043318560304564488949E+53760594372377', '-1.092477997397724458733127979932e-53761864933467', 32, 5);
    T('7.03331894E+174269678251948', '5.3492194312391565207129839264902411009E-676975', '1.3148309e+174269678928923', 8, 2);
    T('-3.974685123637E+28309365233893', '6.79451935892454701494271569876919969969354562519592752E+382021706', '-5.849840017e+28308983212186', 10, 0);
    T('-1.170959E+9692985481', '8.7500333321183E+65', '-1.33823375929531681311e+9692985415', 21, 1);
    T('-9.12720285155279524E+24129046352', '8.534751194636939489E+915392256', '-1.06941639462063523021103668831965541766458979092491569651417155991368721385e+23213654096', 75, 5);
    T('3.87211047569699274277155E+480205723876', '3.74832350568430202850680315744606325560E+25220963', '1.0330246228280373302178059519180887221606314989134821151820727830533314778331636e+480180502913', 80, 6);
    T('1.36352167673906148E-72207336164734', '-1.0878170056517979633E+562820673475871', '-1.25344765677942941350508716394010651851766682765281e-635028009640605', 52, 5);
    T('-2.030118E+329058375', '-9.94863531102182122978179148043099367420E+770281024543367', '2.0405994757400421921996486488506315202282006195511248483205938315943e-770280695484993', 68, 1);
    T('-324589.628134269', '6.5492399140553264501794268608775E-680', '-4.9561419705768766647418792308740815061373378936884e+684', 50, 4);
    T('5.3935514E-25699385', '-9.96522459426807102175202399968446591E+66419215', '-5.412373147216705831559745762968643151114426844517967626935779923005137384080368e-92118601', 79, 6);
    T('-8.57273636190832820472008252433E+2730972', '-8.81934349575908E-9417622537', '9.720379261824492136660461227698647096552225961570752531064e+9420353508', 58, 2);
    T('5.78189779487120357053611E+4296481732042936', '-9.06386644050190241150147522362E-7438', '-6.3790633200802513e+4296481732050373', 17, 1);
    T('-64.11547', '6945983.5092210920', '-9.2305819492493690249094656329e-6', 29, 3);
    T('-2.44570837237623087915765511116627921408926945710125475E+752', '-393781109.7012564', '6.2108321403016951009841193035812169e+743', 35, 4);
    T('7.4345419813625705050037162533946479325928E+3150', '-4.408197202088545499662886155337300794775E+200313905445', '-1.686526632211e-200313902295', 13, 1);
    T('3.60232413245573616078216876255552211648076373235632E+21248', '4E+80299', '9.005810331139340402e-59052', 20, 6);
    T('8443.706964432519705614737120200287327842086329346805575', '5.279475312026099138E+1547038217730820', '1.5993458564336171589238313229809770010446226023041048412321e-1547038217730817', 60, 0);
    T('4.30534748917796850962158179551585962701124067967210E+761778768', '4.0445409291E+26252726', '1.0645e+735526042', 5, 6);
    T('-2.4971973303265438406115810754261736958E+664', '2.17020942483815558239E+4822', '-1.1506711295905341206601763366469820781119e-4158', 41, 6);
    T('8.799664918891661371365742096042845953459664E-36', '7.90632518826311955915983113524938543E+12344003042', '1.11299051194538493e-12344003078', 18, 3);
    T('4.6815109472719280579602847495972247148E+160744208953071', '2.6E+792852709', '1.8005811e+160743416100362', 8, 6);
    T('7.54617274159081344792315124647492546079626070740E+8326183190143', '7.97566846581820963542096038658568143490527227E-1063823557267323', '9.46149250552714018131469586751405807223243973144646e+1072149740457465', 51, 5);
    T('8.350289E+3353402', '-3E+2669348187', '-2.78342966666666666666666666666666667e-2665994785', 36, 5);
    T('-5.042E-959238244', '9.115078274350984131511281479649253145809045893500320808272E-7', '-5.53149391397739009834450343082981969771604086859295750385324356127e-959238238', 66, 4);
    T('4.68004984368964891814530104901E+40667', '7.7293324609779411154750947786306381239971509704224624285E+15630', '6.0549211297575797196e+25036', 21, 0);
    T('7.9930099809942983201805378E+84863278', '5.9057069351298461795E+8352732228', '1.35344e-8267868950', 6, 0);
    T('-8.6523850833051865670057618726762763238796800E+831834', '3.7067837567584208759880793995427963353162E-4511', '-2.33420281599369305711557226133994811733958339325699245908089483517687803e+836345', 73, 2);
    T('7.47E+3888', '9.6029670410357767908033E-7702199358962', '7.778845817213473643588904235135883306522166591011357794308097151e+7702199362849', 64, 5);
    T('-6.13333533918285594465395573251367328976320287891529E+240516997220464', '8.176086206433827075892950958133199062059773362999192029E-6100285', '-7.501554147455644e+240517003320748', 16, 2);
    T('-3.7E-7231243', '-9.86832184695974490503E-2785', '3.7494e-7228459', 5, 6);
    T('-4.35146381979270369911864847591618351097424119739E-2303207585026', '-6.81063212E-244', '6.38922165097459954879e-2303207584783', 21, 1);
    T('-4.261E+26922', '8.0824461818469495447E+232', '-5.27191880296108967930989011608645557846289187706303869527444132124916e+26689', 69, 5);
    T('-1.64627052827786626071571752604743281505975857E+6048566', '5.821791647624750716382E+550058884476983', '-2.82777301e-550058878428418', 9, 3);
    T('8.66853061270429528494264520308622056323232948017671402E+7072673788', '-7.1466381911793680769255232105363416500476045502796128574253E+7929102', '-1.212952213448177676050186492617033055232280120277878004669382689088269887478823e+7064744686', 79, 2);
    T('-1.14767890316224E+57607', '2.8656921E-50', '-4.0048925813147895407186278e+57656', 26, 5);
    T('9.8979053266642595195041285990093047007483808899119E+87', '-2.4310063864375967622620475431502114284379E+4111860098903848', '-4.07152584291178122523437877105877825153e-4111860098903761', 39, 2);
    T('-9.28654566866E+678574347905302', '2.48989E+752004451832', '-3.729701179032005429958753197932438782436171879078995457630658382498825249309e+677822343453470', 76, 3);
    T('-1.017685168332754166545153684088141082830070395940E-948781446938887', '-8.5266619816861105299876299E+773750575', '1.1935329095003145954258038366222514413822703111e-948782220689463', 48, 3);
    T('-5.11656344814415799117197676453002342838453781067436674E+1811', '5.334468611334920066707250925512211666308719E+56786702225', '-9.59151e-56786700415', 6, 1);
    T('3.071667845870667955678329020543003602120110695320701970279E-375943776', '-8.277886303879226059519806602717465241E+3310930', '-3.710691030428e-379254707', 13, 0);
    T('-3.202787857175744288756834918782514762E+154638997', '-3.8622621445E-6497', '8.2925180564e+154645493', 11, 0);
    T('6.8115553751206086241E+94302795942688', '-8.0604880456379172619366941075061577E+3450126239468777', '-8.45054956542837162664157426923113995492e-3355823443526090', 39, 1);
    T('-5.4362940146920305009123046536858431893E+8798461967', '1.3961684851937612E+34', '-3.89372348133010463038893617798293624191826e+8798461933', 42, 4);
    T('-5.55483456625394686780043025608328663397558343944919117845E+34785737051345', '4.438046231E-7', '-1.251639635354205679927364023009720340602640162e+34785737051352', 46, 0);
    T('-4.90258684025893344478156159583E-41141068111767', '4.81646524453526182095820312E+3573596', '-1.0178807e-41141071685363', 8, 0);
    T('-6.40891115354146E+4849583', '-4.237876147816717153685610458083E+67007642661', '1.512293169974e-67002793078', 13, 1);
    T('-5.39028853775904354701832100570857827204228639509909470580790E-6627', '-3.79848092406180969241978446101918956609940515627232585006580E+9294878', '1.41906426424673855261444044478464359179e-9301505', 39, 1);
    T('3.46210982562839812728E+622', '2.85399206959481143321446918081745408E-6816546419253', '1.21e+6816546419875', 3, 1);
    T('-8.6E+34928', '3.89813250498516638178569163845274825578184152570E+566660889', '-2.2061846253306686147248942924891085289468601875505136029948380458992063e-566625961', 71, 4);
    T('-4.9912604E+68220645', '4.304280744241621631504382391342328009761E+5344780485672', '-1.15961e-5344712265027', 6, 3);
    T('-4.1999097291357666280021576075312E+4682215', '-8.8220E+888379', '4.7607228849872666379530238126628882339605531625481750170029e+3793835', 59, 1);
    T('4.88990873906815717109703E+821847460355791', '-3.1267249E+2900655606', '-1.5639075696e+821844559700185', 11, 3);
    T('1.8590734583289841445656712845688393646361E-74459007003046', '-1.6E+7017354', '-1.161920911455615090353544552855524603e-74459014020400', 37, 3);
    T('-6.73226246E+4784492988589620', '6.0365890338216031911243208545E+47', '-1.1152428005750765104584008818e+4784492988589573', 29, 6);
    T('-2.121710387297612372E+113811855207', '-6.10015451701641610453127622520989414066160505860693267384E+17908', '3.478125646455493947910905666608891628672566137257810427e+113811837298', 55, 4);
    T('-7.9255395E+879', '-5.5296783229966577867146663662550E+2907', '1.433273155698679202280694436586191174303285865624553638003006103800132862532e-2028', 76, 3);
    T('-6.50216592595284778755884790780516780243136942047657763712E+53090799803504', '-0.00009136536742983', '7.116663686540319225886318e+53090799803508', 25, 6);
    T('-6.178779895785551252E+91607094', '1.25737839579048818910008177060E+266735936309', '-4.91401786166452953196110063302593962844249057692067777214923249419214145216592e-266644329215', 78, 0);
    T('4027828481600437182273617750241531973200.742', '9.0673165659945353743340671938332242676403828666E+989648506859922', '4.5e-989648506859884', 2, 0);
    T('4.4612198337900029230850004222401370E+61610357829175', '-2.08023593329435486641820125119333E-5955410858920650', '-2.144573969898219779790554357198124855167307e+6017021216749825', 43, 6);
    T('2.04778735371355909037568144554741864552078857403E+91', '1.7118163147118811908640062E+617629', '1.19626582368343987591065976654787678762098955559847208282e-617538', 57, 0);
    T('2.16064756386819792595178588212402997773141667919745354384849E+8858549148176', '4.895568426076E+714465488064', '4.41347638480471e+8144083660111', 15, 5);
    T('-6.421536523E+28', '-1.93E-2645330', '3.32722099637305699481865284974093264248704663212435233161e+2645358', 57, 0);
    T('-5.6015259996217592476997072648993038692538635805852486E+7510849984', '2.89953851536073047824543045E+9809657926264', '-1.93186811278651890556698783077769925713e-9802147076280', 39, 3);
    T('-8.243674248124827745658545032752416384997562343583331E-81303', '2.861293581196E-70518897515', '-2.88110045831e+70518816212', 12, 3);
    T('-3.18970600080178342145204719942E+82', '6.8746782539E+76559855813', '-4.6397895043193701680038521568605740331547532818276e-76559855732', 50, 5);
    T('-1.2917006564596264772206545E+88927891341', '-7.881546423746251223370937987041264016218348292568006E+81574002979', '1.638892403866164389e+7353888361', 19, 2);
    T('3.281936219818639998982E-93', '8.335092645455942350536208916263646643E+732929831737', '3.937492190453166888019253336553027603e-732929831831', 37, 0);
    T('-7.649038175372282019877897950801861394613254E+295292186', '-2.24836830583981111547616614604766976554592057018873E+5895164261825', '3.402039672728446190860909838e-5894868969639', 28, 5);
    T('5.13767916E+67492', '-2.5006563723059868023402962796059273491401718182051E-916286744', '-2.054532248772059693012e+916354236', 22, 0);
    T('-9.21928368282003E-9973', '-1.62482230843849174662862971336682977012842346598598691720E-80628149', '5.674025790352465126772777177387217219542942667801833419172129586151e+80618176', 67, 3);
    T('-4.7935051546329975585E+2574240662360', '-5.0748640526713802297024385872E+5607261361', '9.445583378947e+2568633400998', 13, 4);
    T('6.17268955758811488502739222E+85125278240537', '2.5795386130068748912240160341086319912568418381E+8531661844460483', '2.392943267630653474679035552177346147072529702160774847202292528123338e-8446536566219946', 70, 1);
    T('-2.43587116966621383830938168239454', '1.44551890780042691921018619300E-992219059226', '-1.68511885698731946306395231757618941975095515082e+992219059226', 48, 4);
    T('-5.15853185430096801387187504932601333274312988E+459824715', '8.06181067177674704773134155010152E-18', '-6.3987261228550734981096480110171004038455e+459824732', 41, 1);
    T('4.7736169475675E+765', '-8.80695080546906782262466119612403137788519277873788561206030E+8294914244101', '-5.42028342500006952813070429192653561702320145656903451374854403282e-8294914243337', 66, 3);
    T('-1.8601598634012424603816975937765500037101E+85807211186', '-9.2129684805743125125594E-8116428098312', '2.01906678322347297192952924976872772565824168525892341645162e+8202235309497', 60, 2);
    T('-9.52472001463397244E+58914953', '3.041236052071925655590057219E+2717556842', '-3.131858182512664586486919471894320049928663102723976603873758629170848528e-2658641889', 73, 1);
    T('-4.126807300592219678756151223950222464152792793159011690120E+359063116108679', '-8.4292016167E+1990394068424981', '4.895845998529868903848817845954350719775200407040243301765132401213691329881e-1631330952316303', 76, 0);
    T('-8.179604044243140E+158096951284698', '3.108282185E+982292354890', '-2.631551306286285587033984174766938028182920592841862e+157114658929808', 52, 2);
    T('-7.49E+444', '9E+15513448330', '-8.3222222222222222222222222222222222222222222222222222222222222222222e-15513447887', 68, 4);
    T('1.569544878801124551749262958464907028640146449E+1320827919', '78600.74689440328556773245421', '1.9968574610489903136831427310653596499635901325e+1320827914', 47, 2);
    T('-7425626679526003951923285291585875747890448172219289908.76', '748118.257477302313119348508', '-9.925739153279914801816550590470028e+48', 34, 4);
    T('2.287457615516289E+12750533933633', '3.4327608995473933676147802397718042E+97777284248', '6.663608921372555715556693473931163510492527717937675416966444493086403972e+12652756649384', 73, 2);
    T('1.99634250344411472759E+5873484586', '-36978011.46', '-5.398728662312212738954027031933858349234e+5873484578', 40, 6);
    T('-984748.226661842508105707301837965316477158392', '2.13822E+70', '-4.6e-65', 2, 2);
    T('-4.6657E-5148130601', '6.7483352383596618560974969924546210831372573126E+1856', '-6.91385332115496048238e-5148132458', 21, 0);
    T('8.316881E+491', '-7.28075716712448734425911496921649834E+104089', '-1.142309901167151077720157297949235728167234392475060826847747796281978824123e-103598', 77, 6);
    T('-3.2359466793469414740040100790852935921879269488E-75104', '5.4789117953021793846E+28937210547', '-5.90618502404357239e-28937285652', 18, 2);
    T('-2.708462706410334344541577963786975276425E-92741', '-8.935825636865723599945E+2063510301', '3.03101561789240374712303185682270335968969789305349e-2063603043', 51, 3);
    T('-2.43439220516790859E-5176540342', '6.680977569564226761727758893E-91475', '-3.6437664695328324255900972514005747234331564574090271686317609077e-5176448868', 65, 4);
    T('6.398485626073480732325657967716830120739E+5498195887189', '0.00000968504400906394336096897347312911156473799', '6.6065632949993094307807257433270489e+5498195887194', 35, 0);
    T('-7.408938905613E+6105973028285', '3.8851664219E+96327', '-1.9069810919424491281661e+6105972931958', 23, 4);
    T('-3.94043996244647527445279880716465839694971807653E-86219', '4E-126686697645', '-9.851099906116188186131997017911646e+126686611425', 34, 3);
    T('-4.022257122032951', '3748620826794951690520907.1825812223022579119438875', '-1.07299652535728899e-24', 19, 6);
    T('2.69863956996615031E+726', '8.33E+6727', '3.2396633492991000120048e-6002', 24, 4);
    T('6.9313929140127255324308274291E+36413647416288', '-8.26412379640894961088831478020808E+5258245967', '-8.387329479533e+36408389170320', 13, 3);
    T('-5.68409050007412912E+7120940189381', '3.1668257879961981291127588065343272793838088E+13762', '-1.794885756e+7120940175619', 10, 4);
    T('-1E-52512747', '-3.074755658290987126288776252383752355841E+959', '3.2522909497004412708e-52513707', 20, 3);
    T('7.032532354499348276663524111993315593E-5578717621501', '-4.0621843931963290921195577364409857180E+87', '-1.73121938193598380730823967261270441074844162955952983272763044430802526549407e-5578717621588', 78, 3);
    T('5.2517326E+9039', '6.037479444948252748916597318187051736282115218302447984E-410783756193914', '8.69855151953236e+410783756202952', 15, 2);
    T('-4.1838573962065228593083E-354697787159391', '2.731022998E-832280080', '-1.53197442836273137063795e-354696954879311', 24, 5);
    T('-9.87428800085787049846866085758356662106139541107852501214153E+6626963037959', '4.938958928641180409984877913803620163E+57046', '-1.9992650563657371863772740077707551507606491042561028410790567251298340857e+6626962980913', 74, 2);
    T('4.720842977400871981153826E+730465211525273', '-5.14698074392736136265444788527E+405339', '-9.17206263685896664064297e+730465211119933', 24, 1);
    T('-2.4E+1999771239', '2.2516532389375E-37541895051900', '-1.06588348440921622646691026040097193281681005136379733123295426450078694e+37543894823139', 72, 4);
    T('-0.3578132307488984829123064760063824605352861712928704455768', '-2.2E+5141', '1.626e-5142', 4, 6);
    T('2.8885453036E+936994603697', '-3.772E-9794371168', '-7.65786135630965005302226935312831389183457051961823966065747613997e+946788974864', 66, 1);
    T('-8.9823848050283040291723227618465773510842564334815401602E+2173396332', '-3.1069755259725416112667537410598936E+489007461056', '2.89103815911670212454322300982557639413165212290958681311683092219103133005e-486834064724', 75, 2);
    T('-7.34071642799375701670108172965403759540474E+47880624', '-4.3E+95197519341', '1.70715e-95149638717', 6, 0);
    T('-4.23780110122549483027381566087301405607260938E+11340571931000', '-4.089002821563193474245290500656E+903068346034460', '1.0363898696468536427343248376427156991131512008317609344660691679514e-891727774103460', 68, 1);
    T('2.675324370397986716394526530E+814994868', '2.561995461E+91201979639', '1.0442346e-90386984771', 8, 1);
    T('-9.5746644763093636000E+385', '-2.61321832466669438E+2097', '3e-1712', 1, 1);
    T('9.205632953630682409E+102565996678', '-9.65197394706035287974282003768316546609524456689166E+174860', '-9.538e+102565821817', 4, 0);
    T('7.77428079059837565025773239E-37', '-4.67819853483947860035622531854426E+816083350', '-1.6618107873579443638955251913710729054109557072724115e-816083387', 54, 5);
    T('-6.766766295640379188114474225602442E+881256', '4.8162997953E+5940308', '-1.404e-5059052', 4, 2);
    T('8.3460865743815E-41695535', '6.663211511814990166168E+8814', '1.2525621555885612289519785910599746e-41704349', 35, 5);
    T('4.513129197848949183085E+40', '702884.963604092464306', '6.420864624429521689935698728142895435129927998881210426e+34', 55, 5);
    T('5.7265806437537446287331994020569E+9781856', '-7.52625959135743E+40327319707430', '-7.60880032669840882539393953175012724500197910046004186651533306588168e-40327309925575', 70, 3);
    T('7.9896977844E+39594548113', '1.98539582200653661239730466914E+689799', '4.0242342085344103946557194023538823597525800389035800036808786673708555546e+39593858314', 74, 0);
    T('-9.775429451524892006476558312378488389150E+42699000966403', '7.258454403410505087884200139603354993E-2340807715533684', '-1.3467646014186910757689371904023757828725401754816858197289272612054029881868e+2383506716500087', 77, 0);
    T('8.76828641817666619839E+9395472', '6.601294045310E+787953016859365', '1.32826781506669018191255651657721413921064981386459335e-787953007463893', 54, 1);
    T('7.34512226314866640177503997372175498386470E+788986858', '-7.80781856770883074827E+4861039', '-9.4073936265966e+784125818', 15, 4);
    T('-5.014882823778654979262050363156359490210864859E+1926599801', '-4.44120669068436384722808949741190226903414417590733E-20', '1.1291712304895881825722729429264889716692941287193451993896039990477663233e+1926599821', 74, 2);
    T('6', '3.144E+4725778672853811', '1.90839694656488549618320610687022900763358778625e-4725778672853811', 48, 3);
    T('-2.49365E+8911', '-5.262124375388140840123E+1970045766268', '4.738865564757893571921685398760362007932024759009929848e-1970045757358', 56, 4);
    T('8.9096888748852609634186099001280366286908578473058E+1012', '-5.8010006743854329131484488761353662478668551120E+5598', '-1.535888267385724333092812598533096792031667085e-4586', 46, 1);
    T('-6.01431919E+7094726947879798', '2.6733959553759271348038873022E+6751234048813288', '-2.249e+343492899066510', 4, 2);
    T('2.966873191747983192168772752337220472793072762460E-252769460796', '-5.75634236009797753714048583194E+3972280574', '-5.15409439909943897886476513e-256741741371', 27, 5);
    T('-7.737E-50495209240', '-2.7956868702351851372276000994031566860732739177036011381880E+6238', '2.767477317425442022885426656534006536603263866818692587260318929001615617e-50495215478', 73, 1);
    T('-6E+77617232', '9.530630487640575589495219051E+22745', '-6.29549116166119829528094e+77594486', 24, 5);
    T('3.237397952267738547947888366481689191615042811296E-821424134202', '-3.2190717050285525133288009515334066032004E+38797487066541', '-1.005693022373673246437324063133307542429745841404474732270089231e-39618911200743', 64, 3);
    T('2.476988653131E+5079968746', '0.00136990762643218955241242621222160591567', '1.81e+5079968749', 3, 2);
    T('-1.1456335157425434377409708804690929405E+5871157', '1.69477121842871751420891793125E+64236', '-6.7598121993403976340064179157800091739891216490097922213221777243460974159e+5806920', 74, 4);
    T('9.3566868348160507235114342716935701004561840727E+57', '-4.54131304438246260862530589709615258776129578589628632103738E+93002006918', '-2.0603483493370126983800937355573420736267212738277e-93002006861', 50, 6);
    T('22.0461448112742444394593680689', '-4.8897593277764755865820E+5083861475116785', '-4.50863e-5083861475116785', 6, 1);
    T('-9.37198475714117E-326346900', '7.26E+34', '-1.2909069913417589531680440771349862258953168044077134986e-326346934', 56, 2);
    T('-6.841627718368085073010311E+2034926152967165', '-5.461259487E+7871366', '1.25275638974e+2034926145095799', 12, 6);
    T('-935893.0489878344242317463390130869', '-0.00086590868934958076308', '1.08082187013369938607563163742019e+9', 34, 6);
    T('-7.134076E+15129070891958', '9.771694850999267378627172610505299E-574505198', '-7.3007560190752981475697713e+15129645397155', 26, 1);
    T('3.401161171224796426283909025206636034E-5699', '-4.012346377864285574075326371433E+3158', '-8.4767386733823956e-8858', 17, 5);
    T('7.785005722971778E+57', '-8.40888553815938614256E+18291296969800', '-9.2580707486664532852180301311639353068373196244182e-18291296969744', 50, 6);
    T('-2.833011491832254899246196E+59', '8.960427084255575042E+933915197352486', '-3.161692478710259130816280789770750791466464791568123095872676116954e-933915197352428', 67, 3);
    T('1.9232162161724E+73681167049', '7.39071204674336419844797001302350E+4535268241608', '2.60220693758437528032016147321e-4461587074560', 30, 0);
    T('-5.23646791659363928E-605563967267412', '7.660857510654E-2691558480', '-6.8353548010927657575092179458365844822276134135e-605561275708933', 47, 2);
    T('8.900045368698629410262721133650790473833317267776044066309E+971961', '3.1689875841132208403607243447813421932E-1189582897937939', '2.80848224629101313960827365091057000315672365395139726500037e+1189582898909900', 60, 6);
    T('-7.845306E+877', '1.5E+4519', '-5.230204e-3642', 68, 2);
    T('-5.123499319592826E+50', '4E+576010945939', '-1.2808748298982065e-576010945889', 18, 1);
    T('-7.50644668670313994656190710172499224000983193414704E-5252708066', '6.8091946121401042088186835761045341528789269706786147E-7628407375189', '-1.1023986116243330630887635271387723595048821208958481561801251e+7623154667123', 62, 2);
    T('4.73E+797496819', '4.50901E+3511543351214', '1.04901075845917396501671098533824498e-3510745854395', 36, 3);
    T('-8.02290E+10592049', '-7479765661975477908706678662067.4688147500539870', '1.072613817406824360208536176328773e+10592019', 34, 1);
    T('-4.315077075011E+51', '5.25780E+425257694', '-8.20700116971166647647304956445661683593898588763361e-425257644', 51, 1);
    T('-3.76077896662777114790396347297419378884545719602E+3012', '-1.313734604645821843334963E+40523', '2.862663e-37511', 7, 5);
    T('1.4176641440522877107329163563732290548030737844E+98', '2.659670722908829441888E+22568', '5.3302242711526951033751267855272663359561367928186162481409887508569479e-22471', 71, 6);
    T('-1.73969692095986501118756859930E+113285884979', '-2.045719126244364988937506428258259159659493E+2325', '8.504084938354606501337978662176391898291150031762378301e+113285882653', 55, 3);
    T('4.815760743370969074768253E+2169702716376', '-9.6681736815611978260884947527119E+1494514', '-4.98104492e+2169701221861', 9, 4);
    T('6.487363493785E+223', '9.74013557427330659657698618639456879124E+406', '6.660444759e-184', 10, 6);
    T('9.4890816E-40347', '-3.664331029013308E+152756896744286', '-2.5895808879895653820152270047259808739897299945956778549637745e-152756896784633', 62, 5);
    T('-2.09911168036800785787677E+2387856', '1.1691099486806608842833655168881085881269E+259356', '-1.79547841735232239304325946143065029653746448720264338101598765e+2128500', 63, 2);
    T('-6.5507233755642071359718177544659693613029E+987371366905', '-5.602339102403E-5202882', '1.16928362e+987376569787', 9, 1);
    T('8.21466730402978149609056633057491749816564595972934E+9127860109056', '-3.285218540441017428777954916981394676339E+11706625025320', '-2.50049340794448953847760205503790880039858958715658142249803184400630166285011e-2578764916264', 78, 6);
    T('-6.05814689952031843288139645799147095738217918499968E-96903323040787', '-4.36719336E+69', '1.387194566425224284752392199550209739e-96903323040856', 37, 0);
    T('-5E-15', '2.219783845520288451015096507024104701938996558989532798784E+24275244642622', '-2.25247156838735577730461302721415476e-24275244642637', 36, 5);
    T('6.0207716456075470496346E-6813354', '2.54906920114E-433608339414', '2.361949076515821972352324900209986301572596e+433601526060', 43, 5);
    T('1.477314829E+8806519053950', '-9.20539404E+450935907', '-1.6048360587071620890657712681683314449405144638436357472862726e+8806068118042', 62, 5);
    T('9.5378044293110893153463449407503458772131578E+72518471453752', '2.599907026528105478557519175E+43733314', '3.6685175015846e+72518427720438', 14, 4);
    T('2.9E-431', '-6902.475518659363612268155572014', '-4.2013912141527649982582003975280989336756951282435328244264e-435', 59, 1);
    T('-5.9731403407E-824522049745', '-2.25103189948912301E+687538', '2.65351208130618596077041e-824522737283', 24, 0);
    T('3.2476019034797350492277075967048559840190E+43058888', '255057.7323846976545669066516620', '1.2732811011514257944764012568812018862191382877075e+43058883', 50, 5);
    T('-4.9231078281676261203833191816212942079861834198702022658717E-6234114071', '3.31849467342723109482238383387E+54642103404814', '-1.4835364563304252186564688185433085074043746588839465589274543271834370049132e-54648337518885', 77, 4);
    T('9.9187069092344917148965328847831898E+21291601', '-2.0624665094520955129872307E+591623212203370', '-4.8091481067828080957843e-591623190911769', 23, 0);
    T('-5.520E+387', '9.31589874108101638314265996710729522949E+3107', '-5.92535422874235696155772854602223133482e-2721', 39, 6);
    T('905535647541.4555173723756153414601067149383117438695', '4.991130380616748367339636282188941E-761891865728', '1.81428970691316522152321620605897e+761891865739', 33, 1);
    T('-8.0710843043250254894830098722413795590379433E+606815246538', '-6E-9278875809', '1.3451807173875042482471683120402299265063238833333333333333333333333e+616094122347', 68, 6);
    T('93.6118958768130798542920', '2.6105744048035649073695036205560933277E-9617857141440', '3.585873503722526299454076298333496475961363e+9617857141441', 43, 5);
    T('-4.181789873005542644553443480152863879435858895E-42757564264392', '6.245938229380503884E+218', '-6.69521491e-42757564264611', 9, 3);
    T('1.492203190764405E+6242488013065', '6.8322537660827004459E+42581891857229', '2.18405703572097493272102e-36339403844165', 24, 1);
    T('-9.43266874340726818481152329444756696548137591856697E+3628238', '6.196926539905440840182242E+237894877640027', '-1.52215274502046972296285328141042e-237894874011789', 33, 5);
    T('-6.86444171263015168919E-75546', '1.50951186777560407309582427873091727219742365788532230685457E+288', '-4.5474579293937573244134678420967886879891935344681012097003950103e-75834', 65, 3);
    T('-3.369475489939675668314736906020583058363E+283', '-2.759833863238224377645E+77212018685201', '1.221e-77212018684918', 4, 2);
    T('2.2239344872442591670E-70907', '9.481661675371847422983701010804564003618477836E+63645449352', '2.345511328484563263740787093513148538503e-63645520260', 40, 2);
    T('2.7892E+34583915352', '-9.52133330E+64793', '-2.929421659884545791501700712441187202216731557963631e+34583850558', 54, 5);
    T('-5.818616646314430330979159509814243797570901098043E-631207123', '1.31584356390446834095880211', '-4.42e-631207123', 3, 1);
    T('5.541702449305485625535132451944E+1727632', '-8.676505E+876686965', '-6.38702155915e-874959334', 12, 3);
    T('9.019965523830586521048607453E-44767362', '-5.528995416394269551207727157307766511814111E-271', '-1.63139319976375575572e-44767091', 21, 4);
    T('5.165E+37354971', '-8.51035345712824833964046828748350436917634573185929', '-6.069078e+37354970', 7, 5);
    T('-9.61758834388539548144266642663227181280988614451666259733E-17139218861', '-5.79633582040276891160667463067999E+47', '1.6592531285078475499360544e-17139218908', 27, 1);
    T('-1.537078107905728302020150794E+5306', '3.93592769428506254134970822229501365530786982723282E+70841', '-3.90524986050316466264862290846483319258266261404156332102667701518e-65536', 66, 0);
    T('9.30302630659E+9308160419', '8.637E+665377040023844', '1.077113153478059511404422832001852495079309945582957045270348500636795183513e-665367731863425', 76, 6);
    T('9.6568066662358646950346639462614941401029630496E+57424058', '-6.44021888358863749E+1916387', '-1.4994531771030227483795003e+55507671', 26, 5);
    T('-8.252782092753714211492206177871730E+62971610975885', '3E+4900018212180', '-2.75092736425123807049740205929057666666666666666667e+58071592763705', 51, 4);
    T('6.074896850576240738475583942E+798945604885999', '-6.3320298904177957475787964233E+673857582681', '-9.5939168887521012169465319143651475174969907071598330569387073613077e+798271747303317', 68, 2);
    T('8.992094414E+16', '4.002380542E+64195598', '2.2466865205942228968591662716513376453447689182774364986906335004863713e-64195582', 71, 2);
    T('-4.99753396494612333516111174839006252126163583202E-742584356578938', '-6.0455246640258062246809295612E+1473966', '8.266501656480200268775003551717148591200398875589633783521340372268e-742584358052905', 67, 0);
    T('-2.89945879980805256E+605456977743240', '-1.377470140103136E+13324379682', '2.10491590009418277025437833868910177295092639869851062974318296851850965085812e+605443653363558', 78, 0);
    T('-4.5895265346509E+61', '7.8E-10522256697', '-5.88400837775756410256410256410256410257e+10522256757', 39, 0);
    T('8.8146982311375448134844014009389756603523678489E+1527333093016852', '-1.26591206292525E+441', '-6.96312049572280446034400499e+1527333093016411', 27, 0);
    T('-4.973834306408898302482E+242447060297', '2.218952658335328771534682376880006738229144926E+4088596', '-2.24152339966563226e+242442971701', 19, 3);
    T('6.12956882094647218E-9720', '-4.48523125019400884E+4692', '-1.3666115477727792650347735161290849898705e-14412', 42, 3);
    T('-8.77293333746507292971114845E-46872466591', '8.30811E+721758175011', '-1.055948144339094322259954243504238629483721327714726935488e-768630641602', 58, 4);
    T('9.9447E+257060', '691430076.0356750156125370098792485791522849831728659', '1.43827992803236019648102050888925157635351153784892331565785424345502732175685e+257052', 78, 4);
    T('-5.314974242113847295281865007084E+9594', '4.2950030957E+29729360532', '-1.23747855908066867270217809614697735920889152433865e-29729350938', 51, 6);
    T('-7.0517008575657196347633E+907615881657705', '884505130062421.930380', '-7.9724815808225577443167140900027705123694217636360786577116e+907615881657690', 59, 2);
    T('-6.0479895904921500919172412759082883417554794714020359915203E+754034370066183', '-6.5394861292128560034342067907831221812337E+68313497952', '9.24841718598481e+753966056568230', 15, 1);
    T('7953290704.80582717377641413355068883462814804271701916', '-8.50726625140219117152181524418456867040792563E+81911', '-9.3488e-81903', 5, 2);
    T('-1.772817639495385730870917169652945861839772326322028353442E+485155459740528', '-7.16678483784098952672965258026901034480678E+277271695042', '2.47365824371e+484878188045485', 12, 0);
    T('9.2601E-5066305688289457', '9.63023E-7276032', '9.6156582e-5066305681013426', 8, 2);
    T('1.5553060694870301693701432171777119153383276915152849E-6808414', '7.839462E+6545291985', '1.98394490525884323359197763466129680243150319692255016989686282043334096140781e-6552100400', 78, 4);
    T('9.0957181193607258242607008556639965458079836213473519772580E+32047744575657', '1.757190985857504888262375078803722572202644256775382971622E-6231467', '5.1762832e+32047750807124', 8, 5);
    T('-1.74703227083516113396E+9370402099', '-1.3846316789187E+438', '1.2617306807536503274711453222668929812202414584313476700185107967420012551764e+9370401661', 77, 1);
    T('-5.5957256850112045098330226522792313433942E+283521139', '1.21E-4913', '-4.624566681827e+283526052', 13, 1);
    T('-2.5058603666079535109805215067300558543194356505485198623568E+532113033205629', '8.8682198170385298361109570296638427201615700488340807E+7569323430020978', '-2.8256633442863454863147674981861015416855e-7037210396815350', 41, 2);
    T('-4.19265801627347597253467950423041E-3491185', '-1162346.18762885011938293613', '3.6070647978175653e-3491191', 17, 2);
    T('-2.89189182540285403224685819124979641E+940857399088620', '-8.4776901927347965572472877305051921284E-499761880', '3.4111789410294149824773071925645044614831042657101814460498069547e+940857898850499', 65, 2);
    T('-4.984570031179986090272685881267999169014050340244894E+116465750', '-4.50330327388879001553924590769897893223806684E+8587628800286081', '1.1068697194083493686035429238289158082751254412929567199799069926552e-8587628683820331', 68, 2);
    T('1.753725052159101296710115587947409930697527492638634543223E-82', '-7.034244E-480', '-2.4931251349243803551740820874956995104200643205419580884925231481876375e+397', 71, 4);
    T('-6.87764034780138310836704807270E+69', '7.676964325144384603329772464007314381594542997979312164266E+144538145', '-8.9588020166708691860676963198358268820853003411781163967293486068310069729698307e-144538077', 80, 4);
    T('-6.722263761016215692122154745607768688544128332782E-45', '-2.09109776081447723491743851582105784686E+30239148226', '3.214705637864540170097425e-30239148271', 25, 4);
    T('-2.1547414267261434197701744176012424703221930E+816311015', '-2.006344793852086592E-561652489790', '1.07396367431e+562468800805', 12, 2);
    T('-4.66414327585E+3456953', '-7.285142643873365397719656759271142573393E+8158120839', '6.4022676066232353393651763917344907367e-8154663887', 38, 3);
    T('7.74E+648', '-5.2447264049004062469445E+3414362582585159', '-1.47576811495221e-3414362582584511', 15, 2);
    T('1.56459608379645346623757944602E+840992070990889', '4.84445680677953574973106830364669317864E+47573', '3.2296625735354e+840992070943315', 14, 4);
    T('2.2287E+6179906471489', '-4.750113756E+12267331', '-4.691887635711e+6179894204157', 13, 2);
    T('1.1539221069506718558296035789119372867983718781E-819075310816364', '-2.38022687011099E+205196011577', '-4.847950090139367503985646288352339282027974352e-819280506827942', 47, 0);
    T('-5.736071434337929562902231E+557', '1.3071187E+739926', '-4.3883324707526023175e-739369', 20, 2);
    T('-6.93318704E-19989', '4.5888101514E+289826467526', '-1.510889928162478916364088306658377743232256222122164127672392422087597284686e-289826487515', 76, 3);
    T('3.085036016574586354808665522366006906327910941813139E-74062466686', '-2.491876936508414004333962306502694E+409709763101', '-1.2380370681135237938151494849744662667e-483772229787', 38, 5);
    T('-9.8682123346611059212721984061E+94', '-3.944195979460500E+658262', '2.50195791133353171117948321733276e-658168', 33, 2);
    T('1.78796484412903958602027444682050332301272E+28667924002583', '4.2234102923321604567059303570185059621563954899888651065E+1650', '4.233462345288097118210198056981582972192240961369e+28667924000932', 49, 2);
    T('-7.201788746550188E+612986', '-4.903839890E+51255691', '1.4686019340142420514e-50642705', 20, 5);
    T('-2.6E-22171260', '-3.2733261384677990270606E+8417', '7.942990982307146000166023674249467420199078601835046709330062048221313327e-22179678', 73, 0);
    T('5.8872025573193537350203046E+9143', '-6.8765157016813165669499090550650067696645109819756241E+84335937324819', '-8.56131624316647085029848800330348842643621677662e-84335937315677', 48, 2);
    T('3E+5997', '-2.11077674327623270686345E+65292195678353', '-1.4212777403182694639852381867220423239944628604766341934159826632607662434e-65292195672356', 74, 5);
    T('2.168144173923093E-5626163', '1.49506288E+67', '1.4502026656718900010412939956077298902638797e-5626230', 44, 5);
    T('-3.110479124899928869525446052805164350E+55947207339', '-7.1910665072302646043543296833071686719E+1645922586799', '4.325476786749913519372997008005194854213215265867331615894353599210077056e-1589975379461', 73, 3);
    T('9.037170069574427672260250093608847061588335978E-8', '5.6783535099976291310324926750646214895870E+18187', '1.592e-18195', 4, 6);
    T('-1.7505525515892597E-51', '-3.8E+76338', '4.60671724102436763157894736842105263157894736842105263157894736842105263158e-76390', 75, 6);
    T('-3.69014535130595769258850038902858272688935E+2313747', '-2.3987787654955274572E+44357438', '1.5383433455330201433e-42043691', 20, 3);
    T('7.16E-283', '7.61494317729392195547930394974021195917646185086601042600411E+362341', '9.40256523692722751869861056472399115269045674900667670754803367115770505228e-362625', 75, 2);
    T('4.4935E+6636114486906785', '3.662056858657017816911040940557048275890546922E+7745269641', '1.22704266302623614487904607939985789777539556045999454796896922481961060973e+6636106741637144', 75, 4);
    T('-8.221451E+1392539585', '9.461723214894362896996808364936955720606E+1020891420385', '-8.68916878381945974286550229191211704523134416368e-1019498880801', 48, 1);
    T('6.65818898186478359316598720834012799317759204444897E+6971', '-2.332E+308871268135', '-2.85514107284081629209519177030022641216877874976370926243567753001e-308871261164', 66, 2);
    T('-6.889453163075196828051215844063830244759858034E-4299714921263', '-6.150446018024343812060867174149843674313E+505339', '1.12015504938749e-4299715426602', 15, 1);
    T('8.705637E-9773', '-7.106314357925733563E+58947', '-1.2250565569605752284127914555851793330742426774970233e-68720', 53, 4);
    T('-7.62494798785588E+2857555', '4.60115586995099552774050244089753740207407734617111E+71', '-1.66e+2857484', 3, 4);
    T('-2.5775992088284105E+52', '-5.696672352329272935531479777E-86750', '4.524745411721763842062331889215804997918873756453525238860123943e+86801', 64, 3);
    T('4.116198288648432102167814E+16534610064', '-4.10691333567371543963937534945604715415147745900770226E+3376525121', '-1.00226081054451895794837772616742673040495240892564e+13158084943', 52, 0);
    T('6.010502744E+8878', '1.230366174142680027970431710952903087461703851788384056552E+82', '4.8851332800888502376509873380698210228196666151621000306895941e+8796', 62, 0);
    T('1.60497156601605092497544771764844553794E-79936', '6.01877598322558229729330218728798312836007068334E+7722103', '2.66660791245451e-7802040', 16, 5);
    T('-7.91507E-61', '-9.448E+550715599632946', '8.37750846740050804403e-550715599633008', 22, 5);
    T('2.111835805015542927914594634827623642372E+95361470080', '3.17593328419700229894726988423454647537581395984E+251627', '6.649496749581425757883e+95361218452', 22, 6);
    T('27234385414088253289834.2397897901047482849128145008053217624', '-4.5654605639850179175760655446847E-657296', '-5.965309530637230590019072725780868474352132886073715832469e+657317', 58, 3);
    T('3.824698702E+6861', '3.4176002312066773692479715133321852687469443418891E+44096874709902', '1.11911822426627e-44096874703041', 15, 6);
    T('-2.7853837859115E+6729872683', '-4.69206444175212035190934486044276270528488718121991794E+647310935772850', '5.93637154921805860622822827671069738e-647304205900168', 36, 4);
    T('706.75969957229933', '1.26144235882669868817955925618877526350743372686211E+3805324998643211', '5.6e-3805324998643209', 3, 1);
    T('2.453508118295681837461884E+56647045802185', '-6.8419035386388545835109054376433280234149245470E+95346309', '-3.586002206023192317743066280140418880612623456751252158846878406970818678e+56646950455875', 73, 3);
    T('1.950110261762106870046022748346288E+4832438791', '4.6162628733203282558281577693100631327688169452831605E+666751849181575', '4.2244350360391321660997730336446387409642188461901367e-666747016742785', 53, 2);
    T('-7.13341961487031228629433009743306241825993137E+450', '-2.4946E+782257604013879', '2.85954446199e-782257604013429', 12, 4);
    T('-8.3356E-85782173', '-5.5767135127037799603389684315032002022505010806710145E-230472902686', '1.494715477317e+230387120513', 13, 0);
    T('1.435567542090482712881495201092205677431E-54', '-8.984089E+2427777447482', '-1.5978999563455824100601576866527097821838e-2427777447537', 41, 4);
    T('8.79592310084963670E+24743248769009', '-5.673510586999475337432825479E+99575', '-1.550349288323351481610204126904281450072587603775157462000427773426845e+24743248669434', 70, 4);
    T('2.185667E-1412428103921322', '2.88787937970359620375592328940083452114351493455524837E+7221823124', '7.5684151331290391280159929759669e-1412435325744447', 32, 6);
    T('-3.77026548287717963786062E+815784339384037', '-8.256037470309528281459300635525070E+4216871715145068', '4.56667680644117531539357411825924831485345261719863805760735001785e-3401087375761032', 66, 4);
    T('-1E+6961600406501', '1.455360608252450E-486945', '-6.871149283068528926055246008566801297633e+6961600893445', 40, 0);
    T('-7.9665799571988769182155E+13994', '5.5646429914721383329644460357778356E+47394603603249', '-1.4316425994278028191154394567500688781336850879e-47394603589255', 47, 0);
    T('-5.603E-87676743470156', '9.626722050717087972823E+18717', '-5.82025737367439246244818213092969916214108723119257464892e-87676743488874', 57, 6);
    T('4.47428198970E-150668', '2.214671009903152291705204E+1274975959633', '2.0202919393863654017018168301975755913292734063701449258297762333551912389498602e-1274976110301', 80, 6);
    T('2.34288100E-3786552501', '1.02315814912017734137577E+123424716267', '2.289852259902014075893e-127211268768', 22, 0);
    T('1.3361370784477712051315900645826648068612095480488497403E-2528', '360407.8588332163621989041480835496707369021467458296910924', '3.7072917410108052279940162247516150809051157e-2534', 44, 0);
    T('4.69029213836762359625569135156138260015325838958756022183981E-5988', '-4.532248453272403563832692600412396867409347872659E+9963409093846', '-1.034870922617030913425960297110361146452915877158438193594605057732e-9963409099834', 67, 1);
    T('-8.04024472906E+95', '8.743057702556646873182E+4173', '-9.19614739212903725027372211854665961680624959852677532561752131980720363e-4079', 72, 2);
    T('6.4997378915E-8', '5.518417623741236460392126396947299032E+8405054', '1.17782638695863561285e-8405062', 21, 6);
    T('-6.53863622576511321059552356539669982946794479781438E+842842044', '-7.443615812402980841511511995450E+98592853', '8.78422045220289501369336370402335534944076901709885296987e+744249190', 57, 3);
    T('-7.02883110146608893521277483282687E-11', '-4.0457E+1269670430832076', '1.7373584550179422436692722724934794967496354153792e-1269670430832087', 50, 3);
    T('7.7965190495363063404413546845834864747410741241808E+574', '-3.78963215139633608485139187545827650119279E+576446037479296', '-2.057328716367255860275715936323253844702e-576446037478722', 40, 2);
    T('0.0000014108038785079026817404832397', '7.3127631279563990218118149031638389309571817777E+66914', '1.92923502897893171739874047811793405217707364919943518467845808193190024067e-66921', 75, 5);
    T('59283790.610633723218243071420132228058478268460596938609', '-7.070244644666744585422230017132187928928933933444E+43259451', '-8.3849701941152645838e-43259445', 20, 6);
    T('6.3515274303E-469176565', '-3.66420830934E+3628983646044', '-1.733396928910966301771538135933438557622852355801540812189527767e-3629452822609', 64, 0);
    T('-5.765613772342602152733797536711452997E-634636016', '5.65552480076300448404427746396556838228E+53420105245755', '-1.01946573933594018052771e-53420739881771', 24, 2);
    T('4.05E+348084228208682', '2.1116940322115206993270681E-979182532141', '1.91789148343547823797150343900368418080387385143811465913183408515156578896479e+349063410740823', 78, 1);
    T('-6.2492861E+985', '8.37248654702774E+80517298930788', '-7.4640742208e-80517298929804', 11, 6);
    T('-9.034052914571380E-550831779750454', '-1.2236194067653082610571E-5500209', '7.383057889260923347505179704701180187526464014e-550831774250245', 46, 0);
    T('-1.938629193263744661237954633330279E-52320736318246', '-2.14902902092836320772313442562721250881E+8313438', '9.0209539954293985403975066731131884488026518629454217525912594248e-52320744631685', 65, 6);
    T('-1.0814847572197823838808E+7878732375706371', '8.236278228185920902174967373E+2715582621632245', '-1.3130745796308346649432808818815671252818e+5163149754074125', 41, 6);
    T('-1.55626290061063260445E+8203625391481275', '7.37919532812456714203657213398927E+7107', '-2.10898726949e+8203625391474167', 12, 4);
    T('-2.915095122262987664946327518411237993246152350396947823E+47901763127', '-7.105413432825129151E-9749467682336', '4.102639698e+9797369445462', 10, 5);
    T('-8.587282735437239732527699070643E-796057848698186', '-9.84E+4', '8.72691334902158509403221450268597560975609756097560975609756e-796057848698191', 60, 1);
    T('8.556029390653E+312439398689483', '-1.846628121671E-1483', '-4.63332562211319130429404342143595941925790224098831840344147e+312439398690966', 60, 5);
    T('-2.38281723221250530505956608237634066672055057694711329E-989960', '908898.6320743213330260', '-2.621653447507510965324678088288836293798e-989966', 40, 4);
    T('-8.1253034610251238029000128918612302020450515630E+2157985', '2.907953896859558076428240694165032684133690265E+38497795402', '-2.79416515846418239571282732944e-38495637417', 30, 3);
    T('-0.00004287985522079', '81824896737828590137777952280712419534530706.8771714602963', '-5.24044110415187974603179668884736210074570979792511698594636775e-49', 63, 3);
    T('-3.53858086924E+62', '-4.27805134316070333340278E+96683823', '8.271478262871036765625837003396429778235e-96683762', 40, 2);
    T('3.6806035701235389575908107142174742380360450807321615E+341903', '-8.7967162223239838434517842122624558611323096E+15208301', '-4.184065368373e-14866399', 13, 1);
    T('8.431855846849660800051594813332692190875278E+84560107', '8.16345796358578E+98674331', '1.032877964762127304636337462919182601277e-14114224', 41, 3);
    T('7.8114542240565577672177993456023090478687534341927E-148351', '9.91263928926874323287661510568239736E+8997', '7.880297059243451823786909643763687066956645114183341e-157349', 52, 3);
    T('7.76165590700537809506743595567877577250541693027175757603E+704768', '9.48042245862561991111075017629648336859144476268279308796E+4709626', '8.1870359057085605957797761479265e-4004859', 32, 2);
    T('-9.959272092E+449466895472', '9.4970937016473E-177', '-1.05e+449466895649', 3, 0);
    T('1.9839368403343830686305455964733283954382416843870064455185E+589262106056', '-5.548549443678264411366635682943562375982676101291830028E+168934406924', '-3.57559549657574016711079313105111096267503651492255e+420327699131', 51, 5);
    T('-6.66806257021275203850799077993617301E+2239684234709999', '-788103041.563645831652229694351432805357696065426288005728', '8.4609019614781564025238342226055688091327669020959454594985865821630953968250318e+2239684234709990', 80, 3);
    T('9.9988420918636527726968740290127163911950278886714941E+519', '-9.5091156402132840267E+75111496258173', '-1.051500735733968260133759473191283547177844630185604092227344286543743602924437e-75111496257654', 79, 5);
    T('-6.8733533503E+6116', '-7702464868916322', '8.92357637103644244139370282801492934212597877121e+6100', 48, 5);
    T('-5.54417928382188718049447923322594050717461E+226361686956', '8.4284641728384742787608588254545660629457715691650684459406E+499854963018', '-6.577923534027149462e-273493276063', 19, 3);
    T('1.167138776944770838460350309884658472294E+4588462296833615', '7.37222818055012591497706121784445121948957E+252673024366', '1.5831560667424666181229510252798471568e+4588209623809248', 38, 2);
    T('4.090742503329281774048614053483300244034E+12831', '2.8786340595361833781E-69892', '1.421070694893535020298904907e+82723', 28, 3);
    T('-9.68977201199451711714736E-254213937217252', '-5.2187854084379242743907969E+1219', '1.85671018324067074907359091e-254213937218471', 27, 0);
    T('-4.0991890819551547333506E+132829505478', '4.954192675862099233383070E+7933042775457', '-8.274181789350447811566961423315074839240589235121701e-7800213269980', 53, 4);
    T('5.4E+332990189970', '-8.537844030913494018183350725251160739312022747061675044491E+648290226078137', '-6.32478173699108318296877377771505e-647957235888168', 33, 1);
    T('-4.4800116407886767218208514327761488094447310E+979076988939186', '-2.52001655097618375979946505302988621673430534777E-648555556991', '1.777770721011036937564e+979725544496177', 22, 5);
    T('-8.03061915981558260271225307435689304290795798261732598E+284753046932', '215385.65663511703124506509265374538572746078847254', '-3.728483727875e+284753046927', 13, 0);
    T('2.88637026878274351306637864378121047710E+58315203', '9.31537493490806871680471308752494349313E+11299589313660', '3.09850144406584578813833961e-11299530998458', 27, 5);
    T('3.77262735194607839150464637714920523E+3544333666', '-9.4413053226906421772108248863E+45', '-3.99587474719113466668424136056e+3544333620', 30, 3);
    T('6.91518614195339885819043722999293081430238261306341155412E-6223895559875', '-7.22706724876091027193121853770636E+4289540451228', '-1e-10513436011103', 1, 0);
    T('-1.5428412580128745361765633245960187028633148E-213591835900826', '5.63174516875098E+963123881050782', '-2.73954380353301574603284839e-1176715716951609', 27, 6);
    T('7.0088511456192325192E+9909', '2.81287285226212131645266716346901E+6003617', '2.4917056382348359900532580310827269124032207614765620029752472655589491e-5993708', 71, 1);
    T('-2.291006E+76636', '3.2341338628068634313998287598022144130564149981692041724E+438273891374', '-7.08383170637119263492576959549977491771806875295e-438273814739', 48, 2);
    T('-4.779375433634304', '-5.5492080978590539442E-1740567467669', '8.61272e+1740567467668', 6, 2);
    T('6.4E-907900462195543', '2.93E-43992', '2.184300341296928327e-907900462151551', 19, 1);
    T('3.95179200857585288194E+93146', '1.9891890240032E+86', '1.9866347345024841896521504487213142387438046684275389532116339866500906106e+93060', 74, 1);
    T('1.308212598698262071855972730065769193976792306E+65', '-5.070922258480168496761967601268419880942E+4540169568', '-2.57983169927427169987198170835427363488969059e-4540169504', 46, 5);
    T('3.8579421407087470058129094E+5123136801810599', '0.000007995191281445465321941236791', '4.825328131500641917982656701654479146493681647339624135988688e+5123136801810604', 61, 4);
    T('9.603115E+8706277852570', '2.294496547419056454101681E-8918491', '4.19e+8706286771061', 3, 6);
    T('3.76873047172301282791038076935893077E+962', '9.35859561202761295529269399924848924015527995806712490691E-6213048795432', '4.0270256649186361e+6213048796393', 17, 6);
    T('2.8446381589519065432763442631298519167154635591921120412E+4617308', '-6.1043619225586248010829083670878491046210E+41093447880235', '-4.660009014930073280106796832588088133590729988461e-41093443262928', 49, 1);
    T('4.56959871241706063888986196615920E+7946574866532', '8.26231223393099893894513954632383286216408216129743607731684E-54847524593303', '5.53065362702101768059253e+62794099459834', 24, 1);
    T('-1.887E+214223226', '2.53520001483099508252204E-623692016', '-7.4431997040114948688766235226965923354263849602965687985235219639278069e+837915241', 71, 4);
    T('-56323.053450797496', '1.5727172354416388288191809384665646383258058689886E+228848', '-3.5812574683828191441950255247132932314573870082761884231305027183717e-228844', 68, 3);
    T('9.9618025896197639046976371941161E+513668478859503', '-8.633E+69327', '-1.15392130077838108475589449717550098459399976833082358e+513668478790176', 54, 1);
    T('-7.308306368246031439712791243379003E+1830736619696479', '-8.9613876231969789353E+29917518', '8.155328923980625627342190257568804954961612202708564521150943e+1830736589778960', 61, 2);
    T('6.6994223936023291357785509764340034264981613455029405321E+86646860', '-3.0796580706719159945802265730202885530E+356751325778', '-2.176e-356664678918', 4, 3);
    T('-4.1762137521066656169E-828', '-7.2426500829148916464981521744324912586E+67180383', '5.7661404379567901993498705023298730663559146681226483e-67181212', 53, 5);
    T('2.8732982755388062188748732292631282E+678773760', '-8.8320061274954E+10243468', '-3.25327930490648623857075127797217523566292068405090103185e+668530291', 57, 3);
    T('-8.03594655245926544056747440349635882552103892603124488E+4952314428211', '-2.36028560239337439939759499177E+350599350606684', '3.4046500746819211678945354721896827071554642554693858481234593186878e-345647036178473', 68, 5);
    T('-9.9542686932061451E-553365404', '7.5381275809911403807643436E+2165695737814279', '-1.3205227141959995474425e-2165696291179683', 24, 0);
    T('2.5192E+42405356967', '-1.836945909E-80099029143', '-1.3714067396635575076152119839038766165433127078539360518535551501e+122504386110', 65, 6);
    T('-608779.272956936428631166065959678145998019484172301211857512', '1.0725976541578380148254988439020040E-4708187119816178', '-5.7e+4708187119816183', 2, 3);
    T('5.076485E+22704', '-9.582761056796E+4739968', '-5.29751808472758142040819818489639634032657951657268607416356535781348840252e-4717265', 76, 5);
    T('-4.253228E+577', '0.00000364739672800840434', '-1.16609963685590050301157875063118707393952574967244064659395557811012121832e+583', 75, 3);
    T('-3.227517357809210459164375374313E+490010313879223', '-6.346219310758115847359641895310066703922280389368656129E+699', '5.085733e+490010313878523', 7, 2);
    T('-3314.642098012381', '-9.42416837654333547522950296340575903057555434613899787E+51823282490', '3.51717198332586388087000667522041680257324343816962081942855983535696245e-51823282488', 72, 0);
    T('6500524338043348.83078468869280185989', '8.931173439655627E+8407659', '7.27846612985941470244082093957658622397381275440873465107335315369198e-8407645', 69, 5);
    T('3.043285484076457822109774968390628272516E+4298879', '3.3717642909060888376282692415E+723592747', '9.025795463474229303534109024277212120955527457009799950396024e-719293869', 61, 3);
    T('-7E+84737162467382', '-5.7303301279612698549097180661649771751665135E+8356211566687', '1.22157010917108397137117745195803611883422728788369e+76380950900695', 51, 0);
    T('-3.85005721964652561207861926689179581104702532E-87', '-4.73766637143329223487751521643710653827E+1081193680', '8.12648447104932571087281574812575661457826776715573986723072918212888781e-1081193768', 72, 4);
    T('7.77032001345E+599126899601962', '-9.661447267706319331299558495246100345E+9222507279', '-8.0426045892964e+599117677094682', 14, 3);
    T('-7.77383038749293078982820195079E+4032743', '-8.9203506782358236E-45', '8.71471388054259773328638797680735799390425851724444052188558522005485e+4032787', 70, 1);
    T('-9.962070106663448830234369349429644673167278E-9645', '9.040134538545E+659755141352', '-1e-659755150997', 1, 1);
    T('4.670268627576450711092953433944868314E+10374143515586', '-2.825823424785024197122020026779223189266243308142725413819E+7869', '-1.652710706059683655589049e+10374143507717', 25, 6);
    T('4.04280707450941018604955275611594990431198401180796E+8975636588584846', '-5.44287926745217578465259E-25514222', '-7.4276993404666449830066563421208566897543964315410584e+8975636614099067', 53, 3);
    T('-8.351889134265504126370921E+21229442275267', '-8.315213560832199112430031318220730932E-546260', '1.00441065922901377259e+21229442821527', 21, 5);
    T('-3.756542956309826257872972587963316387E+3393460832955912', '1.51688262534570E+537537115', '-2.4764888815663664494248391212188546907475072e+3393460295418797', 44, 3);
    T('-3.37588098649479298536119406310309069028E+718227', '-1E-39', '3.375880986e+718266', 10, 1);
    T('3.607678578675791417065605246393946E-445446', '8554185800997925.5567312395834', '4.217e-445462', 4, 6);
    T('-6.445569862867708E+890529063190', '-9.744541342357751980144104528920306164450679082E-1635996489', '6.6145441190238334507000013661112271832299696502e+892165059678', 47, 5);
    T('7.818164300973249702493510076774033924912851079811E+1718033', '1.511490111266234805389215001243325933669136925181072876142E-364', '5.172487893039317010068163637191647648946e+1718397', 40, 4);
    T('4.40134962230840018730184293713806E+991056105870378', '6.175130572447533021915354034191490176376E+2895565899', '7.1275409817996949585e+991053210304478', 20, 6);
    T('7.061592088684330425865118895467118462E-515', '-8.188130817755611597452644230820936902667444216323960399609E+62130629799', '-8.62418e-62130630315', 6, 4);
    T('8.58374518773039611629383901597249E+5144408807', '-2.40175933714014674145328459073199246675215086475078668E+974629', '-3.5739405922124328096856460266452192356881e+5143434178', 41, 4);
    T('-5.3324564671681198E+54289207', '-2.7302861245868252428374E+56244449', '1.9530760601052688303333343902796145139e-1955242', 38, 5);
    T('9.086777926396523362152875937961E+6216571', '5.39716095897900973192E+8748580551303963', '1.683621814405825104350494545407333e-8748580545087392', 35, 3);
    T('-2.459817879787562421154E+4752832983156', '7.75E+8477', '-3.17395855456459667245677419354838709677419354838709677419354838709677e+4752832974678', 69, 1);
    T('-3.713646854873185616045336250155616861004084946E+68657', '338267.0452929911430947882769967027669672123962479503650', '-1.09784470776826570774857972911697260594642752641745114150384458637862e+68652', 69, 2);
    T('-4.730791863487048015E+520557981583', '6.4614077054870270E+5423', '-7.3216117587962447789771132069476977054739008501547825623010530509512563e+520557976159', 71, 6);
    T('-2.1509E+5613141616019842', '5.67378862E+66779953470317', '-3.7909413692609507190276679711765504580958463694052810871195e+5546361662549524', 59, 2);
    T('-6.64632076699E-409115147060909', '8.024519623798400105319326190385E-2028004452', '-8.28251543840573131858710877264026021366279746127121816126977632867266726e-409113119056458', 72, 6);
    T('2.498498243460858870985499371658808132280424E+1238', '-9.191318488893970789734138396853551534926370255217E+8872852591693587', '-2.7183240864516201257693278809456709817282336628514057058e-8872852591692350', 56, 0);
    T('-1.437234056884323912318970015706204341995342758867662791E+712', '-4.14985056E+533', '3.46333930849867497956111946283242628861156571109795045e+178', 54, 6);
    T('6.8900783067236210077793471798728112330327941690878260696906E+714080', '5.634212438876246E+99615226', '1.222899e-98901146', 7, 3);
    T('-1.3807477295632998948340821362973071723216092435756239317', '-4.6E+302', '3.00162549905065194529148290499414602678610705125135637326086e-303', 60, 1);
    T('-7.6040304215145484765132388255642503831944641017267E-495038805760', '-1.3882818672639267678947936793855804655E-8276292119726745', '5.477295786122187752293271648405879942160564635661977574059e+8275797080920985', 59, 6);
    T('1.206944441E-4649940925881126', '0.000002929', '4.12067067599863434619324001365653806759986343461932400136565380675999e-4649940925881121', 69, 0);
    T('8.73685037249485279747275963307472821735615401714201775E+7951593346115451', '-9.272137679908960039880662401848604819303862913153342770252E-90705151', '-9.42269266711388711167e+7951593436820601', 21, 0);
    T('9.37090685225957222E+239350004823370', '1.0579594870419808046679199E-82852', '8.8575290141405254250694511521510694264742922707183e+239350004906222', 50, 2);
    T('-5.3393026003615935798825E+558', '1.9077980053018965934414050133427689677991095E+12572830249', '-2.798672912710527633337396774291128454e-12572829691', 37, 4);
    T('-8.2541984454222624E-2205171070', '-8.433825345040035E-194', '9.787016102101981673222846e-2205170877', 25, 3);
    T('2.3212595212618959887411689142241869E+9662546627158', '4.7837910E-835', '4.8523430920412200046807415169771984185763968367347152080849685949909e+9662546627992', 68, 5);
    T('7.20E+704536042', '9811170.8482687110193041918672516504140031310', '7.33857366398885936416940229902658e+704536035', 33, 6);
    T('-8.95917739751513843E-302112749', '2.73750763216002774557743689908018119484324260079297774E-9', '-3.272749742233926917837782652882334791414022520216207548043944638134200223e-302112740', 73, 3);
    T('8.73478348400522982414456846413878765548587814446638E+516924891', '6.06292891344E+864937980636731', '1.4406871016815643636435e-864937463711840', 23, 5);
    T('-1.48E+14089', '-1018757600233977369030275794.0', '1.4527498981701725719318e+14062', 23, 1);
    T('-4.19909290704674784829636E-8386203', '-56326342160084261455585704795137435140806260417.0', '7.454936263e-8386250', 10, 0);
    T('-8.61285811760314569278974400534542577587468E+742', '9.77085020E+11676', '-8.8148502344280599991081062785564205823917758e-10935', 44, 1);
    T('5.6267028137121193279511425749482665918822943190450122257E-5028', '-9.721050654982256825437009763217464915427440934E-1708', '-5.78816324841215362131317762e-3321', 27, 3);
    T('-2.9556273633943721469300181774107503E+158784494', '9.81435191506051885990093072276417615032909609762414968032792E+6017972506764320', '-3.01153595160862608491028042042427976268483736458564446e-6017972347979827', 54, 0);
    T('1.499E+6706894234921', '3E+444160', '4.996666666666666666666666666666666666666666667e+6706893790760', 46, 4);
    T('-4.367013E-6343321', '8E-4244546', '-5.45876625e-2098776', 72, 6);
    T('-7.724731936365841121514157443789262286629557546537E+900', '-2.4163827659430156117924581302957E+7263551083632', '3.1968164e-7263551082732', 8, 4);
    T('9.4641954671792157293208132E+47871549211982', '3.054357925959E+583572461', '3.0985876e+47870965639521', 8, 6);
    T('-2.93388032794944657373E-596', '-2561459755320195793.514504618374001250060747356845', '1.1453938801325013483939420100285523803131149916775499078423377254e-614', 65, 1);
    T('-9.56033687157196006217E+907', '-7.678E+67537091166', '1.24515979051471217272336545975514456889815056004167752018754884084396978379786e-67537090259', 78, 5);
    T('9.811953028163E+32', '-7.10031208338393260274357379333986012414150E-5142261924', '-1.38190447306179933428066988865e+5142261956', 31, 2);
    T('-3.1407185331922415772074969518758665373269E+1233605370685995', '-5.850538982194346555658752282319820233046644834764313E-9480702', '5.36825503214450915980238479280763675625714215424404064e+1233605380166696', 54, 5);
    T('-3.38267983391532386880954221547693245270105976215E+774624545535107', '-2.987602757E-6519030', '1.132238824585916617163418361203812630134435159e+774624552054137', 46, 1);
    T('-3.2615357392480587585875882990663649436796372442192555215E-598695972030964', '7.971148250188260126620377258223828559720E+46', '-4.09167617622847349638109283912752534746899173118243122887405931e-598695972031011', 63, 4);
    T('-6.698149734156897E+6789485', '91612881830460650102757101522786705231979132052942.01', '-7.3113623328131225e+6789435', 17, 4);
    T('-6.51424793932096309654985183866574264158748921883655602E+744', '-3.2141002798071761788807670071981776094464128876473129865242E+16619544842834', '2.02677184039564969247064103314232541453475359430105582218796973106822047e-16619544842090', 73, 3);
    T('5.650899866169890718568494348995022232213273862892643E-694710214340528', '-7.5911816839E+4477006213342', '-7.4440319063299223e-699187220553871', 17, 1);
    T('2.808612E-503899', '8.71E-854369740283441', '3.22458323765786452353616532721010332950631458094145e+854369739779541', 51, 5);
    T('-9.267496188E+9875866', '-2.2158989297305941214161151708E+898382', '4.1822738680264307749334411083575007491275703310736960536791645184902557e+8977484', 71, 4);
    T('2.9632401038449083918429859834528216059263456453911E-2036734207419', '5.08556156605855553119418861962862221955454021197069672700383E+672034497', '5.826770682753719368885621058e-2037406241917', 28, 0);
    T('5.33168344064E+907645933510280', '7.7474568589288798062635366094860044060875392449556562339E+610134', '6.8818497962919006543612327706748163804243e+907645932900145', 41, 3);
    T('-1.6668385E+88', '8.73034756985771547334856770669904448383638587779E-5648302042', '-1.909246438e+5648302129', 11, 6);
    T('-7.48980364108471278E+11651006119', '5.5244359900039294E-734206995347356', '-1.3557589688136e+734218646353475', 14, 6);
    T('-598.0233840832367042020419157488', '1.9212975187535744100345791586155E+4816767746', '-3.112601657192579626560922649676478694060305852208333002427343e-4816767744', 61, 0);
    T('-9.26630563187887336610297949E+958970887556', '-7.75810721311104E-99026996', '1.19440288427814e+959069914552', 15, 3);
    T('2.5410903905910337279511881E+53654619753401', '-9.8832546443032507456225688129873363440362555523074339584E-98113', '-2.57110687e+53654619851513', 9, 5);
    T('-3.612438116307547107407725639746557284277552665954582E+6269627944969720', '1.1E+9', '-3.2840346511886791885524778543151e+6269627944969711', 32, 3);
    T('8.530215816660922912638593868255150894287201793022972906059E+72334431547', '8.227108663527223E-8625', '1.0368424881121903452764229689921477760486770254891990429e+72334440172', 56, 2);
    T('8.237572263068888544641830539719315598592E+9879148042323', '-5.89546289143784162E-9455', '-1.397273193769493983216257240203135173665997e+9879148051778', 43, 2);
    T('-1.331587747E-9869413', '9.1889821750945556995437395689250233815587299517436580664E+5886', '-1.4491134291337308058267109227357473754988351674708108351e-9875300', 56, 2);
    T('4.811251375265271E-2147459', '-1.070441577683214121729765757583706407734032833644580720252E+317829', '-4.49464172129635833819499140835401e-2465288', 34, 0);
    T('-1.16E+33750', '-5.002438950753455917221516E-64203114', '2.32e+64236863', 3, 4);
    T('3.24207004981E+7601173', '-7.81914678759373878693340564131978354912E+11005894', '-4.14632201937177519749546215392772651929276e-3404722', 42, 2);
    T('3.794713110853359746328769271832437542957230509252216597E+494121239683181', '3.30512461301977668289853281906229333343580555E+2844', '1.14813e+494121239680337', 7, 4);
    T('-4.24940449719681375346343701E+2100421', '8.60687802367859996647E+963812131', '-4.93721937908980409742806864225574769785817739444320937941977455985221779593348e-961711711', 78, 6);
    T('-5.513977602265920490860117110800557766089E+92851192261075', '9.514470487617416652429305769198745524079E-12166331249895', '-5.795359404858181626437887425265451535958442020604683e+105017523510969', 52, 4);
    T('-1.5365766801120590192118784236086359335997033995E-4968', '-3.1148781349156362727221E+502887327320387', '4.933023423575047321997e-502887327325356', 22, 1);
    T('-3.7E+175', '-8.9E+28656', '4.157303370786516853932584269662e-28482', 31, 3);
    T('6.162736065642442015660245E+89293017133', '6.8231593383731526632371525951E+988', '9.03208581e+89293016144', 9, 5);
    T('-3.662942317659278886440761771640886291E+653333019332', '5.92358227179895644331604860952372342945600609191913768461230E+19396', '-6.183660747142565223468225551833540630659109862564477642150726e+653332999935', 61, 2);
    T('-8.2208748237336035013263360598968090140415937862581671848289E+106747672', '9.9000848864431284255981897833682024987E-9000464345', '-8.3038427629959178355354212205850500148079977702601461483844035933677e+9107212016', 68, 0);
    T('-9.19506476983400841447248584737623288697215419229205552E+13663', '1.461083149618942310119861478873639145168347E+50168', '-6.29332065887703013098133273384e-36505', 30, 0);
    T('-5.230351963476726497956035E+8426', '-2.777194523318244165620202978129023E-8323702663889893', '1.8833221510272186e+8323702663898319', 17, 0);
    T('3.1717550051379646E+379323', '1.3716384E+945881310', '2.3123842298e-945501987', 12, 0);
    T('6.8500406E+763512169', '-4.38594871048952801172931621733269664192893886334345E-629865170288967', '-1.5618150261578065274630169971680845983201250676177457237939168e+629865933801136', 62, 1);
    T('2.5043E+9', '-9.5441625667257769142458806481E+611031618171902', '-2.62390752723643710949084850730184935753036468289390126014713788670502e-611031618171894', 70, 0);
    T('-9.712650645008217974763160578064746692716517743E+8083126163294129', '-3.58015332931352890759113E+5618629658', '2.71291471387080382449e+8083120544664471', 21, 2);
    T('-7997.46276877043803655274700290992737745892253204987533', '-1.20263910185116366384104348418706531997562E+71769', '6.649927444118800049674655637420027488381492764604220455472e-71766', 58, 2);
    T('-8.90142E-570663765', '9607053.2169598177818047488598473161', '-9.265505039e-570663772', 10, 1);
    T('1.386081507218097874262868288664283087034E-10958567824559', '-5.7287341119473820647308530212E+71928980', '-2.42e-10958639753540', 3, 6);
    T('8.71993790486179535514058622752E+88184', '9.929048572813E-9777512', '8.78224921644365432947e+9865695', 21, 2);
    T('9.034281940700798772245845E-274625279843', '8.22E+1952773628', '1.0990610633455959576941e-276578053471', 23, 6);
    T('-9.022648416766243511594811111375E+832', '-9.1921484373563075563547030919890822198100709E+43792205087', '9.81560347752737899207e-43792204256', 21, 3);
    T('6.407436148017742066085762195079E+372178', '2.983278614193557884028117634194400006E+356457', '2.1477833540364130618635074079598255810911314101006e+15721', 50, 3);
    T('-8.3416761434963731450880769867723601212E+318', '7.22966401613230397507209531956760906714199509E+173391', '-1.1538124212802587277612071665638289502e-173073', 38, 2);
    T('3.210935388597364034501130678916656684E-4091110698627', '9.68165902704263295E-70615', '3.3165136053941148144813941258403008090467382608e-4091110628013', 48, 5);
    T('-4.7281324423459495422663842377410524623389061896208927132284E-82419', '8.5655286422524718812472883E+48414', '-5.519954038823452485057199374578335983519635237068091739778241621690086e-130834', 71, 0);
    T('-6.51172532E+53238533128', '-7.15085E+12320673054724', '9.10622558157421844955494801317325912304131676653e-12267434521597', 48, 3);
    T('0.07931515904601426984306532597424371381951018693', '-1.89598820347056409964385177605410066110592058158266E+29125221119', '-4.18331500696204971299012990220154556986378001616601904150383066017809188663754e-29125221121', 79, 5);
    T('4.62279538426964747903215482139328915033072E+4282037134671317', '-2.9E+20269362', '-1.59406737388608533759729476599768591390714482758620689655172414e+4282037114401955', 63, 6);
    T('-4.873996078426702E-675001011', '4.00500364E+67', '-1.21697669129376921116e-675001078', 21, 6);
    T('8.88930781419269006E+76017794837', '4.86299956294397653437721E+703461030', '1.8279474836743056505620938e+75314333807', 26, 1);
    T('-8.24192959519649064068356636031947994062413981202334E-6505854913', '1.190679E+945353', '-6.922041620954506328476076558265896971916141808181163856925334200065676811298427e-6506800266', 79, 1);
    T('2.22546210371839136E+900940100996657', '-6.589850E+809469364067', '-3.37710585782436832401344491908010045752179488152e+900130631632589', 48, 6);
    T('-7.1831664076502135338491143651419489332491218954390E-55326858', '-5.884205E+90', '1.22075393492412543985960964397772493195752389582602917471434118967643038e-55326948', 72, 0);
    T('-3E+9824118893', '-8.46657918069039761517042E+4707', '3.54334369994679e+9824114185', 15, 4);
    T('-1.69812778843264858416012543026407712405E+510186775671710', '-7.7840559351063E+296', '2.18154623064056739428917811195e+510186775671413', 30, 5);
    T('1.7226574078012134505E-4854906709', '-6.4127595E+3572715017124', '-2.68629660569870654e-3577569923834', 19, 5);
    T('3.820578436339830583749623963372975E-3117', '6.58888861596782E+228846292147939', '5.79851725992280791697641221629933999556937005004872923901474070796638495732e-228846292151057', 75, 1);
    T('-2.7655621382464216307804093598047401976127773391676E+1642468761', '4.725799012411553432381615488059339782890852460E+27515649005', '-5.852051961971120797292873039226645e-25873180245', 34, 4);
    T('-8.921543777144668920852565247460E+19317', '3.00259784387851551736992989E+4412389684209', '-2.971274956229413958661917900818730004882e-4412389664892', 40, 2);
    T('-1.23546440323302607952585963683475455009724750207064852E+6069324', '-7.258971831746429966440530932984397362348166088407761665E+881', '1.7019826386842263462398553854154799669590781499914e+6068442', 50, 4);
    T('5.75064035324184760661811918238073849759044374E+82686882', '7.70017656E+875', '7.4681928504271174875737124e+82686006', 26, 4);
    T('-6.02900604909108E+78', '5.4772314787813207380E+737970043878992', '-1.100739684354645647764996871063363992835995601564e-737970043878914', 49, 5);
    T('8.53246848012645207824408799387549466865676234759727798166008E+5659704179', '-7.58824180027916062066344E+94547681285684', '-1.1244328666243285369876944869328060182181994109e-94542021581505', 47, 6);
    T('-3.418524395312070101E+8831690104510', '2.949337022393748503E-718787', '-1.15908231896045523313393386608870146e+8831690823297', 36, 4);
    T('7.6774317068287130428999317724168E+8262827061340', '5.847246184498241596E+7749', '1.313e+8262827053591', 6, 5);
    T('1.59249152441E+497798', '5.11493656184874538275194299118809377111457E+8125849', '3.11341402802151082614797932243727611950839811070548385008330729e-7628052', 63, 2);
    T('-5.99571461478840890986E+467', '1.11557785394998365924093992415975E+1555', '-5.37453714553320954608445916966265338584054556877604540007081301877e-1088', 66, 0);
    T('8.8387172876730198E+7399', '3.52182559547337261541362147135640001429035328348E+23062', '2.5096976122365303206896231397669329945677528249281878612e-15663', 57, 0);
    T('-3.94792250194113332339991240883190107445346537223938E+827154403', '-4.88570778596600007293644678502721635377966997873071508557E+9466132460808', '8.080553882656229632445428376653431e-9465305306406', 34, 0);
    T('3.46171020251345499170611166346730765592963722365878084E-90938420026012', '-9.80494791E+4777856622758', '-3.53057480191493949e-95716276648771', 18, 5);
    T('6.078381E-1784548374', '-8.2561131619052579684208E+165743210747494', '-7.36227917520124674934921913671343341823484626687718145e-165744995295869', 54, 5);
    T('0.917836298556837760113293472472079790576', '-4.8574015E+2669439698265821', '-1.889562348421965448220192365140249968169194990366762969871854323757259925908e-2669439698265822', 76, 2);
    T('7.6793973E+963222139', '9.4430587497600270713168625E+8311373', '8.132319731882589058661477926256330958634823191746909304608552582491278e+954910765', 70, 4);
    T('-4.1121255211403571128566259813422310E+5420637', '-3.28689534684530688644E+3777022025', '1e-3771601388', 1, 1);
    T('6.9856697520E+2048021139793', '7E+61671388818210', '9.97952821714286e-59623367678418', 15, 0);
    T('4.05330887735573573989902663924771692748222E+65137742', '8.3404566981495792528353451081784358418E-3177', '4.85981646335386677448881417113662718091e+65140918', 40, 6);
    T('-8.65823467562059651861523296E-328', '-4.295316039295044137083787527983828848618306278E+579654314', '2.0157386782281108511724591038562604712022639596334018914318112337172269e-579654642', 71, 1);
    T('-2.578208728553544853684084970877383227491424657174E+903140475', '-7.7E+2048904', '3.348323024095512796992318e+901091570', 25, 6);
    T('564827.899026055031920186275449713394422598', '7.9362260071140831811368767936E+446', '7.11708434865e-442', 12, 1);
    T('4.77905253075552E+6133055', '-8.99278182318967346402478057553970619811825348142804026E+658476864550', '-5.314320556995817e-658470731496', 16, 6);
    T('-2.142E+91021906', '-5.4171695732969230811846957764515896966658E-59', '3.9540944233288334798320665283986102274889129618437645558e+91021964', 56, 0);
    T('8.73095305799391674051988119367041521854303E+58', '-6.1046E+929987933011', '-1.430225249482999171202024898219443570183636929528552239294958e-929987932953', 61, 3);
    T('-0.7518486829179011524271200849419461625', '5.9806737375161E+4007453', '-1.25713041024397992830089116236025360968555926294316811423733261e-4007454', 63, 5);
    T('7.7215657521043915928031408449148071925093747025270987458368E+429357827281350', '-5.674038228632068545767012560636617706E+786538784', '-1.3608589581120875469285297540100112676728373914789433e+429357040742566', 53, 1);
    T('-6.1792649443499227881767E+74743984154', '6.371E+280368518', '-9.69905029720596890311834876785434e+74463615635', 33, 4);
    T('5.0443428586581E+16', '7.774847673655213594021455E+787930642179', '6.488027895e-787930642164', 11, 1);
    T('-5.523531581405999001629706E+85776616', '-6.07630957739546386940653273204E+2448225', '9.090273481051953862869594608e+83328390', 28, 3);
    T('9187398856.54987458246153932378', '-9.78E-52715482716769', '-9.394069e+52715482716777', 7, 0);
    T('6.0008E+724', '-9.13635731562E-521902', '-6.56804434491710906844621284139907219e+522625', 36, 5);
    T('-8.5102957018447289224830E+62', '8.3658575440E+1043565102617576', '-1.0172651945225053574595030182837643595428643363951596e-1043565102617514', 53, 1);
    T('4.15807195015881192117841598942008751308E+326599', '-9.1956109911704564E+8807998084161', '-4.52180062222222699026768770382590122428131003683009270784822339222352387723e-8807997757563', 75, 6);
    T('-542045457731788518989026038432431815.7873832', '-8.582261960163E+54971448234425', '6.3158810608187684923555e-54971448234391', 24, 4);
    T('-5.012202013426313730873494837763137122054368794169222449E-10948', '9.211886112603E-2624152702935206', '-5.441e+2624152702924257', 4, 5);
    T('5.6595043E-8188', '-6.7568909666283577389996936085505075929237E+471251756458915', '-8.38e-471251756467104', 3, 3);
    T('-9382912041.25872020553574', '-8.5543312421428125225099881173906660374E-7558318', '1.0968609673464494916207e+7558327', 23, 6);
    T('5.3612366456173994700449950406021E+53593874269', '-559145468.5139135915222510', '-9.5882680760453882219543732570960281e+53593874260', 35, 2);
    T('-4.472935317412140600512399357168184304546924975163E-1451055025', '-6.21E-75850313', '7.202794391968e-1375204713', 14, 1);
    T('-2.4986500833568E+816822797835', '-7.972573099165436567950036722346558470556E+69956', '3.1340572890054240590599e+816822727878', 23, 4);
    T('4.75728623357616258474038223703646E+968276843878365', '-5.1555872078227168050926314657868704319158381071847700263E+1177902366605', '-9.2274381982285141033339427831372909989305747197e+967098941511759', 47, 4);
    T('-8.6908674276871342176305397555155062820E-4956754354998', '7.075432445787712719356089862469695780106579219694897886E+39777897573', '-1.22831607739554554111448225914999816834909613776628161950877475866664841616e-4996532252571', 75, 1);
    T('-8.15376136864547579273127072160289178216346050918068717209E+431590308950', '3.715392119699646126084744788069024775964032296780143369583E+647084692', '-2.19458972457115221479256117840188450662070480539719137723297881169e+430943224258', 66, 3);
    T('-8.449575388845712299975353308271221E+4545225279615236', '-3.4922844520979186E+816542001161', '2e+4544408737614075', 1, 1);
    T('-7.72903362172086460791648391', '-9.6460169890953633E+755429', '8.0126684728612737022193552345974563948548434789181708235603111480588302517548387e-755430', 80, 6);
    T('3.63062628030466507235502731E+1043189082604', '-4.6744310665604795686058397E-3031680578493', '-7.7669907387812596539235392167802883843817036606554847641e+4074869661096', 56, 4);
    T('-6.67519078976233970439222920928968120386842899917230189E+7714415611', '7.110534283694E+41443784043234', '-9.3877485480521519836365436473703942e-41436069627624', 36, 5);
    T('1.2595287917788980932681482630545607676882520216239E+57333954133627', '9.3179761129745E-43617', '1.4e+57333954177243', 2, 5);
    T('-2.1114710151866E-361', '-9.934382960950325322348553403758416565581632965E+2972', '2.125417374673682002720782675111306329776026437396539023869348815011471358523265e-3334', 79, 4);
    T('3.106191423627077095162622166341E-2791883423451', '-306602188.06510360689457053419', '-1.0131015186908944906130866201308424983661666601124322719168866e-2791883423459', 62, 0);
    T('-7.50329484076E-33008', '-7.89589783440067486912398851220098614898707244801927883E+7461879', '9.50277599599e-7494888', 12, 1);
    T('-7.050657366188189642418964446003065312208712315826036430750E-564871', '-5.581E+528561686136', '1.263332264144094184271450357642548882316558379470710702517469987458e-528562251007', 67, 2);
    T('9.65276620146192263E+51277664134699', '2.19953047737194654917E+254', '4.3885576038915753443314369623e+51277664134445', 29, 4);
    T('-8.522E-1083307023', '-3.9812750765545862369768699628029996011184235E+998019270204087', '2.14052026954514732921213539240943276027952504753670281380963738293819203308208e-998020353511110', 78, 1);
    T('-1.7929950715115751279867148803719E+6894346585172', '1.452580E+9861', '-1.234352029844535e+6894346575311', 16, 1);
    T('7.506457601052824647972252669080525E+34291137529736', '2.544899228144183934681259327729292739040390E-79412008272', '2.9496089739186868975471685629517530309842642432e+34370549538008', 47, 4);
    T('-2.852101519E+356', '6.71055472836803664747303305455769277515056115841764266527814E-25624453518781', '-4.2501725035384855236390567546945600592694777572061674488427e+25624453519136', 59, 0);
    T('8.662668953091706796064690563453049733E-8028953435487564', '-5.924207984741334853346343048661549584126865269087582232E+56745', '-1.4622492956701856450054100721904428938885387e-8028953435544309', 44, 5);
    T('-2.031510361682437632133050084429344879669906623E-936944', '7.1105434281034E-129185913', '-2.857039524789603525991889327605114718417e+128248968', 40, 5);
    T('-5.9982814151274328426097267E-555', '-9.311025871678660325308144009089720521018E+364464906929597', '6.44212732065582638987219088e-364464906930153', 27, 5);
    T('-4.770633170781045136244675E-7423224957894', '-2.326956121283309718795364050E+643193', '2.05016034773790854161174892040001336651279022e-7423225601087', 45, 2);
    T('2.7667405007263508852419960771235548E+923006716446007', '-8.2003350914E+7030332685', '-3.373935906141123140837698179241449820931887095688837035808938894211393e+922999686113321', 70, 1);
    T('-5.404644764916511507137E+35307', '-6.99529684977132672159377057032347264713274220521031455567E-8199191935', '7.7261121021521581968466683415331665270051532475554189041206e+8199227241', 59, 3);
    T('3.301778496520229393189268543999965403E-453516', '272587.93859863818872461758730', '1.211270943789559373217706166599157293818114120736800014699218844e-453521', 64, 1);
    T('7.4350946280946637511688462130', '-8.19651431116816320075310762409073349917458338517E+6633446427923644', '-9.071044526773988771712179312731855702099769784098294766912516782e-6633446427923645', 64, 3);
    T('1.57052216168257E-3309871267629082', '4.95426626490854410561408502152754379999E+4565403211', '3.17003987615018080424313446429e-3309875833032294', 30, 5);
    T('4.7E+2232757826172', '1.142657139348160958831149E-7437493900259470', '4.11321982609863e+7439726658085642', 15, 4);
    T('-1.17436750210737733702913336505838749603E+22010863', '-2.8642052335231652E-175951208', '4.100151373101243425160848804933006860090972565945009681274772610225849459e+197962070', 73, 6);
    T('2.8428433151E-81395', '3.885219919165432084152788447949015863426025767172077E+708905', '7.317071811241664119649715208691952049519735611081797298437802478826675e-790301', 70, 0);
    T('-6.039379405772120441074324841509896E+2686', '-5.362460546236378380134861849432017637577132057997406385461E+11181919275019', '1.1262328838970824450937e-11181919272333', 23, 4);
    T('-4.90019283044180557081076786380776814141931E+51409', '-3.742360033576971087419470905670899920360E+94261', '1.309385731590920894543236155079242571652167076905410734025833974e-42852', 64, 6);
    T('-4.601549655715711159241253122021841634573531698580063131E+403394758', '1.833E+62989045606579', '-2.5103926108650906487950098865367384804001e-62988642211821', 41, 1);
    T('6.096348781609752971E+197', '6.79035143946497880670065557535658086491583936726090E+3804355', '8.977957674146675291700802e-3804159', 25, 3);
    T('5.73464681396E+55642292', '-1.4565136350111E-84148400065674', '-3.9373e+84148455707966', 5, 0);
    T('5.820303194101621453036113253012462841E-61830800481445', '-6.23119062795807786E-49846183', '-9.34059562868629226086811146268877362618129222548719e-61830750635263', 51, 2);
    T('8.936E-34780016320704', '9.71766875491402328258707369331679E+4990934066867711', '9.195621e-5025714083188416', 7, 3);
    T('7.45798941654809176616524840189605351784556054163148E+51172001425', '-7.46140201932871668E-84187', '-9.9954263250099853e+51172085611', 17, 3);
    T('-3.504106441021797883235E+16245823618627', '-2.331604371654951178792916791835567682742862088152E+51', '1.5028735078818777474624652966234758e+16245823618576', 35, 2);
    T('1.237622527081429168634957043E+1161', '6.8381409894829517583171900528099487801117697646037417051E-283751000972894', '1.8098815e+283751000974054', 8, 1);
    T('-2.546005745496448E-8013331504175704', '-6.72673916910989543782575709259291436E+8357', '3.784903326099e-8013331504184062', 15, 3);
    T('-2.79998402268983221166274131084438475481456874600328163790193E-16', '-8.10667E+395354', '3.4539262393681156524969454916067691848990630505538e-395371', 50, 5);
    T('-6.23954669092931082873757289348637813585001383015513821183E+1202579', '-3.84100796024247979137122636077519183794842202E+64', '1.624455548000325723450628496694632e+1202515', 35, 0);
    T('5.372334620E-240230663411', '1.62984972975483875338596213053814976302490366724777041073E-3114158015047', '3.2962146889505599404250736368710224775415584711712326448100351959524278076e+2873927351636', 74, 6);
    T('6.60E+4767693', '-9.6779154988637416800173389506210300920406839129376094E-62720', '-6.8196503686923991504988404243165578798530688462375572658911402008e+4830412', 65, 1);
    T('6.7928106127689702337345287337873100E-17284749', '-3.11149022054257742557250406852264647426356797E+214026976', '-2.18313738154203459896665014706116779185331404e-231311725', 45, 3);
    T('-3.9857183674E+58443465834604', '-2E+8952951972', '1.9928591837e+58434512882632', 50, 0);
    T('-1.60706718780163438456548828793976240460082031081664343557812E-514781512', '-3.4820795611099365428795423096720053133813741012801966524550E+54393770938054', '4.61525120147e-54394285719567', 12, 2);
    T('-4.40186629511112813502399751073901285337852E+92971335933435', '-4.0594040200094845133424055440427645E+7207381', '1.084362697926491062239108398402685266073334419198277896481378080212056897e+92971328726054', 73, 4);
    T('9.953568999945727045549546452E+185424478426016', '5.817327305519507221770294793876409533216312592928443916899E+7985', '1.711020968426812507819072043769475843016875e+185424478418031', 44, 0);
    T('-4.9488075122559383965016093176763511004986703319804477397E+976121464', '9.1624599487976449753E-42', '-5.4e+976121505', 3, 1);
    T('7.79716723503190447313143244E+1966652', '1518.74359294613991106557930927565939', '5.133958932400526648882586139291294843047288e+1966649', 43, 1);
    T('7.9778333528486698330956061314001108646285339014537231E-995922', '-2.1434811450554573577391711716712596452805299861481430E-27222068912626', '-3.72190508e+27222067916704', 9, 5);
    T('-9.937855580090735466577990705490535616E-2522545503726', '-358931341409825.2647397750645906845095049445607024', '2.7687344161856744394755388296e-2522545503740', 30, 2);
    T('4.95192432330712520553623814867918549784582E+5647500', '3.39489365723654896435797E+581936053113', '1.4586390100177696547931663559708266168924524839995e-581930405613', 50, 2);
    T('-213.97103538546617074333019446621657876674', '8.5013739820968044418035465773721267507967864554494E+115', '-2.5168994545595994494103561e-114', 26, 6);
    T('1.881219139E+2457694', '4.649E+338886720141377', '4.0465027726392772639277263927726392772639277263927726392772639278e-338886717683684', 65, 2);
    T('9.791732434964916172544020E+99945888713', '4.8706317E+849563173471', '2.01036190746364915510733854e-749617284758', 28, 1);
    T('4.9978279203E+630652429', '4.71972289412356887353586948927455697E+7930914', '1.0589240157558177931903334917692925081901540272103903560479069e+622721515', 62, 3);
    T('-5.5434863338202044582E+882459029', '3.04176195387082697451175882449635622361894E+7469805632', '-1.82245896223594392297411750265e-6587346603', 30, 4);
    T('-4.2274296E-7260438526908', '-4.270945370598824E+373516915', '9.8981120880206372030937801359642701783987772886663101e-7260812043824', 53, 0);
    T('-757696343375253588961721614721033231450693188052558.337296', '-2.31874494384755E-472', '3.26770025045527249365255e+522', 25, 4);
    T('6.736012057203647437489510E-659654728786912', '4.52324858471633765382E+5500654', '1.48919784775129196064488414905074249053991e-659654734287566', 42, 1);
    T('9.3079807700E+665', '-3.91820057071561432582350621876326625183026194E+9304406442983', '-2e-9304406442318', 1, 5);
    T('-2.3E+597342269', '7.3886882867351912082792228807630074996009691635458E+998244266', '-3.1128664666083665315424730051376221738384522339e-400901998', 47, 3);
    T('4.8248622009275325033481022368542623885650949902167E+62204', '-8.8125092573757784528485022932975580704076608775642E-56933495140047', '-5.475015185815870320581165583158963341047872224065544355415805e+56933495202250', 61, 5);
    T('5.535357624186820248413342067441182E-307469462390237', '4.52786729710331798238308721417026392787483376126533820469E+69', '1.222508801821122167389266202900993685976626e-307469462390306', 43, 4);
    T('-3.56878835846042906693538241628E+62560128627', '-9.1983207453691992978E-7489311763', '3.879825956555275747846017e+70049440389', 25, 6);
    T('8.18921491832038617063358143322890143E+4078', '-6.603288234373889296101583358209309339198181E+29426287966181', '-1.2401722638262013258449102389791234788416402791700223973694525486512798683e-29426287962103', 74, 2);
    T('3.190690E+4699760', '-1.739E-6966864322746', '-1.83478435882691201840138010350776308223116733755031627372053e+6966869022506', 60, 5);
    T('-8.633963131815190449273091917913834043744354675E-4675765', '1.28932658766182782267693189267E+70', '-6.69649041169060045182094003804230844273616956492742169796276863133e-4675835', 66, 6);
    T('4.0838255275353821784243653850131006736123415056929307200659E+5631111378131', '5.1046342381922592147065635598E+34825', '8.00023143084511505246825e+5631111343305', 24, 3);
    T('1.179231430144988145662669729746776E+75608', '1.707691010607512364257050067398586525308594E+134922', '6.905e-59315', 4, 1);
    T('-8.8982575750E+61368447467', '-3.92552835939101032770229192E+46747476', '2.2667668553999282798316883285201827890292273974332227854665679547905376155344102e+61321699991', 80, 3);
    T('1207188.55831721084502982486253910724768952144905', '7.972024227516732E+68', '1.514281095823071054383964740717933295926316479649e-63', 49, 0);
    T('6.858501997408736807E+7601570180746', '3.683926245354781595E+68178', '1.9e+7601570112568', 2, 5);
    T('-3.3232524834274583743006066546505722931246386580943E+1313224551', '5.160E+949879', '-6.440411789588097624613578788082504444039997399407558139e+1312274671', 55, 1);
    T('3.434248E+56508078', '8.9827459727635809141655871043881353817E+831928393870', '3.8231605462e-831871885793', 11, 5);
    T('5.0391724097E+8222', '1.89598053023186596369682538E+47626110', '2.65781864810802794363349210309641090121828872e-47617888', 45, 6);
    T('5.9276335566480090183325231471880642577401866922E-4489751424201554', '0.043114306784594372365587520860665620638155044', '1.37486463281512722278532196205675129229317278236136e-4489751424201552', 51, 1);
    T('-26116.638046179646947', '2.401955132594232351401018172243735E+76784300', '-1.087307489294038740037907572038101033694425364322506590106634000651010145388908e-76784296', 79, 0);
    T('2.036372945430051701522679369382857493145958808188536865039E+62977269481084', '5.41260549679424813296835473355632246143517014826E+2605343', '3.7622785304344549844728425871718845881914173509e+62977266875740', 48, 6);
    T('9.848483658108649619801227815480715076704884296E+23504', '-2784028974.725277935335267385739042182', '-3.53749323283550849698441748683847901941359187557340848129e+23495', 57, 1);
    T('3.248933386288803603185895565113873625396530273E-1534793', '-485140.077909900641695176895678085515', '-6.696897523465768525278013284745784517214431031939783791986762829037344781e-1534799', 73, 2);
    T('6.31179853968695750409633305994008434992881368135226390698E+310707623625', '-2.1594560228224E+44', '-2.922865051651972602949239774457712739387e+310707623581', 40, 6);
    T('4.789649551785549420990E+79306', '8.65027E+83105566', '5.536994e-83026261', 7, 6);
    T('6.15727341891654564513755574877E+14875328681', '161746.705220', '3.806738078863320196623635279740630502841225046129567151624481170374e+14875328676', 67, 6);
    T('-7.8843057299056944499213341578042522E+112328', '5.22160666439703120516841928174E-87659365177', '-1.5099386523431558281485968592582874789528e+87659477505', 41, 5);
    T('-1.1654961267568888824485260942E+82', '9.53167380720783313172605878996852074434978022E-21980612', '-1.22276123829955551551495e+21980693', 26, 5);
    T('-3.1193185869935383040174062970033E-83617', '-1.40028986513964815877791940452E+66919721961982', '2.2276234832867656198639659216546283187336886066336429984278900519674875854e-66919722045599', 74, 0);
    T('50.2318537427899184920264607551055596171682987257000857934294', '-8.8193454160654570949232478316855314922763403801496639278349E+9097927578', '-5.6956442199538744279603678179471042758161874783166684842602e-9097927578', 59, 5);
    T('-4.94235464527915079348928975926548031228776739407238E-425', '-6.024410449316956E-4225700', '8.2038810052185470915616971071855621925226109192e+4225274', 47, 6);
    T('-5.0634989982E-28', '1.73895928986381193777131E-738925956', '-2.9117984691847226573767194346645571261419142380331367080050125538821904104221e+738925928', 77, 2);
    T('-7.44896239667665778075110730005E+83276409598889', '6.6879803751846937299535993000918682454037990684608521518E+642360972499056', '-1.11378e-559084562900167', 6, 2);
    T('-2.663283358685619450997712556314952571734456E+9013962226', '-7.593741557855998497061907970716703849127E+261215192', '3.507208322003475507200374208114984115424634947089852e+8752747033', 52, 6);
    T('-5.08913720353747588567391E+11562', '-7.0299946017542070975640341463640045771521878793836546E-58853902', '7.23917654540954327052578300134e+58865463', 30, 0);
    T('5.75127229482400462531974809847026724108E-731979', '4.4369437035658415461E+765946', '1.2962238601769672515012081345021645599715193076879770685185621e-1497925', 62, 0);
    T('5.338661256E+4712979', '-2.3740E-175892939', '-2.24880423588879528222409435551811289e+180605918', 36, 0);
    T('-1.9342101867008794781551834134363857123794002E+61003676708315', '-7.24470E+44501195912134', '2.66982785581304881935095092058523570662608555219677833451e+16502480796180', 57, 4);
    T('3.049449586737E-803089088124282', '-2E-48643194070', '-1.5247247933685e-803040444930212', 68, 4);
    T('-9.8076210601369305510265573333242130E+5438280726157131', '5.55340477039535825771476610235647E+9858732', '-1.7660555038992243174771117385068993078219274809285926667606725252042499081e+5438280716298399', 74, 2);
    T('-176977473.8588320590', '-1.0728901985703407980332732655187047721303E+7750779430460', '1.649539478454179080375058223631745271334022818403645061381540010454539801991e-7750779430452', 76, 6);
    T('2E+2945929', '-7.4615527E-5581717017983911', '-2.68040725625378213840130084452797606053228036572066293922979328417797e+5581717020929839', 70, 2);
    T('7.2366117774464533618549627064858170789143764943625239309994E-1258', '8.126623366099871939210487104697176017129811815651675384E+233738660291792', '8.9048199e-233738660293051', 8, 6);
    T('2.70007879041364677417811607135323507E-391416693', '1.0E+826', '2.70007879e-391417519', 9, 3);
    T('-1.6964852730203090942125E+5031668440222465', '6.4523709375954363515652980015436375707913676756180143E+58319', '-2.6292432493853606132708442470571561438395559769347562707550497199029863995683718e+5031668440164145', 80, 1);
    T('9.44709325935617802607507872486734434861110315520022783146138E+52774999547671', '6.9378540534079842902768933245558623779578E+360', '1.3616736798773700805322467e+52774999547311', 26, 4);
    T('-6.63154628904E+886005505', '-4.46E+35078', '1.48689378678026905829596412556053812e+885970427', 36, 4);
    T('-6.018801394206567213684450638983E-383289655958', '-5832326.3338248869605140443013841673957812999988124', '1.031972672602389927423821031154275778e-383289655964', 37, 6);
    T('4.33282320401688737109795157663536904224875878963332503879E+701800111', '1.21464423484455286300978755769221322458404895819496496E-37703995', '3.567154134289692873301361476854983906158363348872997983e+739504106', 55, 4);
    T('2.8650393990490E-725', '1.640829687952568714472678770478871207749867E+1149189311052882', '1.74609188271331e-1149189311053607', 15, 1);
    T('-801574330.6799901091', '3.59802904545622090907897939E-39458024869863', '-2.227815063617288080401440041484458148203e+39458024869871', 40, 3);
    T('7.7854389879771809763256418226221487575538010169321328E-5901994', '1.8011341032214452044E+22370337200', '4.3225204464522759372447673447076e-22376239194', 32, 1);
    T('-1.31770308004421921196520982142297859744529742357800409805E+6153925758214553', '4.041036755E+84251251179', '-3.260804491e+6153841506963373', 10, 4);
    T('5.76901E+48828759', '4.51500820938396782E-55241226576', '1.277740755378854432473087889e+55290055335', 28, 2);
    T('6.696725752457106100641898550689E-76126109108070', '-4.75999985565250E+91220300', '-1.4069e-76126200328370', 5, 0);
    T('7.3837960055372468469864000854896492639E+233522338066642', '-3.34055253521535572001294251188783133533994110887742971289E+344021', '-2.210351709095703523546668845008438099243375130290646410563160095218011585e+233522337722621', 73, 2);
    T('-2.45321038244878099240086623086474432948207043E-5944668034255', '-5.376311687094013334743652335511897523086229826621163644452E+9409652714962', '4.562998808900498032e-15354320749218', 20, 0);
    T('-7.683794823093765726019598080E+7936207054025836', '-8.11166615818022775947787E+927621372', '9.5e+7936206126404463', 2, 2);
    T('-8.5290629E+115143414918', '9.071414212470E+8550475917', '-9.40213146509784776779676076697880174358859528842263830851971242728164546072628e+106592939000', 78, 4);
    T('-7.3227249857480109463298199E-65143', '6.2993971909E+791638236591524', '-1.1624485270314900197619510450672573099711892307311280513718463835688e-791638236656667', 68, 2);
    T('-3.3530059430918018771150105039220943068174E+828467502703370', '-6.026883866899152685432138741305570759633E-2289', '5.5634155512887493123687649120894652088625405746112e+828467502705658', 50, 6);
    T('7.6287337700194628E+989545100635340', '-3.17E-15293151302', '-2.40654062145724e+989560393786642', 15, 4);
    T('-1.86096366305662309639497E+258479702787146', '1.7435489930900420372162145866612374513626946772041E+258544156821542', '-1.0673423404974071856491048891386287364709305608283e-64454034396', 50, 5);
    T('-8.624221921070690313432E+68099', '5.35834119294666776667433324847E+540', '-1.609494731769412404e+67559', 20, 1);
    T('4.7122168876256278980119174173429020722636631475E+50392', '3.5457E-674319', '1.3289948071257094221202914565087012641406952498801365033702794934709648307e+724711', 74, 0);
    T('1.9723308456631922939102424085824551087699942262097E-14989098', '-8.70118780780106196300829876137679074220964982612E+5079190142691298', '-2.2667374722045378062707741276362862625624427566282701016584924154e-5079190157680397', 65, 0);
    T('9.2616846367737181402383819939650046086008229219436061E-97', '5.519821882316039532106526420426311782802283E+29074120', '1.6778955615299031514e-29074217', 20, 0);
    T('5.9354062453153221023910906999447465E-8438', '2.9787986468E+6860297', '1.9925503362543431e-6868735', 17, 6);
    T('6.397031776629222027620029106133049665E+10562', '-4.269108451424291311826028252345055233912650166759010E+71', '-1.498446771595834561101937096255e+10491', 31, 3);
    T('-3.5638924121208086681398338548266172995491375890490051E+85', '-93.4414722600319655424304865351007629054', '3.8140370928693129417250453535015478497590160619606151373951786867984238134892e+83', 77, 1);
    T('-5.897704192396E+40534576', '-4.75815266868103451677512185617976370510271189882E+9140', '1.239494527196591718024559405293183613185000539165664091e+40525436', 55, 5);
    T('5.512096531588637542978623782953068801869007905329909E+487546088', '6.6587074480865540648951446E+781526116', '8.2780277922746003896e-293980029', 20, 2);
    T('-6.0910E+1472213970621', '2.13836313E+131233862', '-2.848440433033e+1472082736759', 13, 6);
    T('-7.05698307652884E+2539', '-6.97887058914104949881026E+736', '1.011192712e+1803', 10, 5);
    T('-7.834186290549229327176196772378379473152034E+6824', '-1.30166394329210403892509E+41250', '6.018593609296261980925151544602925776271221359121700009660603e-34426', 61, 4);
    T('1.2391E+2661795122170036', '3.19492016213400654517717185088440277031744437706176502897614E+282838447879', '3.87834418e+2661512283722156', 9, 2);
    T('-1.4459525966E-48627209', '9.60946984103531346253407960988E+33621725', '-1.5047163064348768433882109441957836416119864604031576e-82248935', 53, 0);
    T('-8.55698532923466838245740758312855490218896268587E-64882513008', '9.918E+48087', '-8.6277327377e-64882561096', 11, 4);
    T('-1E+9', '-2.02724847982466477851363485929508864272435203082E+275898614204', '4.9327944253113424966576724157628265701529621121527695227607513e-275898614196', 62, 0);
    T('-3.611095572101418201292652625008710890E-3769453453', '9.435164127E+324517886364890', '-3.82727372146900884673148264462481129449885191170453499414785537e-324521655818344', 63, 1);
    T('1.0762864605120763042500877E-4301937514934', '-1.4E+1356522', '-7.68776043222911645892919785714285714285714285714285714285714285714e-4301938871457', 66, 1);
    T('3.86374944892373637335016E+817858873358', '3.07097843951524337933322195027000508564064708889614E+91080958124486', '1.2581493244e-90263099251128', 11, 3);
    T('-5.697867543697010143590332918036915393488299E-43172540571', '-2.02094390557350401517434523701023E+29853030', '2.819409053355227952787838476e-43202393601', 28, 4);
    T('9.9740871374925017235931629275492212327998434E+7224879271742', '1.674922374569189222770610621022392381428283106E+765305592', '5.954954862e+7224113966150', 10, 0);
    T('9.502896126700380397556561959734099600862E-8990458', '-6.85969438928056228436075949938008699E+4220', '-1.38532354175286144225100130223285567472e-8994678', 39, 2);
    T('5.1454419571381638197474870549996715578673613E+74370', '-7883.048451242614637820784131371138811917348468916850', '-6.527223559468395079843859308686660786992438553450066765595881388468202548572609e+74366', 79, 1);
    T('-8.96009959476766388247E+61310', '-6.55539343827442176050873439907902845668797703083128525460E+8263297', '1.366828654776552002997021860562549192426536992261566025837666241372290094092e-8201987', 76, 0);
    T('-4.7328250076007767639556994E-75531', '-7.86878365884726181768945198802275001577702366179826419584E-83347', '6.014684369012265355e+7815', 19, 5);
    T('-3.6939753820716197260376635611792498354566862651E+1144916414521', '-7.1813613029773368045651123166003664015066854497904810818E+6354956777833', '5.143837256231804028674126357327422498208995015e-5210040363313', 47, 1);
    T('4.1760696452363E+53609161', '-1.0039909809333612917980452375471928375341047577501514057E+4968656', '-4.1594692826363961727666166212641443260293592456759e+48640505', 50, 5);
    T('-4.5657270427009E+270286741', '-8.42975714242525066935058066373347609003458E+93169922585', '5.4162023478974569403103238153398322063784338175481477289502261364637611179e-92899635845', 74, 4);
    T('8.0E+513053', '8.1104949040434933464174E+403816380', '9.87e-403303328', 3, 0);
    T('-8.0780449588889E-500369043142', '3.8194768895332254923201076580821158546E+725', '-2.11496107779201929294786342e-500369043867', 27, 6);
    T('-9.4904241251356874575E-951514452', '-5.8119856651939911173012880150900645320015161384970E-92719', '1.632905631886e-951421733', 14, 2);
    T('-6.9035056367481363607472827328714218278934423771801168E-5542641705543', '8.606561773160E+1256557803022', '-8.021211976049564071525417618967939923702625515798845114205884499e-6799199508566', 64, 5);
    T('4.5682295692355225110541580533173886613613E+231476743877', '-5.9E-984728521693209', '-7.7427619817551229e+984959998437085', 18, 2);
    T('7.83011305479312348882663717552926940E+7499650', '7000.1540032317193590755018270678207699622932464468669', '1.118562970354401043632371899821141582610141440003721e+7499647', 52, 1);
    T('-1.5511E+3624503693225505', '6.7551279586608155668183309170749012E+730162472', '-2.29618152238155538219186676155270458817982339185399018541822446588365726209709e+3624502963063032', 78, 4);
    T('-3.07449231878077926156393091297663982E+94457', '-6.1E-10788965672216', '5.0401513422635725599408703491420324918032786885245901639e+10788965766672', 56, 4);
    T('-287748897131408115076354899.427843935060540', '-5.03476019725E+640246', '5.7152453316163371930961910010726863930885e-640221', 41, 3);
    T('2.442819143693E+729', '-3.9332087874E-537011', '-6.21075380365911362908189154016736497846460597e+537739', 45, 2);
    T('-6.3333343939482475578710814609965089289E+12613531480', '-2.0E-47204857579670', '3.1666671969741237789355407304e+47217471111150', 29, 3);
    T('-4.578057763829076984E+4386493155836812', '-3.80096532565831276052396411070888978266585288577518992E+9797635090397', '1.204446073981528564493013159923846771641503004280730358583569494e+4376695520746415', 64, 3);
    T('6934629451.03952164457', '3.75891864958709434855046054830271704692589186E+526088849', '1.8448469e-526088840', 9, 1);
    T('-4.00448392587506199565964955461314245953E-1484112003065', '1.627557223440E+97', '-2.460425887460470939876159635996793594575e-1484112003162', 40, 6);
    T('3.7829463721007441766983925E+2292851409859', '-4.4885117404347916795714601263889072197236860047134651929432E-50042083580', '-8.42806389035823034575810102715720764334548291757054274948e+2342893493438', 57, 6);
    T('7.3319589983110224029816915162444668427099699E+12061203', '-1.48106109213945936E+898387085791118', '-4.9504770851279860891755011130622210213344966570670973714859313335569616e-898387073729915', 71, 0);
    T('7.59780471395172548868265416016441559960139058105690319873E+62545', '1.364302861386329561828288202496927457371692872714170162E+289324269656011', '5.5690015237754863655463676317620463060623886e-289324269593466', 44, 0);
    T('-6.12825391E-223158374634', '-6.9024391172753506261622404494619637512606399674739925E+372139748283', '8.878389e-595298122918', 7, 2);
    T('9.652410861878088062294283850753E+788035191972385', '-3.14811580038583228E+56285909858793', '-3.066091425447275801266748640110831845511889459831668175168517959781305164e+731749282113592', 73, 4);
    T('7.226E-37462644946495', '-6.9542187286385275781762170804209716E-774115359', '-1.039081496e-37461870831136', 12, 3);
    T('2.279859997572261731235656553833574827263851371E+86162410', '-2.56411201317E+67918764', '-8.8914212244327080044e+18243645', 21, 4);
    T('3.688120547683605997463869593793188607870838347460E+149', '1.557137723547499673862308946059890750E+628820974725266', '2.36852559148156929507074693913170503512619310682630652511035492487e-628820974725117', 66, 2);
    T('-7.838136E+20', '5.94912492586493934870927820852776432496916501017324041690934E+2863957842746699', '-1.3175275519803307168379226e-2863957842746679', 26, 1);
    T('9.21080207123903854745259300058042241670102200E+5151481', '-9.576553394083565846400917697046299895940E+59482', '-9.61807624539483069814030740798769888247892746943234057888048992217962060824037e+5091998', 78, 3);
    T('4.9096E+8557189437', '5.969538080868007912081470923792332E+51837966', '8.2244219460379314103550516642481753415506099233966766984233589150450519e+8505351470', 71, 0);
    T('-1.8343432811352926619115449690309319294241408277246548926E+818359274346', '8.795240381619460473668779910743818847E-642068207', '-2.085609035733411668530056878664141868387e+819001342552', 40, 0);
    T('1.18677388190635619776102992136238517435419659930180822218E+95790355', '-1.27853740406190300619389354528753990E+6723930366776429', '-9.2822773751943835221266654242276547801300213796102493938350008688368e-6723930270986075', 68, 6);
    T('6.622324690458375536887037856414653159545E-53165695', '8.7801433931104925562879502639733145450107722806986475E+87786', '7.5424e-53253482', 5, 6);
    T('-5.2329059400069468578377853986063941358965914014583946310E+4073', '3.4E+675803978220860', '-1.53908998235498436995228982311952768702840923572305724441176471e-675803978216787', 63, 4);
    T('-7.680828740571406271354901395845173E+9532474', '-7.59482538528419007201594852269934E-423122557', '1.011323941094663896305465353566833588364106995e+432655031', 46, 2);
    T('9.66521702947314890501138470893429E-5741258', '6.413208175164041176054143032711405483030374882823205618E+28148006224582', '1.5070798834977668175436e-28148011965840', 23, 3);
    T('2.319204091991259201068788439E+2845', '-3.7244040216679962430676636415688602842518049352668736153E+29867918836', '-6.227047545e-29867915992', 10, 6);
    T('-9.550255182976523418662652432E+85783', '-5.32375679922152673045431E+5168', '1.793893963070030155643483579095883233433894808915840541204171233041904806e+80615', 73, 1);
    T('6E+82389304171892', '2.6728347209528658809490665974743E+22781091900', '2.244807714059101761436e+82366523079992', 22, 3);
    T('4.5478299920E+5808190884', '-4.399666401067875861892132797851082889375023134941036E+42410828653', '-1.033676096645909846114003885108227452971862605637861847423078463913311742066282e-36602637769', 79, 5);
    T('-5.88677697171197370E-35219461248024', '7.1473747215841704972573813402578298128488E+995213', '-8.236278635195450810074790169e-35219462243238', 28, 2);
    T('1.709634665281975233579313566E+533', '-4.863418111772786239798137904908636748409775722E-74487506955357', '-4e+74487506955889', 1, 3);
    T('5.597917643500435775E+6263228150', '-1.2209429915868790993334100551065742874E+206811449810773', '-4.5849132040348033279255667509284534556e-206805186582623', 38, 2);
    T('3.5970041097408144554665349952870238E-328408356513', '9.40532275489198957421606223408571649474769013752337704E+5513805706', '3.8244345287033398947395709073821843926346273591571031e-333922162220', 53, 2);
    T('9.9925142304105925647510940785517817915635655044927387367107E+54552393962609', '9.4061596432736474E+2769', '1.0623372991076382398e+54552393959840', 20, 1);
    T('-1.06562385115226047114566802184929281792118960167E+52547821156', '90850920.67393282267363', '-1.1729367663502522742803402832986291831e+52547821148', 38, 6);
    T('-7.199079751593111021369306474054E+8168116365816994', '1.72078138739831261780308014131516046E+67240010', '-4.18361088997920804213825e+8168116298576984', 24, 6);
    T('-7.93565271143E+7434216049', '6.284331760860094915406105813604239352304E-998243', '-1.2627679e+7435214292', 8, 2);
    T('-90925716.2134', '-9.2990111116580854527352381229690274088436005349550236652793E+469245096658755', '9.77799844753e-469245096658749', 12, 5);
    T('9E+741621277544', '0.429450200515529527420030715980488526991839577', '2.095702828685615494217683570637368868454883668590349066964185731460365599142007e+741621277545', 79, 6);
    T('-8.0729341016713489614780402050539E+79', '5.8273058193393608371335577759945272546830097637E+4316103779', '-1.38536303944771754576026186665e-4316103700', 31, 5);
    T('8.14219103965635726711637618757512100E+84', '-2.8E+59', '-2.90792537131e+25', 12, 3);
    T('5.39613084777932876735992447556314706842534598900707271565E+38063', '-2.3849912605180994106972448660852493619E+967000903746574', '-2.2625369480838725203030417901403e-967000903708511', 32, 6);
    T('-8.25562211586426084530193691811447984289455144E-64154109391590', '6.60374845179200123942394609292369824001702513', '-1.25014182113856943663048088337055188885052e-64154109391590', 42, 4);
    T('2.610187105392142879663424080053755306E+355312001825', '3.644E-918552313067', '7.1629722980025874853551703623869e+1273864314891', 32, 2);
    T('8.1624231632E+1857510838948671', '6.28754218144498804997705793372496377E-6515556578434016', '1.298189805753976070198461315950718027441981737909128857450617519887e+8373067417382687', 68, 4);
    T('2.7630297668735347440879957655508968683514E+604807440475', '3.71806672449312028E-7', '7.4313614348871e+604807440481', 14, 6);
    T('2.847825063E+9006103744310', '-9.24900E+323521', '-3.07906266947778138177100227051574e+9006103420788', 33, 3);
    T('9.24529266717805922237278219389381922839839E+8426902', '9.066664783673328600785596E+28', '1.01970160889000686514518210927195267949134505888969237986034000288e+8426874', 66, 4);
    T('54494169', '8.7060666602058846070437E+31387', '6.259332846e-31381', 10, 2);
    T('7.1406589414206946337119148452636488010840245E+278504', '-1.64561050286640438E+9215773194249', '-4.339215706865474986813660506104287790187093021967953864151706e-9215772915745', 61, 0);
    T('-2.44198339714666229595294075584303193E+1581795176751537', '-2.535190589888382347838508E+162', '9.632346407747499114205991473213077459207285309734038288856582186004342e+1581795176751374', 70, 4);
    T('-5.132013837594517140350948558E+759656', '-6.1252390932347507782892360E+4662', '8.3784710432981491462608311821e+754993', 31, 1);
    T('-4.3028E+943008431358', '1.384671576523669537412453119120331911E+12840', '-3.107451667927299334210464991188137e+943008418518', 34, 2);
    T('3.370711240896345820286304023692795688019174048959058097E+5253622597152354', '4.9555343794883045422039138013915236133954458891273E+57357743079', '6.801912735e+5253565239409274', 10, 1);
    T('-1.82E+72', '8.948313287748956212906827E+81537292141', '-2.0339028613266628709577078144982248464909659050865395724e-81537292070', 56, 2);
    T('-1.39735054186815870629E-9815550577', '-7.613681787088613323699021928354255726744680884E+6084148', '1.83531513523168914765310510405706475498843673841587e-9821634726', 51, 5);
    T('-6.1063E+909704141', '5.41275182478331366683933334366201369278275902819634644E+3213046369', '-1.12813226e-2303342228', 9, 2);
    T('4.842856522950658E+565', '4.822338920377679588073508E+35', '1.0042546994128259029137004988084469993210786084919488466e+530', 56, 2);
    T('-8.375868393945803414319289928273865849171923E-981179631343693', '9.01889220671721352332724507048885307636465E+8188769043310', '-9.287025725518162790354038893721128123956255524114526382281141625807720468867973e-989368400387004', 79, 4);
    T('-9.69383424809597584729763141883772853039655526046831153453E-794079004708787', '3.325602997255288605529641033E+75066', '-2.9149102451785625677802250704566705614258243e-794079004783853', 44, 1);
    T('1.512072030727953495751777E+54693542116048', '6.79016129635203471569E+4290815748501106', '2.226857308294e-4236122206385059', 13, 4);
    T('2.2676500236892E+56712231', '1.20399687123796139778132525031019640E+9541', '1.8834351466026485544612005131349268340508386943e+56702690', 47, 2);
    T('8.245869609908690694035907762326890780422216961882E+881655125411107', '8.692488E+7108375840444195', '9.4862018906e-6226720715033089', 11, 2);
    T('-2.078429676940010053060002714381188E+5248936', '9.4601561679493627828E-9115366', '-2.197035e+14364301', 7, 5);
    T('8.332905249E+905050815935173', '-7.34402587095095712299857953831425275521196342582280652505895E-524217078563160', '-1.134650857094679009529329400164368238178604352606900207611e+1429267894498333', 58, 5);
    T('1.5753345480479023233495E+2019107227617', '-2.60396208630284064020813586E+60342355', '-6.049759926745304410770106316402368e+2019046885261', 34, 5);
    T('-7.17377734975E+991831498053', '-7.86823865649E-867767795555', '9.117386575244277971495518373097908736994724009407650742640393435482e+1859599293607', 67, 2);
    T('0.009391201402363', '-2.959451039890931613613099790197864056E+32482', '-3.1732916935531076751824863037489e-32485', 32, 5);
    T('6.961431452354606800E-169407958072', '6.241206351648441565105484E-368834895', '1.115398379756493349904715952979305593552275036887e-169039123177', 49, 1);
    T('-8.02750129091730711866456187765342926394E+3951403526340', '-6.18046330E-231112998708', '1.298851057155748682896403879245335744318714747485030774311045581324e+4182516525048', 67, 6);
    T('-1.91372172456464237483684688508277001E+320384278525', '-8.9707738003075628456036346983300792965750802433783543953E+8839', '2.13328500658330104603241029221108e+320384269685', 33, 6);
    T('8.443860535584616497733754483274836082550828629632790E+9825808376', '-3.5115791657922475228027897582857773337E+188559692', '-2.4045764418013901641105837262562868216940821e+9637248684', 44, 6);
    T('-3.74742739223019058112484801490790E+5089', '-0.083109519420766577463453703517191429179492176132258600382333', '4.509023055779842249215725556572366895935118943537139134e+5090', 55, 1);
    T('5E+812', '-8.88243931872846E-57133679', '-5.6290843321131e+57134490', 14, 2);
    T('9.81E+5242285023', '-2.642048743963811841868705830576732582843285E-99347936492', '-3.71e+104590221515', 3, 5);
    T('3.9198064746380580778785862411147E+3801767', '-2.6949261615779114497441110880976E+57678725', '-1e-53876958', 1, 5);
    T('-8.0303230176838114624876459734363008325E+74607269', '6.2083713358043751917245755423151604312502912E-18318', '-1.293466930911821618986012400235131647806667446355846774165573313370851e+74625587', 70, 2);
    T('9.7976099591937461655E-4975366814002401', '6.3296225386848077006347612E+98', '1.547897982749146629621087152195520671063939944678267542809e-4975366814002499', 58, 6);
    T('-7.04648668E+86765428669', '4.72984001361435276972750104495248E+4064498', '-1.4897938745744931408596663e+86761364171', 26, 3);
    T('67572285.33235347544382973717719825035', '-9.267972956385316592461499508718219246174994E+8077119222479', '-7.29094545812183023638978204660780071218732112150647851741629774e-8077119222473', 63, 4);
    T('-65801546', '9.90724708248629885660562901964288E+8157', '-6.6417588510861e-8151', 14, 6);
    T('6.71975978708430963211252184E+71113447', '8.8821435954520970928361767324162E+72', '7.56547078401773676501047030108806759e+71113374', 36, 3);
    T('-1.1206038E+879284767053', '7.02382683461496879480453268247278656492E+4036324880', '-1.595431986559544943649286337312564071034946190545217235398522e+875248442172', 61, 5);
    T('3.175696200226361017791252120978659E+710195408512', '-9.89661438386697944014E+86', '-3.2088713140154674573224790765636884e+710195408425', 35, 1);
    T('-89259842764794772535322324566569656557484825821314.31858', '-1.8144629511957744153772201604791715056772E-62700985', '4.91935328334868477590129379204775707716937799989297514394003224034365981255e+62701034', 75, 4);
    T('-5.75877964497395105584E+2473', '-2.457176040742140760399714E+623418395', '2.4e-623415922', 2, 0);
    T('-1.65481363206418231188776181E-382113337', '6.245797666E-65976649702', '-2.649e+65594536364', 4, 6);
    T('-4.592564006849147932893104525974133923E+1173209682', '-5.51529682091E+80', '8.32695710852311813748856543946201333912787813683e+1173209601', 48, 0);
    T('2.7418682900183444967E+121095', '-1.227298721107656237997119764293057273385E+5054', '-2.23406e+116041', 6, 1);
    T('1.193830565551596977225441784454336182855927978149716E+5937940', '4.3579796720931748997567251048447801764E+74253', '2.739412882525424788519488537944416683051430784463444611090016200182129065411e+5863686', 76, 1);
    T('7.757E+92683892526', '-4.7633488809091026481632673705950245176344141201518261562169E+2415305899188', '-1.62847614e-2322622006662', 9, 6);
    T('-8.1307671950828694647902481842508524392E+7002', '-7.84140520426230982426411444E+89494131', '1.036901803093056933554401357949427137482881039299495e-89487129', 52, 5);
    T('-9.25082488854494083138878749517647565856373E+34964773', '9.32373399609446390241E+5416', '-9.921802673071e+34959356', 13, 3);
    T('7.875E+7996', '-7.482692931051680339821211186861300892E+4510', '-1.052428593898370962381774733612184675411587636138867893694023e+3486', 61, 3);
    T('-6.651787746365683129E-733609048303743', '8.351269E+18227', '-7.96500238032e-733609048321971', 12, 5);
    T('9.73529723224821170E+36918027', '-2.40854867996673537E+1159132635804946', '-4.04197652853031251736636906573736381421827815597871153e-1159132598886919', 54, 0);
    T('3.9443230160E+697', '8581157342.6809569954801031386379568975535', '4.596e+687', 4, 5);
    T('3.9354924119591221743228E-46159511210', '4.410409227083064E+42372', '8.92319104493158312591925905183778599647804204632110160317882539e-46159553583', 63, 5);
    T('-9.54075482263491072025218106418854850E+992884', '-4.87393358167172468410070340682846680783E+207515790', '1.95750612164938435977058819525785319504617835684238248949714698961532905323314e-206522906', 78, 5);
    T('4.9120573724989438E+21276427553', '4.2278887421276E-82930475680', '1.16182276121746990277556618835118763737e+104206903233', 40, 6);
    T('-4.2925470691222843389958560714306787943204676165E+86316808', '-8.90882346206676238927920481E+553', '4.8183097211429692062168104313181466348369920029428653e+86316254', 53, 0);
    T('5.646E-35926', '1.8408566115068280205949703487325E+2251593', '3.067050396379587e-2287519', 16, 5);
    T('4.52348185335849434176635954172347024797745652652472030198929E+863', '8.6944577955127511474682542178743E+78598', '5.2027187430745637902308685059768947007980199699870735276786627176220665028288e-77736', 77, 1);
    T('2.475816392179690592228526968476938709035240744630536E+1381565070929532', '7.685146623994163249E-1164167283847063', '3.221560385653314682690404327528012429825244008302626097402966655640042459e+2545732354776594', 75, 6);
    T('6.66257483976135038578440312819430510653456002294E+26601590279', '8.8841008469186E+82570198909', '7.49943630150509456196704809639664469472813573381883406357204457933307884126023e-55968608631', 78, 2);
    T('-7.4160971053240323386265497381310613005E+51916', '-5.2554349515429093525109528589655430870871285393712076E+5310027994', '1.41112908326394337322325802619311886673545337016248637379478312397173e-5309976078', 69, 2);
    T('-9.99593655240238697280761202750291E+691181936469', '8.2378547881286E+57545257', '-1.2134149981385107421059580282162268915162374456934906418605126186228591e+691124391212', 71, 6);
    T('9.028392091244580968883813568207745774111345749E+59087076170932', '-6.592304001977880324774263225806286307248548485662175079386E-8', '-1.3695351562269e+59087076170940', 14, 2);
    T('-6.431313984117790929582E+8936984921598572', '-7.6617672497512859094243385773388E+554849100', '8.3940346586834289428741171380652056609993792544872544872812134175e+8936984366749471', 65, 2);
    T('-6.7532583558280687969223133345208813E+6970610605604556', '-6.832692304562086001E-75523994865', '9.8837442911325300718113340869874677436623857837413186813245e+6970686129599420', 59, 1);
    T('-1.32745209667608930133578359295348E+2755150673', '3E+83309803', '-4.4248403222536310044526119765116e+2671840869', 55, 1);
    T('-6.97987338371978E-8342620400555', '-6.85220E+66806', '1.018632466028396719302e-8342620467361', 22, 2);
    T('9.99031356386806108651657396392940160504484114107672E+43389459927', '6.9401784759153236066768053737464317989502953452E-7836637', '1.439489430788804379984453343932827668142129659178465256230758661356340120216e+43397296564', 76, 2);
    T('6.85E+548116794008241', '5.868882869898035775548592468049157882888646662326232182698E-4687006059321', '1.1671727229613e+552803800067562', 14, 4);
    T('-2.560664450054730813073928918458831699965162320503597E-4158972974139847', '3.472496E+1385', '-7.3741321805835e-4158972974141233', 14, 4);
    T('-2037977.73777532888029029254676862680279889968632737505783', '-7.10022302825E-325', '2.8703010168366944358319883270472e+330', 32, 3);
    T('6.0223827443451857085678584306012347401971E+337667690953', '-3.085E+422313268942945', '-1.9521499981669969881905537862564780357202917341977309562398703e-421975601251992', 62, 5);
    T('-2.1554971684546972140104836E-722138793411928', '8.23471549517265273027625132236779736169533480E-120925', '-2.6175733329442781140641822928099871147621026003379541632542969616302697963833e-722138793291004', 77, 5);
    T('5.6242744621E+8786119', '7.78172899346440966125821868127710159550636456E-606', '7.227538336047969509341813310102025073645154996736869599670291492854735e+8786724', 70, 5);
    T('3.1929665922630944514392325842608669664897786E+191477438', '6.73269869805825193919543771738809130031564291E-961080492279207', '4.7424765839944150812473646e+961080683756644', 26, 3);
    T('8.1352862512604234013480097699878000804105E+68871455433', '-8.280351900285597900622633883E-53636852', '-9.82480738648296935905e+68925092284', 21, 1);
    T('4.85592187915525920847945214920898E+922457224', '-2.76933341449233553526591899060061249E+59163', '-1.753462350811027112904e+922398061', 22, 5);
    T('2.169152204233543048014922379138025458173534132149E+68892', '-3.373344172426132651750558668983073651460225E+4568', '-6.43027243399677672627697061451741416795488869063372774791437e+64323', 60, 5);
    T('-9.31803321803902338417882089935559710014913278E+58057810', '3.97551059301581131383E+61808805', '-2.343858229030749285226866884036202824701e-3750995', 40, 1);
    T('-6.80229557713190772121664269659205715788820435099880987E+410095349', '-1.45906450777944877020406859809134568E-72108045', '4.662093787398287012167735e+482203394', 25, 4);
    T('8.7161665386631732619445E+331293166', '-0.00010201556968705', '-8.543957128702498154172905149169001e+331293170', 34, 4);
    T('-3.58743227400790928782574141735750671044238333E-3232770272686', '-210672', '1.7028519565997898571360889996570530067794407087795245689982532087795245689983e-3232770272691', 77, 4);
    T('-2.3577816796681726548873668306E+3498564024899', '2.96647441E+4595149496', '-7.9480937766396328188361713546687901481004179638279772e+3493968875402', 54, 4);
    T('-1.5515406625458808530469678E-77265155982499', '-6.69070960E+70', '2.31894784754352640420526964733307212e-77265155982570', 36, 6);
    T('-4.5921432731717195947377465913482E-7635679', '-4.67104774739804272999639371063E-487', '9.831077568688361128227714055372503756451026971269422043169592565483e-7635193', 67, 4);
    T('1.77756343308677544699628603E-4754189994', '-8.7733901435446861945E+5647661279744980', '-2.0260850184517063863495e-5647666033934975', 23, 6);
    T('9.15417057185436928157635E+51237821065', '5.688940922104091E-85190827', '1.60911682810527e+51323011892', 15, 0);
    T('6.344773191026165959191047669138306529E+295127070685912', '-8.07247956991717285802541851185712428E+93041', '-7.8597575083008430386075654641814917633310259826101003283982631761535932739103e+295127070592870', 77, 4);
    T('8.2040501051166218035607549311309E+4240362150009', '-3.77465279075133708E+99510999711', '-2.1734582118965230858047741e+4140851150298', 26, 6);
    T('4.41726453182E+414', '-4.02122899283000199676250E+5595457', '-1.09848619407055500148582442652402536235533101469936947e-5595043', 54, 3);
    T('-2.628893E+7423631662724917', '-50618434436179269277055647960.0064119860197707784', '5.193548613824792775435e+7423631662724888', 22, 3);
    T('1.3133575112644846843693350992078253498054035764183279597344E+7427', '3.013818672066159797950046890341646650102594865125455410721E-16294053360', '4.35778543492829506227468146098615428636842008451665e+16294060786', 51, 4);
    T('-6.3870539827794972077934E+71066213249', '9.46403113639228833702505632571889817324225512059E+87293397', '-6.748766874001e+70978919851', 13, 3);
    T('-8.2E+88585318884644', '-5.17642789591620029942293858E+600751811084303', '1.58410397379806320376e-512166492199659', 21, 0);
    T('-8.500302473664784033637249296054E+681358810', '-8.839625425190293661187772151172142810178294E-99628233', '9.61613424188932201785125664466665071941797459275265273825722569e+780987042', 63, 2);
    T('-5.053000E-686172831', '8.9131162866965177677423E+4341', '-5.66917320212906286952807722140530905465317944735035465020435e-686177173', 60, 0);
    T('2.029887820581718542099541134E+714', '-3.619285808E+88538769385', '-5.608531429308218e-88538768672', 16, 3);
    T('-1.3725916039716330932303860133036786550880574E+609', '-4.83122864614451385571850717418745688010015828887710E-22338501455644', '2.841081854130435879012542491180586196339338324854952568120114691e+22338501456252', 64, 0);
    T('4.3153467349637705753656379426688404030491436786396271772E+9342407583', '-1.0746775381167158570252108374434694919110727685450780071686E+812851839984', '-4.015480534306189549702898416736996278226399441897738146579866058668948497e-803509432401', 73, 3);
    T('-9E+98', '5.3493269E+5576', '-1.6824546654645465768786723428699038751959615704173921395606e-5478', 59, 3);
    T('-8.128374856488853437570463E-28', '8.029162343258088259844278855050E+355', '-1.01e-383', 3, 1);
    T('4.1214204E+7180157', '-8.15577389E+49767349', '-5.05337746679487702178070069080838630262713180735323205484305e-42587193', 60, 4);
    T('-5.156932E+9200858', '6.853192247107459E+79273213052', '-7.52486113632168561390015e-79264012195', 24, 1);
    T('9.19687E-716', '-6.75032157241930583783', '-1.36243435239839317e-716', 18, 5);
    T('-5.6337692343208824545551416745773508E+9350689262', '-9.58025100489320792784663190662595093956918428E+93', '5.880607127562084869009508545816114790992464e+9350689168', 43, 2);
    T('-69662833.18895566635', '1.9008262535218998201251052602111222312056505174774678678521E+92', '-3.664871161153344526756377e-85', 25, 2);
    T('-48964735.7290498549', '5.607604', '-8.731846209013663393492122482258e+6', 31, 4);
    T('6.3538113851876000327738810098034507856356125946E+8702113153', '2.632411066592971755590023868939529386E+965513', '2.4136851063352705636395323451510755e+8701147640', 35, 0);
    T('3.9702766568E+355613367', '-7.5750981255661042801063176185303090574679E+7164440257341', '-5.241221421806060382898428752372933768162132491846619685197153732737e-7164084643975', 67, 6);
    T('8.3064275449279E+93238', '4.2718096780707879646762286763435540670927891324829389755145E-3440063446', '1.9444750985908166120801477805983843323192711e+3440156684', 44, 1);
    T('2.5057121537518796760E+377687029972', '5.6839854514413632E+368125', '4.40837186364802038397588186396347903982330482004090174615250321027476245296e+377686661846', 75, 4);
    T('4.97238362234973472E+49224', '-8.6251375828705E+858558605601', '-5.76499049965866654e-858558556378', 18, 5);
    T('-851275.74918935', '-820547107846816.3571123111239849830', '1.037448966730463709140074344780715956582237636e-9', 46, 6);
    T('4.46842750676866223443681958446273657623478E-337799284', '5.35483887252322917265086E-102341192285398', '8.34465352393155186331877486713e+102340854486113', 31, 2);
    T('6.315230685766857467208983274720418153247438556232E+49', '8.534E+142125525433166', '7.4000828284120664016978946270452522e-142125525433118', 35, 2);
    T('-6.258613482120151404424826801008641323968571E-2251094', '607.2934568507056402212325', '-1.030574825320197956937278156962708624201e-2251096', 40, 5);
    T('9.0536109532938683834895197944100138338642E+276483', '1.095652933952489E+6883637847810925', '8.2633e-6883637847534442', 5, 2);
    T('4.70E+9691033810', '1.122696405204169844935710179E+39301076850', '4.18634991455706459405493559483434e-29610043040', 33, 1);
    T('6.10643723678E+15487693206', '6.02337201239223519492193791647236505398909254346E+164680756597', '1.01379048549830059729516304539514554e-149193063391', 36, 3);
    T('3.257810152776449754745E+68', '9.204462083004787536530078419903966056641475101843683E+929942', '3.5393813602553739402365789233037070748953451329805041591741055e-929875', 62, 1);
    T('-4.10448095474596955840703122511521686816383803916E+10516071', '7.0536985E+682984446049881', '-5.81890614511801086820911217727156451068023114279693128363793830995e-682984435533811', 66, 4);
    T('-2.868910219617E+5173804', '-8.568521422270250020818368012975602346E+8430', '3.34819752234087949624e+5165373', 21, 1);
    T('-4.535138940049454197694E+6768401', '-4.06621705116752E+2627', '1.115321411272744071447156477223471351513823574e+6765774', 46, 5);
    T('4.946818975757406354043E+367', '-6.131E+6614', '-8.0685352728060778894845865274832816832490621432e-6248', 47, 5);
    T('-4.4218526623548704515269878999476941463261512221E+2100849782554', '6.672910349718393714276852232290467398348E+773465', '-6.6265728604333473602819088992117860025948045384796760783167542796e+2100849009088', 65, 4);
    T('7.62734417141038210E-847091187954', '2.2690536907319406562115786530E+98024580484552', '3.3614648267533895722291099626327948823361404610160262288134e-98871671672506', 60, 0);
    T('-7.764952179E+861629826', '-6.3510913015E+6036174177', '1.222616997675041217481385943e-5174544351', 28, 2);
    T('-5.3499665558692635650137979901722698504E+387229801', '1.68121019547560557816821257548619155672281288097E+14180925', '-3.18221158202992e+373048876', 15, 5);
    T('8.9317981020943021779887703111408919454166E+396481104379535', '7.0021137715549E+9727', '1.27558597210723320623212801621910180602471396316832085102e+396481104369808', 57, 0);
    T('-1.5553776E+769285622422844', '-7.3500642687971176748071429902291546150513009458126460E-48', '2.11615e+769285622422891', 6, 0);
    T('3.19145E+8345687540', '-2.65178289969209952623108505424E+419870', '-1.20351104171105470961780246104574237831261121812950051439970980986016e+8345267670', 69, 5);
    T('5.598266126434469016479E+915625', '-2.9503590126159602097258621964665628322632508308841126977612E+425', '-1.8974864084322809492681086677e+915200', 29, 5);
    T('3.333695432E+4367', '9.8412426720811042730519483507947064542480926629546956634272E+358', '3.387474065096934882134566341970447189918590856774263623988583441169037718e+4008', 73, 4);
    T('4.0484955025565955183676986324256431852376798896E+236', '1.5809972961168619918362515978873480E+49086740113270', '2.56072259737586823494368261799649451491345839004212800224e-49086740113034', 57, 5);
    T('-7.089802778376E+6564915848385', '-1.643352381368336261830418123726214464077291774611E-9', '4.31423160288524391575552e+6564915848394', 24, 0);
    T('-6.53179288402258103207842709510E+411', '-2.901887538885489709828348757238163536096414938060797940E-2851904', '2.25087733294144368584172e+2852315', 24, 3);
    T('-1.200882181591764923890613874599E-8320025844176', '2.95385584998003890666813595140476104710065149787027794599948E+225', '-4.0654732071637146847e-8320025844402', 20, 3);
    T('6.58063526281853073573636211E+4238986', '1.581800472266710469783780220914376337619063E-60430296', '4.160218294402530030369839488184595094216204645147369442346480809765032999e+64669282', 73, 2);
    T('7.9393468376465370151396851741499783285377444875815659E+54526184477', '4.2258667174517334258E+310823102237727', '1.87874993900283080531723153e-310768576053250', 27, 3);
    T('-4.73585835660303148331666473748060088692865205857854183842767E+1420', '-9.51693470763600400210959204993214231331596886819146E+1053103901', '4.976243404090153133451969378687e-1053102482', 31, 0);
    T('-2E-10441354049072', '-1.3342111E-6171', '1.499013162160021004172428186214310464063745234918222461198e-10441354042901', 58, 5);
    T('1.7719693662872017401473811E+890644770', '3.1313596E+187891231470534', '5.658785935308106230109697717247166374631645627669207969598892e-187890340825765', 61, 1);
    T('8.360076966819125574825127228192750590534054E-48082457433', '-5.94965229759268833833788306272399889E+41757338536', '-1.405137064934320349690887962478164415387834308094755008e-89839795969', 55, 5);
    T('6.2641803699E-2186260857323775', '8.91485737704452101585481E-269578766906', '7.02667480248205492965028985088344729963929584603239691614022e-2185991278556870', 61, 2);
    T('4.598461557059634747304561242524155889885856500204785E+4623736', '1.50844561E+5197053056', '4e-5192429320', 1, 2);
    T('5.04174279419452826752090699770248118005510191E+19119', '-6.673839053757126243081347474154744803825E-788397', '-7.5544866359284050583082512691031086260835358947516111912079392506346e+807515', 68, 4);
    T('9.0274358931E+2636', '7.268613925598198803982354613780046E+5426726810', '1.2419748779485563491990039551838532933562588879198571955545325058172825877466e-5426724174', 78, 4);
    T('-1.7497491878507984507615671345841290920758827322738E-35950346779', '-8.825529984447144339636083E+84603452335311', '1.98259956165160271646958554e-84639402682091', 27, 5);
    T('2.82265851923955976957375671899520723136395924824369776E+65440016', '8.2581340525580928690394612143674791908250959420890115601E-815015544', '3.4180342693337544702634591788391562191820817105e+880455559', 47, 5);
    T('8.401811089184151627118044E+82934', '-4.268010080757211379210514E+7195867367106630', '-1.96855464964e-7195867367023696', 12, 4);
    T('-4.928867285298988E+2072507213', '-3.929757976809713352373027717109541091641342821644416972E+9397', '1.25424194425845515495624560899649030662023e+2072497816', 42, 5);
    T('-6.758699538285957967659933423304539864870618E-5433', '-9.205652483381534550737978606855793718482484E+7181122825527707', '7.34190167452776638990207360965059432023432237348068487868237913634943327e-7181122825533141', 72, 1);
    T('5.56214143799100E+420', '-5.4E+383825847269', '-1.0300261922205555555555555555555555555555555555555555555555555555555555555555556e-383825846849', 80, 5);
    T('-4.693230264195045183745511528213247970815568050027579999E+117', '-8.259153541755184979280701338093099322E+6283378', '5.682459153311331331199218089742119884454928904405241435536620722906530312e-6283262', 73, 1);
    T('1.7172389012039412744051677341494736175942557E+213', '-4.65789458868732535977766755680400080587835203E+889915886811880', '-3.68672770178e-889915886811668', 12, 3);
    T('4.2854509085975224207673118670E+6345', '-8.498537828969988703592101249025858926027309E+372', '-5.04257438e+5972', 9, 6);
    T('-2.4652352725193E+1024411759703400', '-4.2441955564341211922206770993165838980213552E+233662250652', '5.8084865311685494121683596186209405063809137430571637075338294921e+1024178097452747', 65, 4);
    T('1.917223970613598945842769499E+492', '7.694269617551155855828877605419817E+5116434', '2.491755638820193912474034294775606344616347505527629e-5115943', 52, 6);
    T('-3.981665100690061286361220773881983700509742895E+954279375', '6.1265730102365721985354428880919049912488082792335494686519E-6797546948181605', '-6.49900865302234080423793811423910817775442723e+6797547902460979', 45, 4);
    T('-7.101762714563082230672846569622466901283E-3915154623', '-6.36662080023603498891794E+485', '1.11546815e-3915155108', 9, 2);
    T('-1.41937668585075954135607658298632E+52883', '9.43854424967908885380628143876601912853359765E+50182', '-1.5038089013557556242585987789040097767e+2700', 38, 2);
    T('-3.07E+905408344761851', '8.16581356889261764630088624401062321034114333243411E+4507961778820', '-3.76e+900900382983030', 4, 4);
    T('3.641144386090486124575269260384615279318763286209526243631E+58805', '4.22599E+7', '8.61607430706292756153059818027e+58797', 30, 5);
    T('-2.3E+21', '-4.8397883896615239515563326031962898198375260706E+6312256613323593', '4.8e-6312256613323573', 2, 5);
    T('-4.530667297573559785114E+5785760881477', '6.107931776712292055307221851002031589630843E+911615183460', '-7.4e+4874145698016', 2, 1);
    T('1.668142632531338431E+53529823', '-6.53140538802377741215152464686287E-58539488538', '-2.5540332186241348045861165725699945085231597712499059449711465839081844282391e+58593018360', 77, 5);
    T('-1.16101080847E+55274072', '-5.04741E+3582443', '2.300211e+51691628', 7, 5);
    T('-6.1998217779053534724295E-730266621', '-6.8663388458376241344152947436065414708788099260384E+623045829744', '9.0292977336294531537622720886783644110659758899259e-623776096366', 50, 6);
    T('-8.6595745863181113710833359008964425647009681996189E-401', '4.272884142528461461685516690252221580765219511E+928680533355727', '-2.026634539450405982962647906090120907390066861564e-928680533356128', 50, 4);
    T('6.3313120247073697293816144506237417665554949225217526E+42976', '5.8344646074599903320836143732883998727748857750919E+20939735823663', '1.085157328165485236207861907759365626904243000806396713568951985958060165359772e-20939735780687', 79, 1);
    T('5.1476523737090212902272855076092732434646475162542E+5134542', '-7.20973373842423776283958980473411731400833723795123292E+719', '-7.1e+5133822', 2, 1);
    T('-9.353586E+114516', '2.4370857359940222796304981389154919426546790E-948788462897637', '-3.83802090417016934021291730691927593416429810831828113296025768897e+948788463012153', 66, 4);
    T('1.2997965454E+55245855474', '4.91096076360748368177626502506692986E+764251943139', '2.646725575639089544617353616724156686e-709006087666', 37, 5);
    T('-7.36281684486585728595755817629E-793781246656461', '-1.2893234927262784471038682545779792892290395604843111E+1147196351560', '5.7106047368276511211e-794928443008021', 20, 4);
    T('-6.01038861265373440013E+95771511996', '-5.4253059131024342479515165375611858E+329023635', '1.1078432643103665126914686561678041764956179695259907757e+95442488361', 58, 3);
    T('9.79246723E+3270', '-8.56444491811422013450881629E+940411578', '-1.14338609491065236207568485623206535300976012331512609810576906475381e-940408308', 69, 3);
    T('9.83087275241786067358019905586105709474237930634E+744339291', '-1.7270114762869548051859692E+37604262', '-5.69241889090052214551984185077272287323147176459e+706735029', 48, 6);
    T('1.47944452055915112102845E+5127502357294517', '-6.17691478491368251122144087909532160191235383E+328948', '-2.3951188774248650828861865074869655245753196495006e+5127502356965568', 50, 4);
    T('-2.6389E-2100586725', '-8.1499354268766400096938390533660138657494405310E+874439115717', '3.2379397648937264663323108745795439545933104575945999868839e-876539702443', 59, 4);
    T('-6.496556103039630890066233014920543079899893266258467209984E+90662', '-7.872111687659909812389192E-629566', '8.25262186412248278796432662695e+720227', 30, 0);
    T('5.270948865897256806510267652155E+43447267', '1.213999521314519236058833260669468286275822333101718942E+5018407625', '4.34180473167721760508546497428401645068413295492360075296976104529299e-4974960358', 69, 1);
    T('-3.01661467458400019208262954661352570317600E-232916629', '5.33E+690194895', '-5.6596898209831148069092486803e-923111525', 29, 6);
    T('2.917E+268737796', '6.428896039012572135130188328397639521096812011539087E+622978708318894', '4.537326443449579029477159520401623438183628330847369331745997e-622978439581099', 61, 5);
    T('-2.7710E+8955974141', '-9.2934712847443553940254442245398969566456172717935105238830E-84310', '2.98166305689104478438465424542e+8956058450', 30, 1);
    T('-9.090469296E+1152074', '-7.71463465E+7068275686607492', '1.17834086880575737957986124462809136e-7068275685455418', 36, 3);
    T('-1813419734704366996556998425549.559740789150118', '9.0971E-443674736637', '-1.993404199914661811519053792471842390200338699145881654593222016e+443674736666', 64, 4);
    T('-3.38108021718980415395698918960914868489284332496159259070115E+7658084', '7.024833397883758993E+44684', '-4.8130397202136627e+7613399', 17, 2);
    T('8.434471351694830612756235362854198078455837E-9446', '-8.8442709259644351293141347814049E+31213144903', '-9.53664968237625829603543093281703769703071479200310316454e-31213154350', 57, 5);
    T('-1.77606662128886335154873911124331708399927602911738E+732871', '8.052202091446996905654414583126525186389968183726300784875E+9505025510145', '-2.20569056901265701930426232328290358762e-9505024777275', 39, 2);
    T('5.5E+417002850290', '-8.61E-8518981722', '-6.387921022067363530778e+425521832011', 22, 6);
    T('-6.55609994777965391334908472178452746868034487358644903423E+796617760', '-3.8763601084436750979129725554536431714981695283161893E+186395203292847', '1.6913031205482792662511093236990339182897964926384911102048438069001223231e-186394406675087', 75, 4);
    T('6.623938408331552532E-38521413190', '6.37466E+5153882', '1.039104581002210711159497133964792e-38526567072', 34, 4);
    T('-1.26459670E-28434214754598', '66192261.23437476459556111257', '-1.910490254324886e-28434214754606', 16, 2);
    T('-8.937098177E+2907', '-6.74671129867390911636236314260405014861457063E-61024638690', '1.3246599389478277318548820917320608470034675558185928873486275469545922114235e+61024641597', 77, 6);
    T('-1.8771723527939108586256286710499187276970030700075E+5674089256390', '7E-5517543430931121', '-2.6816747897055869408937552443570267538528615285821428571428571428571428571428572e+5523217520187510', 80, 3);
    T('-7.12914186972E-94', '1.66136724488840282995791766979846472379406671843807050304E+716906424', '-4.291129424667860175657455020395247924741721817103309598791305229315787e-716906518', 70, 2);
    T('6.68644484718555371163061192998777854E-42707721', '-6.86108730101425061657E+63105462219754', '-9.74545950784960844350598558645635677984320460324825e-63105504927476', 51, 1);
    T('-2.74373476289757032877194161517232594344542E+328129', '8.0071762994988027082613524E-131185193666', '-3.426594669920419169010880321684123979e+131185521794', 37, 1);
    T('-9.668281443732066175722784341E+836', '9.247308249471448342112331007546320419712934809559E+2535067764577920', '-1.04552386304248909912730681707743e-2535067764577084', 33, 6);
    T('-9.3777126934497012200457897726905022941103878226214624E-501148538810', '-3.99996767061043372234536301154882696641424794954E+3657202699', '2.34444712199850646206e-504805741509', 21, 4);
    T('-1.494724E+14633327385', '3.9368535433459689556185041E-583570275537223', '-3.7967477924759679411549367947805290507719158419159619e+583584908864607', 54, 4);
    T('90228.4440149603564157027935329115949597107137900611', '9.84000523891323655246931852E+681', '9.1695524366332035443155571479548015e-678', 35, 4);
    T('-1.2391545314769790E+543980079054', '9.166763238981735985780233647750208008140659101329E+7560220157906145', '-1.3517907020958763004662377781849438638215804294682831045115127e-7559676177827092', 62, 0);
    T('9.6674980E+84951692669050', '7.2307136474994781733930450352763021E-70', '2e+84951692669120', 1, 2);
    T('-5.7135211207026330266769146390342E+272', '-2.821186246013208393310038631640687357368194183171746310E-5017179', '2.02521940151124752515989440130883572536077948861875610741673686629417e+5017451', 69, 2);
    T('-3.5048516983065146506440039587E+55587', '9.9625460316E+8261', '-3.518028109671509495747406e+47325', 25, 2);
    T('-5.0336557125943721424E+507', '9.260520726469983118486E+897226869954628', '-5.4356076307959e-897226869954122', 14, 6);
    T('1.35082111707897898463391663057331807644E+709060', '7.2170774442E+7771046658107757', '1.871701014050452753258424887e-7771046657398698', 28, 3);
    T('-3.991698781719E+463626115484277', '-9.285018097758519644783698091707107612097795209762691955E+259339812', '4.29907485337333826300680461699673104379991325615708035705e+463625856144464', 58, 3);
    T('-9.2084678367501285452751045331063191522285334685176145390E+7663', '-93099.359427349899152448571436294894', '9.891011e+7658', 7, 5);
    T('9.096462183207698805730234914369341635409407890254361594E+46436856', '-8.24527984824055020011031E+28626094147', '-1.10323267986456291396218729e-28579657291', 27, 4);
    T('7.46795293147527128675283189094010249486884565403E+37163330', '-9.110088361267325277841662439E+5112116', '-8.197453894329063602331901049984336558559534371006455722522e+32051213', 58, 6);
    T('6.855641601196E+874405131152', '-1.1689775503418305983887314977840E+5740815849642870', '-5.86464778488798517846009219427415492026117120411043153073775707769405690525951e-5739941444511718', 78, 6);
    T('6.6236540515043826034683683520946700602355092581E-7271284951', '-4.2123439533351526969693935396885995082185205866446E+1821833', '-1.5724390327290482351618364e-7273106784', 26, 0);
    T('2.7003856691309917244925478120091623E+5757', '2.7273177274950999086902327519780568902886078298739E-90451', '9.901250748702301418115583573989926379432297371602058819507530407789286523114349e+96207', 79, 4);
    T('-2.258746026530150665727021039129368E-3526097', '4.615674993730440201289468472E+78681', '-4.893641839163824749659e-3604779', 22, 3);
    T('-5.585676075010010405E+4723', '2.898533987849292579597614977470234059961986016566758566E+91099', '-1.927069373147000013430039346461e-86376', 31, 6);
    T('7.449110190414427560136209291304E+39418840991', '-1.629574988164631597867791335622E+59', '-4.6e+39418840932', 2, 3);
    T('5.69E+761444978047288', '-8.38076675565382809921046009E+68290900', '-6.78935491929949659817841135947450999630969e+761444909756387', 42, 6);
    T('-0.009618243211939980527405711799542', '-6.79952527386582497509E-687942496840204', '1.41454628441606e+687942496840201', 15, 2);
    T('7.17873073914721514783602880315484043806901883881621965E-7353926063877069', '-2.01728393783596404478332779100923007055E+231', '-4e-7353926063877300', 1, 0);
    T('-2.9280397117650588765571345977145787133989694621342E+71809436534', '-1.5968849628220704216915E+253944', '1.83359464202764216147349242645858184202e+71809182590', 39, 1);
    T('-5.91595734036048527E+1300137', '-5.9678586914162918027731177179606922539355176565E-9865', '9.913031869989721040446567224055794381880031073e+1310001', 46, 3);
    T('1.57037106E+5298166920942044', '-3.660627797197879517215435109627438349558099017E+52295002', '-4.289895468755606336706719250880648859854e+5298166868647041', 40, 6);
    T('6.8904626266157645081377760284504142030E+92270287979', '-6.703505238354572870170947286063766941398137693670819410428E+2737619828', '-1.0278894968547949956892985833013e+89532668151', 32, 5);
    T('-5.9775845874981E+865507', '9.2E+9', '-6.4973746e+865497', 8, 3);
    T('-5.7200566373553628139257001698271566084085966158658E+995', '6.5214875E+1917711', '-8.7710919285751338386000129108997856829574489192316936895148537814417339602353e-1916717', 77, 6);
    T('9.0866570947547148631267E+817', '-4.096311487115028115367926357108889334228318011934993557E-8403747075222', '-2.2182534515104254690656677456635353512027e+8403747076039', 41, 4);
    T('-5.22434709563103103564E-35020', '-6.22656255113116409714960221350086086727531E+92306502719', '8.3904193569563304587347229781238774551442733292673272810734945e-92306537740', 62, 3);
    T('6.36827E-564918150', '-5.97263994467435359717656235E+890', '-1.06624039938627463179604e-564919040', 24, 0);
    T('2.9593849445690012907E+9841760431', '-8.280196925797878894066120865735E-168764948925615', '-3.5740514037156613549584004917409833794590236114825e+168774790686045', 50, 5);
    T('-1.94407515743155292701964203477446E+9658576884337', '4.26E+1126760199491115', '-4.5635567075858049930038545417240845070422535211267605633802816901408e-1117101622606779', 68, 1);
    T('-9.7045619941161675676067E-81052586787986', '-3.20376290619302484641956498E+2205031755867', '3.029113663609997914090642241452456921816006148653085164807320778e-83257618543853', 64, 2);
    T('-5', '81008452.3980662597', '-6.1721954339166640227043843644921129616877891110800684031089663e-8', 62, 3);
    T('2.29859097E+24148', '1.739692237E+7093303281029', '1.3212629918748094063030529002699688428e-7093303256881', 38, 5);
    T('-2.26522057762912442212814185715E-9633478008', '-4.211E+660', '5.37929370132777112830240289e-9633478669', 27, 3);
    T('3.30224774296443972428594252887155332368180014E+551656735082', '2.4503299373621643650143056E+1281520566572425', '1.347674732538012476044155316733229101529945956721104090181524e-1280968909837343', 61, 1);
    T('1.52717970443370738889421711513956835176557936909333309610698E+893658', '8.2915149542387825592692E+3752790033', '1.84185847e-3751896376', 9, 0);
    T('-7.4988325470708464547073225471629E-5374755', '8.56265716892048116734101732694456581822E+6134064962', '-8.757599888839466237321e-6139439718', 22, 0);
    T('-1.6992683495493693823102467146664807223640427118101689E+4643953', '4.1883E+322', '-4.0571791646953880627229346386e+4643630', 29, 3);
    T('-1.27700167562306807686495E+84623868', '-1.15332724917635503571131590384422626E-9894583', '1.107232727341727802785887258755153984057151888821493840671749221704346e+94518451', 70, 2);
    T('-5.96632716996486880E+670607400199761', '8.69604E+33445601141381', '-6.86097024618661919678382344147451023684343678271949071071430214212446125e+637161799058379', 73, 3);
    T('2.0787795094731457548118968970963382198E+4133716', '2.7630359015850960560605933057291756738E-830', '7.523534197585320250051574542086659787313208638e+4134545', 46, 1);
    T('9.843424467425401635991384423244763943038683578392857701E+21494', '7.9485996287E+9701', '1.23838473785e+11793', 12, 0);
    T('-2.391037946E+121450849', '-8.5630506236145116535720917355508107E+718433399985853', '2.792274e-718433278535005', 7, 4);
    T('8.508511706477953913406E+214343737679347', '2768807750235586271269990999212484524542.3', '3.07298753615306091154381e+214343737679308', 24, 0);
    T('1.98361957226501601167361054E-807971610136', '9.66597258496E+312192450', '2.05216759599698852452e-808283802587', 21, 1);
    T('9.93454719314974539846933572128562655589200757032952590356E+49533517717613', '-2.200058654938358006478939803999471682810034382122450E+424550429873455', '-4.51558287814289884420723803128863664818704e-375016912155842', 42, 0);
    T('-7.30712137E+5844292329518', '-6.2E-4937409284', '1.178567962903225806451612903225806451612903225806451612903225806451612903225806e+5849229738802', 79, 6);
    T('-1E+476415', '-6.94127966809126E+77190746815101', '1.440656547231418321164186344668479413612578643721305838180786815288944412438e-77190746338687', 76, 0);
    T('-7.0520E+9297330701607', '5.615639952161735318789953413098653E+4628526725', '-1.2557785151e+9292702174882', 11, 3);
    T('9.762829694401334928286684790420430600830031E+77893014', '-7.45996581801533214067724338685454677378589928E+286', '-1.30869630405339610799395617773540613776679886308864264686614099e+77892728', 63, 4);
    T('5.025368290E+83', '1.984E+83365997111', '2.532947726814516129032258064516129032258064516129e-83365997028', 49, 1);
    T('9.40837584684915528E+21036174236', '6.596194993687842707426647060993116173020988398718E+18216', '1.42633379635568665788539957314539871633472e+21036156020', 42, 5);
    T('1.7697213948066084966225937530599772515321913898733590627E+75033225', '-1.3386229700519698E+49821245', '-1.32204618805988516739583449168472673987226924557222e+25211980', 51, 5);
    T('-6.11373136388076365847269314699005348E+10426589', '-2.260338716428496121088791222E+62984725412285', '2.704785490530780063585395158841088006088654721987694680379833978220257434229e-62984714985696', 76, 6);
    T('3.4E+7750', '1.80157877110E+85731250311', '1.88723360562471716616243824699450578467132116397083582397681151272975276901008e-85731242561', 78, 0);
    T('4.8978799404180941625772591256413784314075646E+10067965590526', '5.123100963087314285896184402488256458398370062316E-5172638', '9.560381448087847053178926690256931817458498541186127836199604e+10067970763163', 61, 0);
    T('-8.3558887573942142963265149333693853227807354646792310E+43315', '-2.19717613952807294693971379633792171847E-79522731', '3.8030127e+79566046', 8, 6);
    T('7.229480366481914495097475190043E+613350816', '-8.6453971232066E+7112', '-8.362230518e+613343703', 10, 1);
    T('-7.31163917026865853904206561625438059975E+448965039', '-1.58656406300082351822331872E+94269727853', '4.6084739600362821e-93820762814', 17, 5);
    T('8.81833890161587221654933E+8733', '-6.3807990364791487813816296693E+95676079', '-1.3820116965291120941521919046314692638603626737928336029002181042921188728e-95667346', 74, 6);
    T('9.114847010610E-9438519', '-3.3130396731305775941682217504637992456392796562E+241396469508913', '-2.751203701100609923e-241396478947432', 19, 2);
    T('9.39793426093124710062699796976653755821922211E+68464407858', '1E+6039540666', '9.3979342609312471007e+62424867192', 20, 2);
    T('-3.41867450846666645857464595323067E+4686', '-5.1023059192303568346201683517904030771775E+656', '6.7002538902691803314493856658290808144227928353566273e+4029', 54, 1);
    T('6.9104974264804009467201048E+3532214563925212', '7.457395841272998365966185E-514574', '9.26663620058119333060079213160525309e+3532214564439785', 36, 2);
    T('-1.64103816E-32002711825893', '-2.287557420329414E-2106508983', '7.173757237375429e-32000605316911', 19, 0);
    T('-4.50724139602284831E+8933', '-2.2192E+366933', '2.031020816520749959444844989185291997117e-358000', 40, 2);
    T('1.593458938620529614687230311103840422830320610357E+31360', '-4.07756168396157858781281320119186675865838068563310278138E+1653618599453', '-3.9e-1653618568094', 2, 5);
    T('696.617604058893583139112051690641523941452', '-6.1584960075548855247930402147009829E+8239723', '-1.13114890909131633952700401779665416364740350011992569705775e-8239721', 60, 5);
    T('4.5306939885119445050610003922E+315776911085216', '9.6311345468508E-16678974767', '4.70421627532e+315793590059982', 12, 5);
    T('9.9120145702479307E+7960660524813849', '1.2714938E+1513001657668132', '7.79556657708274369878956547015e+6447658867145717', 30, 3);
    T('-7.7218076620E+885', '-3.153097153378806286916565644963469356407323965266719E+7394', '2.4489596375821911418531e-6509', 23, 4);
    T('3.60130429774396415556E-5350399', '8.9915893016801E+750006', '4.00519216005e-6100406', 12, 6);
    T('-5.05081422548394749555435901580865965E+9565121939669', '6.3386953503607735362035559849309088434683352444E-780354492336564', '-7.9682236585112e+789919614276232', 14, 6);
    T('-7E-3848786805312461', '-4.615178646768272468744711982899450E-43', '1.5168e-3848786805312418', 5, 0);
    T('-2.3011996368E+622680527390', '-1.29033948502976691369107567472938956381961818E+78781670863251', '1.78340635429513613386447734471127012561728739036800420389002826299349388e-78158990335861', 72, 5);
    T('-8.08923544120290849162705153E-95249002992', '4.5953742000478977432758378E+228775', '-1.7602996163225606551292118367926272811844894558088869504898088843593770476985356e-95249231767', 80, 2);
    T('5.898200850798234131160210591703E+831', '-2.44119022638339179978253228763213602098E+558', '-2.41611685441506218e+273', 19, 5);
    T('-5.401E+4175034649771031', '0.064', '-8.4390625e+4175034649771032', 76, 0);
    T('3.10636496027847864292234E+7137591453331', '8.34212371744152904311261702740638E+7633171839446', '3.723710012e-495580386116', 10, 0);
    T('-2.646622261067669847737416282107890210825E+9149058101', '-5.814488855905743212420787547115648087946683572394340607444E+5767105601093993', '4.5517711473116174123621885736647112649219072731921541357389132393563891e-5767096452035893', 71, 2);
    T('-7.44314179989160082530392171484947E-399510', '-6.220256057707350023802156604E-404134', '1.1965973314987582149284e+4624', 23, 2);
    T('-4.91161833E-2497', '7.8244353076094E+624454187', '-6.2772815377786629364073139248403249523093419032933014e-624456685', 53, 5);
    T('6.25868694705250086418111602123E+2335772227472', '3.5321355491004925970349853611E+849', '1.771927169852346824848822377506117e+2335772226623', 34, 4);
    T('4.187467407861265274147745211224556938801252173E-10', '5.7534844251E+77', '7.2781415547e-88', 12, 5);
    T('7.19710785807903986743920669394191220563013484973219412E+995395193263', '-51479.2973029647650966571843659777756944915973383', '-1.398058682837643999628497327320090185920038936977547459538721190160524730023e+995395193259', 76, 2);
    T('-8.616691287789957941313065338348615553935024876891482890E-320', '7.10557987365253195777589649161701592003037041731387574827039E+785', '-1.2126654602449298193135985747457773651086490121189870192666085069047697795e-1105', 74, 6);
    T('6.548500631595253506891573475279010513989415625E-290796360071991', '-6.66E-156230', '-9.832583530923804064401761974893409180164287725225225225225225225225225225225226e-290796359915762', 79, 0);
    T('8.968785722904187E+208015', '-8.072653092231963693561224911477890995121657E-372153', '-1.1e+580168', 2, 4);
    T('-2.982571575E+2972952669903', '2.18787215900577514439122588256346022960007642691743928091042E+967', '-1.36322936544672542431497064665230238151596808961620431e+2972952668936', 54, 4);
    T('-1052261504.681068040035098715039', '-9.65252001621739837339924347628824057950810078925420838866284E+30584247887', '1.090142e-30584247879', 7, 5);
    T('3.8701740553064293890438774E+25267181571', '-8.580281598256047300601E+7338358', '-4.51054433469065512473173473984765976040662246437157013921513641771807342347e+25259843212', 75, 6);
    T('-4.026829985330751683470049048E+4362309', '515260.8944041059951774996829598620442', '-7.8151282759149416336e+4362303', 20, 1);
    T('-9.560318249511097540658790380561990368641472778546213642022E+9359605813004', '8.9054879577535590061434E-69348306502678', '-1.07353109e+78707912315682', 9, 2);
    T('5.3035060818858939466132734270501468766398699E+616', '2.819563533373432731393099580081693295118456272219191E-35529', '1.880967042987883361197488713875584071028987e+36145', 43, 4);
    T('-3.7915018354937819E+988639', '-1.5726595251282051973439207E+75976364', '2.4108853664207412382056811068693581e-74987725', 35, 2);
    T('-8.267619627245041597340E+491601929287', '-6.13290083239482798E-6077513776', '1.3480765225444922483720235157798187705560075866e+497679443063', 47, 2);
    T('4.380984014277E+503678022902440', '4.3235912070247843140607490638532010972828515696E+34083', '1.0132743371202546463591034603744277294512331093660612531175804504869e+503678022868357', 68, 2);
    T('-3.0638E+46620297957286', '3.7198177557890773322158934697998862236E+4434921840993', '-8.236425010961544734428583088473212391e+42185376116292', 37, 1);
    T('-2.2279212864348211096453468920284313154064219550308088200882E+978102', '6.95650892072835351846970054085368560783092248794E-2887509', '-3.202642750584665e+3865610', 16, 5);
    T('768.90733811351307905482694138739702241', '-4.0728844639515200519748961205257116039834711E+755', '-1.88786926051793218610101238111205350348325383300581e-753', 51, 4);
    T('-8.137638232936060930986357857363546554011011801077302310611E+86883', '2.643690746972712982930852E+27071', '-3.0781354597751119132007882550902949565435949692623050828e+59812', 56, 1);
    T('2.09323131940949105543193416242871181085755E-528290652', '-6.1334110278163439413592335599947965099E+65468', '-3.4128339188686928778017462778722095365e-528356121', 38, 4);
    T('1.0941E+80599257859', '7.67624127868959133216531985650400504420706483932084179415857E-3714566468060905', '1.4253069442168100497782514753166861440162352940341611224059618169764e+3714647067318763', 68, 5);
    T('1.59968365007229448321805815235711925425985325546469482E+948768', '3E+204', '5.3322788335743149440601938411903975141995108515489827333333333333333333e+948563', 71, 3);
    T('8.559545939066440994318020769170439352423512E+431196878643', '-5.415837284190389718858191321663034319112182455257E+53949350318526', '-1.580465861493474024261935175291077623178763978518110722858e-53518153439883', 58, 2);
    T('-8.688988772072897753755544817204519662858342E-6854933906535', '6.7E+785', '-1.2968639958317757841426186294335103974415435820895522388059701492537313432836e-6854933907320', 77, 4);
    T('-9.25115517696E-88583522280776', '1.9394394037E+486514', '-4.7700150668852784224784078516863640847764838e-88583522767290', 44, 6);
    T('2.18100443632706882957470282278013E+90', '-7.948197354209573737E+749354776120652', '-2.744024008377135e-749354776120563', 16, 0);
    T('-5.2951345349810118882116268508810985838017305093E-4805820939836200', '6.975393745418496082520320019231143099421E-819289164', '-7.5911622027916428735553254192020649161326886167267228761518238094323095824e-4805820120547037', 74, 1);
    T('-7.990833349512653527981080571875264735090347018941754318119E+686', '0.000029424694476747368749749655761804120054946', '-2.716e+691', 4, 4);
    T('-5.288738694077435645839664694E+3327153956075921', '91639.721498597865858014702518932764130871109845173489761', '-5.7712e+3327153956075916', 5, 2);
    T('816170541.88496475684352316678531277514119576013280658123', '-4.753245165605871046342601842052E+900', '-1.7170806753051876513155e-892', 23, 2);
    T('8.2301926526675706565736660584E+543937305', '9.2807293101E-519593', '8.86804514782135177380305744599070676433735241908119662e+544456897', 54, 1);
    T('-7.32349525684781E+9087607', '7.6880454619251141240051122096E+52503876136149', '-1e-52503867048542', 1, 5);
    T('-5.7530280050618187645E+4397', '8.908E+5830325', '-6.4582712225660291473955994611585092052088010776829815896e-5825929', 56, 0);
    T('-9.03428676707705018230333109202812E-8247523', '-9.850E+7183701766992', '9.1718647381492895252e-7183710014516', 20, 4);
    T('4.0923776515020774742048779616753198218623259092594E+84546554', '9.0584373673465201560863882780725752926142997284578E-110', '4.517752329175571645787062638989271110426931942213216358344440736776797e+84546663', 71, 1);
    T('-1.87805342E+71', '-5.93452570837398472877289219807E+33933', '3.164622603875402990135819889598e-33863', 31, 0);
    T('-434250047.463237678962141', '-4.3024914892086E+177934062', '1.01e-177934054', 3, 5);
    T('1.532529105290955265E+91941494149', '-2.77928200488530E+2017', '-5.5141187637568e+91941492131', 14, 0);
    T('-5.3448958271874538827751445531618121152100E+48661781903881', '-5.043990263157888037056670370421541471418439569017308296135E+23416', '1.059656253943911873266262030244586283678237781575232682459690220371615973785e+48661781880465', 76, 2);
    T('-4.6474908788918964538596010856601637101E-8', '-36480709557153.4163656', '1.273958466079391517708268344384148e-21', 34, 5);
    T('-3.823246159703E+5724521016', '-1.3767384610219097903784E+549710727', '2.77703156259985956809e+5174810289', 21, 3);
    T('-7.448875352343563779399330502426502469718900571334036414E-5187733733', '-7.4E+369358845643125', '1.00660477734372483505396358140898682023228386099108600189e-369364033376858', 57, 1);
    T('-8.2012393841598101E+355762', '-7.15070736365790653E-64', '1.14691302091888563475471070547453486646162963145751317344499316013045972613e+355826', 75, 0);
    T('2.67660198103057367555632831131639365158311E+696121', '2.88734582165367464451657436580399373862385442809903617782E+913627870484', '9.270112228875994913158003137787665779790330060562461093584697233961063e-913627174364', 71, 0);
    T('-7.077810729385095052015284969527044966157494570196782E+317188604257', '-7751862087509661292162897479379253659962824937106797377818.06', '9.13046523465549701e+317188604199', 18, 1);
    T('2.84187631E+157', '4.9754917239085639916537025230685982537524994924635068407E+5686396744541', '5.71174964746504713278417177026231946523900306896197e-5686396744385', 51, 1);
    T('-4.530083970142000755105831114144900850394E+6723756', '4.57114113998005637880012647512355929979811583665754346859E+2357047', '-9.91018179360299788572527264450195322e+4366708', 36, 5);
    T('4.775478402273955660836628820202666521201E-52', '-659524062.64173180302293', '-7.2408e-61', 5, 4);
    T('-9.533513095223093087961E+804553144772018', '-8.7656985951142842066703764183736008E+433099521182', '1.0875930756433678605317e+804120045250836', 23, 4);
    T('6.0515863573E+7712749608693354', '3.6821444966136590E+872188586116130', '1.6434950781712762132256345896177373435074908911235016e+6840561022577224', 54, 0);
    T('-8.07323437531407313488407E-3407489927529616', '9.122050690549744047736396378529425775E+15081', '-8.8502406412603879353440705335847989884954e-3407489927544698', 41, 0);
    T('90431194.8899896376894495409621837335746067622268818688184', '2.8025105893754365115054232522808318E-7856389062076', '3.2267922637945501579238602919e+7856389062083', 29, 6);
    T('-1.5341831434775937574440E-14', '-9.99880052466E+7079479738', '1.5343671870379294738488540875365e-7079479753', 32, 5);
    T('-8.722669623E+15277739685', '503.4572175693', '-1.732554290335372911164509538998315e+15277739683', 34, 4);
    T('7.95038164546585328989461E+330444216', '-3.59482611074452755172780373871193452818717654135497694E-975725661', '-2.21161e+1306169877', 6, 2);
    T('6E+1699', '-3.45220393175725421842675391952530529476E-936991819', '-1.738021e+936993518', 7, 0);
    T('-8.47060560900990939254000298114381356803331E+17698', '2.4010972365845971696681945530405715E-63135', '-3.5278061545973825357501415070760858790145e+80833', 41, 4);
    T('6.414548885115515501850856E-2882567802', '96936939563813449966159749147430.62358303729112637912092208', '6.617238912203151471963733994735348628289196340608651164916081208969087532282816e-2882567834', 79, 1);
    T('-3.373350699594284E+2205850', '-1188202004.835449007218521792279772253736', '2.839038e+2205841', 7, 6);
    T('-9.15960500328622E-466440499280429', '-9826.2663316179479129251291747264171933710181', '9.321551741187175293580975619971678986672064508e-466440499280433', 46, 5);
    T('-6.048686789541214051403555486302953847505071371846E-57877', '6E+4842944481', '-1.00811446492353567523392591438383e-4843002358', 33, 4);
    T('5.4257595655177018371924239542194397117925063684882E-423387631387249', '-9.913731455485562090113662958781059279750935689059349599E+3043', '-5.47297411663846099417177426620656741114188794420369142549644837803802e-423387631390293', 69, 6);
    T('-9.31908E+499070536606208', '-99513.53580142465574', '9.36463559951870002934954847384539417903315941980907708619709128e+499070536606203', 63, 5);
    T('2.5081889009715155526395882766115525819045E+84', '-7.583069E+75799067', '-3.307618e-75798984', 7, 3);
    T('-7.75E-34666648', '3.652005923488580462535355399549784618647180561923808E+95170', '-2.122121421039977030331e-34761818', 22, 3);
    T('3.5344802510022579E+4925779778331', '-4.500411819519908050269529654519742951881925182931359E+704228768333453', '-7.85368182456535020382164e-699302988555123', 24, 2);
    T('9.0E-3841556326', '-2.3927898513130285084564481868104370957E-299', '-3.7612998045195260786542522905863e-3841556027', 32, 6);
    T('6.7826307460137E+872248113726057', '5.957109070067196342645672937304228874736349E+5037', '1.1385775661040887659522731085784175993879450310359807839685096905837379965e+872248113721020', 74, 2);
    T('-0.000025607395926590985517867250792', '715821416830717573785738457189207514231979.0205027', '-3.57734419849676006147182581808810771172742725375518718185816891833239669131e-47', 75, 4);
    T('257966.50590659503944402831138731388225680193', '-8.1005476160308063146828868080115E+288224421', '-3.18455637e-288224417', 9, 1);
    T('8.380138112560E-919901146167', '-4.11754001725597051469797843226E+361', '-2.03522930619742445771213392815799997344114743743397766974286777625e-919901146528', 66, 2);
    T('4.0637141608481578297978228436850918262045684537391029E+3312627858', '6.3834365568215E-790669510684408', '6.3660289010087696649e+790672823312265', 20, 6);
    T('4.221912346982823059E+5741750709199', '2571643.451767534528429265525074046416891', '1.64171761216782617884408568589873678720325470097e+5741750709193', 48, 5);
    T('-4.945743519701850872433131783E-3456179060942', '-1.71095869001035784014702125105638807E+89149', '2.8e-3456179150091', 2, 3);
    T('-8.7874087820611687511101132111321001327354E+16994089147207', '1.6092694498777609675207895116052298837E-73149', '-5.46049561975382957311827934673e+16994089220356', 30, 1);
    T('4.7607772416835668911167284768041279210673280763115590E+44327007', '2.7573193828838305302368E-917', '1.7265962264786156110091404787541254371085587887027165265606555398758421608028776e+44327924', 80, 6);
    T('1.42776556614323274E+27967', '3.0332992605657597E+1352', '4.70697232121084e+26614', 15, 4);
    T('-6.61621073167E-5145027', '5.1875712370965988831419E+8510414332943990', '-1.2753966026253526535665417192365099394600875062778626404435661273e-8510414338089017', 65, 1);
    T('-7.0409244129041205740627E+960953', '8.210238403176900324706936361146E+45', '-8.57578558276660879154479814616719617818133308405120573617067872396813363e+960907', 72, 4);
    T('3.1871328613263E-883186523500', '1.4196204746899742361418550942490E+4092', '2.245059801650385734196934661978124034148027081795718988545954717402713363e-883186527592', 73, 4);
    T('-7.939268004819919282311522170599E-275', '-1.3583549022421974011996874433431823861165339907086693730E+30984', '5.8447670720772588538403226607085261974574032733539815221304323221897269885442e-31259', 77, 6);
    T('-1.219261773214889480483878591386188515369753711189951503E+28958221', '-2.86277428263056296562143667728617329502103719E+6889707653252259', '4.25902167912e-6889707624294039', 13, 2);
    T('-5.72191342950441856203058093705705080552642E+5972979203368255', '-3.5044001358249572502208493248945539766132329162142055', '1.6327797077194910860639798209421139404023572225147764479512754639547226758503032e+5972979203368255', 80, 6);
    T('-9.05249996928725103353644952674375017E+2787303559713307', '4.369908077080329578E-676861981262', '-2.0715538655759334834e+2787980421694569', 20, 0);
    T('9.509992154178396901954E-8', '-9.1542931932896754084886770E+417934198264', '-1.1e-417934198272', 2, 0);
    T('-8.2472E+8533335219394', '7.31215494E+16020302', '-1.12787544406163800462357271e+8533319199092', 27, 0);
    T('9982.9869094', '7.1306658675501648748084353412224E+57', '1.40000767036779e-54', 15, 0);
    T('-9.4858510306659774920223095003608992811379076494029176E+400', '0.0048269373301976', '-1.9651904265095680999330519262851353863556303717452749772e+403', 57, 0);
    T('6.81575716512024687794139228072759529740E-93401184115', '2.024885316492933787250552746566271728888140E-8', '3.3659966367502827048578648250867e-93401184107', 32, 2);
    T('5.958207925315131824958282364570805187864583E-84', '-1.42851316438371349905206894323202365666E-18872407359', '-4.170915658229590654e+18872407275', 20, 0);
    T('7.892425119444480920043820274156394117883130094685358686E+416276546', '9.837139747177704289601E-5351486', '8.0230893555302332543053541028880721311203332065845055767385e+421628031', 59, 1);
    T('-7.78098688607643038789232252189152775116204192063078655E-5578166282', '-6.25536780937E-669919', '1.243889587822667269859644416641122136293045391e-5577496363', 46, 3);
    T('8.906466037595587346E+652399', '-4.90655853664145684818611987870530342703694508796880619493E+41957810655', '-1.81521650482378027580517e-41957158256', 24, 5);
    T('-9.45622287770621477066096217372244073091748475750716E-3346009177', '2.481305042305329E-5710581277', '-3.81098765225602186229921958725801932802407168691067296e+2364572100', 54, 4);
    T('-3.2834718555639737958713252581729079881960065082E-8244704246893', '1.795671574177978547579034629942287578318209319467E-47', '-1.82854810577879730908210051886340603829013291328789673192508196822978e-8244704246846', 69, 5);
    T('-3.0569412289899906432640958E+188849', '-7.41875125188528225711026618E+946', '5e+187902', 1, 2);
    T('-9.25617201597026308015742452081567895E-5826243084877', '-2.466061599275311695786285781097638415766959492649774663935E+7390087241', '3.753422874225982326587955793e-5833633172118', 28, 4);
    T('8.08E+184', '1.106437699329423952438319181209579105245709815728689621884E+593833831629620', '7.30271573799141719054653290887797098735487050122471204201366e-593833831629436', 60, 0);
    T('3.7414736806694117E+806189343', '-1.89176147963139055265677E+584807', '-1.977772420547667192646695538449232362706e+805604536', 40, 4);
    T('4.405198127429330959892075618599643043435186603683E+906042791853', '5.447193147657084505011465419895118E+59534', '8.087097350906438e+906042732318', 17, 4);
    T('8.12905217087475080470767E+42429713', '3.030699643625434964044966104350874980118952437591E+487133553', '2.6822361588924985164261070259724626138135467404669986866678e-444703840', 59, 4);
    T('2.26513273062320146556932E+8594861', '-9.57576239365815E+31957724809745', '-2.3654856e-31957716214885', 8, 0);
    T('-5.71244153029940508101717882370847195010679272513099E+108667461', '-7.7275656882195456924193531268E+446', '7.3922e+108667014', 5, 1);
    T('6.711814E+65617211514677', '-7.9231983327473816302821343157897663229E-8918', '-8.471091746195e+65617211523594', 13, 5);
    T('-9.3394200327659356986300010343882140E+130103548854', '-2.7267938990552133222166698942431021208735787917709618154E+738183978764025', '3.425055350168519287115809057422162806229137235699720050041804631792892741374431e-738053875215171', 79, 4);
    T('2.342247729986338670343E+81984587', '5.02E-9754898', '4.6658321314468897815597609561752988047808765e+91739484', 44, 0);
    T('-3.17300915E+401239165598112', '-8.5678391135801306390910883202E-99320632620807', '3.70339487931179913624e+500559798218918', 21, 0);
    T('2.14060591981194548008150098517821481871446706E-44406', '9.6603853324192274818577521523838375275457444306065921771E-406975', '2.2158597676516e+362568', 15, 3);
    T('8.8139985E+23563518925448', '1.847132593523137E+19577087215712', '4.771719437416552049692632547456730025347524483170533326433278256386e+3986431709736', 67, 5);
    T('-5.91806559007038002517163498149463569873783E+105859744288445', '-2.37357168543E-915876802350', '2.49331656018564861852563179507621e+106775621090795', 34, 4);
    T('9.108365509481654061532587331919636264666E-283521', '-4546689989.915063', '-2.00329592069940268946047770856581775873363533698358853461600865806218e-283530', 69, 1);
    T('-6.1026666268488227E-35310', '6.928567980162586552428533E-47056157', '-8.80797683492689e+47020846', 15, 6);
    T('-6.10615285254660876E-478612894', '3.4E-232', '-1.795927309572531988235294117647058823529e-478612662', 40, 6);
    T('-4.2198785810211296913161616867238397781218027759889377E+246593', '-8.539438335394808422355011726237254506803229160E+1992798197', '4.9416348186862687692845195390656053133708471536e-1992551605', 47, 5);
    T('7.160480353957311E+6095833916', '-4.55422310679705E+513', '-1.57227263268470429171781915865724656476507754680782539188075e+6095833403', 60, 2);
    T('-2.04726E+88', '-6.74090649284394631205799197474933239969377266E-957', '3.0370692757321928128121524358335577751569e+1044', 41, 4);
    T('-3E+836', '-1.86473443748263317332394613035335715E+1842432905279866', '1.60880817112487090680596970898118507625208984301052661e-1842432905279030', 55, 4);
    T('-8.49890015078E+12545662360109', '-7.029215186103312213699E+3975', '1.20908236919282826802541e+12545662356134', 24, 6);
    T('7.4108809160854063303882750327310478186769894E-9667', '-4.150645173144809377739432944195555580449258196016006959202E+3712788739610301', '-1.7854768612924871998294406203641846686331013753209124248e-3712788739619968', 56, 2);
    T('4.511797707287618157869170502507E+230755193506', '-6.8235753770280622121957300047236515E+523', '-6.61207278881512855149022304420319673e+230755192982', 36, 5);
    T('2.1445005975120646970E+99', '-5.5244413986730296331267513E+814968566', '-3.88184151618872011763592132902137949695839324981779459103470972e-814968468', 63, 3);
    T('-6.13555860319736891E+338448', '6.15357953901790070372223266512033653757538034189E+910', '-9.97071471050911629242991563969629337389273104565104759947773331805331923e+337537', 72, 2);
    T('-8.2608569652E+91265', '-9.826075408966330368838E+56516', '8.407076702934660245465499974105746023501137270724168882245224189e+34748', 64, 5);
    T('8.700429778424E+6489016536', '6.159598693712455185256393157479395294427809E-41389', '1.41249945184012614397193962507354699962e+6489057925', 39, 2);
    T('70.86323987', '-5.0719152653568463035431642E+90386718139541', '-1.397e-90386718139540', 4, 1);
    T('4.87081105007778459000259492E+304915608285394', '-1.4471623523947801156E-1326285998', '-3.365767e+304916934571392', 7, 6);
    T('-3.551610977678688077885408065274419514E-339347048332', '-1.16246186E+843488317828', '3.0552494665749189206821874270132350957303665859626568e-1182835366160', 53, 3);
    T('-3.185354767375992432295017377474772120233574388065E+6326', '5.80697028291350195E+8358422662747', '-5.485398774553088344161826932151952966418231990104519112724e-8358422656422', 58, 6);
    T('-7.95128600E+750', '-4.598538841910699113873486E-11', '1.729089668120804630045003294715794963607388652187044340031797009e+761', 64, 3);
    T('3.16896657709302432401370E-605578', '-6.418990938850831E+6409028807213479', '-4.936860960362023943454150862701679260002199980288096208022953095378e-6409028807819058', 67, 5);
    T('-9.197876174854022682427837375642433055780E+20125617708', '5.819917580876114240651409993E+480199', '-1.58041347614228583798298e+20125137509', 24, 6);
    T('4.5569784690273258315391838542766416490855054032463984679E-5210538785871853', '-4.34302322546454030464141573940699E-198773954726', '-1.049264126e-5210340011917127', 10, 4);
    T('7.12965029853317613219601E+112', '-8.76891003098220E-9822380135', '-8.13060035208798757126024231857e+9822380246', 30, 5);
    T('9.9384973977188689E+81983645116971', '8.8311402326431210003420207025E+45439713818', '1.12539232034642e+81938205403153', 16, 5);
    T('7.928390632877493263244630834151970290329409449633740E+69030023', '9.0603016425E+9735607', '8.7e+59294415', 2, 3);
    T('4.834086909192110246640473115423176495E+6361266252223', '-7.608677648621E-35431', '-6.35338639963048274380439377109608841956151289e+6361266287653', 45, 4);
    T('9.41049989E+421715750', '9.5559028385832451270997025E+6683248237', '9.84783965362627889766361505995139658401843081873034842057179e-6261532488', 60, 4);
    T('1.3584803990198768213514812164760962743033428E-8', '-2.4181195E+31', '-5.6179208638e-40', 11, 0);
    T('-5.54E-3499416963', '3.67616396260022989309448796687809224916503957784654472E+6569', '-1.507005687548669282469255896807819383404886931707172466425098e-3499423532', 61, 0);
    T('-2.56060641224665093855096937755178117122856E+9815952', '5.0767930715265707428304339597E+222066800200279', '-5.043747846663143882793658260779951935601178431997202149e-222066790384328', 55, 0);
    T('5.43194095069197662E+51', '-9.089139315730099917446748553738441710E+454662456618', '-5.97629848328014886090675294317344126469152653062294e-454662456568', 51, 2);
    T('-2.53389887834001310911160502173645016099331036006E+4753159', '4.109436115312635800510552980628262475861602001260584435E+9941559', '-7e-5188401', 1, 3);
    T('2.22396750701E-6458435635106268', '2.10361788104262703788343436811416152974239460516461E-798891', '1.057210782933506656147841568591562680745203212140805853110366903760713962876046e-6458435634307377', 79, 6);
    T('7.91492919618637088033E+432', '-8554934.306509558697664', '-9.2518877557759856078470839259229529021992459318775443418945207319068121504e+425', 74, 2);
    T('3.752283497205321639256584789143485428770905357016546E+4648', '-0.8952364288262915931111031301', '-4.191388304120721861529777581635425995889239e+4648', 43, 5);
    T('6.196550169128E+4212', '-3.91195955969765491774016410583374571E+75971044170814', '-1.5840015916746631939964601859649075183126386711188964819e-75971044166602', 56, 6);
    T('4.01018390119575725565785E+7936512', '-1.843875671773980933276022419342126186507664179854483E-27155', '-2.174866756248041983035631095293e+7963667', 31, 3);
    T('5.7514374010911E-35026', '-4.404366328382638654690717129E+18309823226302', '-1.3058490080690290147734639844288624466067885818e-18309823261328', 47, 1);
    T('7.44848774526146355841493695451723697919589822E-52', '8.34008333734662932575183984887E-83', '8.930951219524835065158642566528973319850919633e+30', 47, 6);
    T('-6.20842298659765974248614347388233447E-7710850457', '-9.30532104936413373467205568788133E-587241029562461', '6.67190627132838555293362022812939199242729831e+587233318712003', 45, 6);
    T('-6.032740134559441926165711187626', '7.81642491318997653067091E+973302', '-7.718029919764697766e-973303', 19, 6);
    T('-1.8247436204267290604095996125602720066246831392139E+3632035399727571', '5.63561346804940659017E+658999643648', '-3.2378793023544740432834531e+3631376400083922', 26, 4);
    T('-6.9183701040798121411E-327640817', '-4.855357203860167587E+826133', '1.4248941558e-328466950', 11, 4);
    T('-6.2800694015E-19859139454389', '4.1988977308946E-50187222226379', '-1.495647144557148826884901209410682021555500915597782106711664094e+30328082771990', 64, 5);
    T('-7.86659214722626857346060018E+62691999', '-8.211563602156E+3020', '9.57989553312e+62688978', 12, 6);
    T('-1.21906E+653', '-4.3573282929566655131156819921772817036358563087336083857317E+5881561012', '2.7977235545243e-5881560360', 15, 2);
    T('9.6799180296889398191911897996838626350932293773E+29250866125466', '-4.702312076044E+91244833458064', '-2.0585443656543827966688098131e-61993967332598', 29, 4);
    T('9.048972689923314407E-218589328645855', '-2.94856745557024509967038053503421316074294511324610061E+414480', '-3.06893867149912877553235222980375455997806701398634665870017965040704850589e-218589329060335', 75, 3);
    T('-1.244787631E+348760', '0.0002229315614830695503181867121158214715795', '-5.583e+348763', 4, 2);
    T('-6.0781345439829278140296E-40935696729435', '8.4608145248739130540784327964099644338002567297706521827510E-2970', '-7.183864539417388e-40935696726466', 16, 5);
    T('-9.5270493580705365315567870956984738359534638402238347750E+470025654062917', '8.71712761732968881550964373611002332188371625676615E-3723778706978', '-1.092911538788e+473749432769895', 13, 1);
    T('1.96042506453E+869', '-2.282234653737914358E-97068401085', '-8.58994e+97068401953', 6, 6);
    T('-5.393992869304568269023721128271476487903569E+5776755', '-1.8178606266215526886397920829579818099389288045245E+33311', '2.967220253475e+5743444', 13, 0);
    T('5.384407056938345867338281146E+7290176717', '5.514103E+24778781874', '9.76479230971627818221437131e-17488605158', 27, 4);
    T('3.7160352978E+77291', '-4.10288309309018E-943619005792', '-9.057131810697494775854998976719173166136192651170389598697116537e+943619083082', 64, 0);
    T('2.3970639387212980878978956221002677E+315177268954', '-2.61892153270244965790138E-47828', '-9.152866585688735662e+315177316781', 19, 2);
    T('3.61834414453042945523149999108701523100908712340221E-41767', '1.27345719E+6723', '2.841355149544076511305024702940359723446288071452335198e-48490', 55, 4);
    T('2.33613443904036567303485E+57', '-6.539614809323218995600594E-265', '-3.572e+321', 4, 2);
    T('3.6235E+6', '2.08752865378830606381E+47', '1.73578455722000118964389474466e-41', 30, 6);
    T('-9.834323205152910925721521130948809971671518E+62151', '-1.090966223493023553991600251049661448E+52617167', '9.014324177393562424664121418603370070400795190199349e-52555016', 52, 4);
    T('2.070104414444961058060387366521632259344607E-7765375625', '561915164.1342460373502867039007315', '4e-7765375634', 1, 0);
    T('-7.6050883568018827350728366769613211348435E-89198613200', '4.5355390547647E-5015978827', '-1.676777173556149304067804705125282088869473724664243e-84182634373', 52, 0);
    T('-2.495804181003418637621589723725640001386302325322E+507045969', '-7.541189746529103578628328924E+94982223771706', '3.3095629004059122638492455869280176186e-94981716725738', 38, 4);
    T('8.3028780894859720345185E+7886148428', '2.36429998026260087E+39544743106', '3.511770147105e-31658594678', 13, 6);
    T('2.11114989512747274615678214092617673347564643339E-1404937087117506', '-3.963036288393283007620102459364E+4215896563027', '-5.32710210428931e-1409152983680534', 15, 0);
    T('0.0895098880391060737464', '-1.6132327741601051512472388024163E+74946690554869', '-5.548e-74946690554871', 4, 6);
    T('7.26735252619662200172966969084386983E-658131694164997', '1.9960891538097774470099278E+876712574363370', '3.640795559e-1534844268528367', 10, 5);
    T('6734038.44132438511014326905345568749720433580801428', '-2.039354978780014648239607657913885205068082058492577386E+1200191859065675', '-3.30204329869e-1200191859065669', 12, 0);
    T('-406495.669613248411745200908043297271123687435190625036867', '-9.492925223544040599845547E+378914489', '4.282090715357909227e-378914485', 20, 0);
    T('3.2893718861952E-356', '-1.186905784287571981079053245704321912842644212680144492111E+135852', '-2.77138e-136208', 6, 6);
    T('1.8193888900126769033869011782889698527160973E+30633050', '-2.4608513E+2287589296770625', '-7.393331283416746486823081013830335269408994e-2287589266137576', 43, 0);
    T('8.286341951110055E-8508', '-1.5033402661079678149105615992E-322061', '-5.511953705971540445972515879256007301186879595667045673476974549491710866857e+313553', 76, 1);
    T('3.16931994638550121602424551973578149740653662525186233765', '-1.42976835673452242E+6825', '-2.2166667288846542397462e-6825', 23, 5);
    T('5.1294290841634965E+461967191483241', '4.1355190179878922632463175489E+592462', '1.2403350249031581529938691739409839547389994944505871907312800016942239550709e+461967190890779', 77, 3);
    T('4.343785747686362943108800566216261089571846838705830703658E-4597', '-1.765693343044005489632934E+6829588689071473', '-2.4601e-6829588689076070', 6, 6);
    T('-8.210549350430329E-36', '7.27997276455167121007375257694153806357208343439E-1477', '-1.1278269323217675916420890364e+1441', 29, 0);
    T('5.106066224062229980891646030117013952267810137E+6312730054013', '-9.902363182691420997303135165338080591278426797430E+463967887172969', '-5.156411787629892287282072156288697074035128898647418994525270851644415333936e-457655157118957', 77, 2);
    T('6.248456890004905411798202178853855202011100E+16484525716438', '5.383980E+91591129', '1.16056465477303136560652197423724738985120672810820248217861136185498460246881e+16484434125309', 78, 4);
    T('6.171E-7', '-8.86488582111348453087700E+173490139', '-6.961172568407524286456394159055070354542655808810388133215807845119195e-173490147', 70, 2);
    T('-2.9494833144839992824735963252391E-812', '-5.647626975810399727423988222927554264791436E+1453530871875648', '5.22251793030428779647764843723926693367544512017435880440164356e-1453530871876461', 63, 6);
    T('1.94320232775598914139804626222566326542779455403314E+716560445', '4.42445072242478919568683485E+117129695273', '4.39196286650251295090193447152740192e-116413134829', 36, 1);
    T('-1.47199252038705343455E+774125227096144', '2047.5227989265949956713974801268878672813758123', '-7.1891386076811e+774125227096140', 14, 1);
    T('1.7560170277162730401720E-714110132020596', '-4.5546314491826862470183224448506364174441584394350E+80', '-3.8554536131159076907754e-714110132020677', 24, 5);
    T('-4.8022779742E+407870442043095', '-5.3679534865689E+615999464879', '8.94619893077637361410648427718787075471835046516286643e+407254442578215', 54, 4);
    T('-8.020893649938082453401274936957244317434970E-314543010', '1.582291094533403895635319442070192799738E+31129625778', '-5.06916437667453e-31444168788', 15, 2);
    T('5.41141229240858004872523601E+195381', '-3.250756351880904833260203537255149317E-9650738993', '-1.664662529776342127493423681154143611654161844581022e+9650934374', 52, 5);
    T('1.23148052570635958058809405094842410535928657379054350109E-9', '6.563703501051030472227756974921304270572864490E+43852963112', '1.87619767637152636100816479656471809493e-43852963122', 39, 0);
    T('-5.51259671114361250965468208863777016089024089519966334E+471755633600', '5.188206160900198493647345790715717E-3335195144541', '-1.0625246068068986408866747034e+3806950778141', 29, 1);
    T('8.110780517247329414061312933709532E-273191025', '-7.9279441382983627515551168820420461E+1527956054764791', '-1.023062268825245567153161491062719644833555368856388269367958e-1527956327955816', 61, 0);
    T('3.0234847754698950798573922503653184260911493907E+75128', '5.75663468219328824193960516770607746554681345802448376E+47792', '5.252174130177636881e+27335', 19, 3);
    T('3.8005383578437E+8604', '-9.5048636843182633677055598748595E+64903464', '-3.9985195833098302108778755901686788883845e-64894861', 41, 0);
    T('-1.884851983662181576185631E+67452641369', '7.3783010430120699146310547975E+436', '-2.5545880721e+67452640932', 11, 4);
    T('-7.649413526581E-7447', '2.29980193385729821015398465513427948070163290384E+96', '-3.326118399140211806082023884009678562212989233600877379e-7543', 55, 1);
    T('3.222517997608423E-181211921193920', '-7.621497305912368919673548865270E+372492', '-4.2e-181211921566413', 2, 4);
    T('6.0873851470791578441006622061644530681412765562697266E+4912228936959', '-9.50759509826046375059356665073318E+7787083335684473', '-6.40265501861025076029196651270582549e-7782171106747515', 36, 4);
    T('-7.84477404086334242796660789535822E+3760752', '6.6278975421135663163E+88232225217', '-1.1835991716857e-88228464465', 14, 4);
    T('-5.953732590115277272130E+63', '2.6077917548957637846286000085478075067391241E+6408083', '-2.3e-6408020', 2, 4);
    T('3.788735808497210908685071011026E+5542384983429', '5.113300027922850574363301647193140492162025360E+391867298086', '7.409570703475e+5150517685342', 13, 2);
    T('4.893563271216371469547167185093167145516E-17349360', '2.8335379267929E+7448594359642', '1.7270152712425777007153873281863870605545632988595779819938928948985743427e-7448611709002', 74, 3);
    T('2.7189069815308020843569389405382819288551443698817945E-6752447469675', '-3.3318935589336924863144199157950142630135579067E+591554868926', '-8.16024561841325809339578048447139563e-7344002338602', 36, 4);
    T('8.34510171865853189E+6573055701', '-2.21503930329967817721462953E+3581490038', '-3.7674734286778e+2991565663', 14, 5);
    T('-1.452E+92', '7.456702225272939212515337979116922462780595041E+541', '-1.947241496487211736468609240048e-450', 31, 6);
    T('-8.799474185900754410169221650562E-9491807908471', '9.746204996114907911102928260387922969885128E+94', '-9.028615947857093965743768886580691107903386158051471528269e-9491807908566', 58, 2);
    T('-2.28930088234593966122183487265053733316460614E+906063212877', '-3.8729212285386954015219811583744378533501013037143210767E+3151', '5.911044266732280733992970864345955673e+906063209725', 37, 2);
    T('6.17843570736897E+264802423', '4.34248418428913197685446257932748460509245614E-2507464', '1.4227883039211079381197539324732156246552956344602e+267309887', 50, 5);
    T('2.9836724664950718771101E+28425775', '5.01139505504856E+91', '5.95377621145487669e+28425683', 19, 2);
    T('100679.30295069564315109905991384', '-5.464614562047267378013171231880513453148625196561636145E+5913782302446357', '-1.842386170287865135537929016291195e-5913782302446353', 34, 3);
    T('-2.89389170764E+365183', '5.762051213794511824844350062344520421403303694E+40102631455', '-5.0223290287874e-40102266273', 14, 6);
    T('-1.91287753331490252475881E-79087894741199', '0.003831615', '-4.992353180877782670646215760195113548726e-79087894741197', 40, 0);
    T('-17658033.000209081668901835899260816111', '-6.468453860027663675309809E-784349938', '2.72986920558069242431921828519431356364632312612792312e+784349944', 54, 1);
    T('-8.0657698585530407743905987628605384082799469235851E-42181540379585', '1.44633722592162425745198572150897122908008E+90320179', '-5.5766868984606483128819328191819583724e-42181630699764', 38, 3);
    T('-4.045779844407410603154367666288871613E+924344030367548', '-2.78078410E-5476636', '1.4549061339955916042365056914302953663321075519670872686592245691e+924344035844184', 65, 0);
    T('1.32099E+66956', '-2.79448674E+8528774', '-4.727129247355097487419102944106294095351477674215051025792307033813300541909e-8461819', 76, 1);
    T('-3.22690844007622410171622599964454483626035276343541897E-890540991', '5.77895436196685692836E+965439447016', '-5.58389673625654227077323521565204116688e-966329988008', 39, 1);
    T('-8.43E+25285097579850', '1.8480366940254676455057903081523781454704169E+10439', '-4.561597736264335693927949867695584508621509559397365447621396588535987842e+25285097569411', 73, 3);
    T('-7.41008775283856040335652908544972370463794084E+63164478415958', '-1.36458211848241763776265407343194904102E+2745485', '5.43029814950197727691963898139166356745092294407755325302462178e+63164475670473', 63, 1);
    T('4.3607232387567935215619972583253004015683255224582E+844', '-3.241933533072860443393132285774343716925969755234756E+44198120746', '-1.34509951986075742106741493e-44198119902', 27, 1);
    T('-3.919631793355562903036179541634263357914616E+63790084942', '0.0000228431032039670678128275893683941292', '-1.715892870752716542143817e+63790084947', 25, 5);
    T('-5.2065284367877499791534029889753917443518E+971415362369', '-3.57146E+51919644702432', '1.45781513352739495308736567e-50948229340063', 27, 2);
    T('5.67317908169649992626728342465264620812331906345229855851390E+62998316391879', '8.863282754755565476081906087394E+999705343837386', '6.4007651e-936707027445508', 8, 4);
    T('-8.48334546973811177295780889440139615391E+47755865396', '-4E+63075230', '2.120836367434527943239452223600349038e+47692790166', 37, 1);
    T('9.049562581691E+410896', '4.6988136002503100036821591984846E+4768628', '1.92592499970820755822949e-4357732', 24, 2);
    T('9.979218906E-804342659256332', '-9.25153957895753E+69832610', '-1.07865494395090351215040668769548024348633952333231053e-804342729088942', 54, 1);
    T('7.302974829611891282851E-457072757625', '-7.659528502E+5018472574', '-9.5344965786144564474537939385031875164370267656979077066e-462091230200', 56, 3);
    T('4.5653577553547597596823948641389842978985504082415E-33922', '-8.4868097953648932156021129587138E-796152589687241', '-5.3793567493973e+796152589653318', 14, 4);
    T('6.22815351331071853763888938940025E+744', '-4.690206567342927296251580978214584152697049283E+7997715798', '-1.328e-7997715054', 5, 0);
    T('9.5666679518105005517309E-84', '-1.4391343641062705273942739314540E-1672495954546146', '-6.6475154720883765768034098385458806432809338247746326496627675576751273789027e+1672495954546062', 77, 6);
    T('-1.2164764938157907585374126053942903678775220124224891E+739419', '-1.879936454672271350832755742742528863144105822852573176734E-10245456', '6.4708383668630899028583088103748503913547888793e+10984874', 47, 3);
    T('-3.14721018449343990778227663452930993049098970177388', '7307829499.880084217533229075515087', '-4.306627822317260100680934919513260056740642242074583528146e-10', 58, 1);
    T('7.90040550E+332038332182305', '569.24531121973399900319483319780070172297570239441066344807', '1.387873618681484369145874804755781846691633452165976111e+332038332182303', 55, 2);
    T('8.4715394547500153600103245167601183854837696544852965E+39824910545406', '-9.7357257177487991581489824634288817630E+451989140632', '-8.7014976596001486838065687323e+39372921404773', 29, 0);
    T('-7.6357145603991608651808706117300456E+948072', '-7.367144213971490323779862744702599718970155237E-8', '1.03645514986910908676835802010994931105e+948080', 39, 5);
    T('-7.9394263855346175878829E+905945478416284', '4.56040243974417569521388183168969644135587126725913829472E+577548708457', '-1.7409486312747421828734e+905367929707827', 23, 1);
    T('1.73841003471368E+462851041', '-1.8493777976151873087609152020621002750613811519E+77117846919307', '-9.399972449952613033391417e-77117384068267', 25, 4);
    T('-4.25977345955536425628530962695784445216023130559610664E+87237197592', '3.7831186E+791436', '-1.12599521980499481467097e+87236406156', 24, 6);
    T('6.0099695160150726405E+959080592960551', '4.902370896271835088248715951709507693335411057091776305333E-20879584084', '1.22593121638053668799936942158241453e+959101472544635', 36, 3);
    T('-6.0668372E+9', '-5.77085061525249904938E+56918333085995', '1.05128994050984462875383362851234678767888299817273737318205377531491223951166e-56918333085986', 78, 3);
    T('2.9898366163993271553901637230222086655228401330475843301658E+599', '1.306974153731821127296620601668045553251399989212765311168E+759', '2.28760195e-160', 9, 2);
    T('-4.7183942874422150699712E-2925489231551', '-2.9915040649E+781', '1.5772648758208996642474192882e-2925489232332', 29, 6);
    T('1.5E+90034', '6.90924245334430541646380919750875239967549E+3146492705806', '2.1710050126753760358980685618570287533987414533864946302667413e-3146492615773', 62, 4);
    T('-7.56783536373951050887467105570792893150458E-715887303', '6.5811099562957102035891983E+727592660', '-1.1499329769592841603244150778606688e-1443479963', 35, 3);
    T('8.574264775255014966278437762928608004831137E+778', '-1.819165240603520331526374170326569E+54752', '-4.71329628770306e-53974', 15, 3);
    T('-5.329463272000216560054840427781626678631918788589164E+4480760591', '-1.48028934945351646041381230977E+390497057440', '3.600284818618544375295220688e-386016296849', 28, 6);
    T('6.792574574067208988608590341999834E+41432192508703', '-5.287287939796977488781587123510511633024840690679E+5164246', '-1.28469919766239019051387032572410058013963164355594461895438957823e+41432187344457', 66, 2);
    T('8.8645898315724930373354409378038401787124171705627175329E-22085', '6.248733203150091164100590571145238909308343E-8031695246789439', '1.4186219099742816181567734e+8031695246767354', 26, 3);
    T('9.73404306530279333227900236109333842335E+4331', '-5.298951205763592E+73343364', '-1.83697541028783517639251288842193192489571531308e-73339033', 48, 1);
    T('-2.78054717361164619790391372629304368621917538769E-40', '1.35996042953561219404440599E+63610', '-2.0445794695373041e-63650', 17, 3);
    T('-7.338861848089035E+6967321310034', '-44712310.72539574147695454423854184705335096288', '1.641351505e+6967321310027', 10, 0);
    T('5.359924080166359923759248786173139899773757817E+6851336333382', '9.43932632490910284858443640086E+564', '5.6782e+6851336332817', 5, 1);
    T('-9.94804689038433958542098231910E+288617295558', '9.3033283784222966835243814313155466172709528819E+5429', '-1.0692997694736190079561746511547e+288617290129', 32, 2);
    T('-4.68196353E+7257912457', '-6.127439927E+7959', '7.64097826462460886074e+7257904497', 21, 0);
    T('5.2822787354426920867299686309009117626544000648E-94091477', '7.597343917981E+77898', '7e-94169376', 1, 2);
    T('2.3218365417311053274043529399620740295831502171124819E+3460174', '8.269012257405089591003E+5588797945', '2.8078765267905457550489e-5585337772', 23, 1);
    T('6.35960615076831254705774222494025975905984391580096960445E+515112', '-4.646281452005844422085783E+46819', '-1.36875181076747069685371641703382256259885478695482351925995601e+468293', 63, 6);
    T('4.0863434003031440005935710276199895837120164761E+9007680305', '-1444269455339.2765739671584654089', '-2.8293497e+9007680293', 8, 1);
    T('5.7169977296376291838298839261473524699869239967675231701114E+302577', '-9.11216477843E-6170236', '-6.2740280368620063361246842168266056005504995664202108536e+6472812', 56, 2);
    T('5.092231956721936911865449869648277E-8563521659', '6.568509681826039879948891534932155E+127652283', '7.752492122849853109045129037561803654618295547211e-8691173943', 49, 3);
    T('-9.71049842475376011743833055414246176884747666864121490833054E+85779035', '-1.6430904757759729370190362479873841075762490E+2598954816944971', '5.909898796149882489644789430956e-2598954731165936', 31, 2);
    T('-8.040587101746324212845909E+655927120', '-1.2530981431950874E+185050', '6.4165661288467275382764140973188353790663317860091465352447810835356790525e+655742070', 74, 0);
    T('-6.111295497640230E+144941635199', '4.9166129359013345729048479574E+73406532169265', '-1.24298893919740320077953392111197088677176426955255768915521823652384738564709e-73261590534066', 79, 2);
    T('7.4678749744630978615858786210682707731587667E-89', '-9.9571751E+89429658', '-7.499993622150019096868025e-89429748', 25, 5);
    T('-8.57494973561851273085303659626431870442407253E-30138709073', '1.982674534057E+23', '-4.32494067398557261765680143499431310223778598407742811050176458145e-30138709096', 66, 0);
    T('-8.71591932906924668660555937901008433313876594011850617329E-418684408114111', '9.2416E-69446', '-9.43118002193261630735539233358e-418684408044666', 30, 1);
    T('4.51894088E+698', '-9.158179735377257093622756628113130831005730E+9122369820949', '-4.9343221148452915769243713530030451293702384758096454608779594307065e-9122369820252', 68, 4);
    T('-8.0586E+9644', '5856539.393067269', '-1.376000306518801868047263507433958897835834128e+9638', 46, 5);
    T('8.9527E+6926', '-3.44802637662426E+70636682569652', '-2.5964708566890403343606266198e-70636682562726', 29, 0);
    T('-2.6269675307552849804742634241440327E+417557', '-8.620933043037047388258288080038968739E+7897751167682614', '3.04719630420634495817200389602861074447182753090451802494125661823617e-7897751167265058', 69, 0);
    T('-6.715013751376105179644426828497023244421664264620510643586E-892', '-432898561848.165114029000885788520658599491166407260106881174', '1.551174880948514167469880525443894991354547122868617338141463e-903', 61, 3);
    T('-6.4691478541742680958E+4956251647294', '1.416851320434689648E+855226', '-4.56586217683697049690028417471215708151678325e+4956250792068', 45, 3);
    T('8.36816928668233113553632745378141989262356123672320494E-8', '9.21208764684222635E+87544', '9.083901073771070209620103449413e-87553', 31, 2);
    T('8.243556803863788503028484497962290467599040928974E+876693', '-7.756514E+449772088993', '-1.0627914555254832909511263046727293301603066698485943556602875982690162101e-449771212300', 74, 5);
    T('-1.5061659E+4362715157454', '5.8381599896943587594558939664873960705422320902474938E-22187019007', '-2.579864037057421e+4384902176460', 17, 2);
    T('7.957411348076323556270591090104201597874275828751E+96617', '8.4122109954729723031183644256088182863E-9761214887398', '9.4593577745001890944700383542255662168538318646153492856e+9761214984014', 56, 0);
    T('9.686166536131373980712241466295841723787418394002553359E-59544139', '8.0995408374928956107018E-993533417441', '1.19589082029119037140205e+993473873302', 24, 4);
    T('-1.008335368836844817078072858964112452014E+609718', '4.09668800291986572560917127992606402570620534461341666738E+817968485', '-2.4613428411393929853e-817358768', 20, 4);
    T('1.55333883128699190295411816720479827078623594394809570799373E+454403883435', '-3.222043274274802E-833', '-4.82097445335090357e+454403884267', 18, 3);
    T('-6.27392053784E+780', '-9.468633228337546E+405456983028', '6.62600439423878999579962116493100909814459206793532857769244893809e-405456982249', 66, 6);
    T('-4.3371E+101', '-8.663074603891759442345063521364062891649855591516269E+56996392112', '5.00642115912475383527461734e-56996392012', 27, 5);
    T('-3.9125993E+64275041', '5.97E-628', '-6.553767671691792294807370184e+64275668', 28, 4);
    T('-9.76401934808542227293487919173115981332991813096683465461255E+63', '-6.242417859104925533871831470831E+945758', '1.5641406212248413316610442216436744143e-945695', 38, 6);
    T('4.590192017863216876407432E-5859731098827', '5.346918E-39121670597', '8.584743618404503e-5820609428231', 17, 1);
    T('-5.66236341400456816675928529332404255018207750E+80319259', '3.220611969120950E+880016', '-1.758163811193337291418186103104e+79439243', 31, 2);
    T('1.162623118E+15', '3.560E+580928919590560', '3.26579527528089888e-580928919590546', 18, 2);
    T('-1.579547405323474190345525764955687458986325E-34656585762', '-0.000467', '3.38232849105668991508677893994793888434e-34656585759', 40, 2);
    T('-6.70863597287224922929197836275694479318526E-545828744271', '-9.45552890900913213914950529172432448127E+267225966', '7.0949346540311762439985707774181376443777427121508262588582901184e-546095970238', 65, 6);
    T('-4.4222625048067841669E+197322926', '-6.2964590028132969600362983034546782215223533990480727E+651557', '7.023411893622891587094895365063829641798972373807234794434661e+196671368', 61, 0);
    T('-2E+58', '7.86171296133677770E+13774853', '-2.5439748434416602205642213330277410057138797321577755738324e-13774796', 59, 0);
    T('4.2897E+16402037', '-0.00000463293347029764730404944260080484529392287529134855286404852', '-9.2591444006305e+16402042', 14, 6);
    T('7.99153474307005821051E+3547264358017', '4.36696866346370322363501058625160E+239041663476038', '1.83e-235494399118021', 3, 2);
    T('8.5536916027722909982902921909E-41377709516', '1.912056804110970226814229218802005210720110074049983587E+4029488820751', '4.473555170736370845982308588236474667258380677722281672516442e-4070866530267', 61, 6);
    T('6.430530009525714402205210468365125156535073389122E+6068', '1.053934265E-30351182', '6.101452645650262070381790337146999539421059992884850365881215561e+30357250', 64, 1);
    T('-8.63546323471904412444686511757733429291140820E+280096040', '-0.00000449048952035587629525882242482982353', '1.92305609345563600075676595489915402066518182300548e+280096046', 51, 4);
    T('-3.959477491633693497363181584E+8220', '9.66596834810975408778910739996024616900475025333360423935728E+855193992928', '-4.096307114856212285512932228720608846630930405416072712e-855193984709', 56, 3);
    T('-2.802295591793345E+99', '-4.3E+77', '6.51696649254266279069767441860465116279069767441860465116279069767e+21', 66, 4);
    T('-6.00011171310825095829658600291684300192668252034E+656970545', '-119967199312803771342858730493391373115036158863202.97076', '5.00146018868332073493147121570645029318234e+656970495', 42, 2);
    T('-2.086286E-953', '4.40586842099390058713949228083592319867149260674E+917', '-4.7352435448568476905441239498053228e-1871', 35, 1);
    T('52691853.5', '4.7213717112601E+396547', '1.1160284917693321158e-396540', 20, 1);
    T('4.1100682291337854575007751853637632629264368363566538275E+993680919317377', '9.18E+56', '4.47719850668168350490280521282e+993680919317320', 30, 2);
    T('-4.50850529149614012917047187904890210623158197370878040791378E-8509878', '3.58666344340119122424693E+6203716', '-1.2570193336068290263e-14713594', 20, 5);
    T('4.2480003725619948811963451767403374828902946886E+247403291562145', '8.0973599867968795466683933697068039802087E+500', '5.2461547708000585583025692074537010599271858705174499063341222318229319662515e+247403291561644', 77, 2);
    T('-4.7012230997181370797254345628358434064E+180', '1.74E+1168210', '-2.70185235615984889639392790967577207264367816091e-1168030', 48, 1);
    T('1.659332E+18706775156500', '4.7177242547667736535152E-583898518612', '3.5172297285569758e+19290673675111', 17, 0);
    T('-7.82784396531667484778154E-11189018138', '-7E-79572518', '1.1182634236166678353973628571428571428571428571e-11109445620', 47, 4);
    T('5.9812715573818E+1591', '-7.4526105307443543452352873064159177558E+731982', '-8.02574015200067156120782618e-730392', 27, 3);
    T('-1.5722606097368530124788866953287954576635839157462039460E+5319', '6.03234243145151033922245859530585737642545558599002E+35638443', '-2.60638487885e-35633125', 12, 4);
    T('-5.46319166199776092E-6092038', '-6.617039726189E+637', '8.256247337273e-6092676', 15, 6);
    T('1.0780190396692862522404662180E+430096573', '-8.680476572115919870861487475202957E+423916634', '-1.241889233515335024491705163568940194377816889551385964378406e+6179938', 61, 4);
    T('-2.22691926906861396728890728E+10965', '-7.132811318761236426566662200770129018862837269E+7422293409289701', '3.12207791507285462129706624e-7422293409278737', 27, 0);
    T('85.65773519799556148406142812981710584112712905786246', '8.50553119374066563488991634795153569374990E+435753', '1.00708272354620527973697439730826839172346773318582578132489913605355837404665e-435752', 78, 1);
    T('-4.87440469989716716937600309203E+461641145272831', '-4.2285648765130968456466E+6045801155739629', '1.152732627320272830650086821857934937931473847421408040807264454764742012e-5584160010466798', 73, 3);
    T('-5.7312668801E+9510161273627', '-7.6773460652209738922698981891E+6332565', '7.4651667795244023613366387836677956823599638646503241e+9510154941061', 53, 6);
    T('6.329339041926172275682153844686992429642860838E+28536278', '-2.482608846274102954051E+1276913', '-2.549470912998e+27259365', 13, 5);
    T('4.3196405705877991224095E-934985990', '9.015447778', '4.79137662039241987211419905137849937196985225551821e-934985991', 51, 3);
    T('6.42623704245012E+339911296', '-6.01823120E+9857870', '-1.06779497644592318088411093279367532e+330053426', 36, 4);
    T('3.705936147048559566851619797059982E+34118981622536', '-5.457895E+69383734', '-6.7900466151301181e+34118912238801', 17, 4);
    T('6.6990931680884E+32143773277352', '-6.08498455441E+455152799444447', '-1.1009219675394794754e-423009026167095', 20, 1);
    T('-9.219063901961402790020617984186512378422E+6357701672615486', '-9.2220204238583081266265926193958478168721780981595721263E+5622003', '9.996794062731354928810418095747183029e+6357701666993482', 37, 2);
    T('-3.827495780387476407281926090743100463964781440471E+4380166899', '-6E+89554114992979', '6.379159633979127345469876817905167439941302400785e-89549734826081', 62, 4);
    T('3.66255225339941564849E+6144370906', '8.4686124050402914753854689109452165627851353035153134885E+357456', '4.32485521620940233447965694692664279898427888964355817766048537033580257301e+6144013449', 75, 3);
    T('6.029993335173205982008108471343553408600385560625429185E+6223472', '-6.25898185483573034285618851281742162145317188E-145030445', '-9.634144138817711490975193e+151253916', 25, 5);
    T('4.11919314956709417859574493956E+675', '-6.6554894912693090463741399661184181268207964942372836009E+409080767601', '-6.189166334002426163953554375944443487357507105503214245676782e-409080766927', 61, 0);
    T('198.701', '9.88501116351323752310217181900554869203966E+915', '2.0101e-914', 5, 5);
    T('-8.499441071182456398606E+577310', '-2.85264075197356783923440327387210718130354850719617345E-58521049', '2.97949928160502244785233437120947304308e+59098359', 39, 2);
    T('-9.31735367756659E+118511', '7.23710748365092849470731E+2514412703', '-1.287441660720815017604391791108313720967592875663555647742147034054823666e-2514294192', 73, 5);
    T('9.0359187466189424309054570526E+215891359', '1.3156389E+24638', '6.868084203514309611022794364471892705513648159840819544025340083817831777397e+215866721', 76, 4);
    T('4.74873883463901557758985288278E-4375885454784', '-7.73943841E+16', '-6.1357666837e-4375885454801', 11, 6);
    T('31.1492639982891922940933682', '9.9421217820640604182804037584310136568448095677236661095602E-779767600', '3.1330599927355111491090697841737150219098448126608912825949604155984493822e+779767600', 74, 0);
    T('1.471196222112307712031E+1107741709284081', '-1.9990E+5', '-7.35966094103205458744872436218109054527263631815907953976988494247e+1107741709284075', 66, 2);
    T('-6.54946656150599351029380981974523488101614892E+16915', '-4.55806154600723320328506207825432119399751445740E-4616394305623', '1.5e+4616394322538', 2, 0);
    T('-9.776803336669137022744434976486505E-982768', '-1.0187E-531226096269950', '9.59733320572213313315444682093502e+531226095287182', 34, 5);
    T('7.66377377732840494893407106687564871E+9416354610', '9.989395001323433059476337854482069036825E+22696042', '7.671909836694893973272352891905552482264251421249e+9393658567', 49, 0);
    T('5.010265518438455698998459981034208778067876099881E+406304386', '3.42885E+966472', '1.46120871966940977266385522289811708825637636521e+405337914', 48, 1);
    T('4.58700482769686300704990301137242777073E-3668251441', '-5.29109366251872390343989E+61985962', '-8.6692943279203020611074023496919226875360309575901589280030742779435e-3730237404', 68, 3);
    T('8.938553768410644151171653565922608818986903590315383E-97611213', '7.2182253190717515292960731E+968759145', '1.23833122038924149471173538331595138378398490765111765438322616e-1066370358', 63, 2);
    T('4E+542989456256772', '-5.95123881158848585149141573531241135775847E-6098757', '-6.72128967873217079681577482538e+542989462355528', 31, 6);
    T('-2.666962263984894745490322705298725218033034333268269245127E+322936436655509', '-8.427E+46326960', '3.164782560798498570654233660019847179343816700211545324702741189035243859e+322936390328548', 73, 6);
    T('-9.9824E+22088308923654', '8.6296314863493257972997002846244641076212565294720646352662E-1712913', '-1.1567e+22088310636567', 5, 1);
    T('4.88641790788639400233294433060E+2212070', '-4.6625716831710860778302664125479351E+125038543', '-1.04801e-122826473', 6, 0);
    T('1.693242923015270422637073483990922E+993650435698879', '-2.360364616524652394691791747637548224657E+661913267848086', '-7.17365e+331737167850792', 6, 3);
    T('-5.25352645406500E+73192279996746', '-7E+1', '7.5e+73192279996744', 3, 1);
    T('-5.45987739545E+306445899163441', '2.922444266E+71540251', '-1.8682571500065007569933927355862190461359511860062962788e+306445827623190', 56, 2);
    T('4.830485139712179620265180642326319976081E+790488078133', '9.108953924411621508168451E+327351600339669', '5.30300754597811535035574720771024280458559762244377e-326561112261537', 51, 3);
    T('6.9480900286081009817003538391874001E+701072551170', '9.6508161260733543874421937326027347693231E+827614184174', '7.1994844144182066916611224215e-126541633005', 29, 2);
    T('-9.4328771488746182549219223956446E+41537696297', '3657033.585071516600', '-2.57937941488446839327000488111472084523e+41537696291', 39, 6);
    T('-5.50056172717900166620E+65459661', '6.797817314086301491E-9142612346956', '-8.09165865016826406227065480838314944520885000406e+9142677806616', 48, 4);
    T('-6.12318941E-2004', '-4.47596324981871240783256318114671E+3363368285912', '1.36801601537903697700702900779982567037281956607e-3363368287916', 49, 3);
    T('2.74315164159273844790460099201794876018748984326E+4287615689060', '4.685714092021042268850835835418005894E+453571371353', '5.854287281983016259569192321573308747330531620214944116586104252377925e+3834044317706', 70, 4);
    T('-2.23821906128482746E+2763020198907', '8.015993268318133857E-8873040580', '-2.79219179253931277821972898914060964543090316604388450052687189863853409997e+2771893239486', 75, 4);
    T('5.19657806410426098516872659187E-8', '-9.25827957E+7435465022427645', '-5.612898190008169071922642958026379840677e-7435465022427654', 40, 5);
    T('3.242254287993416859975231011656775063714E-3595723073627', '631132.5832570104780945683093066505553013718', '5.1371999703477559793941935e-3595723073633', 26, 0);
    T('-2.743595E+39559066318', '-6.90632850159461719645577349369E-93786010', '3.9725810890207805610654719587e+39652852327', 29, 6);
    T('-2.04555093E+326444487', '7.4425790973003571453563540957761312501533E+8330844873', '-2.74844365542e-8004400387', 12, 1);
    T('-1.420826485059726179515464636154609162104118827589E+88942213', '9.33563138071923464986588229385512135991E-66994333757976', '-1.522e+66994422700188', 4, 3);
    T('398466.1641560907699994223920808909744325621727830302', '7.581359105932264577055130177309605E+81861936277413', '5.2558671682534972358e-81861936277409', 20, 1);
    T('5.84161756471473993824234087247941744266E+788613797840221', '-3.99872271401443972283171008771453765594201084918410E+506443758953', '-1.4608708786537e+788107354081268', 14, 6);
    T('-489904292536.955', '4.620376E+954262589216', '-1.060312607755202174022200790585008665961384960877642858503290641281142487104946e-954262589205', 79, 4);
    T('-2.83541304540944834984226', '3.23961609767038180636675253299620062E+2523', '-8.752312e-2524', 7, 3);
    T('3.078066090355688E+547298062019672', '6.07538346476430841E+237190', '5.06645565371748941754891590067397957923074610709472731642091773079e+547298061782481', 66, 1);
    T('-6.93977847210777242121752482037942E+322238', '2.76505562660407880820424625194108221094560143E+560091315832', '-2.5098151e-560090993594', 8, 5);
    T('-5.45E-9229', '-2.7256626535521749035407307E-64260', '1.999513767009053e+55031', 16, 0);
    T('3.884089E+50312686', '9.38E+79574461281', '4.140819829e-79524148596', 10, 1);
    T('-3.113678513589134898787572910893341870300158677444647667769E+51287', '8.278788922675168259635E+76621', '-3.76103140528312408633942e-25335', 24, 5);
    T('-8E-915', '5.287732542586535962953152326159631274903017417260629232068E-69454262904739', '-1.512935825624557227961054043408067833562821483204e+69454262903824', 49, 3);
    T('-5.0888556792720204470072E+922', '7.760143249935418408818228513712844126586361801095557124E-3708162922', '-6.55768265529682200781746819755698101728726e+3708163843', 42, 6);
    T('9.136E+41514', '8.8371520409744210481095260388242788E+470', '1.0338172250109467094843772304666973319e+41044', 38, 2);
    T('-8.667495123842738949861326380377332640549738886292055290E+34695549714512', '-1.36421712503840411887364667866889599039621143995347E+7712757457824160', '6.3534572061604490004164941000907873058891690218440752095530195795816603065547e-7678061908109648', 77, 1);
    T('0.0000797071966', '-8.01159402548675741453817066495089235416669315386187371504813E+6390254', '-9.94898098261503705432863292082789981826012802915419023199768676082532019e-6390260', 72, 3);
    T('-9.12908285462233E+5713950743', '-956865704.65147779734039443967496', '9.540610359682025114771389005900646018e+5713950734', 38, 5);
    T('-9.94641192113192537885527529868E+290', '-5.8620251704919169273284709267515434025927454869861860522E+59877', '1.696753533437534454368942499411517411172324829929900630989315273884861744236e-59587', 76, 1);
    T('8.69562915716455907094411437382012408981375299E-28001', '-9.85657748336446394E-7137', '-8.8221587785828226072996681574834763646902446431291465512239668e-20865', 62, 1);
    T('-74414720341389494078.06157', '-7.71306377092515228898538994E+34279210431', '9e-34279210413', 1, 1);
    T('-4.7014051693508542306969683E+98123351289', '4.399856879131862E+637247453', '-1.06853593162296017167364355213218062e+97486103836', 36, 5);
    T('5.9611511537009548107778919859749381185376455131360824682E+246923', '-3.735321925104067349098021285908913809375479552348E-7647502253243980', '-1.595886853456379157059750409175229e+7647502253490903', 34, 3);
    T('7.99126708195186445388120028E+225946951', '1.5573E-3292034341', '5.131488526264601845425544390933025e+3517981292', 34, 4);
    T('-5.078343834E+664192', '2.57671E-519305784', '-1.97086355624032196095020394e+519969976', 27, 2);
    T('-6.754713681695688272120705723641006243811800E+411746', '-3.5635963197371906535988273398980549326032882831275E+342417076647', '1.895476669e-342416664901', 10, 4);
    T('7.092235807080368976946155173742197655049122338172014107297E+89708', '2.0320828359422453132967E+8905113174365', '3.4901312493945696679307691090196602310826085325088610923503556650875e-8905113084657', 68, 3);
    T('-2.7647115440564716E-7819', '-5.95E+46960', '4.64657402362432201680672268907563025210084033613445378151260504201681e-54780', 69, 0);
    T('-5.1299996024757E-872529074727241', '-2.53910230749339733E+95983478571247', '2.02039893679590932648861540473107800768455e-968512553298488', 42, 1);
    T('-2.9168E-1376828416681', '8.699209416896886736925075583444970172245E+90120812429', '-3.352948366014227824507775386903660823839344648097e-1466949229111', 49, 5);
    T('7.26140074271250315552678029785118360424849428633748693E+8103', '9.63E-3113459645336457', '7.5403953714563896e+3113459645344559', 17, 6);
    T('407.8752327827645404942960505546263482469', '4.3827505216E-3553768390815', '9.4e+3553768390816', 2, 0);
    T('-7.4510261058848524298652548E-635674', '-1.81579207688891044415051977579048686510757E+87662355239788', '4.10345776959831052888608339905120710018410075517458824836401560112169e-87662355875462', 69, 1);
    T('-8.8998245364458148889038909799314704633469978011599414204E-6331540', '-1.597290127868616136937253298720E-7900', '5.5718271722630111109744400842280722814613e-6323640', 42, 2);
    T('-8.9273368393628168353874613E-4724', '-1.117147809998430982316579381155306971277E+381668522713', '7.9911868057776124976669326365472923116845421192891747629625011246383991718381e-381668527437', 79, 0);
    T('7.97464968549479912488903987257118319771749769E+7497449748097', '5.764E-3226228', '1.3835270099748090084817904e+7497452974325', 26, 4);
    T('-9.90289680297103E-5289', '8.77432899791E+4568787024', '-1.1286215510416635895094743885344168735907818439227357503688906260833143376e-4568792313', 74, 0);
    T('-6.7511439778055159921E+2056170658', '9.3157845656056564050673895757187989E-691', '-7.246994528760441688806691495e+2056171348', 28, 3);
    T('7.1685385086030234181608234022722391593563896084753798E+58', '5.576259885291083932290293E+544092585', '1.285545985313921866755973080017484893509865131331555799e-544092527', 55, 2);
    T('-3.87858508361662523884724259', '2.52445447131202739781225651298728215004857286152315421471405E+2359622126', '-1.536405242278273082435814e-2359622126', 25, 1);
    T('9.8589633E+5627', '-9.5330702E+461291789885703', '-1.034185534477654428685524627733e-461291789880076', 31, 3);
    T('5.218648510875458858968080294865968213364141944659559137981E+747199533', '8.3176455242709455490395242131439773138483943645499218723E-79166936402746', '6.27418960768093257368413139029211935674938077040734292580709017534208036e+79167683602278', 72, 5);
    T('-9.30464327655603666651989684E+79152', '-5.0175636695477615E-668050508013755', '1.855e+668050508092907', 4, 0);
    T('38853946.41875291933660256638127456014857679966401565583539', '18593154918312805003582669129242498788199467362996332', '2.08969088836477221949e-45', 21, 4);
    T('-9.141517812428E+80429608939', '-7.772800594711648596225312346709E+358734555', '1.176090612519711420576625641577887808614469818611366e+80070874384', 52, 5);
    T('4.906388E+55', '-6.418047822763954362081674825479E+909186761713', '-7.64467348248434698970461725e-909186761659', 27, 3);
    T('-3.3370746074736083469088924E+60166021', '-1.9076327633117151442050622290109E+74863916783164', '1.7493275811e-74863856617143', 12, 3);
    T('7.61E+347030062080156', '2.303883169650942329065510449002783635369639785951063580567E+639384280', '3.3031188821753400732693658326986671332516635517367226096707528699332936086e+347029422695876', 74, 5);
    T('-9.8709581449411445322647298831503637E+2386264', '6.00905485669193E+676', '-1.642e+2385588', 4, 2);
    T('4.941335676234869241881E+99123', '3.987152182108019645E+897297343897', '1.23931454094194364e-897297244774', 18, 5);
    T('-3.126407343770191160270E+13895977001792', '2.8151613321774771E-561705616', '-1.110560630410467743740158184013254119234990009927828802143065857832397538e+13896538707408', 73, 5);
    T('-5E+738658575', '8.030031106655149864472250623752617530710081319525713254E+1536127464154191', '-6.22662594153101987476741318522391520479547703086152399174109884290210154e-1536126725495617', 72, 6);
    T('-3.323148164890958E+8879408028', '1.845656634993761588230281077483E-26135', '-1.800523511190471464408582302351600678893994080299995210297071e+8879434163', 61, 4);
    T('-5.9312230E+3240274774', '7.234526884844E+482574330460', '-8.1984946554357804651724618965966983279610944370914354e-479334055687', 53, 4);
    T('1.4817E+83985528443726', '-6.868182473135700321728038673174257316900483738751E+99090', '-2.157339304532954618589140512825185933460098154950626007102533372e+83985528344635', 64, 1);
    T('1.259436005832464272E+526930', '8.067114714032920108014967333556503654945150823905378E+922280', '1.5611975910565002443660197110667356270713171590510668195e-395351', 56, 5);
    T('-8.8395920892915528349686687089694742721496128869566689550E+67775808878136', '9.697300E+285826773466', '-9.11551884472e+67489982104669', 12, 5);
    T('-5.26877771E+4122', '2.270418608427248260387448159633E+984', '-2.32061950621949771869846332088e+3138', 30, 3);
    T('6.5436477E+27', '-5.1161451270475924173262231811835483E+69729', '-1.279019172e-69702', 10, 3);
    T('8.7148929127085710989060203770027297132145523918367151E+655989353870', '-518207.005738456758481', '-1.68173969402240146644484413828059402205783392068908304281933142597216028e+655989353865', 73, 4);
    T('9.8458426472385476198008586650214577604396630646E+3791778417908', '-2.762127301188023150668E+22330', '-3.564586846885636271410833728911082085315197574269175574186542056493933619525786e+3791778395578', 79, 2);
    T('-6.80983219784060717E+4931911', '-3.816208140736777E+875432495', '1.784449890232104985034820555002799196363200099589198643715740565157e-870500584', 67, 6);
    T('-5.1813157127204710686014017805025983945E+425448926169240', '-2.98050223120355960927159946684465166401763500219E+20057235490606', '1.738403567853797160124564382261118373397905568472554999746465893170323494341e+405391690678634', 76, 6);
    T('-5.691548799370857838188546E+8036107244858', '1.082079749615279206689989E-26495925211388', '-5.25982378045095235880211002847521034557095855183e+34532032456246', 48, 4);
    T('6.716865077996598513315807507437921326232E+9023413978871', '-1.048793922911796159291283E+76054', '-6.40437070740110362656152390976026058670295327779222460337255e+9023413902817', 60, 2);
    T('5.94965214929607740925425182762756684E+37346826664', '3.1411083258897E-32093978229', '1.894125108726033605e+69440804893', 19, 4);
    T('-7.2080274542700E+397723327053135', '-7.159091189707642189', '1.006835541448712323908105618610858e+397723327053135', 34, 1);
    T('4.07370364775E+50743456', '1.514639260176551236348063324029552177436187959197263E+8929734877985', '2.689553714113521635870399995431228108058952e-8929684134529', 43, 1);
    T('-5.54106927E-463840602241193', '-4.407029', '1.25732534775695825918095841892576608867334433242894476074471032525540449133e-463840602241193', 75, 2);
    T('6.406854078337536766899E-81', '5.351542819107E-9206954594', '1.1971976e+9206954513', 8, 6);
    T('9476534.3371846555820447289036965', '97917257', '9.67810437866397297265e-2', 21, 5);
    T('928.554969716574352539298342411614602177', '9.4011826869479058E-524074617354', '9.87700165645892524645731701275e+524074617355', 30, 2);
    T('-5.53E+503', '-6.61197805090558517E+20913', '8.3636091309205177417916e-20411', 23, 1);
    T('-7.38460801091889464768155873E-38200805936243', '-8.910718531824717556266405581660406557116107E+2911611809783', '8.287331694458416120493741605427e-41112417746027', 31, 4);
    T('-5.65E+2373369754247', '-4.533334690343934754449189963622178082363269786E-94965007', '1.246323156336675894375891752619250813484516778e+2373464719254', 46, 1);
    T('8.45123103185817908406367575932377133810984288619639607E+77804692', '2.95456218E+34627736678076', '2.86040046442961612812077482130491880123837599728444235010142856428e-34627658873384', 66, 3);
    T('8.741205432E+15418103', '-9.376544559777364397574813158469180908072100932452761400E+255310943', '-9.322416564303673700864094e-239892841', 25, 2);
    T('-7.12930723945711882904963E-10769333215764', '8.47626056964142895225229152520131221623E+73810755978564', '-8.410910897420311068079508072216420854811711243204326836283284005264e-84580089194329', 67, 6);
    T('-8.6348219650080650432541E+26', '9.762859129271185003207052813778907131955991802E-80131911397', '-8.844562694875911864626280644527937169414128958481086743564557498318924253e+80131911422', 73, 3);
    T('-5.98267128245664E-206', '-5.080845174237616852941678998233431245517764483714637E+552', '1.1775e-758', 6, 0);
    T('-6.565885E-449', '-5.529238E+188225961', '1.18748460456938189312885428335694719597890342213520199347541198262762427e-188226410', 72, 3);
    T('1.45918686E-188794257', '8.197864322326847725300697443529528883E+307065497586961', '1.77995975857506076468375134915259180948549545371433327270844783371027e-307065686381219', 70, 5);
    T('-9.2825508245771157605656412E-4714781711066', '6.80291223E+569000', '-1.36449663184572877556670185056907606170894255385682e-4714782280066', 51, 5);
    T('-4.47514343227358361459E-459622122417', '8.56E+69955779188', '-5.2279712993850275871378504672897196261682242990654205607476635514018691588786e-529577901606', 77, 3);
    T('9.5443593478183063371902870E+666600716523', '-28.37772523896804017760988338', '-3.3633278451480941386978356296859726608948802797064015244527698866203e+666600716522', 68, 1);
    T('0.0000024389551643107474368880166279771576241017341766257439', '-4.0329297018E+13266081', '-6.0476014824215239111461385601907533455576936399991277923841742081e-13266088', 65, 0);
    T('-1.391726033486803250861138283252475193047547947190E+213947888', '9.53495827682E+6798845674308', '-1.4596036952465378023127934487280667050208353500909346834907359755642832663e-6798631726421', 74, 4);
    T('1855588.5078232788097265319189973656499', '-3.27503902697159957882451425588425521864457E+684707', '-5.66585158998586207343498421132713655312523196878559040178743496276e-684702', 66, 2);
    T('83639.973719893012824792495041103237640860430', '-8.3895143435603688041942602926378066760120977544059176385E+86267606557', '-9.969584685684870588004411467073868257921712538812600499079358e-86267606554', 61, 0);
    T('9.27840E+22784754', '-4.16964622418523069683347048172966770981214589230031342485826E+6160524', '-2.2252247555637756350611276266763832698785609340098591212e+16624230', 56, 4);
    T('-2134613.4647845031219863100900490', '-7.05281946501612360338362045340420757688274E-43817', '3.0266101030556056291970566821234115621449688783920264613e+43822', 57, 0);
    T('-4.33580949118036E-65', '-3.21786518112007655084553780418E+2800', '1.347418007634225584759237825375116162e-2865', 37, 3);
    T('-1.0717802427E+9550333801', '8.567144132570E-164485189517679', '-1.251035614803510778562678074040283170736906027890784593152477241631061e+164494739851479', 70, 5);
    T('9.46733896602924475774E+4118', '8.6239157019534584795097E+654770', '1.09780049959e-650652', 13, 1);
    T('7.729E+7503161456024', '9.6980022262337727698024470702807901233715E-1886916959798586', '7.96968264153674418989986653862763e+1894420121254609', 33, 0);
    T('2.222E-4011105343', '-9.706303849602408710092625068596697584087104647379E+59', '-2.289233918935082530589552318704541246263987687468743536307998874834379167037793e-4011105403', 79, 1);
    T('2.64496048109539344366441007574338917843303290299680320262E+54950', '-8.463276905624353235105128018583507858666E+969329610', '-3.12522030248e-969274661', 12, 4);
    T('-3.4131947931859003827633247310670376911668448114368E+79569', '-7.3800315286132156826216E-859090338138', '4.6249054356374477650955750030592119389387426959712e+859090417706', 50, 5);
    T('5.136883E-80518495', '-1.8716884980129092994811045562472158E+8129', '-2.7445181211796762313823724496720720876348093060530605159999222647347953286793e-80526624', 77, 0);
    T('3.83997551445721276119060810848E+666458', '7.72734391755870656744480949885382118292052591E+38994', '4.9693342957490276674898475397286369228176509794037175094491411837e+627463', 65, 6);
    T('8.040643141044127808766034366231977804541504251318E+63', '1.26296465E+3211', '6.3664831324013129019612974648435154574924e-3148', 41, 1);
    T('-9.98023877328456787804429367888859505353358302311220E+65617905271', '-9.72267273393733687881402108745513360078096947833E+343167699', '1.02649127934216972333587779820188001976553750812463154571e+65274737572', 57, 3);
    T('2.9974599933369368381461849455781165689236308422E+7665609', '-3.098179E-856089812', '-9.67490901376885208422813835e+863755420', 27, 2);
    T('4.967441507166096521188287879501465962752267027287176119E+22827', '5.96597361497249513829981173711701149842475702850882037680E-7763316690452824', '8.326288e+7763316690475650', 7, 5);
    T('-2.0704945407427576436315617399712922761940E+1125657', '-6.0726938128804826275020956E+34', '3.40951578416671817211696388162935447395135335075183e+1125622', 51, 6);
    T('-8.6241374756719441140726716319758212253233844798E-133895', '8.02214582738390120313550015E+76256830', '-1.0750412247846606609009450933650633203445e-76390725', 42, 1);
    T('-3.815215682056770449728047568855267782195724147522913584919E+33117664912', '3.82654E+520637311866077', '-9.970405855045995729113108889114625176257726686570409782516320226627710673e-520604194201166', 73, 1);
    T('-6.14367E+651533', '9.190135659648166802250381643160158547367564457E+6736791074048', '-6.685069978863840792079e-6736790422516', 22, 6);
    T('6.01018188736917136422674753338004582997330949252735990579838E-3340800099362981', '-0.000005267787939627114322876508535423143', '-1.140930871980888460930801379707320983896e-3340800099362975', 40, 2);
    T('3.3757596034446779709394998589E+59535953', '5.0184E-631', '6.7267647127464490095239515760003188268e+59536583', 38, 0);
    T('-2.88283E+729105760639478', '0.069614718948', '-4.1411213656603039798859e+729105760639479', 23, 0);
    T('-5.9241386997843618883545264171797823055E+96420961', '-6.190525364543317973494E+1022616411', '9.56968649820142085898e-926195451', 21, 3);
    T('9907.505830240527858092', '-2.70815409732712980887E-724523827317277', '-3.6583981096271261345876467385618497270287286905902497875652185310296365898726e+724523827317280', 77, 6);
    T('-7.736383538246160257887962329619845031284627355360E+48934363311', '-9.039E+85369089738635', '8.5588931720833723397367e-85320155375325', 23, 6);
    T('6.035576398236E+8943290265', '-2.58704154147969048286805765189019803525410E+53', '-2.3330032786345893974723045091415273774909701917e+8943290212', 47, 2);
    T('-4.1144624860737285513250391635034158967600905132036144690E+587', '-9.26246937011522203909111008005203566883298797120250984983645E+987824526', '4.442079451672774e-987823940', 16, 6);
    T('5.9021806280064588664335797116597842587012E+2513713235823', '0.9737997362064422483', '6.060979900240203e+2513713235823', 16, 1);
    T('-5.615895270194755609185759000941126039178624E-5840627', '-9.755038416641918187280625367031498834348181971341E-45794669', '5.7569176361357433283269881939523417617310610027237412064107882e+39954041', 62, 1);
    T('-8051.084669590506861401370130199062337275408675', '-1.09661978772601313890E+835897933335813', '7.341728427393692068113225651442806568168753428319e-835897933335810', 49, 4);
    T('-1.241913892474535767160382813053994045756E-61554683624', '8E-70758227520511', '-1.552392365593169708950478516317492557195e+70696672836886', 51, 4);
    T('-6.00614687975764723309375610342614958483279877810956E+80877', '3.624332047930383201010384694129897566459919773E+8933208', '-1.657173459917217371012728e-8852331', 25, 2);
    T('9.3345082985578E+48103764', '-2.184903549646837108810454139026895571143E-571173247', '-4.272274764744928401014981091631116936904092731164318111666064529e+619277011', 64, 1);
    T('6.09E+733234', '1.41223834949656220174007188393824368E+5111643', '4.3123032327871399646833893171952071571027480287463516461464355520898560114105398e-4378409', 80, 3);
    T('8.45052559927382525671646337261676452460329369833120E+48124676385', '3.012757068810180215219090477200823770531267769E+39701854', '2.80491437121120683991950989144445467904901652631585157796048194e+48084974531', 63, 0);
    T('-7.3782358585E+84450348892138', '-4.648507186805011916777152649538552988224521928418E+846142786', '1.58722694447874376052751642207401362995742774785982798982587651428489220112e+84449502749352', 75, 6);
    T('4.1761339656308007016520E-44451', '9.6547145050662729420864589747905295591477559089316513409439E+8217261', '4.32548674892394907576946703414805854293144713789823965172380489484e-8261713', 66, 0);
    T('5.172755316808441789136748091E+5604170', '4.6964E+31765', '1.10142988604216885042516567817903074695511455583e+5572405', 51, 4);
    T('6.8160063044937936634360309398537815571434394144344685119384E+429', '-6.162261455766250137560288541380962197630E-26', '-1.1060884633701822095480660919624391336738e+455', 42, 6);
    T('1.0605606478164184994781512394191E+4698347378093', '2.7595300250337913066947048461280747E+792468030903', '3.843265477074965340279818518574555146086232034718921127095396037894651820079525e+3905879347189', 79, 2);
    T('-8.798233881126857974775404176602254026441757662908E+45394960', '7.5321907132913942E+72135782023', '-1.168084321816412427618674945569750118409862517637244647865717e-72090387063', 61, 5);
    T('4.32860327218876078389343639434620240769845562299789012E+772680960', '-4.975134302563793433047975315873752E+27440282', '-8.7004752212581249519789150509350934402970842e+745240677', 44, 5);
    T('-1.497020882122E+55185865747', '-4.735220653788425896809045311112633125147E+33737774074734', '3.16145960574045151579096e-33682588208988', 25, 1);
    T('7.1E-7387252187', '9.74738053E-211117913425977', '7.2840082e+211110526173789', 8, 5);
    T('2.307764549194762334736843693248406388030229934359443270252E+543733', '-4.82889536043274622E+42', '-4.779073425579364260099957050823878412721686740950527214023030753e+543690', 64, 2);
    T('-1.1717967589843631377097210907406817850304341E-565283157357', '-3.5461133182926846411299087732722802612E+80', '3.304453788714618991151174841983179716292634e-565283157438', 43, 6);
    T('7.516456331059008405739E+904', '7.11528985194329200635381333267515271201487853799744060198965E+105998', '1.05638090470849221103117502339283451813817324717704635529942857674750579154e-105094', 76, 3);
    T('-2.5950753796445717965086E+28166153585416', '-121.7', '2.1323544614992373019791290057518488085456039441249e+28166153585414', 50, 2);
    T('6.213380742873949876298110584E-6461430205119595', '1.09635974680679025010029882351985174862336648819977940928296E-528334281382', '5.66728280655211265245669479463435136766612e-6460901870838213', 42, 4);
    T('5.25891126590154837974208918196652635E+149025', '-2E-43020901', '-2.629455632950774189871044590983263175e+43169926', 51, 1);
    T('1.903636330499991250075033547520877559046397155994E-8523619', '2.0573355395085956E-822110220', '9.252921042498900599309e+813586600', 22, 1);
    T('168473.7088297394436020097122', '-6.5724023778663954991E+4192575119', '-2.5633504941374451440504869458e-4192575115', 29, 5);
    T('-52965.69485010623389875833615379001013767645148212123036839', '-6.8423367090050908873430166994628E+74420460460', '7.7408781681846966762693540499495298050230902e-74420460457', 44, 3);
    T('7.99199761E-210071', '-2.7511E-72226860298446', '-2.90501894151430336956126e+72226860088375', 24, 2);
    T('-6.16069397777422E+95657472900', '2.6954209952078873010723E-464', '-2.2856147476506057707025723931702470671765805251046826253833338619455236822e+95657473364', 74, 6);
    T('5.310424626480728805130E-71351766474', '-3.49472643815094358039233692E+799161267927286', '-1.5195537391734929e-799232619693760', 17, 5);
    T('8.1E+58932081483', '8.2375041919672149371121E-579064728704', '9.8330754209493430502471892371235523990103370002271441408299e+637996810186', 59, 1);
    T('-9.3720618892871263708444784634025877467131087103706557726287E+236954099711914', '-7.34903634518568764519061222753E-389801990886', '1.2752776621422904481222956013676608468e+237343901702800', 38, 0);
    T('-7.116168785599988135784744275E+55817971635773', '9.06155829513235945E-852244113141172', '-7.85314021477146432000605585210875415449121755718135e+908062084776944', 51, 5);
    T('3.655387277479708661702557256223029075861683148828699057251E-5692', '1.4319359243472397572357233758227114601503229532E-65', '2.55275897149242081321e-5627', 22, 4);
    T('-4.518597226781998E+4440324', '8.97237053721902706265274494711471755055172685558911781761806E-13', '-5.03612418595290259493172884984664672e+4440336', 36, 5);
    T('9.4083142047633E-151947642176', '-9.15276749080429419', '-1.0279201579430212084610209726837518506877650050618e-151947642176', 50, 2);
    T('2.1794118525322903167710764E-1292146014', '-3.04E+966140057123', '-7.16911793596148130516801447368e-967432203138', 30, 5);
    T('-7.5184644001575332522486956182630278060314447260214067099E+767541332', '-9.52974318496E+701568135175', '7.88947220742e-700800593844', 12, 4);
    T('9.1223738301685272E+905', '-4.21012971945359871360268877781525600836870669574222E+9583532', '-2.166767876062605490171209605714781864465736032895952841812e-9582627', 58, 2);
    T('-5.89256235394943384854894664663048649828212256326977354845E+21374048562669', '-5.936114294668285319135157671489701333345182802690291204699E+920391395', '9.92663224028895625082292530850561983e+21373128171273', 36, 0);
    T('6.48288040545774537009974129261523205233050390E-4439', '4.22347508402629095610635556522869714016E-308857723281', '1.5349635730010120997737883132099539590882081068419823862375161733051086277265e+308857718842', 77, 3);
    T('3.4038600048119621156201097655E+636262739', '4.0079678135662511834E-681676153057205', '8.4927328839580681309128434110737646026651332614002300863321374613499529611e+681676789319943', 74, 0);
    T('3.643557568581213544135882493341664224E-5132', '4.5720172855294761834420092792543E+89506499', '7.969255890858383805e-89511632', 19, 1);
    T('-6.3', '-5.31564656090151554640128247171626876384197456487493E+3122181473902', '1.18518038e-3122181473902', 9, 5);
    T('3.408932939272562258007216761456154050530E+344288367866164', '7.2142772929807149486751472386400107185642947594496986180111E-6926895098', '4.7252590950300126541369760349034480984286183845788431032303575314e+344295294761261', 66, 4);
    T('4.46793310431186815652764933162890390749240122E+1768907', '8.819351784395400068909081993532981384291496408E+589', '5.0660561156175287709856983504e+1768317', 29, 6);
    T('-3.59550763563176638244685120891831551658970314827751627E+9745879411', '7.1942567480360013802767866340808753410482416564120E+4478687374', '-4.9977471774458469782438249871958998758885408105041160266835072754607926e+5267192036', 71, 2);
    T('5.7490989798741E+304236696', '-9.976433261325475748746162271693591E+35687', '-5.762679e+304201008', 7, 2);
    T('-870269.195291495174855803715686572951', '4.80160829720510926960360874902E-96117660616931', '-1.812453539365250044449503579049e+96117660616936', 31, 5);
    T('-7.44306435E+5549978', '-9.14668893821222089263955097091673E+1741735753525', '8.13744120990605671372530379379972730471066863299455224e-1741730203548', 54, 4);
    T('2.21455667931344904705138547458839182597436339090E+153714', '4.207265737039307889591864766126583E-315507', '5.26364821651e+469220', 12, 4);
    T('59479.06675327957210514096959407194841656161', '-8.81821059572883007570531782632041915167694918277E+35558056', '-6.74502679512879037965557410566639753545587318516892024901132022249053e-35558053', 69, 4);
    T('-1.094259091258307702089633610463902E+395484517', '2.646901717514726680642571E+84495420189196', '-4.134113042496144460029e-84495024704680', 22, 2);
    T('-4.7994255936442810E+680511', '1.605421996987928500696954537177837E-76393233050903', '-2.98951029863107629481818559567307253706068955717513503633473586359245683e+76393233731414', 72, 2);
    T('8.655656905583307761974612262756239E+2872528545', '9.40058872794742968E+515946835', '9.207568968367395049689622637312230830605351839e+2356581709', 47, 3);
    T('4.3041514570102148432620395775554514251824199116E-7546510', '6.54773074410E+61464573977', '6.573500996339198020783255954465709266247987333147919264330275593502165006e-61472120488', 73, 5);
    T('-6.2747675393560260821595430785116806E+9392611800128', '-9.57849021368005941908112004716209427509E-86508346073724', '6.55089e+95900957873851', 6, 4);
    T('-5.536066270897175314481328331795E+4923589484583242', '-7.934315932812689535371535786E+38040', '6.97737059851945873775517435979732838136069698442849014845353826236e+4923589484545201', 66, 1);
    T('5.06148562053170115218164E+969474193', '7.9179682351568540723062854811510352943E+763114731', '6.3924045540597368708290713970020955031122454494317123217876323180142838510843754e+206359461', 80, 6);
    T('-7.6210E-13320', '3.86581575613976240174963493E+94763871', '-1.97138210425475716912130717091665127376880663334948685862107e-94777191', 60, 5);
    T('-6.373117234248741727704837276204E+588', '-1.3544320E+252845700805047', '4.705379992682350777082081105735836129093228748287104852809e-252845700804459', 58, 3);
    T('-4.161437884727216752921742677271435006147961E+8691583591663', '6.722E+4662', '-6.1907734078060350385625448932928220859088976495090746801547158583754834871e+8691583587000', 74, 5);
    T('2.902756860523245E+1035', '-2.21368649629114245005246038785036901648E-1982', '-1.311277303894018294199374678545406309275623149974753789326597827009619e+3017', 70, 3);
    T('9.8607473249236E-5682', '8.6E+6077969', '1.146598526153906976744186046511627906977e-6083651', 40, 5);
    T('2.932728691658071810E+87956308', '-2.99399591662708656874113E-9808', '-9.79536637098011e+87966115', 15, 5);
    T('3.94780288512533077059457472431154348E+95906948959384', '-8.82911223592274296527819229124689E-46233237715490', '-4.4713474918384479300412393155443330308845798754324810891273720827e+142140186674873', 65, 3);
    T('9.250E+17', '-9.395009896665872658445772057693811630607376E+6081058', '-9.84565221510055654606608921321019800241388274594915411949396297e-6081042', 63, 0);
    T('-7.4125716865970039597819436900E-9382261514307', '-900331384639767.5157807060159201535605342174', '8.233159271197521762521e-9382261514322', 22, 3);
    T('8.86086315399691900466020288010302048552E+4061094819737895', '2.449779846366733062304860808964178517580722237079348450816E+66185814466', '3.6170038573623093247055e+4061028633923429', 23, 2);
    T('4.96629835383E+737061', '-1.206226841640659255004461963203952146284072495468597760E+279056344477', '-4.117217576650051061707473659e-279055607416', 28, 0);
    T('3.76086177680786069699781889185209955207246672410331720390694E+914002565860', '4.009952179999644411E+426004050484', '9.37881951701527322827860377689415884285260709968913972305160291500159e+487998515375', 69, 4);
    T('-2.26807424166575091896529133840975509381764688962146409486235E+48651505995941', '-7.1100954435762454237539073956050348298185E+51292576953', '3.1899350151690113866576149984412860966644675669860945483683253987381628393e+48600213418987', 74, 6);
    T('-8.747544765915488E-44341129', '-6.4449574497831531417175226612E-399061593311', '1.357269591626211224526623510409625087e+399017252182', 37, 1);
    T('-8.86645280582485775543603E+6401133561923979', '2.7E-221073190', '-3.2838714095647621316429741e+6401133782997169', 26, 6);
    T('-7.1614479388985130992060569424305653415193257785E-139111893156', '-9.81855919376162656772E+9906', '7.2937869982478180732096669136237075919663997959980241550914e-139111903063', 61, 2);
    T('-4.73050950E+30638857', '4E+250658760', '-1.182627375e-220019903', 50, 5);
    T('9.04156530325469805554498E+5418836885', '4.154283008051282180144456E-90548109234', '2.1764442349573997174853841606524846678224195046e+95966946119', 47, 4);
    T('9.113571582876806815226445420027357611946019773777960450793E+787', '-2.890E+144531765', '-3.15348497677398159696416796540739017714395147881590327017058823529411764706e-144530978', 75, 4);
    T('-6.48183E+4138234911', '1.4995539324849570199253887223044773297058017092187E+666100489', '-4.4e+3472134422', 2, 3);
    T('-934764205.98402042', '-8.781074885933323624301784129333314833E+5311451273', '1.0645213918872827419666153331463895871138423e-5311451265', 44, 3);
    T('9.356E+6425', '3.741', '2.50093557872226677358994921144079123229e+6425', 39, 4);
    T('-3.019647204228672961196645326657074940852757512677E-180680511', '4.798361641683591507920254465699432740666378041822560E+982261819034841', '-6.2930796586836156309262726873968946845055819089004413958297949567e-982261999715353', 65, 6);
    T('4.6013412843013071285925475577978828779974E+39286', '-4.07933314E-492306852136', '-1.12796408785120872197080416869260226145e+492306891422', 39, 2);
    T('-9.05E+92394191384997', '8.264485385370751323547482001529093556564488830761E+1288297', '-1.09504700873689183396917414544333567166439833571321848172877597458696e+92394190096700', 69, 3);
    T('-2.9208593152E+647', '-8.871838359468962859355123127190626E+8863576', '3.29228193397e-8862930', 12, 5);
    T('-6.7E+7927141116086', '-7.61514922149836953495639954665482115141792604E+7538', '8.79825175465399056355586080538266145171472992e+7927141108547', 45, 3);
    T('4.29210055439219414155618154970987288359606822532758E+3458793424', '6.80048381167611E+8072002876409702', '6.311463527084440523530974172145441475036169e-8071999417616279', 44, 0);
    T('-8.64911516701609247464780210837979055068515527862570E+179', '40.92001871882701532350559118388153285128598302', '-2.1136635411744557406092156010440255222952410157086753937176832e+178', 62, 1);
    T('3.277607127439891E-2414009144566', '-3.80959230681421565925472851484665614200433014645216714E+4985512573003', '-8.6035640128137515866157342360689842684e-7399521717570', 38, 2);
    T('-7.156247116497500190910394841836129825791297914E+7231715', '-2.12932452520766161655445219375884034492247E-1027413126488', '3.360806223654231257952609816519e+1027420358203', 31, 0);
    T('1.20157874571372502729931508374162477504912547689496043723108E-9227255881', '7.349624021051404024846974102384901E+674688', '1.63488464480912670921638782671772533911485457899047844794575715854e-9227930570', 68, 4);
    T('-9.7537803317653782221564E+55907271973', '-1.53E-44199', '6.3750198246832537399715032679738562091503267973856209150326797386e+55907316172', 65, 6);
    T('-7.1338766166571868437490504253501531197161443423207077E-154832174383', '-1.6168623966939325355814405561397073753E+78349', '4.41217300324636e-154832252732', 15, 1);
    T('8.2802821E+7819858054666', '1.914277647014193E+89', '4.325539e+7819858054577', 7, 6);
    T('3.7703506986154135014178737978286009E+60733797952273', '6.9047432640513448295220015722919188348898350428551E+340509142121973', '5.46052265005312808826989166194367083585190266237174e-279775344169701', 51, 6);
    T('3.918E+7044672408', '-8.1977378661934633089846153165764693723290575136819E+4538689', '-4.77936726442228102761490722096695e+7040133718', 33, 2);
    T('2.53581389788501488569946167105734E+7368070', '-8.7827852411297689915023610942349958442515745780475275785419E+262500', '-2.88725481526042846701185039460674042078294e+7105569', 42, 4);
    T('-4.531662188275948998218205415863545654480071107381904541E-8078416256275', '8.6186752784935038124657447224828729757763747710E+89659031872823', '-5.2579567530336961232918510877180166298708e-97737448129099', 41, 0);
    T('9.6191002657659554363E+17351388959', '8.08308715749153510051885127451918390791916930723817338534512E-52208863', '1.1900280274536961658305792224678530737e+17403597822', 38, 0);
    T('3.10771956152852118418128475331036E+451136', '8.47180743179104099246412125553784265839924140521955973500E+361359872016', '3.668307603247200172895018245675708197343905298629977063158960205e-361359420881', 64, 5);
    T('5512743722.32349975591016374215061391742', '6.29881163530454685670991876704E+3220748428642', '8.752037751732131607394078e-3220748428634', 25, 6);
    T('-4.353819689E+5937974788172', '-2.274447603322913211149921861425725895120892107760169E-97935', '1.914231694165728071402834424197120827333e+5937974886107', 40, 4);
    T('-1.996910590856536408012690249666365701E+158049481989162', '-8.12054519894099725480643449108771E+873324338', '2.4590843864977860348700100536038360779787352185235062642136e+158048608664823', 59, 5);
    T('6.186244132569608722196164851436386899353122E+51697', '6.04854762322050744553714657363586719194093052905207209862611E-9972174331', '1.02276521868167e+9972226028', 15, 5);
    T('-8.529950604937081330336392551910779201649E+517696', '6.4341E+563599', '-1.325741e-45903', 8, 1);
    T('3.418036276930783016975675311743748893610693905378165964E+169025480606', '0.00098753113705764786890070754', '3.4611934233434227322664992036620892312e+169025480609', 38, 1);
    T('7.164048337910906022373998578810440201959269354E+416593957882', '-9.74841040661626011509E+13966', '-7.34894002108144333706654045551274897109520255810520410995e+416593943915', 58, 4);
    T('9.575414210286904474039731556416156010683277508151367496E-52118180773458', '-1.9E+2239', '-5.0396916896246865652840692402190294793069881621849302610526e-52118180775697', 59, 1);
    T('-8.732699402426628484245086774747063660098515197788964396E+27584578', '6.43E+369134', '-1.3581181030212485978608222044707719533591e+27215444', 41, 0);
    T('9.411373905376711676727369250701887233712643E+10631', '8.42E+89280', '1.117740368809585709825103236425402284288912e-78649', 43, 6);
    T('1.73934300870162004E+901858', '-6.287350029206703770961743854029508314E+6841628178511', '-2.7664166948266419854398421868482e-6841627276654', 32, 6);
    T('-6.9341921256423102E+27951297', '-6.80471093947E-140463512855', '1.019028168473883055095821310405403538642431132494290565738854735223e+140491464152', 67, 0);
    T('1.873815E+68934391840', '-1721307586883229673098109616147671086.424', '-1.0885997449142226711622274776799898729537666743240178297908739283460694945803292e+68934391804', 80, 4);
    T('978351470941292079.60540514857976', '-58578630.9652522545756024', '-1.6701507952987700005474242444064121136e+10', 38, 3);
    T('-310167746742853.47788884329409', '3.2970836285453173739979726629366591104147405346067192900E+7798', '-9.4073363519657026525123749582128498349886873489046692525559e-7785', 59, 5);
    T('4.50233255335235624655997695053E+616542372735979', '4.83392783650606859937770502E+1794407', '9.314025168829604926241493e+616542370941571', 25, 4);
    T('-5.8646556588571678E-47178645', '4.977366728724555631977330061362946537471663169583550E+253045647', '-1.1782647288197666946700810825911312916873378788e-300224292', 47, 2);
    T('-3.056933793166476063993E-7624210610', '-7.79606174143058551E+38947', '3.92112568442220354361980243735561510369162036876e-7624249558', 48, 3);
    T('-9.1665964947166227682067068877834285816245568428E-1013907415725', '-6.353413321020771901593751285995088642384704893376718E+72', '1.442782962724652464410925025824195450940638e-1013907415797', 43, 1);
    T('-1.12879991918149345667983949394752161E+65', '1.5773268719897937506848700020192396140091278819890839900E+6329365360', '-7.15641088240331118917608385157701188508271922611e-6329365296', 48, 0);
    T('-2.861612E+26', '-9.9683347E+944089556135769', '2.87070216452503345418367623631257084495768385465628476539818e-944089556135744', 60, 0);
    T('-3.37778088E+9', '6.85118472268351363880029753052384E+754759', '-4.93021428661314837817794776645754e-754751', 33, 4);
    T('-4.4E+11257320', '5.44019809682886916E+5574', '-8.08794e+11251745', 6, 5);
    T('-8.4E+5234', '-2.4825181492262353659583099422341861776060E+80', '3.38366106310971271820034942e+5154', 27, 3);
    T('-4.6046617392537715726E-88499583', '-3.692209E+664147', '1.24712922243940458749761998846760841544993796396682853002091701742777833e-89163730', 74, 6);
    T('9.35575200617565725397200484740253944710315319397294E+9339', '-1.2168286876234525004699376911710283249E+2284', '-7.6886353036663396387364975978102949486936853807120172819505515309917e+7055', 68, 4);
    T('-9.504342307057876980176454544609452969453595874441E+118809687', '-5.11169820149191698652635348843214308183683695E+6138138943155', '1.859331660911418536344037541772217558e-6138020133468', 37, 3);
    T('7.86072858432780300113574843452213078357745430438587231940E+607826240082', '3.311491785271109236920147359205385176E+898', '2.3737726360339593e+607826239184', 17, 5);
    T('-8.27410588349956740049412172615E+138865590422', '-8.495774627296346514339782416697395350E+7279734224499', '9.7e-7140868634078', 2, 6);
    T('-5.8705009776855298101923034517542568165469904277042E+9460', '-8.32478182715494285803536E-7611808748', '7.0518e+7611818207', 5, 5);
    T('5.943608488581238717201077141532703660821667E+741337086969', '1.6544721682434739210544047E+1734930075', '3.592449968434023749134879968996886471071e+739602156894', 40, 2);
    T('-5.276277631087882462321951382752444411269025152184332691917E+340208', '6.570368517125632876314893E+88', '-8.030413541242460064e+340119', 19, 2);
    T('5.7831903716400319500407785584861183871668E-58', '-2.574507697529364647300767E+91367670287570', '-2.2463e-91367670287628', 5, 2);
    T('-5.314919822901035701966057E+62224890', '-5.48264762420680284328921961947737440746E-832', '9.694075175349185401220838739e+62225721', 28, 0);
    T('6.5853568634752511888197412559270747290751E+874447308152576', '-7.497484642610590259720853610715720986289E+6099295381609027', '-8.78342161056065824559609973836217100499101008950659235040541e-5224848073456452', 60, 6);
    T('1.3980489863012553401713773196902506E+80144427199', '8.59556906646909573327492987753837000089139E+276764599525367', '1.626477e-276684455098169', 7, 2);
    T('3.9965211599322175439902206796039217978497E-80972198516', '6.1232966E-62', '6.5267476344886144237896636912932190772037728827311745767794426289917101190232e-80972198455', 77, 0);
    T('9.14985486699076645854143143064E+31865311306967', '6.0534E+85171056', '1.6e+31865226135911', 2, 2);
    T('9.119073373632318968E+66613', '76678.37252913311150353', '1.18926277030301164498197161633512988691416317987036e+66609', 51, 3);
    T('3.68808E-7825', '2.26E-23164902242', '1.631893805309734513274336283185840707965e+23164894417', 40, 6);
    T('-1.34768165E+4732487167874', '-3E+3662962094', '4.4922721666666666666666666666666666666666666666e+4728824205779', 47, 3);
    T('-3.249636329210839711489226506587183467409E-6361', '4.2957983985355927862966006E+54816795', '-7.5646853686584028100929e-54823157', 23, 0);
    T('-4.84589176233E+28668606747', '-0.047654152262779589317995709', '1.016887623057119724436546e+28668606749', 25, 4);
    T('-7.587863630930035840720670802424289E+2847', '64865.27912867747790', '-1.1697881721710464967704136047298212037832920841861180686e+2843', 56, 5);
    T('-8.8444578213227244559238E+1092535957', '-8.085891436513291458067312670552630376417523708162467E-393068317687362', '1.093813575258256694089216705891391363160637462327313989638091e+393069410223319', 61, 4);
    T('5.630E-249173521763624', '3.744268451265513E-35891991016', '1.503631503e-249137629772608', 10, 5);
    T('-4.456748102514958E+3418548657', '-4.4052892462681260426310873615047245852039884521709149E+231940060', '1.011681152671285897246119488063599221447390629e+3186608597', 47, 3);
    T('-1.8761709590E+1930091491921', '2.686286231073E-824800', '-6.984255576705946844016886106872491099850449313385516586122448e+1930092316720', 61, 3);
    T('-2.83807568606611E-139418', '-4.69678735095875097E+49686125035', '6.0425892721900133873e-49686264454', 20, 1);
    T('4E+876580604873', '4.57834053436776330894490217167263E-714', '8.73679004428265387385396e+876580605586', 24, 1);
    T('-1.240117E-2267303033', '-3.89465038903003399589659388474928316989489924E+4418960', '3.184154869184169e-2271721994', 16, 6);
    T('-9.382885951835316773849952966022317967100094547188695E-92591624', '1.3276507984892750210199392423284855427785701042282815947283E+886069732', '-8e-978661356', 1, 0);
    T('9.60516480472902E-942591', '-449193322.989541520966061570264176148105', '-2.1383142431421793744691846e-942599', 26, 4);
    T('4745073987415547989664776023365570147.4806365', '-5.9844681711988212831243E+2808435651', '-7.92898191062649559195184774503149700682716375e-2808435616', 45, 2);
    T('-4.506167809952116638436792525423722330553168E+119765052', '-9.0256699760606729645710277671E-68645834', '4.9927e+188410885', 5, 0);
    T('6.68E-12', '1.78555513257907065648479879628E+943050809', '3.74113343134431953676e-943050821', 21, 6);
    T('8.22686812E+581108964', '6.998688676563834791991E-287700105', '1.175487080536802475489541851e+868809069', 28, 4);
    T('4.40180249369162942824503974E+20243374', '2.59676927116146324243355858949E-134195850', '1.69510727910101332629666001692672923150759295148320601185425425596157898e+154439224', 72, 3);
    T('3.3965514565117E+334', '-7.941032E+813585159', '-4.2772e-813584826', 5, 5);
    T('8.90189136E+4704535185950417', '-9.74643E-9', '-9.1334892468319169172712470104438240463431225587215e+4704535185950425', 50, 4);
    T('8.087620271117876710343772795754303261204760222721420E+56824125', '-5.0614565852441713626702767810596853093971662425E-152750346', '-1.59788395591418852552288224633177031302111e+209574471', 42, 3);
    T('-5.6081365179238270785090967641575001405508233468086257447E+63206', '-5.004298068682353399212587505954253592330068E-34234764724', '1.120663965446100244625135417396527714153830730015204988326880859356e+34234827930', 67, 4);
    T('-7.30E+95', '-8.815382528174918067361072192690687793993463870336E+80', '8.28097927307001000396037463374874235935761455021814916637346933217814667546453e+14', 78, 3);
    T('6.79193950924666681194110784289583387091E+846170227', '5.5451569498919673767764180207162507601589367119830E+7816527628748000', '1.224841707930194776e-7816526782577773', 19, 2);
    T('-5.96145241305761108725708644810115878154887742301001E+3486264799904135', '-5.9E-42034544', '1.0104156632301035741113705844239252172116741394932220338983050848e+3486264841938679', 65, 0);
    T('-7.97845536702935626404423263400305353228102E-5572778', '-5.69556407658775272680638144E+67934506518732', '1.40082e-67934512091510', 6, 0);
    T('8.69751367430752437471012205737E-36844622', '-7.5669920486231E+425339', '-1.14940171978773726908909e-37269961', 24, 6);
    T('-8.743149612490769529727510150887616513E+224801688', '7.6706342026445500986176097835606050E+205667419060099', '-1.1398209563267214e-205667194258411', 17, 6);
    T('-6.00338578032893542225571080310968002720240445910242E-31285320402627', '-9.12093860293562310E+481712331993609', '6.5819824490395247810748453312415721654681606629562e-512997652396237', 50, 3);
    T('6.89E+527302226', '8.39211905E+8683879', '8.21008372134568324552068884199158256697991e+518618346', 43, 6);
    T('7.6431128022941078600855944972796255842E-7295882876284', '-9.947891400311468793702186939561644527179628212598672404473E+3817952', '-7.6831486138407e-7295886694237', 14, 5);
    T('7.213038711409927783179999033850766234944485710010172E+75478', '8.2817314374680078928491E+213000', '8.70957814301593205810720213678704699306351465423e-137523', 48, 6);
    T('-4.938066828E-61', '-1.201524300036937215051E+63834875940944', '4.109835171746584013687474241687652123581487319349258083721459e-63834875941005', 61, 2);
    T('-2.143245386204838E+4937', '7.61840419750686961557652571277566377478344134368E+882', '-2.813247145519290238943576895350279726999509664751513059968797347325314e+4054', 70, 2);
    T('2.20088E+40283639520523', '6.43567017791274886601104334E+217768494732824', '3.4198148e-177484855212302', 8, 4);
    T('-3.59872794580845266323E-3879142174968912', '0.000006310702512786603696619245635402855725036048746954299', '-5.70257897360363751074568085346e-3879142174968907', 30, 6);
    T('4.822406198868088234454194106974631E-8', '-42505.375162806386465', '-1.1345403211704513219e-12', 20, 5);
    T('7.074E-415606434409181', '8.136854367939E+1294976311959', '8.69377732489980339498425787815378530449e-416901410721141', 39, 0);
    T('9.40436271041075019480E+259680782503060', '-9.08788855340968295564E+143', '-1.0348237277714337031703469977758277867766451653762599018665e+259680782502917', 59, 5);
    T('-1.7704549367380935357558E+103207085387728', '-3.128786289168915129748521277309047224659035E+40985054', '5.658599767158821196078636e+103207044402673', 25, 4);
    T('-1.975691987375581600647204312794721104E+12529564432343', '7.086519266338113277158556392581572378526606447409917791E+663992449972300', '-2.7879582530176e-651462885539958', 14, 2);
    T('-3.32971546208577307885058502529977695929952794997161516E-622', '-80328568.87209794471806938828036919888', '4.1451e-630', 5, 5);
    T('-6.45753471801413318652849162983999E-2269619', '-7.350533095079521598261782495977867828358688225789E+3022221', '8.7851243365421137168711170662433000789905e-5291841', 41, 4);
    T('4.41297849948167117551047519659146562931063E+176', '7.444909527239494144167681587E+25250327147', '5.927511252266304071192365870452350811535308863957072944815654287734412457e-25250326972', 74, 1);
    T('-8.43856570262352199516843495166E-748493200743055', '-6.96538484371907945225533894109222507E+9737', '1.21150028203148875688878334822904774837521048467544084703506318199556242013966e-748493200752792', 78, 3);
    T('5.6527789489679711107060177706E+158985873117', '8.0E+917194038040910', '7.06597368620996388838252221325e-917035052167794', 36, 5);
    T('1.41430483165736976220123436916933957941664525925779E-3261', '-3.52168139E-7', '-4.0159931437107368824220477513706587165644909724720724948942641287603816993791e-3255', 77, 4);
    T('-5.628304608453187640448935144202711190E+3109', '4.981491902379740736983E+224868001593964', '-1.129843171232387995946588264124202393589882e-224868001590855', 43, 1);
    T('4.82204966103905610290989898716892846200096318857803308011740E+839917098', '-3.57917684465034517268031462232202343235144156894738499E+737051', '-1.3472510217667461821887206329352463552484819889038322101526397445e+839180047', 65, 6);
    T('5.798E+35783913577748', '9.47927156350981244150467030062363630657727332950145878421E-1093448482738909', '6.1165037430927043790676401479968809731774035812272e+1129232396316656', 51, 2);
    T('-7.0182313774E+919073339', '5.7027803381552025312227347689086257223874998334348627E+51798425391', '-1.2306683689784786436287221405531539037206904114103378e-50879352052', 53, 2);
    T('-6.70916E+9623992772294', '-6.85E+19354990695', '9.7943941605839416058394160583941605839416058e+9604637781598', 44, 1);
    T('-2.41638E+164901', '-1.6812783738295096887483255105309742714539477754592E+472759910001', '1.437227789052042736317881604632176212450734564166921726258370438e-472759745100', 64, 4);
    T('7.693728044709441226350E+1653', '-2.6959055350035803597652408196935789E-903', '-2.8538566892697979466420640155363363243249243554301542511016012490355814743419145e+2556', 80, 6);
    T('-2.59226782587655847917805E+81218078001', '-9.5797956931801397338240911461142268E+89676', '2.7059740195941704152746277e+81217988324', 26, 5);
    T('5.96426364452158286937718480747191E-7880', '-5.7862324988852535466001177E+84255092', '-1.0307680594705843410111670524540943e-84262972', 35, 5);
    T('9.95831710998009955820471037399079676494161623774451381E+6354208915200', '2.80222205790782153446124025364673323E+4007816', '3.55372162e+6354204907384', 9, 2);
    T('9.1555970488529781366890816642678309069544334369214728232E+326', '-5.0965980452279654401171897433286726467208', '-1.7964134050998047589140581720393570405793484090599392981004184e+326', 62, 6);
    T('5.166E+174689', '-4.37747897832582137636857706093333739530028333469451212710635E+445618539145', '-1.1801313097283566195046283396130579411857e-445618364456', 41, 0);
    T('-9.48074815036598539437649759558055E+572028', '4.75514713872075487E+34224887693161', '-1.99378649572e-34224887121133', 12, 2);
    T('-6.94130054098673086211957477182434851624672E+765321499', '-2.148E+186', '3.231517942731252729105947286696624076e+765321313', 37, 5);
    T('5.87558423467618E+57086464976009', '8.3495771182781405259946396E+37', '7.036984210630118466586437378950381061679652076306519928670972006560944e+57086464975971', 70, 3);
    T('1.759500904706842011487225411E+367719664740', '5.4990116539232797292370182241525E+4998039604', '3.1996675319855395007820265936595116e+362721625135', 35, 2);
    T('3.5E-828959', '7218644419.066414051551899461', '4.85e-828969', 3, 4);
    T('8.59762261685930572887608930208875E-53943260969', '3.2852531419382527461270407258808590020467660921504E+1503501', '2.6170350488689679355104727103725292716302677154975109440109e-53944764470', 59, 4);
    T('7.70472102158363822117358345860660234735721599E+66357', '-7.4E+417', '-1.041179e+65940', 7, 5);
    T('-4.3444628764998124296E+9723266', '-4.5945826301699110452115056382084333050207946927E+113997', '9.45562029502373101701065555935930530751331276421431688e+9609268', 54, 5);
    T('3545.3', '-3.1162655262844173737662476387635438114E+7070', '-1.13767583991057674249524903e-7067', 27, 5);
    T('2.0690095022891769048511947026886484342755047018991825536E+69510', '-2.90377570553793157671251430E+94145969', '-7.12523869644362843860938147893811795253958776558114154708772190537161766e-94076460', 72, 2);
    T('7.60012004320763198524955669394482185E+118409', '-4.93816884253259093710131E-6543546', '-1.539056335568678501908000574073003864583053360733540198941017837749e+6661955', 67, 2);
    T('19192372.867535706111927092840400034077', '-3.0884351606122606303350718108762494527381032595100003E-55', '-6.21427093963369872701e+61', 21, 1);
    T('7.6980100843011537E+59993546', '6.57789091452364521963058135243279132690780548910468026E+76249015', '1.170285458414085721047924405092666054688174410957421440820442848e-16255469', 64, 0);
    T('3.3189693628903437008652073227353338424275385337317E+8977112303281', '-9.43878003274906531313492340269558E-7234216', '-3.5163118023460142234775335418506907132501317548797379857848298766966080158e+8977119537496', 74, 5);
    T('-5.6008797332091053080E+90849', '4E+311572004913678', '-1.400219933302276327e-311572004822829', 44, 0);
    T('8.6245290739578471793674040266822909014089136496176263E+32588249995', '-2.04199714324023175848734285033126885386296831453252E-1706246566', '-4.223575484671092026880880029711203922228587887689e+34294496561', 49, 1);
    T('5.4637674585403E+205', '-6.825907678180718720399E+887281445399837', '-8.004455548095745140820444119e-887281445399633', 28, 1);
    T('3.61385658574841790179305730009841890946975271E+834625', '2.6540663269116265845025403086703103412379030987E+82570', '1.36163009533889082944621027624426192578e+752055', 39, 6);
    T('6.664008202E-23742202', '-4.84464748834425790564119730089688573018E-9870989435489', '-1.37554037069424427704818867032938184718585362801392067406988301277813475507e+9870965693287', 75, 4);
    T('-6.2480642582833067452415902E+18128', '-4.93197167587993514113863E+2706', '1.266849176940693122681e+15422', 22, 2);
    T('-7.7656338110063090568678043212501371175264125E+569785382130', '4.7118752118256863122213745248473065264E+7752774863575', '-1.648098360397239475935966974815792073217515822634626403831428511488609640362083e-7182989481445', 79, 0);
    T('6.6278992E-9883', '9.9122372540190284824036547924667456328181040225349734E+5387959', '6.6865824840024318976881678029885902395397006319727241233636355550890692240408e-5397843', 78, 6);
    T('-1.245276596E+659155515', '-1.1850024888268447825761887429701788148E-456010397', '1.1e+1115165912', 2, 0);
    T('4E+6285512192', '9.0941784189024370749204167381650375266584411034065801E-306707588347617', '4.39841821e+306713873859808', 9, 4);
    T('-5.18785721E-64010167840854', '8.9173878579462026325321380190440064274916E+260672486175', '-5.8176870768014738e-64270840327030', 17, 2);
    T('-2.3680560E+3285856545826429', '6.781E-31031749754', '-3.492192891903848989824509e+3285887577576182', 25, 2);
    T('-7.60147158988101083189054618106102E-9019708', '-6.805484354985712265E+4556839481', '1.1169626132946961565256890928009454760476530868e-4565859189', 48, 6);
    T('274.31735956632', '4.236880400073164644774395898426862511388146740254595425', '6.47451269952257670012401474135305189e+1', 36, 0);
    T('-9.91021318668445468075E+61793180290710', '-6085610946895.3', '1.628466438811760458222e+61793180290698', 22, 2);
    T('9.8344116818553244000212060720365413358269372E+71213', '8.936219052675E+2692652', '1e-2621439', 1, 3);
    T('-1.86791417887432018474652234253217056611638067780748620384987E+885', '6.297347472527608824419518898491849242690E+3655403880634546', '-2.96619201500815846444120194812091129404691529437592935004467915258627225e-3655403880633662', 72, 4);
    T('59560777.0596373446871', '3.7146508990772184285031533042817278323718443451900161154E+491709933600902', '1.6e-491709933600895', 2, 4);
    T('-3.66771725396014111922983868665095789484259251538512E+2025', '2.3172251188926745802E+862240', '-1.5828057550631171158790824874573809886478207837001642652941503553162774330209e-860215', 77, 0);
    T('5.161908418681194943412E+1369657465564319', '3.69436457338500363586E+13674', '1.39723850100466331002834363819673443464475233551426458077335e+1369657465550645', 60, 3);
    T('-4.9671690352327E+723301218156', '-9.6355488415568922177052031409857E+271', '5.155046e+723301217884', 7, 2);
    T('2.3491450257894302067670451721564158904825041925E-6405', '2.88907752804234913754014725654715343353878774831963402019', '8.1311249109373003784829724293022265867736334712e-6406', 47, 2);
    T('0.0798173998008515251032443893961153733442399316544796483610030', '6.298E-22', '1.2673451857867819165329372720882085319822154914e+20', 47, 3);
    T('8.69807606529571626457362E+3957963', '-4.3971741778684757447240928627643949519261073574840E-93487', '-1.9781058728749510013975152946861905221234405033581963384847254232232e+4051450', 68, 6);
    T('-8E+4090769717691050', '-2.163766552178789504174E-4719442188760', '3.6972565233270919604224763e+4095489159879810', 26, 3);
    T('9.9705E+127', '8.831215648735235353993904560668030427564436848E+82', '1.1290065146838450859121177640722806947818535140390216604353449884e+45', 65, 6);
    T('1.38932302160369634095339847986196753131699244880959E+6285855768605398', '-9.4961041666110726838579866547538650731740E+1083693', '-1.463045262802242139409542075708717671218532880437244893424439835262e+6285855767521704', 67, 5);
    T('-1.5080234985701161574255638218425036640513556836182E+1482114103', '8.37870258410146068852127708607605711817610E-54', '-1.799829369086e+1482114156', 13, 3);
    T('2.8449283779660416755927790789352737824344007E+5528614', '8.9836E+8945802687', '3.1668021483214320267963612348449104840313467874794069192751235584843492586490939e-8940274074', 80, 4);
    T('-3.30443540731265169200498E+7658498501515', '-1.524291946950479928797E+426', '2.1678494161984861220634074597950934964100117952878393111294995659825232e+7658498501089', 71, 6);
    T('-9.769814302861193010230783E+76222496584', '-9.1760567635E+15897', '1.0647072652953726478e+76222480687', 20, 5);
    T('-5112882.030368121611300515321508090942518632884225192', '6.93829796968433423498466931416286133725E+938', '-7.3690724334814608719050823798674673285406297078094604233421077509831127706e-933', 74, 6);
    T('7.99918663216146449E-311', '-3.570235062720945342E+833', '-2.240520999775608419465629029433993223757540278414429396722e-1144', 58, 0);
    T('-8.04205761628674507566600587254385546701502358270705643105806E+780871743505344', '9.78E-58418497', '-8.22297e+780871801923840', 6, 3);
    T('-8.771235740092792911614664787803219575996613150427523765E+903', '4.0306644269128053E-723416001692702', '-2.1e+723416001693605', 2, 1);
    T('4.71756E+2887', '-4.5700234987756107253184573E+583', '-1.03228353229779166023452484e+2304', 27, 0);
    T('-8268052094.27834801231', '-9.3406443013586628687364525951678803E+3872', '8.85169355295512246058508306045929393406398280500886597269526321176e-3864', 66, 6);
    T('8.1788162221E+55545995736', '1.3738791977478383772E+849847', '5.95308250937004065929895945505e+55545145889', 30, 1);
    T('9.253356208471084079073296731262098462389465813660258816E+203130704471', '-2.12834001886414841792E+38925', '-4.347686989135040191590704526453e+203130665546', 31, 6);
    T('2405437.59599240678651', '-3.143472062005881E+80153979422', '-7.6521678848880017390684141101084609087e-80153979417', 38, 2);
    T('-7.4094986473261892047625500E+398076455033946', '2.845533476931862882904322941607634985646E+25419', '-2.6039049293896645939345539033365089552960814693415e+398076455008527', 51, 5);
    T('-1.37447108E-47746965858', '4.6717200688799683767785186513802649E+63962750', '-2.9421092439931349294746070346341670783693711632580142e-47810928609', 54, 4);
    T('2.778650549471718992156E+880585030', '-4.04E+50031941773980', '-6.87784789473197770335643564356435643564356435643564356435643564e-50031061188951', 63, 6);
    T('-2.7162708666983365603443947761733627117230113234356541530014E+97405990009286', '3.400009543808311097912672806799852E+3662991060', '-7.9890095357081650798180916804e+97402327018225', 29, 1);
    T('-2.10248324541173826337431593936636480423807312369E+30579443734', '3.659701507334401468898776035E-270214479000', '-5.74495827e+300793922733', 9, 1);
    T('1276794375.79559036565097556', '-6.94136947156894322184299269470017674E+555018', '-1.83939837956356356242545870613548241115307331373961599748386802547e-555010', 67, 1);
    T('3.75905861E-866507', '3.89336343158850E+893144789', '9.655041652421070368745187941329245226716092609253661914166733222062997e-894011297', 70, 3);
    T('-1.791875374093204690462927037695335875655636E+379', '-3.17834063396604835276483E+8742506785621', '5.6377700833696916092388960432e-8742506785243', 29, 6);
    T('-4.70596475712058710175888226216759057624131121293E+5432301304877', '-9.4014268118895902E+5863202154', '5.00558569595962906201078301544158251891004713667247e+5426438102722', 51, 0);
    T('8.2451889252656597789997965122232016651254056180076E+289421211959', '3.00353524094193306624776324089476619725796418839209942749438E+832003204895', '2.74516137279611259356392139603570457845e-542581992936', 39, 2);
    T('4.398773257562659796777806063117883869E-681113', '-6.22688962091805584115744237176610498376E+8810263434827362', '-7.06415807144840739724e-8810263435508476', 21, 1);
    T('7.93725905837156722815937496083E+310715', '4.231812768937491E+909621094360895', '1.875616784521501158536494192602347081e-909621094050180', 37, 0);
    T('-2.06616948693273921299314960909479875E-7', '7.43055249324094758721200850965389153080241660365903E+348716471983884', '-2.78064045548724495381581097070610150239527951e-348716471983892', 45, 1);
    T('9.607483663957E+65470882', '4.6107689684236430710639726083854912635941165E+6920488307817629', '2.08370528424929155855904557489370413227927899838011299645e-6920488242346747', 57, 6);
    T('-2.76161E-38', '-1.5666609294289090895941565081919374234675636475550961231202E+8654', '1.7627362424916555782941081471942979e-8692', 35, 3);
    T('2.6019296531810404650961866E+5194558148654', '-1.8738289314688446450307669993033358452984181938E+164272195443970', '-1.388563069704264324637998994973733e-159077637295316', 34, 5);
    T('-1.71000E-73002088085308', '-5.89216E+8', '2.902161516319991310487155813827187313311247488187693e-73002088085317', 52, 6);
    T('9.1231846855611594E+315456769691301', '6457870848657142138.318917356503739121214', '1.4127233107268235325873142742229475177952374445032e+315456769691283', 50, 0);
    T('-4.30175258946418279118E+82850', '-2.5625E+5', '1.6787327178396810892409756097560975609757e+82845', 41, 2);
    T('-3.28630711383988097130939E+576562', '-5.1141379588109582883204524072933202757522232E+2765464259309', '6.42592581644776425722561930535307e-2765463682748', 33, 4);
    T('-7.495398855803819568069475069033279E+563', '-7.9156603527E-4101', '9.469075884802420911317678534523662066524381938695003350607822751435e+4663', 67, 0);
    T('2.7639046430562440E-31826', '2.9066419608471031949439638047471538024488E-32405858423016', '9.5089270721555941127e+32405858391189', 20, 2);
    T('3.228878510768220284166E-25', '-3.168948127E+43', '-1.0189117591599568282128589099495852997280696731328982085291167658169748e-68', 71, 1);
    T('-3.35774397350317025465554251E+54094679473', '-7.0067E+402086401982675', '4.7921903e-402032307303203', 8, 5);
    T('-9.589395253120E+9592582602', '-2.5991388537262215519801519899616224464E+4183599', '3.6894509269377003237328363397835745e+9588399003', 35, 0);
    T('29.994059', '8.332481276E-841243', '3.59965513350647702073516186560705330050597043789864738e+841243', 54, 2);
    T('-9.328471116715860789802840498097169014585E-3716847926', '-4.24193477142147986841871288195531929818108711023493E-687016256527', '2.19910762880257e+683299408601', 15, 4);
    T('9.1432327E+410', '8.598336364076605678965433694612E+97895770049318', '1.063372298180836746e-97895770048908', 19, 6);
    T('5.958793569650715584741542035589129501142E-871', '4.722973864449913531E+29', '1.2616613474198715305441397834751264293257436534293370215619653e-900', 62, 3);
    T('-6.0988418747541990798176647513393555381344660254962865416E+589538614234', '-6.689455612839E+41948', '9.1170974556565674140959959e+589538572285', 26, 2);
    T('-3.712643134609568027708666879109784546181533741857369E+85096131201', '-5.95236549001537486869320459667294558E+7618', '6.23725666852486628384143195884561059738679616402e+85096123582', 48, 0);
    T('-3.885161970903702662179480478035308298339693866022E-5960600689413', '5.711257504010352792806E-42269', '-6.8026e-5960600647145', 5, 4);
    T('2.363339562033324841696362E+6047', '1.6987403099009276552637692771393204084794467297329052626E+22908509', '1.3912306361713152747230282224621754768551125321894994136e-22902462', 56, 3);
    T('-4.00143467622598993710991008532591562260988998785820589E-941', '-1.7537783905238027903E-11315158', '2.281607925976826147979080011287214461954164891934893284263928541034e+11314217', 67, 4);
    T('6.054913450486521836429495406442511188599014E+611208550459070', '1.25243E+76182401', '4.834532429346567741454209342192786174555874579816836070678600800044713078e+611208474276669', 73, 2);
    T('6.44033764457729588555451826935040677941812E+186078', '-5453711.448275547057987251577466557498818601426536844896', '-1.180909130535998216399409462540742632409370138286086e+186072', 52, 6);
    T('-7.273609039663856063276102399659719685983010766909246072640E-4680', '-8.0296097785225E+41226544864', '9.058483837059198971686017658166109e-41226549545', 34, 3);
    T('-3.94054520903458232375774961819685E+111794', '6.8173886695614827576001661452148665251074E-5127517227', '-5.7801387012427023207311140607732303758556640426129786731322124377101112908e+5127629020', 74, 1);
    T('6.819121432883647633835676054618283323246575833E-845', '7.7244481219078681202594945435851E+12753704', '8.82797233571087397665391218871310478269013e-12754550', 42, 5);
    T('3.30956987606719E+9086291400', '-4.16883452783531067852712224941540493637157079482678435325E+927181226', '-7.93883723129136e+8159110173', 16, 6);
    T('7.55760827216598979043650477455102748916071E+9684', '2.381373603811446636189069372357E-817186503022532', '3.1736340152884255953665672106188711161225854256903e+817186503032216', 51, 2);
    T('-8.2093192815333722974064991791104E+86865', '3.56433047490488390315963601320076235E-8189585540617', '-2.3031869068629059841262698108627665549916e+8189585627482', 41, 1);
    T('-2.06289759327369992367328066152652713E+445043', '-7.21844481861548274240817162829879106432223E-7', '2.8578144532652523159793170130097368396582640043e+445049', 48, 0);
    T('6.128436881512753793206888621152444794006917509908738860420E+57003656', '-5.5152063136975489818828310126017482213020215732E-606989693664', '-1.111189053126115574295002748132267272686217415223329489769199543075357081364421e+607046697320', 79, 6);
    T('9.63013975380284786231408890475831E+4822964604527872', '-8.01989110779761230310062636095072853811E+9358178', '-1.200781859e+4822964595169694', 10, 2);
    T('1.688943644860071926044739130197443157556086682786240906E+4761', '5.00968599995284543583210343522161448282550020E+5000', '3.3713562983308123697473002955014325367372952978773040814400773505718e-240', 68, 6);
    T('-5.808E+8644910400', '5.6508707710061042405913077596004992956573238274E+2898584740681', '-1.0278061975510227118745256057712567393266932e-2889939830281', 44, 6);
    T('8.28898339234096417868727089028508193473913257519889410E+834694', '-6.688013822214226126567211600618E-75493', '-1.239378926641736362111810153308e+910187', 33, 2);
    T('-2.4015401141556709265901130419E-6124', '1.6420976207746629078697623709430435949649046457195923773309E+82495915', '-1.46248315798e-82502039', 12, 1);
    T('3.55734711868582996E+380361789228055', '-7.781247782876079E-779917306', '-4.57169237884232381490254358212442212666143554348730752326e+380362569145360', 57, 4);
    T('5.387609589637570940954679E-70818130', '-7.47836052324570300889313202711506294224926285134878842524E-513438', '-7.204265658082075e-70304693', 16, 0);
    T('-7.64712356649410386264041277852228997759376916176196E+981836455216743', '6.7019355979419749668767464901376652379244797994832343443E+65', '-1.1410320876318740607689061491361148968050272071526280055159155706821056260631675e+981836455216678', 80, 5);
    T('-5.492874746511135684488E+3764', '6.85161920861473998885564E+954638463', '-8.01690020893861790046232470722517220993182646963564720707871e-954634700', 60, 0);
    T('-9.799683454797753839818800289052E-69760015658', '6.71735607139775969348158720414098065483234406966E+832792597', '-1.45886020491e-70592808255', 12, 1);
    T('-1.615253029E-5053897', '-42852.8018238910996830881585882178679256487946328288377', '3.769e-5053902', 4, 6);
    T('5.70420E+162964927101373', '-8.47E-6718139817', '-6.734592680047225501770956316410861865407319952774498229043683e+162971645241189', 61, 1);
    T('-6.93E+9269', '1.49835827160456182468E+431533469', '-4.62506206381388476310712154616371390641105371969788566882609411759070160775e-431524200', 75, 1);
    T('-6.0043298262378724263665059E+3274857', '-7.163318035348282861788707E-601', '8.382051162057528204844573259876996521887303626e+3275457', 46, 6);
    T('4.872581208445282093113E+743681653680871', '2.49486346631887229466188055051738853208962703478168E+51722', '1.953045236433194888506613e+743681653629149', 25, 4);
    T('4.35083873714604963E+42', '5.08624773211065327854884851486758467792205933E+36160816404577', '8.5541227370389426745361272582209e-36160816404536', 32, 3);
    T('-1.76506132337586692400447872424320383E+4879214512411136', '-0.000002', '8.825e+4879214512411141', 4, 5);
    T('8.47094268093944930333754424858368203605286417411537381951241E+775432654557264', '4.163596488457715E-268170734252', '2.0345253687341030642610663727040371260085076287018882100279851e+775700825291516', 62, 6);
    T('-2.654636842884792219027604404562128863655670871549684128836E+4222194', '-1.5139284226724143699953409878382659023828E+6196894785', '1.753476e-6192672591', 7, 6);
    T('-5.464134615263138989715720118441E+5169085248493', '-3.832383310728191981251178124680466071710543046E+43175761', '1.4257797752033570959222573555065525733356385056562516626432566656914572865e+5169042072732', 74, 2);
    T('1.322075790467516899810132933212984662609085759048719E+24326466385075', '6.61260057532320E+4053994801', '1.99932806375939108765756566698403999738357338532167718021650414525e+24322412390273', 66, 6);
    T('-7.0027481652459107E-2157', '-9.0441863416615219753630119241602800800152436258E-825530', '7.74281720953509744417080653482966639741782328e+823372', 45, 2);
    T('-9E+9425', '3.4939168222005E-8645993', '-2.575905626263e+8655418', 13, 3);
    T('2.677E+7749135469851969', '4.52193070311096781075104523443945612E-9430060099', '5.9200376471012599643408122946104444050751253196826644453e+7749144899912067', 56, 3);
    T('3.63950347326559083782197115188752186775342773532E+9555672483', '3.25543061657215687261726446429782751677885789650304151711228E+89', '1.117979125323164742831577657436261241445e+9555672394', 40, 1);
    T('2.99194664478839462725E-84319562', '4.49644134411971E-663690436272393', '6.654032e+663690351952830', 7, 3);
    T('-2.98651738018633767841944604098214455239347199224E+790', '2.539058470401832E-48602620947', '-1.17623025030758378891441953753632365968562196341276e+48602621737', 51, 6);
    T('6.612028853599181959468226318867112756733234082953767345E+46329', '-8.415135029862795572885945E-387297', '-7.8573057118335838187416919177874716373231e+433625', 41, 5);
    T('-8.59029E+216262698', '4.826452212576112779697590955890727505471814926855469E-58330800422053', '-1.77983529550268635e+58331016684751', 18, 3);
    T('-4.6894581E+282562103', '-5.7112391765E+6163', '8.2109292836057082261121445086095143681468616568276896781789e+282555939', 60, 2);
    T('6.210067346794692805476991707893127227989561883E-9341639', '-4.13003040048623331446812786553686154E+5455854047381807', '-1.503637199877166595680056527e-5455854056723446', 28, 6);
    T('-7.6270740814234817423E-73639', '8.576717400424645212331290E+59090630785', '-8.89276599115397540327887514925260986863946750683220646e-59090704425', 54, 4);
    T('1.541017829974085984784957E+9430', '4.34002044083153475841743527882501834E-486921858', '3.5507156037238194219421846686212e+486931287', 32, 6);
    T('1.8603652336899E+84294699574259', '-6.926334434153E+18778', '-2.685930417273300933732704734877792673382e+84294699555480', 40, 2);
    T('-2.60992057114245579468E-5072', '-6.825661850632832520801648074344793006712030864239922E+62200971318', '3.82368864478758252915187069286e-62200976391', 30, 6);
    T('-5.9214804775E-605', '-1.9878073342637E-42828', '2.97890060844018593884226154481392794309539819889091097143e+42223', 57, 3);
    T('-39.59529587', '5.0207786167439909498729885839E+23856', '-7.8862859513367308016145717721207979030466415172698923726e-23856', 56, 1);
    T('2.675961635623219980807813832E+52', '-4.270654609498947789129975891383627837705950284675E+282085', '-6.2659284824187074981808202700516079751596036900227497765836935005355e-282034', 68, 4);
    T('-2.791029345326879227532888521271245095778653029055808443905E+786', '5.08798527630499425779950051802831262959250196321E-95', '-5.48552952447571848464094620592810836693441168257370968e+880', 54, 3);
    T('-7E+370', '4.897456100780627E+15545238658237', '-1.429313475394754290833361250999192357e-15545238657867', 37, 2);
    T('-5.526604091626953E-106', '6.79923397029422164095863502311E+149641626808', '-8.12827462001252704400426578413046983624814397641622037159809649897084331e-149641626915', 72, 1);
    T('8.537800563418342990122858041735111412696594E-82979661270058', '4.6617405914007494E-5692', '1.8314619606177879897140882920335e-82979661264366', 32, 0);
    T('9.752600677000272858841701262576122794438239567633865581E+42428807', '-6.9803578815059357859163482598391811893677544998E+228529', '-1.39714909215e+42200278', 12, 5);
    T('8.980499874118078485041231668820760345607257489E+8160476826', '3.161599875791825762342221533050459437503145696377882321818E+17262763518352', '3e-17254603041526', 1, 0);
    T('-3.3083347282905793909255701376222397346E+112686298477', '-9.41151086380967282825490589141182217966941996028869E-331206022403', '3.51520045629677255082428287e+443892320879', 28, 6);
    T('-4.872049613152020334500058125044029288616601781E+729251989733', '3.5987648034602E+295', '-1.353811621272821542150195818547497662886596636679284602806590588351e+729251989438', 67, 6);
    T('6.208126205993430913477291169520085563233245864383725E+954595512', '-2.4395918404687114954229497301225102E+5887200', '-2.54473969908043e+948708312', 15, 1);
    T('7.39797484856869053167481018356931273464399042988557147544455E-6065883', '9.74205826356933325891139809901681E+7280', '7.59385e-6073164', 6, 1);
    T('-8.46634922930014717730824325871E+44475682', '4.90213434582785904418368498776254822793036077E+6121418825804590', '-1.73e-6121418781328908', 3, 0);
    T('9.71768701451463365E+613787240445', '1.65E+6902', '5.8895072815240203939393939393939393e+613787233543', 35, 3);
    T('2.204935593662773', '6.023017529045287E+807406511682', '3.66084870752863139219699104251794630077648737421e-807406511683', 48, 0);
    T('3.736312565222E-77773362314406', '5.5706830395029629760463484812676468E+413570', '6.70709954008686101709453536312565409181215372596319543e-77773362727977', 54, 3);
    T('-67.38005053948975218757228918228431', '-5.479227180941552349209311080923436959832736220247E+9755', '1.229736390085419679890718503647960150957849815969072873842866069248148444e-9754', 73, 5);
    T('-5820369586.386170122758250378882054219246131568248787719', '1E+322', '-5.820369586386170122758250378882054219246131568248787719e-313', 73, 0);
    T('-5.6645741465653195374608569068978927133592378E+60943455', '1.3178554016933471206E+567850621', '-4.29832752e-506907166', 9, 2);
    T('1.600712801180133807789129213616962350758971737016312664115E+73795372996406', '-704.263409388356547624', '-2.2728893477091643e+73795372996403', 17, 0);
    T('-5.05153751103620161327537866242E+34490', '-8.081807917383226530256883987517457815057480965E+51957411147212', '6.2505042964097283257524048516708224006414897961424567171453545732082489084014419e-51957411112723', 80, 5);
    T('2.013666302808196133786419E+3307047904245', '5.89255890227733317665261540684981768899991E+1280563049', '3.417e+3305767341195', 4, 6);
    T('1.1457730268120363580629382E-72587311', '-6.933476E+33251929360127', '-1.652523246365944524886129554641856408e-33252001947439', 38, 4);
    T('-9.5256075097776960300672731327912040054073433591E-9', '3.965910362041680098598785754795470077187208579147E+650', '-2.401871610853514743282862495826625556514433741993e-659', 49, 3);
    T('-9.809316979779676633106219416294676035460262E-81163', '2.844968007318651592459722308483986621267168460E-49', '-3.4479533529183130833259876554350696058230123e-81114', 44, 5);
    T('-0.0017049451880', '4.575220576452707064174025290853717625552547000003769736E-77138898079513', '-3.726476482412330751839485728485779874163613266839377e+77138898079509', 52, 5);
    T('9.67823002520206857E+8688350', '-7.9888874703794887190527703273039061921064E-4675111970550', '-1.21146155344986134557477161016370728451861837e+4675120658900', 45, 6);
    T('-6.619315160922696773441E+88704', '7E+5168041699105546', '-9.4561645156038525334871429e-5168041699016843', 26, 5);
    T('17984.0041351244906088', '6.90E-13', '2.606377410887607334608696e+16', 25, 5);
    T('5.3732084018851999133570902317E+234233', '-9.6728627408568004432877667993161852455943510E+6195747', '-5.55493088844270438659406480281125044604171417698927495217740902057778407338e-5961515', 75, 6);
    T('8.560056650858225967923043733026665836407099090996362E+74', '-1.800353661188953760E-4810195528', '-4.75465285e+4810195602', 9, 0);
    T('-4.285055460248275425642117709452264984748591846986622666E+1533005991', '-1.282157785889568E+6665765250', '3.342065623596615913376467378094021128727342758010784e-5132759259', 53, 1);
    T('-4E+49860643030', '2.0434832246202918E-8', '-1.95744205374783871731214974531582231017547468289914e+49860643038', 51, 0);
    T('8.046332761628944178521E+13821494177', '-7.69513501851E-277942340', '-1.04563893190621965033e+14099436517', 22, 3);
    T('-7.210288416E-52449', '5.85106043606298923587604271637774403162432E+492298501', '-1.232305e-492350950', 7, 5);
    T('0.005762240474026066557583140883741083210568038803682077', '-2.365105365055526372157409439E-62329259217', '-2.43636e+62329259214', 6, 3);
    T('3.5291696796690042950337094998916230907615408128180065544079E+27800189280559', '4.7445181768796381868691E+298748810691575', '7.438415341871572327565657638257932667452772549577e-270948621411017', 50, 2);
    T('-1.5969421078371284377075887956404703125837605721385604331090E-8302412279', '-9.22717941034837196325892884327166100351677383E+30847613742', '1.73069367878e-39150026022', 12, 2);
    T('-9.67979752448861777945060591757901634295153815392800114E+92264', '6.665797676126911610E-5856544036055865', '-1.4521589155272647902530167860065865094346462113368485623e+5856544036148129', 56, 5);
    T('2.519328093772235055816939E+7609859', '3.723856275628850522011E+498839010', '6.7653741371820107e-491229152', 17, 5);
    T('5.64278830482455802569314030040826123311E+57930', '-7.650679472519928414683E+372', '-7.3755387676252695687428204249563201e+57557', 36, 3);
    T('-9.3788295E+1947', '-4.821771478124067217173876171513934097742029212E+580532630', '1.94510037287144050952760052623062881326839061209512236658104495306432666372e-580530683', 75, 6);
    T('-6.60963531816733986490668607873911353649245267436E-734537559618078', '8.947452447415141218754659882478E+3654614', '-7.3871701e-734537563272693', 8, 5);
    T('-7.12696566E-7766904885879716', '-4.65252320569935843370623615692387423870878424776183280E-5241', '1.5318495674066580149093322416766627106428946290783937e-7766904885874475', 53, 4);
    T('2.6884594E+23672138', '-0.00074', '-3.6330532432432432432432432432e+23672141', 29, 5);
    T('6.50845592714555028753248502308487128499264869E+8731', '2.140248504417883580922556677175227E+90513660', '3.04098141580795333847630208609179323198424634439760971200339212273431104839e-90504929', 75, 0);
    T('6.8169769409635590042694598791980358477377631503347785405E+76602054951302', '1.2980860650284351397875361310E-791607852', '5.25156006571431005978654507973025165496033035688827966527177583e+76602846559154', 63, 0);
    T('9.084532454924134710099130428625573084E+6988322615776', '-1.4175229749875665808156702638679806913524E+5880463', '-6.40873736455934e+6988316735313', 15, 1);
    T('-9.5660260977770652805065045749635466829209610E+65608152', '-3.4910258840996006771718660859265854983269963344921593274E+5434', '2.7401762162e+65602718', 11, 5);
    T('-1.10878885671117E-59096', '2.66000309316700058838402881367479394276704811877181275E+595256', '-4.1683743133961758280774925840410121241306870314e-654353', 47, 2);
    T('4.330513269931534E+9613202217', '-4.1021768365472146494930086379431753670931642078148731898267E+414', '-1.05566225993721645266622014632173887104173325536e+9613201803', 48, 1);
    T('8.003151577601843006815712700807945627686263909482532456E-734284324861832', '1.898594512332568319932202328662729353208587304E-743', '4.2153032285811045755733789412973250644329428938729845e-734284324861089', 54, 3);
    T('9.1155916339901410764973680373276174130E+595274167199880', '6.4698774733824958621146125E+8697290069444', '1.40892801625568465232389713318666945620965e+586576877130436', 42, 5);
    T('2.763374850976423285351835492441530970907932850E+887998', '9.86843786482087027062447083435950285855256522182802862189006E+517976063522', '2.80021507844451879950235647053220632050793178658126189164429452417882e-517975175525', 69, 1);
    T('-1.9329213832077355474811831834741006620806378727E-45903423', '-8.79749266641511E+51678686515287', '2.19712758680295850584276642e-51678732418711', 29, 4);
    T('-2.755182209924430469E-359835060130674', '2.4176531398981397267821225393468681882665E+85', '-1.139610213084e-359835060130759', 13, 1);
    T('-4.34291837143874533564891427040173200191059E-95992307', '6.5178807016257397346328E+843289844214', '-6.66308355469e-843385836522', 12, 3);
    T('-1.615181451727194726671041072400666983988490E+597', '5.631615305197109E-74534', '-2.86806069696669856088332399639458660258747191350467892064247e+75130', 60, 3);
    T('-2.8499059629174930269058644479709317253585560215655909E-800189859', '-2.07644986E+68873991996974', '1.372489660269231363431941693006221554205289609817783368002924e-68874792186833', 62, 4);
    T('8.41920662412341798E+934455985316', '-4.2674788390540E-232401395667', '-1.9728760098526367116844554358e+1166857380983', 29, 5);
    T('1.65492904628834785947402979285945E+625578400', '-5.659791160940489808489979780072956256603362655591543E+918051045', '-2.924e-292472646', 5, 1);
    T('-7.8172121407652751793544192905369714720353346026028987134902E-466782', '-9.548866804136847622080322651708470414E-97482433488393', '8.19e+97482433021610', 3, 2);
    T('7.527374947E+963307190', '-4.6387738E-50816', '-1.6e+963358006', 2, 2);
    T('3.842784E-326821209746767', '-2.3074681983179101761514460412620747804010496608337E-8526252617056102', '-1.66536813066429205202138630133066354256329551327724801e+8199431407309335', 54, 0);
    T('-8325225488801421298770011.50245670578995', '6.93030889766284179023662099882953860887875923217904E+1129909', '-1.2012776936406106404099508352886398e-1129885', 35, 3);
    T('-4.255926438679040802764760909589732826842692877E-7354365', '-3.14534492969426231521673383801905052400821731954660896E-847011', '1.35308735092934007614e-6507354', 21, 6);
    T('-9.1704670274334972304971754396E-5524063189', '6.41125877259342442809436954026500419904504411590817305E-89969310597475', '-1.43036919156e+89963786534286', 12, 5);
    T('2.7400311811627555410703250E+4277521271265792', '3.98888251405250798144228924E+860072675', '6.8691699279430993949807974768109273513870775175777373943787e+4277520411193116', 59, 3);
    T('-69892242576249802885562522156.2326499241359595', '-4.9393E-67549443845', '1.415023233580665334876653010674238250848014080942643694450630656165853e+67549443873', 70, 1);
    T('-2.24E+78570430927', '4.5494081699661415535644563508211210008904085599E+314000676305983', '-4.923717363475590149260006817414323008678564609334661518e-313922105875057', 55, 6);
    T('6.100349189010338E+2124587915', '1.732876910718217774580914422507753579571164526628137929E+267309913669', '3.520359208018966242611650748526e-265185325754', 31, 4);
    T('8.0558986413434984041236178705526542986133413302642E+77157542372', '-4.88849550245129E+884909', '-1.64793005072909322e+77156657463', 18, 2);
    T('1.17517569230727E+6108318', '-9.60213253821036146570131271542973978986532595E-715276', '-1.2238694765259909624349838571923490280565068477223299e+6823593', 53, 2);
    T('1.87652465114443523671E+94192', '2.396399186662215846967002192555E+3845', '7.83060126872318346534090131584896148449050271851530980138257337066e+90346', 66, 6);
    T('7.3704733594589206111117697765203052450506E+191694', '4.597830251399999220098323504433449606316028E+90431131895955', '1.60303294303105e-90431131704261', 15, 0);
    T('9.17367297292963E-940634367359', '-6.54927160796099640E+61231823', '-1.400716525755097831191358575545681548612474882847989150817434e-940695599182', 61, 5);
    T('-6.8081450956350E+646798655532', '-8.546360364159593801737680E-74365551046', '7.97e+721164206577', 3, 2);
    T('-9.715008131181967642415334668E+1957', '6.0584894873915514789413571391862713408083980464315930168E+5912896227', '-1.6035363519900584441267346297542969387808054613358054549788e-5912894270', 59, 0);
    T('-6.7964381550774488396602079633051731011E+300652775', '-1.274437060131194209164606468986463554606918426E+855016434', '5.332894316787840418898994443684072929722635603188668862868887106e-554363659', 64, 4);
    T('-5.0713286753247413951730443637975E+6501840', '555870138.40004', '-9e+6501831', 1, 1);
    T('-7.456733291672249945694344721E-68994742412', '-5.69081820923201888067E-7586', '1.3103095227282868e-68994734826', 17, 2);
    T('6.36458562853289690868352761779579559453157E+194123319811', '2E-88', '3.182292814266448454341763808897897797265785e+194123319899', 66, 2);
    T('8.72257300677254571867147920307771393908779618623E+263397', '5.4372451547655760946416671319295834743E+70080', '1.6042265445999767083035102736154762124133792704239961197373977492220712349e+193317', 74, 4);
    T('-9.3043044247842635259755360767E+27525555247', '6.6224212486336488512887007296463776197003852968E+2998929974791', '-1.4049701878e-2971404419544', 11, 0);
    T('-9.136322777070814299313281713874939076746678548916977184E+721504324782324', '37985.08979332838612568802288282639', '-2.4053e+721504324782320', 5, 3);
    T('-9.00195439771026E-993684452351795', '-1.01439534366210170757286904092529897306430953209E+5685772375873092', '8.87420713625519109045249023809e-6679456828224887', 30, 3);
    T('-6.91948636202E+4278166', '-3.8291560631776658213E+39095', '1.807052584918095702689629062984902016393067015549713228038891e+4239071', 61, 0);
    T('-9.824143568085271765207311869805625E+229029', '4.564827562960879759099102893402050694563875812478582E+875764', '-2.15213904e-646735', 9, 3);
    T('-3.0774110107255751726989143666066652187831176618810E-98212148633', '-3.656054108051275720083E-697340256', '8.417301603793482075593735197591509489719797572109e-97514808378', 49, 1);
    T('-2.640581141E+74119113358', '-9.96626892E-84', '2.649518252212685e+74119113441', 16, 0);
    T('-5.350611653231997729E+6663644318995', '7.667278346770418168455785677067547158774E-6430454024196', '-6.97850190281113509420400400786922265022314611822366e+13094098343190', 52, 2);
    T('-4121.5765046882536059705', '-8.19879160959457777E+39', '5.02705362076163506111649499345233823915049871204503860947008841141743110629616e-37', 78, 1);
    T('1.17205899446E+6600539933', '-7.31049114400255294332263653937799918963681E-18381306997832', '-1.60325615799636716964976700365132105112971032254078594893676851680201896708191e+18387907537764', 78, 1);
    T('-3.97662512827580282E+406318507612872', '-6.95649903886496272173359928382217542711831491675502098151E+693', '5.716417275498736345087904943e+406318507612178', 28, 6);
    T('-6.69056116836414705155271000973594384768E+71415728948591', '5.33382021206744476858105367938626707221713626149443E+98', '-1.2543657083204938454417902345616426296919929552508982656781268244267e+71415728948493', 68, 2);
    T('-5.264323355508353482185095712322355800586736867293E+6076012098707', '-8.03646559419252785462730044E+703', '6.550545502630614802280079720403483398202968650487719972196885358387417622198776e+6076012098003', 79, 1);
    T('5.09514928973328580725607E-67951699', '6.6136180930E+67', '7.70402708182697268917742753005983104927374e-67951767', 42, 1);
    T('2.83604006051E+4990', '5.389868716E+54935896', '5.2617981e-54930907', 8, 2);
    T('7.976905332325242203833E-71706398636192', '6.458263E+64', '1.235147180027391607284032873854781076583595310379896266225144e-71706398636256', 61, 1);
    T('3.2790919316897159332078457032007298E+9779', '7.8704274765835278014165214491103495341721701277005743120182E+544340459', '4.16634540048279087408909852601e-544330681', 30, 1);
    T('6.137094357438E+447395661335', '2.65509117015470299579198796995579531252227E+18538602285', '2.31144392570158436e+428857059050', 18, 4);
    T('8.050754816809761273383203170366387238926E+926789975017586', '8.5718013639494719473529362326707873E-3921286461910105', '9.392138799049774529695803736811910566474365675544688619781330083e+4848076436927690', 64, 6);
    T('1.8941010775946810437268404653232E+9487', '6.24026307204840945616410069976974096955E+22426492896172', '3.03529042882631113509389286999e-22426492886686', 30, 5);
    T('8.185988878994323286743669629881865211736404523E+84834446145', '9.2005056999913486678761708248951E+103560590', '8.89732493617391124277800991115141961761142929656468625989183727570127335e+84730885554', 72, 4);
    T('-9.20828808445882511990E+52', '8.5225981442092E+9904884', '-1.0804555053103761392353488058197438142429574107654152e-9904832', 53, 2);
    T('9.105540803E-11210200289502', '9.9166048034133909268668313265501595453190E+9271756990690', '9.182115233497845066139243e-20481957280193', 25, 3);
    T('4.450659842820589967275546265E-439', '-657620.85645431825664329341', '-6.76782039246310887271613058311e-445', 30, 1);
    T('-9.06404685117185147683206E+435219387599', '2.275294150945017090980772406807E+9384', '-3.98368133957853516474305800715097470973608e+435219378215', 42, 2);
    T('9.0407787180226190278771853399501911631721561531832952E+557506', '3.728813977011403100E+31315585447365', '2.4245722027862296302993056724569677160536351702857726101014e-31315584889859', 59, 4);
    T('6.17068682734355733961E+79450', '9.7563535954568760381279756033758628884713053480E+45563644805027', '6.324788013235792250579405236751866878699596277899e-45563644725578', 49, 5);
    T('9.7469351107283767741683938659602E+67790732647', '447.8651737238542691264364124619650', '2.1763101224606859625823020260248223514453978929153933081170201127190723820842e+67790732645', 77, 4);
    T('-651.533027443084014088825978774139031363925195', '-7.6318E+81', '8.53708204411913328557910294785160815749790606410021227e-80', 54, 4);
    T('2.994606259131990802803348128438054013576444418E+70', '1.9019388066131663527180645849595744292605415044732911071625E+249811', '1.57450189707e-249741', 12, 1);
    T('8.95642595134096395338212106259771515244058327968047706780E+81868829035460', '6.2727757879850577616E+459', '1.427825e+81868829035001', 7, 0);
    T('-4.2653907589817288222E+35898', '1.5024527501093294338449350843844921506E+83486843697', '-2.8389516799588857901301506326796344954060247000694539156930433e-83486807799', 62, 1);
    T('5.320663284657530E+405361808659', '-3.287527800549107831295023371992871482721E+463', '-1.61843902392820296683e+405361808196', 21, 6);
    T('-5.368759736E+3132988039402', '1.22969994593387478142520914879243458045898224264363189125596E+6734304432875', '-4.365910361915797609508577101128168096987651727e-3601316393473', 46, 5);
    T('-4.892440819041586216494335904312E+7077', '3.499427780268402218047199318359058373303696977891E+159254097585', '-1.398068806171031039e-159254090508', 19, 5);
    T('3.503928634252631090722576381502E+6440936814', '-1.6E+6573891317', '-2.18995539640789443170161023843875e-132954503', 55, 2);
    T('-5.6055537808082355093812765858834E+2612653774', '2.8094790125152355749952891717096506795442998072271180051071E+8293898347696806', '-1.9952289217458025234175862922389299766011e-8293895735043032', 41, 6);
    T('4.0728645990809132302984047877293389596E+71173074864', '-9.728651E+5296138', '-4.1864638777574745258087732695204494020805145543816917679542621068429733988813043e+71167778725', 80, 5);
    T('-3.296488906306555270231E+8700887381342', '-4.04056897464836340406881848594720644375503710140405E+719', '8.158477e+8700887380622', 7, 5);
    T('9.8498204500421397911221212866134805342E+611061', '9.212350416218470781172913077605757271817849411080243E-7816997921', '1.06919732804577148595038530129769680802251495353641717257234313504452665283645e+7817608982', 78, 5);
    T('4.0876992394086972726962395E+449174460612', '2.53331015273407197288441E+51', '1.6135802538812915286190637195001287066278253014749e+449174460561', 50, 0);
    T('-3.598629632607371847941E+140923711149', '4.96397479394317315721862376526518436005E+906253717121714', '-7.249492154952647455031439569027202852e-906112793410566', 37, 3);
    T('-6.328562931582272398707065082104E+478884', '7.37617293476549306445025003181228924E+8705063', '-8.5797377414436571900462276640326634727799349807453764378014838796423441425e-8226180', 75, 1);
    T('-1.5371899E+854124', '-71656890.24802877', '2.145208778499e+854116', 13, 6);
    T('-7.1930571967632570E+70773', '-5.075961136782902606586806839509672E-568171206196', '1.4170828e+568171276969', 9, 6);
    T('5.777777425733E-49446746', '-9.1477335E+506906', '-6.3160753707276234052948744079612725928231293576709465792810864e-49953653', 63, 1);
    T('-5E-97983314715', '7.291128228753616977129350125608090E+5225625768856', '-6.8576492459449252611687325443165e-5323609083572', 32, 0);
    T('-6.873026625E+4427155', '-9.085302810118120190174858260875E+716963', '7.5649945506996724311712388889e+3710191', 29, 3);
    T('-3.11572743452232396691008965063357873277862031239E+807034', '-2.62459286026937996503871980843546048973E+6595806239255', '1.1871279091274124293140303462742019753150250983e-6595805432221', 48, 4);
    T('5.6959144689E+4220631433', '1.0556449160E-619524444500521', '5.3956727139677713372324903992622e+619528665131954', 32, 4);
    T('8.109593739060575235943E+56603846', '9.95051234342318991112E+8982569797', '8.149925812031806248e-8925965952', 19, 6);
    T('9.72E+44606', '2.4E+14029674655901', '4.05e-14029674611295', 64, 1);
    T('9.2647360506501E+93264090', '-9.3832630928719049394684705704493618375E+2187', '-9.87368249078314210243214e+93261902', 24, 6);
    T('-2.288651777094840418137231317243282468955880492826347321395E+500843283', '2.22E+810', '-1.03092422392e+500842473', 12, 6);
    T('-7.47685400526480646771428121933E+9608319', '2E+750977230642', '-3.738427002632403233857140609665e-750967622323', 49, 4);
    T('-8.6743081740251346440891789000719341332685016218866963584957E-2502287', '-1.64158161601125E-31119482459015', '5.28411629943941108056395627021665526816460415948020982326933e+31119479956728', 60, 6);
    T('-7.647917654041717115283816832426136536090490546989897E-35', '9.815736242788383447050932085840972940554649863240931E+91', '-7.791486511937032e-127', 16, 6);
    T('-5.378413633601992333E-9542950', '-3.155352841121738161659775263296921E+841938828041', '1.704536355968972666326e-841948370991', 22, 0);
    T('-5.97844236793713297005327037409742748700351199234884447639E+590529923', '-8.066899026E+57', '7.41107872e+590529865', 9, 0);
    T('-8.41217798044442709536426873757894152329856859628899784334540E+193020719', '9.097389735358791252041099642796723E+52777296', '-9.2468040010959e+140243422', 14, 0);
    T('-1.86933273E-297917838', '-17726.760197452928', '1.0545258745411332031399191167480225780080005461918525849518e-297917842', 59, 6);
    T('68.7467458832', '-2.12155113004100429131143905290457627278642745747396060671075E-610', '-3.24040014448632670404217571804442443481385729513813418363320318652995709e+611', 72, 2);
    T('-5.56957926048671098144411214903800172333990771211828625354E+53032370403', '-40928.607648033062449905459991656151', '1.3608035016442521303342049585114983883035713930062373053609411630051e+53032370399', 68, 4);
    T('1.5081972954979833988084037E+354226791051', '-3.585E+387945790351373', '-4.20696595675867056850321813110181311018131101813110181312e-387591563560323', 57, 0);
    T('8.6879121E+7870985528718', '6.0374693395799985503850136486797202830009E-5688557214513729', '1.4389e+5696428200042447', 5, 3);
    T('-5.01992206925633745680749681910301012E+47146896', '3.70930278931390989773E+964', '-1.3533331e+47145932', 8, 0);
    T('6.7791848333573658716984038906469629585269658880329996885E-230', '-8.583902666633471822525588046076E-9314', '-7.89755557190643240168251907315383343352472929291321543934e+9083', 57, 1);
    T('8.465708781234E+3476814021865', '-2.01841024074143014E+3188967913252589', '-4.194245852678719916846040831140477957603801627674510457627e-3185491099230724', 58, 3);
    T('2.3E+963712553960890', '-4.6889215374003586893681371766204982888889012808390852721E+27342318', '-4.90517911561209579655151800504759732869e+963712526618571', 39, 2);
    T('1.61676581178661924116157517713E+407658177912', '8.67603208260320585894487374359E+3403741', '1.86348528497086384675078810091059922206249239227645322256e+407654774170', 57, 2);
    T('-5.56740711827819520418063688E+549618191092953', '-9.4864981721123710082644444414846939867E-7778161671465537', '5.868769505110749785241770583773974563444624108006206935197806617663894e+8327779862558489', 70, 1);
    T('-9.727050207476636847362523E+380389222', '-6.41139228945688305173464532680529793213495646024021856E-67963', '1.51715099752547309302084471353927860175437108825937958845204116e+380457185', 63, 1);
    T('3.3981489052582146655196327E+32201058067882', '8.903125009E+375636122', '3.8168046633323585466007834418356418699590563055520947e+32200682431759', 53, 4);
    T('840034433.097', '-9.76984000605979114724532676405151E+68174', '-8.598241450995763755944627312782699416847136203471905184311772398e-68167', 64, 5);
    T('-7.9673973486264807074938359957371112307548555414371E+319571846', '-5.33514333295808701907575429194E+62422729', '1.49338018707154998993673941045307057156455865180475e+257149117', 51, 6);
    T('-2.244680960E-1967886637', '-1.314381788451522171008132592075005491449070882717115265E+71619091081', '1.70778458718943950825496128188893781294537613704535315704e-73586977718', 57, 1);
    T('-8.552058819463322116932985090478677189265907997269493E-89135017828842', '-9.64716687117853408247361E+72769309167', '8.86483973343e-89207787138010', 12, 6);
    T('7.01692E+555502', '1.243143097458517E-9210513536181', '5.64449902376114086335316953037619189421481348678583087083e+9210514091683', 57, 2);
    T('-6.7928530295088607712560183277826949594E-94', '8.22076236467834290E+94', '-8.263045114520406e-189', 16, 2);
    T('-488204860510904458.3', '1.998665478863551E+7839320471383', '-2.4e-7839320471366', 2, 2);
    T('6.35247030910003562125494848E+1645357366634', '5.5817E+64082036968', '1.1380888096995602811428325563896303993407026533135066377626887865703996991e+1581275329666', 74, 2);
    T('4.83268492911299271346161710E-52380365114', '1.304503109014453416890E+85906293142', '3.704617410045167116283417171939171410759879105722482e-138286658256', 52, 6);
    T('1.3187293209231E+31450281', '-7.34298023490226738874E-97502988908918', '-1.79590476718838e+97503020359198', 15, 4);
    T('-4.0091396139504433027678552748104618252700339055483E+9605877110716', '-9.683515633360E-4832154', '4.14016e+9605881942869', 6, 3);
    T('4.295653750220870879896543208599078899515343465985564E+94162247', '6.55367841538593761879210990986332684595595894543104699375E+31812977', '6.55456901903e+62349269', 12, 1);
    T('6.8820106537862055949586202580303692570E+4913', '-1.0738652497944908482367244E+6417', '-7e-1504', 1, 0);
    T('-6.16505651608645919577734114120364756514202E+9279364597', '2.2529757556251427758106560112197766826103006159746E-7278317820187', '-2.73640606237940395155134433680524519841730102830493136682089989035573595e+7287597184784', 72, 3);
    T('0.000848476271329896483190112080250505541', '6.87840748996E+69796208', '1.23353592029603734173547230424036339001044187e-69796212', 45, 2);
    T('-2.10004260E+115914345', '-1.57038442260778206305541280223E+401', '1.337279311846883323811001558254256937072e+115913944', 40, 1);
    T('-8.8795321866063E-857662240299354', '-6.0692094076684407998762239612811632312189911E-479870', '1.4630459406108180773803447554523e-857662239819484', 32, 2);
    T('3.90114696958835866928873E+48101925', '6.44454734511540452007651324871235560035995883063637521712148E+269398670913161', '6.05340726148160466855074909361864891005648445766266e-269398622811237', 51, 6);
    T('-7.59150752318951489003364672992581276852944521640370978171701E+202497680', '5.62085517028794104E+23146', '-1.3505965361496091917263064196095592875254e+202474534', 41, 6);
    T('-1.850451678869804772607330086835085E+5929877', '-9.010264394410114131371474787E-518', '2.0537151828949748916497686922671349432073e+5930394', 42, 2);
    T('1.552387025972459294428E+5104891', '3.5380628E+5856658132048979', '4.3876751593342528980209169831581282276843701021926e-5856658126944089', 50, 3);
    T('-6.7376245706611142022E+138548516246', '-4.147440859665106859672546976425427121545680925999316E+8132627480045893', '1.6245257735164321885076385859831579395105e-8132488931529647', 41, 0);
    T('-0.000859970050', '8.3583569067266542044103202592600292516132897192913313314427E+9064294331', '-1.028874525934531085207884744032670271318e-9064294335', 40, 2);
    T('-8.01244238280757934596409514105928703417351106561746695313E+9909793590601', '5.49799011E+313355519269', '-1.45734026844358572e+9596438071332', 18, 3);
    T('9.93250712835483206606743582386E+28046461827', '4.257190083808843140037097196437136590886545747E-884008280', '2.333113375916813465204233417982767147395821326059764516507583773493694118969753e+28930470107', 79, 5);
    T('-8.11424483829715001527249463670E+40962086', '-7.89311532974973202124739826464028922E+2727292213794', '1.02801549189506513577769225621922734683217e-2727251251708', 42, 5);
    T('3.9812836200723293362E+753', '-2.337118751325756911418296898225471117415103E+277195', '-1.703500781812606398842790879434119165035481658245002171288469618476650592e-276442', 73, 3);
    T('-3.74877060267504783125244570829439316527852035652596404288E-8542', '-5.48702124277552868637092E+947135', '6.8320686886548074816467240881010676089967343101637646791924904385501726028e-955678', 74, 2);
    T('-9.1265856659743793867362877815705563554008805096E-4747770497', '-1.486560363060439911E+90547786561859', '6.139397963756494104917328576e-90552534332356', 28, 5);
    T('-2.47399E+6489760904240', '1', '-2.47399e+6489760904240', 79, 2);
    T('-4.6962846286E+941602774418066', '-7.991473E+3175844658947', '5.87661952758896889221799285313233242482330854399432995644232296098604e+938426929759118', 69, 5);
    T('-2.1820501E+473141472026', '-4.44633776422557379401082E+4747601104897564', '4.9075221355345040342948179853052946021903203567994177779800406473504748512724984e-4747127963425539', 80, 6);
    T('-1.3899925896657E+609', '7.024635094249508719047794864440436795E-12197570787454', '-1.9787399217413765260555433610634041070697893415804827e+12197570788062', 54, 2);
    T('-3.9737265479206022947634522E+25526', '-8.040178079736772198217986448610211201125274429516E+2497', '4.9423364862220792150128347e+23028', 26, 1);
    T('3.208183851E+5812400', '-3.61941286719074934338384150076E+70316165063493', '-8.8638239646036024877959588899737023082933181583411485670274246e-70316159251094', 62, 0);
    T('4.53142538617874034773303364825360441412711835744100128180777E+477943278', '6.636094689659882276819819399820617915E+98764575893', '6.8284519707644317857e-98286632616', 20, 3);
    T('2.58943479754809E+9009974551833', '-1.23459467295293742E+6636706', '-2.097396703773725e+9009967915127', 16, 0);
    T('-1.3714042246713918E-40', '3.161746276986526562605415333257831710146149035341E+2137', '-4.337489806356260919337390035231752307395e-2178', 40, 4);
    T('-8.08936680532996716044344239101076444959566731943164E-80206921', '5.19485887E-255557879164812', '-1.557187020430059760303640816908422470694e+255557798957891', 40, 1);
    T('-2.917311823714123045920676050711595799105E+13260737', '0.77939015611034909006020907988', '-3.74306988719662336848498663497605012041471494096191841056370153606641591e+13260737', 72, 0);
    T('-5.407E+36044547282', '-9.4743236979E+4197', '5.7070036578953606663851117309205652995509523417546943131872154692891855158e+36044543084', 74, 2);
    T('2.4178917738438936E+20771178', '-1.58678994984912182E+491', '-1.52376297447169752010319713919519328727e+20770687', 39, 6);
    T('-3.612548286212849023405400308748780970897046E+2131363', '-75.3800811753761693619869740726635887946659948095653479', '4.792444144240232461973638524462791769800866e+2131361', 43, 1);
    T('-6.3846594623304948329094516410414495758E+65530857', '-4E+5469135010188', '1.59616486558262370822736291026036239395e-5469069479331', 47, 6);
    T('-9.6E+930747', '-9.340815271691459261490092059761E+58679704641598', '1.02774754887766952808789727917126e-58679703710851', 33, 3);
    T('-6.879815173607749167362739528825800E+21045026904488', '58.3584678398039731297177584216072765457129770146825897640579', '-1.17888893047930618154281606224029e+21045026904487', 33, 6);
    T('-1.6372892120056195787801584199071833981161568727539565164000E+26614', '8.166863581307781586898964955146927375415119E+83648332', '-2.0047955934430290832898432525482011767534579342713723261e-83621719', 56, 5);
    T('-6.995246180660E+59674', '3.1058218247886E-13188501569', '-2.2523011863812041023315903021039844067245494044339e+13188561243', 51, 5);
    T('7.941734048658156957145988247088677E-155033389909202', '1.42283000980664766668565694514497946114E+75378', '5.5816465e-155033389984580', 8, 0);
    T('-8.28437778492257203599359122162704848800543787929E+8030961263473210', '9.70221589485740788239024404E+10181768873', '-8.538645062839354993e+8030951081704336', 19, 5);
    T('-5.0911979108778718186869375900319506665264349682110632159E+463924', '2.57994469988556818903125431974062240327481780376029505935E-25005923', '-1.9733748212136828642871857100432015e+25469847', 35, 6);
    T('1.8573414775718847573537739170141624E+699026066059', '-4.53842090997257340334447928476909148267452710944718871143746E-364', '-4.09248395954334047883966e+699026066422', 24, 5);
    T('1.5297503451036E+1262938', '9.519166703161761E-700688', '1.607022e+1963625', 7, 0);
    T('-2.3127471952463820980725E+26407685', '-6.967160840712736598325E+4195235203', '3.319497351e-4168827519', 10, 0);
    T('6.783475246211015E+4035445781', '-5.024154389684555953314837705E+47', '-1.3501725305533293706686605514792376396811816832093812718734941e+4035445734', 62, 2);
    T('-5.818105836200598608951617320824312051269740719E+56', '4.18712355409291530534963451819542638671187538E+783', '-1.38952332335963607561393154735779418965985695790794255074752180660428e-727', 69, 3);
    T('8.51031698931E-76', '-4.362174E+7989909334291', '-1.950934783736274619031703e-7989909334367', 28, 3);
    T('-8091.9326175904929168039647254308591218534187', '8.609607720159308619062959468888042312283451599298005287E-664', '-9.398723937959815831949343291248945046281e+666', 40, 3);
    T('-8.69891410840345868301095337618951393535871104266515E-17189', '2.46436329719E+816513680766035', '-3.529882999930420126292025989459470917189776491140093646137184053035316339e-816513680783224', 73, 0);
    T('6.2538066162570521082719E-296432410', '3.519018949403680785898452946015738804442214E-6758', '1.77714491060549638833537219245355279841018206449710145713605881e-296425652', 63, 1);
    T('1.26042986956999E+524300121236', '3.40206287975606223786342678823648221135496877031633552415E+72', '3.70489880439942506979402492248699847405173184322561639681e+524300121163', 57, 0);
    T('7.99730325280657207729508277598512200343257E+192787735277', '9.831446034E+315', '8.13441199305735016080044810220551326420734539120189000673306244e+192787734961', 63, 5);
    T('9.79534939066000760837217867995721861176535299826487064863091E-2755066641452', '-5.36735683514374732277688057019006946491332587115522198592E-7826670', '-1.8249856850439254989538967400384220559512480356289374388564934838038985e-2755058814782', 71, 3);
    T('5.2188949480352087610649428E+781', '2.3448651917426015910650075096897876267484398E-3670', '2.22566950390728157057559798855e+4451', 30, 3);
    T('-2.83049332239874797290789822600384011634531268374399E+628', '5.222804993344284561865714249862908017855335421899732002E+389694821230', '-5.4194888e-389694820603', 8, 2);
    T('-2.154148902204605177101638016201655462762251406606212E+190223', '3.73053664328004465139850725236810122549932588162E+236117964', '-5.774367358339595078225652761325140797531495741367565625116985398080418148609e-235927742', 76, 6);
    T('6.3913484644E-415531498', '-2.73319073E-333467702', '-2.338421e-82063796', 7, 3);
    T('6.0028005901976988409264117732660675E+75676646077395', '-7.22019477440095478957459607812994808153325583687525E+1815885307403', '-8.3139039565532209280841928795293402782935059669913443267866788418995459246e+73860760769991', 74, 0);
    T('5.0510057939664209509945052497953693250666E+3401993', '1.2675824777696887170529925881E+5698209201546', '3.984755140236448597841886673588097214806e-5698205799553', 40, 1);
    T('7.371222217609959790517427630791002569012E+9496991917410', '-1.4840E-426203', '-4.9671e+9496992343613', 5, 1);
    T('-2.17348263441832822950772308016E+949', '1.678399412E+591699', '-1.2949734246084e-590750', 14, 3);
    T('1674270640794022.865132813378', '-7.297535711511152139421378763583230016515668820388065882E-955703453', '-2.2942959198582939806633070489251338811345085770340846976097e+955703467', 59, 0);
    T('-0.9263628327105412384737077245', '-4.60015981E+703950', '2.0137622e-703951', 8, 1);
    T('4.593306201666823544489817E+33932086918512', '9.436833569E+41', '4.86742313306852762244557605591486298257508243653120635003e+33932086918470', 57, 4);
    T('-9.32582528711676830909819862336507827366009E+2160703031173', '0.002466571040623078911151096002069866579976323712641882540135', '-3.7808865560835327210149413688155090014e+2160703031176', 38, 2);
    T('6.017593234122612857990257085083837347830876103611439857E+8800614688155608', '-3.828138104916570041401E+5708737914424', '-1.571937341130424e+8794905950241184', 16, 4);
    T('-9.008E+192025763944534', '-3.842722077549458256E-84722', '2.34417161017912864149770884641653455419857028455e+192025764029256', 48, 6);
    T('-5.13532242677456489075007634946890463035836274135334004421413E+703122102', '4.26771870018444219695577809912745724587500642523469E+96193296', '-1.203294497023111342866701993170914019835176068502485462744229743859985352e+606928806', 73, 1);
    T('-7.71093169895612929037321E+14259246297', '4.79698659566407040168412014436453592E+84993908861442', '-1.6074532511568686516600581349648520917537301481516495169274e-84979649615145', 60, 4);
    T('-3.92187439325654472714032164380823776022864493936367709446619E+792450154551304', '5.796228277628641134024736076409231054E+66206', '-6.76625247558584081e+792450154485097', 19, 5);
    T('7.14657E+8365', '6.77256466073502160973849874959864571E+8925039', '1.05522359076663106494145631e-8916674', 27, 5);
    T('-3.7809007676183912521406537005712682093E+695', '8.4005379846675288970423356884330435382E+62458', '-4.5007840861135387355421866376546733528810085795291594351911376398872e-61764', 69, 1);
    T('-1.32309982927509032957298177043976958451974427450297161763220E+717266', '1.9738157716569192068853030349720948533098692424078263638E-3995630342360020', '-6.7032589782399725918e+3995630343077285', 20, 0);
    T('5.46E+291354816', '-2858784201.8492966470987219150494418472880151', '-1.909902816892587808634220499293965119862921958787176087501e+291354807', 58, 0);
    T('-8.039981849336E+280', '-8.5531199238878475088365369679528358137823539341237E+5178141292992', '9.4000574303667672809184914081601660342003382480738302483838e-5178141292713', 59, 2);
    T('1.835977239681632536824215256301660288E-8968067784942140', '2.47329306E-80306014063', '7.42320944240078261014574332853891681e-8967987478928078', 36, 4);
    T('-2.251367888986492351141913766555858857931537144E+57988874895', '-3.94337782494206636902545598471823E+9361920', '5.70923707778259374510470056163223633023011e+57979512974', 42, 0);
    T('-6.729368584974185946026E-931688966875795', '8.6E+344184917', '-7.8248471918304487744488372093023255813953488372093023255813953e-931689311060713', 62, 6);
    T('6.78876487488227123298472112019438025E-47', '6.28569723316716515825428717989671673E+7420045434', '1.0800337055785339044935385123498509958088955243104484746593175867577e-7420045481', 69, 6);
    T('8.9422903061759E+34169204678366', '-264780522766219843279218271.69229', '-3.377246261452256e+34169204678340', 16, 5);
    T('-1.935290715968630057E+91635525', '2.0489919022572036716E+2552087813607741', '-9.445087185735978310004367e-2552087721972217', 25, 1);
    T('-4.775035180764E+76746', '1.592224997404905E+84900715856414', '-2.998970113235637140484062092408100058533058092542729e-84900715779668', 52, 5);
    T('-5.031481283761955943209424614810467792927E-8', '7.540953390043E+7591564870041612', '-6.6722084377361009612700436e-7591564870041621', 26, 6);
    T('-3.8835825659433199864107123329248751766513718203501E+41875334711644', '3.073105862580811690565330452178592090E+941', '-1.2637321132445028674692219217299153e+41875334710703', 35, 5);
    T('6.492607310423830E+38752027514', '1.202091040600464974638305733E+222412416', '5.4010945021108067877878384e+38529615098', 26, 2);
    T('6.22884194682041081749E+916939501', '9.0296358833E+8044', '6.89822051223620109967496677962e+916931456', 30, 1);
    T('4.667709667413492008562065E+7057431', '-1.456334173538E+585525912634710', '-3.20510894e-585525905577279', 9, 0);
    T('-6.1710049658369203013694137959281944997706949878038026E-95754559841870', '-8.6E+65078', '7.1755871695778143039179230185211563950822034741e-95754559906949', 47, 1);
    T('-7.1794224760580576836147540524809912206094063669297189359152E+57285275', '2.450457139769246018637471360482328E-68580553', '-2.92982985074128967887e+125865828', 21, 0);
    T('1.3738941E+7477516384724853', '5.5770743973E+417', '2.463467406253601708609934379438585725964886080793e+7477516384724435', 49, 0);
    T('-9.971068481213493373963754394188865330E+88382378657028', '4.8779822171324884755403811846659852E+4504', '-2.0441e+88382378652524', 6, 3);
    T('6.33822328538745896438E+929', '9.370434296719022037262689129116601075E+7010016857', '6.764065660869885189379352267477327020653793539854768240263954778756e-7010015929', 67, 1);
    T('-3.1263519274241727817122157704153186415725404688033880E+720868', '8.5409674099843439488E+591358902', '-3.6604189869282074130048644981465173534e-590638035', 38, 5);
    T('-2.6330176790E-645701814', '-4.63906500616983133399435699495485898697532198474E-9536941378865', '5.675750771972708949570682803608e+9536295677050', 31, 2);
    T('9.40272227861E+371163', '-4.3690E+23909411527896', '-2.1521451770679789425497825589379720759899290455482e-23909411156733', 50, 5);
    T('3.75521337758990716733885103297582513387453213794883E+2485490', '-7.3384345712315471877494434751E+60', '-5.11718588091152195045881112304568293978974840611360178e+2485429', 54, 6);
    T('-2.3996495443984795502631E-3821345293', '-7.75634914401864735153466537E-421995', '3.09378742478216431368881141296525260913788573064013819411617358637245e-3820923299', 69, 5);
    T('4.37814003E+12564695', '6.219779282001451046823E+993', '7.03906012013848596792952355630168900018464108137571e+12563701', 51, 1);
    T('-3.07396621E+4126384779', '2.43818500900255946533000580360083955039592010638E-550', '-1.2607600320114892185396952e+4126385329', 26, 5);
    T('-2.66652204022471592934218532683482885945311792192155E+87302383051', '3.8999042258540851828421706750905377812182613373117428594E+70414', '-6.8374039099402329360626226007711255130718280583669232687516367256025268234e+87302312636', 74, 0);
    T('-6.508386421616090487278366087699898311923366539167129E-14391670738', '8.72555484892757888904870291838131168518E+2296310', '-7.458994338240861309533726712600293444819e-14393967049', 40, 0);
    T('-5.05794942305648812447845633916502590863708678457634368E+249154340590345', '-5261481033.5608222073940299553', '9.613166693548661107501104426179539876444496353706265e+249154340590335', 52, 6);
    T('-3.7960863873854055911866684900212632E+31810228', '9.9501460887937983669073987737532838888055E+7870', '-3.81510618387873772628024802503368821328606e+31802357', 42, 0);
    T('-7.470278096546518469926E+1672804137042', '7.087713371402500704459069024024031E+4895', '-1.0539757613065434560893917e+1672804132147', 26, 6);
    T('-6.81164074500807987790418221083065601250241048E+5665395', '-6.840478175174879078948914960285E+820489', '9.9578429615177275781036559290593392675536596153330133e+4844905', 53, 1);
    T('-2.8811613517898289701E+492776532', '3.2597024981665228044545E-570949022', '-8.8387248634204e+1063725553', 14, 2);
    T('-7.990101989811720812805236454906637186714120293E-1944065366519', '-8.478146038568608590577852453909925206533E+13126914309', '9.424350504772284210377e-1957192280829', 22, 1);
    T('-2.6781760126612932953517610137884338542553E+7514298', '-6.98566224003E-8302458832', '3.83381835629e+8309973129', 12, 2);
    T('-2.4128E-2410540', '6.6001447832809864143398391288310E+61815', '-3.6556773816718869272327e-2472356', 23, 5);
    T('1.17172425486288E+74', '-3.09342215005836045084602913E-3288', '-3.787792929719515552350385653e+3361', 28, 2);
    T('2.4759226471425312243018631318879561219377435093E+73', '-9.4980550574703361747133183449419370803092988664959222E+362688792422', '-2.606768e-362688792350', 7, 6);
    T('8.0748059632473650033524426628846354069222E+501246267', '-6.862460161820487337442580923E+39992090', '-1.176663437431928802e+461254177', 19, 3);
    T('-2.10503076342121E+9303064964559', '7.4951460441241350006427925296703218271268E+5619030481409496', '-2.80852534564214606308656113050787e-5609727416444938', 33, 3);
    T('-4.84728069771199740902716394', '-2.176177371071982835252E-767220450611', '2.22742905157782782154107719984465668041034353636862673978e+767220450611', 57, 4);
    T('-4.6182607269058297433905912513E-8682595321085', '4.039580513391E+4243565603', '-1.143252551000415719638220936462235e-8686838886688', 35, 3);
    T('8.92778833810204655214202E+14252', '6.8119032818262016427219233E+173424136766', '1.3106158394704332550540474302368732922228428859318118713805237e-173424122514', 62, 6);
    T('4.88E+82765', '1.4592808E+953471697989', '3.344113072686216388237274142166469948758319851806451506797046874049189162222e-953471615224', 76, 1);
    T('-6.9981684989E+9656595542', '-5.193380974801E-15', '1.347516874432297133374088183380662449569810700718791832798871370057147675872436e+9656595557', 79, 2);
    T('6.19862099661398563530402194350070166027477907102393444990663E+5595053', '-96.112532240541461322306867814584185796842567521308000301732', '-6.44933688886757913861154444129474506054867942534790957e+5595051', 54, 6);
    T('6.73632550360418268316233088515668E+786464425199695', '9.24118523210714693129094161246802920469662506366E+6273', '7.2894605339148539539465756954030677933950296317277443535630017994395966e+786464425193421', 71, 1);
    T('5.07881E-5407166729', '4.97878432638641003568992443274589E+25454841', '1.0200903809155734936535719777771179312192225442621422581784806731139201e-5432621570', 71, 5);
    T('6.636094282359427919458285E+80', '-8.747177922007383361E+7393275', '-7.58655459112522038891372e-7393196', 24, 2);
    T('-9.604383215779709303169194350168220824020044446877E-623232281', '4.063857692955792094020865030972E+5054305529912', '-2.363366028399013815158940305447538853392456466576193040450121271587499e-5054928762193', 70, 6);
    T('-7684509157.80724532231223395528050305941763368967559852', '-9.216626716770358350E+5618646660496883', '8.33766e-5618646660496875', 7, 0);
    T('9.0650611453685088433144657E+36091141886856', '8.22776698052927706360694618860697962759633669367299857743E+789695475513870', '1.10176444797484653503201313263511061169213065786373141113547410682370998e-753604333627014', 72, 3);
    T('2.81905436704967322562860350E+55705620272', '3.574272672040993368038439424886884247466826511363789666E+9640067', '7.887071372872980026732670390092849600154262847147674574354626115344513125369e+55695980204', 76, 3);
    T('-1.680987344011944528655114856E-95094474381', '1.62836755732696668800607369504572854808476916654360317E-73642208', '-1.0323e-95020832173', 5, 4);
    T('9.107916901E-74520031', '-1.6249708E-5116', '-5.604972656124036198065836013791755519545335830034607391099e-74514915', 58, 6);
    T('-7.58920644378810127109565070293620333786873488219653E+80867100', '-3.7142310894846E+85861999', '2.0432779385413002723586153771896389201976e-4994899', 41, 1);
    T('-4.790778190634999646797228720161918933732728344783E-199751', '5.02156756077803432042085849207060335727E+3543', '-9.540403733794877974798882994190741696417103e-203295', 43, 5);
    T('9.093590364806499757588342846401476E+59799445089617', '-7247.8701897392871686350274', '-1.25465690288992398622586015191600831866876039757837649852e+59799445089614', 57, 6);
    T('9.381382658E+83292957239265', '1.3914057542331910598077777855607778218E-7', '6.7423773614980593773283325468193393474724401e+83292957239272', 44, 5);
    T('-7.679321325615076110309805986623942278155E+4402888', '-5.67903974583952148999789E+1554030974021', '1.35222179616562216068540998941331003580445974638748521195e-1554026571133', 57, 0);
    T('-6.8405420328629608581716603212079120787872417610E-56166032', '0.001159602065534165075241727613119234251559', '-5.8990426424532956494963088643247000308925e-56166029', 41, 5);
    T('-8.109939029306211291759665764127579E-2563', '-8.59885772223764051732254443769738576047173183E-87', '9.43141437069364580509356865465904120498719258699150860895e-2477', 57, 5);
    T('-751016.37614675215648743602999548887870576024565', '7.431882391143990055841200502449588205E+614332185965', '-1.0105331820666071726e-614332185960', 20, 2);
    T('-2.53456071E+947678743950', '2.2320936E+970622823', '-1.1355082e+946708121127', 8, 1);
    T('6.251931144126908797057005704294428159795292273587142817E-2391', '2.46240272153299809E+620003329144516', '2.53895558571942071829513836276202334336090376137964271341090459624681777024e-620003329146907', 76, 0);
    T('-9.29340E+90', '5.492338309299330112521863792014330886915194347E+8482', '-1.692066197791370180984360577336354281973588584837e-8392', 49, 5);
    T('-5.577999069007370879854446582025160507170725E+7913633497256530', '-9.057081944801200E-3637706', '6.15871547039404217668904e+7913633500894235', 25, 6);
    T('-1.140954782E+85050379183', '-9.263769997175205763677240063458390703457577692726178E+8915473661', '1.2316311634981335473489758961505894684208348624386449840343532894e+76134905521', 66, 0);
    T('31968749.20629864578647514924239652029909911459181046', '-5.80655799879399874878005465E+1532681845544664', '-5.5056281557746327912493281862336582317784955946066156204e-1532681845544658', 57, 5);
    T('7.73377427067147460E+507546', '-4.7697250473796825355952691359104212029964E+67723822463', '-1.62143e-67723314917', 7, 0);
    T('3.66857644568573462459179595052998965401894499182935E-3540554735', '4.05113638007069320334315849557379821506787586326589E+3153282472019', '9.05567253606435529230860064298101812450027812294462085826e-3156823026755', 57, 3);
    T('9.7E+220685592252', '-1.7258E+2445496120', '-5.62058175918414648279058987136400509908448255881330397496813072198400741685016e+218240096132', 78, 5);
    T('6.03026008314391742431E-478445', '7.5863484761144645647587433079E+1504853241', '7.948830853381077241610073495924766142e-1505331687', 37, 1);
    T('-5.198792993210742469335362207815348374493E-430112494836152', '5.35994427725753148462142553936695782805E-4804808164870254', '-9.6994e+4374695670034101', 5, 0);
    T('-8.220747055277100592E+69', '-8.268006645592835152610758699E+80', '9.9428404059871846668711e-12', 23, 0);
    T('-6.56E+2831683205446', '7.794983647011298169213291E-216772', '-8.415668713449055725880787546950233985989608037616474991822589159e+2831683422217', 64, 6);
    T('1.717583558742768094262496725922E+48892629805', '-7.003526799192004677069186863640081838970660213611905887E-586905164922864', '-2.45245518149645022547376237644717635692936013669e+586954057552668', 48, 4);
    T('-1.287881806927069433228333977655382900230951593540119355E+2924294443063', '-9.848398337495979506449013572411975458005E-8690222590', '1.3077068603365e+2932984665652', 14, 1);
    T('-1.45535518141784528E+20', '-8.770802606163942110177587267988E+1580398', '1.659e-1580379', 4, 1);
    T('-7.18467739566633030298395609378845539E+9085985743', '-2.72908808710219599749449500903139241935181800E-42091793140', '2.632629349569721e+51177778883', 16, 3);
    T('5.7956873786008381E+65759052950080', '7E+249106159742', '8e+65509946790337', 1, 3);
    T('2.5E-9515264401', '-2.0141537921322782120114050944475779430787836129E+47257145', '-1.24121604306758625167742330436269568213076402283e-9562521546', 50, 1);
    T('-6.1978216834403198804270540354950023194675891E+5327449551561819', '2.694506522048E+6441832', '-2.3001695e+5327449545119987', 8, 6);
    T('-3.865243627075596975114086684453773550433423310646174639E+777472267591', '1.9236574633762060E+4144531917358', '-2.00932011060416e-3367059649767', 16, 6);
    T('8.644836675759775243237485371797866224775542463055082E-4788', '4.9533139642795533773414352091665539013E-6019772932', '1.745263219e+6019768144', 10, 5);
    T('-991396887.482885722590675484709134', '-9.3E+7430003599859', '1.066018158583748088807177940547455914e-7430003599851', 38, 6);
    T('6.408778343715189651810561355664713211289896330981292171E+84', '-8.50217760432463999470261612271683714504621631520309756E+283', '-7.53780812630326494505362074335e-200', 31, 5);
    T('-5.00948057430427407563898651483496402512704428E-664923203926', '7.4499587833577556382525198488273815605842838905510497585E+566813082659', '-6.7241722001131144028799e-1231736286586', 23, 5);
    T('7711753872738059638215810923770867990976.37627068678', '-2.9114002224432056777082851683657598883009671946E+5403346621232', '-2.648812696135080123004453321757711e-5403346621193', 34, 4);
    T('-4.99639106788209148068630452162060742482282E+99838047700977', '7.5800890267497697935767031068539812157714163094971E-342', '-6.59146752796e+99838047701318', 12, 3);
    T('3.8287282237E+657', '-9.74981513363128015202778315969278005297994E+4758395780005532', '-3.92697520027131559547318749e-4758395780004876', 27, 6);
    T('-9.9389347593E+79', '-5.75050668434262295525E+1367326326', '1.72835809171e-1367326247', 12, 6);
    T('8.982E-361478658916', '-9.01326402665E+386067965228', '-9.9653133131820392927245e-747546624145', 23, 3);
    T('-6.92599134910987073852E+716787031', '-9.79342707101314921743E-825350152', '7.072081406119424305161936663311780026370528194905156382e+1542137182', 55, 1);
    T('9.849399966291645684767666855328825520174795340E+867924631', '4.187781651509453913550216439388576933550697707454E+555069653', '2.3519373228882419617816489990499024004637786252503482991598762924339e+312854978', 68, 4);
    T('-4.14286077266779860E+94', '-77988.3625272478972468514840833734603046660318296860282', '5.312152529449953173692363058609420078406044920344185677832237e+89', 61, 5);
    T('2.30407279939756420061832511758E-834479595822', '-5.634774435955624333195415274E+964354', '-4.08902401610829895755529368944850114535899516777063755472925501776585837e-834480560177', 72, 2);
    T('-5.957269304294681701684031867844342422E+449609428725', '8.530163888423709615133744882877667325100956193025676E+872806922', '-6.983768872693401995233549252e+448736621802', 29, 2);
    T('-3.14861296072547251402780425898E+718', '-9.4334515447206398393E-10704893451', '3.337710429527324027002341681612394958398182654860924090435861817961419728743484e+10704894168', 79, 4);
    T('1.32024575262150281890701433007216E-633553', '5.94907551277191102394913126407E+8347357118879', '2.2192452420331571548386308866805453796899239445092417e-8347357752433', 53, 6);
    T('6.227578516622055443E+665', '8.1377140932191621398201817863E+47820478', '8e-47819814', 1, 5);
    T('2.341010406999620051205386874233192337782224823004854395E+8732343970520', '-7.4967871436756585618813486299360693059330244373508660760663E+6596930', '-4e+8732337373589', 1, 0);
    T('6.5E+7680445', '1.848682971952740837042367E+91049782550171', '4e-91049774869726', 1, 5);
    T('567616.624567394891511954052403', '-3.4965316E-82', '-1.6233704982600325748863646832278020882179357395197000364589869572464324361e+87', 74, 4);
    T('-6.0516630237692400311865661296063585824034992528873223915E+333740461786558', '-7.47E+1710', '8.1012891884461044594197672417755804315977232301035105642570281124498e+333740461784847', 68, 4);
    T('1.446E+942683408701', '4.7511727753355440912250634586239887325062216556902698E+83517517288', '3.0434590960499821611802478841285478040215268049991888632e+859165891412', 57, 1);
    T('1.774437964993664791441E+64201', '7.5378539636726239411160839619548389997774585913605861E+9294659', '2.354036007523175590275174737992794048587279337497545762426292300587e-9230459', 67, 1);
    T('3.76978E-11004454918', '4.6625786620351559928438E+2860', '8.0851826280064071072156831901784600888783800003309172611530793367524342792741e-11004457779', 78, 1);
    T('-7.1336299E+182087', '1.5158868329243307119565597282548770736505E+32858565842', '-4.705911909161686744304224459849987118501632090705209831276602314352e-32858383755', 67, 4);
    T('5.9219256336316944794639580957547280661758536308E+1463361', '6.7326E+5096949695', '8.79589702883238938814717e-5095486335', 24, 2);
    T('-3.094189091219078826114215656451462E-729315587', '-2.116E+29974535', '1.46228217921506560780444974312450945179584121e-759290122', 45, 4);
    T('-1.57497238E+52', '8.1817379764226704544283955666059993885363514558985657E+4553', '-1.92498511262350473342505475455495365225158247124558581871985345346927883439255e-4502', 78, 5);
    T('-5.701092912124304603062518294910656E+224', '7.299674801863523019185563256180149837229322365026441E+692253050184857', '-7.810064239e-692253050184634', 10, 0);
    T('-2.6886664883765062939838150618065690841681238910976950944E+3922496033098', '-1.30888122277570509E-703134143', '2.05417148752025950860610504110350404179721404012932154026442364452398e+3923199167241', 69, 3);
    T('-5.45031072347569198660622E+48351', '-3.383945011116027765528256986316075623047820009E+77738167559240', '1.6106380882584658667052100748832481416e-77738167510889', 38, 0);
    T('3.990876039229528550857047209582217062424897326917E+31614658128', '-6.5082017446544635577029697072426282836E+64', '-6.13207180079727841665546087422290430247879600519222076448930243449792487419902e+31614658063', 79, 6);
    T('8.04379E+50497010', '8.6979398682552475628688966749295266259E+5263459', '9.24792551091013009883768641900469686660638532641772239775699295193e+45233550', 66, 3);
    T('6.9471687305821414749360798273747302595248905892170', '-2.72101686735281110702864785392748874749134355998133910008974E-9503186975808', '-2.5531516595635131766765e+9503186975808', 23, 6);
    T('6.947E+75342526464', '-4.1163752419938E+30', '-1e+75342526434', 1, 2);
    T('-2.03128294040772589240774163917846163178794E+93934', '9.1530504238986898164931734869916595981616454467712079948066E+191029524840476', '-2.21924150565589527973317992413128844308210044e-191029524746543', 45, 5);
    T('7.3535945114815403986829116E+34436', '2.47506614369432126257293447820863416277051889E+71125', '2.9710698965424227844254175937322724018187588383046402549777273710045095e-36689', 71, 1);
    T('3.243734612825437183E+699314', '-6.6830044862348631902171708645879950370756E+2369', '-4.85e+696944', 3, 1);
    T('-9.3130961206443720671454535522278771851630589087E+41914368061', '5.9230924233168190817407882339890979450639E+855120', '-1.5723367888001341372164733093152488140438085187041669e+41913512941', 53, 3);
    T('9.2616191328373024668171545160E+54408159546', '5.798067413996590622844435619314E+784', '1.5973631335295730799506966508473196278955654740088734943408068424e+54408158762', 65, 3);
    T('3.03835708035477130838269068148359719873391487414755910102E+906326212066', '6.137514163118E+2998380963', '4.9504685441103979731251138872536412831481427035305906423508e+903327831102', 59, 4);
    T('-8.068287494507369651489167730118993347799088664531E-650854154940', '6.431695808623432966348291222269388520887715968822796E+34978440471', '-1.254457258953329473349e-685832595411', 22, 5);
    T('-3.62418258980351732810536804053197544724862780931078E+5869927955370989', '-5.616541369323762E+259312103738852', '6.4526945525549882204258313029258569818233e+5610615851632136', 41, 1);
    T('8.794297176140336985031789890711868778E+44525', '2.105060973542890155178608492E-472034001351', '4.1776923740784723216565179914484576964448e+472034045876', 41, 5);
    T('-8.35382627715882629008101522120549146677559163381874647813E+8549960566', '1.89062307745489322092E+197758555323079', '-4.4185572347950635734918198378383765012453301694167450629585050603549242e-197750005362513', 71, 4);
    T('-8.02934600973381911526545279825848185946E+4096', '3.720283936083910130690522648697E+850', '-2.15826161327507855605545982312891087813554287162935236736027356873857002167569e+3246', 78, 6);
    T('-5.03134457456734106028094072467E+864361977', '-4.0230360518335619E+6113', '1.25e+864355864', 3, 5);
    T('-5.78200844912669365721817E+567373', '8.0553273881608661035922784990042572E+720118752', '-7.17786896858427981240352537000507828201584591e-719551380', 45, 5);
    T('6.0468292647410418951881083760607356933700686E-8', '2.2259175569823719717467625933522262231129365817092541109E+36846977', '2.71655580673823195766310497958539464431626922595814633913e-36846985', 57, 4);
    T('-4.06553623743352936342962463238E+437976', '-2.830762329942075588335572E-853', '1.436198367637851217593552e+438829', 25, 4);
    T('2.963308811629082834842704280131553132171805E+7515486338', '-5.658851992943388802426339379088225318293244555005396600E-3954350505', '-5.2365900633632772913409487156082732588370467182465274e+11469836842', 53, 3);
    T('-2.8818851809502523432809646009652646631155277558342754199E+1454198637274371', '9.38127480588516226875655E+485', '-3e+1454198637273885', 1, 4);
    T('0.000008902395397830470583405931179750053251066612335183', '-826396246.58760826129067845657861375394', '-1.0772550619137772371280305948851356049725952294677126626805391218110907692871e-14', 77, 0);
    T('3.270803395538801183985478296549E+751249268129', '-20.2117352', '-1.61826946730372817470193172555961449564211587335658345652579e+751249268128', 60, 5);
    T('-4.64936277123316140451700208067538183167764E-430751527', '0.0000408921', '-2e-430751522', 1, 3);
    T('-6.7834305939984023619451116306796342129939E+415', '5.1E-4839266588304', '-1.33008443019576516900885e+4839266588719', 24, 6);
    T('-2.67645680816396348085893321E+444555287275', '4.42334078431822974175071438298670311425889552082000124E-8', '-6.050758778642207234708542075767095703586483091039623616261770834251393162e+444555287282', 73, 4);
    T('-3.033273626458074007140883967285800964972620997298995E+51402395', '-6.0129039418425308712048805750981066420082856268836111452248E+2639115', '5.0446068252482171306395683787429466665402016301115172612211013564939271e+48763279', 71, 0);
    T('7.7389069899326172085944016522E-881220', '-7.64342967478706203801520132255344663767315197E-583917443', '-1.012491423249500240713373011084660913264393905104119328873356304193480560400536e+583036223', 79, 4);
    T('9.30396833967418043064405277572277137615812900030E+297956179', '1.50716152292142077380E-7789920665880531', '6.17317268135e+7789920963836710', 12, 5);
    T('-1.0041949181407747729954764076472611377762588195382865872099E-1292245321322063', '-3.99493726162521379190742733951E+8105303', '2.514e-1292245329427367', 4, 2);
    T('-1.244498082015420553516506159271942095399816955440042E+7426606261606330', '134.398329600641570359447447543122359607533413244876978', '-9.2597734340403569818328081493483711546059267793339e+7426606261606327', 50, 1);
    T('9.04637851388321019206318086986028E+599987933', '1.93511081024E+6840688', '4.6748633029243648322967785550787415356e+593147245', 38, 3);
    T('-9.817514737943425500552874098944481460034837E+303249493', '-5.143468149248626114434746000E+403285957', '1.9087344284182256877678246164254958131685155934959253e-100036464', 53, 5);
    T('-2.42128205821318891674059562273117141004367221561105898E+1765990567449', '8.82946958228804510E+152355', '-2.74227351444790228155626696283584422313942517451e+1765990415093', 48, 0);
    T('-3.57232122532745447328224481923086742804587969598577944E+68', '2.73470657528568589409640301E+28822368', '-1.3062905021004916051149021941585169548847609856e-28822300', 47, 1);
    T('-2.80897352739954963106E-722', '-7.5049086876753386564155408563405870777920900701063046969E+24396', '3.74284837337525971139875902e-25119', 27, 1);
    T('-9.548E+935', '-53989143.811052530172182853577575122703388803017393206', '1.768503689077831969931158235361513416166422202876976642952326e+928', 61, 0);
    T('3.610958812367166430E+8452376785309476', '9.94265607058162413042955185121679637138390704572399030E-20637026214', '3.631784894029763072062368635733561703e+8452397422335689', 37, 3);
    T('-4019878872', '3.0443846952503124288568332655E-7117', '-1.3204240839e+7126', 11, 0);
    T('1.593623753710927073611829108208018E+1045', '-6.88061839716924230196101874739409045551283830856200936E+521550736538346', '-2.3161054162901410101091185406018715408490723534492508328569024e-521550736537302', 62, 3);
    T('-5.3636785047241631112597727421E+19007', '-4.104031616649523684575E+51', '1.306929138402446868919585e+18956', 25, 4);
    T('9.9703025828755668324086864963827961542997491908005666585E-926707', '7.433506960321828811711541076962699045090239E+7543571464297', '1.341264982476576455e-7543572391004', 19, 3);
    T('4.70485684628732776112412385172247E+37', '5.789250890387672890511496951039011687784957554391E+1013186', '8.12688365967893043447679201724967708154929104484e-1013150', 48, 1);
    T('4.593152066972635888718281172954953724009E+50281', '9.7452710256026633232399297864E-7376968573466613', '4.7132112128083045647815e+7376968573516893', 23, 6);
    T('-2.332211704231518848806913676330956815695099E+404521272', '-5.0611712160729273298811243514606E-46958501794730', '4.60804743539407971940072055822529489293264310971029769597526e+46958906316001', 60, 1);
    T('-5.0677649648696023302817E-123606170', '3.2291804145737E+298501284627', '-1.56936569477448132174555548562006e-298624890797', 33, 2);
    T('7.71390224428363536251E+655219096127', '1.80144256937173803842498516074775185891578425999561474995794E+442144', '4.282069478892072997319717709193092350936342445407941334904598497e+655218653983', 64, 1);
    T('3.77115102306701586490100208187136137E+65144', '4.7289004860963732031E+59597096991564', '7.9746889031704636162405929501102423023e-59597096926421', 38, 4);
    T('5.7116E+3148728962918937', '-7.31718077340652580335972608538075914323E-29093605474', '-7.80573854449266944e+3148758056524410', 18, 6);
    T('2.396E+875248', '7.7306824518313130824231497931577286E-279597', '3.099338273081458839853285090729846882497337676953178291783543534986859508e+1154844', 73, 0);
    T('-8.67458E+90561', '3.025146962457531655465730289361249407149E+5864', '-2.867490441e+84697', 10, 2);
    T('7.8614143303058441883702E+714662858368299', '-7.84850530E+3865165', '-1.0016447756371960643729449988394605e+714662854503134', 35, 2);
    T('-1.390994504715044469E-1339', '-2.2333341089022895663489519839316351849E-6107344422384', '6.22833144029101364338375016360869068520591869847e+6107344421044', 48, 1);
    T('0.0035922175347249', '-9.0893881826932991823338295605972131963738390780407E-26691252123', '-3e+26691252119', 1, 1);
    T('9.7620026807147910551327885640621E+763', '5.4702054474114177E+20753588', '1.784576973308071165997180970872449500246327737833227017488736517081480696028e-20752825', 76, 0);
    T('8.04067994914871261353185567642503876274170575332026898301E+907', '-9.0688033E-8827451336050', '-8.866307585642212146703e+8827451336956', 22, 3);
    T('-3.3788604766734625183005929E+6717390251', '-7.52981595186813947239035E+197769449449', '4.48730818690883243092564e-191052059199', 25, 1);
    T('-6.176584E+7765855590', '3.31830496763082495418776470547077735792239721444257165173E+7434155836', '-1.861367192060681723e+331699754', 19, 5);
    T('-4.08E-402724282623', '1.16648408474734585110971060868015E+4310', '-3.4976902414264022736576457339502631978497623e-402724286933', 44, 5);
    T('5.326033989535926355864591769089454163E+37297980', '-6.982E+7461266286837180', '-7.62823544763094579757174415509804377399026067029504439988542e-7461266249539201', 60, 6);
    T('3.553279487109968098293398115849416682952810813E+363', '3.1877498603374848355951E+4218', '1.1146669728765308135591524497170448839957462976127267431e-3855', 56, 6);
    T('-6.13722197367665530E+914', '7.8996740411404348231295878725380800018005061043231157E+7106723543', '-7.7689559616192e-7106722630', 14, 4);
    T('6.3369552953743133618025029750360146672283393444095948E+8961556353', '4.9E+8956', '1.293256182729451706490306729599186666781293743757e+8961547397', 49, 5);
    T('2.3563763397669875414745234294743575550878603397E+20665', '6.7444896159010163472969090140770484466124E+29884246345472', '3.493780069305054813764622007210430658360488597012374315074566670602635246e-29884246324808', 73, 3);
    T('5.32340243472693431871342683E+39', '1.193085239482910E-69990683588', '4.461879385109254666464209485553587171093411892599301920409452915555743534388e+69990683627', 76, 1);
    T('5.21416319431625793439542584016284275E+897197441', '-3628105164218.11018364550', '-1.43715878077088698e+897197429', 18, 4);
    T('-2.82581806896785103406154716765E-3035799792447', '7.617304436182175473E+27476077223', '-3.7097349759e-3063275869671', 11, 1);
    T('9.177531850555816E+7837022381', '-1.055634803134237228410472764427E+1771232', '-8.694e+7835251149', 4, 6);
    T('-5.7491128965E-7802838781153577', '9.015804213646130368524576891E+54852039', '-6.3767055719757805347e-7802838836005617', 20, 6);
    T('1.92693805745770092945840882880268305747E+355375760', '-7.408936626664075704022420543544462227269719440533112482522E+49967734', '-2.6008294503732554462108073651740723104e+305408025', 38, 4);
    T('-7.340724277456163000362838763470296796014E+3442786', '-4.13173988359214998185514587337380667272301759351926252299E-28052474025785', '1.77666660638716445103667619686e+28052477468571', 30, 4);
    T('-6.9708935E-4005746677967', '2.1045716508254142914489469741090582233980E+5734071729', '-3.312262377603542885e-4011480749696', 19, 2);
    T('-6.9772290289410743918560E+575264441740479', '-8.464818032673906E+947145306996415', '8.242621403093617252053268092288955457725298350903306823682486469743338042393e-371880865255937', 76, 6);
    T('4.36422864605660378945710125492938709073010399730E+404923', '7.0655917861629015236290724E+87', '6.1767347706e+404835', 11, 1);
    T('3.31713489220146438895245529098E+417765292', '8.771451746010700697133058939493287498953284568E+1178988538043', '3.78173988554416162393528327318e-1178570772752', 31, 0);
    T('-5.5178916240060E-180961125', '-1.4599168603452699729642784535459769586474899592736E+7286167897666780', '3.7795930534708805326161754382741016765035923e-7286168078627905', 44, 2);
    T('-2.79915498537434554772590321714016621623771303444515144179E+8732407', '2.9E+776684513416280', '-9.652258570256363957675528334966090400819700118776384282034482758620689655172e-776684504683874', 76, 1);
    T('5.153604125762741369258185290024756122834452E-896381', '1.747246700084085149367029868029315258760073E-1574991643268689', '2.94955722e+1574991642372308', 9, 1);
    T('79798964.76514183760743128621301947390', '-6.94E-164082724', '-1.1498409908521878617785487926948050994236311239193083573487032e+164082731', 62, 0);
    T('7.3003767E+88', '-1.6473778590541796551012198941434414603200474296006794879E+9417526', '-4.431513183132991314630352462545354847983e-9417438', 40, 0);
    T('-919909.0329128270265844534080076375817648', '-1.26831E-214797961', '8e+214797966', 1, 0);
    T('-1.1969E+109', '3.1687223937445847E+263544500035', '-3.777232118417238311945093177075880368e-263544499927', 37, 0);
    T('-1.4848497227639275720762889116849E+4636553564568421', '4.76749188215901487139610086750415637180478282E-9', '-3.1145301e+4636553564568429', 8, 2);
    T('5.5145555817340010E+10175521996', '-2.8524263969881383096620139569322861E+50', '-1.933285846588992e+10175521946', 17, 3);
    T('4.0217303E-2465', '2.7328832E+48582677', '1.47160709246556e-48585142', 15, 3);
    T('-5.617995613064228305501674960487572600949028574E+3721149', '-1.337727236310818212598496966341521756993478783646206E+6919839344700', '4.1996570456003621421829867949516370801e-6919835623551', 38, 1);
    T('1.46304899057654535429220391149401314248206704196011E-9186105', '-1.69468E+827', '-8.6331873308031330651934519289424147478111917409782967875941180635872259069558855e-9186933', 80, 3);
    T('-3.0473070443E-12012396', '-2E+6872349100652992', '1.52365352215e-6872349112665388', 58, 0);
    T('-4.09310463183486190434930664780816469412848967004E+9448124792496', '-8.16331359260', '5.01402351557979997960430998597843170419488616870509025261722983046584180539716e+9448124792495', 78, 5);
    T('-2.1981033032348081789302315453567802623317138629012094E+178869527723', '-9.48018265972310588617925163810192412E+2441', '2.318629695368137210984893358519675594291e+178869525281', 40, 3);
    T('7.610502030476975719721606714E+52289931008', '5698759137.353201183590728076965830', '1.3354665194731649814589969986467733532592e+52289930999', 41, 2);
    T('5.61012157780812545456087761209720741827960164E+7269032376', '8.62293102613714175762740031530997E+812587796', '6.50604946369531629452e+6456444579', 21, 1);
    T('-8.92252410762710579733269868355689009732381238198073374360E+71', '8.467164568740169944905359494E-397', '-1.05377946007664391393525e+468', 24, 6);
    T('6.474041432556020072E+75335572', '-4.798920656016711250310011663157933474E+689779799350', '-1.349061986352932016357624608067540810848822201847793291823027820669126515332e-689704463778', 76, 2);
    T('3.719E+122', '7.593895346117671546652697705177692153105098E+72576443826978', '4.89735482317558405333465865496845342145e-72576443826857', 39, 6);
    T('-1.2895950780727534111896742066925238E+135424484896', '-8.801815147753481153852613857394208522410754245335565312E+9463542536470', '1.46514674123996047320577290296989347045729678338138653326685555e-9328118051575', 64, 6);
    T('5.547816846653199561046351570544933025E+94354743906387', '-6.26493432062833583332578335117474978913E+899016206442', '-8.855347179596268083618595592148647655e+93455727699944', 37, 1);
    T('-6.63416409704471857639141914354286892E-6829110', '1.4022968862E-3123669913402', '-4.730926925910989430243390883130143914028467162405369962091555273967633231417212e+3123663084292', 79, 3);
    T('3.4381023467640E-793', '2.968E+8840', '1.158390278559299191374663072776280323450134770889487871e-9633', 55, 2);
    T('-3.5667202846652443264572258476332E-433285', '5.48644505247286172764250578882198771104357582E+3645724', '-6.5009678408382944978786405499e-4079010', 29, 2);
    T('-9.466985562036565237778701137063436167662599549418816804E+762779389429877', '4.01910193610634953235623475554786513E-1141968206148', '-2.35549774863586817812553056709215254640973916e+763921357636025', 45, 1);
    T('1.0926724604252833752099039757E+84480151129', '3.216450964357846166190373800481931124747E+445821', '3.3971370076317387e+84479705307', 17, 2);
    T('-6.2934370931275031960482121639661431994720314490763E-58818668', '-3.5583866318175E-7440884586', '1.76862093535716624644483e+7382065918', 24, 4);
    T('-9.59741051270967077217670246695764102026E+6012754337', '8.232512946547561265239020081157594089083454542810124653E+90450756098983', '-1.16579355234837518099972561e-90444743344646', 27, 1);
    T('5.63047E+36013975105648', '2.6786E-203', '2.102019711789740909430299410139625177331441797954155155678339e+36013975105851', 61, 5);
    T('5.6467E+601552', '-359986.51711921923286271515235221292600120119782700141', '-1.5685865251808704e+601547', 17, 3);
    T('20292242417.3224359442389193111878955113426917200260348', '5.002117090102067066356E+338023493208366', '4.0567307905438049898692108444750922174671240426074e-338023493208357', 50, 3);
    T('4.3991730655338917913798979588865774873074024324250E+377', '-6.545868603754006738495953777E+4086361', '-6.720533716504787318179706831726779395308078125e-4085985', 46, 2);
    T('-1.195856174926817793573587431862E-1666407949', '-3.84524806458264592923541632492565482398E+552923', '3.10995846000539675427361078319933008881e-1666960873', 39, 6);
    T('2.6418350193346994575861794021951634386362E+97', '-1.255823187797720821873068905287E-9', '-2.1036679725332700944857507546086564400163791404949452732298652754113e+106', 68, 3);
    T('7.80041615144602039594297113388618961799918E+341531026025', '-9.046811510891345489978414063970621884595345978742032E+8115', '-8.622282162124e+341531017909', 13, 6);
    T('-9.315227175464561121929198561081448275811037093E-80768883899', '6.018724837540138528E+1470501955', '-1.54770776649621813025903639306653023183582566685606e-82239385854', 51, 1);
    T('-6E+595830359774693', '6.115656625236519955E+8969', '-9.8108844e+595830359765723', 8, 0);
    T('1.07659026654353279176450267135592892E+582195', '6.1389768230531823561020726888E-6252733021406', '1.7536965810014204384265716277220467374071908324510692375132675060283299e+6252733603600', 71, 6);
    T('-3.80E+6325429659288025', '-6.870115735373480480998E+49449198', '5.5312023062933457120498297283745728322148367490219027032596639614469936206e+6325429609838826', 74, 0);
    T('-5.758816616727607753197432705E-29', '4.535500854929378069301310652888585610094493781E+337372955', '-1.269720103892975198e-337372984', 19, 0);
    T('2.208967743617444E+377405010', '-9.8E-1436482989278', '-2.25404871797698367346938775510204081632653061224489795918367346e+1436860394287', 63, 2);
    T('3.95384575007423101214E+640199034041', '8.45756039770E+36541896448328', '4.67492464038384364293547822e-35901697414288', 27, 4);
    T('-36.27456440746325507066484832567671', '85130.94395', '-4.26103162e-4', 10, 2);
    T('4.29320481781023522569260E-1568742715', '7.23884369358231418115574292611588329116753261975E-230956641', '5.93078811967777216506995930542753275867449019401630642973951420749e-1337786075', 66, 3);
    T('9.07851635441880E+572', '6.4140918059060532531722013110391398615194897887E+15674076758247', '1.4154016857163413641085686402743e-15674076757675', 32, 1);
    T('7.6894E+7076623643322', '6.316286078518793896502012496407565209388078687665300E-13439', '1.2173926108494454648804553425033266402060221908841e+7076623656761', 50, 3);
    T('8.7E+57', '1.0512675123601067199827287151782E+67837040', '8.275724206932265686111e-67836983', 22, 2);
    T('-2.691851389277452475667320089E+2032547058010', '-9.054404785142639464543092390826E+9946393399607', '2.9729744286388739440559313e-7913846341598', 26, 0);
    T('1.17900964530119986944097884003735054145056955652392894138651E+58416', '1.318822814E+32892', '8.9e+25523', 2, 6);
    T('-5.3741425343501711468882044420079E-5893374870', '1.123191262869003746228230255007549860702853935489332E+88316', '-4.784708279000341553429641358930995256278842767683e-5893463186', 49, 4);
    T('5.49989244E+73', '3.9960063224952747872414545829862356346399901596883E+5173164', '1.3763472817944980951005801785133474386211070745458091072923448569794139597943397e-5173091', 80, 3);
    T('-7.02788108173249979732142195328451044499950265453366063322E+1381486346436', '-7.46019E+17362487154737', '9.4205121876688124529287081874382695950096480847453759665906632404804703e-15981000808302', 71, 1);
    T('0.934111069682384378351797677', '-6.0550430708101564208878746267059221013570928552E-40234906879494', '-1.54269929835098861509167e+40234906879493', 24, 0);
    T('-5.133E+62', '-5.969826745661034382E+31497775751573', '8.598239477771690019208955812177e-31497775751512', 31, 4);
    T('9.27106470779498681971826226540949818356697750E-867181130828301', '-7.225278425945022794766851064776589850605844011434859E-16', '-1.283142899310816182274154311751570126284963504084e-867181130828285', 49, 1);
    T('-7.90406708366544378984147519705816990439315615E+230953146738', '5.982269958694400761761092581455227136840783778678E+39697546', '-1.321248813283321844e+230913449192', 19, 0);
    T('-4.1227057512446640231701414766640997E+7024', '3.2259744454629320858004292728846865853865332774296834680E+850515547', '-1.2779722285286266e-850508523', 17, 1);
    T('-9.7283202951049411858417277516483287E+146', '-7.15246585549137881519453979E+27606', '1.3601351606084108432444284271169518482730966227733419731394122297e-27460', 65, 4);
    T('2.04903469151E-36', '3.82383628909454786428E+240916', '5.3e-240953', 2, 3);
    T('-6.58505320836436018546307694462984046057437270821950861E+186625021541634', '-3.20324513141368858E+52600', '2.055744389895686134413471523843437e+186625021489034', 34, 1);
    T('4.26473105818643111106473127935683567270839000293270287670131E+39630672004471', '9.70E+71709825042682', '4.39662995689322794955126936016168626052412e-32079153038212', 42, 2);
    T('-8000.78162794319228689544857209160257711576372273775293', '-7.945395592983724268987323436575402804E-458735572194', '1.0069708341531008616363219240627336879706055e+458735572197', 44, 0);
    T('1.83988934900525131260E+2315', '-7.9183801507E+315981384257', '-2.32356784340873248370298150707097e-315981381943', 33, 2);
    T('-4.878780533181005771334425E+10216548975829', '-1.2536738743197726677144191431885367154446356434616723548074E+2186181966', '3.89158666629163775762984830508544043079761615658278438733689146849644e+10214362793863', 69, 2);
    T('-2.1469E-71085', '-6.71308395297859639309366055550905606025484203650551903258438E+781939541163', '3.19808304951619164004303818528729549829251001099172264941838093530102e-781939612249', 69, 2);
    T('-1.015078297862300E-1092248312699', '2.8395090161611600713834182E-81024993116794', '-3.57483738239585816912e+79932744804094', 21, 5);
    T('-4.408165744525375880492596114E+10211923', '5.49E-7446848332340', '-8.0294458005926700919719419198542805100182149362477231329690346083788706739526411e+7446858544262', 80, 1);
    T('-7.584773883550433E+5421033', '7.887738788539303893E+972581176223', '-9.6159039832441311755977273733722277297080914753139356259528154e-972575755191', 62, 5);
    T('-4.6097410308314174028780351180818602075180323081268E-8589', '-2.484992041636685E+1486662', '1.85503251261734967769349802860780084694600220085332e-1495251', 51, 3);
    T('5.718633142964535048212697556099777359204652523124E+10751', '-5.36736043526898874549448040570811925E+97075', '-1.0654460814e-86324', 11, 6);
    T('0.000094288642422632556336972300691129157376', '-6.020462753634236E+505433712873175', '-1.5661361307436952959218601e-505433712873180', 26, 2);
    T('464261184.421568757450066995477497722742852937', '4.312238945218360496854456311335666396196E-8234694755131509', '1.07661284618e+8234694755131517', 12, 5);
    T('6.2930556090172220816824791942688291E+35401199', '-2.36679704216471989420528621239538691706318537E+8480927439', '-2.6588911076470957579164801520638074000498515102015421e-8445526240', 53, 1);
    T('-9.20594623088067987509757947649718043637183E-8757', '3.72133966025366193386392467E-4627151315105', '-2.473825845355154822691523045647774403e+4627151306348', 37, 3);
    T('3.48503392974982330760940490907728944277987195E-167090298522', '3.258E-1938136595', '1.06968506131056577888563686589235403400241619091467157765500306936771025e-165152161927', 72, 4);
    T('3.8742862599221565896179078329869949704676398430971381006E-7821621', '2.8309555590382892294689718331465199919420736E+258451290596', '1.3685437e-258459112217', 8, 5);
    T('-9.0385138123464096574705575998783144890824209224E-11101961114402', '-0.00087074120420', '1.038025278779658978893485284301688325809265e-11101961114398', 43, 1);
    T('-2.0329148637119643926061351126777855393026060752463964E+251956100577937', '-5.183200941047047508090307437E+36', '3.922122423641363866545861519486158825894e+251956100577900', 41, 0);
    T('9.08261010796454779598119E+81855977', '30.79061786439840034154154866679148156902329325426256358', '2.9497979377888029721649461268957497791439118147189855836162147535944592e+81855976', 71, 1);
    T('-6133132.10943302770525852639027745', '-1.9384627031847962384423078756284E+67', '3.1639154571e-61', 11, 0);
    T('-4.07445667E+774359', '9.624699459004466839067784918040354036379029173247126E+1262185521309813', '-4.2333339210795912270214340587780479318400845446919831429945082255416470155e-1262185520535455', 74, 6);
    T('7.5559188205949649683203296273092079444E+94317716267', '8.7632779234385282311173995696E+54703770738196', '8.6222517265892890574358600126647e-54609453021930', 32, 6);
    T('-1.18835754001957978484428557850383790422372478010E-1821941', '-86.44725914859136568724557362256134677499836046591550', '1.37466190567933551902790267623599261001111681322876366884735e-1821943', 60, 4);
    T('6.873714104300811395006358133686467200850091819472691E+522869277', '-2.258037825825731784137054413932896765088120993E+783217', '-3.04410937039426854308e+522086060', 23, 2);
    T('-3.16085892688500848365945382614154189339092787823714817607E+16311', '-4.056892233627149002681569357440621470744802577881E-47', '7.7913307646798808909754250818107e+16357', 32, 5);
    T('7.2458349385364723831559276E-695846344539323', '1.9547898233278626723735155064201976073407393397335E+2223', '3.7067079294494471161867367109493334552209434157223980359625669100145e-695846344541546', 68, 1);
    T('-1.3579980117E-785091880', '6.3050661096014715126299382236585917728184809304E+767257026533', '-2.15382041693744568727905630363140809282109802e-768042118414', 45, 6);
    T('-2.44338E+868239289', '-3.44314561910079245039102E+470', '7.096359754421626891841203682013512749631135961873332971793463201852295893637539e+868238818', 80, 3);
    T('5.116287108E-81', '8.225629359977681309456325952591316448884760130E+335899525', '6.219933e-335899607', 7, 3);
    T('-9.84262205921887764973750062325890551884644513918704646000225E+30882711', '-2.82661422569847506784590825177353323628632439830443721035424E-8933575279', '3.482124291929755872039446472041319200671238831136e+8964457990', 49, 2);
    T('3.57436E-31817394694560', '2.64922E+4350693375547897', '1.349212220955602026256785015966963861060991537131684042850348e-4382510770242457', 61, 4);
    T('5.672213810201079992257425489254163985573E+719935422', '4.728847663671724862335180420786125775700224641464265458132E+62177764349', '1.199491760704525692483e-61457828927', 22, 1);
    T('9.40221319E-451078777090', '-8.55609729750573E-700932608', '-1.0988904009706539172280185437026680158255392621391961e-450377844482', 53, 6);
    T('-4.293817213802435011826969916454321848482788567957232574E+1444959', '4.257837727594323154154844110934678001E-7958399', '-1.0084501778860511565234948112636814136690895e+9403358', 45, 3);
    T('2.419581494240672708291549333990086595611230252410236E+206919', '-3.1835E+11925809740', '-7.60038163732e-11925602822', 13, 4);
    T('-4.314589876782E+4396997', '1.5851581574662E-824911753', '-2.721867125031023353154619582075756463988143447120227969121537770187015535471779e+829308750', 79, 6);
    T('1.3562620488453822098846E-5075', '-4.313302195497851612905860243347061827373E-806675084', '-3.144370571255184715471317709329726595e+806670008', 38, 5);
    T('5.573549758223360710259693243595692843453883375206E+384', '4.6222482E+99', '1.20580927658176398019035266e+285', 27, 1);
    T('4.6202412617235062121753042705053467710479385377522602E+5537', '2.508696980489186534E+58', '1.841689649111219656358381930327320301833698238752773e+5479', 52, 5);
    T('5.2257526468908161E+56688035191364', '6.292331138E+502200325', '8.3049549241488379215048233845826567177717403848430457475393e+56687532991038', 60, 0);
    T('4.177528067735584626E-4690', '6.433073179609408527415148284904234126787148361027220293E+551227884', '6.493829544760795135957576065820071600985348897786580435156441364485162e-551232575', 71, 2);
    T('4.85604403714129343880411295772180407E+8714150655', '8.74324440149316961511483926609215946970069434636933050481E+42782', '5.55405272247905956078381464766028359339899845444292e+8714107872', 51, 3);
    T('-1.520274166931977068514E+4802837021654', '-6.8753790390159814321657631024112052E+789', '2.21118596997317237894831163175535815674279492280367402942106964318011926516363e+4802837020864', 78, 6);
    T('-1.202698069573846E+40549880365', '-3.04201354823212636004177060279719765747599956863138251746E+204309511207116', '3.95362496091707722691971104384597570434935223063582739897534e-204268961326752', 60, 3);
    T('-7.487629521587033600205653647510E+81055', '9.6220136355160857755250059317005596586E+3637', '-7.781769809543018309695157e+77417', 25, 6);
    T('-8.7832157413266823492199817826316698312502746E+184', '-2.8844270261460762486567304915389558690593777790653E+524434', '3.04504695792635847831724978795768534506287937471825868e-524250', 54, 1);
    T('2.0790421139285490473E+335156443308', '8.57081469360102033267848164424045987624831255416903721E-695913454134153', '2.425722860955988435826800993437150246865515569741461290936824912359708139882621e+696248610577460', 79, 0);
    T('5.680797046341343E-2001953880167361', '-7E-49761466396', '-8.115424351916204285714285714285714285714285714285714285714285714285714285714e-2001904118700966', 76, 4);
    T('3.434273143303039E+28288750750', '3.19239559436012925494410887385124E+5918611', '1.075766784470641613539e+28282832139', 23, 1);
    T('-4.3535E+60057', '-5.54047939E+623832079169', '7.9e-623832019113', 2, 0);
    T('7.06538432197253629321539958456274219655868872E-48449', '-7.55515160743133619738204159193E+49', '-9.351743934592842547642094888488995225001827302738083e-48499', 52, 3);
    T('6.955715568842993929459926087148507655025020179844E+3323', '-7.453929275007343E+420143', '-9.33160929251792737026798550229136682179036053328633083691340477236612160755396e-416821', 78, 3);
    T('-3.11577E-11696644', '8.639830927816776490171811168730954157787E+77995737', '-3.60628584752564458405190833954953523690231407798064919232353e-89692382', 60, 1);
    T('-59418932.3419920266921506523357672272656875081881393348497', '-3.0764665175602944E+321', '1.9314018859894027601229909331515300856e-314', 38, 0);
    T('8.495676050365259097963587097545469765E+143784599', '-2.09E+27', '-4.0649167705096933483079364103088372081339712919e+143784572', 47, 0);
    T('-6.0317104408222713596322521462053188723344267005330606011E+1332', '-9.5200716029742997488884E-5388494273', '6.335782641527423e+5388495604', 16, 4);
    T('1.5231644544849275194390384460E+2878488196639595', '2.5471905893419451158864512943159620356821760472318190E-2867195840', '5.979782042451837093729334052499782950894914487348433331134e+2878491063835434', 59, 4);
    T('9.032578032878E+38363', '9.59715901520547742981978129886712906148093204353909571E+801750580415', '9.411720717107041058740575244225842510375046707421822162650109712096449045e-801750542053', 73, 5);
    T('-6.368178961050869482295306428', '8.1945395141823355995E+76', '-7.771246877300947000439089366841170360004556051e-77', 46, 6);
    T('2.75378223540524431812936018453891664530E+501037580', '-8.73413740855201576920153735859476E-2198', '-3.15289547964849182e+501039777', 18, 1);
    T('-2.477909E+10802508424', '-6.9811177156219716973937E+10938662677563', '3.5494e-10927860169140', 5, 5);
    T('-7.4922071963999982592401826E+15729062', '-8.7492692809769543704684857116301550E+52453158235', '8.56323763252993513555928607072943e-52437429174', 33, 0);
    T('-2.387640393285833049821E-348', '5.4544595268E+480506', '-4.37740968019723147067536143331897754251386445542925611501853412194247e-480855', 69, 1);
    T('3.032888599603905096794834127494083120240E+302', '-2.108839549723957219395695128734121550468650677E-19319', '-1.43817892641519550723951410174407185946447338317591112825344720584773578979e+19621', 75, 1);
    T('3.7691325499105280503E+83497621530', '5.0397762960369658181373414712794738474924275667E+6537', '7.47876954950240546707432802998626136087e+83497614992', 39, 3);
    T('-5.45335081529473764734837468389129170138889505E-73285102233403', '-9.622040832306132372265973850886867011048E+374988036698835', '5.6675614979568975110280331736334157939751468276733690446662243617255154e-448273138932239', 71, 3);
    T('-5.53327973484714532E+3759732', '4.86327E+858458453718965', '-1.137769388672055e-858458449959233', 17, 1);
    T('4.7763398006356976845692079605E-8194', '-7.206670645648113950894642093960057480459496204E+561283265491568', '-6.62766488922312818822206319503e-561283265499763', 30, 2);
    T('-8.74001068160071755925353541951524867651301595811376801105788E+803799673', '4.61634404984770115772039790942138992773600897E-3530', '-1.89327541171656415265980991e+803803203', 27, 3);
    T('5.097351E+108817', '-7.24373248330733409631964251836411123626E-8666157', '-7.036912271051536695228861152e+8774973', 28, 0);
    T('-2.3468002597E+15502020', '3.51018439407112246650303E-1091898511292', '-6.6856894004311094545787487463188759789781702095294896e+1091914013311', 53, 3);
    T('4.811195287952410443817740781199880139969234447966684E+487769864161846', '-2.636291140686438795916523011693741E+5822418023854', '-1.82498632783770195e+481947446137992', 18, 2);
    T('3.63630448529092E+5543662308', '-7.090325905416581696538688588050638034164845E-53129590115', '-5.1285435025109389025963997e+58673252422', 26, 1);
    T('-6.45615923537E+3914362651494324', '-9.17800018231591493282948697E+5279780960462', '7.034385603750223650245569144213107576950806495523348809662577171362621446239e+3909082870533861', 76, 1);
    T('6.318869451E-212420', '-1.287945809259096542379946E+111', '-4.90616096234281131800127557692072536368762111464592147444722132679568688e-212531', 72, 4);
    T('9.53490408546228035866E+88', '5.3984734883377976563035520673030690155E+40309874869402', '1.767e-40309874869314', 4, 2);
    T('-8.73504052327479510708900286439271868398454E-103', '4.149741589543849028768233581580015066900129009120895E+73838174', '-2.1049601125247354755941054342373890055406731529874822513e-73838277', 56, 0);
    T('-5.759752693314491935175401281447353270E+7919', '719662651.074511819', '-8.0034064359387514795974842608771193961796626546213133e+7910', 53, 3);
    T('1.94421904397505E+44073495503', '7.895287881984276039196908654092837971352886009323966E+81914646670426', '2.46250557679021694995957630841469474453688310823195010752732283e-81870573174924', 63, 1);
    T('-2.598803509E+1533040', '-4.81384349142397319544463688758255881581388425E-68336134', '5.3986040751633436474996853057463594066019691248519443e+69869173', 53, 1);
    T('7.31373697000339589529828385233E+548205332829896', '-4.2089032401403260820342077798743986E-5348962736014', '-1.73768237298787456469942286557566067131500995691004081682456158356666011812599e+553554295565910', 79, 5);
    T('-4.38181512421073809701446142246615883451871357765E-704329844933', '-4.7283721555126194592016969191314091452785382825927037083511E+16936612', '9.2670690463781612061382795368660390825397982e-704346781546', 44, 5);
    T('-2.94314759180181562E-50855688773985', '-7.74583937017820279232672335203879017150459249681456624807E+1670067169326', '3.79964965854191835906668811108671333107109427019607745937079390843257330856e-52525755943312', 75, 0);
    T('3.2443548803643821574E+74084', '-2.5499121464876845829077636782441421920587026596E+15806586682', '-1.27233986662373489483692e-15806512598', 24, 0);
    T('4.9622868468848942886560645964096790719337496083247644129257E+4394249441', '-8.2750316186200E+18142978562870', '-5.996698351845619486842226816281224521267217335732235431937538009803255e-18138584313430', 70, 4);
    T('-3.68118691090E+99521524626060', '-7.9555195338025683742804753885255020E+25430745754', '4.627211202560483566561890962741099894990424561292074430882751051e+99496093880305', 64, 6);
    T('4.808161129294759243585E+1710', '-7.992987212310093325927901516E+4198943', '-6.01547456736782202176006779288015606076651248210726391446996856172741225e-4197234', 72, 6);
    T('-1.949087513813979959566206761009819663996548E-6208', '-2.97178695470325824904767537160556017999763716727899830E+74796556', '6.558638097287839177729307937617422440052e-74802765', 40, 1);
    T('7.97036187020143233329768279819513211597801266584741989E+552311', '4.451412277662308E+4232315505824', '1.79052430398271864284016674092776847551647802187275415206154807104074045311e-4232314953513', 75, 4);
    T('-5.09844091886158754939E+2631999800647307', '-3.84142148854080735601042708184020623238590830370935370275E-64389570', '1.32722767706447865283896655982635000916289101486385e+2631999865036877', 52, 0);
    T('8991092416249797395223756.895815856666', '9.5721657882240840496442121795637396822622545E+8390622265174102', '9.392955173541668554e-8390622265174079', 19, 0);
    T('5.6924268534896682805450283332719577771459834803071262E-5253', '-8.1009652E+7856515339', '-7.0268501505100506795721432469206976e-7856520593', 35, 0);
    T('-7.269507E+612730', '-9.353069191320647278E+3855841136', '7.7723224871958317528009899114963570367512e-3855228407', 41, 0);
    T('-2.66E+349192247', '-782592739.63728411440067256184858352711615272984', '3.398958187668411195783943454959e+349192238', 31, 1);
    T('-837823.26228684824434094026', '-2.296E+74469010918697', '3.649056020413102109498868728222997e-74469010918692', 34, 0);
    T('8.16207491031885395697300E+139970731767830', '36318.692348255309194603474738833643', '2.2473482338113273885474773528014213807731094903408055467398419e+139970731767826', 62, 0);
    T('-9.94833E+696987966', '7.1955552428021E+17373893', '-1.38256599585578496969644623788804211818043345056e+679614073', 48, 4);
    T('-2.07321855473424586885248E+577563817447', '3.626706E+80830111335', '-5.7165332804320114970788368287917465601016459565e+496733706111', 47, 0);
    T('6.1523636485798950003418330265312054329857068221464626273E+91748', '4.7882798186E+44056', '1.2848797233363706411403400238475790385976894466838464450177819856452948e+47692', 71, 6);
    T('-7.94753712943681054975269290020983752982E+8210479874021213', '1.52176043450374315654448434510283753729149674152E-7', '-5.22259e+8210479874021220', 6, 4);
    T('-6.181537131280355668922E+504087384548', '-4.3251900803757637703025378980086956541E+1347188909', '1.42919432820471932176003e+502740195639', 24, 2);
    T('9.328810681E+5147774', '9.784659631469026117734363204166221314515281735187192938E+868262', '9.534118745425805941232184772048532102e+4279511', 37, 1);
    T('8.55673E+212129335452', '-3.9927527844856136279947998725125242E+7240207799902', '-2.143065314048078133608609018243162036809926812374476130790832e-7028078464450', 61, 1);
    T('6.806134907939763418649336146437066129814600E+5531682', '-6.4979816361507774009984816629372019E-240513161', '-1.0474229213075350268392708080616713396948e+246044843', 41, 5);
    T('-4.9471480319719912563175163576853576292872705E-61694', '-8.84985605017E+91812706965', '5.5900887019252248158147019078536398305074788452422035267239e-91812768660', 60, 0);
    T('6.9958347628137570601290260581964468934439192743409230850771E+44914597032', '-2.648270678146E+8045254154', '-2.64166152672558287383155890480204127130498e+36869342878', 42, 5);
    T('-4.595857959306821162E-3857', '3.207090E+466743691', '-1.4330305539622589830656451798982e-466747548', 32, 1);
    T('2.831486103736234142464363E+24425570660', '7.92905827306191631435962840E+9448416', '3.57102445993604274165438558693294686409345365185787149661e+24416122243', 57, 2);
    T('9.697507243605582519305125618871999842441228579772E-125135029813580', '4.731061942163678118718353691360E+30336780561', '2.0497527536429965525805569430251934286463067151696954730473856472e-125165366594141', 65, 0);
    T('-1.109416496657303036920963961090059624562679128765849442273E+797440', '-1E+8354491908', '1.109416496657303036920963961090059624562679128765849442273e-8353694468', 68, 1);
    T('4.68975791143722560146268E+616868267811', '4.390460965089699592484009139806856715737872954E+79925890135', '1.06817e+536942377676', 6, 6);
    T('-6.3944987484554268547699258585558295939E+891713811', '2.296664589208639110101E-579270485', '-2.784254513480689395861375e+1470984296', 25, 4);
    T('-2.65510522707E+42906', '5.8E+263758033766382', '-4.57776763287931034483e-263758033723477', 21, 6);
    T('5.445995126339E-31245532', '-3.98967587029091931463995066028211645101135160091028888965939E+498', '-1.36502194749517051633726182e-31246030', 27, 2);
    T('2.8652E+9781940', '6.85495296615884930836913472076626897032855915859931714E-96747', '4.1797515083542659807861732342913688151490373522260855e+9878686', 53, 3);
    T('7.80623559E-443618713', '-4.8627347665667674018764555498625932441922E+7662268', '-1.60531798766220392595995287220049304682262017915768e-451280981', 51, 0);
    T('4.46862682711480455828990811383593524668982892E-57241643846628', '1.9189320453912137647E+54358', '2.3287e-57241643900986', 5, 4);
    T('7.982369590120221436826E+373053', '6.82380267811405030440678E+8275530165933', '1.169783179065543212233494767994425839822838625894096729251e-8275529792880', 58, 5);
    T('-6.066144E+812858352648010', '-8.9170479019166942E-73', '6.8028612907822324494357803776196656381920497550919289946063741e+812858352648082', 62, 4);
    T('9.196190002685707904530728001250816621210417677007E-294286375', '9.15372344993882385941490509785E+5361054', '1.00463926542888597508043702177e-299647429', 30, 6);
    T('-6.4968483802039416170629667967947284676263162156511705960E+80496886129', '-2.1534684350352448776724292761257156272996580472987E+69268', '3e+80496816861', 1, 5);
    T('2.541702548663551231575813898855208420E+96262876082000', '4.591550423963E-45064801', '5.535608485095954993198761247732393054117e+96262921146800', 40, 6);
    T('-1.061744150836674587259810E+2988', '-7.830366490207374168373957582345E+284727', '1.355931618481060479819717320710921799066045537377042784752368159e-281740', 64, 1);
    T('-9.52496E+329522800', '9.85558409799529234909198662230982433046567257289895589271E+774', '-9.6645e+329522025', 5, 2);
    T('-7.4432547393514800E+61467042531447', '-9.29590352067402100645221109770E+561082936405943', '8.0070266680347276051033647709165447180864874425946795558909737162953824301e-499615893874497', 74, 5);
    T('5.6679154902313369710657545060826045820321584598289E-787', '-5.370963205683863393150508896080', '-1.0552884600351053464410341577804854063832955e-787', 44, 4);
    T('-9.75328810184374262100406919650360398155627271E+898', '7.4944149E+64', '-1.301407545750335042299842406176845637616923598665454190426526825996783285e+834', 73, 6);
    T('4.14E+95255705514617', '8.23664875659071941384774948848784E-4117248310', '5.026316069004758895888990176860824797675200159497997581e+95259822762926', 56, 5);
    T('-7.695534559888749466561964240E+2299710205', '-5.33E+51832855806', '1.4438151e-49533145601', 8, 1);
    T('-9.929382675188925952437056800648E+79916116169599', '-8715.234281545', '1.1394e+79916116169596', 5, 0);
    T('7.5900884E-38296', '7.2532126042854634983667846757E+5234846', '1.04644504636683308452e-5273142', 21, 3);
    T('-7.14530423799920215287457210256150909677579865105355390E+695026632271612', '-7.716675385857919032209958645041498832382840570979149E+380189791967', '9.25956306402903925524746e+694646442479644', 24, 3);
    T('4.306988656630373810867892974357370507315997826610E+451127931740', '2.0961697638950170091624880E+530605', '2.0546945819060491864504e+451127401135', 23, 0);
    T('-7.655066327155752993180E-68', '4.5012169E+4509481', '-1.7e-4509549', 4, 2);
    T('4.44899151613113437419565E+8384', '9.29025281869302E+7944031727970', '4.78888099490604771557538799501720348249118850218e-7944031719587', 48, 6);
    T('7.77333E+908141195', '-5.1958467283599093880249351846718395487819674762750440E+2492510593021628', '-1.4960660709200103594684615552059029e-2492509684880433', 35, 6);
    T('2.8316442349439552965777626257217E+116661009764', '-8.42038564948499E+8565352850', '-3.36284388009846689058322853544555510091628823823798350679758e+108095656913', 60, 3);
    T('-2.811913184774300324707436165808592507E+8044540', '-2.2E+1138738', '1.27814e+6905802', 6, 5);
    T('-1.013161609737372262866735158221624553990219099098E+33248224', '-4.844414469201711114371522188489380426935276704847843999E+8060040208613', '2.09140158460538684441746754631474989979526969e-8060006960390', 45, 3);
    T('-7.6327894965559E+1639984', '-8.61E+982649309993', '8.8650284512844367015099e-982647670010', 23, 0);
    T('4.4877324681479782E+4152656561', '1.44536246864107314370388357854987592003E-782', '3.1e+4152657343', 3, 5);
    T('3.196720303219307158E+398671846787713', '-4.32454683E+71301791437550', '-7.392035348173827401933811409321702269554e+327370055350162', 40, 0);
    T('-3.525961842835324439933454312159583610425672827263E+91396244244', '-7.8521520559657671483835108376448948374E-879666', '4.4904400955358887116306445375484675100608948097697e+91397123909', 50, 5);
    T('-9.570451064197863774171178418745264932167221576309391534E-2610958015450973', '6.8483568538444861189751537511687580963931690517E+6294580035430039', '-1.39748136209129728338918194248488802363493427639e-8905538050881012', 48, 4);
    T('-6.6333397573706469476958399570079730987762676526824071528E+45908537', '-3.8653996793950083317476199380E+8765225267', '1.7160812096e-8719316730', 12, 2);
    T('7.465585133592732908259214773797547806750879319233E-87002', '6.4162041105681219E+208174', '1.1635516895879569690968410360305712271617903277039782438628177e-295176', 63, 1);
    T('-6.1299725306550307706395463422044638504173014998338826786E-507134494236669', '-7.87050191644557366015197501856638264463578896194996670E+4706697580', '7.788540801e-507139200934250', 10, 1);
    T('-4.6956106826311198498E-4026331417267', '-3.44965175394914631977270294451007426E+7893423149295649', '1.3e-7897449480712916', 2, 1);
    T('-1.97038219425983329444660548288800037150386590E+57045061', '-631071698.6853177', '3.122279446796043648927936046191e+57045052', 32, 0);
    T('-9.42671090468066477430271130260857694838535014416475E+68867305669', '7.701216E+2243407219489', '-1.22405486415140995581771908522090238066109951261784502603225256894495622509485e-2174539913820', 78, 0);
    T('-6.639647895822029196287522E+768076042422', '8.8824982145172667857263472914885956962E+42', '-7.474978024730029414520751081751468710005080611322465842220171e+768076042379', 61, 2);
    T('-9.9E+2758', '1.2288628026224E+4482096568655', '-8.05622888e-4482096565897', 9, 6);
    T('5.825483393E-2038554676438', '7.5135529332361E+60999381147', '7.753300528743269818015896314703775958624558544275147083e-2099554057586', 55, 3);
    T('-1.719916481051337664E+52918', '-3.6676508998566253E+9866763166804', '4.689422543237613260932203179425330899e-9866763113887', 37, 0);
    T('-4.57588333373783535266145621575547548496E-43547', '-1.77532039877E-12329', '2.5774971869349e-31218', 14, 3);
    T('3.3546E+292015039760', '-6.3160E+4085825645611', '-5.31127295756808106396453451551614946168461051298290056998100063331222292590247e-3793810605852', 80, 0);
    T('3.6196306807967447399147471674752598707167087548505E+265657514977', '-1.304395498078239484E-332553939294898', '-2.774948768321825486823944861122255748492357801876149e+332819596809875', 52, 3);
    T('-8.0749554000616671414634800832155468552521283718722162514E+9128602545253', '-3.0940689560236718183034439815609174296307870E+783825506280', '2.60981752987146030985e+8344777038973', 22, 0);
    T('7.2237447312610829594451601E+9109714', '-7.75283419429698090E-8083337593', '-9.317553491050926268897472e+8092447306', 25, 3);
    T('2E-3804531595280', '-7.0314368628068538082087152713681799561448041740368806E+71', '-3e-3804531595352', 1, 3);
    T('-3.68099432636436719237E-4518297905', '-4.0666E+874777', '9.0517737824334018402842669552e-4519172683', 29, 5);
    T('4.1879477153372045559939351297E+8052271288', '6.52829734E+48', '6.41506889e+8052271239', 9, 0);
    T('-51885.068998267136157383642358962794280293874389369284486210', '7.03067350861859763070528904E+135127327808547', '-7.379814883263101478037437912e-135127327808544', 28, 1);
    T('-2.306111E+83867', '-3.6282706284498578237756742922863E+60102467489', '6.3559509092773015045137628e-60102383623', 26, 5);
    T('-6.116E+9622', '5.824701174682365966564080421442281731252368840804337932E+2895072', '-1.050010947614581998267523439000122004036108872798790605080069837468053126e-2885450', 74, 1);
    T('-2.52919847712840738142884073883769582261605172E-917905268', '2.46598250828117E+9480', '-1.025635205697910623882965194463789156e-917914748', 37, 4);
    T('1.96716419419550408670316378E+5873', '-8.003688761656675E-82', '-2.45782195282206709439e+5954', 21, 2);
    T('-4.61503401640304629824E+1469500731046', '8.29897912152310659038189719327740910E+30759', '-5.56096593186277580641636774141745040481993996844250027700127e+1469500700286', 60, 6);
    T('-1.2195144438338665023646365377398497916174674569336498407832E+84146576', '7.98089860362491077878E+545094232622059', '-1.5280415206377450836e-545094148475484', 20, 1);
    T('-7.3042186167665257519249871873273268230593854E+8754448512166', '4.7862893010742945381270748064599123854156623087508E+329050732', '-1.526071275116419669048169949e+8754119461434', 28, 4);
    T('-7.3138087880875798069E-2820549934977', '-2.82319710007E+100711', '2.5906121779121397349289393285913244410029350374190291380579372089663680921790243e-2820550035688', 80, 3);
    T('9.83613888E+9718763000420', '3.914E+75346179818107', '2.513065631067961165048543689320388349514563106796116504854368932038834951456e-65627416817687', 76, 3);
    T('-8.67328752394090383409609835294E+779239128969651', '-3.91194888724867593831E-7925', '2.217127005982161160975067577132401862013628520054784085364661339187760124474781e+779239128977576', 79, 1);
    T('5.6822732817918090E+90031591008', '-8.90687646635223643695046E+16023878920447', '-6.379647571466715980657781903896072638707500568467802655736192874855377e-15933847329440', 70, 4);
    T('-6.75942605285056004292648645476214057181817740452236E+216', '3.9095449247746762504294177222559310759301810E+37583762401', '-1.728954694961111003893320474717847049e-37583762185', 37, 1);
    T('-5.4320094383789906040236348175118156787210045880668718E-6898472437162854', '3.5951139824027841511379934891145191927830E+320142', '-1.5109422023800543388778192749206267768761368e-6898472437482996', 44, 6);
    T('3.1692249667838714049077001269826591670751E-50', '9.0650042957212411417139847876243859005414861605884E+6002537', '3.4961097241617110430795713561e-6002588', 29, 2);
    T('7.603322127861E+413', '6.095639254948E+123278720384378', '1.247337942725067245309237627572841e-123278720383965', 34, 6);
    T('7.2069607592243E+382992455513', '1.0280155132230240889637066E+272867231787821', '7.01055642305348853293e-272484239332308', 22, 4);
    T('-5665983.97510391863867377391286580621791498672258275257577777', '-37807851330603399314217.66522', '1.49862628414368863618298801399565631264950268e-16', 46, 3);
    T('-9.46096148785820030353015259651627878435E+97769665592', '6.543898922601582755031E-27', '-1.44576827969966786701110311126e+97769665619', 30, 2);
    T('9.8693924752322220668344122728E+80', '9.47866128718908324882E+2085143781803', '1.0412221912150435080923883405595777200234401062769698248e-2085143781723', 56, 6);
    T('-5.74978533148814879877949241E+3197393284287947', '-7.5155208084255928542336464586835536232025841403451773939E+904715', '7.65054808316425452875005814203944392007570824298380670898529002597443e+3197393283383231', 69, 5);
    T('-4.7720722004206625473056041648258248255247724487262053819E+87441073546207', '2.4134923462013252432E-52392', '-1.98e+87441073598599', 3, 5);
    T('-4.225728196068869711E-76141', '3E+93738', '-1.40857606535628990366666666666666667e-169879', 36, 3);
    T('-6.443340987E+78345', '8.9173222041275397946829087243953029266606E+55017627806043', '-7.2256455912488908699345963256020233304025096821057353182143353077803481e-55017627727699', 71, 2);
    T('5.53283212751422342839217160977E+94773163', '7.62929707331343884720106839968119601E+208', '7.25208636437496719485e+94772954', 21, 2);
    T('-2.50769549142939057762223961064175976136E+343114980', '-4.3444860532813785742779845745440825335551081196437480861413E+91305854', '5.77213e+251809125', 6, 1);
    T('-5.56919345726130E+827', '1.008373692050571381040181455065452494190207780582425843401E+517', '-5.522946008176894199413660586e+310', 28, 2);
    T('8.9867400267101886178764977993705825919832297952E+3511977156173499', '923995976.613286152667814068814214797', '9.72595146966895152366914050445581568099116885525521615431516e+3511977156173490', 60, 1);
    T('3.42596344450927952688667719059591004E+367591', '-8.984071712270E+3404639', '-3.8133749976976123251e-3037049', 20, 3);
    T('-3.4084102585371081089207126097337229090449E+633544550', '6.786051442778471314913803779E+7607353293972449', '-5.0226708230516646780831903435377419892140311854656999307997258674241305377805e-7607352660427900', 77, 2);
    T('9.842781E+1218214768', '-4.742298674442126E-973601333194', '-2.07552954288731803004978796673872e+974819547962', 33, 4);
    T('4.70152E+13513561', '-1.3342112397361056409187496677051530E-2728912407', '-3.6e+2742425968', 2, 3);
    T('4.4336E+51605', '6.674438815418141207855470709658805463540094519017263E-7330875247824450', '6.64265584e+7330875247876054', 9, 6);
    T('-2.37830572696623450482542666838678947643451889E+1183364872616', '-1.4704E+17286331238314', '1.61745492856789615398900072659602113468071197633297062e-16102966365698', 54, 4);
    T('9.86E+99084058668956', '-4.9629459449135299E+4288535', '-1.98672323040419336189352222340641855530227326566597e+99084054380421', 51, 6);
    T('9.9866962809055892414287378643087E-282', '-2.2539227E+114083878042829', '-4.430806913167691705411520042e-114083878043111', 28, 6);
    T('-9.058816098157282213545739363E+24459955', '-6.1170222558375150200897343827390226945794371E+24149288967892', '1.48091926419139537465115993858887534034e-24149264507937', 39, 6);
    T('-37086441.4426351', '9.541363982929844964E+5968277918289853', '-3.886911924645709896e-5968277918289847', 19, 2);
    T('-5.2433543487301063623226500596578662653698081057635362683E-8084080', '-8.21212024234896010102456490284371041973316705696647043520362E-5587', '6.3848971934e-8078494', 11, 6);
    T('-9.27001510911542577E-85112', '-4.875966566969827748937612223058236584764213056589893486335E-7020122303711268', '1.901164616654925515e+7020122303626156', 19, 2);
    T('8.0E+491504167', '6.5756713E+92379', '1.216605823956e+491411788', 13, 2);
    T('8.2852141281884776549299E-7469805319379987', '-4.6993045388726500779968688952789238919E+249185136', '-1.76307239926e-7469805568565123', 12, 5);
    T('-9.5069317339260E+36490730', '-1.0919484027421719837381287155911821883690660911727E+81', '8.706392820440575331553273084542810550287736411396302255700688559001176195726e+36490649', 76, 2);
    T('-3.053069568310271472E+316462022', '4.88443E+908455320', '-6.2506158718832524409194112721443443759046603186042178923641039e-591993299', 63, 4);
    T('-6.93834458141740964166336101942687438022E-2621366061796', '1.65009E+419657478', '-4.2048279678183672658239011e-2621785719274', 26, 1);
    T('-6.100076045397716501708208998973061032931E+18656375', '5.362681099003564872423174565292102274717923860219497719E+34893077', '-1.138e-16236702', 4, 3);
    T('-2.18264E+1283576', '6.5E+1623804', '-3.3579076923076923076923076923076923076923076923076923076923076923077e-340229', 68, 4);
    T('2.82759452066696606971119550809878E-605201676', '-7.25794202533807249679702E+89307670679786', '-3.89586264370203159427653e-89308275881463', 24, 3);
    T('-2.6106820246398147812213042321866601795E+383897926102', '-5.006164174800359221089014283433914638379802144E+4962', '5.214934895226295984722894098991103707260034092262127287987e+383897921139', 58, 1);
    T('-6.56098660E+167415745', '6.04688881636067647583E+9815342613', '-1.085018560660212960882e-9647926868', 22, 0);
    T('-8.84145821753E-27', '9.859851125464223183606699688505749126163034385656E+62552459683764', '-8.96713155708395644165980078324422205361764039526278033881464332118e-62552459683792', 66, 5);
    T('8.172078935943983612297242791954428881329623762E+64853477', '-3.928850555599003032670933095269937812048537678E+7901966250650', '-3e-7901901397173', 1, 0);
    T('5.31043E+405943', '-4.188117925427936318334376668590408236E-7039396769855882', '-1.267975280198776e+7039396770261825', 16, 3);
    T('9.277051563370289513847221872012344013569615544E-852290264000612', '2.77756773405203067880E+474893052047', '3.339991e-852765157052659', 7, 3);
    T('-2.43344283103685621212779029515716620262460E+55', '6.888073705967341285786781773396828634202450283960741892414E+5119782', '-3.53283506378379e-5119728', 15, 0);
    T('-4.876868196307737609021202043896997091689E-14887176874756', '-7.06327563582753569417095758563842627356533894589360795E-250772191182467', '6.904541812824726510648725163e+235885014307710', 29, 0);
    T('1.5604282493621223067019666954183949555963539295124423247897E-439004037', '8.1117396409347602063686316836423636800E-756310', '1.92366658501665816446557628949e-438247728', 30, 3);
    T('-1.4389994475278235991760538E-39373451086', '-539.83', '2.6656529787670629627402215512290906396458144230591112e-39373451089', 54, 6);
    T('-9.69638095240908450E+71', '-3.1306E+298289', '3.0972915582984362422538810451670606273557e-298218', 41, 1);
    T('8.63335371E+112711313148361', '1.0453000875E-65906', '8.259210740763e+112711313214267', 13, 5);
    T('5.13315445623139294013281673081567988707457E-61532325', '8.130302472570192E+84', '6.313608224970102994258688182991680575486135206274e-61532410', 49, 3);
    T('1.86736084063846827960112811E+64591', '-1.3363762917635718316155537695824095060417907759121683E+2155396749985', '-1.39733161397e-2155396685394', 12, 6);
    T('4.4619846789115E+3234', '-5.271271814132879635026472305E+958', '-8.464721297331720356511623788782618177131429588103669214850512518728487374e+2275', 73, 5);
    T('-3.8781661844101076189499549996911228156E+7608389361202', '4.372737476882E+352', '-8.868966419579003285087876402727754600924530883496506470985792e+7608389360849', 61, 6);
    T('-5.4074868869478063053272710046314127510763738328524298657669E+8676893139165803', '8.921333996333118866529256661305280E+8258292764044', '-6.06129855598995894252650450584872136113333768256e+8668634846401758', 48, 4);
    T('3.05408847948717030734291E+192892183376', '-3.848105859251055840763861778582761729E+7278', '-7.93660203537534043099456408331757468814836720877128e+192892176097', 51, 1);
    T('-5.4358175445499991448680670710039550820478894599274E+11563390519', '1.7515153425674207969E+31743463', '-3.103494107326530083750983919369030594172453885934380654e+11531647056', 55, 3);
    T('1.7049066910381622E+4798', '-9.44845753966428524103846324567207738777320902170922185043E-65383301697', '-1.8044285894084036185398942897975612913801781986132078101305768723096591e+65383306494', 72, 1);
    T('-1.222555203E-15761702695058', '-8.3451445E+4887515750', '1.46498985487908567670697613444560486639865852532571485131264054206e-15766590210809', 66, 2);
    T('-0.00000805014040275428244604039', '77270490006388609680458.3303034415349110636052314', '-1.0418130391160595408865575e-28', 26, 6);
    T('2.863662352766681352153805915249E+86', '1.2485056521508479653855926600443621551137388598E+30409891730751', '2.2936719171702120657973663788382330902002197852099e-30409891730665', 50, 1);
    T('-6.63654209286276273557785749387090058204671406551960793091426E+8436', '9.2348028411042891878914819459357277263233753877238E-1103357795', '-7.18644697353297384132898814e+1103366230', 27, 5);
    T('6.4761727514197485022E+14797223', '7E+7791', '9.3e+14789431', 2, 0);
    T('-8.970153933348131627992441377291562E-4732924783879', '8.95890848957E+5798630198061261', '-1.00125522e-5803363122845140', 9, 5);
    T('-7532218312524749727368644124604085161.243054043760156', '-4.898041739E+4199842167', '1.537801985750850647737e-4199842131', 22, 6);
    T('-7.5204087925288320222519E+43859803457832', '-7.21327130781648681407989191258394151439644934984985838E+215', '1.1e+43859803457617', 2, 0);
    T('9.2925E+836752', '9.705E-2006797748', '9.5749613601236476043e+2007634499', 20, 1);
    T('1.38238265660905551101922E+9473927', '-3.22127389064195031545E+46284262334', '-4.29141607804596808288269736963994101048413322451147391236112296238657665336856e-46274788408', 78, 3);
    T('-7.2404672439960076407099653073493271404E+965308288234', '6.794147837520232741087123313458856931019E+88', '-1.065691741944590232890485727693318015126210755931289e+965308288146', 52, 2);
    T('7.2019214832540027955648370453100314948113810012707963395321E+74447007', '3.48693059683085760979951364720795E-2082', '2.06540430996807425624916254272552910538964e+74449089', 42, 4);
    T('-7.49288457894022729900980251540166602636265881095961182857E+817801548', '-6.21325179563748665555E+785', '1.205952185005798380626748967668115229522015042e+817800763', 46, 5);
    T('7.75236349779911264621969810730296167534354004964123864E+720686', '-2.606952762651E+5194529116915', '-2.9737261099874186936333480590116086226678559342014132079754500751509904041279e-5194528396229', 78, 0);
    T('-6.99877817242865221E+922973953262', '4.058217997631352522569366680952195154752094123E+5786', '-1.724593941605307378602027851933633607046942621e+922973947476', 46, 1);
    T('3.2167342575590676777228291E+91323404006', '-6.353284078560857188875471402629032025787712919715016649001E-821', '-5.06310471526675500557424228102593184949236297e+91323404826', 45, 2);
    T('3.16530343972093395896503693692491769577729785561734144438E+60561', '-78.115426434052324383470247499312272752994096385364', '-4.052084951994968367500232515441705026e+60559', 37, 1);
    T('4.119439021072776468997735676695999155E+6237626341', '8.78604196872551019185514132751E+605409533', '4.688617509153938166275750737294742866798857940671e+5632216807', 49, 2);
    T('9E+526315177', '3726797.05520358320019547', '2.414942339678423490167948196948303944875771e+526315171', 43, 5);
    T('4.8326158602418750E+97670', '1.300587E+562441007', '3.715719025518381315513687281204563785429194663640340861472550472e-562343337', 64, 2);
    T('6.4513350944E+89812118501282', '-8.1E+89466', '-7.96461122765432098765432098765432099e+89812118411815', 36, 0);
    T('-4.497067329278063836418033154071199233585E+966511', '-3.1140207041398005778045060182365917486E+3022069517', '1.444135333878683448e-3021103006', 19, 4);
    T('-2.5523985E+61240', '-1.883623761192448399738596046690632445555051459672E+594664890', '1.3550468796296010392303101227530597136852264612997342099952639156146081069067e-594603650', 77, 4);
    T('5.831129347965014441764988164348402724858113276E+925329565', '-4.2123160668495337994485E+8538292113', '-1.3843047994084213921683336199900656796e-7612962548', 38, 4);
    T('-6.17E+779093828', '7.375578076700E+1108', '-8.3654459838090374804316116311013710240098935240656619324158363973244331936041e+779092719', 77, 4);
    T('-680088.557696031228540337026277868308225', '2.928943353377489894928762093689031726113534240564142E-5838', '-2.321958725872222879397198e+5843', 25, 4);
    T('-8.2361576143133675507255431866027404E+150', '-4.2106976838641885236973747191237110237216E-723666', '1.9560078240418781537411737777993791335933472e+723816', 45, 6);
    T('6.7812765564850358666621044718948547818411375431566912776E-5872', '-8.616965607432725415758349628242676674330039193737304512E+3173970', '-7.869680425132158466182721737772420935151387634810433535191447419902424089406791e-3179843', 79, 0);
    T('8.1226590950342634210020190583080466761805891648278193E+9491727', '-4.939090187577206349799272457166716214380744775882404512623E+4471', '-1.64456585859970035099810166139793572411288226772874868970680931e+9487256', 63, 3);
    T('-6.35022197785888087400833E-626', '-5.472549030920185285E+47108121066', '1.1603773565078719277372261871597377202226643e-47108121692', 44, 1);
    T('8.352814618E-29057076970', '-4.2853550544196001167756479510590146299954646019917236625654E+6023135', '-1.949153456814627566191607421859925639421284007820901298198118661342320042e-29063100105', 73, 4);
    T('6.220765261020531E-75', '-4.10315295679889178161059380591212158042810576E+152294751083798', '-1.51609392253164057409798984706144666249026887469092724968553e-152294751083873', 60, 3);
    T('-7.543469089272663388590411889664E-9873', '-8.3268010640964319122213069E+388699505783684', '9.0592642134788764679055261488665e-388699505793558', 32, 1);
    T('-4.74917501987721375233161215280899053E+66889', '-9.1372878278E-385110473', '5.1975762495167896305892181482682028225207004570792e+385177361', 50, 4);
    T('7.123693111535650003334434725766635271216236514E-82839185', '-5.8299621047904E+7410375653979', '-1.22191070602023449814e-7410458493164', 21, 3);
    T('-8.301989547230337583820E+97397207', '4.75935353546998075E+483934083171746', '-1.744352354864624604067463456e-483933985774539', 28, 1);
    T('-8.1970680959788833978687167651468369023998433811966443E+403311211', '-9.70550455114067047606724367482641255532076852913740E+7281883495509', '8.4457928516611707142847608591e-7281480184299', 29, 4);
    T('8.828127615420145941949442014274720704009E+1417516', '1.96312833870907717136398884126664619240732914322569352072881E+646', '4.496969169741284516752886173213358169471376734609008059e+1416870', 55, 3);
    T('-4E-280043339628741', '1.99E+5391885462946', '-2.01005025125628140703517587939698492462311558e-285435225091687', 45, 4);
    T('-5.74621673035455590062343475790981471741340723820E+73779370', '7.6E-5744192988551682', '-7.5608114873086261850308352077760719965965885e+5744193062331051', 44, 3);
    T('4.939581910448667850821069788644025005595591371889361028635E+7205062', '7.320E-652550618', '6.74806271919216919511075107738254782185190078126961889157786885e+659755679', 63, 3);
    T('-7.3801988515845015345440796111593405E+2361420265158205', '9.26107365197140529710102613080895420551417E+78784690', '-7.9690531885722323001512545878639585010408104557716114637e+2361420186373514', 56, 0);
    T('-9.136640157988030972783864874493212428517186387519E+496478', '-2.010598570053423154729430816184655960424613393359875358E+1786164633198581', '4.54423886203463449042933318146413432879495563969e-1786164632702103', 48, 3);
    T('1.4352995929588528354778127905368046E+560643269895519', '8.46955492E-45', '1.694658e+560643269895563', 7, 6);
    T('9.36480E+369578', '-7.7068059677938419067086433856645E+6788207561', '-1.21513374530704282758017463854238977879975111128003186424926461788475469997e-6787837983', 75, 3);
    T('-5.308175E+4225691557228', '8.88261644E+190886381183512', '-5.975913781547906170763352244893285069055621633934e-186660689626285', 49, 3);
    T('-6.2107799843518637430788272196671748954158842180E+682391359', '4.7174809537693530404523798108923E+93', '-1.31655e+682391266', 6, 0);
    T('-2.8282667701959954426502E-4699659437', '-1.3686033508265337909273547455980596280155634843839942441E+18183635', '2.06653503258481312944593467366941909844134999415642466585113e-4717843072', 60, 2);
    T('4.087043208795188642257836404308915037386206885388463467E+1655902093', '-1.6484432679E+1253047440313977', '-2.479335e-1253045784411884', 8, 2);
    T('-2.37768563212690782857103376040005598636980215883298572769099E+2263', '-2.86716885345049201938354361797908548719754E+49156327234575', '8.29279946057409207994544e-49156327232313', 25, 3);
    T('8.6372209635274192269077816209786800959878787890E+4260011778610826', '-1.482273880552764934180877367582E+14751415451', '-5.82700746255236841e+4259997027195375', 18, 2);
    T('-3.3528919624513667489544294E+6151', '3.38313241146091510294E-4004449344907', '-9.91061405427968506211605154110061813058231e+4004449351057', 42, 1);
    T('-7.842460760512909915056024478814176588781928384188679E+717707', '-1.72558785E-94325965', '4.544805273468348722469287482995534877452e+95043672', 40, 5);
    T('3.387355E+91', '-4.3441300746405658091943877337132768018600897416632049E+206955154', '-7.79755e-206955064', 6, 4);
    T('-8.2219862204653070686256653325744913006590999376E+57', '4.6741135061050511728655886154590E+9795', '-1.759047188247832229339e-9738', 22, 3);
    T('8.4296641312455451815E+938010141245477', '9.5459320903345302869920627833317337797321333732097E+42357017874664', '8.830634925405313351551616537416809415853384803865578075766050617028861521e+895653123370812', 73, 3);
    T('-9.739162532018E-5594316640', '7.560508772817192552E+8602598672568', '-1.288162321434487100302342878584897494180194764817671385711025970305e-8608192989208', 67, 1);
    T('58352037.3753036263201346626474135923248588357615470', '1.7294375303331E-1432390778', '3.374047131038302107775e+1432390785', 22, 1);
    T('-1.279746350131396120922353140182E+5523592060', '6.8215446703E+40332', '-1.87603601821e+5523551727', 12, 1);
    T('1.081517325354554903972203020429786E+37461822683008', '6.44312436217E-312479103899', '1.67856037624316055002768436565420955595685e+37774301786906', 42, 1);
    T('2.7746240231816901735307950210671492302114396E+9296366859', '-1.942351237207154126447536544604813643495204896923960E+2551069', '-1.4284872735845835e+9293815790', 17, 6);
    T('8.3281797374213842121611508483953997072120149099234661445718E+66', '7.24937E-243616', '1.148815e+243682', 7, 2);
    T('-6.15142861736822478803114385116172637292010043595409272E+977', '-5.05094669555656581322048269766254E-58931761', '1.217876368162779915613942e+58932738', 25, 0);
    T('7.1271792730677692020842227437693231244774121756055E+4660', '8.64781795278887828888184223486165512269698451E-9339460035967', '8.2415926329361377526498571472e+9339460040626', 30, 5);
    T('9.626979877802364578125322988175666E+7004417', '-1.2811481405834822841533E+184667570', '-7.514337782528319952816897182055542109013433947900474622774018e-177663153', 61, 4);
    T('1.9036466', '1.9991132685667986834268561331613701551302612E+60309061', '9.5224549300538608013750105774742438870640314906136233593e-60309062', 56, 5);
    T('-1.37157369530234057488660594106938701089620E+642414908', '-6.04880271554001506212281819627513120276633989549774E+82584', '2.2675126959896087e+642332323', 18, 1);
    T('-3.17699075046166E+41', '6.275036801881400152880915475511870008060075010943855E-2490331', '-5.06290377374222e+2490371', 15, 3);
    T('-1.744050E-7758172274614748', '8.702249271172389458130537316E+4558', '-2.0041370290063376769422182759081126793e-7758172274619307', 38, 1);
    T('-6.596188836847273544060E+571477', '5.962902072953260383712683339548746390135E+80260210515263', '-1.106204454835255034015434540122e-80260209943786', 31, 2);
    T('5E+37196688', '-7.78115539992117688E+4490932196', '-6.4257809322901455099482549872154092304399779328e-4453735509', 47, 6);
    T('-4.2961748508811350477013397370669752888504427E+752682988', '-6.669086751525783300055606393063772E+212517174', '6.44192377599262309181578721980309432088110880988536222960209258364091361e+540165813', 72, 4);
    T('6.922872E+87636131564', '-3.498763676464020081171780415381017489476134870931393661754E+847388', '-1.978662361956526991848587371e+87635284176', 28, 3);
    T('-4.3060E+33074823979', '5.4983779019793533E+4840236851468', '-7.831400599893086900953031765134194110353311282011301760110686321474757977e-4807162027490', 73, 0);
    T('-5.9E+8142139649698219', '7.913362418167255099303037602119022113298E+49087', '-7.4557434478862748440906563245626823346913459547419800054023601638764955e+8142139649649131', 71, 6);
    T('4505.0718646705641770063133204475914310362624595428', '2.007592492478E+314222680', '2.2440170908937e-314222677', 14, 1);
    T('-2E+5704353477', '-2.18529005198398173979301974863719398332E-11417537', '9.1521031644e+5715771013', 11, 6);
    T('8.31254469432214888883800874190790365749089671904429E-794410528982077', '8.4795773164487482028912657514201E+9388016298222', '9.803017749714259730241090872139491030378195671548804188892038047e-803798545280300', 64, 1);
    T('-4.958340683989312797372043876500936556975E+8897892201982', '3.297765003700419003589517797679932013752881266550114767E+6655396902143785', '-1.503545788867e-6646499009941803', 13, 1);
    T('-2.72405123E-7655662314', '-2.22604E+66485248', '1.22372070133510628739824980683186285960719483926614077015687e-7722147562', 60, 5);
    T('-3.7124048168960364050464273147028947643482986E+57645662291195', '7.68447190997362777812304573473163999275527516923139571E+71', '-4.8310474166451562323212560124392351145046441938612762e+57645662291123', 53, 1);
    T('-2.19590155616490141306526025E+2159181873872773', '3.967947912771370825469855251053744211068E+78642095428', '-5.534098744333560146291641839448833985211e+2159103231777344', 40, 2);
    T('2.5424009010377126781853393190509293356173E+52', '4.366185025289364877616425252610852149374470339148E+2949774', '5.822934406e-2949723', 10, 3);
    T('7.8649216551399897332021769062455206003E-530288132323124', '3.46692159958553844386401395E-135062', '2.2685605743378277948457e-530288132188062', 23, 3);
    T('9.6E-37950090289901', '6E-99597320', '1.6e-37949990692581', 35, 0);
    T('5.4258669266546323411057165456774E+217158', '-2.14354937378976969200125946976642702082063902E+6076187', '-2.531253533508194596444152e-5859029', 25, 5);
    T('-8.9443966322E+935433666340', '6.6231260837355371561517303399464E+846140307204757', '-1.350479595151423313035754868161488544244072869e-845204873538417', 46, 5);
    T('7.422457219360482437880105E+476292672464', '-8.53721440197013424E+4049737339', '-8.6942378038995961950581972046926837042259e+472242935124', 42, 0);
    T('6.8895E-5711', '8.151433860561114E+1584800', '8.45188726039145310954810472815257863891536181704e-1590512', 48, 4);
    T('6.7231917391775097824765E-6666007433344508', '-2.4149966369821090302971094522926715E+74', '-2.78393420356026651682962051884877130069793216456318953031829711583672107197413e-6666007433344582', 79, 4);
    T('1.4312963407592536112505779782151135629376E+442554792935', '1.093000221739E-51900', '1.3095114825155416191554390560907710013048e+442554844835', 41, 6);
    T('-3.957415182464190494824799422779550624393954047769145E-5578301792267', '-7.60273167317254424443320130E-1648507841372', '5.20525e-3929793950896', 6, 6);
    T('-3.265492338463847248587638617113E-619925730', '-5.8942089267712870906862552886598366900351E+7020502', '5.54017066417869463427918234065792020109706197182985785697332965408e-626946233', 67, 2);
    T('6.80281270457126670687054040627378111116433490985440577745768E+615610072862176', '-0.00080074551425465839932057097411752527725252178074503781142284', '-8.495598893118233680768939639095629289034e+615610072862179', 40, 6);
    T('-5.3235833159136785965801638771E+1448554854683', '5.7898308755738698743619054684280314540418590213E+92651', '-9.19471298958455624624e+1448554762031', 21, 6);
    T('-2.8907238183234482119922812251538888596365730697789663077E+73731', '8.843452379906288332974237635609276493E-311', '-3.268772979307975228215400922097026345e+74041', 37, 5);
    T('-1.42998E+20088641', '-5.46201837621460801018574651089459366169694728961015258134956E+89070873376267', '2.61804318752774312543695511005438551238486337370260308494706e-89070853287627', 60, 1);
    T('3.1836387711761567883570692949801498539439969996E+186157071367673', '7.143658382586660790717077590680748937605E+311692263', '4.4565943675814282111314e+186156759675409', 23, 1);
    T('5.5573555622184462724084692273081162562E+92152634555', '-4.51349046086521184686580635E+577066', '-1.2312766827368304883e+92152057489', 20, 1);
    T('-2.1588825086248370720147120601037153026482035498E+227', '6.44856966550079465799563458938238176057429E-8329933067151', '-3.347847074018046882601611291393219909e+8329933067377', 37, 0);
    T('8.4858995484158044664636362963915841990172328426715106050E+499399416', '-9.38492530E+2942155978770', '-9.042053375e-2941656579355', 10, 6);
    T('3.551560436338042867506133660696601768E+2184', '-7.495456598775858027505891859E+67400953', '-4.738284305345822610839377935882521571006378850590585309850691927e-67398770', 66, 1);
    T('6.155573829017137855308746601562930158978425961782219E+4223236784', '3.0663060513092851765901127236502502573260370844E+94255347001030', '2.007488400053465977716784514078809538890146e-94251123764246', 43, 1);
    T('-7.0517075960622925455544677730887232259265358481E+73951572', '2.60362861377433888185127847636E+91', '-2.7084153088330886551536637420683123368836144817630170873e+73951481', 56, 4);
    T('2.143222925181441291553190755325031694445681139852307E+6943261', '9.76543301147220431672E+87', '3e+6943173', 1, 2);
    T('-7.7433849804993302223049890320187E-6770522120568', '1.96952493617683296118739045198556468064762E+350945464', '-3.9316003764494068e-6770873066032', 17, 0);
    T('-8.5607916E+6693770714', '-3.12579882420103944888186016252459769986665892133990E+6682020921623', '3e-6675327150909', 1, 5);
    T('-3.897188431628886884105700994173696123841514390E-365285', '7.5867020039282282102553885809592954164839898078286421264260E+173', '-5.13686767927751482936458377080677e-365459', 33, 2);
    T('-3.2003238749450972304443026511129924195029073531725590523E+27017073', '-5.41281571758119578743726687069669804873E+6500325922691', '5.9124936852186308934604574217011204559274e-6500298905619', 41, 3);
    T('-1.1621740027880785E+49', '-4.753992012721350711943894717575477351681557E+137168538', '2.444627588094767532581658287849595601909742948223832861030020270424083765158e-137168490', 76, 3);
    T('8.39778185069061203240743293699010745249579734E+387', '7.39058088720454830128833836E+276', '1.136e+111', 4, 6);
    T('-7.7451395499280159464193664721815222779619052619824E+52929066329049', '8.951271811992540538317287188672701973193272E+7594145', '-8.65255766175193238412286596079688327418106e+52929058734903', 42, 0);
    T('6.18868189033376E+3777428049052', '-2.79141466690773470153681409465E+287504', '-2.217041403307320225806275888499077e+3777427761548', 34, 5);
    T('-9.47144020137E+634', '4.690325716282200998E+50798318', '-2.0193566021418149953e-50797684', 20, 4);
    T('-813345.37103411233390', '8.0969131699134354726696368397125E-70183214', '-1.00451289765135007903048101798037933e+70183219', 36, 2);
    T('9.36815043395257360328593009997116879205719E+86001698', '-5.2893875808E+87361640823508', '-1.7711219476443955436463617334417530819898411631253777529949313712e-87361554821810', 65, 4);
    T('9.58756060605387942726019E+38', '-5.41851483454751333310100519410E+92', '-1.76940746658572407769402347923864960779126702098987065376889012709421e-54', 69, 6);
    T('8.2627763169183514114677764218281802441475123567E+724402', '-3.9338491981710759299508632987077283673506793E+64590', '-2.10043036748e+659812', 12, 5);
    T('2.2890528526769370816155E+2297536956', '7.541E+837425144954', '3.035476531861738e-835127607999', 16, 3);
    T('-4.4879150442853E-641', '4.53E-83', '-9.90709722800286975717439293598233995584988962472406181015452538631e-559', 66, 1);
    T('2.55E+989129732656594', '-2.34448010185334934039036E+5120953392', '-1.08766118253005597e+989124611703202', 18, 6);
    T('4.8717E+92665', '-8.0860619574520647546704986967E+90', '-6e+92574', 2, 5);
    T('3.336075505899342612E-12946', '-5.2804206923462332261713516862668800E+83', '-6.31782143936913169354588476636e-13030', 30, 1);
    T('-1.4050525842269726067682391114758850879182229990701605334379E+77677', '6.38403420218621873E+664763834783', '-2.20088511390777164211918495959733922292838495811503e-664763757107', 51, 1);
    T('-2.7453745018376393648271458169393421E-93', '1.2320913773124E+96737734556', '-2.2e-96737734649', 2, 6);
    T('4.8504178823845799309076529898571851538707249662745603007E+77071855035', '5.354999484433525866561117144918205947891420E+384', '9.057737347098320631059977921e+77071854650', 29, 3);
    T('-9.40218370407732E+36', '-8.554621575E+623179024', '1.0990765192e-623178988', 11, 1);
    T('-8.221541299369886326806E+951480626933972', '-1.3963798186669498229580E-7', '5.887754312589936e+951480626933979', 16, 0);
    T('-7.651229644776422205881094E+9507', '-9.392759707537645032429680116E+40087021', '8.14588031953627725975909128906830729939129062e-40077515', 45, 3);
    T('-8.953213915834822492831634859024E-5097', '-9.456342910943557231981339145E-68487233072', '9.467945483949743579564259696354482807879e+68487227974', 40, 5);
    T('4059306246203072115911459545706199194946036261.318650415', '-4.611620E-780106176204', '-8.802343311467710079996746361812550025687364226277643029998135146e+780106176248', 64, 4);
    T('3.10072444641447590028105916254932650065406138854076733598946E+59985', '-7.00686712770467732984968828654630436E-309', '-4.4252650862386440424308182227146800153569410754707867059140659136882808287e+60293', 74, 3);
    T('9.67341311817747061522475038E+15294799792', '1.4227697750307588259510206029186655777776474593407E+59654079', '6.79900099646714896437380510128639669355688804459405e+15235145713', 51, 5);
    T('9.19741138927078848E+680', '-6.29295E+76', '-1.4615421049381909088742163850022644387767263366147832097824e+604', 59, 4);
    T('-9.9691224033907618E+550448756620', '-3.06856706068873302181345922927111E+79765518446', '3.248787530539813116178542485905593778879336971380366677636160917e+470683238174', 64, 0);
    T('-9.35366862624725E+54024127', '-1.290968834597026119732453921457004089902186E+7058267', '7.245464317631635832956469679424173213976392268178665160288812939738442915e+46965860', 74, 3);
    T('-2.945537E+854811782144', '-3.777282185045548957853679E+62115605450320', '7.798032701029141601492294390302444341675371114183023323687411043428e-61260793668177', 67, 6);
    T('8.6489076735E+243357781', '3.0307108069251467934768936827941042E+5192750766678', '2.853755512976468807232943235213640880298435e-5192507408897', 43, 1);
    T('-9.61E+5500195197876', '6.4982872148409587167343365127693428790910457592071224108E-6627', '-1.4788512237582281743429380666199e+5500195204503', 32, 4);
    T('5.1145633251852955205426675E-204681387124', '2.421978194441010509752837982857068408711302102E+3648461', '2.11172971619826256864385949124886900384102346745e-204685035585', 48, 4);
    T('6.1275781E-37', '-9.19636554573744108844728714162701902805149640415763481E+269065660328', '-6.6630432093254072757004e-269065660366', 23, 4);
    T('1.250E-3506585569', '93.5469609892136058219700492619224117127957767255196154275823', '1.33622726679932525024654852835323856629524609e-3506585571', 45, 2);
    T('-5.467401070594990545264361085950781110444760810247041E-88069126', '7.8681659454979297452959991300E+80028229680496', '-6.9487617679484402734475457714958430711864477642e-80028317749623', 47, 2);
    T('-2.297529787160611673E+27999194', '-4.7898512752722406991495119152883771588411E+42', '4.7966620571742638e+27999151', 17, 0);
    T('2.2479891E+195444361440563', '-1.474977115E-385183', '-1.524084053331227447552635418346812791058118e+195444361825746', 43, 4);
    T('-14108326344301945.7437380422871474434149932', '-0.002070254520152526401085507700373', '6.8147786694664538537464656461785507917212335304365795084771139169685787267e+18', 74, 6);
    T('-4.4533397030051416767906531E+632184', '-4.1806744E+29062', '1.065220411090885641988922433184464209889198737887839339987825887612774e+603122', 70, 4);
    T('4.68799613676628743388435769179621030850777E+4286398', '2.95895E+908318035268', '1.58434449273096450899283789580635370942657699521789824093e-908313748870', 59, 1);
    T('4.9069876013735E-179', '5.3125726E+75691539', '9.23655631807e-75691719', 12, 5);
    T('6.20146674389746228E+61323', '4.558358265631984414614042357460606641481353E+99319936167452', '1.3604605830686439901414559573798942175e-99319936106129', 38, 4);
    T('2.48087229266E+3002430396', '2.8178E+65', '8.80428807104833558094967705302008e+3002430330', 33, 1);
    T('9.646118466167574571592337443809070985552579332E+8905858', '8.01782397312228884319988587706944750344504002171686928886864E-8342572', '1.2e+17248430', 2, 6);
    T('5.69884248667571854109236475900905507E+796', '-6.759106658892674450261735802076E+936848276813', '-8.43135457727684974174456441848255999e-936848276018', 36, 0);
    T('-5.17331059969442017446836797726048735775709315E-3299971', '1.5E-60', '-3.4488737331296134496455786515069915718380621e-3299911', 51, 5);
    T('-3.764492356873628663081449005218E+966757058943', '-1.344996323097E+1185110757583725', '2.79888672721831422474548469484379994442568554545461646001161e-1184144000524782', 60, 1);
    T('3.7899E+32177', '-2.8203768356909985151288E+413', '-1.34375660445086097214024835341776629038490323964e+31764', 48, 4);
    T('-2.507E-7928889443', '-2.852E+6779815341', '8.79032258064516129e-14708704785', 18, 1);
    T('3.10403183366363383917721835E-758148', '7.538108370478175E+7638141507', '4.1177861621359678e-7638899656', 18, 3);
    T('-2.25681362452287022468109100358395857435344457542E+54418233117', '1.97634466448342E-26085', '-1.1419129795929393882717373251175156949471922363884948000573415385588e+54418259202', 68, 5);
    T('-1.98907498950732561929E-13548', '2.1131418333508834019870261844950323551997423731713E+527777849309847', '-9.41287971358353821227064954217673748331833666989500033263474e-527777849323396', 60, 0);
    T('-1.99811814494120070620549948715487524865579532E-663865', '-9.8473349675638931387938394028E+7851561421851181', '2.0290953354616208542375263124487755038734128e-7851561422515047', 44, 0);
    T('-7.6323666640757777752549014503E+5293416', '7.6192900061169142736112354392289976713296479208474733808240E+31672447239662', '-1.0017162567573048546764496707088922423006817685556e-31672441946246', 50, 4);
    T('4.035693930376465687375970E-20211296024', '494056200.52132914709659883646830104083856625785861123', '8.16849161313630498237629513256968241743715430365357381881e-20211296033', 57, 3);
    T('1.2018326814566984E-4510510', '6.08161701060723231205700499616616970089089599376060E-7575552750', '1.976172915e+7571042239', 10, 6);
    T('1E+9338', '-8.47E-6203797', '-1.1806375e+6213134', 8, 6);
    T('-453566146.2980726260059986969677', '8.18270072254697305214558298637567401442583529E+28201679', '-5.5429883320588340777650519799698233309329583550039433493977457971671045e-28201672', 71, 4);
    T('7.09884105282E+46582265118491', '5.83520295875484474315536821629787097384234527768580890949531E-3220388442602333', '1.21655426606357475175564809009028060321154415403264489483180813e+3266970707720824', 63, 2);
    T('-9.7093263171E+8945641166316751', '8.65158670911247631971971616303992838793087590E+8347', '-1.12225960896553e+8945641166308404', 15, 2);
    T('-4.3121946567751963550208887497E+27776329', '5.75027555855719994982670E+1753907541', '-7.49910958677112149356844676463888715365820424118150155326049266674e-1726131213', 66, 4);
    T('1.8512281190108281E+6447475', '-3.55942198838E+83366', '-5.2009234225509116845492312444161066207140257414538032061647068697203910708398567e+6364108', 80, 5);
    T('7.73684274071776247930404651434869421145921E-3032', '2.5377128475436621802694797053135272897973138632341576221012E+90020763', '3.048746334009584024566280118215131320728723481594224743522766553546e-90023795', 67, 2);
    T('4.41152853483487E+77614377426471', '2.42688667E+828922815530', '2e+76785454610941', 1, 4);
    T('8.54892849866E-13656697', '-5.311296641974432695444944404640017487075951228408603849E-36', '-1.6096e-13656661', 5, 6);
    T('-3.360E+3390821287446', '4.63205549883754575084442287408070330813378600094924327E+978', '-7.2537990981395213386698798817603767852091080035591597702316379e+3390821286467', 62, 2);
    T('-74998701408.476906265765489306255099035168787238882029', '6.563E+4846', '-1.14275028810722087864948178129293157146379380220755796e-4836', 54, 6);
    T('8.95721818540E+7066286655705', '-8.11409148741745559361331230224E-64860332', '-1.10390894646553879008021866452273676387078551051e+7066351516037', 48, 6);
    T('-4.5798814563121700725673642848177701878E+56747', '1.9184769440099368180868727736251921210127548091E-254129898552867', '-2.3872486300197352891423238959803892517e+254129898609614', 38, 4);
    T('-2.9726E+1811817277408438', '-9.5133957826275394125467047286832170971475E-385704163758', '3.1246466224271674156388009993989643476065419645144483770115645452e+1812202981572195', 65, 3);
    T('6.352211215E+9619440', '6.2468E-651314182', '1.01687443411e+660933622', 12, 4);
    T('-3.96168738725884719', '-8.3855059386012341821757239166378865519627699108E+1621731715', '4.72444646305943301504218317e-1621731716', 27, 1);
    T('-85842818623449454032794848958554282421159204.0619151249314366', '7.07161684709037506447977569646806658113151E+78093', '-1.21390652915209314682981208208347429995e-78050', 39, 6);
    T('-9.47502674839949534251583403907332264696373076319E-682034', '7.748450471264769003593148599120657837304165900581497631357E+61', '-1.2228285879270645512428633625875927468415938381953534128643151e-682095', 62, 0);
    T('9.7370615852003337757751460022384355291455846374882632320E-3045192321565', '3.644551569191882328442402367193021253335E+696035', '2.6716761720453203802751e-3045193017600', 23, 2);
    T('-5.42049353498372929374904144611160013373184398626E+32418048513', '-9.2418754155408087051422412523577563877025453181744E+943988134396', '5.8651445634820182977592809658914376852026417950911770365568265823713402814e-911570085884', 74, 6);
    T('-7.0779342450578478635252530065534E+6912646883941181', '6E+5', '-1.179655707509641310587542167759e+6912646883941176', 31, 3);
    T('-1.99250174415E+124324244847', '-8.15301975633397083445E+173379594097929', '2.44388190351440315109007573365638953323751514751148863230364939e-173255269853083', 63, 6);
    T('-6.410568941566446427502350991E+34456871', '-5.234062860045863769957527227E+557361', '1.22477874511241033450019485033262368233178631872046878488256440167351882174861e+33899510', 78, 6);
    T('6.69094924396657878219E+2333230947789', '-5.9793970063587953866481545427402813391162410907812076978695E+2639493453125901', '-1.11900066793542601323611888537222680765844337080652362554342562858465e-2637160222178112', 69, 0);
    T('5.1702645880211674157591208E+9017143929937', '-9.496209588923598172E+124', '-5.44455610378669036e+9017143929812', 18, 4);
    T('2.6503295905348147295878439E+4484446095837640', '-7.556447931886662342358082960338829E-552293356741280', '-3.50737491269008388e+5036739452578919', 18, 2);
    T('4.932424359499245334257650897887508508008759350E+673340495194', '7.3798524596134805477235559605119454813561618866484769830E+2846201491', '6.68363546086066447731175802480303504834e+670494293702', 40, 1);
    T('530.67953517467109466560206849372', '4.869584237982E-53892927233589', '1.08978407445024407440923811333327350195024984862683147556123721923384915268e+53892927233591', 75, 0);
    T('-3.225190159392732421819023893673492585E+282803439072973', '-9.2087209074320782639812004835965598856013154040514434E+154715458490', '3.502321540432156698773577980888452972924388322706102e+282648723614482', 52, 3);
    T('-3.2260306637739881261452649349317662000591022920195436910E+196161', '-9.345087406554790428802874790420204645229345E+2678', '3.45211395402380054321167656465e+193482', 30, 4);
    T('-6.283610310305418213999436008623E+4695843824', '-3.719193343948334726994256378838E+27328276', '1.689508914756948746e+4668515548', 19, 2);
    T('3.5911997980566837058073848917367561344402583530828812401E+98949801462850', '8.840E+3456', '4.0624432104713616581531503300189549e+98949801459393', 35, 3);
    T('-478126600.524', '-6.643794104477344E+290868', '7.196589674592473056924120859407597989055161e-290861', 43, 3);
    T('6.7564118921790072463886598506788406241990271681E+4559', '-6E+338073002730618', '-1.12606864e-338073002726059', 9, 2);
    T('3.777879437544886258149368690288472414349E+69792027', '5.12439909289354582678978569995581099E-4521608847020', '7.37233648e+4521678639046', 9, 5);
    T('-5.5319223E+580157', '1.989558916790597E+880126', '-2.78047674452570140788342155534920111338164948685732112325095000701209125556e-299969', 76, 2);
    T('4.3070028724273519344645468344202955077293826735E+77683', '2.59387670288114068792942608190E-810134', '1.660450116092010674491472859490507932242677643414172410750660474e+887817', 64, 5);
    T('-7.8584E+8', '4.97149725736E+4244872550', '-1.58069080463961147275148539216210318e-4244872542', 38, 4);
    T('3.19227961E-273292603649', '8.45E+5644762', '3.7778456923076923076923076923076923076923076923076923076923077e-273298248412', 62, 2);
    T('-4.4024695268313279400620523E-23628', '7.308558923139148639238460192711961E-35464435', '-6.02371763452978147230010197664101326422172e+35440806', 43, 4);
    T('9956.295139444611343287944321727737', '3.1192238141152726001789975329320616647083E+4383572', '3.191914313551297823227097932387673030387e-4383569', 40, 1);
    T('622852.223848591068495182223862245017451881761', '-7.890662064139E-1716170', '-7.893535660072072932303466626908167624202533685e+1716174', 47, 3);
    T('7.3972398471630656212422456E+3970', '9.36189913701782E-275312257', '7.90143083032553854302714379939845065407210438e+275316226', 45, 1);
    T('1.05063631E+83897783236', '5.61842098864466485525223724196010508416950197060557158E+3235757647', '1.869985022701984534167124175536e+80662025588', 31, 4);
    T('-71478.246572559012474', '4E+209469100447292', '-1.78695616431397531185e-209469100447288', 54, 3);
    T('9.808636820179735210E+87859598677476', '2879249.773393890181014446478136248636987703760045366887', '3.4066640938267371e+87859598677470', 17, 3);
    T('4.161972411E-51', '2.7219582676849134135528052410701376705E-5434259018065', '1.52903608420854e+5434259018014', 16, 2);
    T('-9.953352249253213346524751068001640176121E+24574697986176', '1.1806285880127075810927328733580E+8191700787', '-8.43055330890063235254751329899041196211538455676879743459135784e+24566506285389', 63, 5);
    T('7.532775E-157055134810445', '4.987556869846266297933975022234774769532624325E-583184', '1.51031360575e-157055134227261', 12, 5);
    T('-0.000071059570069797422181117500502814058583', '0.0022996852683419290944631333983352', '-3.089969355721068085909577394608636142719434091377722529875519826e-2', 64, 4);
    T('7.7950226619136654011212922938860262486304466957712933471E+547188', '-8.4357474311568517363160714E+34962969717297', '-9.24046473122e-34962969170110', 12, 1);
    T('-6.0888430812151E+28019', '7.0873941014797052578626342428145292449535E+1756297896', '-8.59108863e-1756269878', 9, 3);
    T('218395137295317790349558277565182013847.945452263', '6.095564509786394945884144074118E+176207189606', '3.5828533509027032869289698376331186e-176207189569', 35, 6);
    T('-3.72051193556437297885419451299814E+7080326958677435', '9.851209731978765897073505492070925719510257E+527030419849497', '-3.7767e+6553296538827937', 6, 1);
    T('-1.768797968E+7671857422', '-6.30506263298881694375E+796523563', '2.805361454691099262066504580180912409337686238120189403429475e+6875333858', 61, 3);
    T('-4.1139120682817569355610852298988243463367435667500999519357E+253089342049371', '4.5467438413846145442033E+58666114772', '-9.048040117934051330189831639688077008252209749765536785532954707792979e+253030675934598', 70, 5);
    T('2.870356267488027067777518839590435367292141586315186341E+6164539084', '4.256483033986972214511150051844783202E-6684050689', '6.743492795739902731952e+12848589772', 23, 2);
    T('9.6230162977389099063898711018524022661908104222856406E+921', '2.7948495437761127498329805634134463326084E+824173', '3.44312498651976869764662293447242650770720319178e-823252', 48, 2);
    T('4E+64637742674', '5.85008375700251993846899397E+1602959052', '6.837508942007916947194e+63034783621', 23, 3);
    T('2.3072944777253959789429952E+692449852461124', '6252.6892819358795653788676062871485571751345204327', '3.69008337643005391536979667692032151071164729407015130171e+692449852461120', 57, 3);
    T('4.8144190E+143458', '-1.37443798867212385006608428E+3349100605685', '-3.502827366297784680007761026709980794473204e-3349100462227', 43, 3);
    T('2.7823748740E+424487833', '92281363160564213827955374.104857959659433742303490815758647', '3.015099450968045704333776034994373044135844782762e+424487807', 49, 4);
    T('9.0000630734671942771120026715477E+429327147450', '-1.02524150171E+51407', '-8.778481029548639726916856895199691691380545176662540238477525726576061354866e+429327096043', 76, 4);
    T('4.580557227535E-263767', '9.961379386229613041664E+352354', '5e-616122', 1, 0);
    T('-6.3419693E+916670802554278', '-9.48E+86', '6.689841033755274261603376e+916670802554191', 25, 5);
    T('-4.9225572247511188373668595445455378540146590803008284474647E+164985', '7.661816769601120185321943026954168755455256384555008521115E+8160308892693', '-6.42479110735428196097611715e-8160308727709', 27, 0);
    T('9.48948E-97122', '-3.0941865540246102665390E+5021584496286331', '-3.066873905084044721032802300846397781875332163727717398703911919e-5021584496383453', 64, 4);
    T('4.91553957581860E+742645', '7.856494181769372699204598008163052E+132', '6.256657819749780615947681570003299e+742512', 34, 4);
    T('1.3109471759635589622583081473629917E+243015933677', '5.999923312463557562702003912E-204860890834', '2.184939886215456384199640376644352538543322579e+447876824510', 46, 2);
    T('-3.22917091255717714071301888898041648419152328210907851E+33533', '-9.87383110112408E-30446000', '3.27043361334138502643066325180445763284596574526794284794473e+30479532', 60, 4);
    T('9.187301737253388221085941188601667330396902435267518E+42563598', '-7.2252765358799075078782439278198106459963200767E-230766926411', '-1.271550187958936254618644978816050743636000502924292033556e+230809490009', 58, 4);
    T('-8.86191849449631699186879184461449867E+50186', '-9.42226079488915786914010134310177790E+7770458', '9.405e-7720273', 4, 6);
    T('2.798129603994064369E+88', '-3.8698203559621518592305980133804018822894518593095180381842E+7907250725679', '-7.2307e-7907250725592', 5, 3);
    T('8.514409867181095E+394616922528', '6.0878681856599420108197181951869777277096802236277677996519E+1282255254597151', '1.3985864357636562486244025110074849315005557599654e-1281860637674623', 50, 5);
    T('2.1194052451265965939161183594718145217850851E+91074753644', '-2.7252390311464E+7606903242191687', '-7.7769517495683556438188912495665263862553e-7606812167438044', 42, 3);
    T('-2.4903062675445181733650978965E+7241090717621', '8.81853489159073876997430550962E+1643787982', '-2.82394558524596618190648678e+7239446929638', 27, 5);
    T('8.76880599621016E+547656975', '7.978752977E+7394604773900203', '1.099019611396368713521584188781936e-7394604226243228', 34, 2);
    T('1E-451317442', '-5.7991253472789962803086303621938171903882028314E+8771711230325785', '-1.724397974031048199633543699035698213753655020141620982666215837e-8771711681643228', 65, 5);
    T('-3.048700255025176274431701169E-645', '1.54448404568509426862346641450437316381827E-88280799', '-1.9739279687235937334552433221795395940816065151399251908337860520062e+88280154', 68, 4);
    T('-1.932586633861142146415798055105145672054265866422127529E+342825599420244', '-5.938883459989122955817399534268841292808145418543215E+482', '3.25413e+342825599419761', 6, 2);
    T('1.06024919152646369455044660584943357271009243754943072E-7227781', '9.3190152665929492932066907079799924091296682583165217298E-984', '1.137726638701057659499733880627051561052e-7226798', 40, 4);
    T('3.56621332338291233686145320830814846151143757180831554E+971604801230', '-3.8521799174E+63378', '-9.2576499536654594389103005926702058495899409929474431146672e+971604737851', 59, 2);
    T('-9.8898270090005630260023381885274E+85195672037', '2.6479906630075146927157528863826E+70489867810156', '-3.7348421001484841093935024810976398842056514772520285961115e-70404672138119', 60, 3);
    T('-1.235833100960921973519319119323558504120E+32690641126', '-2.3188666384832971910411120873199E+36930', '5.329470356127268446362462636782197679207970479837089214157e+32690604195', 58, 3);
    T('1.51571634260803755697382493919712E+65017', '-4.6651E+15333477644', '-3.249054345261704051303991209614199e-15333412628', 35, 2);
    T('-6.869733004745550316457474043E+3971839', '5.91012915582868E+23957138680', '-1.16236596927336030189344074123316574569086556787114638296200456136513078623033e-23953166841', 78, 0);
    T('-8.089477504619647330E+157718', '-3.22989607223904925498239663625405183116161E+42284295079320', '2.5045627858272e-42284294921602', 14, 3);
    T('-1.52204981589481E-74', '1.02483016481E+311509713084', '-1.4851727321833787153550871094016505171725831e-311509713158', 44, 3);
    T('9.951465099348623075114758958754E-3086931368019', '8899104588619349.23219254752301829793856102105789', '1.1182546513808915935157069588547361e-3086931368034', 35, 3);
    T('-5.391353019974194757704323946074E+202733', '9.07179807904069947616964611138799806056645523041167887843E+419999786', '-5.9429817253431475250912045455948789335084411760380227937996829e-419797054', 62, 1);
    T('54.3507', '-8.0338998056150686671809787451094527457E+357', '-6.76517025542e-357', 12, 2);
    T('2.2428529631347266E-285884614609', '-3.93053914767059649680691115505970575435738097855480426580122E+7632025045', '-5.7062221e-293516639655', 8, 1);
    T('-8.67721203624861581704909361816012205903524069103E+448628087126486', '-7.566774317383239144E+150466747', '1.146751795717543090095816259102615252204762196505946461557128e+448627936659739', 61, 6);
    T('7.121133E+15283783555', '-9.41546388748E+101720392', '-7.563231174907022298692677179680155567225481869423665147840913888e+15182063162', 64, 4);
    T('-2.55E+3787546925794', '-2.925708386554E+876665200798352', '8.715837886370752539843389262830913712393369679917946954719313364639e-872877653872559', 67, 2);
    T('-2.24489196042274438684332581739678527364612924370080E+91104404213766', '-8.988333130672036316E+660177', '2.49756203712812227265771352889914699985274690766657281489647727922287427367e+91104403553588', 75, 4);
    T('-1.707095133719044841521782395799147530322574209243362E-5294830', '5.3078609958919035111580037639286224845E+25142194061', '-3.2161639783714683489838484855259595511625759140714e-25147488892', 50, 4);
    T('1.6894573691525122567401383E+6800', '-6.833219584607496686558928590145983959060859468E+544', '-2.472417794033989724884626022710772048829858718e+6255', 47, 1);
    T('-2.7427592529027E-75874456135', '-3.6301741261313889E+35', '7.55544818954899299322705996128632787832628246632689924738338065811e-75874456171', 66, 2);
    T('4.61161944419031880669315193339833E+1435924435', '-9.681069762827820555721693299092554165818E+260595', '-5e+1435663839', 1, 4);
    T('-7.46983852676171525705600170590540845352E+88191', '0.000514546067445560728228005404122971947392309849283532325191', '-1.451733673496985475839165034888138166197e+88195', 40, 5);
    T('-6.3298909122459875621712846041440324300877954984961133E+6534947716046152', '1.596916316E+895138096', '-3.96382130286029813610551437571011230753045e+6534946820908056', 42, 2);
    T('3.677510793988035956273184523E+6090', '7.65135687470882212700016421E+7715192405', '4.80635115340635e-7715186316', 15, 4);
    T('8.140546359196819202086540177326789728023E-98041856', '-1.11253495822155395705559759071692091871540E+4625289454', '-7.3171151e-4723331310', 8, 6);
    T('-5.197416444403968124037101554218508868835639699E-14398551927', '4.79334330896062032653669203399113867992043213492451048E+508', '-1.08429880970302673079406e-14398552435', 24, 6);
    T('-1292618233906709937646431.957958024778258851908578', '2.889E+6454617479527', '-4.4742756452291794311056834820284692913079e-6454617479504', 42, 5);
    T('-2.88853E-6672318745', '-5.0855834961073738359732038292602363547860E+15648485949275', '5.6798398889939e-15655158268021', 14, 3);
    T('-4.085899292060024778557754076699E+317', '-4.3573568084989884468004804123728470765E-8325943216', '9.377013340037960568916672e+8325943532', 26, 5);
    T('5.9841121099E+1758422311091', '-7.9597021181912099642588860826069734588352694E+67720166', '-7.5180101227957135911907360444746677212265362e+1758354590924', 44, 2);
    T('1069285203.8149927587500505', '7.556213028784520984305125641659E-142', '1.41511e+150', 6, 4);
    T('2.44728110470762542403569842543990476760915520039297842336526E+43568117', '9.9734373573978660769907828528743244683566932993000E-79190311', '2.45379904340837690601964019e+122758427', 27, 4);
    T('6.725195090492771873729446258190830306804778E+87683854', '-5.7534798215306710479336721E-85312041', '-1.168891748e+172995895', 10, 1);
    T('-6.626125480969855E+208', '1.425628549820965692556395465397532429E+45390342', '-4.6478625037370231147865660564003969597606009418524050473794923131232471467074e-45390134', 77, 0);
    T('-8E+84954808923524', '7.690957320960748300840221873915531056601E-30880', '-1.04e+84954808954404', 4, 5);
    T('-7.65389118336826238701527500E-4187545928', '-1.764438E-623786', '4.33786349158670488110960827186900304799601912903712e-4186922142', 51, 3);
    T('-9.643746727553659784527560897948E+584939266433', '0.000037746120676769321255407021', '-2.554897444994621649035501437584464596339254725314229792944828147583840240334934e+584939266438', 79, 4);
    T('-6.649886008857634041404205486155916E-7085554830933', '1.850E-3131975433663617', '-3.595e+3124889878832684', 4, 3);
    T('-2.31003914876303240E+99520483498216', '-9.705E+4406', '2.3802567220639179804224626481e+99520483493809', 29, 5);
    T('8.44170886779242787048E+4929925666', '-9.8E+2263', '-8.61398864060451823518367346938775510204081632653061224489796e+4929923402', 61, 3);
    T('-3E+16813084', '-7.56197624256843453427473887978160138430486E+2739979018240217', '3.967216907019859016517033958477646322053901594402911e-2739979001427134', 52, 0);
    T('8.3766590445573165473166529901509868517748229509020593E+699', '5.29E+27254836949200', '1.58348942241159102973849772970718087935251851623857454e-27254836948501', 54, 6);
    T('-5.5222107333367515325112710854319313930729621064E+933683', '726260.5086946176526850674996793856878', '-7.6036224842548386654045815723128453748669375322e+933677', 47, 2);
    T('2.76794830915010448336855760E-619065474', '3.1183394E-882116', '8.876353578286265065850617799973922017596929955732207982235673256092649825096011e-618183359', 80, 3);
    T('-3.66051116527702201031696265434912835510564443364160E+902229158744', '-7.62434618798931519016314155555950398529389E+8215310', '4.8010820534926002433931386457293815191904166413331026287772485034185892317509e+902220943433', 77, 0);
    T('-6.011312558175635938319931812029373346378844948275E+8248903200304', '-9.069019093E-10511347', '6.6284043e+8248913711650', 8, 6);
    T('4.3883953653871959179894787816594965810448132796025436626782E-7507', '-4.2577026E+64061', '-1.0306956069189040864407670891948856599436544204855e-71568', 50, 0);
    T('-8.10652810E+57', '-7.525949896338198594514237813213656783E+2349', '1.07714351e-2292', 9, 1);
    T('-4.2431703848087724343E+5568', '-6E+6051', '7.071950641347954057166666666666666666666666666666666667e-484', 55, 6);
    T('1.367959433192859678878813625857058E-9360936628', '-3.60904614957911396018687982402805870787852864988245084312E+70236686', '-3.7903628174784929210427413328986e-9431173315', 32, 6);
    T('1.7861474193269338808298588251002795001822644821711E+1579', '6.72929020326107367715446552266459245110882339950612242E+522', '2.654287993793685714453340772333517846e+1056', 37, 1);
    T('7.824197187716080763310720992916693828090434402832940825725E-52804678', '-4.002474969140886940E+79', '-1.95483975491182375263240382668062039992863012e-52804757', 45, 4);
    T('-6.40770861543317320662506909491608461E+536311278', '-5.335933829108243320508794925072808360902985235507896625884E+21329945', '1.200859834595071e+514981333', 16, 1);
    T('-7.796548701943056E+324370404', '-2.01601597203188613E+1347147094', '3.8673050264007246710337734670711278793571082368350377981708803625552871098707323e-1022776690', 80, 0);
    T('8.5388759893775317677269803805192647090174453968E+3624980654543', '-9.300391893827409123750682E+64587460174234', '-9.1812001976440487685541395734673485839094504e-60962479519692', 44, 5);
    T('-5.43655E-6952611962590', '-9.7419805597875944416057166404548048E+596571708986473', '5.580538748394437100888000087e-603524320949064', 28, 2);
    T('-9.97837360667895978218337003596411119152257059655595036778E+96988261800', '9.37671249566887801553374035729836100884E+1589925055000', '-1.064165464312571193771515548763903048268435234569002448192e-1492936793200', 58, 0);
    T('49.2171861115147436279565767900620307', '-8.126948932832457E+79206276', '-6.056047173211564702162250190056214616008906618954631524280492956983679207e-79206276', 73, 5);
    T('79911018.61388056502877', '-6.37837949213226364E-5917332785450', '-1e+5917332785457', 1, 4);
    T('-8.4451727410304420830679325869254457482472011E+889', '-9.9632221600703418253234416498032596081103105843E+3777775859030049', '8.476346914029685665131425318454832517141060729433816858846755e-3777775859029161', 61, 3);
    T('4.686E+929945077742', '6.65283089271971E-43830690', '7.0436180861412819490652488342910144365461820910317747615556739e+929988908431', 62, 4);
    T('-8.92565273075336604270778992716E+397070017825', '-1.04774E+3532', '8.5189576906039342229e+397070014293', 21, 3);
    T('-4.73641195101566590246329681003966101254629161E+873126712371', '4.970230250689370021967868E-25089847708', '-9.52956243900114373106046342395913773248723131186787619133717860362657274768711e+898216560078', 78, 0);
    T('1.910574311002430152183711E-92716253804', '8.118385972077048924089523219096274E+5005140936730', '2.35339181651844911992726758938473611e-5097857190535', 36, 2);
    T('6.1071836696102814364825591455124162587519520E+325', '-2.6174035862E-823780', '-2.33329842665831120747570371213561694735327248479186025805407754507034e+824105', 69, 6);
    T('2.724641871640156808861262263303029291975303259399979E-6080106', '6.1E+2424', '4.466626019082224276821741415250867691e-6082531', 37, 3);
    T('-1.168722521247333841664E-79354214795', '-7.01237769963379043534000855727295E+504915', '1.6666565483322e-79354719711', 15, 0);
    T('2.117933633969414826890831E+53', '-9.086042E+6661600', '-2.3309749547376237386e-6661548', 20, 3);
    T('6.662283090046E+350493', '-8.7354646582817878611249330086310385110415048228E+8237337', '-7.6267071651760652685018092608828387611210337519036122e-7886845', 53, 4);
    T('3.557983912890492350067922440213184468285294896452380E-259369', '7.224131731672131684336439572439553962069371727841789364392E+7108590594', '4.9251370891972156388311062e-7108849964', 26, 1);
    T('6.787166534678672627428151352587850E-17371', '-3.3482139E+665995052878149', '-2.0271006385460237852271479288070125985678513550164760978980464778549542489e-665995052895520', 75, 3);
    T('-1.2619276287049161564033680555925823793803435903899529E+49482', '6.22543392038390080920244185E+39159668402519', '-2.1e-39159668353038', 2, 3);
    T('5932438730.699037405856', '5.722330791260661325435047283101867573387E+550852078115', '1.03671719568523722688218510962585042327223191079069173307413959232e-550852078106', 66, 0);
    T('3.187898369121986376222812E+47597', '-5.938464791555E+547467511', '-5.368219701589286029303337879087317043e-547419915', 37, 5);
    T('9.95348590471412E+6989029166721678', '-5.4178647933600963713613818E+82915168819', '-1.83716026227024e+6988946251552859', 15, 0);
    T('7.979546250957643556830196362808E+94901288574', '-5.34041889195117E-333354537', '-1.49e+95234643111', 3, 4);
    T('-7.8203876022494890477035965865103788742660562468184960661914E-7', '9.775E+1685383989233', '-8.0003965240403980027658277099850423266149e-1685383989241', 41, 3);
    T('-6.5827209458449946455823194644532E+605438708', '7.54120199689279409157017205898413237242795614238E+8723900168826', '-8.7290075886540064050820715945e-8723294730119', 29, 1);
    T('5.79132945577431640314470324852577303114716447E+1310', '3.613166308764520516516449502980254425249162119596910353E-55469914893', '1.602840545e+55469916203', 10, 5);
    T('6.5E+6067', '-5.4474603414725810E+435727416005388', '-1.19321658030517977758377182751e-435727415999321', 30, 6);
    T('-1.527961040300207223918078194141188563601143257E+7741', '2.570982765336180645797645909254496E+6778109', '-5.94310106198e-6770369', 13, 2);
    T('5.670041404643E+18000', '8.558672353846E+320', '6.624907661169036940074459554287485786766e+17679', 40, 2);
    T('9.1980541668588039747681546E+176733026202', '-0.5435256416993155673900378070321138979287498054610091855', '-1.69229444e+176733026203', 9, 0);
    T('2.443913236144250875336E+483532', '-5.506194E-96634138784172', '-4.438480075609851151877322157e+96634139267703', 28, 1);
    T('-2.57028246465432121646601022804603832096320021509099E+782487', '-9.89317589002430599628564E+96485790196102', '2.598035750325678715630590734718854176302688446663310061993354e-96485789413616', 62, 3);
    T('-6.7405580520047039990331E+648', '5.8077110157922098886284884350E-497427257048', '-1.16062e+497427257696', 6, 6);
    T('1.486098570641925363588800E-46597598', '-7.88E+6536', '-1.885911891677570258361421319796954315e-46604135', 37, 6);
    T('7.21259730178538233495E-206757519', '-2.300376301309547622829563308553711558859543840948933563E+895087497415', '-3.135398890033525459240796976443771471735431931300546406266619096337571e-895294254934', 70, 0);
    T('2.5416823789691694729406593144E-612048', '9.9628557191065628066314905032563898034E+955678202570', '2.55115847366411470986908463836095821891073270503292258e-955678814619', 54, 6);
    T('-8.5518663353021337E+7715871964062', '8.55232240166E+9851143139', '-9.99946673390402380313905384188851096428089191297251836e+7706020820922', 54, 2);
    T('-4.4324871910675849634531768460595029E+856532', '-1.179788380597208029444729008237059E+9874731', '3.75701885521525744841068980960701905877343520899862857596011591176e-9018199', 66, 5);
    T('-2.950E+483440678240031', '2.9795681540979942016201213857394758550651E+822195857', '-9.9007636255699431042726653456217300855561741e+483439856044173', 44, 2);
    T('-8.047459253586488018E+66119222', '4.827E-44', '-1.6671761453462788518748705199917132794696499e+66119266', 44, 4);
    T('4.3541675257482559720646036E-1130', '-8.837006836180274842955080499380162350817326389772E+89010691', '-4.9272e-89011822', 6, 3);
    T('-9.67748E+4669335028742302', '4753853816635929495401118564.399', '-2.03571257621217319e+4669335028742275', 18, 5);
    T('-4.4104847732514800796626E+82338', '1.84704635383944E-974', '-2.3878581953741668745969524451822645944e+83312', 38, 4);
    T('-2.348810414623265056737544425450857708E+136635', '-52.28928347275998032674', '4e+136633', 1, 3);
    T('1.0906673932778E+24837332', '-2.2816232032273377621669632598910669318269311279098096330128E+4199114154059642', '-4.78e-4199114129222311', 3, 5);
    T('-9.9229376451E+5723096840010', '-6.3175634744526729555821420472844449970520178E-308888902968165', '1.5706906128014299770528986718456512066384948715281755145e+314611999808175', 56, 3);
    T('2.7186085769E+37714713805', '-3.9790430213826273469297506213041E+7488580946038477', '-6.8e-7488543231324673', 2, 4);
    T('4.693543461460711031093873953747398180054397504E+6893', '-2.43564113805861530815161528985574591227563E-284804528', '-1.927025861125752514871448258016051921197e+284811421', 40, 4);
    T('-9.4327416497784726961654728883262876084071641159939859042219E+67359247779283', '-6.00115892258272674404902021E+67747974528393', '1.5718200053463826e-388726749110', 17, 2);
    T('0.000089529170477319672564437435309273752', '-6.2079615232034346E+62170129315', '-1.4422e-62170129320', 5, 3);
    T('1.06422474523885111296937370160460277E+757379650820', '-2.51E+65487460699216', '-4.2399392240591678e-64730081048397', 17, 5);
    T('-2.9262919540353298829852865E+47427', '6.699173688E-2100695', '-4.36813865458824611233946932113040028407754278843829851154e+2148121', 57, 1);
    T('4.552E+270184888531', '3.7642666225475195909924420821289024659400625E+27781', '1.20926609521601074360515961210827391905317376211564117403178187034023587206e+270184860750', 75, 5);
    T('3.289171447841016155277180953172146635495E+554', '-9.8E+15387', '-3.3562974e-14834', 8, 5);
    T('6.988E+28390873', '8.7743064030291E+3243665551110460', '7.9641622699517030848260890667954442083045925942e-3243665522719588', 48, 2);
    T('-7.78797481044347038947464055293512989860689775238109849880E+799171', '6.7256881846E+5844892320064069', '-1.15794467371767522092e-5844892319264898', 21, 3);
    T('2.5500833868480947230536967673E+29777540214', '-8.556845987703692E+8224735', '-2.980167447810326849447409967933860533190017997887151858005130453e+29769315478', 64, 3);
    T('-2.89902135473764003625052778034744116E-485514038734723', '2.46273893051421731743E+56598539991', '-1.1771533388365803776652093534696595e-485570637274714', 35, 6);
    T('7.449270528670761634020212670021900603812E+50287605', '1E+8102872', '7.449270528670761634020212670021900603812e+42184733', 69, 1);
    T('5.02642038122E+87', '1.6E+794298329', '3.1415127382625e-794298242', 31, 5);
    T('-4.283378697519646390200E+81733', '-8.15680244374884490281E+2981579188208722', '5.25129635915396380653801291524877796723536560172570104277329991408e-2981579188126990', 66, 1);
    T('5268401430.73445513599888855832843227632462105484482332', '-4.28181570963011637630223E+192654683', '-1.2304129341e-192654674', 11, 6);
    T('6.79405889724217788723220425828748804177148E+94', '5.73841737162675274971448655343492E+3965265707', '1.1839603948703659837353007164892963483373010369368809717630992171410094279505e-3965265613', 77, 1);
    T('-9.041238415059716797527352992763669E-4734685778618', '-3.83476154381210730567E-677309142671', '2.35771e-4057376635947', 6, 5);
    T('3.526637108617213E+64277880510329', '1.3390232449396559835108E+323895683498462', '3e-259617802988133', 1, 4);
    T('3.52336456234301569E+6890301', '2.97186553274186461360323683465502904421191785001190668346E+335058', '1.18557334560569235676438952585065264895564623259e+6555243', 48, 3);
    T('5.99601461722669758988938219E-766993', '-2.218879570266424861731630225E+72561020512', '-2.70227131637736667612933669877089836193487319145214542983069291015959516465208e-72561787505', 78, 2);
    T('4.24054101E+348441189515', '3.396009773611207E+2075', '1.248683393949937248556334088064955e+348441187440', 34, 0);
    T('7.3531899417980815952944061740244988273359311095700155244221E+80045710996913', '-4.193789000048321966421637324770077E+37', '-1.75335238413600592692262017655671364380500483770255564057092662458e+80045710996876', 66, 0);
    T('-5.0030751799812E+52438472', '-8.2092192258623E+91799', '6.0944592199700633301847063769187778867219784629736986919578555e+52346672', 62, 2);
    T('9.383067461455064197909039197299684062085012008542703E-197582', '2.453624512072980585632953370208242808243309455E-636229', '3.82416601044128072474579177064966218895029e+438647', 42, 3);
    T('2.452048123E-48772', '-6.9906427062181289112E+136741', '-3.50761471591005495469667083219970960208125e-185514', 42, 5);
    T('465269527974968576734909845421669233935497730509313191.2809', '-6.6714811670078343425526463941913033167316917620955994453E-45356997155', '-6.9741e+45356997207', 5, 0);
    T('1E+538503644187426', '6.7574003264900060127259474964999152306330792274656039042317E-9', '1.479859045911269e+538503644187434', 16, 1);
    T('9.647485322208265809049669893406586E+30090058930224', '-8.948732925954338952231898569E+782914', '-1.0780839479774069024100283723335281172063079255848117252204e+30090058147310', 59, 2);
    T('4.3986205418450510483261963497290206E+5458994635667', '2.6701890962643302253754823E+26709', '1.64730675741236645431827146409629495302758042272996046464755939352e+5458994608958', 66, 4);
    T('1.84590202669907880048949714285462391811295E+1878024643', '-7.455194622974751E+2927359168812441', '-2.475994417383207245606400854961363e-2927357290787799', 34, 4);
    T('9338752530', '7.34581708E-5027018072779199', '1.2713020795775110697420197672550811733526040918e+5027018072779208', 47, 6);
    T('9.33852602971356637620314207320995605299322856421818781E+873549918097', '3.182545E+859023836319595', '2.934295e-858150286401498', 7, 5);
    T('1.3913947846915335787220962370E-28', '-6.3E+952170020', '-2.208563150304021553527136884126984126984126984126984126984127e-952170049', 61, 4);
    T('8.59277425096323465241245E+4055290594555544', '-6.03921817500E+54940451', '-1.422828916255080427262830258653472e+4055290539615093', 34, 5);
    T('-4.146622723413444564503769340194271621654E+6357', '-4.0309243017895956359360239408064120509783009098119E-882', '1.02870270264625974176007959256765185084443487005457963153e+7239', 57, 4);
    T('-9.2886090837826026509099603177124E-94238397640652', '-731.17451511290345598149942', '1.2703682762176568699700406172568892888543226831719855e-94238397640654', 53, 6);
    T('-3.08945014459520489845066592964E-1658787641772', '-8.64797132948827E+848985881', '3.57245650671926801504441508338565208108997509123982872332674e-1659636627654', 60, 4);
    T('-5.7410284437333249165456701175828704532736049976055954', '-2.1417956365298528398255149992575811213255E+9228319657528', '2.68047443267508269697169713e-9228319657528', 27, 5);
    T('4.5502989479E-5453933704405046', '-6.1294689278524842813015891168497846477468429425280E-84243914348', '-7.423643061837396436e-5453849460490699', 19, 5);
    T('3.1149017164987384354241380970631469834131345884E+5208496065', '7.690334319131071E-601574787823797', '4.050411e+601579996319861', 7, 1);
    T('-9.584344499932533088551748470366E+8127726', '-3.85444844E+159', '2.486567053e+8127567', 10, 1);
    T('-5.6315320909468E+452837600960', '-5.0827914012482761594511098E+897218640531', '1.10796049776187143e-444381039571', 18, 2);
    T('-6.41639228105686E+387567613340', '9.06960915252872753966746790455564036577657E+518197', '-7.074607266034043570008542366e+387567095142', 28, 2);
    T('6.18300177164069576475E+409706213604', '6.3195930217466784461333790891020169E+24279279', '9.7838606859081724644750077268208858455419516489058589456547445273745479794e+409681934324', 75, 3);
    T('-4.65529811422917626157716801676450903802167942708048222082345E+2125697', '-7.454E+117406590', '6.24536908267933493637935070669e-115280894', 30, 2);
    T('6.6338742268012986054612406591251657901E+197', '-1.5E+243349514', '-4.4225828178675324036408271060834438600666666666666666666666e-243349317', 59, 1);
    T('-6.3131604953E+7935', '3.45001995125088204102E-611', '-2e+8546', 1, 6);
    T('-51398127754.620011840', '-2.2695365630106E+567', '2e-557', 1, 6);
    T('6.0472254002532545208697668350201E+77', '8.5330E+7', '7.086869096745874277358217315153052853627094808390952771592640337e+69', 64, 3);
    T('5.351383393956769616080402836746E+20192626', '4.1774622083522691961859113E+87355334000', '1.281012999532923170476049181267079479043192275001439681e-87335141374', 55, 1);
    T('2.3534370679906078603560485523448477311127346866613861249E+52086485003223', '-6.57437923713412499416747286021778358778188118842E+992', '-3.579709936259332651156347932380883101e+52086485002230', 37, 4);
    T('-283204096.523503199856710584920813996036972669588007960005914', '8.716066115463894427038031720872232756421339E-9458280228958', '-3.249e+9458280228965', 4, 6);
    T('5.913E-977580247809', '-2.37802014841555137465700360760429E+59756', '-2.48652224580172996189512154498257719486945761200521e-977580307565', 51, 6);
    T('-8.4471460177968382519366392862855132683E+7139210814137', '2.8597910E+53658', '-2.953763410611767871126470181312380264257073331582622646200369187818270636e+7139210760479', 73, 3);
    T('-4.16882E+4510894782913', '-6.07774E+5846328504796747', '6.85916146462336328964385e-5841817610013835', 24, 2);
    T('3.155685946E+8084101991', '-6.39107718751337848781051055433374929551535351175668455333E-890453149351757', '-4.9376433008279860959334132107011044e+890461233453747', 35, 2);
    T('3.46901072061E+82427879449', '2459751630.50215438203223151314010459813573522618046278875527', '1.410309348957238816993933242403613226167386868857634536345769962e+82427879440', 65, 2);
    T('4.91787515668239984755729658722683504201123038665362129225E+40557028080', '3.538808715431596599261500813223981069182200411360656515E+40352254360078', '1.38969793287699952601898296356190847450151227807107779003846907414357032431788e-40311697331998', 78, 4);
    T('2.57336627190627802704128876183785813683438083441797063282238E-165512600961793', '9.4702176240604038417163858E+83900141', '2.717325381592375894293522e-165512684861935', 25, 0);
    T('-3.9087465552349766911809433680830E+7217600397', '-5.438E-508117247681677', '7.18783846126328924454016801780617874218462670099e+508124465282073', 48, 6);
    T('-6.7367E+5', '4.12640638024966400934583451308799231668409822688915004218166E+56842080', '-1.6325827800781e-56842075', 15, 6);
    T('9.80868711360463607449102405213639999787893027116E+865720802430', '-9.9115840700728281888658918502669448782523E+279', '-9.896185154925053216382144206080369716167932247045297230229774033432e+865720802150', 67, 3);
    T('-6E+129156735821', '-1.291E+7293442312956197', '4.647e-7293313156220376', 4, 1);
    T('7.464931335349062511074545285170483870578E+543', '8.0208204084831962042225535497484886492660752E+232', '9.306942376435458e+310', 16, 3);
    T('5.64707107726280160787149623028297794698679742939E+48786864127890', '4.0489472085E-16', '1.394701088077375362961958517292181668855363992921272487862816e+48786864127906', 61, 6);
    T('-5.52559661202633400962243457444672E+4623', '-7.97854112141321E-676657077738', '6.925572642843764848783671973168652031813847349341022483498558896453365848159e+676657082360', 76, 1);
    T('5.211185641407579E+72458197496', '-3.805996922030164364671746055339563987684E+489140611941234', '-1.3692038507030295059543495018134309115e-489068153743738', 38, 5);
    T('-6.784004820779939E+683658531', '6.760813025087414930735235294450474289776836041698E+3407277', '-1.00343032644246572807955997538181650911829335222819495557348808982300203128e+680251254', 75, 0);
    T('-9.92274153030856394E+743532036920', '-3.225999996981995826732902182241916782548148500258932496572E+137935', '3.0758653253538556504418772383115270546e+743531898985', 38, 5);
    T('9.23767520004850997044742953156053692351160259999E+756603', '2.80782211999559504406675983713796408122447891165581653E-26319462573', '3.289978782581498496780129416154190478e+26320219176', 37, 1);
    T('9.6373620949855307055303784603492520896266067E+116511', '-38121543077408283.56823335521819539221', '-2.5280619085686634972e+116495', 20, 3);
    T('-2.32282053124717398703887782439E-28875443', '-7.5538728063214248789078E-229835638', '3.07500614691755459669240591677339505387976574435240827e+200960194', 54, 0);
    T('-5.68674976960564357960706504993898E+344865147108925', '9.4861770968377691798848828346175516363574745E+5672', '-5.99477e+344865147103252', 6, 1);
    T('-9.97377888652747674477207519268E+843', '-2E+26304', '4.98688944326373837238603759634e-25461', 55, 2);
    T('3.7889017284352E+69980120286', '5.074903401E+65188885479135', '7.4659583228492667815412473109259089915039744418575584233076124319e-65118905358850', 65, 5);
    T('8.716159699610450162826808136383171173894814859481E-657553753979', '6.420166135207564195E+485390964210495', '1.357622141865127360265171265272445463544287e-486048517964474', 43, 4);
    T('4.101421145065E+3216694711506', '4.3867958915704483642E-5655', '9.34946882973557768383038986294995809560722e+3216694717160', 42, 6);
    T('-4.990758984047920450068882078128783131371657401574769727E+171', '7.71E+70857034', '-6.4730986e-70856864', 8, 5);
    T('-3.1737286E+346425302937021', '-2.9598E+9132', '1.07227805932833299547266707209946618014730725048989796607878910737211973782e+346425302927889', 76, 5);
    T('-4.842494032869901049987039714E+5118925', '-3.2007614327893350007165963424384215249122134598018236E+396519792865', '1.5129193895122205479581205497507538328396295135816270450836904677e-396514673940', 65, 4);
    T('5.347790196348822572324499919522936654E+81589272838565', '1.009359374111174851452121552886801914E-137455120', '5.29820233854567215261568650418981867555e+81589410293685', 39, 3);
    T('-1.02459137437422851555790908043941930127562497432E-8900718', '-59.10958409747278158883642319767059330601972914063271955621', '1.7333760506327682218359585481444519378485130923615539753959183866488e-8900720', 68, 0);
    T('6.910466688659456187E+9530577946573', '4.37912942187908682692466677667459643374110233459837E+364', '1.578045776435210073379491261308463029575226486358598825289804279273305e+9530577946209', 70, 6);
    T('8.1933495069254263755009592078514733694786800E+5507059152416', '-9.32E+132398706', '-8.79114753961955619688944121014106584708012875536480686e+5506926753709', 54, 2);
    T('4.086368889723276337027055409145077946E-81909', '-4.4725912700933074035599930103197482856147047088439E-70', '-9.13646843e-81840', 9, 3);
    T('31123.0117766564949369314222508569222357787988617918046', '9.64405225273675E+912373847740', '3.2271716246481900793492163059566536992219144032993216473677422e-912373847737', 62, 3);
    T('8.71618877584893628169347171E+851324', '-4.638437432046866783108852E+24100439323603', '-1.87912177398987234826125971e-24100438472279', 27, 2);
    T('-8.89562071573588576118255728050E+63875', '4.31390695500468252080749624202686E-45809863999', '-2.06207987527775272317152930985566269705503603e+45809927874', 45, 2);
    T('-3.23572933243786116971182450E+6419', '6.3329789390830393789116123704606557484081017864180194E+35232366181985', '-5.1093322172114578579e-35232366175567', 20, 3);
    T('-3.1E+47606799', '-5.28743917062503827879833727053739373586876829964055592E+3875', '5.8629516103417282088172120612640226028469334339557609256850238369835191827e+47602923', 74, 0);
    T('7.665400E+2748216749515', '3.41851084004650077468742178863925387168302E-946864', '2.242321396265e+2748217696379', 13, 0);
    T('-2.24669724907628942900979998086471E+3465349963', '8.13745421330144967645668468643204115E-8989554512', '-2.76093381318674237379632621962820738160012266195747934114740349713988373064e+12454904474', 75, 1);
    T('-7.9502064995E-2995611388', '9.935247649970124107772417909986459865350081608046E+2894501389', '-8.00202146901079688043920723855e-5890112778', 30, 4);
    T('7.7440334485573E+725', '-9.96155972329110691544598995169670221053824466077945E+166935796563482', '-7.7739165990753312796164018711743328014238508641509585959165724e-166935796562758', 62, 3);
    T('4.27425741166258799344559E+84435', '-2.39353293E-84', '-1.7857524991989928433721569897097676447e+84519', 38, 0);
    T('-38144384197.67935951051435962484790328940', '-9.969048516079975377010060931101914521909452107119992275177E+4875', '3.82628132826847516755926394904576286193238786213289772567094479202e-4866', 66, 0);
    T('8.8001E+962500790', '-6.09415905792100864205E+99823389491053', '-1.44402204083628059153217267e-99822426990263', 27, 5);
    T('6.7240842224028305680830432691175013342004486726820704E+91853303415', '-6.457791606356050505579388658369005436156613047187E+719', '-1.04123586394220012126836527943445609910694440749798419154874e+91853302696', 60, 4);
    T('-5.27422371783766876908661370912755183399425010311598E-246250', '-5.86025451212709E+741', '8.999990882517642921377434170456e-246992', 32, 4);
    T('-8.57719905177813178815963061370204104046478E+349180076096715', '3.696551944508914679413805699296632841717111772288402E+998046810', '-2.32032423202363762739086134662974326302e+349179078049905', 39, 0);
    T('-6.81118031132030879697017285622473E-318', '2.5664894920504105965775753245614557E+40053263', '-2.6538898103489778980865325295587493532831636437634e-40053581', 50, 5);
    T('2.6E+273622423170620', '-1.0485825447063783444997907221625147573948039470601080819E+4742175435', '-2.47953774657582725451991265699709223435817526530019540702172752e+273617680995185', 63, 2);
    T('6.341285310190647343E+86841280158259', '-2.39390519092043124705638667417838628915922E-64799881023', '-2.648929178249e+86906080039282', 14, 3);
    T('-7.234336614919332231336757793267800911601378707E+4821908027', '6.8945674053977604410021466818E+60412603532', '-1.0492807147342654591842385062008396832300099954393020239225505999e-55590695505', 66, 5);
    T('-9.8003968410841437890353129408943324228336252627127777207656E+873', '6.318539399255007446603151704182315161613439E+836903881713', '-1.55105416328331632949801070116513854193202099233817373699581287e-836903880840', 63, 5);
    T('6.3208019007679196622124330192E-17799', '-5.90618613325905274415687637018333100153092287432643379912787E+179047', '-1.070201e-196846', 7, 3);
    T('-2.327E-30950150', '-8.068536876770283319911761E+74', '2.8840420952893554675346127649343997001535e-30950225', 41, 2);
    T('2.570905794751879820866E+78462759204254', '-5.232516364364984759988767697023897960672913090626001857E+9500466957', '-4.91332585648565573223384122105888747685918391353114233905144534e+78453258737296', 63, 6);
    T('-4.46854228376167862568528229314263217010E+82245260563', '1.34383316971970236903E+85', '-3.325221005442014945919485348160587956e+82245260478', 37, 0);
    T('6.121517495913980753970861E+349740', '-3.3127163585728864805427288112034888589735E+21840166967555', '-1.847884585733480009941994923580349e-21840166617815', 34, 4);
    T('1.91321547135848508987053149524773762E-7', '8.0494282E+583668919', '2.3768340108412732843191662e-583668927', 26, 3);
    T('-7142343.62017835959577288121419875254376215576971850077', '-2055.50005172259836505635319693786521002580013', '3.474747477720939619e+3', 19, 2);
    T('-5.14867E+9864146031881', '563.8049320537075993', '-9.1320059603691829412291843e+9864146031878', 26, 3);
    T('-1.0785971674652710503477869198542076E-112403661', '4.348693884680692189166E+8956734', '-2.48027843777389329e-121360396', 18, 2);
    T('5972.545200879', '-5.80858807586637601397669343865092829300796674983026E-21661', '-1.028226674515591135676921142163940671548186924324768499355169884545755e+21664', 70, 6);
    T('7.91E-1651078', '6.871677135573038066011923656007E+8094346618', '1.151101811674447193604251492023344538381735915709675498e-8095997696', 55, 6);
    T('-7.3879276357515773791363656711513490254E+4236', '-7751072.42022629549270647360948740557359313080', '9.5314909153382468794492e+4229', 23, 1);
    T('3.85731474538010306216147604872015807549608008305131007E+6453', '-9.220716477021E+3582098477035274', '-4.183313471347849256586187044607170478887294e-3582098477028822', 43, 0);
    T('2.19901193156675006508922203601424498947147571017216949341967E+1108532868785', '-9.1E+60642474723', '-2.4164966280953297418562879516640055e+1047890394061', 35, 3);
    T('5.464743549578589298925672E+3038536134', '-0.069688996428357550357750', '-7.84161607951481285834e+3038536135', 21, 1);
    T('-8531.232696508539826838567994336456650282384171390708', '-6.269260E+2968365622582285', '1.36080377851748688471024777953641365173599183498382711835208621113177632e-2968365622582282', 72, 6);
    T('4426409102.77762460827825554712180012018082', '-2.144873395863450600199653463055E+66', '-2.06371579381528389346586322645950142781e-57', 39, 0);
    T('1.37675174629847447215613128109571083990987337999189E+42170', '-1.0292142897701370E+488152375985', '-1.337672591590188576838382994015281375526964363091620705531915234324702809467967e-488152333815', 79, 5);
    T('-2.06621781714278913055153672101487839788136642E+3345745', '-2.36827869481136567298241E-6282532895665', '8.7245551871477026067537199487883e+6282536241409', 32, 3);
    T('-4.6395702640558609235571934081773662028074659505701E+817', '2.663774282594531235676503755220639884710045E+86', '-1.741728003898e+731', 13, 3);
    T('-34756347847656004018.585793430650639543449437255352966643394', '6.46217644531E+349522406', '-5.378427553286761342380353004197911546215616320273057103767978e-349522388', 61, 1);
    T('-9.66E+410677870719', '-2.1525588737807282816318E+30997783482805', '4.48768213e-30587105612086', 9, 3);
    T('-2.5322097226105293215325E+82', '8.96726938672614721954936E-8571696228454275', '-2.823835900769132155022094284849969924926873e+8571696228454356', 43, 4);
    T('3.17094850177262213735722390964847680245E+382820850095', '2.903866563771992919759666E-6266333603', '1.09197459e+389087183698', 10, 1);
    T('-7.4724637594657755245456447105605843213660310042318874157771E+70160634709', '9.740408552309948435363363204805450965636849721972E+71237746', '-7.6716122525411653832512575400525990416368135504288057911459349e+70089396962', 62, 0);
    T('-7.35749315647218580279113007045016430610036947298255975436687E+582587', '-6.3466778425782716417713410984833598508143102029901223964E+312762391', '1.159266838331167127316479631357017871728448524528160589910428434165075365805e-312179804', 76, 3);
    T('-8.486522304181283182411555831286849588E+731294550585', '6.045870830566374E-737895556', '-1.403688987411970598759069e+732032446141', 25, 3);
    T('1E+843660838064323', '-8.43675644088528634434344491469729495E+68721089017823', '-1.185289639456591836e+774939749046499', 19, 3);
    T('2.42453280351491022346365535740893425407317057976416E-2138052124', '250.743303808399', '9.669382060019331545321821638053156553069083864703120995649729e-2138052127', 61, 5);
    T('7.970366686895207270075692E+3294610433', '-4.674002346485322587473840211625720236879175799910602E-46', '-1.70525517448416e+3294610479', 15, 1);
    T('3E+1706504416144', '5.597151051288969198222423948999242086254632537E+1849493609', '5.3598696417334124161823670447976696381183873257607319770456626734865995668e+1704654922534', 74, 3);
    T('4.75301484175649170919700096823857411184939800E+1043114048', '8.62478748752111E-63043863323388', '5.5108776287339894257571334931524e+63044906437435', 33, 6);
    T('-2.6273575808142631150698887053161474049663376780362594864940E+901977239275607', '1.90024133030262010013698298567945E+30323230731905', '-1.382644161515972921427885216484387783770033366139559946e+871654008543702', 56, 4);
    T('2.18378539681750571839314752370281660820122934480839747393E+6442959898081', '-1.8E+3449305413434', '-1.213214109343058732440637513168231449000682969e+2993654484647', 46, 2);
    T('-7072.25563308216024', '7.1E+910839595853309', '-9.960923427e-910839595853307', 10, 3);
    T('8.740671776322426219499934960079718080413E-3760660111719', '5.8564566555400607733197035989318765353977E+1212377124', '1.49248466955765316676638606532327037e-3761872488843', 36, 2);
    T('-5.26695256220286900629032245877322095048E+459178', '-1.598663458023385523672281880272E+685320231145485', '3.29459745625e-685320230686307', 12, 4);
    T('1.37673211740246342383855432889251748433E+60700265', '-1.016113674058862592320E-94527822932', '-1.354899705170890668e+94588523197', 19, 4);
    T('-2.0071770459089E+81662389956574', '-9.3334166841461E+99', '2.1505276297353411842269000590764206259634443367306047923579085e+81662389956474', 62, 6);
    T('-8.867752055677761396250069570274358260232110926858E+883657798', '6.9E+3752675253959', '-1.285181457344604e-3751791596161', 16, 0);
    T('2.0E+4845964779835896', '-6.4732384020068116987483381206900372743796E+9295547301647', '-3.08964366178753233537036522358909642943e+4836669232534248', 39, 4);
    T('9537130.55568502197530260636842840856625301080331352689655039', '-1.071411311102178377991168826750480349884621069258669E+675911796', '-8.9015e-675911790', 5, 4);
    T('-5.09202178938571847220827053910345265043854605E+6958873', '7.5822524554159685140897031872771278E+647643698', '-6.715711220810790097136972005217023037405037279e-640684826', 46, 5);
    T('5.85071146163809952E+82', '-6.22669331768791987E+55', '-9.3962e+26', 5, 3);
    T('-6.302427256227414383622E-913381', '-1.076506749E+138953987631', '5.8545171798336903725459133187468757801536e-138954901012', 41, 3);
    T('-3.8822025489705E+978870593781233', '-4.589E+74422082', '8.459800716867509261276966659402920026149487905861843538897363259969e+978870519359150', 67, 5);
    T('1.561743294652332948832E+469836', '-1.59452517404361402251649429699173394763779E+4096306443', '-1e-4095836607', 1, 3);
    T('7.0886175608865646272059503645958568451330375615908E+581970198806', '7E+49981189412', '1.012659651555223518172278623513693835019005365941542857142857142857142857e+531989009394', 73, 1);
    T('1.4334798163409670840E-27606408781', '-5.19313677E-1016', '-2.76033518820835347265463990466016553e-27606407766', 36, 2);
    T('-5.336817583042776273748073559540376E-5220511897', '-7.56218516969294181757872722850603862463577956320451592E-52', '7.05724266635e-5220511846', 12, 4);
    T('2.8685881E-295078602841413', '0.0000779222617344466195621', '3.682e-295078602841409', 4, 0);
    T('-9', '352670801.14139109839069981055', '-2.55195495937633999149871660120854976404286397164e-8', 48, 1);
    T('-7.758E+400796', '3.88983196598440720675038E-238993557309383', '-1.994430625241e+238993557710179', 13, 4);
    T('9.702885103096468770571797182036106220129473561595E-74', '-4.9989151719679242420921443E+4348681992', '-1.9409981504601e-4348682066', 14, 3);
    T('3.7905323395327418E+40', '4.69402249E+932069842087', '8.0752325912540350867e-932069842048', 20, 6);
    T('-1.43212153079496515897346047E-770176', '-1.604555935465073318697406387002989833E+746881450573', '8.925345007557316327866498406456507082374848741420065e-746882220750', 53, 6);
    T('-1.97570826309644449021162920497658549353208173398320E-56', '-8.3071570420849495E+50462253067419', '2.4e-50462253067476', 2, 5);
    T('-5.14210918634554504680167338366965615617053064005E+135432', '1.50702824077737711784E+9073', '-3.41208548533441408263770092028511199619947047932084312172637166599715803e+126359', 72, 3);
    T('-7.69529454475022667969984920E+670052955458340', '4.456788261175642376876628982752104046532580492E+23100108694', '-1.72664575784004348389861180804168721522e+670029855349646', 39, 5);
    T('8.678723168746187209901539472913579497100893811944E+2059033522', '3.5958917882457727647099350810054969684145236E+2038529318', '2.4136e+20504204', 5, 0);
    T('-9.268874969874451E+2730', '1.5079613285863831150744242862E+725685580046405', '-6.146626438068823633682992119877511509244238e-725685580043675', 43, 3);
    T('-7.40416329165064446226620525142519951441651140710686763570E+35044960', '-3.496634268712195396118E+746595930', '2.11751150467835045463993755014131314914827014501e-711550970', 48, 3);
    T('-7.1284E-54084933', '-1.512998550909871034603168619932258308770E+6551064', '4.7114387490412322939373573463e-60635997', 29, 1);
    T('5.910249505061119548182755198510112488677362137E-7770816765', '7.50336880E-248', '7.8767946273160924039649433178735829813901219103078073411505509365340005678516029e-7770816518', 80, 5);
    T('7.17858132757902E+458748', '6.5620369294650092268212784765480917490643875828327942E+55094953529', '1.09395625241692696497e-55094494781', 21, 3);
    T('-5.1575086139208375710313504271539417724037708938609414719E+6514209457669283', '-1.83808296684693256444E+29', '2.805917201206691842117348386776066942659768675e+6514209457669254', 46, 2);
    T('3594762055.4188279046702705434822', '3.36734292064823984401296292630023E+38989853', '1.06753667212687922465961e-38989844', 25, 2);
    T('3.68104720701300724092435998140473678568917056856752917570E+82684017', '-1.08210418099742112287883869478E+409006222753', '-3.401749361711208409539637561118098148432472337335022790095e-408923538736', 59, 6);
    T('-4.40393306909895527236465641671688607452883476707456765951484E-339419988', '7.91377356269391842169796886951124337426638516996048791812853E+27896120515058', '-5.564896486120608126781424182845255328439970317e-27896459935047', 46, 0);
    T('117478.693133960511081571496287097836294363', '7.222709458741998654831027839E-16036604777', '1.626518328129207810178e+16036604781', 22, 3);
    T('9.36341573795807E-4973103167923', '4.660674859774878043656066568973164E+20093474', '2.009025735472640501662222910018944926318003266140992334919048662e-4973123261397', 64, 5);
    T('1.642809093036952E+68240', '7.6493504900480694719408176916E+9400017', '2.1476452087981503680447574521209260690236302852747982e-9331778', 54, 3);
    T('-2.14130727130992333042851716350576056658478079551564202E+5400850496501', '-6.1009668538270188291984192069777412931E+43413546270269', '3.509783486148138276867801258451982781450509e-38012695773769', 43, 6);
    T('5.765423618007123165294105688371503524468E+8226508922', '70.84446734516396267098546254530800', '8.1381423759136877305940281172912122718356783565578057938002477807736389052e+8226508920', 74, 5);
    T('2.16328724205E+2696759294521', '4.57942629339362884877853579113167801779065651731891646E+54', '4.72392632494336912761354104982887442200522776716648e+2696759294466', 51, 3);
    T('-3.93227360304094395330E+8462803118788', '6.99602750908674402646031455264667227083705707391163647E+1194797659341896', '-5.620723471903928922562367601679336157937049902056983593585996e-1186334856223109', 62, 4);
    T('-4.036285835080771488117420032913E-468431', '9.232849835898862365048040371233836327832009628E+62606103', '-4.3716576212330649665085079e-63074535', 26, 5);
    T('-7.8006E+982072187529937', '-5.71E+2240845', '1.36612959719789842381786339754816112084063047285464098073555166374781085814361e+982072185289092', 78, 6);
    T('-9.455789361973880011174811761676116569098166541546919581305E+8920586061588', '3.1168554E-307327', '-3.03375939800539993327082538435248e+8920586368915', 33, 2);
    T('8E-21598150887', '8.10031495011198462E-2446106427159597', '9.8761591978462543688094106002737014937307317467e+2446084829008709', 48, 4);
    T('8.80346302652676978265009658656751680721329218504802E-20461930430339', '4.00913884117447972E+5837', '2.19584887809667120611388056979309403699505169607555971860721379328607156795e-20461930436176', 75, 5);
    T('-0.0000467494465836663448548504628759811562629358172229980958', '1.914832E+727', '-2.441438548325197451e-732', 19, 6);
    T('1.275440E-38322409', '5.08573584150766141275E+848', '2.507877010815994446709192584052549634e-38323258', 37, 1);
    T('2.6048982222381131724992045068733294199881102265213396586616E+65104565673', '8.600531E+44079888', '3.02876441261372486477777303154111e+65060485784', 33, 2);
    T('-4.138725391644192411784313171357948573876E+22300162371', '-69.378275905689493941621122270389419802107370460044717787', '5.965449e+22300162369', 7, 4);
    T('6.2224252206933766708322479275389508357585202E+91817954844894', '-2.20503885639503294361319153830164605909195E+11371057036', '-2.82191182375183892744912665711717745196379872999446e+91806583787858', 51, 3);
    T('-5.80114530320035961938700144798183343927028597E-494989395', '-9.9119263505055659822939187265993345037501432025177027753E-8191879', '5.852692098448115e-486797517', 16, 3);
    T('-5.6599604337704841110278571923245135602783162511E+749006332', '-1.4713677186297409746299822462356979673869104785688884757602E-180511999', '3.847e+929518331', 4, 5);
    T('7.0740840060066180170195402173583183E+7166500', '5.36489057174969194947E+22583982129', '1.3185886853419e-22576815629', 15, 1);
    T('6.4E+2597072889905', '-9.686153374719554518307839470163240494219984206993697302E-32', '-6.6073700801638407965896903492425624578608583759766831619342206499e+2597072889936', 65, 4);
    T('-3.32192320E-275', '4.2E+3545494336113024', '-7.9093409523809523809523e-3545494336113300', 23, 1);
    T('2.4658543876186428220041303835098294612879017451810349E+863020745', '8.9659751542357768258179010594044869964541101944426769752580E+43955231', '2.7502355797335713211145786149497e+819065513', 32, 1);
    T('-2.276243028941050333763440382271020211521046912871800E+5121051207', '2.77458349942913420913591146031958E+990273', '-8.203908908884462941944862876730307017563080411135236499513749207698880956e+5120060933', 73, 3);
    T('-5.328434054662361258902708157387160E+15164187079940', '-2.04155254574236785243568088145297683812845914421E+79451', '2.6099911392311422197539025066226057820178548192662071737211625477e+15164187000489', 65, 0);
    T('-6.115831956E+151', '4.0473381624738991755067280661646E+846054631', '-1.51107e-846054480', 6, 2);
    T('4.427503366509148785964E+542058474170', '7.39141E+27722652', '5.990065990804391565295390189422586488910776157729039520199799496983660763e+542030751517', 74, 5);
    T('9.122998E-37649535267', '-8.558473930074851114564783E+2819028294623405', '-1.0659608330337243e-2819065944158672', 17, 3);
    T('-5.6888088325E-29521188', '-6.550321135087513616E+86433', '8.684778524868454961197809362366848295205090397016568116358497e-29607622', 61, 1);
    T('-9.5542529540195877578053586164548E+173854598', '-1.30554819333E+5015138', '7.318192467219464983490605751926386452333967935513653291296382204002019458718e+168839460', 76, 0);
    T('-8.1390571142005880427534657971315E+3095576', '-5.851E+7054', '1.3910540273800355567857572717708939e+3088522', 35, 6);
    T('-6.69434298321183261554632379656934482E+12990', '-6.17966403380436992565E+8841450', '1.0832859111098e-8828460', 14, 0);
    T('4.57927439994064631433806916E+920547090563', '8.6464834441076580063378572597907587517438643667104856E-6085754803788036', '5.2961119159504047612407943875135142177527994752253e+6086675350878598', 50, 0);
    T('-7E+936', '-9.10787565204278948E+63348617341', '7.68565609306488748407419757538626053305409808120710301625845e-63348616406', 60, 1);
    T('-2E+36857549716140', '-8.26820546479896422498039024792010281948947E-46', '2.41890457187450727620558337104344291114568e+36857549716185', 43, 1);
    T('0.70079422674204936', '7.20668750253E+51', '9.72422110013826138800249e-53', 24, 3);
    T('-6.9759945870373203585697334441738315399E+2556562937305866', '8.4E+66856', '-8.3e+2556562937239009', 2, 5);
    T('9.17439050E+955529076532', '8.8095913985710543371131761617343017058091764441E+631186958', '1.04140931002635574186245695169543902106142944605582274818190610982e+954897889574', 67, 1);
    T('8.4939840418781615E-376', '3.783624688179820156161534790559676880634371443452977E+23228378821', '2.24493303165445390805519249e-23228379197', 27, 5);
    T('7.428859679593232915033965010893517380201138840357E+55973', '287359962.8942817766364974685560293862148322763970433307', '2.5e+55965', 2, 3);
    T('5.3316644465124869906E-637593', '-5.7343163548100482261996496869338325E+5737286020963', '-9.297820553692e-5737286658557', 14, 0);
    T('-4.83550474553673308720002519499967506891255129309E+95365997', '-6.7428836312824928333782104172E+90983385990426', '7.2e-90983290624430', 2, 5);
    T('-9.95897090903077533100019357314296879582E+94653608266972', '-3.86E+4985670', '2.58004427695097806502595688423392973984974093264248705e+94653603281302', 54, 4);
    T('-2.573350465738476052533143E-9087064', '-4.758356701862821373044039470814729291057231759137618E+8783631283221842', '5.40806548767361230991177870267100659106553356032809351680087145553072e-8783631292308907', 69, 6);
    T('-4.4890526977352417897298785931935442436471E+8056876', '-5.7673818329218432502083940541679646010656224169639017532E-5525168734903588', '7.78351915614544892860813e+5525168742960463', 24, 4);
    T('-9.43000365228454806054556671189E+225673277', '6.277627049642151900E+1112501', '-1.502160542146589188736163e+224560776', 25, 6);
    T('-3.41238432642214912942167762579766E-573688308666499', '-1.09413039E+343635847211', '3.11880956566990989933263587148663332530229783673223810189569819e-574031944513710', 64, 5);
    T('6.6023178380585138005132948543161325494574563005E-91674618567277', '8.396053960477605432999158936405762305420498672847589670E+4275539102707588', '7.8635962431129304e-4367213721274866', 17, 5);
    T('7.99012233092798629109471853033569399063194421890586585430731E+6102678126970', '8.034281144663676349462938256894301044919011729E-930988', '9.94503700711914955795434422501505893961342334398794892588468941996297618e+6102679057957', 72, 3);
    T('-3.409166269654729903428052505948171091069107487089265E+5087', '-1.8239E+844771835162', '1.869162930892444708277894898e-844771830075', 28, 1);
    T('8E-5556446053208595', '-1.0610346E-704123775777', '-7.539810671584131186673837026615343175425193485678e-5555741929432818', 49, 1);
    T('-3.546083024E+251830', '1.2937551453460230997617279111380011740084E+5282481193549130', '-2.7409228374906886909916490325583137067665744e-5282481193297300', 44, 1);
    T('-6.6594759123330227626476046E-4875142', '-9.448682102E+842373839', '7.04804737892855267811570680780641212e-847248982', 36, 0);
    T('-7.33394262101271E+16576945674', '-3.531146171657563045272736532700322667679082E-699003', '2.076929774212679e+16577644677', 16, 6);
    T('-5.872093379370059688455414312673640102342792E+767169067', '-2.753642399E-886163254968429', '2.1324821921331e+886164022137496', 14, 4);
    T('6.4887758704050244104672172164253722123471625851325329485877E+52510410', '8.48798541198463853748144884227051E+65908438', '7.644659545765920227261523911137530883418017321287700946949820842824549519903e-13398029', 76, 2);
    T('9.2099408755819734581433718403396292213306266551E+391', '8.41177575465685747901787723251011075799137867324404676369393E-982641243', '1.09488663799474711737540014913933727065567630437471748975141579540037340296563e+982641634', 78, 0);
    T('6.22300931437733484962967575677339485923760268E+70469981744', '8.175672546928568670E+3448386135993', '7.6116176114651154051088408897994434184244714e-3377916154250', 44, 4);
    T('-9.387322437500404E+22626140961334', '-5.06308879098237989689117895600749654034153E+34536887736', '1.8540702770648038807923173641297539028087880683713677139849922052556807856546612e+22591604073598', 80, 2);
    T('1.595581871750792325775656008484261E+254', '7.70E+15459', '2.0721842490270030204878649460834558441558441558441558e-15206', 53, 1);
    T('-4.56405630375861731097E-480', '-9.42756141223120291840E+82210389', '4.841184378642462578831448509646831568459298835e-82210870', 46, 2);
    T('7.9583744920829822307540E+480177237236', '-3.72373011976575235250135699926227957504424987587641946E-27806', '-2.13720496279779198002453722504391859281642783279186655152807832022e+480177265042', 66, 1);
    T('-2.5179E+225832320434', '1.7809489951E-926', '-1.413796805482697341060983201202739486584637451305301e+225832321360', 52, 0);
    T('-2.72548240687088001071215314144910268029217855553097E+1352', '-0.006313360514791164566160', '4.317e+1354', 4, 1);
    T('-8.6268961158616240E+8856865443576', '1.4268037424982636348416671421566E+3667100', '-6.0463088642845514543836871153091653176341726974583851404173783219712747789e+8856861776476', 75, 6);
    T('7.8934525605562627110531473E+6385546328958274', '-1.7510243911444477187686618968553458933079214117598115973322E+856406', '-4.507905544021120399569975315190720561201e+6385546328101868', 40, 4);
    T('4.1598085103188373582191642912332278160618011866232925580965E+6889', '1.98379598461177018519897E-858825852974', '2.096893e+858825859863', 7, 6);
    T('9.574123634424455521892885404672739E+6938819596759936', '-7.06325919290911258721511084668138312698675339389104905330136E+212068641332', '-1.3554824158280965709e+6938607528118604', 20, 0);
    T('8.268777502115456145903874057857128945857970E+63568375', '-1.777193985317879624886636399504589576E+87007189383', '-4.652715218725238245431e-86943621008', 22, 0);
    T('-7845381260714668555721.5837796358173', '-9.0313676331698944E+6027472905001045', '8.686814200653949225707957124529342592547562398387496514711239339506028e-6027472905001025', 70, 6);
    T('9.4506892681372535933937183E-7478', '1.5338423549455033889469482351284151355319E-8142', '6.161447581406129318786072138983887156e+664', 37, 0);
    T('9.83E+71089025', '-7.6388576E+135732', '-1.286841634539698710969556494939767e+70953293', 34, 3);
    T('4.7328027E+7312708043', '4.76843119609755137994448575764838856E-141654916329', '9.92528256226763e+148967624371', 15, 2);
    T('9.33568169492879495293367125931825446188418759875862687909627E-50274', '-7.12134632755907163812930E+27970', '-1.3109433617629875593295388764027334306399226601319220599002974227808748279e-78244', 74, 0);
    T('9.956570867937640700679895901659813607487408310105516485640E-70415715804', '-8.0E+5978669779', '-1.244571358492205087584986987707476700935926038763189560705e-76394385583', 63, 1);
    T('-9.9882893229865593607E+243041', '-7.07548549602230E-9012981', '1.41167547140076548574522905497422015944643735447272047478383500786592e+9256022', 69, 0);
    T('-4635.238036048175956272952', '-7.93962629502E+19869', '5.838106056648475725468203599561311081582684715e-19867', 46, 4);
    T('2.84059130106939028189257690542283802776965294601059523328E+2673270027', '6.1426623E+55113', '4.62436507549729745e+2673214913', 18, 5);
    T('-8.42323003035544802689421945625680950937595878473360E-8691636849392', '-2.418098085716942020E+6208', '3.483411231376102e-8691636855600', 17, 2);
    T('1.080921908247583868410540199947169442198E-5739780612673', '-7E+23179', '-1.544174154639405526300771714210242060282857142857143e-5739780635853', 52, 4);
    T('6.0164321688445701169494296015505E+542660210645', '-6.94738564852205498382296094438849135711700244615507E+960643422', '-8.659994526321523107010999045026604687328503631314769134095615237977901138807177e+541699567222', 79, 1);
    T('5.66882923260E+890283033022', '-2.80845542680467337741903810350009510232369119E+73792', '-2.018486452907576853e+890282959230', 19, 4);
    T('3192662935.544959197866387298746011277956225139957811818680', '4.655403927534231221463210350347113929686129251174334367130E+462359049', '6.8579719080057925271173908172130742234883025908078393012439364586997e-462359041', 68, 3);
    T('1.14947004956122426163E+5851772', '-4.9990399756266072790952111615829E+582809355585673', '-2.29938159159678121469471243138910176740964411873304032183167430606019391e-582809349733902', 72, 3);
    T('7.1306018379E+6788213878', '-0.031136446954961295242191673161779083699352', '-2.29011417012814e+6788213880', 15, 4);
    T('-7.6970985349399616493E-2444769450984', '-4.7020347527506560180840155584686833563377710854461E+84817360127', '1.63697185148136e-2529586811111', 15, 5);
    T('-0.009961894992874113944478728603958688135744001914467', '3.247833659835058E+68964447250', '-3.06724297985754330043564839186349982e-68964447253', 36, 4);
    T('9.3567301745033100098283892630899048834077E-54433323013', '-8.49304562093495307911E+519953494627630', '-1.10169314897348668756606018899465447098064207348813470192892400387002e-520007927950643', 69, 0);
    T('7.8225813578932389862280867931972029123252498904623E-826491046612', '9.259105606593195451703621976706042834075E+988119283190842', '8.4485280655217489956149190581e-988945774237455', 29, 5);
    T('5.808556552309154977880706640530089E+9821783081645', '2.4497254680199539211284496E+28301199686', '2.3711051006070702015969442531652006223759807587919439852015285968e+9793481881959', 65, 5);
    T('-1.9360600295672846E+5632', '8.119727174779350805350241155417307989778876391180E+922538308', '-2.38439049477040585940643135966534228351030015497844810601662825212334050952e-922532677', 75, 6);
    T('-3.5413504718395174255223995303202319270E-1453814656350379', '1.712269635084222675650286319263838031397319E-76002', '-2.0682200976280972214206583138163550341783998246734655843001953178191349268573107e-1453814656274377', 80, 6);
    T('-3.0839511239835405351505498613785764324653273374E+7812403', '-1.157750489120512307890092259244610609071461347808191396835E+6924354878', '2.66374417714672766312586e-6916542475', 24, 1);
    T('-5.91545367916782475940550010912359661202292162766826E+28383', '-2.900035095495960445488394045455531220610818E+4807939293809359', '2.039786928218594929033023623152272212548681072375344922e-4807939293780976', 55, 2);
    T('43.5143060799', '2.831688807327160140457401573632649545E+216101205978835', '1.5366909657340945119647865213949401315021238602541e-216101205978834', 50, 1);
    T('6.110562370839035624E+58339358214885', '-2.42815950352091496E+160873', '-2.5165407634789e+58339358054012', 14, 0);
    T('7.698934345207613706226312774848251803218276192435E-68992439132', '-8.0E+71129840773847', '-9.62366793150951713278289096856031475402284524054375e-71198833212980', 78, 3);
    T('7.1039387565291E+81', '-1.083210398657336016918E+988335441020891', '-6.55822614455565976582352832859e-988335441020810', 30, 2);
    T('8.33360348608482566084920228502120840851621615737945E-25885327291987', '-8E+366', '-1.04170043576060320760615028562765105106452701967243125e-25885327292353', 56, 5);
    T('-7.514063958944340830668162E+3997', '-8.23884181654E+9832010', '9.1202915728511482878242e-9828014', 23, 2);
    T('-3.121210905854486650344821402555425096466256859319240E+148490004715', '3.1040777903149079433661572247030092725786432E+51', '-1.0055195509574650693719709e+148490004664', 26, 4);
    T('-5.26103239667078688E+271107107622931', '-6.939853797981096689114635515645685988559775846259E-76289030149', '7.5808980272773136700306996e+271183396653079', 26, 6);
    T('7.62245E+3476061603', '-4.56280437140482100473617448917149730571448884257967187978148E+171769', '-1.6705625268026029072604e+3475889834', 23, 5);
    T('-1.1836451125521028554456775518063E+1238622818903038', '5.3667185236340729E+26489', '-2.2055285876081268529163e+1238622818876548', 23, 0);
    T('2.694E+626039197302536', '-97248876299269359310222101489473766008.770', '-2.770211957729573e+626039197302498', 16, 6);
    T('-1.94604349924945647790882315161789990730673629628E-5972', '9E+19952594', '-2.1622705547216183087875813e-19958567', 26, 6);
    T('-5.100448672131995E+104157', '-9.16875272829672085758977E+657586197095', '5.562859882119980915808337460178891642627166367028218e-657586092939', 52, 6);
    T('-1.64771E+71285930797', '7.825E+588682222276563', '-2.1056996805111821086261980830670926517571884984025559105431309904153354632587859e-588610936345767', 80, 5);
    T('-6.4763400712256298555310332E+766093', '1.63E+5843', '-3.97321476762308580093928417177915e+760250', 33, 0);
    T('3.9041328531264253852043415791E-5574522544413', '9.2719896258204E+96555620430', '4.2106743112117984e-5671078164844', 17, 1);
    T('-1.2E+4', '-5.105776479663238329505957569652291058809752092796667677E+7094030795518', '2.350279149076945869822031236358860251336497233903391e-7094030795515', 52, 6);
    T('97253.98290653984874454381', '-4.938122112248511137936704228982026837630719568105036846160E+32570266', '-1.96945277366291138094861524884862706882894616872575855360971100284124629149083e-32570262', 78, 6);
    T('4.3350152217E-928642313969725', '-3.26536100874530992916556445638193662828168294E+457', '-1.32757609651427072885077223929061323047139839487438977382642912357954214e-928642313970182', 72, 2);
    T('-6.72445549656250E-7866935733595841', '8.210746192324663457356557304421213772194599760475E-91800453741556', '-8.189822628847624701998748758519744979194753e-7775135279854286', 43, 2);
    T('-6.341416078912951139488319333451644088098789848406691823E+9181', '9.264E+73265', '-6.845224610225551748152330886713778160728400095430366821027633851468048359e-64085', 73, 2);
    T('-4.2668674646396252207958705847E+367840999420334', '-7.561759734098590039957027171200831146052894279645E+3442108', '5.642691e+367840995978225', 7, 3);
    T('-1.117711085947693528797179432601294E-246', '-8.033190277766016437304635249409491110131E+3407414995', '1.39136637786516179793634286593760648072515797994033e-3407415242', 51, 3);
    T('-66520155356774150240755183667845.90058914656375699429959262', '8.0645808401352542689697168913E+8699137708', '-8.2484330773548938043420884411710102156600710896380151584608111089613e-8699137678', 68, 4);
    T('-8.371112971543960922623749303683443816E+38713954884', '-3.72149365887952673437505571030378485315E-57376436300330', '2.24939600570603928177077720911094223642150926e+57415150255214', 46, 2);
    T('-6.065666297343003126291306306289400089E-3455968548002', '-4.3911749E+396988020', '1.38133106411748781090256876497663531666661694572903484213302458073350710764e-3456365536022', 75, 0);
    T('-7.78061553364469632524E+24487005763721', '-9.62910949695665449E+9587059502', '8.0803e+24477418704218', 6, 1);
    T('9.7157257431142579444048026E+6737742054311', '2.55205270278327737111096280850345949958E+26117', '3.807023942929648103572108648e+6737742028194', 28, 5);
    T('1.68963281815310639933E+269418968218301', '-3.43511971582660E+2975504', '-4.9187014076059e+269418965242796', 15, 5);
    T('6.082036585076E+78845952051', '-9.8875927794983613515226768997384104690082062E-7899848664', '-6.151180293030400243560203967949e+86745800714', 31, 5);
    T('-3.214734854926594411612921720322980500595833019E+3482999476597', '-2.1E+9878706342', '1.530826121393616386483e+3473120770255', 22, 2);
    T('7.6866435171930308669347008E+62138525869', '-9.15825592433E+2172933', '-8.39313028670944309316649008936945036943565559e+62136352935', 45, 6);
    T('4.06012606379538567706571419815913791E+82', '-5.12E+128699941702214', '-7.92993371835036265051897304327956623046875e-128699941702133', 60, 3);
    T('9.85853774905913574118473694481251224E+7240414342', '6.083003837194254630065335335468623136189479826E+279837962', '1.6206693293171291517894866806171946474748956789470237672550901268027321808e+6960576380', 74, 6);
    T('1.453917805462675741057151E+986308639496596', '7.1387410015136683552144806955592021949142824708167982E+599318362019395', '2.03665857208490009367622195675e+386990277477200', 30, 2);
    T('-8.14158701706139058574E+240665134135128', '-4.45E+645217908895', '1.82957011619357091814382022471910112359551e+240019916226233', 42, 4);
    T('7.231E-294555449689', '-7.284086461480103860358490913799095708292343466E+338562542829', '-9.927119945979e-633117992519', 13, 2);
    T('-6.7351313516008342630642105719762E-3786056', '5.491580444083305472566764324731524079671152432308E+638620281583', '-1.226446816208864868530719010607e-638624067639', 31, 2);
    T('-6.851261976162037E-148', '7.5003609589E+19103898', '-9.134576340665663639571318712043486848831317517512443730343304451227e-19104047', 67, 6);
    T('5.7712664586057574394229239331191638E-15711', '-5.84155E+4155710337686849', '-9.87968340355857167947363958729988411e-4155710337702561', 36, 4);
    T('-8.2552422944706898536986818456709271E+88658379875266', '4.5344038623165914269E+272827374512', '-1.8205794069373324870972059865233717502782383540983897581767019330106798486e+88385552500754', 74, 6);
    T('-3.596887125107815756E+842305282621432', '-8.54640281765694823422950928757686977474041127657962E+9969', '4.208656205248e+842305282611462', 13, 4);
    T('-8.4620734808393064846538623259386605158396797072104293321E+8302297755', '-5.6920603685423910083765990925E+3461316597', '1.486645069262723526764668127546028139225199352362561005635394e+4840981158', 61, 5);
    T('-8.37128599096345476429068947072893555930099692E+693035253', '4.97311098161163488229200516129133230963374564E+47694726302', '-1.683309707327419047917783410391939003807658093386e-47001691049', 50, 6);
    T('9.30546979562306476990085250547609735E-600153', '6.715943475642424757636760219279706E-3578049010', '1.38557893308250849440461098874105995671074023335956861857742e+3577448857', 60, 5);
    T('3.7610888618326427885701698488734715674E+35296', '-1.41801826135812427991888423816298745243862515296394E+242739429487962', '-2.6523557307579481181334051103258592055309662540201802688132651732079264519662818e-242739429452666', 80, 0);
    T('-5.63836898198556151263920198544588397310197E-247782', '-9.439467640358913171197693224E-951', '5.97318534985853929261657904747630703051276821672144938915989057345740492e-246832', 72, 0);
    T('-1.565690225127838763064684281200551148444811315191810444748E+68', '-4.35678325482463579112573964905127648150836261947E-884179878', '3.593683994708750132974662839902369777300010876472298420669925995084964464e+884179945', 73, 3);
    T('-1.372118083168432079524438613362384907507436E+4778', '-285647.68058494678965240466469129184768', '4.80353308088698926198339711254827165023e+4772', 39, 0);
    T('-4.47111082331732458734368123524328917889753817635069007029E+89927', '2872494.99132135909', '-1.5565251938909720687039e+89921', 23, 0);
    T('6.00161513039765966034281582582823503611E+76', '-6.97603266850321752902305391982688824170209595585E+1530227954727162', '-8.603192409770309203098136996204675536312071784256415583137647554422053903869e-1530227954727087', 76, 1);
    T('4.350950700E+7015188314306127', '-3.07E-47182598', '-1.41724778501628664495114006514657980456026058631921824104234527687296e+7015188361488725', 69, 6);
    T('8.4694918740519458331059184342E+7486693', '-7.69679869701155699849297632070585739843550794548417E+874919001', '-1.1003915013836081115559860567747258798640282098630712472834301693204389406311e-867432308', 77, 0);
    T('-2.825724029019082924834008812072231670841932208281971984E+942326', '1.59728137390205205253637116511739847E+2802255400', '-1.76908344089435e-2801313074', 15, 3);
    T('5.852387425828121477E+694702', '6.52E+201944507226097', '8.97605433409221085429447852760736e-201944506531396', 33, 5);
    T('8.17908327E+890514390976583', '-7.649248538792211687620731389889057431474472894782E+12669997748', '-1.069266246026756410607200894399433795064400049444752399744836947e+890501720978835', 64, 3);
    T('4.11069062482133417372469138550417E-2952846105', '-9.471701572313540197072368106013220766982600E+8918273179', '-4.3399705886397184414581485001657566e-11871119285', 35, 2);
    T('5.252270192973592704758500027186918891688079023678665410E+29199408186', '3.669750E+1288646', '1.43123378785301252258559848141887564321495443114072223175965665236051502145923e+29198119540', 78, 2);
    T('8.173059933643530213151046065386902318289727740501E+2518755509138', '8.67714680615273267001595363237212945630645404478481236E-30658302', '9.419063796233379455037093028697032466023698405867617e+2518786167439', 52, 2);
    T('-5.3242111786787435226107307286E-9525441632543', '-4.6548942170E+601295022710806', '1.1437877920478517122467e-610820464343349', 24, 3);
    T('3.128194515137407946558802545868925365107763466342370795E+106968', '-2.8059180442339724834129435180791808080264718034465345E+1258', '-1.114855981473050580634057304915454521631514462410670448537047236156094e+105710', 70, 1);
    T('-7.32453457009163680047832831688348300289692E+1137861', '-9.761865E+205940105879', '7.50321231659281991758576e-205938968019', 24, 0);
    T('-6.9E+9397765611', '2.6580437E-48046509233415', '-2.59589411566107810793328943387951070932356e+48055906999026', 42, 3);
    T('-6.2921524922362170353225672682E+5264874279', '-4.415982923076822445310954979353820886755E+487049', '1.4248588823464424189209391243347054239547435476183575916508298040806631539e+5264387230', 74, 1);
    T('-9.1352798747676373158E+709357', '8.70726189917292510545468559930817E+39898045761', '-1.049156437529e-39897336404', 13, 5);
    T('7.02699837032359526726E-9608750233051', '7.6056813354401E+7999009', '9.2391438194760766e-9608758232061', 17, 3);
    T('5.14244028593515531304670022936271852050332657E+2412892774826837', '-2.24001496285032766690085511888355189E+51574200', '-2.2957169354760067390293647811502368823835192879151102236025496497034546e+2412892723252637', 71, 6);
    T('3.258276040235978118144E+90918637', '7.477976001889181864401913723087200087869197065796663E+89105', '4.357163006959143469897453102479993570594421097646420474015e+90829531', 58, 3);
    T('-5.3E+32164227', '1.2981568129085609553351726788618313192076E-13240', '-4.082711693454956475193910610622413100698272087105089714951607434551091020067e+32177467', 76, 1);
    T('8E-865375', '1.72582357416552361654793078E-18524971536705', '4.6354680279924838e+18524970671330', 17, 3);
    T('-8.113338733078564237649E+9967940729457', '-2.121985470620548513932594059117451270780512671622268662446E+74981018163', '3.8234657331116966879581603965654956798343773957613864665265e+9892959711294', 59, 2);
    T('4.41922889485500E-652', '-6.116860804545145471E+4872064841', '-7.22466807086942907679205441445763857653e-4872065494', 40, 0);
    T('1.78224278540838989755078E+72326', '8.91958425121387771512200515949456595091733440745E+110491', '1.99812315822437820481038978838503722133e-38166', 39, 3);
    T('8.57E+609610396669', '1.65980292165734444938E+739961', '5.1632635948385328424464588700859300403126277932158757058890762637e+609609656708', 65, 3);
    T('-4.7868797811298639570E+9224426926136', '-8.632745271447E-552976535', '5.54503e+9224979902670', 6, 6);
    T('-7.712053144297642856720919E-7', '-9.140046889675053152629303094799279E+509949963236', '8.43e-509949963244', 3, 3);
    T('-8.182131222154911E+3131776975478099', '-7.6068230465065471E+47903', '1.075630545384196316766038384049913638292201965239804546636942526076245735051558e+3131776975430196', 79, 1);
    T('6.7457738E+12', '-1.67982778208985633544503030834765725421898620554698E+89882530', '-4.015753205133714792279253610238094018e-89882518', 37, 6);
    T('-67244.57084', '-6.9562456274325292680823119043668139198733E-31653', '9.6667907433882840484490266412417595177383961787287650849919375773809763423e+31656', 75, 6);
    T('-3.50170138276749682535E-256300492737', '-9458549079.144428674884821389', '3.7021549007855257465922802e-256300492747', 26, 4);
    T('-7.60943328815625436075661144136E+611', '5.349980105765200475084193259434216E+917431', '-1.422329268095079641251133889523537798485202863e-916820', 46, 3);
    T('-9.6931083677E+8878236916', '23.044563', '-4.206245250864596564492e+8878236915', 22, 0);
    T('-1.85611057579578433205672E+2283748278', '3.218462490985284282E+510', '-5.767072261971783200023628575986622e+2283747767', 34, 5);
    T('-4E-51924517133992', '6.83075675213019333216362565629333827569898355E+766333319218', '-5.855866553515592853406921998453615e-52690850453211', 34, 6);
    T('-9E+929980585560373', '9.3375388859321308425810776381098E+12899444388', '-9.63851407736500620225649305367172421861958260297061143e+929967686115984', 54, 5);
    T('-8.005397256738989857392470545508E+79117', '7.08520108474261352400916411338688401885770433830194159E-37', '-1.12987580182839716938427609069095912378095099710919780842376145297212906663705e+79154', 79, 6);
    T('3.557513703216991966E-17', '3.753840952850023926611545757858278919583776352449989E+530693', '9.4769963562681720151796182961721e-530711', 32, 3);
    T('-2.58934880187005E+631503458', '9.92716999336534286471738760E+49998666871', '-2.60834538302517004410818018291781695378e-49367163414', 39, 3);
    T('-2.611281940274814440186553272680124500758003616161E+420087511809', '-8.652751088044790E+61014', '3.017863236448270555810193287349826334243863024214989110888128975347605735e+420087450794', 73, 6);
    T('-3.833317612976031949499380635348112E-96353260147', '8.4410689182262994214E+1027', '-4.5e-96353261175', 2, 4);
    T('-2.88239688875536914374E+284105862339', '3.527618024624971173478471501821141693629814652E+6080572', '-8.17094e+284099781766', 6, 1);
    T('-4.2824575987396142738701003E+566779987', '4.311952E-7817936288536310', '-9.931598493535211602239775164473073911768962177686579e+7817936855316296', 52, 2);
    T('-2.58696050689227282555433477730862892107343408E+968875', '3.811381112E+1233128393', '-6.79e-1232159519', 3, 0);
    T('5.610046834918982640742565430157306827250E+4648621686382960', '-1.388069844976954073362138834810710711853352882373297E+1274693671', '-4.04161710970107952467698841901289634981023957026628317128713264829e+4648620411689289', 66, 0);
    T('7.84604822E+44164257572489', '-9.60133890613263289591995738236052729169561694E+63178406619367', '-8.17182717609157446157099195682e-19014149046879', 31, 1);
    T('1.07190085059765109117E+5185025119', '7.915201493290373285665657526277282687476E-594963122380', '1.354230655411980742956794150587076247625976331905981479e+600148147498', 55, 5);
    T('-3.617E+4491282814506', '-5.24093098629202664389997708857352749E+3304534', '6.90144558182598323737610717e+4491279509971', 27, 6);
    T('-9.380708920149030298409565900E+6034355873635', '488.35378397929822954738351246616341409604544722271', '-1.9208838403403642433327049413362594330516046464121614339364982852029275944e+6034355873633', 74, 2);
    T('3.95716E+906550', '4.18514679498927528699846424545433234099E-74558328236', '9.455247793787697910115188010459358032999430069e+74559234785', 46, 1);
    T('-4.0838609024049004207E+59171087647483', '-1.6517525888E+89048404809306', '2.47244104843318555281927704643897816181222019103e-29877317161823', 48, 2);
    T('-9.04814295702326726874750381341046084E+99', '-4.205711862E+3471749', '2.151393926620659983945306192593005754515476600189402133608e-3471650', 58, 0);
    T('-8.648963924167223142205307237298467047316E-88035', '-3676893428271.8109323887745377562050', '2.352247649514376002572980028186065693278537794569647098428333434024835e-88047', 70, 4);
    T('-6.20820168122443822932158E+64', '9.03431E-1199713364926', '-6.87180502022228397002270234251425952839785218793687619751813e+1199713364989', 60, 6);
    T('-9.51345804893861858930366133079719001541654447107E+76482', '8.06148381E+1361007391974', '-1.18011252930105662388022104467e-1361007315492', 30, 4);
    T('4.5493745260240096106955073414775880730016583112112035813E+333835896435', '8.25719E+59468365', '5.51e+333776428069', 3, 2);
    T('-1.903328717157320E+726510', '3.028111258930757842571161330881403013289189E-42', '-6.28553099409364328334174885980897003163e+726551', 39, 0);
    T('-3.540532113278285748663E+589095', '7.96630726536247078E-26815251868235', '-4.4443831e+26815252457329', 8, 0);
    T('6.217666797078852994359974959E+300', '-6.5E-9', '-9.565641226275158452861499936923076923e+308', 38, 2);
    T('-9.96261497595044069850075926351760896026975882202693E-28805188389', '-1.25961398173394349824713003602619831856775623E-16', '7.9092603928040160878928e-28805188373', 23, 6);
    T('-9.714864156840888917702286040436E+4480992', '-7.51228041626380513562953940E+34', '1.29319775334911256179926494389471426726458280597247191e+4480958', 54, 1);
    T('-2.0803810730559677E-114901928064555', '8.759360918754281994128665596308124083133560E+750600874278592', '-2.375037508275010545938089855493544759175168736742165988e-865502802343148', 55, 6);
    T('-4.459366641107321279904399037862532939177986844760887E-389265143745', '4.4301937100711191801089535202731588961E+47166', '-1.006585023803787e-389265190911', 16, 3);
    T('1.673455897622748693383598604890287572572890E+671', '-3.9544127110029048820879E+7996286197', '-4.231869609781657e-7996285527', 16, 6);
    T('6.1721E+495917375464828', '-9.73707572203175848212658116E+52', '-6.338761427144490533367485052776266499208340132706488557151084318e+495917375464775', 64, 6);
    T('8873895624.1846007554020676286175', '6.89330960258902556893E-5004', '1.28732005e+5013', 9, 0);
    T('4.106839648519548532392315699791565955321266666E-804272849948964', '-8.19769303334405259361436886759134293682063000690617326E-989425695329', '-5.00975046493569622e-803283424253636', 18, 4);
    T('-1.2175141389530E+764', '-7.053808690475784E-6092670669729', '1.726037935501306992052182542831827833573028421051675877775804753811e+6092670670492', 67, 0);
    T('-3.0531325247276252E+30', '5.873E+1312017736380', '-5.1985910518093e-1312017736351', 14, 2);
    T('-5.15599157181858294567632170402782E+69399516996', '4.5998971002226946336904145386474662792E+5408', '-1.1208928068345194358047895933228e+69399511588', 32, 1);
    T('-5.6822031058156789333515862657947987717916361310594712720200E+651736197947694', '7.2584664698533878467808953098512138026832134618215662E+734825859327355', '-7.8283796e-83089661379662', 8, 4);
    T('2.39129186258183639884610677765206013931726521071E+7910685', '-1.627649607565359E+26', '-1.4691687028135832985e+7910659', 20, 1);
    T('3.511840E+3121', '-9.640587405682257717093484518972299320599132E+4509232', '-3.6427655828628105332269742927717623314315451081578126822e-4506112', 56, 3);
    T('-7.3886670042313382012046625851770198472195379863312414649820E+6490245514393', '6.0298139674163424074036316E+15022168010438', '-1.225355714812747000453807808e-8531922496045', 28, 3);
    T('3.6918776081004767521074223918823887E+56275355213', '-1.0255041883084623537859984644587792E+487287987448', '-3.600060975070336299752010099052185080597727963787347755821786374464497273e-431012632235', 73, 0);
    T('6.733E+50983', '-7.075967808068556706587025668133206746730655160406181087638E+3684548', '-9.516e-3633566', 4, 3);
    T('-6.5626744562557812E+8604', '-3.0670011312375900987E-913931731300', '2.139769167156330348409027265596e+913931739904', 31, 6);
    T('-1.08819902890970E+9561654369014', '3.13682340E+8816725668401', '-3.46911155058872616e+744928700612', 18, 4);
    T('-6.0627711426768035435893697238839776444415320E+866', '7.78520086422888112941354115919398108926484552197137039346E+2984', '-7.7875591e-2119', 8, 3);
    T('9.016866774673350463050132093E+8306406430', '-6.7529410839294162726399854276E+276', '-1.33525032465e+8306406154', 12, 6);
    T('-1.21051565206198E+54707797', '-4.36201065507829501335685240249942388479167E+57698911', '2.775132267622239676083387432376013991e-2991115', 37, 6);
    T('-3.38847885E+709492750', '-4.9230723650499646886020884600103055148971636E-13060234', '6.8828540365475818760121500848728534977647935197539e+722552983', 50, 4);
    T('-8.18409922065356130242182529609520782065030212516E+88895217', '1.7325389877674608465683675771E+1172060026179', '-4.7237604916467372266505954855908170314918404614941071101716399e-1171971130962', 62, 5);
    T('-9.050290321054231727405338988514980E+767176361', '-5.62E+19', '1.610372e+767176342', 8, 2);
    T('8.8542321194594867210854898435195165E+732944', '3.63501E+8172199102559', '2.43582056705744598256551972168e-8172198369615', 30, 6);
    T('-7.664877994418952190846274633710459650004733940E-32372366413602', '4.72800079773105810398813721439891254999807169653586398773056E+9589012', '-1.621166814966969865518834931691462695200932389686656084150492328623394581e-32372376002614', 73, 4);
    T('-4.86792708397750472680572865541111682797156E+31779893', '8.090672730269232514149E+734305996467419', '-6.016714859526292073800070216894594910014155581478821041821972e-734305964687527', 61, 0);
    T('-192.433157325074851653691727075095182467497902326711', '-41.61825394438430400371202142', '4.62376816e+0', 9, 2);
    T('-4.20E+7', '-4E+82410665', '1.05e-82410658', 80, 5);
    T('-6.2516965771514466555477690137113389E+59', '-5.43782285322231E+43519266', '1.1496690395949284395262407552944719506276432099609568943774454e-43519207', 62, 2);
    T('-4.406949497239706665550959099148819E+22448451', '-2.48785871841E+9381', '1.77138254058743532875732640954505969341243176080584129780540257668272e+22439070', 69, 3);
    T('-2.80596415542335111148675622295835E+11481', '-3.053355015028167189242593160422033756045402660629E+94408', '9.189773680468879581142710144072467e-82928', 34, 3);
    T('3.5909974116630042662265407204E-98836521818710', '-73652490890386940575.584', '-4.9e-98836521818730', 2, 4);
    T('-4.838939347413524852674649957767773504429084775088703E+377734257811', '5E+38948', '-9.6778786948270497053492999155355470088581695501774e+377734218862', 50, 2);
    T('9.2548719887960073260226503559704905842987618189E+26627112700', '1.40122167500604E-78721', '6.604859283779002330911434967555569333521e+26627191421', 40, 2);
    T('3.759383029841931285657271E+13106', '-2.6640467488776052873070E+53', '-1.411155052525187200788257117625573481646133970539958522333883244260288e+13053', 70, 0);
    T('1.38725008182966474380002236417925048421272256179E+637187795', '4.476531683325872356624166314113392524977873400235038E-62430504814', '3.0989394914747861783150121659073059e+63067692608', 35, 1);
    T('-8.59090943107694734737474034666798964715717091260907079E+5402755', '4.56821593679459541398995225333682353036E-94664013185', '-1.88058304378338491159214701109152536964992077444160891636006135037208292e+94669415940', 72, 0);
    T('-4.1127592854580927E-7834147727830', '9.8394822071310146026319924911745E+7654390418143214', '-4.17985336919196129928784170067605325204796e-7662224565871045', 42, 6);
    T('5E+491084044645199', '-9.33499910545029835629939503676439845847727526133011798149786E+6465', '-5.3562e+491084044638733', 5, 4);
    T('6.388E+926666340965263', '-9.6791629505469136041784305901048445', '-6.59974424713972917328981921579221e+926666340965262', 33, 3);
    T('-1.5090160571286593889029E+7731572', '-9.905790340E-72654685', '1.52336765198349573478142078262480164707e+80386256', 39, 4);
    T('4.684169948600007316263732948E+534267106', '-4.2E-76862641172', '-1.11527855919047793244374594e+77396908278', 53, 6);
    T('-7.5805373107589080234502798365182805469071034264145340153E-56', '3.649159901673873414047480664534863471478E+568199472999112', '-2.07733766538476643168288072361775340782116732024718967454492559427853656402669e-568199472999168', 78, 0);
    T('-3.45618800006362838397832661187797625872066850230818531716034E+62377', '6.5867E-919677', '-5.24722243318145411811427059358704e+982053', 33, 6);
    T('-9.330850160938693531265E+46', '5.632196395675682775733458E+2474090615', '-1.65669829413313472165102628570672938172693387012453863685449283338452106e-2474090569', 72, 3);
    T('1.96740366452473E+585610447', '-6.258566494428167831949445790E+991045139949', '-3.143537208202958574959469888335758629468321491603355e-990459529503', 53, 4);
    T('-5.94168790587318405360235852575244E+66834730009', '-67769236.9860378671971568313079132174', '8.7675295903026297588815752359152785749407e+66834730001', 41, 3);
    T('925945982.6390566', '2.425356882351218546376268336733134846742069170787134130280E+6284851', '3.81777209522012671549e-6284843', 21, 5);
    T('-4.542996724102810755349483978E+8656449368760718', '-7.70107271282725034623736554785607844112067812292537048501E+629366499', '5.89917391188346098197115847768070732958093053363894291714e+8656448739394218', 57, 5);
    T('-7.17047705661927466010909502704279409237632306222E+643835120214', '1.24066065331091704419107550459870528621549E+956628791486', '-5.77956352325965950718567958973952842736417511203083423538318491688471574012e-312793671272', 75, 3);
    T('-2.642780172050470459E+5015965474910', '7.90568683211758453382559675559369522080296402581860214171576E+833', '-3.342884974034047724937204340714279697548003686e+5015965474076', 46, 5);
    T('1.40984395410067879869384939061101546284855641383466E-2134968330701163', '-8.59501825870252967806506242223182164006E+716', '-1.6403036173578801971530500725436298477632322682577746474319e-2134968330701880', 59, 6);
    T('1.4150708691835104805570806168528E-2871215966692095', '2E-7156', '7.075354345917552402785403084264e-2871215966684940', 44, 3);
    T('8.1099784389969624863635526674668690E+5653', '-9.78408091551178706337193093412360091043E+8614631724098', '-8.2889527478654796139711560639242752854931678428237330121965727615537276977e-8614631718446', 74, 6);
    T('-2.640877059000851418533028545162E-834794', '2.493799095064769691117066437874435134374774258271627784988E+1407824324879667', '-1.0589774710509556002678419391088596235135873557385570345e-1407824325714461', 56, 2);
    T('4.784934404313629809675474768989393104903903167869372815963E+6869796', '1.4693344327482114082676161826621231212635849811282985534746E+13181700555518', '3.256531867536781112468621203544824795792048267789875e-13181693685722', 52, 6);
    T('-9.2597660888771588451890875141509078491281938422146201104E+6549519064847432', '-6.06307511848008426920180212677944653834539250913942E+58', '1.52723921573289590940668051284309340282530586223334012377160638e+6549519064847374', 63, 6);
    T('-6.19380770E-4325808271103', '3.68512695190194475920001741563451405821984', '-1.680758297025e-4325808271103', 13, 5);
    T('-9.09259875438891136959718247983839777196315530142728235E-6992083977', '4.47441643611662152048457346734110738175094876347334742266309E+31898423', '-2.0321306441204752458263491416417143386482606873592314879807912721e-7023982400', 65, 3);
    T('-4.9270133113947867639251944556703185372928E-92580859', '6.879440983229035373313E+358817235', '-7.2e-451398095', 2, 0);
    T('1.0740531381511693753262767551271E+8889943', '-6.82684850383042005234244435E+61', '-1.573278120275464981161951743991023728436136438781093187722876955007275413e+8889881', 73, 1);
    T('7.832523251126560375027809430E-8803333358118', '-1.6E+25418693', '-4.89532703195410023439238089375e-8803358776811', 66, 3);
    T('-9.971029608740395022926309884195354173162379711696695E-6916800813978053', '4.5957791420435E+787351819588509', '-2.169605914592929140727954821849376011292217979e-7704152633566562', 46, 1);
    T('-7.06396831096547510743871E+50', '-3.149E+75729158451', '2.2432417627708717394216290886e-75729158401', 29, 0);
    T('1.39473201621304605235610443942620907942898E+150182463754637', '-7.2757233642885411352380E+9664767071911', '-1.916966803684172721360280255486074810824818393491631770291801487238e+140517696682725', 67, 5);
    T('-2.0399648614083756233352978199160603E-20517', '-2.82243278324409819782406548925248521E+887268705030', '7.227682705e-887268725548', 10, 4);
    T('-8.0156713326940421636427627467754234375299829561753818517E+73391123213', '-8.49830050011814531478791633752814409503870948834193405183666E+4544453714574', '9.432087430401651e-4471062591362', 16, 0);
    T('-7E+798163', '-5.10744275411031418371545571494343607E+2359', '1.370548890512108717391e+795804', 22, 1);
    T('4.473428965647189798266143140543814E-565590390549', '-7.4734728833633848907689849324567E+136227466982', '-5.98574322201053329703503813960019229246183702486e-701817857532', 48, 1);
    T('1.80731568566854273386E+45685', '-4.0394445278097871330747324737305811E-91782854113241', '-4.474168844815108653394532812907922144588035748792965465394e+91782854158925', 58, 1);
    T('-9.264964246993416490443949161514E-80747689167212', '-3.903359820308380920567E-8310691687', '2.3735870310468706768529022703475754e-80739378475525', 35, 3);
    T('9.3E+3187869456559', '-625067716.618426601871826096440616794956904621148748819876', '-1.48783879774056497293205146560939529391314007486225842e+3187869456551', 54, 2);
    T('6.98995728633086956831107767254725E+87686', '3749497425.5620', '1.864238455e+87677', 10, 6);
    T('4.758525211E-103061104634087', '-9.6622197495766553480785514E+782321', '-4.9248778586395657895e-103061105416409', 20, 5);
    T('-5.49168690665434723139948768232754095288208483116293547E+972065', '8.1408040615680484201897457768630E+5819964328127465', '-6.7458777598886969587385283862358111975993200959905846595708677452e-5819964327155401', 65, 4);
    T('3076.0093116423602419182002089364696698603073', '9.108060892618897885846607501760841078576768E+339293', '3.37724e-339291', 6, 6);
    T('3.117033951071298639114892773E+4983307', '-9.6069965081946388E+227', '-3.2445457312412996146656867987029571553087333403701591637041907275529e+4983079', 68, 2);
    T('-3.3799089828708959357989835670702551051E-991791704', '3.08087068431707705410343134661702E+2237531677454419', '-1.0970629179848570552980180782019714613646180323801236870553843415e-2237532669246123', 65, 2);
    T('-7.2471348858671060902455409816023104031017446387569504E+7339829', '6.9440936372166054264427923013E+732604337729873', '-1.043640144341712593e-732604330390044', 19, 1);
    T('8.80641095766725706210596327035421579395E+622851104', '-3.8305910112963550117570234167245691763186767937588866952023E-969371933666543', '-2.29896925349046e+969372556517647', 15, 4);
    T('5.8016523961968909871605927028224184043E+991', '-8.8340073650E+75', '-6.56740724394550126929919386910361536052443623924916209304065935652522517452079e+915', 78, 0);
    T('-1.20000488716168820658389778371088022347600404642725875008272E+27572212273', '-9.71095E-521529796340', '1.23572347418295e+549102008612', 15, 2);
    T('-5.441837413008E+5449985147272366', '-4.9657972E-593790156', '1.09586380470954391774194886573297838260491185584461645e+5449985741062522', 54, 5);
    T('-1.053804985489822864285280252832E+54791', '7.71087102683121793672745144970107358E+872', '-1.36664843935651193277514056074910577345196752303020239e+53918', 54, 4);
    T('19524450.595513142283784208839777706604', '-8826.912440754864501655327532619801132', '-2.21192299420197263620595933252477795806795078698e+3', 48, 6);
    T('5.73556801042E-455454', '7.30936799224E+3473415456058', '7.8468726933835773627291115093367723874968880656953995735e-3473415911513', 56, 4);
    T('-3.7628329799120021955861963029440638411184517543992152939E+751244051556', '-4.250292969541012014230757066805946205466E+5262917589524', '8.85311437794451498527628321967824113816181755e-4511673537969', 45, 0);
    T('-6.046739026256665273856969088644E+9962756148', '-8.361509322988E-51289956', '7.231635812e+10014046103', 11, 4);
    T('-9.97907766743E-54958706', '-9.7017911031166924314115212E+231239235142', '1.028580966e-231294193848', 10, 6);
    T('-3.9700251274542324381023807474E+622803', '9.327768262212665161506090E-253721031855', '-4.25613610442814756421997555177184566499367533058796252063687188306667774144e+253721654657', 76, 5);
    T('-5.3617340206177115003E-4872906', '-8.16988950058534656713882376070619692E+15139292595', '6.5627987015412636012065636072172061441919375599208169417e-15144165502', 57, 6);
    T('-5.4249702334968266261942012E+965254097', '3.518485461347E+10162129', '-1.5418481312751985035534319973326043244734573878086e+955091968', 50, 1);
    T('3.64213069126040668549E+4944175902229', '7.71746562839931789663395196399602319698670228E-1768170498154', '4.719335163421806154e+6712346400382', 19, 3);
    T('-85453853.329558089851325309032007121458', '8.204224733811079762E-628607930805402', '-1.04158352680646902339153894891825e+628607930805409', 33, 6);
    T('8.34932424577589008577061745351E+14701571892933', '-6.9479763230082487320545969601245959136917E-5060591690233637', '-1.2016915224836147810789494880457061978900156891756971542906615618791762e+5075293262126570', 71, 3);
    T('7.896908426E+4542160', '8.304269622E+29127424717093', '9.50945572031909635411883547342750283355383087054588411339518041482011023e-29127420174934', 72, 6);
    T('-9.46723414587E+32147', '7.6790699259719541E-7943168286411', '-1.2328620831866841795313e+7943168318558', 23, 5);
    T('2.6E-414', '7.7740113452767212477151E+41539', '3.3445e-41954', 5, 4);
    T('-5.0847669690497185859E+43', '-3.9163022331717234462447614712950101199379E+710574849288437', '1.298359183308404245030275434900639334779137987636434417e-710574849288394', 55, 0);
    T('-654780.6108508796318972', '-4.80252466991239642846099852238E+4558182081577', '1.3634091563403121114079333e-4558182081572', 26, 3);
    T('-8.389332724379150692808835215416724015467432627098993863836E+417866225374875', '-7.05031960439145924861977450236977592E+578707244277410', '1.1899223290747919109445985221808186565425846203144429229495537915927370684449e-160841018902535', 77, 4);
    T('3.46651512564105766844627488972135692134999125964973369892351E+6414810767410105', '-2.9885209886470287504544430209646355991010772E+8422098', '-1.2e+6414810758988007', 2, 4);
    T('-976093840.027642899866359565696597624217903645489921695677488', '6.5072963988175965340976051110287223E+1028544251022419', '-1.4999990476e-1028544251022411', 11, 0);
    T('-6.083944489910777025238E+6260', '1.406864064314786E+6123508', '-4.3244721677314047375130779005363863356181035348103963374041904438991232e-6117248', 71, 1);
    T('6.58621804530048100268889859552906369432594134444678223E-20453135081', '5.94819230056175132483965723534548605322977E+28544617751', '1.10726380595974916492595714252777759055019283784732721846660742339514e-48997752832', 69, 4);
    T('7.608797848678242187926838E+27789664', '3.065397309693982138271E-7213888011108', '2.4821571496185029963794291367229040640025953086144250507e+7213915800772', 56, 0);
    T('-9.61838284660119850691172268553153148932096E+15833', '-1.509933E+38136447051', '6.3700726102424402320577950713915991566e-38136431218', 39, 0);
    T('-1.35255494299594223443589787527617544681910645164E+90739464418', '-9.743238149931374160078E+96167', '1.38819858673522094277e+90739368250', 21, 3);
    T('-4.8808558681094695878250E+1710392824555611', '2.27628875000934764235589114E-7883494', '-2.14421648751e+1710392832439105', 12, 6);
    T('-4.54E+91931080', '324124006.33184153264902086006750022464155422', '-1.400698470742676408515111826186189071292226291089353366413774e+91931072', 62, 3);
    T('8.955537753557961821022444223529804616730971676478596625223E+667631219032', '-9.228396896049500729956099277428891408317692189262875415E+72839', '-9.70432660670636666984766853915700521970784575171009306615354797e+667631146192', 63, 1);
    T('-9.8092925074517515204743122925764798347258165958E-174211062524', '6.34E+55502729783', '-1.547207020102799924365033484633514169515e-229713792307', 40, 6);
    T('-2.0089970310050648676607263451499086008462E+135', '-7.18462394884367066309486425E+40847382', '2.79624521103627546815571345829170346060637341704819841841506e-40847248', 60, 4);
    T('-2.9163759736425222413037075833232605322358E-9977', '8.078E+8', '-3.61026983615068363617690961045216703668705125030948254518445159692993315177025e-9986', 78, 3);
    T('7.71862334389116E+4283785776490', '7.09364724798964021498691175509112396431934865327E+49318472', '1.0881036333007170304830691569258196455951e+4283736458018', 41, 5);
    T('2.47191379325E-2423749196885', '6.64805E-7561159414847391', '3.71825391392964855e+7558735665650505', 18, 2);
    T('6E+5002708294926462', '-6.940054824452558415110E+29289860', '-8.64546484396582371037557719653927176e+5002708265636601', 36, 1);
    T('-1.29608783184274163853575361907457596E+6533925693780', '-1.881799307558E+6327929', '6.8874923411714252794e+6533919365850', 20, 5);
    T('-8.41644132735960905560186046642475482723874021478447E+7380532550', '-4.965E+303', '1.695154345893174029325651654869034204881921493410769385699899295065e+7380532247', 67, 3);
    T('5.50510321129357E+23750', '-1.149775140756308031309657950230362502026749616337422807448E+8764200079', '-4.7879824638340853402278965347576490946887886891062392e-8764176329', 54, 5);
    T('8.0443587E+9595897043178', '-8.83157530671973660365927498182766144534E+421084', '-9.10863398727884693304346296973264446581e+9595896622093', 39, 1);
    T('863129553498990815643996248603.95274184425793074', '5.1581E+9923741', '1.673347848e-9923712', 10, 1);
    T('-7.195085788825171715E+89969389', '3.62053805470858485797617531823378160694343820420896548403298E+7864197650105810', '-1.987297379589150669242e-7864197560136421', 22, 0);
    T('-9.17916499905892266546744147108067252535919969761E+578344093902', '-6.0882023992851916611114611831057616349E+8957', '1.507697083154895953036069862975425561999201177488845198799546288625989502638589e+578344084945', 79, 3);
    T('6.52702762628927395687778212375718324578356E+13357648', '-8.5861474E+4977360682303712', '-7.6018117581923575605955496684778358752419740662733090279815135715000653e-4977360668946065', 71, 4);
    T('-2.26022159622879637253223E-12', '-4.002333455E+44', '5.647259584043819688512760364191094117618942872414912e-57', 52, 3);
    T('-4.828E+70', '-6.63039049231486467335097654132394699682639E+87507410877', '7.28162241061974458716617376331628332817372435587670571683242943548876e-87507410808', 69, 0);
    T('-8.7294001380297542664752041070244267817109550593720E+17674894010610', '-3.32282724716074566813398558752869339235748872962092E-543686273554946', '2.6271002037463006541215699082514234188226329e+561361167565556', 46, 1);
    T('-3.85799887487838680431608479012224352720171909E-8422825106329', '1.768795573424212626504717700674E+40473378492533', '-2.181144578177388808979e-48896203598862', 22, 3);
    T('-3.28859203637486382235752254943693848589904560485425E+48035553207', '5.17294791373817224147858292210047735378819116296E-145262943990656', '-6.3572881289624275781285725454836024694259026770300034046671829809350195388523e+145310979543862', 77, 3);
    T('18454.006141524754239515250972368873', '-5.605606607765411427817205886672192733906E+54550581062', '-3.2920622927696239137002e-54550581059', 23, 6);
    T('-3.24799891232199821115370795E+40252192', '-1.22987785186757770184055072248E+7624342763107', '2.641e-7624302510915', 5, 2);
    T('-2.0245943687805483429371750349600143204201239576393798E+170202163195', '-2.7354329799841086055209327552170831376132E-7504830630', '7.4013671e+177706993824', 9, 3);
    T('-4.8649216438271728031463074549595072027133102247E+665005', '3.57917127345431399348460131363957173772124E+1271420', '-1.3592313058357671391946184206496256312744962870226220222250871e-606415', 62, 2);
    T('6.5509619006714978588964301268380016E+4637275543542', '-3.9190281023165596845290537057802735255063540004850184441262E+86817839533187', '-1.67157818970453087975788062935633978441886058796079719801855689811377e-82180563989645', 69, 1);
    T('1.690306705977713774417000485E-11800', '5.1020064739011273213516547427865761070124E+38262', '3.31302344405937444259482165234447444429749904e-50063', 46, 4);
    T('0.000796135198571921402830178804', '5.949096901941486650233538E+244509', '1.338e-244513', 4, 5);
    T('-3.06620474229778542888387355454680027453774E+5207', '1.10663347682024800162762017954231949441284622900913945E+1888512575025', '-2.770750032890820710538052603036146047038584223665709719848363671075464429033171e-1888512569818', 79, 5);
    T('-5.492574277291415314288673152608E+7094569', '-3.1933413965549672E+259771816011', '1.720008478647757781084195493440905828771112741602782304240789791335527084282e-259764721442', 76, 0);
    T('-6.27977373218752152714881303119745375651122105806146280E+58922359170407', '-1.9186776387042E+52884440', '3.2729696774016898613182e+58922306285967', 23, 4);
    T('7.234971295055317530275E+9341587141076', '8.18502402196748828559146655476443273419380205E+8028974022', '8.8392792e+9333558167053', 8, 5);
    T('4.018821425895729273198022473064295544736E+8670064929919718', '-1.766871115043E+778149999938', '-2.27454135826875181826291056033195176810717e+8669286779919780', 42, 0);
    T('6E+97677058', '2.82441E+422', '2.1243374722508417687233794e+97676636', 26, 5);
    T('6.6634210419154731E+11400050307', '6.50117523E+7765428267857796', '1.0249563819118090591752900652087176551923213e-7765416867807489', 44, 5);
    T('-7.95414000E+596769201850156', '9.21E-54467051000930', '-8.63641693811074918566775244299674267100977e+651236252851085', 42, 2);
    T('-4.0760935865100904072824340772227250370313370970662266E+4045', '9.953774340808979592E+647141948446', '-4.095023100733476539268459849447247941411454070144852006179545179757459727758e-647141944402', 76, 0);
    T('6.7E+7311724658340137', '-1.56801054907982864194267794482806E+47006240330', '-4.27293043655339449258667488173671848536599882318159008296014557e+7311677652099807', 65, 4);
    T('4.83227762614119045268E+76821102406', '-3.847524506413911629180655131606396805753908959932938533237E+875845043311', '-1.255944599725270827747930492912879585808439355723961339848462599779e-799023940905', 67, 4);
    T('8.6775719987301876999095778697244572942831196933484041606E+3687', '3.77863269110169287916808606501814158431E+2429292888684451', '2.2964846567820718521370763841101643091536549e-2429292888680764', 44, 5);
    T('8.33713242E+69489051671789', '5.324728895718E+872559537', '1.56573838467240872360041731973565583087395834702538370394081340372e+69488179112252', 66, 6);
    T('-2.13338E+22', '-8.7806989429116168960317485332670835E-418989912738954', '2.4296243543e+418989912738975', 11, 1);
    T('-9.070215E-6932883158', '-3.084615E+2965550210', '2.941e-9898433368', 4, 0);
    T('-6.0536059713643529692870452415740340203993309E+5697171030', '-5.96627864232865928861411379873861403576343312942483481123956E-30539904', '1.0146368170631751655271372038251981227506144841e+5727710934', 48, 2);
    T('-0.00696761859026149091549137928559404', '7.7722239449644623041897208587392006024776558854068912171916E+92589164822552', '-8.96476817909465118474170890705518570394464e-92589164822556', 42, 2);
    T('5.24284074506778589093076039794106333934687128430E+721469', '9.89741E-45', '5.29718456148405076775718132e+721513', 27, 5);
    T('3.61099866988678986627429201687657305091669813493302029742E+60243682371', '-3.4157762943238284E+6822606481', '-1.05715315018942328109426576482852852749422455811452e+53421075890', 51, 1);
    T('-9.8386570683019670287357231404224046217770938E+15272379171', '-4.07971', '2.411606969196822085083430719443883173e+15272379171', 37, 3);
    T('-7.1642109E+989134594839', '8.4417874454016139292333142728654515494923909034E+495', '-8.4866042249173997689280694136813384e+989134594343', 35, 6);
    T('-2.9079760E+5135787', '7.003737495086925934281912403836581082761978519440E-8', '-4.15203454161428140708740350676308351666179941487017556894878e+5135794', 60, 3);
    T('-5.1E+42491193887', '5.86401882708813441848748263E+82484000', '-8.6971071382669497557950981990398733390597828e+42408709886', 44, 3);
    T('3.690574572663335E-47194928394', '1.30531895227324452E+5534250459718775', '2.827335469416199112062226453753450691117243632544760983369412081120612591252714e-5534297654647169', 79, 4);
    T('6.1263192629261867553378226815855953446505422278E-73744441325000', '8.712377447512E+886841021', '7.03174e-73745328166022', 6, 3);
    T('-1.96511503980280054364691372703894749035429703801163350E+626960', '9.826074325225770927404E-82518334881489', '-1.999898407808603e+82518335508448', 16, 3);
    T('8.03247857968326100536064899E+88372623150', '-6E+5079', '-1.33874642994721e+88372618071', 16, 4);
    T('8.07715469495640786868795596700E+110796554061096', '3.85233764019559940941712093294122188041357788755338E-6454538746884', '2.0966891922137688587857e+117251092807980', 23, 0);
    T('7.9868387015853015211074467508830254034247630778E-3207986', '9.639052976156707366480388935497558852397548002353717495730E+6975700', '8.285e-10183687', 4, 3);
    T('8.3329266E+8011131', '7.17963201256640179626E+21', '1.160634219889682932826844687009429e+8011110', 34, 0);
    T('6.6095585471537834313665709130E+437650310091', '7.03115361714755190527E-39703', '9.40039e+437650349793', 6, 6);
    T('-9.201660667751E-358845', '5.00834431923941112677354265355E-96611770573', '-1.837265986765942655214968051357626368996521e+96611411728', 43, 1);
    T('1513191.731030033386876293611', '3.6314E+805802865618', '4.166965167786620550961870383323236217436801233684e-805802865613', 50, 4);
    T('3.60916428412390289067E-70335680682', '9.6098543681543161812369966783213594353202680854349704E-1666091182', '4e-68669589501', 1, 4);
    T('8.43329610520804588487954959686159818162920036250E+995', '7.91505880141295808988812304652E+506028573', '1.065474852025e-506027578', 13, 5);
    T('-2.82445974257E+708', '-6.5092559957561670893387441928488010034886E+7741870113', '4.33914374301987831185585977294253372590815634e-7741869406', 45, 4);
    T('7.598687892985E-39282728809', '2.74E-3515210209185', '2.77324375656386861313868613138686131e+3475927480376', 36, 4);
    T('-3.38117509167969191061918300E+12438766177', '6.833188426999955554E+60463454', '-4.94816603961873142e+12378302722', 18, 4);
    T('4.39239902943145641781388329730036035615241780997146030267641E+3341', '2.4172552490256592735E-586349459499', '1.81710186841126222495792280701339641143349249721148078542460230983525534820473e+586349462840', 79, 2);
    T('7.679593172659994703925167236312755202188945709812408328160E+4933772451', '-234542060610790421457383308415530400.23106214024924', '-3.27429253101167848274689544674109e+4933772416', 33, 4);
    T('8.068105515240661513360635E+40995498668', '-9.68813958073240863328880814490468055672562372559026387E+874724415507477', '-8.3278171706839973027459844289680987082093121594508597436831e-874683420008810', 59, 3);
    T('-7.116424800235051859269268855731272179622024437414E+957992627315', '7099446924793409672968.649560079547', '-1.00239143635011205241431727495142276878718088618e+957992627294', 48, 3);
    T('5.197070178262651588942607707322647690828929511828066116112E+3937458264', '-7.29020056739412072131338862597244929827342275360', '-7.12884389149301861625726986912e+3937458263', 30, 2);
    T('7.110811E-61145252147', '-7.7E+355823769', '-9.23481948051948e-61501075917', 16, 2);
    T('-9.3453824789531003314779143341772816022300562685E-255664029', '1.5967226908441931277533620557408E+7089628331505356', '-5.85285255388470895201891873569176992812688914407274287662407991861348863844264e-7089628587169385', 78, 0);
    T('734329077.191773949218', '-9.9905022991052538745E+8799461426490005', '-7.3502718e-8799461426489998', 8, 1);
    T('3.680358991704473815341467331497879478420475381833268E+113958156412652', '3.49033968544141520693357977841278639E-64642345', '1.0544415e+113958221054997', 9, 0);
    T('1.39469199814772751837256104767617465969E+861205256583215', '-9.57215403467443183516725519760662345E+59955349', '-1.45703045844807468313875e+861205196627865', 24, 4);
    T('5.1081371681348944701028891249030396225223417E+9877', '-6.0148244844197809960489893560135118844226438550923E-314533', '-8.49257892955400183859397426579e+324409', 30, 1);
    T('9.2746939238497747517827061728883E+946527754547842', '7.6306572863317577363841438991737924973659816787400833760E-41997', '1.2154515103781243662074447995036787182495389172007488057453102916e+946527754589839', 65, 1);
    T('6.0920647412037413617E-16457027', '6.0359223349492005454E-856694827186606', '1.009301379828806780251975e+856694810729579', 25, 2);
    T('-5.53734273149532495155022342414717E+79468', '7.3420686071859367695E+2019', '-7.5419381481613177604108850371354102825477934515854873509572667806e+77448', 65, 1);
    T('8.671137391239003924E-6817239992551', '-4.6891836905836870021190963659216280715898068902128617E+3590', '-1.84917844200717641385500295982821463821e-6817239996141', 39, 1);
    T('-2.5796173623703580379658820391488668944901736282002706528469E+645778053', '-9.19373272883926543203072368552911892576157493399555036E-6717710026401', '2.805843326594117743201190569466792e+6718355804453', 34, 4);
    T('6.7464980161984337618403726437228E+435839601469590', '4.503255799E+345457720117622', '1.4981378623209837700450763e+90381881351968', 26, 3);
    T('-4.583376724275704197056550377315156836327792125822658549E-993', '7.397118883469609596225587980097989547814013735646702345759E+7780925114055537', '-6.19616474532835537048710585540276908e-7780925114056531', 36, 4);
    T('-4.8807299079650069030422335658508E+6164436741831', '9.760564943E+1496146', '-5.0004584124665117788789385711388120006283e+6164435245684', 41, 4);
    T('-7.137206457094837726512988E+443031376', '8.643675563038786E+4284990089667', '-8.25714293073914113074378375671837691384344257959e-4284547058292', 48, 4);
    T('-7.334960599966331501176739376415390894E-1982184115', '-0.0084497614896324925403626292637215914471', '8.6806717668493062566607461600528605667224224008464122077641673849138453629e-1982184113', 75, 1);
    T('-3.3226177641517130908408E-87958', '-5.2429126687340659458617541165200793649870591521412954491E-531', '6.3373509613578589901e-87428', 20, 5);
    T('5.2981704945972800774433610784629321082932197E+3559557246454409', '7.3995358289056504665344104221966956620803760702707265E+5291385626', '7.1601389831784212781e+3559551955068782', 20, 4);
    T('-8.597254951275623231945469065576192469210960E+291699', '-2.40275597516149387679387804386773929118485E+329412193', '3.5780807706441288099647830131447194241619235996e-329120494', 47, 1);
    T('7.815228375133565334608148017757381127704E+6577', '5.5590813355171289925490845858475640534665E-841858633548', '1.4058488990261481953615841922847850437874556e+841858640125', 45, 6);
    T('-6.49138736155772470552780565692132645936001029E+54407060223', '-1.3284958140530092093042606745239622430988367E+20231879', '4.886268585035005214842815769371e+54386828344', 31, 1);
    T('-4.94470471844759676880910366428824213907E+3984576001777', '-3.211912263371533322995411119088042078141493E-662913', '1.539489348708783573446971231058227266167956356479646008190861920358885843495e+3984576664690', 76, 1);
    T('81737.82633711326287543662776090', '2.09989795606626856296E+6220648987578', '3.89246658872093217101989181451676160014192010667669073272e-6220648987574', 57, 0);
    T('-8.13969022472325603707584462432926454975244230304292E+67', '-7.61467814510257086604235583130E-7233', '1.0689473763192932928530324198007688481336458847739673326559955255317411790463e+7300', 77, 5);
    T('2.791781634637709704982E+80352', '-7.6328457763182673828221207184E+96', '-3.6575894711504787544654292141347150633673e+80255', 41, 3);
    T('-4.132184412190437407662496651865900374E-684947579257295', '-9.511096312205143318965060645895570E+568718452', '4.34459317469e-684948147975748', 12, 1);
    T('7.558648513E+54373021331', '2.09858452263966701097439712610368800474E-1461218527213323', '3.601784169975907925722e+1461272900234654', 22, 2);
    T('7.556758625802349659257944940747841E-6510797670724', '-1.65955137067612385507507773197984427031686863069032789E+79879912295927', '-4.5534948536866461474577931982371194649804114044410655222368764230174163802e-86390709966651', 74, 6);
    T('2.90857900719404530227249962519419570337267562E+66538287390', '6.05470269817017036606017811625488146654323487666328E+1140856', '4.8038345599909722829398e+66537146533', 23, 4);
    T('5.5017763682853E+8194470253698', '-8.4149057429453901832E-596385756096881', '-6.5e+604580226350578', 2, 2);
    T('7.78970739095612865E+8256', '-6E+2574', '-1.298284565159354775e+5682', 61, 6);
    T('9.1601214E+540801674', '3.2564507315098421624225528E-1266661158709046', '3e+1266661699510720', 1, 4);
    T('9.6620258788944278670579716967136842486931363968E+38995845597', '-8.33551617625416685779528954839422380789031264619965E+90645156', '-1.15913948e+38905200441', 10, 3);
    T('-7.25462147927784047965975E+965320801226', '-0.99579244893299773278639948', '7.28528e+965320801226', 6, 2);
    T('6.50084063703736358444717531081404252010779054430237110612336E+3484761903290', '8.6426067426581484875337306195148030496340980E-2526632156037', '7.52185171743443657813827722759718431686470385381276386002982929817126059188284e+6011394059326', 78, 3);
    T('-4.6221772195101714358370671567049104489E+4280026488', '7.44876E+868', '-6.2052975522236874806505608406028794710797501866082408347161138229718771983525e+4280025619', 77, 5);
    T('3.65169186981487530990583294343515629E+5469152910', '-8.521058602295503266278149607077647925394E+441161581058', '-4.28549085301577375003095123001938456836808069099388955702043238549417156e-435692428149', 72, 3);
    T('4.007368814706121190594341505125031233335118523662E-631', '4.215060461317563736262981890894692370464199994825678490567E-74', '9.50726294790437881753845835425623719671097441384408243714152e-558', 60, 3);
    T('-4.221012582376972160671543558636066793423174E+40560960', '-4.34414310838617754844189641559E-1845101067', '9.71655969212545665646176012822353683083772182631673976597e+1885662026', 57, 6);
    T('1.986674202970595444790224954828288939112391E-8998513087', '-4.820301304263720572797011489965200730062633E-302039798', '-4.121473073090502644707573032703886614659266708623529366790889605e-8696473290', 64, 1);
    T('9.43477065265895832121422489696619799676268906655481301492E+690207043437', '-5.982525E+9344', '-2e+690207034093', 1, 4);
    T('-6.961185658802925983194881E+235814729201', '2.65296686507794324305471581040871369608587E-8745096', '-2.623924840689033171011636146464620115053797316171851414e+235823474297', 55, 3);
    T('-6.94061995982E+5975673218949', '-9.70E-7188245294', '7.155278309092783505154639175257731958762886597e+5982861464242', 46, 1);
    T('-3.38265355438040270594218267966136602430458209702E-1975998', '2.30E-537', '-1.470718936687131611279209860722333054045470477e-1975461', 46, 3);
    T('4.41133410047114726E+65927221449', '-5.8129991798006120468576108058903013848919671E+63', '-7.58874027679194958887277098286546640974034952179762539e+65927221385', 54, 6);
    T('3.26365881915E-76156', '-1.31728141513876472861940845336722829623824510931387662127186E+73449578384', '-2.4775714449795076405919102410154143346021585173839152e-73449654540', 53, 0);
    T('238650536174603975449866983703119633.9177545044019633', '9.6118943529861E-57', '2.48286682531485678657235808255926626174841647692365486292078046132833924e+91', 72, 3);
    T('8.2424398301782635505924386321475949346468440E+5621', '-2.1176E+8905776', '-3.892349749800842250940894707285415061695714015867019267095e-8900155', 58, 0);
    T('-4.334451384885097552710E+88905599414', '-1.68146597988488679052704093611E+702', '2.5777811961332897258593042444467654293512134331395315382693393866e+88905598712', 65, 0);
    T('0.008033742105918026157579008559775919937976188793', '9.88691306678599368332350758365881304610E+3892477352', '8.125632390666513203841021247581763380551789410641e-3892477356', 49, 2);
    T('6.845015E+515', '427.280380615089062687378538023188448356571547771986914949', '1.60199609215529561e+513', 18, 4);
    T('-3.99000573502024333231E-4225313505', '-1.483735021637683974404937056580665E+2222666382', '2.6891632783704490083171811644e-6447979887', 29, 5);
    T('4.76016976613237223119244423497158186006758255432E+28682428', '6.032807026910391377570309503578E+7389249856988', '7.890472453202633606926965088125002509745127909005e-7389221174561', 50, 0);
    T('6.8140E-8025007191888493', '3.33233341571338374741997558494E+254315235', '2.044813393482495615938509021483900953742274412860123205051702e-8025007446203728', 61, 6);
    T('-5.81229241584435449999504504301949468982085498E+3606345927', '4.4737526099414E+129', '-1.299198440908e+3606345798', 13, 1);
    T('5.1282295041056271397106868461774769E+906802313936965', '0.0062983955', '8.1421204878379376774778e+906802313936967', 23, 5);
    T('-6.36110E+934008', '5.800048795011844540738129412189197407399769250281871306E+1612', '-1.096732152576142199738165396168790732292101357905524e+932396', 52, 6);
    T('6.6576018025320E+60329', '-8.8863696593100778569476944907890423808244634820078020935851E+6806341', '-7.4919253393391745517038005462e-6746013', 29, 6);
    T('1.0623510282E+7405', '-3.63364865376208414167297511605581329205848433951E+64901834121091', '-2.9236481e-64901834113687', 8, 2);
    T('-4.70475262904752767044848119579723715E+6965560142110199', '6.649757111583427714E-1010015008592913', '-7.0750743976e+7975575150703111', 12, 2);
    T('-2.570128670913930575366240061974E+76051664362', '-8.83514091042030673479056123105731E+953', '2.9089843580000853700696175666243959889620776184573780969751522237311559382927617e+76051663408', 80, 4);
    T('-8.19886951359250697912E+361', '-4.353049830038882208167368229975783150159E+1316214554627260', '1.8834770640609168565012084604836589879e-1316214554626899', 38, 1);
    T('-1.63202863922903442142705260693822883325198972571E-6694203', '-2.1123753004167265870886209703741806602067441570917510008E+40207527898', '7.726035420443848137110466333304e-40214222102', 32, 4);
    T('-1.926797012017590976407386992116E+3634744', '-7.306522E+1914', '2.638e+3632829', 4, 2);
    T('5.061692357446526858831406692881502422565053175560185068E-7143', '7.10406725683999274613062431911282690577890E+9153481988', '7.125062551417977134280104805022779720799e-9153489132', 40, 3);
    T('7.6358205296488629171E+68376051', '8.07958774055181151461901349555646E+514868582584', '9.450755131136628224523010584844244892288173869120603339290142105208223967982e-514800206534', 76, 0);
    T('-24686.98460876002572016964479361067067409', '4.184659802024635245802E-89660', '-5.899400614792125e+89663', 16, 1);
    T('-6.94E+394892217104', '5.4819013861373559371E-1556', '-1.2659841013466398695640146104554192731592498e+394892218660', 44, 2);
    T('-6.34130526493175747E-7046827200942', '-3.581436959703675803295561897855707157E+327042763881', '1.77060362538e-7373869964823', 12, 4);
    T('8.0367559854576510174313271521876061339622634741E+8256417211', '7.286898981281918009887535639507378691304E+515864904001624', '1.1029048167268290399268707e-515856647584413', 26, 5);
    T('-9.42184618077307226962990759743012705120047921E+6453289094044', '6.862563440945696142E+401188243885855', '-1.3729339279484597304863885171554e-394734954791811', 32, 1);
    T('7.5987108866310E+721', '7.815642863247111454848617568249E+5268758', '9.72243872908237747108e-5268038', 21, 3);
    T('-2.869561462E+1108147', '8.06E+9558886259', '-3.5602499528535980148884e-9557778113', 23, 0);
    T('-1.7454641763498139577480763E+6571587', '4.085554147588095839064359085090103539182E-3194', '-4.272282567544105535557078467541475101910866321108e+6574780', 49, 0);
    T('-2.128979352570983053606735372444359124961868670445086E+9830', '-1.596789486346529835080607009068878845001E+6192', '1.333287431295724e+3638', 16, 2);
    T('-3E+37420383', '-7.8295936318684830557931432169473552E+6447', '3.8316164810766417e+37413935', 17, 1);
    T('9E+349945', '-6.080146887261E-83357329', '-1.480227396949342919615590118880680748753125036891141535569848159692374489e+83707274', 73, 2);
    T('-2.697063385E-98559122897380', '-1.381086677533726778090871890461867E-56560128081398', '1.95285598570560134849079832264337333473093190789799468616e-41998994815982', 58, 1);
    T('5.658580295E+7736', '-5.86299717480012065407279E+7755266121504', '-9.651344058839513996149811592304808271601010778958653244e-7755266113769', 55, 1);
    T('2.8807050804950962896213116692255189367872E+21187', '-1.65617585366543280288052E+426698731682', '-1.73937e-426698710495', 6, 6);
    T('-5.2457E+57402', '-3.0184378031273180974295976523452E+88236550517', '1.737885734986846006802226898358034500409273689875518217074e-88236493115', 58, 0);
    T('7.251828483909320623720389537954828722004130E+291321161767774', '4.907776781846118940139763955918406327965895751E-696', '1.47761987e+291321161768470', 9, 2);
    T('-4.24761688209469605580E-5107288812109', '8.28614682075E+934101', '-5.1261665693128927241257029110794494e-5107289746211', 35, 4);
    T('-2.911415E+3243987583503960', '-7.6120003461042887696979880108640068E+11610785322593', '3.824769925936774182333463217117459909242e+3232376798181366', 40, 2);
    T('-6.441640313E+1566046402', '-3.679241114721278323119083669935E+95', '1.7508067865478796714960915426018156009938365223590477e+1566046307', 53, 3);
    T('-9.40939427045238557745232350936232615492E+68220944426', '3.8197149538401199796687676871791E-27466044588373', '-2.4633760330709300848272601e+27534265532799', 26, 1);
    T('4.206946474297062897612873149299596958265125E-966560552350', '-7.680926899027348581968869694401074376840941668754573139095E+19344', '-5.477133853246015267406695017e-966560571695', 29, 5);
    T('-3.637E-71065447943', '0.00786479073291639028272760848151271427605512932796319490409', '-4.6244078495e-71065447941', 12, 6);
    T('-8E+9571275418', '8.290282471234161568787643652094853143E+9340', '-9.649852e+9571266077', 7, 1);
    T('-6.341079436942999758205520E+905673313225937', '-8.545239864178365541612714068090854362873976E+42709', '7.4205985293927167058712254505632351459783274767574655561e+905673313183227', 58, 1);
    T('5.9728526638804705260085145367323298E+177697429909', '-2.542766804967108788445012834883662516E+4296', '-2.3489581e+177697425613', 8, 3);
    T('7.093200042191825089475004E-565', '3.4429386705180235815659486349716167914643638948E+744166', '2.06021678600641010290946480082095717050902124e-744731', 45, 4);
    T('-9.8499291187067448100E-8915902677508', '-8.3602447221169808052E+85042961930723', '1.1781866974119564034289306996460417305210562331874817367681416328607e-93958864608231', 68, 3);
    T('-1.34683998629E+125', '3.768747966881E+285189355099349', '-3.57370670080822390461436198358793279212320541e-285189355099225', 46, 3);
    T('-9.09369299815578094618700845548734386202991973782792442203E-86086841', '-3.03427516166E+53512461293537', '2.9969902245717152340916771591984293796744943e-53512547380378', 44, 1);
    T('-7.90098597427126127701563113947E-858', '5.57522198007344E-8757359651185', '-1.4171607879489643188608356002881270448562193302706413946920413195769859706088808e+8757359650327', 80, 3);
    T('-8.93797860648486766173307968251552455404068493535338905246E-63342270', '-6.0876552981248919388551866801634806686443783159921647644688E-90962185111', '1.46821365021077e+90898842841', 15, 5);
    T('9.0642928E+32329', '-9.773166848355476719049410240798562533194E+523', '-9.274673133739900889100468982363917517358613764996168224e+31805', 55, 0);
    T('-7.6818200741647565838226354628E+1660265', '2.40359698936284834228567957541478E+2657', '-3.195968420729746862e+1657608', 20, 1);
    T('-9.353146E+87', '-1.3178285981351573327901034448182688343197691859989396854607E+647939743911', '7.09739188634661534555290510096907104294e-647939743824', 39, 1);
    T('-5.4021E+40927546124846', '-8.1015E+4989809577910468', '6.66802443991853360488798370672097759674134419551934826883910386e-4948882031785623', 63, 3);
    T('-5.0236733966104402460205909219565053282400793781E+2986942978594', '-598606.02776804813133159480819263935456', '8.3922866853540051973706964748352814876892e+2986942978588', 41, 3);
    T('-7.9E+464339', '2.14947233235398E-37', '-3.675320626876070905619085875644086207172219774534497e+464376', 52, 0);
    T('6.2331786150268301794713009334260887413823930159166855565E+851', '5.294323931084023E+92233085944273', '1.177332308367194086395497545294585385492179486376704697239685e-92233085943422', 61, 2);
    T('-9.474700E-732404534', '4.37903246148239548047283130608E-885084617326', '-2.1636514648700760823221160320590918795168582473105707887936984194033835e+884352212792', 71, 3);
    T('9.43185616657060465817455550168268343455124943500965455E-5033315811027', '2.998246564890976176549888990050164861961051884593018246292E+3321', '3.146e-5033315814348', 4, 5);
    T('-2.883908064149465E+3401258482802316', '-4.118E+2735', '7.003176454952561924e+3401258482799580', 19, 2);
    T('-3.75071842497272164115524284449E+82595', '-4.725E+2520', '7.938028412640680722021677977756613e+80074', 34, 3);
    T('2.377262489797359193479303099306099490820398010921E+3449223', '-8.2878991256710108229822788733025664803E-6867', '-2.86835355227e+3456089', 12, 5);
    T('5.7196648E+120905941443758', '4.90804E+632', '1.16536637843212361757442889626001e+120905941443126', 33, 6);
    T('3.1898220213055815082987578757638442E+50', '8.112187864249382147583405236022E+5632', '3.9321352940594585247349895847753980116900231845219515573209771342e-5583', 65, 3);
    T('7.1454495459615672339241702E+4448489', '8.972968476326757370453133699E+72509752444325', '7.96330619550630898111771236164579228839824377016190074104250556992358388e-72509747995837', 72, 1);
    T('-7.375923439085296745303909963568E+89641393501303', '-3.992225427489257E+10240739521', '1e+89631152761782', 1, 1);
    T('7.7121556852136896079588107435513E+698', '-119481', '-6.45471303823510818e+693', 18, 1);
    T('-1.74E-440335973759712', '5.3254062018067E-336', '-3.267356393226279566121750620241481890040559660831829290463e-440335973759377', 58, 6);
    T('-6.22704347105111095731973928323730445602616452085E+74422', '4.571E+22', '-1.362293474305646676289595117750449454392072745755852111135418945526143075913367e+74400', 79, 0);
    T('-0.000003405217681774127543129103930490811798', '4.01199300E+2469189', '-8.48759626892202340116023116314213857800848605e-2469196', 45, 1);
    T('-9.42233276470660598239176750397434980233487E+430120', '-8.67045505273029785165445957183004630360E+15464093', '1.08671721465640310376321850874199897966107163674487975427617019522e-15033973', 66, 0);
    T('5.54033212E+822894786072', '1.16E+603090874946', '4.7761483793103448275862068965517241379310344827586206896551724137931034482758621e+219803911126', 80, 2);
    T('2.04953329752331936569750513241840264950364071349356E+153', '-5.95983079948174290680601E-7', '-3.43891188605814684114754e+159', 24, 5);
    T('5.04512662880866528417768173604E-6076577', '6.0768586972165534010649928275805024E+59385', '8.3021950652226568078283310252845356692517724725979393864918089625973353566e-6135963', 74, 6);
    T('8.44E+996200', '-5.03039467718148210801615427384E+69200497892553', '-1.67780075752006628916329021e-69200496896353', 27, 1);
    T('-3.01207922002092098174099E+9722498', '7.833567686834085428246548E+41482534', '-3.8450924794884161048159510817737491069048913519138847262953517149061644e-31760037', 71, 6);
    T('-7.5715518365E+8366884207', '4.5319964706795861438008296429893432847264095379091E+65518496936755', '-1.67068793753156291e-65510130052548', 18, 4);
    T('-7.46786891756761403114E+13400885588409', '-5.881845346855130449959785253478E+53553', '1.26964727516348063896191355606262461698e+13400885534856', 39, 6);
    T('1.84894481587078554873334627681557908634E+644331527', '5.40492957589E-7030113', '3.420849041435160575696e+651361639', 22, 3);
    T('-2036.32785732', '6.0745490341706199770213484219339945444271442E+897409762', '-3.3522288582497666260891234023934750838940131953844958959230060727e-897409760', 65, 4);
    T('6.6143856527960986121783700583977744073657943805E+501417849228', '7.7562755859536E-79281422790654', '8.527785764567942387866007048653457528232218776439691985852396672196267061e+79782840639881', 74, 6);
    T('7.37053243388233685223416450230985378331291422656E+14407800373', '6.00251596044316E-9289323245592', '1.227907177999103147e+9303731045965', 19, 3);
    T('5.0395603495079274462800254254356030202965898096977960E-485954185598', '-8.2079835412041410626760755190966728075288897386463836161526E+74793573013416', '-6.1398275522962435167518e-75279527199015', 24, 0);
    T('3.32E-44933', '-9.358268677895331330921997841057335412E+41', '-3.5476647596600805084011236196424028864058380426142229222757045797558222144973e-44975', 77, 0);
    T('-4067197571.30729526057047', '5.94362196124098715034E+784136975816894', '-6.842961409440132936435445745001958339145e-784136975816886', 40, 3);
    T('7.33971483923562098337464822894E+897', '-1E+514017265689', '-7.3398e-514017264792', 5, 0);
    T('-7.4193118019109271900E-2790116271', '5.58996003081547037208826034221590930531590071436E+153419578', '-1.32725668180289093942476e-2943535849', 24, 2);
    T('9.042131773432900803829501960585771E+524164', '6.2305323715561750894918E+6120122161463196', '1.4512615029034001800190950648915491481764890944744283584591231e-6120122160939032', 62, 2);
    T('4.0274686214916367990342392630417031E-2158986', '-9.767244617623617414910406572078081246969E+988793570', '-4.12344399998402502409083755073120508283554964393983841e-990952557', 54, 0);
    T('-4.2986248680083E+959776', '1.4283079297729099633960799051988995614832442248681593166E+6728306971929870', '-3.0095925244157598960697916144900869792e-6728306970970094', 38, 5);
    T('8.75297069976748484091459659924943844082821776945719029096E+24722066596', '24.9273984874199', '3.5113855560117286e+24722066595', 17, 4);
    T('8.719475217375692817021E+5824636', '4.5928007679136926779387732E+36226028497', '1.898509e-36220203861', 7, 6);
    T('2.329666108700234482642E-4231039367966', '8.01E-6332323803896976', '2.90844707702900684474656679151061173533083645443196004993757803e+6328092764529009', 63, 4);
    T('5.25771793577751E+4442779070567', '-2.843305696923870106730221739312248E+512', '-1.84915675492289006108630504273328188602139242542082723443034965097207542975e+4442779070055', 75, 3);
    T('-4.73678427502459081911181871188460E+46268497000593', '-8.16990012022E+6593325', '5.797848450192605479744324452439236e+46268490407267', 35, 1);
    T('-6.1242E+5', '5.77331271860E+51515555737310', '-1.06077745975365915111127443163269e-51515555737305', 33, 4);
    T('1.9979367940549665271824E+729855', '6.2449527839431758E-675775', '3.199282465660906418553509511771701544893e+1405629', 40, 1);
    T('7.5952896397216862062447578022121983361024750023738092078E+76337905015341', '-8.88836E+9812194162', '-8.5452092846393e+76328092821178', 14, 6);
    T('9.1795538545509799797304529599124378875556141243473E-56505273', '7.60201901955874790871931451952233570986428274220013E+314', '1.207515244428288553083328562900422672624942442784272613504484119e-56505587', 64, 5);
    T('-6.24484499237883680514961862568778362026435E-99627106181004', '-7.46E+2039639215795', '8.371105887907287942559810490198101367646581769436997319034852547e-101666745396800', 65, 2);
    T('2.9284E+13', '-9E+92026166', '-3.253777777777777777777777777777777777777777777777777777777777777777777777778e-92026154', 76, 6);
    T('5.49664957393844425546514089503903467692591081E+40707204360920', '-3.90862266392799666815220851694287270963E+2970666', '-1.406288108766823055200470366672901496636654917310981e+40707201390254', 52, 4);
    T('1.12610514863674299786E+383654778705', '1.089137723230143359003424337757E+9416496737', '1.03394191994099917094720701601021997747263867162640138005013967e+374238281968', 63, 4);
    T('-6.5888037695937082048110995053777878267249E+421551151099', '3.10E+437580708', '-2.125e+421113570391', 4, 1);
    T('4.82202438903672748240847612475009768128E+519555', '-9.15274E+10011009', '-5.268394370469091750020732725664771075416e-9491455', 40, 6);
    T('4.128994705524458577352484577037056418801329074E-594', '47.48016701695345024952316953344', '8.696251434941549208864880975720541835534729344399104112420849237237852e-596', 70, 1);
    T('-1.152547710050121142711459894616949E+87017', '-4.536323123464235798400721271132638378093E-5557353736343547', '2.5407090250880533106920232822890966502788408e+5557353736430563', 44, 6);
    T('5.36914669362603294166647796745509594312882757700E+70', '-6.612124555381241826955561E-631934', '-8.1201535885411927524419691743347696898478911567e+632003', 47, 5);
    T('6.15769002954544021E-894827060', '4.87455371E+808531862514962', '1.26323154813396039286e-808532757342022', 21, 6);
    T('7.27361979942255080913253043798697E+8216', '-5.4543046728133689963510352535996195682339E+849674787', '-1.333555830805976260185672764556502451284075e-849666571', 43, 6);
    T('-7.4632481714941547562737780231E+1238639755869441', '9.757181972407686974742207962647625480202896537345E+1465859313682', '-7.64897917513423192133954759917071480550574014000733042775116246973e+1237173896555758', 66, 1);
    T('-6.749908225638186857722782169', '5.2723463900711767586993397809785501703106100965804823017389E+302269307', '-1.28024748873661599293014970671547191701836247675206489314595586898937e-302269307', 69, 5);
    T('3.5900862084396614029484E+1525', '-1.40866173578195463121559559005E-212865682408', '-2.548579348218604077144495213503436543085e+212865683933', 40, 6);
    T('4.987897183801739E+3105551379551', '-98.44187358022515757825513596788386191832802699556', '-5.066845034940191976814860684689726806134244456752e+3105551379549', 49, 6);
    T('2.8101956E-33968196924666', '5.22220759818711272921038260670E+95425894', '5.38124068636328872512904120636779181476456172337869049e-33968292350561', 54, 4);
    T('3.0996064121700520503890888299043E+223897027087836', '2.895924819044E+36321342919764', '1.0703338677118321144544078086e+187575684168072', 30, 6);
    T('2.228473644486843894990E+1196012090719', '-9.5254545513225972294161703284142922171386816522E-33130378655', '-2.33949323098436616700482736531836e+1229142469373', 33, 2);
    T('3.700E+86806', '1.3989243689909543252246008019544555254516661867E+500880650', '2.644889232052490471563228711720772328027700725650329709e-500793844', 55, 2);
    T('2.29384195423884E+382198448352107', '3.4560756393586059558004571885513747186648730225E+4659963951', '6.63712891036303098785518748545634945829509960501303060178912293474723182146e+382193788388155', 75, 1);
    T('-381506673.97', '-1.624701639804679480E+4213866907614724', '2.34816451601455e-4213866907614716', 15, 2);
    T('5.7880234430211742477696138672938551405408431586E-2489422398', '-8.3E+2275750547', '-6.973522220507438852734474538908259205470895372e-4765172946', 46, 5);
    T('1.3E+54', '-9.850388E+2910', '-1.31974e-2857', 6, 2);
    T('-1.9724276273956262064271843348462096462255636238027296E+530349383', '7.47906965720012705428150E+61239569365409', '-2.6372633466473508363184293600441357312122785299673e-61239039016027', 50, 1);
    T('2.8314280736313562620453955268028718125498131774706288082675E+4598363', '5.9323307967512016754833681798491252394289454234203073E+57859808', '4.7728762448344375819024302359066e-53261446', 32, 2);
    T('-4.7460E-5350880', '6.605827164930330874780512E+54426538012', '-7.18456581061647295083408246599369921e-54431888893', 36, 1);
    T('-2.818153421330740057710607060795838407601619644450E+7650', '8.371567049271609720013846343070152494769360551588999E+4909170259207', '-3.3663391868502575416802390096778043712836878670060482807158341844e-4909170251558', 65, 4);
    T('1.088E-5262', '-7.8967203123827816819117080535184953138241E+63', '-1.3777871786770973972959919661427005294278811416539043298005164005e-5326', 66, 4);
    T('5.904020287268594206183972940408332E+179', '3.28E+983937714', '1.800006185142864087251211262319613414634146341463414634146341463e-983937535', 64, 3);
    T('-3.572595168364984261468135555761518344059941404714E+190', '-5.838217470484384999E+644', '6.119325267389488533587671139229215e-455', 34, 5);
    T('-9E+9150', '-9.582011789088694515241019678070556255122318903433877', '9.3925995898361890371210520073506741422901770003280524778922830765458305298767e+9149', 77, 3);
    T('1.17428780927946E+815088453932709', '5.825147217843992733473158E+715377690', '2.015893788370361849201954412e+815087738555018', 29, 2);
    T('2.691725431030483359715510936E+67', '-1.73245666878240E+349954342', '-1.5537043318504893713599583385643262714535444445613959947973508e-349954275', 62, 4);
    T('-2.25873451087E+1693', '8.38090587683527407950765430595491490763E+4243', '-2.6950959049822e-2551', 15, 5);
    T('-8.698958139684E+5374802439', '-5.671558739139238156055E-594670336405479', '1.5337861317829222692685604e+594675711207918', 26, 6);
    T('2.09428799312083943691E+46399570', '3665792413.52299148527415550471743809574068', '5.71305670608918747765626448032040278379e+46399560', 39, 3);
    T('-7.202871448632396E+356', '4.0175916331292638623719089950196841495189E+503687', '-1.79283314641467132478619e-503331', 24, 1);
    T('3.817471055996801372736293E-946569519198', '1.6092412876419451195403618E+684', '2.3722179422767740871451045304994997670464155493134895553122356531577130863706e-946569519882', 77, 1);
    T('-4.09564406634E+62773976084618', '-5.6525368E+19709806371464', '7.245674e+43064169713153', 7, 1);
    T('-7.817815960337605443700332032559172394346981910E+955', '3.15299301004676833945484926639660644413E+8054370', '-2.47949041923871686417038051159602493439821354791172732117633090798202133528626e-8053415', 78, 5);
    T('2.421782634238842557256291101612922368492315267392683E+955264', '-3.812608884217730E-971162847', '-6.3520353327187486351065371634399931e+972118110', 35, 3);
    T('2.5612630183781256E-43113004185', '8E+64466', '3.201578772972657e-43113068652', 72, 1);
    T('-7.347201137023560123835E+6949683021432', '1.0289E-497105397196143', '-7.14083111772141133621829137914277383613567888e+504055080217575', 45, 6);
    T('-2.90106636E-448', '-0.006304306100789618221316809385549574530398269815087675185', '4.60172192406177684159843919713955898431776267472e-446', 48, 5);
    T('2.747860088366861093039E-2494025', '1.2451820156737012633E+96184751', '2.206793909467236601861918854783351601308156364907516853564472747455e-98678776', 67, 2);
    T('-0.000009', '8.47167597761150184967088107496962478967605820904344934688190E+4519', '-1.062363e-4525', 7, 1);
    T('-5.65948782072306276515E-251125406', '9.0854328621E+7176097348', '-6.22918897385e-7427222755', 12, 0);
    T('4.3639184661365893032876954532402780531241314471574066102E-753014804360827', '3.111088459499686195206143684899334875E+20928', '1.402698291272109511915e-753014804381755', 22, 2);
    T('-1.2760768403302244166676315331305534E+887252', '-7.800210668023699166382698422835567383269532E+102575085373004', '1.6359517641766e-102575084485753', 14, 5);
    T('4.938488180311906718E+72980446873', '-1.48810587235137E+38915661622220', '-3.3186403414352201825260364838247386209349636856765805502875e-38842681175347', 59, 5);
    T('-6.9E+219317313885', '-9.7517628879266104924238792963283257153E+70689642136', '7.07564373672651565906515318736485738261513884897e+148627671748', 48, 3);
    T('-9.587706531455121032850526567904918572761813E+265509', '6.903220450743173832534861747818410840341609020142432959942E+362579948', '-1.388874453578104387825993e-362314439', 25, 6);
    */

    log('\n ' + passed + ' of ' + total + ' tests passed in ' + (+new Date() - start) + ' ms \n');
    return [passed, total];
})(this.Decimal);
if (typeof module !== 'undefined' && module.exports) module.exports = count;
